/* A Bison parser, made by GNU Bison 3.0.4.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015 Free Software Foundation, Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "3.0.4"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs


/* Copy the first part of user declarations.  */
#line 1 "gram.y" /* yacc.c:339  */


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2024, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET constraint_exclusion TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "access/tableam.h"
#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_am.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "gramparse.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule, or whose leftmost
 * component was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 *
 * A cleaner answer would be to make YYLLOC_DEFAULT scan all the Rhs
 * locations until it's found one that's not -1.  Then we'd get a correct
 * location for any nonterminal that isn't entirely empty.  But this way
 * would add overhead to every rule reduction, and so far there's not been
 * a compelling reason to pay that overhead.
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	ObjectType	objtype;
	List	   *objs;
} PrivTarget;

/* Private struct for the result of import_qualification production */
typedef struct ImportQual
{
	ImportForeignSchemaType type;
	List	   *table_names;
} ImportQual;

/* Private struct for the result of opt_select_limit production */
typedef struct SelectLimit
{
	Node	   *limitOffset;
	Node	   *limitCount;
	LimitOption limitOption;
} SelectLimit;

/* Private struct for the result of group_clause production */
typedef struct GroupClause
{
	bool		distinct;
	List	   *list;
} GroupClause;

/* Private structs for the result of key_actions and key_action productions */
typedef struct KeyAction
{
	char		action;
	List	   *cols;
} KeyAction;

typedef struct KeyActions
{
	KeyAction *updateAction;
	KeyAction *deleteAction;
} KeyActions;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static RawStmt *makeRawStmt(Node *stmt, int stmt_location);
static void updateRawStmtEnd(RawStmt *rs, int end_location);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBoolAConst(bool state, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Node *v, int location);
static RoleSpec *makeRoleSpec(RoleSpecType type, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								SelectLimit *limitClause,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Float *v);
static Node *makeAndExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeOrExpr(Node *lexpr, Node *rexpr, int location);
static Node *makeNotExpr(Node *expr, int location);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod,
								  int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static RangeVar *makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
											   core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static PartitionStrategy parsePartitionStrategy(char *strategy);
static void preprocess_pubobj_list(List *pubobjspec_list,
								   core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);


#line 294 "gram.c" /* yacc.c:339  */

# ifndef YY_NULLPTR
#  if defined __cplusplus && 201103L <= __cplusplus
#   define YY_NULLPTR nullptr
#  else
#   define YY_NULLPTR 0
#  endif
# endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* In a future release of Bison, this section will be replaced
   by #include "gram.h".  */
#ifndef YY_BASE_YY_GRAM_H_INCLUDED
# define YY_BASE_YY_GRAM_H_INCLUDED
/* Debug traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif
#if YYDEBUG
extern int base_yydebug;
#endif

/* Token type.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
  enum yytokentype
  {
    IDENT = 258,
    UIDENT = 259,
    FCONST = 260,
    SCONST = 261,
    USCONST = 262,
    BCONST = 263,
    XCONST = 264,
    Op = 265,
    ICONST = 266,
    PARAM = 267,
    TYPECAST = 268,
    DOT_DOT = 269,
    COLON_EQUALS = 270,
    EQUALS_GREATER = 271,
    LESS_EQUALS = 272,
    GREATER_EQUALS = 273,
    NOT_EQUALS = 274,
    ABORT_P = 275,
    ABSENT = 276,
    ABSOLUTE_P = 277,
    ACCESS = 278,
    ACTION = 279,
    ADD_P = 280,
    ADMIN = 281,
    AFTER = 282,
    AGGREGATE = 283,
    ALL = 284,
    ALSO = 285,
    ALTER = 286,
    ALWAYS = 287,
    ANALYSE = 288,
    ANALYZE = 289,
    AND = 290,
    ANY = 291,
    ARRAY = 292,
    AS = 293,
    ASC = 294,
    ASENSITIVE = 295,
    ASSERTION = 296,
    ASSIGNMENT = 297,
    ASYMMETRIC = 298,
    ATOMIC = 299,
    AT = 300,
    ATTACH = 301,
    ATTRIBUTE = 302,
    AUTHORIZATION = 303,
    BACKWARD = 304,
    BEFORE = 305,
    BEGIN_P = 306,
    BETWEEN = 307,
    BIGINT = 308,
    BINARY = 309,
    BIT = 310,
    BOOLEAN_P = 311,
    BOTH = 312,
    BREADTH = 313,
    BY = 314,
    CACHE = 315,
    CALL = 316,
    CALLED = 317,
    CASCADE = 318,
    CASCADED = 319,
    CASE = 320,
    CAST = 321,
    CATALOG_P = 322,
    CHAIN = 323,
    CHAR_P = 324,
    CHARACTER = 325,
    CHARACTERISTICS = 326,
    CHECK = 327,
    CHECKPOINT = 328,
    CLASS = 329,
    CLOSE = 330,
    CLUSTER = 331,
    COALESCE = 332,
    COLLATE = 333,
    COLLATION = 334,
    COLUMN = 335,
    COLUMNS = 336,
    COMMENT = 337,
    COMMENTS = 338,
    COMMIT = 339,
    COMMITTED = 340,
    COMPRESSION = 341,
    CONCURRENTLY = 342,
    CONDITIONAL = 343,
    CONFIGURATION = 344,
    CONFLICT = 345,
    CONNECTION = 346,
    CONSTRAINT = 347,
    CONSTRAINTS = 348,
    CONTENT_P = 349,
    CONTINUE_P = 350,
    CONVERSION_P = 351,
    COPY = 352,
    COST = 353,
    CREATE = 354,
    CROSS = 355,
    CSV = 356,
    CUBE = 357,
    CURRENT_P = 358,
    CURRENT_CATALOG = 359,
    CURRENT_DATE = 360,
    CURRENT_ROLE = 361,
    CURRENT_SCHEMA = 362,
    CURRENT_TIME = 363,
    CURRENT_TIMESTAMP = 364,
    CURRENT_USER = 365,
    CURSOR = 366,
    CYCLE = 367,
    DATA_P = 368,
    DATABASE = 369,
    DAY_P = 370,
    DEALLOCATE = 371,
    DEC = 372,
    DECIMAL_P = 373,
    DECLARE = 374,
    DEFAULT = 375,
    DEFAULTS = 376,
    DEFERRABLE = 377,
    DEFERRED = 378,
    DEFINER = 379,
    DELETE_P = 380,
    DELIMITER = 381,
    DELIMITERS = 382,
    DEPENDS = 383,
    DEPTH = 384,
    DESC = 385,
    DETACH = 386,
    DICTIONARY = 387,
    DISABLE_P = 388,
    DISCARD = 389,
    DISTINCT = 390,
    DO = 391,
    DOCUMENT_P = 392,
    DOMAIN_P = 393,
    DOUBLE_P = 394,
    DROP = 395,
    EACH = 396,
    ELSE = 397,
    EMPTY_P = 398,
    ENABLE_P = 399,
    ENCODING = 400,
    ENCRYPTED = 401,
    END_P = 402,
    ENUM_P = 403,
    ERROR_P = 404,
    ESCAPE = 405,
    EVENT = 406,
    EXCEPT = 407,
    EXCLUDE = 408,
    EXCLUDING = 409,
    EXCLUSIVE = 410,
    EXECUTE = 411,
    EXISTS = 412,
    EXPLAIN = 413,
    EXPRESSION = 414,
    EXTENSION = 415,
    EXTERNAL = 416,
    EXTRACT = 417,
    FALSE_P = 418,
    FAMILY = 419,
    FETCH = 420,
    FILTER = 421,
    FINALIZE = 422,
    FIRST_P = 423,
    FLOAT_P = 424,
    FOLLOWING = 425,
    FOR = 426,
    FORCE = 427,
    FOREIGN = 428,
    FORMAT = 429,
    FORWARD = 430,
    FREEZE = 431,
    FROM = 432,
    FULL = 433,
    FUNCTION = 434,
    FUNCTIONS = 435,
    GENERATED = 436,
    GLOBAL = 437,
    GRANT = 438,
    GRANTED = 439,
    GREATEST = 440,
    GROUP_P = 441,
    GROUPING = 442,
    GROUPS = 443,
    HANDLER = 444,
    HAVING = 445,
    HEADER_P = 446,
    HOLD = 447,
    HOUR_P = 448,
    IDENTITY_P = 449,
    IF_P = 450,
    ILIKE = 451,
    IMMEDIATE = 452,
    IMMUTABLE = 453,
    IMPLICIT_P = 454,
    IMPORT_P = 455,
    IN_P = 456,
    INCLUDE = 457,
    INCLUDING = 458,
    INCREMENT = 459,
    INDENT = 460,
    INDEX = 461,
    INDEXES = 462,
    INHERIT = 463,
    INHERITS = 464,
    INITIALLY = 465,
    INLINE_P = 466,
    INNER_P = 467,
    INOUT = 468,
    INPUT_P = 469,
    INSENSITIVE = 470,
    INSERT = 471,
    INSTEAD = 472,
    INT_P = 473,
    INTEGER = 474,
    INTERSECT = 475,
    INTERVAL = 476,
    INTO = 477,
    INVOKER = 478,
    IS = 479,
    ISNULL = 480,
    ISOLATION = 481,
    JOIN = 482,
    JSON = 483,
    JSON_ARRAY = 484,
    JSON_ARRAYAGG = 485,
    JSON_EXISTS = 486,
    JSON_OBJECT = 487,
    JSON_OBJECTAGG = 488,
    JSON_QUERY = 489,
    JSON_SCALAR = 490,
    JSON_SERIALIZE = 491,
    JSON_VALUE = 492,
    KEEP = 493,
    KEY = 494,
    KEYS = 495,
    LABEL = 496,
    LANGUAGE = 497,
    LARGE_P = 498,
    LAST_P = 499,
    LATERAL_P = 500,
    LEADING = 501,
    LEAKPROOF = 502,
    LEAST = 503,
    LEFT = 504,
    LEVEL = 505,
    LIKE = 506,
    LIMIT = 507,
    LISTEN = 508,
    LOAD = 509,
    LOCAL = 510,
    LOCALTIME = 511,
    LOCALTIMESTAMP = 512,
    LOCATION = 513,
    LOCK_P = 514,
    LOCKED = 515,
    LOGGED = 516,
    MAPPING = 517,
    MATCH = 518,
    MATCHED = 519,
    MATERIALIZED = 520,
    MAXVALUE = 521,
    MERGE = 522,
    MERGE_ACTION = 523,
    METHOD = 524,
    MINUTE_P = 525,
    MINVALUE = 526,
    MODE = 527,
    MONTH_P = 528,
    MOVE = 529,
    NAME_P = 530,
    NAMES = 531,
    NATIONAL = 532,
    NATURAL = 533,
    NCHAR = 534,
    NEW = 535,
    NEXT = 536,
    NFC = 537,
    NFD = 538,
    NFKC = 539,
    NFKD = 540,
    NO = 541,
    NONE = 542,
    NORMALIZE = 543,
    NORMALIZED = 544,
    NOT = 545,
    NOTHING = 546,
    NOTIFY = 547,
    NOTNULL = 548,
    NOWAIT = 549,
    NULL_P = 550,
    NULLIF = 551,
    NULLS_P = 552,
    NUMERIC = 553,
    OBJECT_P = 554,
    OF = 555,
    OFF = 556,
    OFFSET = 557,
    OIDS = 558,
    OLD = 559,
    OMIT = 560,
    ON = 561,
    ONLY = 562,
    OPERATOR = 563,
    OPTION = 564,
    OPTIONS = 565,
    OR = 566,
    ORDER = 567,
    ORDINALITY = 568,
    OTHERS = 569,
    OUT_P = 570,
    OUTER_P = 571,
    OVER = 572,
    OVERLAPS = 573,
    OVERLAY = 574,
    OVERRIDING = 575,
    OWNED = 576,
    OWNER = 577,
    PARALLEL = 578,
    PARAMETER = 579,
    PARSER = 580,
    PARTIAL = 581,
    PARTITION = 582,
    PASSING = 583,
    PASSWORD = 584,
    PLACING = 585,
    PLANS = 586,
    POLICY = 587,
    POSITION = 588,
    PRECEDING = 589,
    PRECISION = 590,
    PRESERVE = 591,
    PREPARE = 592,
    PREPARED = 593,
    PRIMARY = 594,
    PRIOR = 595,
    PRIVILEGES = 596,
    PROCEDURAL = 597,
    PROCEDURE = 598,
    PROCEDURES = 599,
    PROGRAM = 600,
    PUBLICATION = 601,
    QUOTE = 602,
    QUOTES = 603,
    RANGE = 604,
    READ = 605,
    REAL = 606,
    REASSIGN = 607,
    RECHECK = 608,
    RECURSIVE = 609,
    REF_P = 610,
    REFERENCES = 611,
    REFERENCING = 612,
    REFRESH = 613,
    REINDEX = 614,
    RELATIVE_P = 615,
    RELEASE = 616,
    RENAME = 617,
    REPEATABLE = 618,
    REPLACE = 619,
    REPLICA = 620,
    RESET = 621,
    RESTART = 622,
    RESTRICT = 623,
    RETURN = 624,
    RETURNING = 625,
    RETURNS = 626,
    REVOKE = 627,
    RIGHT = 628,
    ROLE = 629,
    ROLLBACK = 630,
    ROLLUP = 631,
    ROUTINE = 632,
    ROUTINES = 633,
    ROW = 634,
    ROWS = 635,
    RULE = 636,
    SAVEPOINT = 637,
    SCALAR = 638,
    SCHEMA = 639,
    SCHEMAS = 640,
    SCROLL = 641,
    SEARCH = 642,
    SECOND_P = 643,
    SECURITY = 644,
    SELECT = 645,
    SEQUENCE = 646,
    SEQUENCES = 647,
    SERIALIZABLE = 648,
    SERVER = 649,
    SESSION = 650,
    SESSION_USER = 651,
    SET = 652,
    SETS = 653,
    SETOF = 654,
    SHARE = 655,
    SHOW = 656,
    SIMILAR = 657,
    SIMPLE = 658,
    SKIP = 659,
    SMALLINT = 660,
    SNAPSHOT = 661,
    SOME = 662,
    SQL_P = 663,
    STABLE = 664,
    STANDALONE_P = 665,
    START = 666,
    STATEMENT = 667,
    STATISTICS = 668,
    STDIN = 669,
    STDOUT = 670,
    STORAGE = 671,
    STORED = 672,
    STRICT_P = 673,
    STRING_P = 674,
    STRIP_P = 675,
    SUBSCRIPTION = 676,
    SUBSTRING = 677,
    SUPPORT = 678,
    SYMMETRIC = 679,
    SYSID = 680,
    SYSTEM_P = 681,
    SYSTEM_USER = 682,
    TABLE = 683,
    TABLES = 684,
    TABLESAMPLE = 685,
    TABLESPACE = 686,
    TEMP = 687,
    TEMPLATE = 688,
    TEMPORARY = 689,
    TEXT_P = 690,
    THEN = 691,
    TIES = 692,
    TIME = 693,
    TIMESTAMP = 694,
    TO = 695,
    TRAILING = 696,
    TRANSACTION = 697,
    TRANSFORM = 698,
    TREAT = 699,
    TRIGGER = 700,
    TRIM = 701,
    TRUE_P = 702,
    TRUNCATE = 703,
    TRUSTED = 704,
    TYPE_P = 705,
    TYPES_P = 706,
    UESCAPE = 707,
    UNBOUNDED = 708,
    UNCONDITIONAL = 709,
    UNCOMMITTED = 710,
    UNENCRYPTED = 711,
    UNION = 712,
    UNIQUE = 713,
    UNKNOWN = 714,
    UNLISTEN = 715,
    UNLOGGED = 716,
    UNTIL = 717,
    UPDATE = 718,
    USER = 719,
    USING = 720,
    VACUUM = 721,
    VALID = 722,
    VALIDATE = 723,
    VALIDATOR = 724,
    VALUE_P = 725,
    VALUES = 726,
    VARCHAR = 727,
    VARIADIC = 728,
    VARYING = 729,
    VERBOSE = 730,
    VERSION_P = 731,
    VIEW = 732,
    VIEWS = 733,
    VOLATILE = 734,
    WHEN = 735,
    WHERE = 736,
    WHITESPACE_P = 737,
    WINDOW = 738,
    WITH = 739,
    WITHIN = 740,
    WITHOUT = 741,
    WORK = 742,
    WRAPPER = 743,
    WRITE = 744,
    XML_P = 745,
    XMLATTRIBUTES = 746,
    XMLCONCAT = 747,
    XMLELEMENT = 748,
    XMLEXISTS = 749,
    XMLFOREST = 750,
    XMLNAMESPACES = 751,
    XMLPARSE = 752,
    XMLPI = 753,
    XMLROOT = 754,
    XMLSERIALIZE = 755,
    XMLTABLE = 756,
    YEAR_P = 757,
    YES_P = 758,
    ZONE = 759,
    FORMAT_LA = 760,
    NOT_LA = 761,
    NULLS_LA = 762,
    WITH_LA = 763,
    WITHOUT_LA = 764,
    MODE_TYPE_NAME = 765,
    MODE_PLPGSQL_EXPR = 766,
    MODE_PLPGSQL_ASSIGN1 = 767,
    MODE_PLPGSQL_ASSIGN2 = 768,
    MODE_PLPGSQL_ASSIGN3 = 769,
    UMINUS = 770
  };
#endif

/* Value type.  */
#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED

union YYSTYPE
{
#line 232 "gram.y" /* yacc.c:355  */

	core_YYSTYPE core_yystype;
	/* these fields must match core_YYSTYPE: */
	int			ival;
	char	   *str;
	const char *keyword;

	char		chr;
	bool		boolean;
	JoinType	jtype;
	DropBehavior dbehavior;
	OnCommitAction oncommit;
	List	   *list;
	Node	   *node;
	ObjectType	objtype;
	TypeName   *typnam;
	FunctionParameter *fun_param;
	FunctionParameterMode fun_param_mode;
	ObjectWithArgs *objwithargs;
	DefElem	   *defelt;
	SortBy	   *sortby;
	WindowDef  *windef;
	JoinExpr   *jexpr;
	IndexElem  *ielem;
	StatsElem  *selem;
	Alias	   *alias;
	RangeVar   *range;
	IntoClause *into;
	WithClause *with;
	InferClause	*infer;
	OnConflictClause *onconflict;
	A_Indices  *aind;
	ResTarget  *target;
	struct PrivTarget *privtarget;
	AccessPriv *accesspriv;
	struct ImportQual *importqual;
	InsertStmt *istmt;
	VariableSetStmt *vsetstmt;
	PartitionElem *partelem;
	PartitionSpec *partspec;
	PartitionBoundSpec *partboundspec;
	RoleSpec   *rolespec;
	PublicationObjSpec *publicationobjectspec;
	struct SelectLimit *selectlimit;
	SetQuantifier setquantifier;
	struct GroupClause *groupclause;
	MergeWhenClause *mergewhen;
	struct KeyActions *keyactions;
	struct KeyAction *keyaction;

#line 901 "gram.c" /* yacc.c:355  */
};

typedef union YYSTYPE YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define YYSTYPE_IS_DECLARED 1
#endif

/* Location type.  */
#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE YYLTYPE;
struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
};
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif



int base_yyparse (core_yyscan_t yyscanner);

#endif /* !YY_BASE_YY_GRAM_H_INCLUDED  */

/* Copy the second part of user declarations.  */

#line 931 "gram.c" /* yacc.c:358  */

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif

#ifndef YY_ATTRIBUTE
# if (defined __GNUC__                                               \
      && (2 < __GNUC__ || (__GNUC__ == 2 && 96 <= __GNUC_MINOR__)))  \
     || defined __SUNPRO_C && 0x5110 <= __SUNPRO_C
#  define YY_ATTRIBUTE(Spec) __attribute__(Spec)
# else
#  define YY_ATTRIBUTE(Spec) /* empty */
# endif
#endif

#ifndef YY_ATTRIBUTE_PURE
# define YY_ATTRIBUTE_PURE   YY_ATTRIBUTE ((__pure__))
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# define YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#endif

#if !defined _Noreturn \
     && (!defined __STDC_VERSION__ || __STDC_VERSION__ < 201112)
# if defined _MSC_VER && 1200 <= _MSC_VER
#  define _Noreturn __declspec (noreturn)
# else
#  define _Noreturn YY_ATTRIBUTE ((__noreturn__))
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(E) ((void) (E))
#else
# define YYUSE(E) /* empty */
#endif

#if defined __GNUC__ && 407 <= __GNUC__ * 100 + __GNUC_MINOR__
/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN \
    _Pragma ("GCC diagnostic push") \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")\
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# define YY_IGNORE_MAYBE_UNINITIALIZED_END \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif


#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
      /* Use EXIT_SUCCESS as a witness for stdlib.h.  */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
             && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYSIZE_T yynewbytes;                                            \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / sizeof (*yyptr);                          \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, (Count) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYSIZE_T yyi;                         \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  922
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   120238

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  533
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  719
/* YYNRULES -- Number of rules.  */
#define YYNRULES  3370
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  6379

/* YYTRANSLATE[YYX] -- Symbol number corresponding to YYX as returned
   by yylex, with out-of-bounds checking.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   770

#define YYTRANSLATE(YYX)                                                \
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, without out-of-bounds checking.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   522,     2,     2,
     527,   528,   520,   518,   531,   519,   529,   521,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   532,   530,
     515,   517,   516,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   525,     2,   526,   523,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     524
};

#if YYDEBUG
  /* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   911,   911,   916,   920,   925,   933,   941,   961,   973,
     987,   988,   992,   993,   994,   995,   996,   997,   998,   999,
    1000,  1001,  1002,  1003,  1004,  1005,  1006,  1007,  1008,  1009,
    1010,  1011,  1012,  1013,  1014,  1015,  1016,  1017,  1018,  1019,
    1020,  1021,  1022,  1023,  1024,  1025,  1026,  1027,  1028,  1029,
    1030,  1031,  1032,  1033,  1034,  1035,  1036,  1037,  1038,  1039,
    1040,  1041,  1042,  1043,  1044,  1045,  1046,  1047,  1048,  1049,
    1050,  1051,  1052,  1053,  1054,  1055,  1056,  1057,  1058,  1059,
    1060,  1061,  1062,  1063,  1064,  1065,  1066,  1067,  1068,  1069,
    1070,  1071,  1072,  1073,  1074,  1075,  1076,  1077,  1078,  1079,
    1080,  1081,  1082,  1083,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,  1092,  1093,  1094,  1095,  1096,  1097,  1098,  1099,
    1100,  1101,  1102,  1103,  1104,  1105,  1106,  1107,  1108,  1109,
    1110,  1111,  1112,  1113,  1114,  1115,  1117,  1124,  1125,  1129,
    1130,  1134,  1135,  1139,  1140,  1141,  1150,  1166,  1178,  1179,
    1180,  1189,  1190,  1194,  1195,  1199,  1204,  1208,  1218,  1226,
    1230,  1234,  1239,  1243,  1291,  1293,  1297,  1301,  1305,  1309,
    1323,  1342,  1351,  1363,  1364,  1368,  1377,  1386,  1395,  1417,
    1425,  1433,  1441,  1449,  1457,  1475,  1494,  1506,  1507,  1518,
    1529,  1540,  1556,  1575,  1582,  1590,  1591,  1592,  1593,  1594,
    1595,  1609,  1616,  1623,  1633,  1642,  1651,  1655,  1664,  1673,
    1681,  1692,  1693,  1702,  1714,  1722,  1731,  1743,  1752,  1761,
    1769,  1779,  1790,  1791,  1795,  1796,  1799,  1801,  1805,  1806,
    1807,  1808,  1812,  1813,  1814,  1820,  1832,  1836,  1840,  1857,
    1865,  1866,  1867,  1871,  1872,  1873,  1877,  1878,  1882,  1886,
    1887,  1895,  1903,  1914,  1922,  1933,  1934,  1939,  1940,  1945,
    1952,  1959,  1966,  1973,  1984,  1995,  1996,  2000,  2001,  2009,
    2025,  2032,  2039,  2046,  2053,  2073,  2083,  2093,  2103,  2113,
    2125,  2137,  2147,  2157,  2167,  2179,  2191,  2201,  2211,  2221,
    2231,  2241,  2251,  2263,  2275,  2285,  2298,  2299,  2304,  2318,
    2331,  2347,  2364,  2374,  2384,  2394,  2404,  2414,  2423,  2432,
    2442,  2451,  2461,  2471,  2487,  2497,  2507,  2517,  2527,  2544,
    2554,  2564,  2574,  2585,  2599,  2615,  2625,  2634,  2650,  2659,
    2670,  2681,  2689,  2698,  2707,  2715,  2723,  2732,  2741,  2750,
    2758,  2766,  2775,  2783,  2791,  2800,  2809,  2818,  2827,  2836,
    2845,  2856,  2864,  2873,  2882,  2891,  2900,  2909,  2918,  2926,
    2934,  2942,  2949,  2960,  2961,  2965,  2974,  2978,  2979,  2983,
    2991,  2999,  3007,  3018,  3021,  3022,  3026,  3027,  3032,  3036,
    3040,  3045,  3052,  3054,  3059,  3063,  3067,  3078,  3085,  3086,
    3090,  3091,  3096,  3149,  3162,  3176,  3188,  3195,  3199,  3213,
    3226,  3227,  3232,  3242,  3253,  3264,  3291,  3298,  3332,  3368,
    3391,  3392,  3396,  3397,  3406,  3407,  3408,  3411,  3412,  3417,
    3418,  3422,  3426,  3430,  3434,  3438,  3442,  3446,  3450,  3454,
    3458,  3462,  3466,  3470,  3474,  3478,  3487,  3491,  3495,  3499,
    3503,  3504,  3509,  3513,  3520,  3527,  3528,  3529,  3530,  3531,
    3535,  3539,  3547,  3558,  3578,  3598,  3619,  3640,  3661,  3695,
    3696,  3697,  3698,  3699,  3706,  3713,  3714,  3718,  3719,  3723,
    3724,  3728,  3732,  3739,  3743,  3750,  3751,  3752,  3756,  3757,
    3760,  3784,  3803,  3825,  3826,  3830,  3831,  3835,  3836,  3840,
    3841,  3845,  3846,  3850,  3858,  3859,  3860,  3892,  3903,  3911,
    3924,  3936,  3949,  3959,  3969,  3993,  4013,  4014,  4015,  4019,
    4020,  4039,  4047,  4055,  4063,  4075,  4087,  4088,  4089,  4093,
    4094,  4095,  4096,  4097,  4098,  4099,  4100,  4101,  4102,  4111,
    4119,  4123,  4137,  4151,  4170,  4186,  4204,  4220,  4240,  4263,
    4264,  4268,  4269,  4273,  4274,  4278,  4279,  4282,  4288,  4289,
    4292,  4296,  4304,  4309,  4315,  4316,  4320,  4325,  4332,  4333,
    4337,  4347,  4357,  4365,  4374,  4387,  4399,  4406,  4414,  4422,
    4430,  4438,  4448,  4449,  4453,  4454,  4457,  4469,  4470,  4473,
    4484,  4495,  4509,  4510,  4515,  4516,  4517,  4520,  4521,  4522,
    4523,  4526,  4527,  4530,  4531,  4534,  4554,  4567,  4589,  4590,
    4593,  4599,  4605,  4622,  4631,  4653,  4667,  4684,  4700,  4701,
    4702,  4714,  4728,  4745,  4759,  4760,  4772,  4793,  4804,  4818,
    4827,  4839,  4840,  4843,  4844,  4847,  4848,  4851,  4855,  4859,
    4863,  4867,  4871,  4875,  4879,  4883,  4887,  4891,  4896,  4900,
    4904,  4910,  4911,  4915,  4916,  4917,  4924,  4927,  4928,  4940,
    4956,  4972,  4973,  4981,  4982,  4986,  4987,  4991,  4992,  4996,
    4997,  5001,  5002,  5012,  5024,  5025,  5038,  5046,  5064,  5073,
    5085,  5088,  5092,  5096,  5100,  5107,  5119,  5130,  5133,  5137,
    5150,  5160,  5170,  5180,  5190,  5200,  5210,  5220,  5230,  5240,
    5250,  5260,  5270,  5289,  5301,  5302,  5303,  5304,  5308,  5309,
    5313,  5314,  5324,  5333,  5346,  5347,  5351,  5355,  5363,  5367,
    5371,  5378,  5382,  5387,  5392,  5399,  5406,  5411,  5421,  5434,
    5450,  5451,  5456,  5457,  5461,  5462,  5472,  5482,  5491,  5509,
    5530,  5551,  5573,  5607,  5623,  5624,  5628,  5637,  5652,  5662,
    5675,  5676,  5688,  5697,  5715,  5740,  5758,  5773,  5774,  5778,
    5779,  5783,  5784,  5788,  5789,  5793,  5807,  5811,  5812,  5816,
    5817,  5818,  5819,  5820,  5830,  5842,  5843,  5854,  5877,  5909,
    5910,  5911,  5915,  5917,  5939,  5941,  5943,  5945,  5947,  5952,
    5953,  5957,  5958,  5962,  5974,  5975,  5979,  5988,  5992,  5996,
    6001,  6011,  6012,  6016,  6017,  6021,  6022,  6026,  6027,  6031,
    6032,  6033,  6037,  6041,  6042,  6043,  6047,  6048,  6053,  6054,
    6081,  6082,  6083,  6084,  6085,  6086,  6099,  6110,  6125,  6127,
    6132,  6137,  6139,  6144,  6155,  6156,  6157,  6158,  6169,  6188,
    6200,  6213,  6224,  6235,  6247,  6256,  6264,  6272,  6282,  6292,
    6302,  6312,  6322,  6333,  6343,  6356,  6359,  6360,  6363,  6367,
    6374,  6375,  6376,  6377,  6378,  6379,  6382,  6385,  6386,  6394,
    6401,  6402,  6405,  6407,  6418,  6430,  6442,  6454,  6466,  6495,
    6496,  6512,  6528,  6529,  6533,  6546,  6557,  6566,  6576,  6586,
    6587,  6590,  6591,  6594,  6595,  6596,  6599,  6613,  6618,  6629,
    6639,  6652,  6653,  6657,  6666,  6679,  6690,  6704,  6715,  6738,
    6749,  6768,  6779,  6790,  6801,  6812,  6823,  6834,  6845,  6856,
    6867,  6878,  6889,  6904,  6905,  6906,  6907,  6908,  6909,  6910,
    6911,  6912,  6913,  6914,  6915,  6916,  6926,  6927,  6928,  6929,
    6930,  6934,  6935,  6936,  6937,  6938,  6939,  6940,  6941,  6946,
    6947,  6948,  6952,  6953,  6956,  6957,  6960,  6962,  6967,  6968,
    6979,  6991,  6992,  6993,  7003,  7012,  7021,  7030,  7039,  7048,
    7057,  7066,  7075,  7084,  7098,  7107,  7116,  7125,  7134,  7143,
    7152,  7161,  7173,  7174,  7188,  7199,  7210,  7221,  7232,  7243,
    7254,  7265,  7276,  7287,  7300,  7301,  7304,  7305,  7315,  7322,
    7331,  7340,  7349,  7358,  7367,  7376,  7385,  7394,  7403,  7412,
    7421,  7430,  7439,  7448,  7457,  7466,  7477,  7478,  7481,  7482,
    7492,  7510,  7526,  7554,  7556,  7558,  7560,  7568,  7578,  7579,
    7582,  7590,  7598,  7606,  7613,  7624,  7628,  7635,  7639,  7650,
    7659,  7668,  7677,  7686,  7695,  7704,  7713,  7722,  7731,  7740,
    7749,  7758,  7766,  7775,  7784,  7793,  7802,  7811,  7820,  7829,
    7842,  7843,  7847,  7848,  7853,  7854,  7864,  7875,  7889,  7901,
    7919,  7920,  7924,  7931,  7932,  7933,  7936,  7937,  7947,  7958,
    7959,  7963,  7967,  7971,  7982,  7996,  8011,  8029,  8030,  8031,
    8032,  8033,  8034,  8046,  8078,  8113,  8114,  8118,  8119,  8122,
    8123,  8128,  8140,  8159,  8164,  8169,  8176,  8177,  8180,  8181,
    8184,  8185,  8189,  8190,  8191,  8194,  8195,  8196,  8212,  8226,
    8241,  8255,  8272,  8273,  8276,  8277,  8281,  8282,  8286,  8287,
    8292,  8306,  8314,  8322,  8338,  8339,  8343,  8344,  8359,  8369,
    8379,  8389,  8399,  8412,  8413,  8414,  8415,  8416,  8422,  8426,
    8441,  8442,  8448,  8458,  8462,  8467,  8475,  8517,  8521,  8525,
    8529,  8537,  8538,  8542,  8554,  8555,  8560,  8561,  8566,  8567,
    8574,  8578,  8582,  8586,  8590,  8594,  8598,  8602,  8606,  8610,
    8614,  8618,  8622,  8626,  8630,  8634,  8639,  8646,  8650,  8654,
    8658,  8662,  8668,  8669,  8675,  8685,  8689,  8700,  8706,  8715,
    8721,  8722,  8726,  8727,  8731,  8732,  8735,  8748,  8752,  8767,
    8776,  8785,  8798,  8799,  8804,  8805,  8822,  8833,  8844,  8855,
    8866,  8877,  8891,  8902,  8916,  8927,  8941,  8949,  8951,  8953,
    8958,  8960,  8965,  8966,  8971,  8990,  9000,  9001,  9005,  9009,
    9021,  9033,  9045,  9059,  9060,  9061,  9065,  9078,  9079,  9089,
    9102,  9106,  9110,  9114,  9121,  9143,  9156,  9169,  9184,  9185,
    9188,  9189,  9192,  9193,  9203,  9213,  9231,  9241,  9251,  9261,
    9271,  9281,  9291,  9301,  9311,  9321,  9331,  9341,  9351,  9362,
    9373,  9383,  9393,  9403,  9413,  9423,  9433,  9444,  9455,  9466,
    9477,  9488,  9499,  9510,  9521,  9532,  9543,  9554,  9565,  9577,
    9589,  9601,  9613,  9625,  9637,  9648,  9659,  9671,  9683,  9694,
    9705,  9714,  9724,  9734,  9744,  9754,  9764,  9774,  9784,  9794,
    9804,  9819,  9820,  9823,  9824,  9834,  9844,  9854,  9864,  9875,
    9885,  9897,  9898,  9908,  9918,  9928,  9938,  9948,  9958,  9968,
    9978,  9988,  9998, 10008, 10018, 10028, 10038, 10048, 10058, 10068,
   10078, 10088, 10098, 10108, 10118, 10128, 10138, 10148, 10158, 10168,
   10187, 10197, 10198, 10201, 10203, 10205, 10211, 10212, 10213, 10214,
   10215, 10227, 10243, 10252, 10261, 10270, 10279, 10288, 10297, 10306,
   10315, 10324, 10333, 10342, 10351, 10360, 10369, 10378, 10387, 10396,
   10405, 10414, 10423, 10432, 10441, 10450, 10478, 10486, 10495, 10521,
   10530, 10537, 10543, 10570, 10581, 10590, 10598, 10600, 10622, 10630,
   10640, 10650, 10669, 10688, 10698, 10708, 10718, 10729, 10740, 10751,
   10762, 10773, 10791, 10800, 10817, 10835, 10836, 10837, 10842, 10848,
   10857, 10858, 10859, 10860, 10861, 10865, 10866, 10869, 10870, 10871,
   10872, 10876, 10877, 10878, 10890, 10901, 10902, 10905, 10915, 10922,
   10942, 10952, 10961, 10971, 10981, 10990, 10999, 11008, 11017, 11026,
   11035, 11044, 11056, 11065, 11077, 11078, 11079, 11083, 11086, 11089,
   11092, 11095, 11102, 11104, 11106, 11111, 11113, 11117, 11118, 11119,
   11131, 11145, 11159, 11178, 11200, 11201, 11202, 11203, 11213, 11230,
   11241, 11242, 11246, 11247, 11251, 11255, 11259, 11277, 11278, 11279,
   11280, 11281, 11282, 11283, 11290, 11291, 11302, 11310, 11318, 11327,
   11337, 11355, 11364, 11373, 11382, 11394, 11398, 11409, 11421, 11439,
   11446, 11463, 11477, 11487, 11496, 11505, 11515, 11527, 11539, 11550,
   11551, 11562, 11573, 11585, 11597, 11609, 11621, 11631, 11644, 11645,
   11659, 11683, 11692, 11702, 11714, 11726, 11740, 11741, 11753, 11774,
   11785, 11797, 11809, 11813, 11820, 11821, 11825, 11832, 11833, 11834,
   11838, 11839, 11840, 11844, 11845, 11849, 11850, 11853, 11854, 11857,
   11858, 11862, 11863, 11867, 11874, 11876, 11881, 11882, 11895, 11903,
   11914, 11922, 11933, 11934, 11935, 11936, 11937, 11938, 11939, 11940,
   11941, 11942, 11952, 11963, 11964, 11968, 11969, 11970, 11971, 11972,
   11982, 11990, 12008, 12028, 12029, 12039, 12048, 12057, 12066, 12085,
   12103, 12107, 12115, 12121, 12128, 12134, 12141, 12150, 12151, 12155,
   12157, 12162, 12173, 12183, 12193, 12199, 12208, 12217, 12223, 12224,
   12235, 12250, 12251, 12262, 12273, 12274, 12277, 12278, 12279, 12280,
   12281, 12282, 12283, 12284, 12287, 12288, 12292, 12293, 12294, 12305,
   12324, 12325, 12329, 12334, 12358, 12369, 12370, 12382, 12402, 12403,
   12407, 12414, 12421, 12428, 12438, 12451, 12452, 12456, 12469, 12482,
   12491, 12500, 12509, 12518, 12530, 12542, 12554, 12557, 12558, 12559,
   12560, 12561, 12562, 12565, 12566, 12567, 12615, 12616, 12620, 12621,
   12636, 12637, 12644, 12652, 12660, 12668, 12676, 12684, 12695, 12696,
   12728, 12744, 12761, 12762, 12781, 12785, 12789, 12804, 12811, 12818,
   12828, 12829, 12832, 12848, 12849, 12850, 12854, 12864, 12875, 12881,
   12893, 12906, 12912, 12913, 12917, 12929, 12937, 12942, 12947, 12952,
   12957, 12965, 12973, 12978, 12983, 12990, 12991, 12995, 12996, 12997,
   13004, 13005, 13009, 13010, 13014, 13015, 13019, 13020, 13024, 13028,
   13029, 13032, 13041, 13054, 13059, 13064, 13068, 13080, 13081, 13085,
   13094, 13110, 13119, 13128, 13137, 13149, 13152, 13157, 13158, 13166,
   13186, 13187, 13189, 13194, 13195, 13199, 13200, 13203, 13204, 13229,
   13238, 13248, 13249, 13253, 13254, 13255, 13256, 13257, 13261, 13274,
   13281, 13288, 13295, 13296, 13300, 13301, 13305, 13306, 13310, 13311,
   13315, 13327, 13328, 13329, 13330, 13334, 13335, 13345, 13352, 13371,
   13372, 13376, 13377, 13383, 13388, 13397, 13405, 13414, 13421, 13429,
   13438, 13447, 13451, 13477, 13481, 13495, 13516, 13538, 13551, 13568,
   13574, 13579, 13585, 13592, 13593, 13603, 13609, 13617, 13621, 13625,
   13632, 13640, 13645, 13646, 13647, 13648, 13652, 13653, 13668, 13672,
   13680, 13687, 13694, 13701, 13708, 13719, 13720, 13733, 13737, 13745,
   13759, 13773, 13774, 13789, 13800, 13813, 13818, 13819, 13822, 13823,
   13826, 13827, 13832, 13833, 13838, 13839, 13848, 13853, 13854, 13858,
   13862, 13868, 13893, 13904, 13918, 13919, 13923, 13937, 13994, 14008,
   14010, 14015, 14017, 14019, 14021, 14026, 14028, 14033, 14041, 14061,
   14066, 14073, 14078, 14084, 14089, 14098, 14100, 14103, 14107, 14108,
   14109, 14110, 14111, 14112, 14117, 14123, 14138, 14139, 14140, 14141,
   14142, 14153, 14159, 14167, 14168, 14174, 14179, 14184, 14189, 14194,
   14199, 14204, 14209, 14215, 14221, 14227, 14234, 14256, 14265, 14269,
   14277, 14281, 14289, 14301, 14322, 14326, 14332, 14336, 14349, 14357,
   14367, 14369, 14371, 14373, 14375, 14377, 14382, 14383, 14390, 14399,
   14407, 14416, 14427, 14435, 14436, 14437, 14441, 14443, 14445, 14447,
   14449, 14451, 14453, 14458, 14463, 14469, 14477, 14482, 14489, 14496,
   14500, 14504, 14512, 14547, 14548, 14550, 14559, 14566, 14582, 14584,
   14586, 14588, 14590, 14592, 14594, 14596, 14598, 14600, 14602, 14604,
   14606, 14608, 14611, 14613, 14616, 14618, 14620, 14622, 14625, 14630,
   14639, 14644, 14653, 14658, 14667, 14672, 14682, 14691, 14700, 14709,
   14728, 14737, 14746, 14755, 14764, 14781, 14790, 14799, 14808, 14817,
   14826, 14835, 14839, 14843, 14851, 14859, 14867, 14875, 14896, 14919,
   14931, 14938, 14954, 14959, 14965, 14972, 14979, 14987, 14995, 15012,
   15031, 15057, 15059, 15061, 15063, 15065, 15067, 15069, 15071, 15073,
   15075, 15077, 15079, 15081, 15083, 15085, 15087, 15089, 15091, 15093,
   15097, 15101, 15106, 15122, 15123, 15124, 15141, 15154, 15156, 15158,
   15170, 15195, 15207, 15219, 15227, 15238, 15249, 15259, 15265, 15274,
   15284, 15294, 15307, 15317, 15348, 15384, 15394, 15405, 15406, 15407,
   15414, 15421, 15425, 15429, 15433, 15437, 15441, 15445, 15449, 15453,
   15457, 15461, 15465, 15469, 15476, 15480, 15484, 15488, 15490, 15497,
   15504, 15511, 15518, 15529, 15543, 15553, 15564, 15580, 15590, 15597,
   15604, 15611, 15615, 15623, 15632, 15641, 15645, 15649, 15653, 15657,
   15661, 15670, 15674, 15684, 15688, 15692, 15697, 15708, 15714, 15728,
   15739, 15753, 15769, 15781, 15791, 15800, 15809, 15817, 15839, 15855,
   15879, 15881, 15885, 15887, 15889, 15892, 15895, 15898, 15899, 15902,
   15910, 15920, 15921, 15924, 15925, 15926, 15929, 15930, 15931, 15936,
   15940, 15944, 15948, 15955, 15956, 15964, 15965, 15969, 15970, 15978,
   15979, 15983, 15984, 15989, 15998, 16000, 16015, 16018, 16046, 16047,
   16050, 16051, 16059, 16067, 16075, 16084, 16094, 16112, 16158, 16167,
   16176, 16185, 16194, 16206, 16207, 16208, 16209, 16210, 16224, 16225,
   16226, 16229, 16230, 16233, 16236, 16237, 16238, 16241, 16242, 16245,
   16246, 16247, 16248, 16249, 16250, 16251, 16252, 16253, 16254, 16255,
   16256, 16259, 16261, 16266, 16268, 16273, 16275, 16277, 16279, 16281,
   16283, 16295, 16299, 16306, 16310, 16316, 16320, 16330, 16342, 16343,
   16346, 16347, 16350, 16354, 16358, 16364, 16365, 16370, 16380, 16381,
   16382, 16383, 16384, 16385, 16386, 16387, 16391, 16392, 16393, 16394,
   16399, 16404, 16413, 16434, 16438, 16443, 16454, 16471, 16477, 16478,
   16479, 16482, 16490, 16500, 16515, 16516, 16520, 16532, 16533, 16536,
   16537, 16540, 16544, 16551, 16555, 16559, 16568, 16580, 16581, 16585,
   16586, 16590, 16591, 16594, 16595, 16600, 16601, 16605, 16606, 16610,
   16622, 16623, 16624, 16625, 16626, 16627, 16628, 16629, 16630, 16634,
   16636, 16641, 16642, 16643, 16644, 16645, 16646, 16647, 16649, 16653,
   16655, 16657, 16660, 16664, 16667, 16671, 16680, 16697, 16704, 16709,
   16715, 16716, 16717, 16718, 16719, 16723, 16732, 16746, 16747, 16748,
   16749, 16750, 16759, 16760, 16761, 16762, 16763, 16767, 16769, 16779,
   16782, 16788, 16789, 16790, 16794, 16795, 16796, 16800, 16801, 16805,
   16823, 16843, 16844, 16853, 16854, 16858, 16859, 16862, 16870, 16878,
   16886, 16909, 16910, 16921, 16925, 16931, 16933, 16938, 16940, 16942,
   16952, 16954, 16965, 16969, 16973, 16977, 16981, 16990, 16998, 17030,
   17034, 17041, 17049, 17053, 17057, 17063, 17064, 17066, 17067, 17068,
   17072, 17113, 17141, 17145, 17149, 17155, 17157, 17171, 17207, 17220,
   17221, 17224, 17225, 17242, 17243, 17244, 17249, 17250, 17251, 17256,
   17257, 17258, 17259, 17265, 17266, 17267, 17268, 17269, 17275, 17276,
   17296, 17297, 17298, 17299, 17300, 17301, 17302, 17303, 17304, 17305,
   17306, 17307, 17308, 17309, 17310, 17311, 17312, 17313, 17314, 17315,
   17316, 17317, 17318, 17319, 17320, 17321, 17322, 17323, 17324, 17325,
   17326, 17327, 17328, 17329, 17330, 17331, 17332, 17333, 17334, 17335,
   17336, 17337, 17338, 17339, 17340, 17341, 17342, 17343, 17344, 17345,
   17346, 17347, 17348, 17349, 17350, 17351, 17352, 17353, 17354, 17355,
   17356, 17357, 17358, 17359, 17360, 17361, 17362, 17363, 17364, 17365,
   17366, 17367, 17368, 17369, 17370, 17371, 17372, 17373, 17374, 17375,
   17376, 17377, 17378, 17379, 17380, 17381, 17382, 17383, 17384, 17385,
   17386, 17387, 17388, 17389, 17390, 17391, 17392, 17393, 17394, 17395,
   17396, 17397, 17398, 17399, 17400, 17401, 17402, 17403, 17404, 17405,
   17406, 17407, 17408, 17409, 17410, 17411, 17412, 17413, 17414, 17415,
   17416, 17417, 17418, 17419, 17420, 17421, 17422, 17423, 17424, 17425,
   17426, 17427, 17428, 17429, 17430, 17431, 17432, 17433, 17434, 17435,
   17436, 17437, 17438, 17439, 17440, 17441, 17442, 17443, 17444, 17445,
   17446, 17447, 17448, 17449, 17450, 17451, 17452, 17453, 17454, 17455,
   17456, 17457, 17458, 17459, 17460, 17461, 17462, 17463, 17464, 17465,
   17466, 17467, 17468, 17469, 17470, 17471, 17472, 17473, 17474, 17475,
   17476, 17477, 17478, 17479, 17480, 17481, 17482, 17483, 17484, 17485,
   17486, 17487, 17488, 17489, 17490, 17491, 17492, 17493, 17494, 17495,
   17496, 17497, 17498, 17499, 17500, 17501, 17502, 17503, 17504, 17505,
   17506, 17507, 17508, 17509, 17510, 17511, 17512, 17513, 17514, 17515,
   17516, 17517, 17518, 17519, 17520, 17521, 17522, 17523, 17524, 17525,
   17526, 17527, 17528, 17529, 17530, 17531, 17532, 17533, 17534, 17535,
   17536, 17537, 17538, 17539, 17540, 17541, 17542, 17543, 17544, 17545,
   17546, 17547, 17548, 17549, 17550, 17551, 17552, 17553, 17554, 17555,
   17556, 17557, 17558, 17559, 17560, 17561, 17562, 17563, 17564, 17565,
   17566, 17567, 17568, 17569, 17570, 17571, 17572, 17573, 17574, 17575,
   17576, 17577, 17578, 17579, 17580, 17581, 17582, 17583, 17584, 17585,
   17586, 17587, 17588, 17589, 17590, 17591, 17592, 17593, 17594, 17595,
   17596, 17597, 17598, 17599, 17600, 17601, 17602, 17603, 17604, 17605,
   17606, 17607, 17608, 17609, 17610, 17611, 17612, 17613, 17614, 17615,
   17616, 17617, 17631, 17632, 17633, 17634, 17635, 17636, 17637, 17638,
   17639, 17640, 17641, 17642, 17643, 17644, 17645, 17646, 17647, 17648,
   17649, 17650, 17651, 17652, 17653, 17654, 17655, 17656, 17657, 17658,
   17659, 17660, 17661, 17662, 17663, 17664, 17665, 17666, 17667, 17668,
   17669, 17670, 17671, 17672, 17673, 17674, 17675, 17676, 17677, 17678,
   17679, 17680, 17681, 17682, 17683, 17684, 17685, 17686, 17687, 17688,
   17689, 17690, 17691, 17692, 17706, 17707, 17708, 17709, 17710, 17711,
   17712, 17713, 17714, 17715, 17716, 17717, 17718, 17719, 17720, 17721,
   17722, 17723, 17724, 17725, 17726, 17727, 17728, 17738, 17739, 17740,
   17741, 17742, 17743, 17744, 17745, 17746, 17747, 17748, 17749, 17750,
   17751, 17752, 17753, 17754, 17755, 17756, 17757, 17758, 17759, 17760,
   17761, 17762, 17763, 17764, 17765, 17766, 17767, 17768, 17769, 17770,
   17771, 17772, 17773, 17774, 17775, 17776, 17777, 17778, 17779, 17780,
   17781, 17782, 17783, 17784, 17785, 17786, 17787, 17788, 17789, 17790,
   17791, 17792, 17793, 17794, 17795, 17796, 17797, 17798, 17799, 17800,
   17801, 17802, 17803, 17804, 17805, 17806, 17807, 17808, 17809, 17810,
   17811, 17812, 17813, 17814, 17815, 17828, 17829, 17830, 17831, 17832,
   17833, 17834, 17835, 17836, 17837, 17838, 17839, 17840, 17841, 17842,
   17843, 17844, 17845, 17846, 17847, 17848, 17849, 17850, 17851, 17852,
   17853, 17854, 17855, 17856, 17857, 17858, 17859, 17860, 17861, 17862,
   17863, 17864, 17865, 17866, 17867, 17868, 17869, 17870, 17871, 17872,
   17873, 17874, 17875, 17876, 17877, 17878, 17879, 17880, 17881, 17882,
   17883, 17884, 17885, 17886, 17887, 17888, 17889, 17890, 17891, 17892,
   17893, 17894, 17895, 17896, 17897, 17898, 17899, 17900, 17901, 17902,
   17903, 17904, 17905, 17906, 17907, 17908, 17909, 17910, 17911, 17912,
   17913, 17914, 17915, 17916, 17917, 17918, 17919, 17920, 17921, 17922,
   17923, 17924, 17925, 17926, 17927, 17928, 17929, 17930, 17931, 17932,
   17933, 17934, 17935, 17936, 17937, 17938, 17939, 17940, 17941, 17942,
   17943, 17944, 17945, 17946, 17947, 17948, 17949, 17950, 17951, 17952,
   17953, 17954, 17955, 17956, 17957, 17958, 17959, 17960, 17961, 17962,
   17963, 17964, 17965, 17966, 17967, 17968, 17969, 17970, 17971, 17972,
   17973, 17974, 17975, 17976, 17977, 17978, 17979, 17980, 17981, 17982,
   17983, 17984, 17985, 17986, 17987, 17988, 17989, 17990, 17991, 17992,
   17993, 17994, 17995, 17996, 17997, 17998, 17999, 18000, 18001, 18002,
   18003, 18004, 18005, 18006, 18007, 18008, 18009, 18010, 18011, 18012,
   18013, 18014, 18015, 18016, 18017, 18018, 18019, 18020, 18021, 18022,
   18023, 18024, 18025, 18026, 18027, 18028, 18029, 18030, 18031, 18032,
   18033, 18034, 18035, 18036, 18037, 18038, 18039, 18040, 18041, 18042,
   18043, 18044, 18045, 18046, 18047, 18048, 18049, 18050, 18051, 18052,
   18053, 18054, 18055, 18056, 18057, 18058, 18059, 18060, 18061, 18062,
   18063, 18064, 18065, 18066, 18067, 18068, 18069, 18070, 18071, 18072,
   18073, 18074, 18075, 18076, 18077, 18078, 18079, 18080, 18081, 18082,
   18083, 18084, 18085, 18086, 18087, 18088, 18089, 18090, 18091, 18092,
   18093, 18094, 18095, 18096, 18097, 18098, 18099, 18100, 18101, 18102,
   18103, 18104, 18105, 18106, 18107, 18108, 18109, 18110, 18111, 18112,
   18113, 18114, 18115, 18116, 18117, 18118, 18119, 18120, 18121, 18122,
   18123, 18124, 18125, 18126, 18127, 18128, 18129, 18130, 18131, 18132,
   18133, 18134, 18135, 18136, 18137, 18138, 18139, 18140, 18141, 18142,
   18143, 18144, 18145, 18146, 18147, 18148, 18149, 18150, 18151, 18152,
   18153, 18154, 18155, 18156, 18157, 18158, 18159, 18160, 18161, 18162,
   18163, 18164, 18165, 18166, 18167, 18168, 18169, 18170, 18171, 18172,
   18173, 18174, 18175, 18176, 18177, 18178, 18179, 18180, 18181, 18182,
   18183, 18184, 18185, 18186, 18187, 18188, 18189, 18190, 18191, 18192,
   18193, 18194, 18195, 18196, 18197, 18198, 18199, 18200, 18201, 18202,
   18203, 18204, 18205, 18206, 18207, 18208, 18209, 18210, 18211, 18212,
   18213, 18214, 18215, 18216, 18217, 18218, 18219, 18220, 18221, 18222,
   18223, 18224, 18225, 18226, 18227, 18228, 18229, 18230, 18231, 18232,
   18233, 18234, 18235, 18236, 18237, 18238, 18239, 18240, 18241, 18242,
   18243, 18244, 18245, 18246, 18247, 18248, 18249, 18250, 18251, 18252,
   18253, 18254, 18255, 18256, 18257, 18258, 18259, 18260, 18261, 18262,
   18263, 18264, 18265, 18266, 18267, 18268, 18269, 18270, 18271, 18272,
   18273
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || 0
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "UIDENT", "FCONST", "SCONST",
  "USCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "EQUALS_GREATER", "LESS_EQUALS",
  "GREATER_EQUALS", "NOT_EQUALS", "ABORT_P", "ABSENT", "ABSOLUTE_P",
  "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL",
  "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY",
  "AS", "ASC", "ASENSITIVE", "ASSERTION", "ASSIGNMENT", "ASYMMETRIC",
  "ATOMIC", "AT", "ATTACH", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD",
  "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P",
  "BOTH", "BREADTH", "BY", "CACHE", "CALL", "CALLED", "CASCADE",
  "CASCADED", "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COLUMNS", "COMMENT",
  "COMMENTS", "COMMIT", "COMMITTED", "COMPRESSION", "CONCURRENTLY",
  "CONDITIONAL", "CONFIGURATION", "CONFLICT", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CUBE", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DEPENDS", "DEPTH", "DESC", "DETACH",
  "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT", "DO", "DOCUMENT_P",
  "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE", "EMPTY_P", "ENABLE_P",
  "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ERROR_P", "ESCAPE", "EVENT",
  "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE", "EXISTS",
  "EXPLAIN", "EXPRESSION", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FINALIZE", "FIRST_P", "FLOAT_P",
  "FOLLOWING", "FOR", "FORCE", "FOREIGN", "FORMAT", "FORWARD", "FREEZE",
  "FROM", "FULL", "FUNCTION", "FUNCTIONS", "GENERATED", "GLOBAL", "GRANT",
  "GRANTED", "GREATEST", "GROUP_P", "GROUPING", "GROUPS", "HANDLER",
  "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P", "ILIKE",
  "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IMPORT_P", "IN_P", "INCLUDE",
  "INCLUDING", "INCREMENT", "INDENT", "INDEX", "INDEXES", "INHERIT",
  "INHERITS", "INITIALLY", "INLINE_P", "INNER_P", "INOUT", "INPUT_P",
  "INSENSITIVE", "INSERT", "INSTEAD", "INT_P", "INTEGER", "INTERSECT",
  "INTERVAL", "INTO", "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN",
  "JSON", "JSON_ARRAY", "JSON_ARRAYAGG", "JSON_EXISTS", "JSON_OBJECT",
  "JSON_OBJECTAGG", "JSON_QUERY", "JSON_SCALAR", "JSON_SERIALIZE",
  "JSON_VALUE", "KEEP", "KEY", "KEYS", "LABEL", "LANGUAGE", "LARGE_P",
  "LAST_P", "LATERAL_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL",
  "LIKE", "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME",
  "LOCALTIMESTAMP", "LOCATION", "LOCK_P", "LOCKED", "LOGGED", "MAPPING",
  "MATCH", "MATCHED", "MATERIALIZED", "MAXVALUE", "MERGE", "MERGE_ACTION",
  "METHOD", "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P",
  "NAMES", "NATIONAL", "NATURAL", "NCHAR", "NEW", "NEXT", "NFC", "NFD",
  "NFKC", "NFKD", "NO", "NONE", "NORMALIZE", "NORMALIZED", "NOT",
  "NOTHING", "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P",
  "NUMERIC", "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "OLD", "OMIT",
  "ON", "ONLY", "OPERATOR", "OPTION", "OPTIONS", "OR", "ORDER",
  "ORDINALITY", "OTHERS", "OUT_P", "OUTER_P", "OVER", "OVERLAPS",
  "OVERLAY", "OVERRIDING", "OWNED", "OWNER", "PARALLEL", "PARAMETER",
  "PARSER", "PARTIAL", "PARTITION", "PASSING", "PASSWORD", "PLACING",
  "PLANS", "POLICY", "POSITION", "PRECEDING", "PRECISION", "PRESERVE",
  "PREPARE", "PREPARED", "PRIMARY", "PRIOR", "PRIVILEGES", "PROCEDURAL",
  "PROCEDURE", "PROCEDURES", "PROGRAM", "PUBLICATION", "QUOTE", "QUOTES",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF_P",
  "REFERENCES", "REFERENCING", "REFRESH", "REINDEX", "RELATIVE_P",
  "RELEASE", "RENAME", "REPEATABLE", "REPLACE", "REPLICA", "RESET",
  "RESTART", "RESTRICT", "RETURN", "RETURNING", "RETURNS", "REVOKE",
  "RIGHT", "ROLE", "ROLLBACK", "ROLLUP", "ROUTINE", "ROUTINES", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCALAR", "SCHEMA", "SCHEMAS", "SCROLL",
  "SEARCH", "SECOND_P", "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES",
  "SERIALIZABLE", "SERVER", "SESSION", "SESSION_USER", "SET", "SETS",
  "SETOF", "SHARE", "SHOW", "SIMILAR", "SIMPLE", "SKIP", "SMALLINT",
  "SNAPSHOT", "SOME", "SQL_P", "STABLE", "STANDALONE_P", "START",
  "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE", "STORED",
  "STRICT_P", "STRING_P", "STRIP_P", "SUBSCRIPTION", "SUBSTRING",
  "SUPPORT", "SYMMETRIC", "SYSID", "SYSTEM_P", "SYSTEM_USER", "TABLE",
  "TABLES", "TABLESAMPLE", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIES", "TIME", "TIMESTAMP", "TO", "TRAILING",
  "TRANSACTION", "TRANSFORM", "TREAT", "TRIGGER", "TRIM", "TRUE_P",
  "TRUNCATE", "TRUSTED", "TYPE_P", "TYPES_P", "UESCAPE", "UNBOUNDED",
  "UNCONDITIONAL", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLNAMESPACES", "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE",
  "XMLTABLE", "YEAR_P", "YES_P", "ZONE", "FORMAT_LA", "NOT_LA", "NULLS_LA",
  "WITH_LA", "WITHOUT_LA", "MODE_TYPE_NAME", "MODE_PLPGSQL_EXPR",
  "MODE_PLPGSQL_ASSIGN1", "MODE_PLPGSQL_ASSIGN2", "MODE_PLPGSQL_ASSIGN3",
  "'<'", "'>'", "'='", "'+'", "'-'", "'*'", "'/'", "'%'", "'^'", "UMINUS",
  "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'", "$accept",
  "parse_toplevel", "stmtmulti", "toplevel_stmt", "stmt",
  "opt_single_name", "opt_qualified_name", "opt_concurrently",
  "opt_drop_behavior", "CallStmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "DropRoleStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "CreateSchemaStmt", "OptSchemaEltList",
  "schema_stmt", "VariableSetStmt", "set_rest", "generic_set",
  "set_rest_more", "var_name", "var_list", "var_value", "iso_level",
  "opt_boolean_or_string", "zone_value", "opt_encoding",
  "NonReservedWord_or_Sconst", "VariableResetStmt", "reset_rest",
  "generic_reset", "SetResetClause", "FunctionSetResetClause",
  "VariableShowStmt", "ConstraintsSetStmt", "constraints_set_list",
  "constraints_set_mode", "CheckPointStmt", "DiscardStmt",
  "AlterTableStmt", "alter_table_cmds", "partition_cmd",
  "index_partition_cmd", "alter_table_cmd", "alter_column_default",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "alter_identity_column_option_list", "alter_identity_column_option",
  "set_statistics_value", "set_access_method_name", "PartitionBoundSpec",
  "hash_partbound_elem", "hash_partbound", "AlterCompositeTypeStmt",
  "alter_type_cmds", "alter_type_cmd", "ClosePortalStmt", "CopyStmt",
  "copy_from", "opt_program", "copy_file_name", "copy_options",
  "copy_opt_list", "copy_opt_item", "opt_binary", "copy_delimiter",
  "opt_using", "copy_generic_opt_list", "copy_generic_opt_elem",
  "copy_generic_opt_arg", "copy_generic_opt_arg_list",
  "copy_generic_opt_arg_list_item", "CreateStmt", "OptTemp",
  "OptTableElementList", "OptTypedTableElementList", "TableElementList",
  "TypedTableElementList", "TableElement", "TypedTableElement",
  "columnDef", "columnOptions", "column_compression",
  "opt_column_compression", "column_storage", "opt_column_storage",
  "ColQualList", "ColConstraint", "ColConstraintElem",
  "opt_unique_null_treatment", "generated_when", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit",
  "opt_without_overlaps", "opt_column_list", "columnList", "columnElem",
  "opt_c_include", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "OptWhereClause", "key_actions", "key_update",
  "key_delete", "key_action", "OptInherit", "OptPartitionSpec",
  "PartitionSpec", "part_params", "part_elem",
  "table_access_method_clause", "OptWith", "OnCommitOption",
  "OptTableSpace", "OptConsTableSpace", "ExistingIndex", "CreateStatsStmt",
  "stats_params", "stats_param", "AlterStatsStmt", "CreateAsStmt",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "OptParenthesizedSeqOptList",
  "SeqOptList", "SeqOptElem", "opt_by", "NumericOnly", "NumericOnly_list",
  "CreatePLangStmt", "opt_trusted", "handler_name", "opt_inline_handler",
  "validator_clause", "opt_validator", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "AlterForeignServerStmt",
  "CreateForeignTableStmt", "ImportForeignSchemaStmt",
  "import_qualification_type", "import_qualification",
  "CreateUserMappingStmt", "auth_ident", "DropUserMappingStmt",
  "AlterUserMappingStmt", "CreatePolicyStmt", "AlterPolicyStmt",
  "RowSecurityOptionalExpr", "RowSecurityOptionalWithCheck",
  "RowSecurityDefaultToRole", "RowSecurityOptionalToRole",
  "RowSecurityDefaultPermissive", "RowSecurityDefaultForCmd",
  "row_security_cmd", "CreateAmStmt", "am_type", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerReferencing", "TriggerTransitions", "TriggerTransition",
  "TransitionOldOrNew", "TransitionRowOrTable", "TransitionRelName",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "FUNCTION_or_PROCEDURE", "TriggerFuncArgs", "TriggerFuncArg",
  "OptConstrFromTable", "ConstraintAttributeSpec",
  "ConstraintAttributeElem", "CreateEventTrigStmt",
  "event_trigger_when_list", "event_trigger_when_item",
  "event_trigger_value_list", "AlterEventTrigStmt", "enable_trigger",
  "CreateAssertionStmt", "DefineStmt", "definition", "def_list",
  "def_elem", "def_arg", "old_aggr_definition", "old_aggr_list",
  "old_aggr_elem", "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "object_type_any_name", "object_type_name", "drop_type_name",
  "object_type_name_on_any_name", "any_name_list", "any_name", "attrs",
  "type_name_list", "TruncateStmt", "opt_restart_seqs", "CommentStmt",
  "comment_text", "SecLabelStmt", "opt_provider", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "parameter_name_list", "parameter_name", "privilege_target",
  "grantee_list", "grantee", "opt_grant_grant_option", "GrantRoleStmt",
  "RevokeRoleStmt", "grant_role_opt_list", "grant_role_opt",
  "grant_role_opt_value", "opt_granted_by", "AlterDefaultPrivilegesStmt",
  "DefACLOptionList", "DefACLOption", "DefACLAction",
  "defacl_privilege_target", "IndexStmt", "opt_unique",
  "access_method_clause", "index_params", "index_elem_options",
  "index_elem", "opt_include", "index_including_params", "opt_collate",
  "opt_asc_desc", "opt_nulls_order", "CreateFunctionStmt",
  "opt_or_replace", "func_args", "func_args_list",
  "function_with_argtypes_list", "function_with_argtypes",
  "func_args_with_defaults", "func_args_with_defaults_list", "func_arg",
  "arg_class", "param_name", "func_return", "func_type",
  "func_arg_with_default", "aggr_arg", "aggr_args", "aggr_args_list",
  "aggregate_with_argtypes", "aggregate_with_argtypes_list",
  "opt_createfunc_opt_list", "createfunc_opt_list", "common_func_opt_item",
  "createfunc_opt_item", "func_as", "ReturnStmt", "opt_routine_body",
  "routine_body_stmt_list", "routine_body_stmt", "transform_type_list",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "operator_with_argtypes_list", "operator_with_argtypes",
  "DoStmt", "dostmt_opt_list", "dostmt_opt_item", "CreateCastStmt",
  "cast_context", "DropCastStmt", "opt_if_exists", "CreateTransformStmt",
  "transform_element_list", "DropTransformStmt", "ReindexStmt",
  "reindex_target_relation", "reindex_target_all",
  "opt_reindex_option_list", "AlterTblSpcStmt", "RenameStmt", "opt_column",
  "opt_set_data", "AlterObjectDependsStmt", "opt_no",
  "AlterObjectSchemaStmt", "AlterOperatorStmt", "operator_def_list",
  "operator_def_elem", "operator_def_arg", "AlterTypeStmt",
  "AlterOwnerStmt", "CreatePublicationStmt", "PublicationObjSpec",
  "pub_obj_list", "AlterPublicationStmt", "CreateSubscriptionStmt",
  "AlterSubscriptionStmt", "DropSubscriptionStmt", "RuleStmt",
  "RuleActionList", "RuleActionMulti", "RuleActionStmt",
  "RuleActionStmtOrEmpty", "event", "opt_instead", "NotifyStmt",
  "notify_payload", "ListenStmt", "UnlistenStmt", "TransactionStmt",
  "TransactionStmtLegacy", "opt_transaction", "transaction_mode_item",
  "transaction_mode_list", "transaction_mode_list_or_empty",
  "opt_transaction_chain", "ViewStmt", "opt_check_option", "LoadStmt",
  "CreatedbStmt", "createdb_opt_list", "createdb_opt_items",
  "createdb_opt_item", "createdb_opt_name", "opt_equal",
  "AlterDatabaseStmt", "AlterDatabaseSetStmt", "DropdbStmt",
  "drop_option_list", "drop_option", "AlterCollationStmt",
  "AlterSystemStmt", "CreateDomainStmt", "AlterDomainStmt", "opt_as",
  "AlterTSDictionaryStmt", "AlterTSConfigurationStmt", "any_with",
  "CreateConversionStmt", "ClusterStmt", "cluster_index_specification",
  "VacuumStmt", "AnalyzeStmt", "utility_option_list", "analyze_keyword",
  "utility_option_elem", "utility_option_name", "utility_option_arg",
  "opt_analyze", "opt_verbose", "opt_full", "opt_freeze", "opt_name_list",
  "vacuum_relation", "vacuum_relation_list", "opt_vacuum_relation_list",
  "ExplainStmt", "ExplainableStmt", "PrepareStmt", "prep_type_clause",
  "PreparableStmt", "ExecuteStmt", "execute_param_clause",
  "DeallocateStmt", "InsertStmt", "insert_target", "insert_rest",
  "override_kind", "insert_column_list", "insert_column_item",
  "opt_on_conflict", "opt_conf_expr", "returning_clause", "DeleteStmt",
  "using_clause", "LockStmt", "opt_lock", "lock_type", "opt_nowait",
  "opt_nowait_or_skip", "UpdateStmt", "set_clause_list", "set_clause",
  "set_target", "set_target_list", "MergeStmt", "merge_when_list",
  "merge_when_clause", "opt_merge_when_condition", "merge_update",
  "merge_delete", "merge_insert", "merge_values_clause",
  "DeclareCursorStmt", "cursor_name", "cursor_options", "opt_hold",
  "SelectStmt", "select_with_parens", "select_no_parens", "select_clause",
  "simple_select", "with_clause", "cte_list", "common_table_expr",
  "opt_materialized", "opt_search_clause", "opt_cycle_clause",
  "opt_with_clause", "into_clause", "OptTempTableName", "opt_table",
  "set_quantifier", "distinct_clause", "opt_all_clause",
  "opt_distinct_clause", "opt_sort_clause", "sort_clause", "sortby_list",
  "sortby", "select_limit", "opt_select_limit", "limit_clause",
  "offset_clause", "select_limit_value", "select_offset_value",
  "select_fetch_first_value", "I_or_F_const", "row_or_rows",
  "first_or_next", "group_clause", "group_by_list", "group_by_item",
  "empty_grouping_set", "rollup_clause", "cube_clause",
  "grouping_sets_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "opt_alias_clause_for_join_using",
  "func_alias_clause", "join_type", "opt_outer", "join_qual",
  "relation_expr", "extended_relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "tablesample_clause", "opt_repeatable_clause",
  "func_table", "rowsfrom_item", "rowsfrom_list", "opt_col_def_list",
  "opt_ordinality", "where_clause", "where_or_current_clause",
  "OptTableFuncElementList", "TableFuncElementList", "TableFuncElement",
  "xmltable", "xmltable_column_list", "xmltable_column_el",
  "xmltable_column_option_list", "xmltable_column_option_el",
  "xml_namespace_list", "xml_namespace_el", "Typename", "opt_array_bounds",
  "SimpleTypename", "ConstTypename", "GenericType", "opt_type_modifiers",
  "Numeric", "opt_float", "Bit", "ConstBit", "BitWithLength",
  "BitWithoutLength", "Character", "ConstCharacter", "CharacterWithLength",
  "CharacterWithoutLength", "character", "opt_varying", "ConstDatetime",
  "ConstInterval", "opt_timezone", "opt_interval", "interval_second",
  "JsonType", "a_expr", "b_expr", "c_expr", "func_application",
  "func_expr", "func_expr_windowless", "func_expr_common_subexpr",
  "xml_root_version", "opt_xml_root_standalone", "xml_attributes",
  "xml_attribute_list", "xml_attribute_el", "document_or_content",
  "xml_indent_option", "xml_whitespace_option", "xmlexists_argument",
  "xml_passing_mech", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "opt_window_exclusion_clause", "row", "explicit_row",
  "implicit_row", "sub_type", "all_Op", "MathOp", "qual_Op", "qual_all_Op",
  "subquery_Op", "expr_list", "func_arg_list", "func_arg_expr",
  "func_arg_list_opt", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "unicode_normal_form", "overlay_list",
  "position_list", "substr_list", "trim_list", "in_expr", "case_expr",
  "when_clause_list", "when_clause", "case_default", "case_arg",
  "columnref", "indirection_el", "opt_slice_bound", "indirection",
  "opt_indirection", "opt_asymmetric", "json_passing_clause_opt",
  "json_arguments", "json_argument", "json_wrapper_behavior",
  "json_behavior", "json_behavior_type", "json_behavior_clause_opt",
  "json_on_error_clause_opt", "json_value_expr", "json_format_clause",
  "json_format_clause_opt", "json_quotes_clause_opt",
  "json_returning_clause_opt", "json_predicate_type_constraint",
  "json_key_uniqueness_constraint_opt", "json_name_and_value_list",
  "json_name_and_value", "json_object_constructor_null_clause_opt",
  "json_array_constructor_null_clause_opt", "json_value_expr_list",
  "json_aggregate_func", "json_array_aggregate_order_by_clause_opt",
  "opt_target_list", "target_list", "target_el", "qualified_name_list",
  "qualified_name", "name_list", "name", "attr_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "SignedIconst", "RoleId",
  "RoleSpec", "role_list", "PLpgSQL_Expr", "PLAssignStmt",
  "plassign_target", "plassign_equals", "ColId", "type_function_name",
  "NonReservedWord", "ColLabel", "BareColLabel", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "bare_label_keyword", YY_NULLPTR
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[NUM] -- (External) token number corresponding to the
   (internal) symbol number NUM (which must be that of a token).  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,    60,    62,    61,    43,    45,
      42,    47,    37,    94,   770,    91,    93,    40,    41,    46,
      59,    44,    58
};
# endif

#define YYPACT_NINF -5640

#define yypact_value_is_default(Yystate) \
  (!!((Yystate) == (-5640)))

#define YYTABLE_NINF -2956

#define yytable_value_is_error(Yytable_value) \
  (!!((Yytable_value) == (-2956)))

  /* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
     STATE-NUM.  */
static const int yypact[] =
{
    8640,  1491, 21439, -5640, -5640,  1491, 71682, -5640, 81220,  1599,
     187,    86,   228, 21045, 81722, 92264,   627,   440, 10788,  1491,
   92264,  2287, 62143, 77204,   331, 92264,  1581,   776, 62143, 92264,
   92766,   893,  1633,   695, 93268, 82224, 76200,  1433, 92264,  1726,
     412, 93770, 82726,  1368, 83228,   776, 57134,   159,  1473, 94272,
   92264,117294,   412, 83730, 83730, 83730,  1992,  2090,  1570, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640,  1617, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640,  2356, -5640,   887,
    2635,  1652,   278,  1580, -5640, -5640,  2206, 71682, 92264, 92264,
   92264,  1935, 92264,  1835, 92264,   234, 71682, 68168, 84232,  2014,
    1930, 53002, 94774, -5640, 71682, 92264, 65658, 71682, 92264, 92264,
   95276, 92264, 95778, 92264,  1775, 79714, 92264,  2029, 92264, 92264,
   66160, 96280,  2194,   974,   290, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640,  1950,  1224, -5640,   301, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, 62645, 92264, 20401,  1581,
    2206, -5640,  1992, 92264,  2188, 92264,  1972, 96782, 92264, -5640,
   92264,  2101, 97284,   251,  2016, 68168,  2214, 53523,  2178, 92264,
   92264, 68168, 97786, 98288, 98790, 92264, 92264, -5640, -5640,  2130,
   92264, -5640,  2301, 68670,  1881,  2328,  2487,  2417,   920, -5640,
   84734, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, 71180,
     440, -5640, -5640,  2349, 72184,  2468, -5640, -5640, 99292,117782,
    2187, -5640,   931, 72686, 69172,  2563,  2193, 54044,  2615, -5640,
   73188, -5640, 69674, 73690, -5640, -5640, -5640, -5640, -5640, 99794,
   -5640,100296,  2300,  2468, -5640,118270, 70176, -5640,  2469,100798,
  101300,101802,  2206,  2164,  1471,  2295, 47372, -5640, -5640, -5640,
    2250, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
     401,  1845,   255,   254,   261, -5640, -5640,   263,   288,   289,
     401,  2720,  2720, -5640, 92264, -5640, -5640,  1845,   764,  2326,
    2242,  2242,  2242,  2483,     7, -5640,  2242,  2414, -5640, -5640,
   -5640, -5640, 83228, -5640,  2273,  1581,  2282,  2759,  2383, 62645,
    1523, 92264, -5640, -5640,  2791,  2361,  2648,  2357, -5640, -5640,
   -5640,  2593,  2628,   127,   767,  1581,   295, -5640,  2793, -5640,
    2674, 32418, 32418,  1581, 85236,102304,   328, 71180,  1581, 85738,
    2500,  1413,  2722, -5640, -5640, -5640,   166, -5640,  2968,  2532,
    2822,  2357,   974, 49404, -5640, -5640,  2539,  1224, 83228, -5640,
   -5640, -5640, 62645,  2888, 35538, 92264,  2550, -5640,  2568,  2550,
   -5640, -5640,  2647, -5640,  2647,  2647,  2578,  2578,  2799,  2630,
   -5640, -5640, -5640, -5640,  2290,  2647,  2578, -5640,119246, -5640,
     694,  1963, -5640, -5640,  3104, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640,  2680, -5640,  1015, -5640,  1976, -5640, -5640,
   -5640, 32418, -5640, -5640, -5640, -5640, -5640, -5640, -5640,  2624,
    2673,  1652, -5640, 10252, 62645, 92264,   420,   420,  3149,   420,
    2071,  2153, -5640,  2842, -5640,  3033,  2990,  2993, 83228,  2689,
    1216, -5640,  1596,  2690,  1771,  2691,  1847,  2307, -5640,   337,
   92264,   427,  2731, 86240,  7552,  2694,  1224,  2696, -5640, -5640,
   -5640, -5640,  2864,   404, -5640, -5640, -5640, -5640,  3030,  3076,
    7034,   345, 86742, -5640, -5640, -5640, -5640, 92264, 92264, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,  2711,  1303,
   -5640, -5640,  2718,  3083,  2939,  8521,  1379,  3047,  2887,  1934,
    9277,  2946,   868,  3096, 10591,  1532,  3097,  1975,  1053, 87244,
   92264,  3054,  3101,  7273,  2104,   947,  2954,  1110,  3047,  3090,
    2900,  1934,  3107,  5623, 92264, -5640,  3019,  3148,  1189, -5640,
     862, -5640, 25193, 35538, 56632, -5640,  1224, -5640,  1333, -5640,
   -5640, 61641, -5640,  2807,  2969,  1203, 71682,  2747, 92264, 92264,
   -5640,117294, 71682, -5640,  2977, 54565, 71682, -5640, 71682, -5640,
   -5640,  3108,117294, 92264, 92264, -5640, 92264, -5640, -5640,  2750,
   -5640, -5640, -5640, -5640, -5640,  2242, 92264,  3208,117294,  2991,
     161,  1800,  3244, 92264,  2995,  1800,  2795,102806, -5640, -5640,
    1800, -5640, -5640, -5640, 92264, 92264,  2760,  2049,  2980,   886,
    1800,  2998,  3241,  3247,  3007,  2851,  3018,  2568, -5640,  3218,
    2989,   949,   226,  2176,  1800,  2837,103308,103810, 92264,  2840,
   92264,  3231, 71682,  2877, 71682, 71682, 92264,  3155, 92264, -5640,
    2985, -5640, -5640,  1482, -5640, -5640, -5640, -5640, -5640,  3172,
   -5640,   212,  3173,  2804,  3175,  1659,  3176,   324, -5640, -5640,
    2847, -5640,  3182,   343, -5640,  3185, -5640,  2812,104312, -5640,
  104814,105316,  3187,   353, -5640, 68168,  3189,   343,  3190,  2812,
    3191,   343,  3196,  1121,  3197, -5640,  1008,  3184,  3199,   324,
    3202,  2196,  2812, -5640,  3203,   357, -5640,  3204,   391, -5640,
    3210,  3059, -5640, 35538, -5640,  2941, -5640,  1473,  1859,  2295,
    1845, -5640, 92264,  1845, 92264,  1845, 92264,  1845, 92264,  1845,
   92264, 92264, 92264,  1845, -5640, -5640, -5640, 92264,  2844, 92264,
   -5640, 92264, -5640, -5640, -5640, 78208, 68168, 78710, -5640, 92264,
   -5640,   150,  1581, -5640, -5640,117294,  3334, 68168,  3231,  1978,
   -5640, -5640,  3231, -5640, -5640,  3231,  3231, -5640, -5640, -5640,
    3124, 92264,  3205, 78208, 68168,  3206, -5640,105818, -5640, 71180,
    3069,  2852, -5640, -5640, -5640, -5640, -5640,  2172,  3374,   275,
    3375, 35538,  2856,   275,   275,  2857,  3215, -5640, -5640, -5640,
     303,  2860,  2862, -5640,   273,   273, -5640,  2863,  2867, -5640,
     279,  2869,  2870,  3392,  3394,   287,   294,  2874,  2878,  2880,
    2881,  2882,  2883,  2884,  2885,  2886,  2890,  2891,  2894,  2896,
    2290,   275,  2898, 35538, -5640,  2899,   273,  2902,  2903,  2905,
    3398,  2906, -5640,  3409,  2908, -5640,   262,   368,  2909,  2911,
   -5640,  3130, -5640,   296,  2913,  2917,  2919,  2920,  2921,  2922,
    2924,  2925, 35538, 35538, 35538, -5640, 29813,  1224,  1581, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640,   302, -5640, 51439,
   -5640,  2972, -5640, -5640,  3113, -5640, -5640, 35538, -5640, -5640,
    3288,   808, -5640,   308, -5640, -5640, -5640,  1224,  3237,  2929,
   -5640, -5640,   334,  2930, -5640,  2192, -5640, -5640, -5640, -5640,
   -5640, -5640, 70678,  3426, -5640,   367,  1581,   862,  2062,  3362,
   60135, 60637, -5640, -5640,  3216, -5640, 92264, -5640, -5640,  1224,
     197,  1985, -5640,  2250, 20387,  2004,  2550, 92264, 92264,  3429,
   -5640,  2942, -5640, -5640, 35538, -5640, -5640, -5640,  2720, -5640,
    2647,  2647, -5640, -5640,  3431,  3032,  3034,  2720, -5640,  2720,
   -5640,  2950,  2951,  2720,  3037,  3039,  3040, -5640,  2955,  3041,
    2720, -5640, -5640, 63650,  2189, -5640,  3307,   258, -5640, -5640,
   -5640,  2030, -5640,  2956, -5640,  2568, -5640, -5640,  1652,  1652,
   35538,  1652,   276,  1449, 32938, 36058,  3314,  3186,  1009,   260,
    3318, -5640,  3193,  2071,  2153, 83228, 92264, 83228,106320,  3093,
   35538, -5640,  3423,  3055,  3058,  3110, 59142, -5640,  3064,  3029,
    3070,  3125,  2982,  3073,  3074,  3132, -5640,  3267, -5640, -5640,
    3081,  3447,  3087,106822, -5640, -5640,   323, -5640, -5640, -5640,
     323, -5640,  3011,  1632,  1066,  1426,  3089,   580,   268,  3439,
   -5640,  1586, -5640, -5640,  3150, -5640, 11642, 92264,  3379,  6038,
    3233,   345,  3156, -5640, -5640, -5640,  3295,  3106, 92264,  3109,
    3252,   345,   329,107324, -5640, -5640, 92264, -5640, -5640, -5640,
   -5640,  3818,  3420, 28315, -5640,  2061,  3114,  3086,  3121, 92264,
   74694,   419,  3228,  3250,  1500,   422,   246,  3180, 92264,  1797,
    3260, 92264,  3035,  3127,  3134,  3367,  3045,   502,  3483,  3046,
   -5640, -5640, -5640,  3448, -5640,  1637,  2390,  3256, -5640,  3380,
    3425,  8002,  3115,  3123,115830, -5640,  3146,    42, 55086, 92264,
   92264,  3151,  3152,107826,  3818,  3461, 79212, 79212,  3154,  3158,
   48896,  3476,  1873,  3159, -5640, -5640, -5640,  1873,  3161,  3162,
  108328,  3818,  3465, 92264,  3163,  3165, 92264,119246,   345, -5640,
    3536,   345,   345,  1998,  3537,  3166,   481,  3336,   706,  1800,
    3046,  2717, -5640,  3169,  3174,   362, -5640,  3305, 92264,  3177,
    3178,  1790,  3270,  1581, -5640,  3273, -5640,  3183,  3274,  3198,
      67,  2760, -5640, -5640,  1798,  3195, 83228,  3297,  3309,  1797,
     240,   719,  3046, -5640,  3207,  3211,  3045,  3045, 92264, 92264,
   92264, 92264, 92264,   250,  3575,   307,  3212,   521,  1356,  3117,
   -5640,  1873, 66662,  3213, -5640,  1873, 92264,   244,  1025,  3046,
    1319,   146, -5640, -5640, -5640,   974, -5640, 35538, 35538, 35538,
    3116, -5640,  2591, 20387,    55, -5640,   316, 15656,  3105, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, 92264, 62645, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, 92264, -5640, 92264,  3421,117294,
    3422,  3344,  3430,  3432,   345, 92264, 92264,  3433,  3435,  3436,
  117294,  3437,  3438,  3440,  3357,  3226,   189,  3217,  3141,  3631,
    3513, 92264, 63650, -5640,   323, -5640,117294,  3365,  3515, -5640,
   92264,  3383,    90, -5640,  3555,  3220, -5640, -5640,    65, 92264,
   77706,  2760, -5640, -5640,  3520, 68168,   360,  3525,  1581,  3219,
    3529,  3382,  1581, 68168,  3441, 92264, 92264, 92264, 92264,   192,
   -5640, 66662,  3399, -5640, 92264,  3401,  2717,  3403,  3656,   879,
    2242,108830,  3526, -5640,109332,  3171, 92264,  3188,  3188,  3658,
  117294,   355,  3459, -5640, -5640,  2341, -5640,  3317, -5640, 71682,
   -5640, -5640, 71682, -5640, -5640,117294, 92264,  3192,117294,117294,
   -5640, -5640, 71682, 71682, -5640, 68168, 68168,  3547,   357,  3550,
    3249,  3552,  3253, 55086, 55086, -5640,   408, 71682, -5640, 68168,
   71682, -5640, 92264, -5640, 92264, -5640, -5640, -5640, -5640,117294,
  117294, -5640, 68168, 66662,  3559, 92264, 92264, -5640, 92264, 92264,
   -5640, 92264, 92264,  2032,109834,  2295, -5640, 92264, -5640, 92264,
   -5640, 92264, -5640, 92264, -5640, 92264, -5640, -5640, -5640, 92264,
   -5640, 92264,  2046, -5640, -5640,  2047,   183, 92264, 92264,   245,
   71682, 92264,  3413, 92264, 71682, 71682, 92264, 92264, 92264, 92264,
   92264,  3280,  2930,   890, -5640,   298,   306, 83228,  3427, -5640,
   -5640,  2054,  1992,    18, 92264, -5640, 92264, 92264, 92264, -5640,
   -5640, 77204,  3545,   462, 78710, 92264, -5640, -5640,  9119, 35538,
    1224, 31893, -5640, -5640, 20387,  3245, 35538, 35538,  3200,  2720,
    2720, -5640,  1256, 35538, 35538, 35538, 29293, 35538, 35538, 33458,
   35538, 35538, 35538, 35538, 35538, 35538,  2720,  2720,  3201, 35538,
   11649, 35538, 55086, 35538, 41258, 26245, 35538, 35538, 30333,  1515,
    2863, 35538,  3456, 42292, 35538,  2062,  3458, 35538,  2062, 11649,
    3723,  3723,  2707,  7475,  3209,  1224, -5640,  2720,   230, -5640,
     594,117294, 35538, 35538, 35538, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   35538, -5640, 63650, -5640, -5640, -5640, -5640, -5640, -5640,   872,
   -5640, -5640, -5640, -5640, -5640, -5640,  3540, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   92264, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, 30853, -5640, -5640,
   -5640, -5640,  3214, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640,  4194, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   31373, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640,  3222, -5640, -5640, 35538, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
    3298, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640,  1382, 35538, 35538, 35538, 35538, 35538,
   35538, 35538, 35538, 35538, -5640, 35538,   595, -5640, -5640,  3551,
    3288,  1294,   456,  3224,  3428, 87746, 32418,  3307, 25193, -5640,
     309,  3307, -5640, -5640, -5640, 92264,  3426, -5640, -5640,  3301,
   -5640, -5640, -5640, -5640, -5640,   317, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640,  3221, -5640, -5640, -5640, -5640,  3221, -5640,
    3225,  3548,  3553,  1121, 92264,  2603, 35538,   872,   270, 92264,
   35538,  3214,  4194, 35538,  3222, 35538,  3298, -5640, 35538, -5640,
    2072,  1822, 35538,  2073,  3227, -5640, -5640,  3234,  2951,  3235,
    3240,  3230,  3236,  2720,   284,  3238,   209,   172,  3358,  2720,
    3477,  3239, -5640, 63650, -5640, 44324,  3282, -5640, -5640, -5640,
     412, 92264, 92264, -5640,  3541, -5640,  3242, -5640, 15767,  3541,
   -5640, -5640, 41775,  3368,  3530,  3463, -5640, -5640, -5640,  3243,
   20387, 36578, 36578, -5640,  2299, 20387,  2455, -5640, -5640, -5640,
   -5640, -5640, -5640,   121, -5640, 92264,   149,  3314,   260,  3306,
    1281,  3727,  3310, 92264, -5640, 49912,  2084, -5640, 68168, 92264,
   92264,  3462, -5640,  3719, -5640,119246, -5640,  3254, -5640,118758,
  114854, -5640, -5640,    71, -5640,  1263, 68168, -5640, 92264, 92264,
   68168, 92264, 92264, -5640, 68168,  3308, 92264, 92264, -5640, -5640,
   -5640, -5640, -5640, 61139,  1306, 77204,  3402, 76702, -5640, -5640,
    3258, 92264,  3322,  3544,  3493,  3554,   113, -5640, -5640,110336,
   -5640,  3494, 68168, 92264, 92264, 35538,  3495, 92264, 92264, -5640,
     976,  3351,  3354, -5640, 92264,  3355, 71682,  3271,117294, 71682,
   55607, 71682, 71682,  3628,117294, 92264, 92264,  1405, 83228,   342,
    1052,  3046,  3505, -5640,  1044, -5640, 68168, -5640, 92264,  3496,
   -5640, -5640, -5640, 88248,  3755,  3404, -5640, -5640, -5640,110838,
   -5640, -5640,  3499, -5640,  2085, -5640, 68168, 68168, 92264,  8398,
  111340,    -5,  3518, -5640, -5640,117294, -5640, 92264, 88750, 92264,
   92264,  3561, 92264, 80216,111842,112344,  1173,  1615,  3562, 92264,
   80718,  3563, -5640,  3445, 92264, -5640, -5640, 64152, 68168, 92264,
    1013, 63650, -5640,  3546, -5640, 92264, -5640,  1069, -5640, 92264,
    6721,  3508, -5640, -5640,  3377,  3395, 92264,   428,  1054,  3046,
    3697, 92264, 92264,  3302,  2100, 68168, 92264, 63650, -5640,  3522,
     811, 68168, 92264, 88248, -5640,  3523, -5640, 83228,  3630, -5640,
    3303,  2242,  2539,  2009,  3303, 68168, 92264, -5640,  3303, 92264,
  102304, -5640, 68168,  1450, -5640, 68168, 92264, 88248, -5640,  3531,
    3470, 68168, 92264, 12248, -5640, -5640, -5640,   345, -5640, -5640,
   -5640, -5640, -5640, 92264, 92264,   345, 92264, 92264,   345,  1766,
   -5640, 68168, 92264, -5640, -5640, -5640,  3442, 68168, 92264, 92264,
     398, 92264, -5640, 92264, 68168,  3352, 92264, 92264, -5640, -5640,
   92264,  7814, 92264, 92264, 92264, 92264, 92264, 92264, 68168, 92264,
   -5640, -5640,  1442,  1438,  1704,  1868,   184, 92264,  3640, 92264,
  112846,  1581, 68168, 92264, 92264,  1581, 92264, 63650,   414, -5640,
   -5640,  3444, -5640, 68168,  1450, -5640,  9475, 92264, 92264, 92264,
    3400,  3405,   257,  3491, -5640, -5640, -5640,   109,   109,  3535,
   -5640, 35538, 35538, 33978,  3320, -5640, -5640, 35538,  2807, -5640,
   -5640, -5640,  1092,  3812,  1092,113348,  1092,  1092,  3629,  3389,
    3390,  1092,  1092,  1092,  3614,  1092,  1092,  1092, 92264,  3512,
   -5640, -5640,  3512,   907, 35538,117294, 92264, -5640,  2102, -5640,
    3341, -5640, -5640, 63650, 92264,   477,  1230,  3703,  3565, 75196,
    2511,  3690, 92264,  3385, 92264,  3825,  3443,  1364, -5640,  2511,
   92264, -5640,  2086, 77204, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, 92264, -5640, -5640,  3694, 92264, 44832,  3527, -5640,  1581,
    2760,  2760,  2760,  2760,  3347,  2760, 92264,  3474,  3714,  2511,
    3348,  3722, -5640,  2717,  3724,  1198, 92264,  3576, 75196,  3417,
    3406,  3593,  3846,  2242,  1581,  3597,  3582, -5640, 59633, -5640,
    2760,  3862, 28804,  6385,  7438,  3585,  3650, -5640, -5640,  3595,
    1060, 92264,  3701,  3704,  3728, -5640,   212, -5640,  3860,  1659,
    3732,   324, -5640,   343, -5640,  2812, -5640, 92264, -5640, 92264,
   92264, 92264, 92264,   353, -5640, -5640,   343,  2812,   343,  1121,
   -5640,  3663,   324,  2812,  3514,  3735,   357, -5640,   391, -5640,
    3605,  1121, -5640,  3623,  2242, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640,  2107, -5640, 92264, -5640,  3713,  3717,  3718,  3720,
    3730,  3384,  3393,  3449, 92264,  3397,  3384,   345,  3407,  3391,
   -5640,  3397,  3397,  3384,  2930,  2930,  3384,  3393, 67164,  3864,
   63650, -5640, -5640,  3485,  3408,  3762,   236, -5640,   896,   763,
    3660, -5640, -5640, -5640, -5640,117294, -5640, 68168,  3457, -5640,
   -5640, -5640,  3636,  3412, 67164,  1121,   169, -5640, 71682, 92264,
  117294, 71682,  3645, 71682, 71682,117294, 92264, 92264,  2131, -5640,
    1334, -5640,  1953, 35538,   968, -5640, 16951,  2133, 35538,  3418,
    3419, -5640, -5640, -5640, -5640, -5640, -5640, -5640,  3424,  3771,
   -5640,  2155,  2161, 16651,  2370,117294,  2210,  3446, -5640,  3450,
     318,  3637,  3434,  5044,  3480,  2165,  3460,   320, -5640,  5044,
    1113,  3454,  7788,  3583,  3455,  2167,  3464,  3467, -5640,  6469,
    7087,  3468, 17314,  3471,  3473,  3475,  3472, 41258, 41258, 29813,
    1309, -5640, 41258,  3486,  3639,  2179, 16052,  3487,  3492, 17848,
   34498, 35538, 34498, 34498, 18041,  3482,  3497, -5640,  3819, -5640,
    2201, 63650,  3627, 18402,  2205, -5640, 35538, 63650,  7141, 35538,
   -5640, 35538,  3500, -5640, -5640,  3884,  3884,  3884, 11649, -5640,
   -5640,  3466, -5640, 41258, 41258, -5640,   564, 29813, -5640, -5640,
    3782, -5640, -5640,   291, -5640, -5640, -5640, -5640, -5640,  2904,
   -5640, -5640, -5640,  3671,  2370,  1091, 55086,  1642, 35538,   490,
   35538,  3214, 35538,  3532,  3884,  3884,  3884,   511,   511,   299,
     299,   299,  2254,   456, -5640, -5640, -5640,  3502,  3503,  3428,
    3504, 35538, -5640,  3488, 50420, -5640,  2432,  2474, 92264,  3251,
    4515,  6367, -5640, -5640, -5640,  3282,    55,  3282, -5640,   974,
    2720,   230, 61641, -5640, -5640, -5640, -5640, -5640, -5640, 92264,
   20387, -5640, -5640,  3706,  3506,  2213, -5640, -5640,  2720, -5640,
   -5640,  2335,  2335,  3451, -5640,  3501, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640,  3509, -5640, -5640, -5640,  3519, 45340,  3797,
    3521, 43816, 89252,  3510,  2207, -5640, 89252, 89754, 89252, -5640,
    3479, -5640, -5640,  1224, 35538,  3790, -5640, -5640, -5640, 35538,
   -5640, -5640,  1050,  3484,  1188,   850,  2427,  2427,  2299,  1218,
   -5640, -5640,  3569, -5640, 35538,  2515, -5640,  2566, -5640, -5640,
   -5640, -5640,  2930, -5640,  3729, -5640, -5640, -5640, 44324,  3558,
    3571,    52, 48388,  3684, -5640, 92264, 44324, -5640, 92264,   238,
   -5640,  3533, -5640, -5640, -5640, -5640, -5640, -5640,114854,  1976,
   -5640,118758, -5640,118758, -5640,  1976,  3963, -5640,114854,  1906,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, 68168, 68168,  3734, 92264,  3738,  3745, 35538,
     942, 92264,  3528,  3539, 92264,  1436,  3830,  3557, -5640,  3895,
    1121, -5640, -5640,  3613, -5640, 20387, -5640, -5640, -5640, -5640,
   -5640, 68168, 92264, -5640, 71180, -5640, -5640,117294, -5640, -5640,
   92264, 92264, -5640, -5640, -5640,117294, -5640, -5640, -5640, 92264,
     957,  3616,  3617, 92264, -5640,   884,  3305,  9566, 92264, 92264,
   92264,  3845, -5640, -5640, -5640, -5640,  3772, -5640,  3913, -5640,
  114854, -5640,  2812,  1372,  3634,  3046,  3787, -5640,  3921,  3666,
   -5640,  3682,  1241, -5640, -5640,  3698, -5640, -5640, -5640, -5640,
    3931,  1121,  3932,  1121, 92264, 92264, 92264, 92264,  3707, -5640,
   -5640, -5640, -5640,  3725,  3857, -5640, 63650, 63650, 63650,  2218,
   -5640, -5640,  1581, -5640, -5640, -5640, -5640, -5640, -5640,  3889,
   -5640,  2219, -5640,  1472, 90256, -5640, -5640, -5640, -5640, -5640,
    3949, 68168, 92264, 10056, 92264, 92264, 92264,  3807,  2048,  1534,
  117294, -5640,116318, -5640, -5640,  2236, -5640,  3599, 92264,  3677,
   68168,  3653, -5640, -5640, -5640,  3959,  2242,  3737, 79212,  3641,
    3641,  2042, -5640, -5640, -5640, -5640, -5640,  3871,  3799, -5640,
    1165,  3801, 68168,  3669, -5640, -5640, -5640, -5640,  3972,  3693,
   -5640, -5640,  3696,  1103,  3046,  2717, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640,  3721, -5640, -5640, -5640, -5640,
   -5640, -5640,  1635,  1635, -5640, -5640, -5640,  1635,  1555,   338,
    1116,  3046, -5640,   352,  1670,  3699, -5640,  3705, -5640, -5640,
   -5640,  3876,  3881,  3885,  3708,  3710,  3767,  3712,  3715,  3769,
   -5640,  3716,  3770,  3739,  3773,  3740,  4018,  1121,117294,  3869,
    1581,  3763,  4006,  1121, -5640, -5640,  3741, -5640,  3742, -5640,
    2237,  4118,  4121, -5640, 92264, -5640,   430,  1130,  3046, -5640,
    3743, -5640, 68168, 92264, -5640, -5640, -5640, 35538,  3644,  3646,
    3657, 20387, 20387, 35538, -5640, -5640, 20387,  3661, -5640, -5640,
   -5640, -5640,117294, -5640, 92264,  3964, -5640, -5640,  1092, 92264,
   92264, -5640, -5640, -5640, 92264, -5640, -5640, -5640,  3967, -5640,
     592,   592, -5640, -5640,  4007,  7894,  3667,   171, -5640, 63650,
   51960,  2716,   196,  1800, -5640, 71180, 92264, 71180, -5640,  1230,
    3890, 92264, 92264, 92264,  3673,  3679, -5640, -5640, -5640, -5640,
   68168,   218, 68168,  2720, -5640, -5640,  3761, -5640, 92264,  2242,
    4209,  4045,  3352, -5640,  4169,  3247,   360,  1948,   536,  2851,
    4106,  2568, 35538,   431, -5640, -5640,  1224, 92264,  3406, -5640,
   -5640, -5640, -5640,  1581, -5640,  3692,  3691, -5640, 92264,  4052,
   92264, 92264, 92264, 92264,  3457,  3702, 92264,  3700,117294, 92264,
    2438,  3045,  4186,  4069,  1992,  3417,  3791,  4073, 83228,  3726,
    2252, -5640, -5640,  1060, -5640,  2253,   213, -5640,  1581, 71180,
  115342,  4061, -5640,   304,  7438, -5640, -5640,   304,  1090, 92264,
   -5640, -5640, -5640, -5640,  3935,  2191, -5640,  4048, -5640, -5640,
    1992, -5640,117294,  3711, -5640,  2265, -5640, -5640, -5640,   357,
    3775,  1121,  3777,  1121, -5640, -5640, -5640, -5640, 92264, -5640,
   92264, 66662, -5640, -5640, 92264, -5640,  4087, -5640, -5640,  3861,
    3863,  3865,  3867,  3868, 92264,  3384, -5640,  3731, 92264, 92264,
   68168,  1662, -5640, -5640, 68168,   494, -5640,   943, -5640, 83228,
    3852, -5640, -5640, -5640, -5640,  4093,  4098, -5640, -5640, -5640,
    1437, -5640, 78208,   853, -5640, 68168,  4030,  4034,  4036,  4037,
     345,  4039,  4041,  4042,  4044,  4046, -5640, -5640, -5640,  3750,
   17990, 35538, -5640,  4129,117294, -5640,  8310, -5640, -5640, -5640,
   35538, -5640, -5640,  4049, -5640, -5640,  3823,  3824,  3756,  3446,
    3583, -5640,  3977,  3981, 35538,  3583,  4229,  1135, 35538, 35538,
   35538, -5640, -5640,  3984,  3985, 35538,  2370,  2370, 35538, -5640,
    3764, 35538, -5640, -5640, -5640, -5640,  2314, 35538, -5640, 35538,
   -5640, -5640, 26771,  4280,  4280,  3768,117294, 41258, 41258, 41258,
   41258,  1638,  2902, 41258, 41258, 41258, 41258, 41258, 41258, 41258,
   41258, 41258, 41258,   388, -5640,  3976, 35538, 35538, 35018, -5640,
   -5640,117294,  3774,  3482,  3776,  3778, 35538, -5640, -5640, -5640,
    2274, 42800,  3780, 63650, -5640, 35538,  9970,  2289,  3822, 18555,
    1224,  8612,  1581, 35538,  1737,  3112, 35538,  2318, 35538, -5640,
   -5640, -5640, -5640,  4124, -5640, -5640, -5640, -5640, -5640, -5640,
    4014,  2370, -5640, -5640, 35538,  3783,  1453, 41258, 41258,  3300,
   -5640,  4343, 35538, 29813, -5640,  3535, -5640, 27297,  3779, 35538,
  114352, -5640, -5640,   776,   776,   776,   776, -5640, 92264, 92264,
   92264,  3790,  3785,  3790,   862,  3786, -5640, -5640, -5640, -5640,
    1992, -5640,  3789, -5640, -5640, -5640, -5640, -5640, 89252, 89754,
   89252,  3792, 43308, 27806,  2207,  3788, 92264, -5640, -5640,  3793,
   44324,  4068,  3989, -5640, 44324,  3989,  2067,  3989,  4090,  3888,
   50928, -5640, -5640,  3794, -5640,  4009, -5640,  2061, 20387,  4265,
    4135, -5640,  3800, -5640,  3484,  1838, -5640, -5640, -5640,  1238,
   -5640,  3891, -5640, -5640, -5640,  3510, 37098,  3960, -5640, -5640,
   -5640,  3866,  2330, -5640, -5640,  4242,  3960, -5640,  1713, -5640,
    2351, 49912,  3558, 35538,  1224,  2352,  1951, -5640, -5640,114854,
   -5640,  3883,  2812,  2812,  1495,  3384,  4167,  1495,  9599, -5640,
   -5640, 45848, 92264, -5640, 92264, -5640, 92264, 92264,  1674, 92264,
   -5640, 92264, -5640, -5640, -5640,  4301,  3875,  3877,  4099, -5640,
    2691, -5640, -5640, 68168, 92264, -5640, -5640, -5640,   515,  1159,
    3046, -5640,  3903, -5640, -5640,  4130, 92264, -5640,  4286,  3915,
   92264,  4190, 92264, 90758, -5640,  4262,  1674,  3939,  4173,  1698,
    3045,   481,  3153, -5640,   831, -5640, -5640,  3905, -5640, 92264,
   -5640, 92264, -5640, -5640, -5640, -5640, -5640, -5640, -5640,  3970,
   -5640, -5640, -5640, -5640, 64152, -5640, -5640, 92264, -5640, 63650,
   51960, 63650, -5640, -5640, -5640, 92264, -5640,  1569,   583,  1190,
    3046, -5640,  3920, -5640,  4201,  3926,  3927,  3986,   950,  1376,
    3933,  3934,  3987,  3847,  3848,  3849, -5640, 63650, 52481,  4017,
   92264,  2812,  3853,  3897, 92264,  3641, 91260, -5640,  3856, -5640,
   -5640,  3641,   401,  1581, -5640, -5640,  1581,  2812,  1581, 92264,
   92264, 92264, 92264,   398, -5640, -5640, -5640,  4325,  3954, 92264,
   92264, 92264, 92264, -5640,  3916, -5640, -5640, -5640, 92264, 92264,
    4218,  1326,  2209, 68168, 92264, 92264, 68168, 92264, 92264, 92264,
   92264, 92264, 92264, 92264,  4088, -5640,  4315,  4239,  2292,  4284,
    3958, 92264, -5640, 92264,  1581, -5640,  3305, 92264, 92264, 92264,
   92264, -5640, -5640, -5640, -5640, -5640,  3535, -5640,  3870,  4187,
    1092, -5640,  4188,  4189,  4191,  1092, -5640, -5640,  1800, -5640,
     937, 92264, -5640,  2486, 92264, -5640, -5640, -5640,  3800,  1637,
    2390, -5640, -5640, -5640, -5640, -5640, -5640,  3887, 92264, 92264,
   41258, -5640,  2141,  1547,  1464, -5640,  4171, 92264,  3130, -5640,
   -5640, -5640,  1349, 92264, -5640, -5640, -5640, -5640,  3892, -5640,
    1212,  3702, -5640,  4207, 75196,  2812, 68168, 68168,  2812, -5640,
  117294,  3893,  3406, -5640,   522,  3978, -5640, 68168,   360,113850,
    3219,  3929,  4117,  9618, 44324, 44832,  1635, -5640,  3896,  3894,
   -5640, -5640, 92264,  3890, 66662,  2360,  2717,  4388,   927,  2164,
   -5640, 75698,  4102,  3702,  4207, -5640,  3045,  4127,  4125, -5640,
    1992, 92264,  3457,  3406,  1581, 92264,  3322, 51960, -5640,  4430,
    2217, -5640,114854, 35538, 35538, -5640,  3904, -5640,  3907,  7438,
   -5640,  3988,  3910,  4392, 35538, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640,  4002,  3917, 92264, 92264,  1060, 92264, -5640,
    3918,  3732, -5640,  3732, -5640, 92264, -5640, 92264, -5640,  1121,
   -5640,  4051,  1121, 92264, 92264, 92264, 92264, 92264, 92264,  3384,
     345,  3391, -5640, -5640,  4260, 67164,  4264, -5640, 63650, -5640,
   -5640, -5640, -5640, -5640,  2362, 92264, -5640, -5640, -5640,  4336,
    4275,  1121,   462,  1182,  1182,  1182,  1182,  4231,  1182,  1182,
    1182,  1182,  1182, -5640, 35538, 20387, -5640,  3925, -5640, 20387,
    4311,  4217,  4219, -5640, -5640,  3930,  4165,  4166, -5640,  3936,
   35538,  3583, 18804, -5640, -5640,  4168,  4170, -5640,  3583,  3583,
   18804, -5640, 18804,  3944, 10830, 19088, -5640,  2373, 35538, -5640,
    1834,  1834,  1834,  5068,  4285, -5640,  2781,  1834,  1834,  1834,
     358,   358,   314,   314,   314,  4280,   388, 19349, 19843, 19319,
    3946, -5640, -5640, -5640,  3482, -5640, 37618,   765,  4416, 42292,
   -5640, -5640, -5640,  3998,  4004,  3966, -5640, 35538, 38138,  3956,
  119246,  4174, -5640,  1785, 35538, 35538,  3948, -5640, 14653, 35538,
   -5640, -5640,  3948,   597, 35538,  3489,  4261, 35538, 35538,  5633,
   11076,  3968, -5640,  2382, 35538, 11404,  4161, -5640, 92264, 92264,
   92264, 92264, -5640, -5640, -5640,  4135,  1581,  4135,  1581,  3969,
   -5640, -5640, -5640, -5640, 64654,  3971,  3627, 89252,  3973, 92264,
    2207, 44324, -5640, -5640,  2039, -5640, 44324,  4268, -5640, 44324,
   71682, -5640, 92264,  3974, 92264, -5640,   420, 35538,  4008, 55086,
   -5640, -5640, -5640, -5640,  4062, -5640,  4202, 20387, 32418, -5640,
    1992,  1763, 92264,  1224,    73, -5640, 35538,  3990, 92264, -5640,
    3960, 20387, -5640,  4053,  2384, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640,  4065, 77204,  4329, -5640, 35538,  2392, -5640,  4024,
    4432,   417,  2402,  1674,  1497,  1674, -5640,  1497, -5640,  1718,
    4304,   849, -5640,  1121, -5640,117294, 92264, 92264, 92264,  2982,
   -5640, -5640, 92264, 92264, 92264, 92264, -5640, -5640, 68168, 92264,
   -5640, 92264, -5640, -5640, -5640, 91762, -5640,  3890,   398,  2141,
    4318,  4319,  4221, -5640,   345, -5640,  4479,  2141,  4223,   398,
   -5640, -5640, -5640, -5640,  2582, -5640,117294,  1121,  1121, -5640,
   -5640, -5640, -5640, -5640,  4003, -5640,  4460,  4091, 92264, 92264,
   92264, 92264, 92264, 68168, 92264, 92264,  2720,  2720,117294,  3992,
   -5640,  2720,  2720,  3993, -5640, 68168, 92264, 92264, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,  4081,
   -5640, 35538,  4453, -5640, -5640, -5640, -5640, -5640, 35538, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, 68168,
   92264,  4086, -5640,  4089, -5640,   971, -5640, -5640, 92264, 92264,
   92264, 92264,  4370, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640,  4368, 92264, -5640, -5640,  1581,  1581,
  117294,  1121,  1121, -5640, -5640, -5640,  4092, -5640, -5640,  4005,
    4312,  1092, -5640,  1092,  1092,  1092, -5640,  4010, -5640,  1800,
    4408, -5640,  1674,  1627,  4359, -5640, 35538, -5640,  1290,  5068,
   -5640,  4420,  4504, -5640, -5640, -5640,  4257,  3352,  2242,  3352,
   -5640, -5640, 71682,   392, -5640,  4344,   477, 63650,  4247, 75196,
     352,  1021,  4023,  4157, -5640,  2812,  2812,  4094, 92264,  4516,
   -5640, -5640, -5640, -5640, -5640, -5640, 68168,  3653, -5640,  4263,
     993,  4382, 92264, 44832, -5640,  3510, -5640, -5640, -5640,  1581,
   -5640, -5640,  4162,  3406, -5640,  1938, 92264,  4266, 75196,  3457,
    2411, -5640, -5640, -5640,  4076,  4498,  3417, -5640,   352,  4102,
   -5640, -5640,  4477,  4131,  4079,  4526, -5640,  4131,  4390,  4259,
    4043, -5640,  3726, -5640, 92264, -5640, 20387, 20387,  1581,119734,
     304,117294,  4397, -5640, 20387, 92264,   198,  4047,  4215, -5640,
    4362,  1121,  2412, -5640,  1121,  1121, -5640, 92264, -5640,  3384,
    3384,  3384,  3384,  3384, -5640,  4267, -5640, -5640, -5640, -5640,
    4352, -5640, 67164, -5640,  1121, -5640, -5640, -5640, -5640, -5640,
   -5640,  1182, -5640, -5640, -5640, -5640, -5640, 20387, -5640, 92264,
   -5640, -5640, -5640, -5640, -5640, -5640,  3242,  4054, 35538,  1673,
   -5640, -5640,  4056,  4057,  3583,  3583, -5640, -5640, 35538, -5640,
   11927, 41258,  4398, -5640, 35538, 35538, 35538, -5640,  4050,  2413,
    2422, -5640, -5640,   765, -5640,  4416, -5640, -5640, -5640, 12526,
    4109, 20387,  4181,  4064,  1451,  3948,  3948, 14653,  3948, 35538,
   35538,  3948,  3948, 35538, -5640, -5640, -5640, 12666, -5640,  4521,
    3535, -5640, -5640, -5640, -5640,  4008, -5640,  4008, -5640,  4206,
   -5640,  2423,  4557, 40218,  4524, -5640, 92264,  2437, -5640, 35538,
    4080, -5640, -5640, 44324,  2039,  4084,  2454, 92264,  2456,117294,
   38658, 20387, 92264,  3535,  4078, -5640, 92264,  2929, -5640,    52,
   -5640, -5640,  4520, 45848,  4480, 19863, 35538, -5640, -5640, -5640,
   -5640, 67164,  4290, 67164,  1674, 13255,  4413, 45848, 56128, 92264,
   -5640, 92264, -5640,  4269,  4299,  4096,  4100, -5640, -5640, -5640,
   -5640, -5640, -5640,  4103, -5640, -5640, -5640, -5640,  4179, -5640,
   -5640,  1202,  3427, -5640, -5640, -5640, -5640, -5640,  4582,  4469,
    4470, -5640, -5640,  4108, -5640, -5640, -5640,  4315, -5640, -5640,
   51960, 68168, 92264, -5640,  4193, -5640, -5640, -5640, -5640, -5640,
   -5640, 47880, 55086, -5640,   950,  4110,  4111,  1376, -5640, -5640,
   -5640, 92264, 13306,  4113, 13326,  1380,  3427, 92264, 92264,  4116,
    4119,  4123,   -11,  1508,  1860,  3384,  4459, 92264, -5640, -5640,
   -5640,  4315, -5640, -5640, 92264, -5640,  1092, -5640, -5640, -5640,
   -5640, 63650, -5640,  3223,  4010,  1581, 71682,  4598,  4598, 13687,
    4349, -5640, -5640,   822,  4437, -5640,  4183,  4389,  4183,  4133,
   92264,  1349,  4134,  2458, -5640, 92264,  4126,  4270,  1816,  1816,
   92264, 92264, 92264,  2471,  1992,  2812,  3897,   360,  4499, 75196,
    4544,  3890,   433, -5640, 92264,  4624, 92264,  3457,  3702, 92264,
    4137, -5640, -5640, 75698,  4353,  2716, 92264,  2438,  4102,  3417,
    1248, 92264, -5640,  1528, -5640,  1992, -5640, 92264, 83228, 45848,
    4489, -5640,118758, -5640,  2477, -5640, -5640, -5640,  4225, 20919,
    3282,  4271,  4273,  4141,  2157,  4500, 92264,  1226, -5640, -5640,
   -5640, -5640, -5640, -5640, 92264,   853, -5640, -5640, -5640, -5640,
    4142, -5640,  4638, 35538,  1129, -5640, -5640, -5640, -5640, -5640,
    4371, -5640,  4150, -5640, -5640,  2490,  1673, 20245, -5640,  5294,
   41258, 20387, 20387, 20387, 35538, -5640, 35538, -5640, -5640, -5640,
   -5640,   814, -5640, -5640,  4478,  4154,  3948,  3948,  3948, -5640,
   35538,  1318, -5640, -5640,  1118,  4573,  3479, 64654,  4163, -5640,
   41258,  2484, -5640,  4591, 92264,  2493, -5640, 20387, 92264, -5640,
   -5640, 35538, -5640,  2499, -5640,  4164,    36,  4172, 25719,  4158,
   -5640, -5640, -5640, -5640, -5640, 20387,  4177, -5640,  4650,   260,
   -5640, -5640,  4224, 92264,  2504, -5640,  1201,  2013,  1186, -5640,
   20387,  1662,  1495,   472,  4432,  4182,  3352, -5640,  4184, -5640,
   -5640,  1126,  3045, 92264, -5640,  4413,  4413, -5640, 92264,  4279,
   -5640,  2716,  4501, -5640, -5640, 35538,  4232, -5640,  1390,  3427,
   92264,117294, -5640,   188,  4525, -5640,117294,117294, -5640, -5640,
   -5640, 35538, -5640,  4281, -5640, -5640, -5640, 35538, 35538, 74192,
   -5640, -5640, 92264, 92264, 92264, 92264, 92264, -5640,  1121, -5640,
   -5640,  2512, -5640, 46864, -5640, -5640,  3244,  1581,  3244,  1689,
   -5640, -5640,  3244,  3244, -5640,  3282, -5640,  4598,  1038, -5640,
   -5640,  4257,  4192, 35538, -5640,  4507, -5640,  1359,  4409, -5640,
    4176, -5640, 71682,  4708, -5640, 63650,  3702,  4207, 92264, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640,  2521,  3890,  4552,  3406,  4079, -5640, 92264,  4230, -5640,
   44324,  3890,  1992,  2164, -5640,  4102,  3702,  4207, -5640, -5640,
    4195,  4125,  3417,  2438,  4337, -5640,  4340, -5640,  4649,  4414,
    4652,  3457, -5640,  3322,  2525, 92264, -5640, -5640,  7438,119734,
  117294, -5640, -5640, -5640,  4197,  4589,  4244,  4245, -5640, -5640,
   -5640,  2157, -5640,  1815,  4590,  4252, -5640,  4274, 92264, -5640,
   -5640,  3890,  1121, 35538, 63650, 20387, -5640, -5640,  4585, -5640,
     243,   332,   940,  4431,  4208, 35538,  5294,  2526,  2530,  4277,
   -5640, -5640, -5640,  3482, 39178, 39178, 39178,  4210,  4571,  4572,
   92264, -5640, -5640, -5640, 92264,  5068,  4220, 40218, 63650,  2535,
   -5640,116806, -5640,  2537,  2547, -5640, 35538,  4228, 35538, -5640,
   38658, 92264,  4237,  3314,  1992, -5640,  3282, 45848, -5640,  4355,
    4715,  4492, -5640, -5640, -5640,  4580, -5640, -5640, 92264,  4183,
   55086,  3484,  1126,  2242,  3352,  3352, -5640, 92264,  4192, 13938,
   35538, -5640,  4328, -5640, -5640,  2548,  1483,  4412,  4412,  2549,
    2557, 14062, 92264,  2558,  2559, -5640,  2573,  2720,  3393,  1860,
    3393, -5640,  3384, -5640, -5640, 63650, -5640, 67666, -5640, -5640,
   -5640,  1581, -5640,  1581,  4471, 57636, 58138,  1581,  1581, -5640,
   -5640, -5640, -5640, -5640,  2717, -5640, 14304,  4341, -5640, -5640,
   -5640,   964, -5640,  4465,  4467, -5640,  4248, -5640,  2579, -5640,
     352,  4380,  3890, -5640, -5640, 92264,  4747,  4748, -5640,  1097,
   92264,  3510, -5640,  4079,  3457,  3417,   352,  4102,  2716, 46356,
    4131,  2438,  4125, -5640, -5640,  4481, -5640,  4482, -5640,  4272,
    4587, -5640,  2221,   304, -5640, -5640, -5640,   365,  4608,  4613,
   -5640, -5640, -5640,  3244, -5640,   105,  4278,  4637, -5640, -5640,
   -5640, -5640, -5640, -5640, -5640,  4306,   339,   371, -5640,  4308,
   -5640,  4449,  4450,  1673,  2315, -5640, 20387, -5640, -5640, -5640,
   40738,  4423,  1452, 16363,  4653, -5640,  4653,  4653, -5640,  4749,
    4750,  1503,  2581, 42292, -5640, -5640, -5640, 92264,  4494,   354,
    4772,  4451,  2587, 38658,  2592, -5640, -5640, -5640, -5640, -5640,
   -5640, -5640, 49912, 35538,  4376,  4715, 67164,  2614,  3641,  4288,
   -5640,  3484,  4389,  4183,  4183,  3427, -5640, -5640, 20387, 92264,
   71682,  4754, -5640, -5640, -5640, -5640, -5640, -5640, -5640,  3427,
    4378, -5640, -5640, 74192, -5640, 92264, -5640, -5640,  2618, -5640,
   -5640, -5640, 58640, -5640,  4047, -5640,  4047, -5640, -5640,  2173,
    4402, 92264,  1065,  1065,  4695, -5640,  4360, -5640,  4296, -5640,
    4819,  4434, 92264, -5640, -5640,   950,  1992, 75196,  3890, -5640,
   -5640,  2438,  4102,  3417, 35538,  2620, -5640,  4432,   417, -5640,
    4125,  4131, -5640, -5640, 45848,  4305,  3130,  4685, -5640, -5640,
   -5640,  2097, 71682, 71682, 92264, -5640, -5640, -5640, 35538,  1349,
   -5640,  4347, -5640,  4350, -5640, -5640,  4531,  4533,  4303,  1673,
   -5640,  4805, -5640, -5640, -5640, -5640, -5640,   939, -5640, -5640,
   -5640, 92264, 92264, 92264, -5640,  3627, -5640, -5640, 41258, 41258,
    4547, -5640,   354, -5640, 92264, -5640,  4316, -5640, -5640,  2625,
   -5640,    -1, 20387,   922,  4410,   472, -5640, -5640, -5640, -5640,
    4409, -5640, -5640, -5640,  3427, -5640, 92264, -5640,  4320, -5640,
   -5640, -5640, 67666, -5640,  4047, -5640, -5640, -5640, -5640,  4821,
   -5640,  1512, -5640, -5640, -5640, -5640, 92264,  3890,  3992,  4079,
   -5640,  4125,  3417,  2438, 14849, -5640, 46356, 92264, 92264,  4131,
   -5640,  2631, 45848,  3406,  4473, -5640,  2589, -5640, -5640, -5640,
   -5640, -5640, -5640, -5640,  1132,  4322,  4323, -5640, -5640, 14890,
   71682, -5640, -5640,  4472,  4474, -5640,  4550, 39698,  4488, -5640,
    4546, -5640,  1542,  1545,  1663,  4777,  5068,  5068, -5640, -5640,
   -5640, 35538, -5640, -5640, -5640,  4577,  4475, -5640, -5640,  1722,
   -5640,  1674, -5640,  1674,  1674, -5640, -5640, 35538, -5640, -5640,
    2242,  2242,  3890, -5640, -5640,  4131,  2438,  4125,  4432, -5640,
   -5640, -5640, -5640,  4587, -5640,  2639,  4131,  4252,  2430, -5640,
   -5640,  2541,  2673,  4435,  4693, -5640,  4351,  4455,  4457,  4728,
   -5640, -5640, -5640, 92264, 92264, 65156, 92264, 92264, 15420, -5640,
   49912,  4588,   584, -5640,  1674,  2640, -5640, -5640, -5640, -5640,
    4125,  4131, 92264,  3130, -5640, 45848,  3282,  4724, -5640,  2589,
    4476,  4483, 63148, -5640, -5640, -5640, -5640, -5640,  4875,   319,
    4763, -5640,  2641, -5640,  4356, -5640,  4415,    52,  4361, 92264,
   -5640, -5640,  4131, -5640, -5640,  3406, -5640, -5640,  1349, -5640,
    4405,  4406, -5640,  2645, -5640, -5640, -5640, -5640, 35538, 65156,
   -5640, -5640,  4422, 35538,  2649, -5640,  4131, 71682,  4714,  4717,
   -5640, 63148,   109,  4433,  4426,  2650,   108,  3282,  4373, 71682,
   71682, -5640,  4374, 92264, -5640, -5640,    52, -5640, -5640, 63148,
   -5640, -5640,  1581, -5640,  4436,  2651,  4426, -5640, -5640
};

  /* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
     Performed when YYTABLE does not specify something else to do.  Zero
     means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1713,  1456,   662,  1545,  1544,  1456,     0,   269,     0,  1556,
       0,  1456,   437,  1113,     0,     0,     0,     0,   662,  1456,
       0,  1713,     0,     0,     0,     0,     0,  1726,     0,     0,
       0,     0,     0,  1253,     0,     0,     0,  1456,     0,     0,
    1733,     0,     0,     0,     0,  1726,     0,  1558,     0,     0,
       0,     0,  1733,     0,     0,     0,     0,     0,     2,     9,
      10,    45,    80,    81,    38,    37,    98,    63,    24,    71,
     133,   132,   134,    50,    46,    88,    33,    35,    47,    51,
      73,    75,    40,    53,    64,   110,    72,    31,    70,    76,
      96,    58,    19,    20,    59,    21,    60,    22,    61,   106,
      82,    99,    43,    69,    30,    52,    78,    79,    12,    54,
      86,    18,    65,    66,    68,    91,    92,    93,   116,    94,
     128,    49,   125,   103,   104,   122,   105,   123,    16,   107,
      62,    23,   119,   118,   120,    89,    55,    90,    77,    97,
     117,    34,   121,    25,    26,    28,    29,    27,    67,    36,
      74,    39,    95,   124,   114,   109,   129,   127,    11,   135,
     111,    83,    14,    15,   100,    13,    32,    57,    17,    42,
      41,    56,    48,   131,    44,  1556,   102,   115,   101,    84,
     108,    87,   112,   130,   113,    85,   126,  1677,  1676,  1737,
    1680,  1712,     0,  1692,  1455,  1454,  1469,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   661,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1466,  2423,  2440,  2441,  2442,  2443,  2444,
    2445,  2446,  2447,  2448,  2449,  2450,  2451,  2452,  2453,  2454,
    2456,  2455,  2457,  2458,  2824,  2459,  2460,  2461,  2762,  2763,
    2825,  2764,  2765,  2462,  2463,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2766,  2767,  2471,  2472,  2473,  2474,  2475,  2768,
    2826,  2476,  2477,  2478,  2479,  2480,  2481,  2827,  2482,  2483,
    2484,  2485,  2486,  2487,  2488,  2489,  2490,  2491,  2828,  2492,
    2493,  2494,  2829,  2495,  2496,  2497,  2498,  2499,  2500,  2769,
    2770,  2501,  2502,  2503,  2504,  2505,  2506,  2507,  2508,  2509,
    2510,  2511,  2512,  2513,  2514,  2515,  2516,  2517,  2518,  2519,
    2520,  2521,  2522,  2523,  2524,  2525,  2526,  2527,  2528,  2529,
    2530,  2771,  2531,  2532,  2533,  2534,  2772,  2535,  2536,  2537,
    2538,  2773,  2539,  2540,  2541,  2542,  2830,  2831,  2543,  2544,
    2545,  2546,  2547,  2774,  2775,  2548,  2549,  2550,  2551,  2552,
    2553,  2554,  2832,  2555,  2556,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,  2564,  2565,  2566,  2567,  2833,  2776,  2568,  2569,
    2570,  2571,  2777,  2778,  2779,  2572,  2834,  2835,  2573,  2836,
    2780,  2781,  2782,  2783,  2784,  2785,  2786,  2787,  2788,  2789,
    2574,  2575,  2576,  2577,  2578,  2579,  2580,  2581,  2790,  2837,
    2582,  2838,  2583,  2584,  2585,  2586,  2587,  2588,  2589,  2590,
    2591,  2592,  2593,  2594,  2595,  2791,  2596,  2597,  2598,  2599,
    2600,  2601,  2602,  2603,  2792,  2839,  2793,  2604,  2605,  2606,
    2607,  2608,  2609,  2610,  2794,  2795,  2611,  2612,  2613,  2840,
    2614,  2796,  2615,  2797,  2616,  2617,  2618,  2619,  2620,  2621,
    2622,  2623,  2624,  2625,  2626,  2798,  2841,  2627,  2842,  2799,
    2628,  2629,  2630,  2631,  2632,  2633,  2634,  2635,  2636,  2637,
    2638,  2639,  2800,  2640,  2801,  2643,  2641,  2642,  2644,  2645,
    2646,  2647,  2648,  2649,  2650,  2651,  2652,  2653,  2654,  2802,
    2655,  2656,  2657,  2658,  2659,  2660,  2661,  2662,  2663,  2664,
    2665,  2666,  2667,  2668,  2669,  2670,  2671,  2672,  2673,  2843,
    2674,  2675,  2676,  2677,  2678,  2803,  2679,  2680,  2681,  2682,
    2683,  2684,  2685,  2686,  2687,  2688,  2689,  2690,  2691,  2692,
    2693,  2694,  2695,  2804,  2696,  2697,  2844,  2698,  2699,  2805,
    2700,  2701,  2702,  2703,  2704,  2705,  2706,  2707,  2708,  2709,
    2710,  2711,  2712,  2713,  2714,  2806,  2715,  2716,  2717,  2718,
    2845,  2719,  2720,  2721,  2722,  2723,  2724,  2807,  2808,  2725,
    2726,  2809,  2727,  2810,  2728,  2729,  2730,  2731,  2732,  2733,
    2735,  2734,  2736,  2737,  2738,  2739,  2740,  2741,  2742,  2743,
    2744,  2745,  2746,  2811,  2812,  2747,  2846,  2748,  2749,  2750,
    2751,  2752,  2753,  2754,  2755,  2756,  2757,  2758,  2813,  2814,
    2815,  2816,  2817,  2818,  2819,  2820,  2821,  2822,  2823,  2759,
    2760,  2761,   146,     0,     0,  2390,  2424,  2425,  2428,  2423,
     407,   406,  1666,  2387,  2424,  1555,     0,  1534,   662,     0,
    1469,   436,  1713,     0,     0,     0,     0,     0,     0,   879,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   138,     0,   140,     0,     0,   460,   459,     0,
       0,  1085,   465,     0,     0,     0,     0,     0,   652,  1597,
    2641,  1595,  1667,   270,   273,   274,   271,   272,  2406,     0,
    1225,  1226,  1228,     0,     0,  1238,   919,   920,     0,     0,
       0,   933,     0,     0,     0,   917,     0,     0,     0,   939,
       0,   936,     0,     0,   940,   937,   914,   938,   921,     0,
     913,     0,     0,  1238,   941,     0,     0,   915,     0,     0,
       0,     0,  1469,  1594,   466,  1713,     0,  1578,  1579,  1580,
    1556,  1568,  1581,  1573,  1575,  1574,  1576,  1577,  1572,  2405,
    2442,  1009,  1009,  1009,  1009,  1006,  1007,  1009,  1009,  1009,
    2662,     0,     0,   988,     0,   990,  2407,  1009,  1014,  2450,
     544,   544,   544,     0,  1013,  1018,   544,     0,  1437,  1478,
    2389,  1725,     0,   989,  1436,  2725,  1584,     0,     0,     0,
       0,  2681,  1446,   254,  2693,  2807,  2725,   253,   248,   249,
     222,     0,     0,  1013,   544,     0,  1469,  1444,   985,  1732,
    1730,     0,  2374,  2469,  2486,  2585,   245,  2674,  2683,  2693,
    2807,  2725,  2758,   201,   211,   206,     0,   263,  2693,  2807,
    2725,   259,  1466,     0,  1693,  1841,  1840,  2383,     0,  1439,
    1438,  1557,     0,  1560,     0,  2657,  1697,  1700,  1562,  1698,
    2426,  1918,  1947,  1925,  1947,  1947,  1914,  1914,  2516,  1927,
    1915,  1916,  1952,  1972,     0,  1947,  1914,  1919,     0,  1917,
    1955,  1955,  1942,     3,  1897,  1898,  1899,  1900,  1928,  1929,
    1901,  1934,  1935,  1939,  1902,  1969,  1905,  1914,  2427,  1734,
    1735,  2374,     4,  2420,     5,  2301,  2419,     6,     7,  1689,
       0,     0,     1,  1713,     0,  1567,  1729,  1729,     0,  1729,
       0,  1681,  1689,  1684,  1688,     0,     0,     0,     0,     0,
       0,  1440,     0,     0,     0,   944,     0,  1481,  1070,     0,
       0,     0,     0,     0,  1322,     0,  1122,  1121,  2429,  2412,
    2413,  2414,     0,  2410,  2411,  2430,  2431,  2432,     0,  2554,
    1322,     0,     0,  2217,  2228,  2229,  2230,  2473,  2535,  2225,
    2226,  2227,  2219,  2220,  2221,  2222,  2223,  2224,     0,     0,
    1220,  2218,     0,  2554,     0,  1322,     0,   173,     0,   150,
    1322,     0,     0,  2554,     0,     0,  2554,     0,     0,     0,
       0,     0,  2554,     0,     0,     0,     0,     0,   173,  2590,
       0,   150,  2554,     0,     0,  1460,     0,     0,     0,  1462,
    1465,  1452,     0,  2298,     0,  2299,  2391,  1549,     0,  1548,
    1542,  1552,  1547,  1537,     0,  2383,     0,     0,     0,     0,
     927,     0,     0,   917,     0,     0,     0,   928,     0,   929,
     930,     0,     0,     0,     0,   926,     0,  1450,  1442,     0,
    1586,  1588,  1587,  1589,  1585,   544,     0,     0,     0,  2554,
       0,   150,  1520,     0,  2554,   150,     0,     0,   464,   463,
     150,  2410,   462,   461,  2473,  2535,     0,  1112,     0,  1195,
     150,  2554,     0,   194,  2554,   721,  2554,  1562,   139,     0,
     665,     0,   833,  2590,   150,     0,     0,     0,     0,     0,
       0,   142,     0,     0,     0,     0,     0,     0,     0,   651,
     662,  1598,  1596,     0,  1229,   247,   246,  1227,   931,  2554,
    1154,   145,     0,     0,  2554,  1501,  2554,   145,   948,   932,
       0,   918,  2554,   145,  1118,  2554,  2415,   183,     0,   916,
    2473,  2535,  2554,   145,  1222,     0,  2554,   145,  2554,   179,
    2554,   145,  2554,   145,  2554,   666,     0,     0,  2554,   145,
    2554,  2590,   181,   935,  2554,   145,   942,  2554,   145,  2385,
    2554,     0,  1453,     0,  1590,     0,  1570,  2811,     0,  1713,
    1009,  1008,     0,  1009,     0,  1009,     0,  1009,     0,  1009,
       0,     0,     0,  1009,  2408,  2409,   991,     0,  1015,     0,
    1023,     0,  1022,  1021,  1020,     0,     0,     0,  1024,     0,
    1845,  1625,     0,  1434,  1449,     0,     0,     0,   142,     0,
    1251,  1248,   142,  1250,  1249,   142,   142,  1445,   252,   250,
       0,     0,     0,     0,     0,     0,  1451,     0,  1443,     0,
       0,     0,  2393,  2395,  2396,  2231,  2301,     0,  2763,  2764,
    2765,  2290,     0,  2766,  2767,  2768,  2826,  2105,  2091,  2100,
    2106,  2092,  2094,  2101,  2769,  2770,  2040,  2771,  2772,  2403,
    2773,  2774,  2775,  2777,  2778,  2779,  2780,  2781,  2782,  2783,
    2784,  2785,  2786,  2787,  2788,  2789,  2790,  2096,  2098,  2791,
    2792,  2793,  2795,     0,  2404,  2796,  2797,  2622,  2799,  2800,
    2802,  2803,  2102,  2805,  2806,  2103,  2807,  2808,  2809,  2810,
    2402,   508,  2104,  2812,  2814,  2815,  2816,  2817,  2819,  2820,
    2821,  2822,     0,     0,     0,  2380,     0,  2069,     0,  1906,
    1907,  1930,  1931,  1908,  1936,  1937,  1909,     0,  1910,  2379,
    1973,  2176,  2068,  2086,     0,  2074,  2075,     0,  2067,  2063,
    2178,  1715,  2375,     0,  2064,  2392,  2394,  2291,  1715,  2373,
     214,   265,     0,   266,  2381,  2693,   202,   244,   216,   243,
     217,   215,     0,  2471,   203,     0,     0,   204,     0,     0,
       0,     0,   262,   260,     0,  1441,     0,  1843,  1842,  2384,
     953,     0,  1559,  1556,  2241,     0,  1699,     0,     0,     0,
    1946,  1933,  1941,  1940,     0,  1923,  1922,  1921,     0,  1920,
    1947,  1947,  1945,  1924,  1897,     0,     0,     0,  1951,     0,
    1949,  1893,  1889,     0,  1958,  1959,  1960,  1957,  1970,  1956,
       0,  1903,  1961,     0,  1914,  1911,  1800,     0,  1679,  1678,
       8,     0,  1564,  1566,  1540,  1562,  1727,  1728,     0,     0,
       0,     0,     0,     0,     0,     0,  1787,  1745,  1746,  1748,
    1784,  1788,  1796,     0,  1685,     0,     0,     0,  1847,     0,
       0,  1467,     0,     0,     0,     0,     0,  1153,     0,     0,
       0,     0,   945,     0,     0,     0,  1487,     0,  1489,  1490,
    1491,     0,     0,     0,  1492,  1493,  1481,   256,  1500,  1497,
    1480,  1482,  1495,     0,     0,     0,     0,     0,     0,     0,
    1512,     0,   187,   188,     0,   678,   662,     0,  2554,     0,
       0,     0,     0,  1163,  1170,  1321,     0,     0,     0,     0,
       0,     0,     0,     0,  1164,  1162,     0,  1165,   258,  1175,
    1202,  1205,     0,     0,  1120,  1123,     0,     0,     0,     0,
       0,  1312,     0,     0,     0,  1312,     0,     0,     0,  1321,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   281,
     283,   296,   362,     0,   643,     0,     0,     0,   646,     0,
    2554,  1322,     0,     0,     0,  1224,     0,     0,     0,     0,
       0,     0,     0,     0,  1205,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   148,   149,   154,     0,     0,     0,
       0,  1205,     0,     0,     0,     0,     0,     0,     0,   629,
     642,     0,     0,     0,     0,     0,   639,     0,     0,   150,
     286,   619,   625,     0,     0,     0,   728,   727,     0,     0,
       0,     0,     0,     0,  1410,     0,  1409,     0,     0,     0,
       0,     0,  1510,  1509,     0,     0,     0,     0,     0,     0,
    1312,     0,   275,   277,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   399,
     400,     0,     0,     0,   154,     0,     0,  1312,     0,   288,
       0,     0,  1461,  1458,  1459,     0,  1464,     0,     0,     0,
       0,  2077,     0,  2245,  1737,  2243,  1138,  2297,     0,  2433,
    2847,  2848,  2849,  2850,  2851,  2852,  2853,  2854,  2855,  2856,
    2857,  2858,  2859,  2860,  2861,  2862,  2863,  2864,  2865,  2866,
    2867,  2868,  2869,  2870,  2871,  2872,  2873,  2874,  2875,  2876,
    2877,  2878,  2879,  2880,  2881,  2882,  2883,  2884,  2885,  2886,
    2887,  2888,  2889,  2890,  2891,  2892,  2893,  2894,  2895,  2896,
    2897,  2898,  2899,  2900,  2901,  2902,  2903,  2904,  2905,  2906,
    2907,  2908,  2909,  2910,  2911,  2912,  2913,  2914,  2915,  2916,
    2917,  2918,  2919,  2920,  2921,  2922,  2923,  2924,  2294,  2293,
    2388,  2434,  2435,  2436,  2437,  2300,  1532,     0,   233,   234,
     232,  1550,   235,  1551,  1546,     0,  1533,     0,     0,     0,
       0,     0,     0,     0,     0,  2473,  2535,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   841,  1481,  1519,     0,     0,     0,   671,
       0,  2554,     0,   152,   880,     0,   831,   465,     0,     0,
       0,     0,  1386,   152,     0,     0,   190,     0,     0,   725,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     832,     0,     0,   152,     0,  2554,   622,  2554,     0,   544,
     544,     0,     0,   141,   138,     0,     0,     0,     0,     0,
       0,     0,     0,  1671,  1670,  1673,  1672,     0,  1669,     0,
     143,   144,     0,  1212,  1237,     0,     0,     0,     0,     0,
     909,   934,     0,     0,  1206,     0,     0,  2554,   145,  2554,
       0,  2554,     0,     0,     0,  1214,   145,     0,  1208,     0,
       0,  1210,     0,  1412,     0,   925,   923,   922,   924,     0,
       0,   907,     0,     0,     0,     0,     0,   902,     0,     0,
     904,     0,     0,     0,     0,  1713,  1569,     0,   999,     0,
    1003,     0,   994,     0,  1000,     0,   995,   992,   993,     0,
     998,     0,     0,   545,   547,     0,     0,  2498,  2515,     0,
    2543,  2578,  2579,  2632,  2647,  2677,  2683,  2689,     0,  2719,
    2730,     0,  1029,  1067,  1019,   737,     0,     0,  1635,  1435,
    2250,     0,  1713,     0,     0,  1252,     0,     0,   138,   251,
     223,     0,     0,  1067,     0,  2681,  1448,   984,   662,     0,
    2065,     0,  2072,  2073,  2289,     0,     0,     0,     0,     0,
       0,  2071,     0,     0,     0,     0,  2346,     0,     0,  2346,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1996,     0,     0,  2249,     0,     0,  2249,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1997,
    1978,  1979,  2069,  2241,     0,  2070,  2399,     0,  1969,  2438,
    2231,     0,  2228,  2229,  2230,  2925,  2926,  2927,  2928,  2929,
    2930,  2931,  2932,  2933,  2934,  2935,  2936,  2937,  2938,  2939,
    2940,  2941,     0,  2942,  2943,  2944,  2945,  2946,  2948,  2947,
    2949,  2950,  2951,  2952,  2953,  2954,  2304,  2956,  2957,  2958,
    2959,  2960,  2961,  2962,  2963,  2964,  2965,  2966,  2967,  2968,
    2969,  2970,  2971,  2972,  2973,  2974,  2975,  2976,  2977,  2978,
    2979,  2980,  2981,  2982,  2983,  2984,  2985,  2986,  2987,  2988,
    2989,  2990,  2991,  2992,  2993,  2994,  2995,  2996,  2997,  2998,
    2999,  3000,  3001,  3002,  3003,  3004,  3005,  3006,  3007,  3008,
    3009,  3010,  3011,  3012,  3013,  3014,  3015,  3016,  3017,  3018,
    3019,  3020,  3021,  3022,  3023,  3024,  3025,  3026,  3027,  3028,
    3029,  3030,  3031,  3032,  3033,  3034,  3035,  3036,  3037,  3038,
    3039,  3040,  3041,  3042,  3043,  3044,  3045,  3046,  3047,  3048,
    3049,  3050,  3051,  3052,  3053,  3054,  3055,  3056,  3057,  3058,
    3059,  3060,  3061,  3062,  3063,  3064,  3065,  3066,  3067,  3068,
    3069,  3070,  3071,  3072,  3073,  3074,  3075,  3076,  3077,  3078,
    3079,  3080,  3081,  3082,  3083,  3084,  3085,  3086,  3087,  3088,
    3089,  3090,  3091,  3092,  3093,  3094,  3095,  3096,  3097,  3098,
    3099,  3100,  3101,  3102,  3103,  3104,  3105,  3106,  3107,  3108,
    3109,  3110,  3111,  3112,  2011,  3113,  3114,  3115,  3116,  3117,
    3118,  3119,  3120,  3121,  3122,  3123,  3124,  3125,  3126,  3127,
    3128,  3129,  3130,  3131,  3132,  3133,  3134,  3135,  3136,  3137,
    3138,  3139,  3140,  3141,  3142,  3143,  3144,  3145,  3146,  3147,
    3148,  3149,  3150,  3151,  3152,  3153,  3154,  3155,  3156,  3157,
    3158,  3159,  3160,  3161,  3162,  3163,  3164,  3165,  3166,  3167,
    3168,  3169,  3170,  3171,  3172,  3173,  3174,  3175,  3176,  2013,
    3177,  3178,  3179,  3180,  3181,  3182,  3183,  3184,  3185,  3186,
    3187,  3188,  3189,  3190,  3191,  3192,  3193,  3194,  3195,  3196,
    3197,  3198,  3199,  3200,  3201,  3202,  3203,  3204,  3205,  3206,
    3207,  3208,  3209,  3210,  3211,  3212,  3215,  3213,  3214,  3216,
    3217,  3218,  3219,  3220,  3221,  3222,  3223,  3224,  3225,  3226,
    3227,  3228,  3229,  3230,  3231,  3232,  3233,  3234,  3235,  3236,
    3237,  3238,  3239,  3240,  3241,  3242,  3243,  3244,  3245,  3246,
    3247,  3248,  3249,  3250,  3251,  3252,  3253,  3254,  3255,  3256,
    3257,  3258,  3259,  3260,  3261,  3262,  3263,  3264,  3265,  3266,
    3267,  3268,  3269,  3270,  3271,  3272,  3274,  3273,  3275,  3276,
    3277,  3278,  3279,  3280,  3281,  3282,  3283,  3284,  3285,  3286,
    3287,  3288,  3289,  3290,  3291,  3292,  3293,  3294,  3295,  3296,
    3297,  3298,  3299,  3300,  3301,  3302,  3303,  3304,  3305,  3306,
    3307,  3308,  3309,  3310,  3311,  3312,  3313,  3314,  3315,  3316,
    3317,  3318,  3319,  3320,  3321,  3322,  3323,  3324,  3325,  3326,
    3327,  3329,  3328,  3330,  3331,  3332,  3333,  3334,  3335,  3336,
    3337,  3338,  3339,  3340,  3341,  3342,  3343,  3344,  3345,  3346,
    3347,  3348,  3349,  3350,  3351,  3352,  3353,  3354,  3355,  3356,
    3357,  3358,  3359,  3360,  3361,  3362,  3363,  3364,  3365,  3366,
    3367,  3368,  3369,  3370,     0,  2225,  2226,  2227,  2219,  2220,
    2221,  2222,  2223,  2224,  2235,     0,     0,  2378,  2439,     0,
    2178,     0,  1993,     0,  2186,     0,     0,  1800,     0,  2397,
    2292,  1800,   267,   268,   264,     0,     0,   219,   218,     0,
     237,   241,   242,   213,   240,     0,   236,   221,  2162,  2161,
     220,   212,   209,   207,   224,   226,   227,   210,   208,   261,
       0,     0,     0,   145,  1567,  1554,     0,     0,  2304,     0,
    2239,     0,     0,  2237,     0,     0,     0,  1797,     0,  1701,
       0,  1705,     0,     0,     0,  1944,  1943,  1894,  1890,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   946,     0,  1912,     0,  1863,  2421,  2422,  2302,
    1733,  1567,     0,  1563,  1696,  1695,  1738,  1739,  1104,  1694,
    1767,  1768,     0,     0,     0,     0,  1793,  1791,  1758,  1749,
    1757,     0,     0,  1755,     0,  1759,  1973,  1786,  1683,  1743,
    1744,  1747,  1682,     0,  1789,     0,  1638,  1787,  1748,  1622,
       0,  1600,     0,     0,  1848,     0,     0,  1468,     0,     0,
       0,  1133,  1135,     0,  1134,     0,  1137,     0,  1146,     0,
       0,  1132,  1151,     0,  1140,  1138,     0,  1508,     0,     0,
       0,     0,     0,  1488,     0,     0,     0,  2719,   255,  1491,
    1496,  1483,  1494,     0,     0,     0,     0,     0,  1069,  1068,
       0,     0,  1088,     0,     0,     0,   508,  1515,   530,     0,
     364,     0,     0,     0,     0,     0,     0,     0,     0,   827,
     824,     0,     0,   823,     0,   676,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   701,     0,  1312,
       0,   294,     0,  1172,     0,  1171,     0,  1176,     0,     0,
    1173,  1168,  1169,  2683,  2693,  2725,   257,  1174,  1204,     0,
    1203,  1199,     0,  1115,     0,  1116,     0,     0,     0,     0,
       0,  2527,  2554,   302,   326,     0,  1311,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   348,     0,     0,   351,   350,     0,     0,     0,
       0,     0,   356,     0,   334,     0,   335,     0,   355,     0,
       0,     0,   644,   645,     0,     0,     0,  1312,     0,   290,
       0,     0,     0,     0,     0,     0,     0,     0,  1221,     0,
     754,     0,     0,  2683,  1200,     0,  1395,     0,  2718,  1396,
    1399,   544,     0,   544,  1401,     0,     0,  1398,  1400,     0,
       0,   176,     0,   171,   175,     0,     0,  2683,  1201,     0,
       0,     0,     0,     0,   627,   628,   641,     0,   632,   633,
     630,   634,   635,     0,     0,     0,     0,     0,     0,     0,
     626,     0,     0,   723,   722,   726,     0,     0,     0,     0,
       0,     0,  1404,     0,     0,  1195,     0,     0,  1403,  1411,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1255,  1254,     0,     0,     0,     0,  1322,     0,   870,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   178,
     741,     0,   740,     0,   172,   177,     0,     0,     0,     0,
       0,     0,     0,     0,   231,  1457,  1463,  1737,  1737,  1737,
    2083,     0,     0,     0,     0,  1736,  2295,  2298,  1537,  1543,
    1536,  1535,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   413,
     410,   411,   413,     0,     0,     0,     0,   843,     0,   846,
     849,  1479,   492,     0,     0,   668,   701,     0,     0,   468,
     185,     0,     0,     0,     0,   756,     0,  1195,  1194,   147,
     138,   194,   466,     0,   193,   195,   197,   198,   199,   196,
     200,     0,   720,   724,     0,     0,     0,     0,   664,     0,
       0,     0,     0,     0,     0,     0,  1868,     0,     0,   170,
       0,     0,   617,   621,     0,     0,     0,     0,   468,   583,
     375,  2554,     0,   544,     0,  2554,     0,   137,     0,   830,
       0,     0,     0,  1157,  1157,     0,     0,   770,   769,     0,
       0,     0,     0,     0,     0,  1668,   145,  1155,     0,  1502,
       0,   145,   949,   145,  1119,   184,  2416,     0,   911,     0,
       0,     0,     0,   145,  1223,   899,   145,   180,   145,   145,
     667,     0,   145,   182,     0,     0,   145,   943,   145,  2386,
       0,   145,  1593,  2554,   544,  1571,   996,  1005,  1004,  1002,
    1001,   997,     0,  1016,     0,   543,     0,     0,     0,     0,
       0,  1037,  1038,     0,     0,  1034,  1039,     0,  1041,  1025,
    1027,  1035,  1036,  1042,  1031,  1030,  1043,  1044,     0,     0,
       0,  1056,   735,     0,     0,     0,     0,  1632,     0,  1630,
       0,  1846,  1634,  1623,  1583,     0,  1582,     0,   610,  1246,
    1245,  1247,     0,  1013,     0,   145,     0,  1447,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2254,
       0,  2255,     0,     0,  2288,  2284,     0,     0,     0,     0,
       0,  2258,  2261,  2262,  2263,  2260,  2264,  2259,     0,     0,
    2265,     0,     0,  2339,  2356,     0,  2069,  2339,  2367,     0,
    2366,  2372,     0,  2245,  1973,     0,     0,  2363,  2357,     0,
    2363,     0,     0,  2346,     0,     0,     0,     0,  2146,     0,
       0,     0,  2245,  2248,     0,     0,  2803,     0,     0,     0,
       0,  2041,     0,     0,  2212,     0,  2245,     0,     0,     0,
       0,     0,     0,     0,  2241,  2280,     0,   506,     0,  2031,
       0,     0,     0,  2160,     0,  2157,     0,     0,     0,     0,
    2301,     0,     0,  2400,  1974,  1989,  1990,  1991,  1994,  2377,
    1977,     0,  2303,     0,     0,  1975,  2002,     0,  2281,  2027,
       0,  2032,  2017,  2347,  2266,  2267,  2268,  2269,  2034,     0,
    2010,  2015,  2019,     0,  2356,  1998,     0,  1995,     0,  2304,
    2240,     0,  2238,     0,  1986,  1987,  1988,  1980,  1981,  1982,
    1983,  1984,  1985,  1992,  2216,  2214,  2215,     0,     0,  2186,
       0,     0,  2014,     0,     0,  2085,  2546,  2585,     0,  1726,
    1726,  1726,  1714,  1724,  2376,  1863,  1737,  1863,  2382,     0,
       0,  1969,     0,  1844,   951,   952,   950,  1539,  1553,  1567,
    2242,  1561,  1703,     0,     0,     0,  1913,  1926,     0,  1953,
    1954,  1955,  1955,     0,  1895,     0,  1938,  1963,  1964,  1965,
    1966,  1967,  1968,     0,  1962,  1904,   947,  2780,     0,  2679,
    2823,     0,  1824,  1799,  1801,  1811,  1824,  1831,  1824,  2087,
    1861,  2088,  2089,  2383,     0,  1770,  2418,  1541,  1565,     0,
    1102,  1103,     0,  1107,  2803,  2679,     0,     0,     0,     0,
    1760,  1794,     0,  1785,     0,  2393,  1761,  2392,  1762,  1765,
    1766,  1756,  1795,  1636,     0,  1790,  1687,  1686,     0,  1866,
       0,     0,     0,  1614,  1602,     0,     0,  1849,     0,  1800,
    1640,     0,  2301,  1798,  1362,  1256,  1323,  1136,     0,  1914,
    1147,     0,  1131,     0,  1130,  1914,     0,  1148,     0,  1914,
    1363,  1257,  1324,  1364,  1258,  1325,  1365,  1499,  1259,  1498,
    1486,  1485,  1484,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   808,  2554,
     145,  1513,  1366,     0,  1260,   363,  1514,  1326,  1518,   826,
     825,     0,     0,  1327,     0,   677,   682,     0,   684,   685,
    2473,  2535,   686,   689,   690,     0,   692,   681,   680,     0,
       0,     0,     0,     0,   698,   703,     0,     0,     0,     0,
       0,     0,  1166,  1167,  1367,  1263,     0,  1328,     0,  1114,
       0,  1264,   186,     0,     0,   282,  2554,   304,     0,   490,
     808,     0,  1314,   301,   332,     0,   347,   342,   343,   341,
    2554,   145,  2554,   145,     0,     0,     0,     0,     0,   344,
     339,   340,   336,     0,     0,   349,  2445,  2517,  2694,     0,
     709,   711,     0,   716,   352,  1284,   371,   370,   369,     0,
     357,     0,   376,   379,     0,   354,   333,   331,   328,   297,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1216,     0,  1370,  1329,     0,  1351,  1355,     0,     0,
       0,   748,  1373,  1270,  1332,     0,   544,     0,     0,   559,
     559,   544,  1384,  1271,   174,  1301,   163,     0,     0,   159,
       0,     0,     0,     0,   153,  1374,  1272,  1333,     0,     0,
    1375,  1273,     0,     0,   287,   620,   631,   636,  1278,   640,
     637,  1341,   638,  1382,  1274,     0,  1378,  1304,  1336,   389,
     603,   388,  1195,  1195,  1385,  1405,  1275,  1195,     0,  1312,
       0,   276,   278,     0,   142,     0,  1276,     0,  1334,  1377,
    1303,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1521,     0,     0,     0,     0,     0,     0,   145,     0,     0,
       0,  1314,  2554,   145,   868,  1376,     0,  1309,     0,  1349,
       0,     0,     0,   401,     0,  1302,  1312,     0,   289,  1280,
       0,  1343,     0,     0,   229,   228,   230,     0,     0,     0,
       0,  2246,  2247,     0,  2244,  2078,  2297,     0,  1531,   973,
     959,   972,     0,   955,  2515,     0,   958,   960,     0,     0,
       0,   961,   965,   966,     0,   957,   954,   956,     0,   412,
       0,     0,   765,   766,     0,     0,     0,     0,   845,     0,
       0,  1511,     0,   150,   675,     0,     0,     0,   670,   700,
     705,     0,     0,     0,     0,   467,   471,   475,   476,   477,
       0,     0,     0,     0,   164,   151,     0,   888,     0,   544,
       0,   758,  1195,  1388,     0,   194,   189,     0,     0,   721,
       0,  1562,     0,     0,   598,   601,   600,     0,   375,   840,
     838,   837,   839,   861,   836,     0,  1867,  1869,     0,     0,
       0,     0,     0,     0,   610,   470,     0,     0,   547,     0,
     586,     0,     0,     0,     0,   583,     0,     0,     0,  2426,
       0,   857,   829,     0,  1125,     0,  1143,  1126,     0,     0,
       0,     0,  1180,  1187,  1156,  1181,  1158,  1187,     0,     0,
     771,   775,   774,   778,   776,     0,   772,   649,  1674,  1675,
       0,  1213,     0,     0,  1507,     0,  1505,   910,  1207,   145,
       0,   145,     0,   145,  1215,  1209,  1211,  1413,     0,   908,
       0,     0,   901,   903,     0,   905,     0,  1017,   546,     0,
       0,     0,     0,     0,     0,  1033,   647,  1040,     0,     0,
       0,  1055,  1050,  1052,     0,  1067,  1061,     0,   734,     0,
       0,  1633,  1626,  1628,  1627,     0,     0,  1624,  2251,   900,
       0,   616,     0,  1067,  1058,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1731,  2252,  2253,     0,
       0,     0,  2285,     0,     0,  2122,     0,  2093,  2095,  2108,
       0,  2123,  2076,     0,  2338,  2335,     0,     0,     0,  2339,
    2346,  2142,     0,     0,     0,  2346,     0,  2366,     0,     0,
       0,  2137,  2139,     0,     0,     0,  2356,  2356,     0,  2144,
       0,     0,  2124,  2097,  2099,  2109,     0,     0,  2232,     0,
    2112,  2111,     0,  2043,  2044,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2058,  2113,  2211,     0,     0,     0,  2115,
    2114,     0,     0,  2279,     0,     0,     0,  2120,   507,  2125,
       0,     0,     0,     0,  2131,     0,  2168,     0,     0,     0,
    2066,  2242,     0,     0,     0,     0,     0,     0,     0,  2349,
    2350,  2351,  2348,     0,  2033,  2018,  2036,  2012,  2016,  2020,
       0,  2356,  2035,  2038,     0,     0,  2006,     0,     0,  2004,
    2028,  2000,     0,     0,  2029,     0,  2084,     0,     0,     0,
    2189,  2184,  2185,  1726,  1726,  1726,  1726,  1723,     0,     0,
       0,  1770,     0,  1770,   205,     0,   238,   225,  1538,  1704,
    1713,  1932,     0,  1950,  1948,  1891,  1896,  1971,  1824,  1831,
    1824,     0,     0,  1689,     0,  1811,     0,  1823,  1809,  1822,
       0,     0,  1837,  1835,     0,  1837,     0,  1837,     0,  1803,
       0,  1827,  1805,  1822,  1807,     0,  1853,  2384,  1862,     0,
    1783,  1740,     0,  2233,  1107,     0,  1742,  1764,  1763,     0,
    1753,     0,  1792,  1750,  1637,  1621,     0,  1619,  1606,  1608,
    1607,     0,     0,  1609,  2301,     0,  1619,  1601,     0,  1645,
       0,     0,  1866,     0,  1644,     0,  1914,  1128,  1129,     0,
    1152,     0,  1072,  1073,     0,  1071,     0,     0,     0,   529,
    1087,     0,     0,   808,     0,   808,     0,     0,   534,     0,
    1516,     0,  1383,  1300,   679,     0,     0,     0,     0,   694,
     653,   695,   697,     0,     0,   696,   699,   702,  1312,     0,
     295,  1286,     0,  1347,  1160,     0,     0,  1117,     0,     0,
       0,     0,     0,     0,   489,   486,   327,     0,     0,     0,
       0,   384,     0,   306,   319,   382,   325,     0,   359,     0,
     330,     0,   323,   345,   337,   346,   338,   358,   360,     0,
     713,   714,   712,   708,     0,   715,   717,     0,   373,     0,
       0,     0,   391,   353,   390,     0,  1369,     0,  1312,     0,
     291,  1282,     0,  1345,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1350,     0,     0,     0,
       0,   753,     0,   750,     0,   559,     0,  1397,     0,  1394,
    1392,   559,     0,     0,   156,   155,     0,   162,     0,     0,
       0,     0,     0,     0,  1406,  1407,  1408,     0,     0,     0,
       0,     0,     0,   395,     0,   298,   300,   299,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   402,   366,     0,   864,     0,
       0,     0,   404,     0,     0,  1361,     0,     0,     0,     0,
       0,  1368,  1265,  2081,  2082,  2079,  1737,  2296,     0,     0,
       0,   970,     0,     0,     0,     0,   415,   416,   150,   414,
     439,     0,   808,     0,     0,   842,   847,   855,  2622,  2219,
    2220,   853,   848,   850,   852,   854,   851,     0,     0,     0,
       0,   511,     0,     0,     0,   498,     0,     0,   508,   491,
     494,   495,     0,     0,   671,   674,   672,   673,     0,   693,
       0,   470,   518,   573,     0,   166,     0,     0,   167,   165,
       0,     0,   375,   755,     0,   752,  1387,     0,   192,     0,
     725,     0,     0,     0,     0,     0,  1195,   663,     0,   860,
     862,   834,     0,   705,     0,     0,   622,     0,   544,  1594,
     605,     0,   575,   470,   573,   582,     0,     0,   590,   374,
       0,     0,   610,   375,     0,     0,  1088,     0,   856,     0,
       0,  1124,     0,     0,     0,  1177,  1182,  1178,     0,  1157,
    1139,     0,  1179,     0,     0,  1185,  1110,  1159,  1111,  1429,
    1430,  1427,  1428,     0,     0,     0,     0,     0,     0,  1665,
       0,     0,  1503,     0,   912,     0,   895,     0,   897,   145,
     742,     0,   145,     0,     0,     0,     0,     0,     0,  1032,
       0,  1026,  1028,  1053,     0,     0,  1067,  1066,     0,  1057,
    1065,  1063,  1064,  1062,     0,     0,  1631,  1629,   608,     0,
       0,   145,  1067,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2256,     0,  2287,  2283,     0,  2090,  2257,
    2337,  2353,  2355,  2143,  2345,     0,     0,     0,  2368,     0,
       0,  2346,  2306,  2360,  2359,     0,     0,  2358,  2346,  2346,
    2306,  2145,  2306,     0,     0,     0,  2212,     0,     0,  2042,
    2054,  2055,  2056,  2272,     0,  2061,     0,  2051,  2052,  2053,
    2045,  2046,  2047,  2048,  2049,  2050,  2057,  2276,  2275,     0,
       0,  2117,  2118,  2119,  2278,  2126,     0,  2463,  2169,     0,
    2130,  2159,  2158,     0,     0,     0,  2133,     0,     0,  2155,
       0,  2213,  2401,  1976,     0,     0,  2003,  2282,  2021,     0,
    2037,  2039,  1999,  2232,     0,     0,     0,     0,     0,  2008,
       0,     0,  2209,     0,     0,     0,  2191,  2188,     0,     0,
       0,     0,  1717,  1716,  1722,  1783,  2078,  1783,     0,     0,
    1892,  1810,  1806,  1808,     0,  2818,     0,  1813,  1820,     0,
    1802,     0,  1836,  1832,     0,  1833,     0,     0,  1834,     0,
       0,  1804,     0,  1820,     0,  1860,  1729,     0,  2180,     0,
    1741,  1105,  1106,  1751,     0,  1754,  2494,  1864,     0,  1620,
       0,     0,     0,  1611,  1617,  1599,     0,     0,     0,  1641,
    1619,  1642,  1149,     0,     0,  1141,  1078,  1079,  1082,  1080,
    1077,  1081,     0,     0,     0,   808,     0,     0,   554,     0,
    1101,  1101,     0,   532,   542,   536,   595,   542,   811,     0,
       0,     0,   809,   145,  1261,     0,     0,     0,     0,   654,
    1381,  1262,     0,     0,     0,     0,  1161,  1315,     0,     0,
    1285,     0,   303,   488,   487,     0,   485,   705,     0,     0,
     310,   320,     0,   315,     0,  1313,     0,     0,     0,     0,
     314,   317,   316,   386,     0,   383,     0,   145,   145,   361,
     710,   372,   377,   378,   381,  1320,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   889,
     872,     0,     0,   890,   891,     0,     0,     0,  1218,  1219,
    1217,  1352,  1353,  1359,  1356,  1354,  1358,  1360,  1357,     0,
    1268,     0,     0,   746,  1316,  1389,  1391,  1390,     0,  1393,
     160,   157,   158,   161,  1317,  1298,  1279,  1342,   604,     0,
       0,     0,  1277,     0,  1335,     0,  1294,  1288,     0,     0,
       0,     0,     0,  1380,  1308,  1340,  1379,  1306,  1338,  1305,
    1337,  1307,  1339,  1299,     0,     0,  1871,   869,     0,     0,
       0,   145,   145,   867,   744,  1281,     0,  1344,  1290,     0,
       0,     0,   962,     0,     0,     0,   964,   420,   440,   150,
       0,   764,   828,     0,     0,   844,     0,   496,     0,   502,
     509,     0,     0,   513,   514,   512,   540,  1195,   544,  1195,
     797,   798,     0,     0,   818,     0,   669,     0,     0,   468,
       0,   515,     0,     0,   472,   169,   168,     0,     0,     0,
     759,   763,   761,   760,   762,   757,     0,   748,   194,  2554,
       0,     0,     0,     0,   602,   596,   599,  1402,   835,     0,
    1870,   738,     0,   375,   618,     0,     0,     0,   468,   610,
       0,   473,   478,   479,   492,     0,   583,   574,     0,   575,
     584,   585,     0,   592,  1477,     0,   611,   592,     0,     0,
       0,   859,     0,   858,     0,  1127,  1144,  1145,     0,     0,
    1187,     0,     0,  1189,  1184,     0,     0,   777,   780,   773,
     656,   145,     0,  1506,   145,   145,  1244,     0,   906,  1047,
    1048,  1049,  1046,  1045,   648,     0,  1051,  1010,  1060,   736,
       0,   609,     0,  1011,   145,   987,   979,   986,   975,   978,
     980,     0,   982,   983,   977,   974,   976,  2286,  2107,     0,
    2352,  2354,  2141,  2365,  2364,  2140,  2371,     0,     0,  2334,
    2362,  2361,     0,     0,  2346,  2346,  2110,  2121,     0,  2211,
    2242,     0,     0,  2062,     0,     0,     0,  2116,  2813,     0,
       0,  2173,  2174,     0,  2170,  2171,  2166,  2167,  2132,     0,
    2610,  2150,     0,     0,  2165,  2025,  2023,  2022,  2007,     0,
       0,  2005,  2001,     0,  2030,  2175,  2208,  2242,  2177,     0,
    1737,  1721,  1720,  1719,  1718,  2180,  2398,  2180,   239,  1708,
    1856,     0,  1859,     0,     0,  1812,     0,     0,  1814,     0,
       0,  1816,  1818,     0,     0,     0,     0,     0,     0,  2387,
       0,  1782,     0,  1737,     0,  1752,     0,  1618,  1603,     0,
    1604,  1610,     0,     0,     0,     0,     0,  1646,  1639,  1142,
    1150,     0,     0,     0,   531,     0,   549,     0,     0,     0,
    1094,   140,  1093,     0,     0,     0,     0,   813,   812,   815,
     810,   814,  1517,     0,   687,   688,   691,  1287,     0,  1348,
    1296,     0,  1635,   305,   484,   483,   492,   313,     0,     0,
       0,   307,   385,     0,   387,   308,   312,   366,   329,   322,
       0,     0,     0,  1283,     0,  1346,  1292,  1319,  1371,  1266,
    1330,     0,     0,   878,     0,     0,     0,     0,  1372,  1267,
    1331,     0,     0,     0,     0,     0,  1635,     0,     0,     0,
       0,     0,     0,     0,     0,  1526,     0,     0,   365,   866,
     865,   366,   403,  1310,     0,  2080,     0,   963,   968,   969,
     967,     0,   409,   417,   420,     0,     0,  1235,  1235,     0,
       0,   493,   510,     0,     0,   497,   594,   553,   594,     0,
       0,     0,     0,     0,   706,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   751,   750,   191,     0,   468,
       0,   705,     0,   863,     0,     0,     0,   610,   470,     0,
       0,  1591,   469,     0,     0,   481,     0,   586,   575,   583,
       0,     0,   607,     0,  1470,     0,   613,     0,     0,     0,
     807,  1183,     0,  1197,     0,  1138,  1108,  1192,     0,  1713,
    1863,     0,     0,     0,     0,   790,     0,   660,  1236,  1504,
     896,   898,   743,  1054,     0,  1067,  1059,   981,  2336,  2370,
    2305,  2307,     0,     0,  2328,  2321,  2324,  2322,  2323,  2325,
       0,  2320,     0,  2138,  2369,  2318,  2332,  2271,  2213,  2059,
       0,  2274,  2273,  2277,     0,  2127,     0,  2128,  2172,  2134,
    2151,     0,  2135,  2163,     0,     0,  2026,  2024,  2009,  2210,
       0,  2195,  1691,  1690,     0,  1711,  1861,     0,     0,  1855,
       0,     0,  1885,     0,     0,     0,  1821,  1839,     0,  1817,
    1815,     0,  1828,     0,  1830,  2493,  2775,  2676,     0,  1769,
    1771,  1774,  1776,  1775,  1777,  1773,  2179,  2181,     0,  1748,
    2234,  1865,     0,     0,     0,  1089,     0,     0,  1619,  1648,
    1643,  1055,     0,   145,  1101,     0,  1195,   555,  2622,   556,
    1100,  1104,   139,     0,   541,   549,   549,   683,     0,     0,
     284,   480,     0,   311,   321,     0,   368,   380,     0,  1635,
       0,     0,   876,   885,   885,   873,     0,     0,   892,  1269,
     747,     0,   558,     0,   279,  1295,  1289,     0,     0,     0,
    1528,  1529,     0,     0,     0,     0,     0,  1318,   145,  1291,
     971,     0,   442,   449,   421,   425,  1520,     0,  1520,     0,
     422,   426,  1520,  1520,   419,  1863,   438,  1235,     0,  1232,
    1231,   540,   624,     0,   539,     0,   500,     0,   564,   499,
       0,   819,     0,     0,   704,     0,   470,   573,     0,   528,
     519,   520,   521,   522,   524,   523,   525,   526,   527,   517,
     516,     0,   705,   882,   375,  1477,   745,     0,     0,   718,
       0,   705,     0,  1594,   606,   575,   470,   573,   474,   492,
       0,   590,   583,   586,     0,   587,     0,   591,     0,     0,
       0,   610,  1530,  1088,     0,     0,   808,  1196,  1157,     0,
       0,  1186,  1190,  1191,     0,     0,     0,     0,  1239,   784,
     785,   779,   781,     0,   792,   796,   655,     0,     0,   659,
     650,   705,   145,     0,     0,  2319,  2326,  2327,     0,  2148,
       0,     0,  2344,     0,     0,     0,  2060,     0,     0,  2153,
    2152,  2164,  2136,  2190,     0,     0,     0,     0,     0,     0,
       0,  1702,  1854,  1857,     0,  1888,     0,     0,     0,     0,
    1874,     0,  1819,     0,     0,  1829,     0,     0,     0,  1778,
       0,     0,     0,  1787,     0,  1616,  1863,     0,  1613,     0,
    1656,     0,  1647,  1649,  1074,     0,  1075,  1095,     0,   594,
       0,  1107,  1104,   544,  1195,  1195,  1297,     0,   624,     0,
       0,   324,     0,   292,  1293,     0,     0,   887,   887,     0,
       0,     0,     0,     0,     0,   397,     0,     0,  1522,     0,
    1523,  1524,  1527,   405,   418,     0,   447,     0,   445,   444,
     446,     0,   435,     0,     0,     0,     0,     0,     0,   408,
    1230,  1234,  1233,   501,     0,   503,     0,     0,   550,   551,
     552,     0,   505,   560,   561,   816,     0,   821,     0,   707,
       0,     0,   705,   572,   729,     0,     0,     0,  1471,     0,
       0,   597,   739,  1477,   610,   583,     0,   575,   482,     0,
     592,   586,   590,   588,   589,     0,  1474,     0,   612,     0,
    1097,   806,     0,  1187,  1198,  1193,  1188,  1433,     0,     0,
     782,   787,   786,  1520,   791,     0,     0,     0,   658,   657,
     733,  1012,  2308,  2309,  2333,     0,     0,     0,  2312,     0,
    2310,     0,     0,  2332,     0,  2149,  2270,  2156,  2129,  2154,
    2762,  2494,  2733,     0,  2207,  2196,  2207,  2207,  2187,     0,
       0,     0,     0,     0,  1886,  1887,  1872,     0,     0,  1876,
    1826,  1852,     0,     0,     0,  1772,  2182,  2183,  2417,  1605,
    1615,  1090,     0,     0,     0,  1656,     0,     0,   559,     0,
    1091,  1107,   553,   594,   594,  1635,   318,   309,   367,     0,
       0,     0,   883,   886,   874,   875,   894,   893,   749,  1635,
       0,   393,   392,     0,   396,     0,   443,   452,     0,   450,
     423,   428,     0,   434,   433,   430,   429,   424,   427,     0,
       0,     0,     0,     0,     0,   562,     0,   563,     0,   820,
       0,     0,     0,   731,   881,     0,     0,   468,   705,  1472,
    1592,   586,   575,   583,     0,     0,   577,  1101,  1101,   455,
     590,   592,  1475,  1476,     0,     0,   508,     0,  1109,  1432,
    1431,  1713,     0,     0,     0,   793,   794,   789,     0,     0,
    2313,     0,  2316,     0,  2317,  2311,  2341,  2343,     0,  2329,
    2330,     0,  2200,  2199,  2198,  2202,  2201,     0,  2194,  2192,
    2193,     0,     0,     0,  1858,     0,  1875,  1878,     0,     0,
       0,  1884,  1877,  1879,     0,  1838,     0,  1850,  1780,     0,
    1779,  1863,  1655,     0,     0,   145,   548,   808,   557,  1092,
     564,   808,   808,   285,  1635,   877,     0,   280,     0,   398,
    1525,   448,     0,   432,   431,   623,   504,   593,   569,     0,
     568,     0,   566,   565,   817,   822,     0,   705,   871,  1477,
     719,   590,   583,   586,     0,   576,     0,   140,   140,   592,
     453,     0,     0,   375,     0,  1415,  1713,  1414,  1416,  1424,
    1421,  1423,  1422,  1420,     0,  1242,  1243,   783,   788,     0,
       0,  2314,  2315,     0,     0,  2147,     0,     0,     0,  2204,
       0,  2205,     0,     0,     0,     0,  1881,  1882,  1883,  1880,
    1825,     0,  1781,  1612,  1658,     0,     0,  1650,  1651,     0,
    1076,   537,   808,   535,   533,   293,   884,     0,   451,   567,
     544,   544,   705,   730,  1473,   592,   586,   590,  1101,   578,
     580,   579,   457,  1097,  1098,     0,   592,   796,     0,  1425,
    1419,  1689,  1676,     0,     0,   795,     0,     0,     0,     0,
    2197,  2203,  2206,     0,     0,     0,     0,     0,     0,  1653,
       0,     0,     0,  1652,   538,     0,   571,   570,   732,   456,
     590,   592,   140,   508,  1096,     0,  1863,     0,  1417,  1713,
       0,     0,   801,  2340,  2342,  2331,  1707,  1706,  2780,     0,
       0,  1710,     0,  1851,  1657,  1654,     0,     0,     0,     0,
    1659,   394,   592,   454,   581,   375,  1099,  1083,     0,  1418,
       0,     0,   803,     0,   799,   802,   804,   805,     0,     0,
    1873,  1663,     0,     0,     0,   458,   592,     0,     0,     0,
     767,     0,  1737,     0,     0,     0,     0,  1863,     0,     0,
       0,   800,     0,     0,  1660,  1664,     0,  1661,  1084,   801,
    1240,  1241,     0,  1709,     0,     0,     0,   768,  1662
};

  /* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -5640, -5640, -5640,  3982,  -568, -1737, -5115, -1133,  -951, -5640,
   -5640,  -953,   413,  3232, -2452, -5640, -5640, -5640,  1375, -5640,
   -5640, -5640, -5640,  3941, -5640, -2944, -5640, -5640,   176,  3898,
   -1395,   145,  3511,  1499, -5640, -1009, -5640, -5640,  -611,    13,
   -5640,  3900,   482, -5640, -5640, -5640, -5640, -5640, -5640, -5640,
   -5640,  -849,  1956, -5640,  2053,  1295, -4852, -5640, -5640, -1543,
   -3784, -5640,   547, -5640,   574, -4165, -5640, -4841, -1104, -5640,
   -5640, -5640,  1942, -5640, -5640, -5640,  1889,  1082,  -470, -5640,
   -5640, -5640, -5640, -5640, -5640,  -929, -5640, -5640, -1224,    11,
    -660, -2974, -4346, -5640, -5640,   395,  -513, -1509, -5640,   589,
   -5640,   593, -5640, -4859, -5640,  -101, -2706, -4392, -5640, -5640,
   -5640,  -478, -1475,  1392,  -717,    78,  -739, -1159,  1772, -2667,
   -1055, -5640,  -349, -3598, -1189,  -934,  -927, -1089, -4402, -4911,
   -5640, -5640, -1219, -3826, -5222, -5449, -4924, -5151,  1403, -5640,
    -124,   405, -5640,    14, -3683, -3774,    15,   380, -5640,    17,
      20, -5640,   397,  -864,  -979, -1612, -5640,  -740, -5640, -5640,
   -5640, -3486, -5640, -5640, -5640,   168, -5640, -5640, -5640, -5640,
     441, -5640, -5640, -5640, -5640, -5640, -5640, -3206,  1920,  1922,
   -5640, -4422, -5640,  -941, -5640,   605, -3530,  1323, -5640, -5640,
    1086,  3975,   421, -5640, -5640, -5640, -5640, -5640, -5640, -1810,
   -5640, -5640, -5640, -5640,  -100,  -450, -5640, -5640, -5640, -5640,
   -5640, -5640, -5640,    21, -5640,  1045,   364, -5640, -5640,  -762,
   -5640, -5640, -5640, -5640, -5640, -5640, -1274, -5206, -1385, -1366,
   -5640, -3498, -5640, -5640, -5640,  -424, -5640, -5640, -5640, -5640,
   -5640,  -747, -5640,  1138, -4176, -5640, -5640,   400, -5640, -5640,
   -5640, -5640, -5640, -1065,  -363,  3128, -5640,  -621,  -844, -5640,
   -5640, -5640,  -362, -5640, -5640, -5640, -5640, -5640,  -539, -1271,
    4979,  4345, -1123, 11019,  -848,  -582, -5640, -5640, -5640, -2775,
   -5640, -5640, -4272, -5640,  4973,  2470,  1208,    22, -5640,    -2,
     102,  3781, -5640,  1004, -1171, -3144,   361,  -576, -5640, -5640,
   -5640,   359, -5640, -1962, -5640, -5640, -5640, -5640, -4137,    24,
   -5640, -4434, -5226, -4612, -4180, -1244, -5640, -4463, -4520, -4113,
   -5640,  1949, -5640, -5640,  -456,  -187,  3102, -5640, -1493,  2293,
   -1429, -5640, -2632,   425,  1484,  3118, -3297,  -125,  3095, -3023,
   -5640,  -701,  1074, -5640,  -448, -3818, -5640, -5640, -5640, -2774,
    -710, -5640, -5640,  1548,   734, -5640, -5640, -5640, -5640,  -649,
    3079,  -193, -5640, -5640,  4314, -5640, -5037, -5640,  4282, -5640,
   -5640, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -1471,  1245,
   -5640,  -835, -5640, -5640,  2050,   631, -5640, -5640, -5640, -5640,
    1331, -1236, -5640, -5640, -5640, -5640, -5640, -5640, -5640, -1050,
   -1267, -5640, -5640, -4665, -5640, -5640, -5640, -5640, -5640,  2449,
    -964,  -755,  4185,   955,    26, -5397, -5640, -5640,  -425, -5640,
    3516, -5640, -5640, -5640, -5640, -5640,   426,   410, -5640, -5640,
   -5640, -5640, -4375, -5640, -5640, -5087, -5640, -5640,  2026, -5640,
   -5640,   407,    12,  3248, -5640, -5640, -5640,   -24, -5640, -5640,
   -1029,  2376, -5640, -2401, -5640,  -596, -5640, -5640, -1919,    29,
   -4400, -5640,     4, -5640, -5640, -5106, -1284,   210, -5640, -5640,
   -4117,     5, -5640, -5640, -5640, -5640, -5090, -5640,     9, -5639,
     770, -3363, -5640,     8, -5640,  -530,  -946, -5640, -5640, -5640,
   -3927,    31,    32, -5640, -5640,     3,  1668,   -49,   -29,   -25,
       2,   156,  3633, -5640, -5640, -5640, -4521,  3674, -5640,    -8,
    -871,  5013,  5016, -5640,  -891,  -141,   369,  1589,  -674, -2621,
    3586,  3589, -5640,  1576,  2395, -2467, -2461, -5640, -1193,  -915,
    -731, -5640, -5640, -5640, -5640, -1694,  -671, -2628, -5640,  3591,
   -5640, -5640, -5640, -2378, -3405, -3327,  1621, -3309, -3218, -5640,
     864,   848, -1042,  -189,    45, -1490,  -795,  1710, -5640, -5640,
    1628,  -457, -5640, -5640,  -454, -3315,   818, -5640, -4624, -2831,
    1643, -1194,  -885, -5640, -1028, -5640,  -694,  2522,  3665,  -833,
   -5640, -5640,  -803, 12522, -5640, -5640, -5640, 12871, 14580, -5640,
   -5640, 15410, 16068, -5640,  -564, 16710, 11576,  -791, -1959,   344,
   17279, 18985, -1885,  3279,    35, -5640, -2992,  -537, -5640, -5640,
   -5640,  -419,   965,   697, -5640, -5640, -4650, -4467, -5640,  2531,
   -2049, -5640,  -699,  1714,  -698, -5640, -5640, -5640, -2750, -5570,
   -2853,  2534, -5640, -5640, -5640,  -201, -5640, 18806, -3275, -5640,
    -858, -1016, -1611,  3044, -3142, -1918, -5640, -5640, -5640, -3116,
   -5640, -5640, -5640,  -817,  1744, -5640, -5640,  1877, -5640, -5640,
   -5640,  -974,  2110,  -742, -1190,  1755, -1496, -5640,  -627, -5640,
   -4985, -5640,  -826, -5640, -1880, -5640, -3037, -5640, -1938,  1769,
   -3120, -5640, -1950,  1849,  1063, -5640,  1149, -5640,  4222,  -785,
    2555,  -798, 10781,  -654, 14825, -1285, -5640,   379, -4255,  6841,
    7558,    16,  -110,   -74,  -667,  2472,  3072, -5640, -5640,  5197,
    8025,  -655,  -839, -5640,    -6, 11348, 11077, -3693, -5640
};

  /* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    57,    58,    59,    60,  1102,  1107,  1904,  1923,    61,
      62,  1626,  3050,  2903,  3874,  3875,    63,    64,  1622,    65,
      66,    67,    68,  1536,    69,  1876,  3064,    70,  2738,   844,
     845,   846,  2603,  2604,  2995,  2605,  2593,  1388,  1822,  1558,
     818,   819,  1518,  1559,    72,    73,  1382,  2584,    74,    75,
      76,  1589,  1683,  1590,  1591,  1530,  5006,  5831,  3660,  2858,
    3922,  3661,  3662,  4344,  4345,  3740,  4373,  4435,  5845,  5846,
      77,  1699,  1700,    78,    79,  3032,  3840,  4488,  5392,  5393,
    5654,   663,  5029,  5030,  5641,  5642,  5859,  6028,  6029,  3065,
     694,  3917,  4572,  3865,  5100,  3866,  5101,  3867,  5102,  4896,
    4897,  4334,  4335,  3851,  4519,  4520,  2080,  5042,  4521,  3868,
    5061,  5689,  3869,  2758,  5405,  5305,  3099,  1995,  1993,  5586,
    5668,  4857,  4858,  4409,  5882,  5883,  5884,  6162,  5063,  5106,
    5107,  6065,  6066,  3920,  4578,  5113,  5452,  5666,  3558,    81,
    3893,  3894,    82,   757,  1898,  4021,   758,  3102,   695,   759,
    3066,    87,  3092,  5875,  3093,  1652,  2917,  4501,  3997,    88,
    1130,  4309,  5477,  5749,  5750,   748,    89,  1884,    90,    91,
    3045,  3858,    92,  2775,  3575,    93,    94,  3594,  3595,  3596,
      95,  4529,  5413,  1592,  3649,  3650,  3651,  3652,  4365,    96,
    1879,  3073,  3074,    97,    98,    99,  3204,  3205,   100,  2981,
     101,   102,   103,   104,  4403,  4963,  5077,  3691,  3881,  4545,
    5075,   105,  3844,  3067,  3120,  3955,  3956,  5475,  5741,  5742,
    5743,  5933,  6197,  5745,  5935,  6087,  5937,  5052,  6333,  6334,
    5726,  4298,  4872,   107,  5053,  5054,  5888,   108,  2773,   109,
     110,  1853,  3038,  3039,  4502,  3109,  3930,  3931,  4558,  4559,
     111,  3780,   112,  4939,  4940,   696,  5896,  5837,  6014,   113,
     114,  4943,  4944,   115,   116,   117,   118,   119,   749,  1064,
    1065,   751,  1185,  1186,  3529,  1147,   120,  2613,   121,  3820,
     122,  1260,  5166,   123,   783,  1201,  1202,  3068,   125,   793,
    3223,   795,  3188,  3189,  2011,  4001,  4002,  4646,   126,   127,
    4005,  4006,  4653,  3201,   128,  1523,  2748,  2749,  4852,  3069,
     697,  3552,  5574,  5300,  5575,  6076,  6255,  5301,  3473,  4246,
     130,   698,  1564,  2814,  1153,  1154,  3113,  3935,  2718,  2719,
    1722,  4599,  2721,  3937,  2722,  1497,  2723,  1140,  1141,  3943,
    3944,  3945,  3946,  4595,  4605,  4606,  5469,  5734,  4602,  1872,
    5463,  5464,   131,  1561,  2811,   132,   133,   134,  1605,   988,
    1163,  1164,   135,   710,   711,   136,  5659,   137,  1143,   138,
    5473,   139,   140,  1245,  1246,   810,   141,   142,  2828,  4347,
     143,  1562,   144,   145,  3685,  3686,  4955,   146,   147,   148,
    2889,  2890,   149,   150,   151,   152,   153,  6187,  6258,  6259,
    6260,  4613,  6081,   154,  1233,   155,   156,   157,   158,   196,
    1029,  1030,  1031,   941,  3070,  5454,   160,   161,  1519,  1520,
    1521,  1522,  2743,   162,   163,   164,  3965,  3966,   165,   166,
     167,   168,  1856,   169,   170,  5632,   171,   172,  1826,   173,
     174,  1038,  1039,  1040,  1041,  1824,  3419,   657,   863,  1413,
    1419,  1462,  1463,  1464,   176,   761,   177,  1236,  1069,   762,
    1194,   179,   763,  2700,  3503,  4261,  4262,  4263,  4266,  5284,
    4829,   764,  3499,   182,  2018,  3210,  3213,  3495,   765,  3509,
    3510,  3511,  4270,   766,  5578,  5579,  5994,  6227,  6228,  6283,
    6320,   767,   785,  1133,  3124,   768,  1347,   188,   189,   190,
     921,   866,   867,  3424,  5535,  5781,   192,  2577,  3402,   802,
    1468,   909,   910,   911,   930,  3005,  2666,  2667,  2691,  2692,
    1477,  1478,  2679,  2683,  2684,  3486,  3479,  2672,  4240,  5559,
    5560,  5561,  5562,  5563,  5564,  4818,  2687,  2688,  1480,  1481,
    1482,  2696,   193,  2656,  3453,  3454,  3455,  4217,  4218,  6125,
    4232,  4228,  4803,  5261,  3456,   855,  1231,  1489,  4811,  6127,
    3457,  5250,  5251,  5539,  4236,  3465,  4257,  3905,  3906,  3907,
    3458,  5789,  5790,  6122,  6123,  5541,  5542,  2724,  1442,   894,
    1348,   895,  1455,  1349,  1429,   897,  1350,  1351,  1352,   900,
    1353,  1354,  1355,   903,  1421,  1356,  1357,  1438,  1451,  1452,
    1358,  1414,  5543,  1360,  1361,  1362,  3460,  1363,  4749,  5223,
    5209,  3324,  3325,  2600,  5525,  4745,  4132,  4739,  2570,  2574,
    5273,  5566,  5567,  3395,  4181,  4776,  5240,  5777,  5964,  5965,
    6108,  1364,  1365,  1366,  3387,  2564,   991,  1367,  4504,  2566,
    3315,  3293,  1725,  3294,  2021,  2043,  3242,  3258,  3259,  3363,
    3295,  3303,  3308,  3316,  3349,  1368,  3244,  3245,  4043,  2045,
    1369,  1035,  1728,  1036,  1457,  3344,  5189,  5490,  5491,  5762,
    5763,  5501,  5764,  5502,  5492,  4054,  4055,  5953,  3269,  3364,
    4058,  3277,  3278,  4076,  4065,  3270,  1370,  4067,  1378,  1379,
    1372,  2012,   856,  5257,  1189,  1809,   799,  1373,  1374,  1375,
    1376,  1598,   962,  1156,  1157,   912,   914,   915,  2660,   653,
     645,   964,  3653,  2567,   654,   647,   648,  1814,  2568
};

  /* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
     positive, shift that token.  If negative, reduce the rule whose
     number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     646,  1042,   191,   186,   180,   181,  1415,   920,   184,   183,
     990,    80,   175,    71,    83,    84,  1724,    85,   989,   954,
      86,   106,   124,   191,   129,  1651,   159,   995,  1096,   178,
    1000,   185,  1821,   760,   822,  1938,  1383,   858,   787,  2930,
     651,   642,  1483,  2852,   787,   908,  1371,   702,   931,  2757,
    3557,  1222,  1223,  1224,  1136,  1434,  1469,  1228,  1471,  1454,
    1992,  2823,  1815,  1410,  1656,  1169,  1716,  2720,  1704,  3496,
    2815,  3225,   942,  1425,  1426,  3864,  2040,  3497,  1881,  1182,
    4023,  3087,  2032,  1433,  3895,  1228,  1397,  3522,  3524,   854,
    4191,  3947,  4193,  4255,  1195,  2824,  1188,  1502,  1134,  4583,
    1440,  1042,  4410,  3216,  2835,  2024,   998,  4315,  2999,  2026,
    3280,  4859,  2027,  2028,  4557,  1409,  4360,  3886,  4362,  1063,
    1020,  3276,  4336,  3241,  4214,   794,  2891,  2891,  1854,  4608,
    2891,  4820,  1859,   963,  2720,  1593,  3777,  1863,   823,  3333,
    4570,  5091,   999,  2960,  2961,  4269,  5254,  1873,  4231,  4835,
    4854,   925,  5120,  3154,  1042,  1650,  1021,  4506,  2806,  1196,
    1615,  1893,   933,  1179,  1682,  1632,   934,  3106,  2652,  5099,
     232,  3745,  5109,  5572,  1709,  3264,  3268,  3271,  3272,  4268,
     817,  3281,  1136,  3283,  3284,  5060,  5591,   851,  5266,  3300,
    5268,   646,  1927,  5456,  4923,  1810,  1930,  4244,  5449,  3405,
     646,   965,  1934,  3407,  5500,  5672,   869,  1042,   646,  2956,
     965,   646,  1945,  3417,  1565,  3488,  1948,   843,  2806,  5417,
    1951,  4275,  1953,  3491,   965,  5711,  1390,  5108,  1961,  4567,
    4060,  1597,  5600,  5724,  1967,  2806,  2988,  1970,  4229,  3823,
    4234,  3826,  3827,  4160,  4163,  5445,  3831,  3832,  3833,  5302,
    3835,  3836,  3837,  1560, -2538, -2459,  1476,  5669,  4978,  1479,
    3467, -2542,  5910, -2580,  1889,  2786,   769,  5448, -1955,  1042,
    1013,  5214,   769,  2657,  1167,  1920,  5624,  1171,  2836, -1914,
    5945, -1947,   661,  3883,  1203, -1927,  5634,  5635, -2605, -2644,
    1207,  3221,  2611, -1952,  1560,   769, -2426,  2967,  5898,  1560,
   -1972,  1823, -1942,  1409,  1254, -2426, -2426, -2427,   708, -2829,
    1422,  1423,  2101,  3342,   708, -2391, -2427, -2427, -2829, -2829,
    2826,  1432, -2390,   708,  2826,   708,  1506,  4096,  4149,  3206,
     940,  5946,  2954,  4593,   708,  1973,  1846,   861,  1851,  4062,
    3084,  4073,  3804,  1399,  2617,  1444,  4025,   952,  4494,  1866,
    1594,  2016,  4522,  6131,  2970,  4603,   769,  6118,  3183,  5836,
    2673,  5660,  1524,  3176,  1086,  1890,  3030,   928,   708,  5949,
    2590,  4096,  1594,   708, -1955,  5471,  6091,  2619,   769,  5282,
    2891,  2894,  3117,  3526,  2898,   643,  1136,  1920,  2765,  4316,
    6101,  4011,  5168,  5169,  5170,  6079,  5172,  5173,  5174,  5175,
    5176,  4096,  3437,   935,  4536,  3118,  1920,  2674,  6093,   769,
    2079,  5121,   769,  2947,  1507,  2655,  1920,  3048,  2826,  3053,
    1920,   928,  2826,  1445,   659,  1472,  2876,  5410,  6366,  1532,
    4429,   775,   775,  1716,  5797,  1815,  2663,  1868,   775,  3791,
     775,   829,  3440,  3493,  2670,  1694,   708,  1226,  1387,  1466,
    3202,  3714,  1532,  2801,  1920,   776,   776,  2582,  3217,  3062,
    3551,  3207,   776,  6071,   776,   775,   775,  5601,  1508,  2101,
    1545,  1920,  4433,  5630,  6119,  5326,   990,  1525,  4259,  3438,
    3464,  1425,  1426,  2659,  6085,  5606,  -150,  2591,  2094,   776,
     776,  5912,  -150,   658,   936,  5299,  2992,  5631,  1946,  2826,
    1446,  2617,  2826,  1447,   797, -2603,  6059,  5328,  2826,  2993,
    2826,  2827,  1474,  1433,  2834,  5334,  4260,  6086,  3739,  5833,
    1969,  2676, -1088,  4434,  2101,  2853,   990,  3177,   194,  5638,
    4271,  2583,  3714,  3342,  2619,  1920,  1440,  5712,  1227,  2994,
    3854,  3085,  3054,  3063,  1533,   937,  3775,   830,  5411,  1936,
    3203,  5070,  2802,  3494,  3792,  1467,  2617,  2671,  2766,  2013,
    1448,  3178,  1475,  2054,  2612,  1090,  2633,  1533,  2973,  2877,
    2023,  1100,  3119,   195,  2100,  3179,   943,  2101,  3556,  6318,
    1921,  1509,  6080,  1114,  2677,   955,  3003,  2033,   882,  2619,
    4150,  1815,  4537,   955,  1852,  2826,   955,  1448,   708,  3527,
    5283,  1091,  3528,  1976,  1136,  2095,  1400,  1091,  4554,  2617,
    5700,  2837,  3180,  4063,  1810,  4074, -2956,  3049,  1448,  1091,
    5870,  6179,  2592, -2217,  3384,  2838, -2236,  2839,  1123,  3031,
   -2217,  3385,  2706, -2236,  3057,  2580,  4012,  6270,  5472,  3184,
    3807,  6314,  2619,  5553,  6120,  2739,  3199,  5071,  2037,  6121,
     965,  2654,  2767,  4316,  3855,  2594,   703,  2933,  1227,  1526,
    2606,  2606,   953,  2826,   191,  1074,  1070,  1071,  5998,   965,
    1073,  1072,  2763,  4604,  4151,   965,  4523,  4506,  3199,  1087,
    2955,  2017,   709,  1401,  2987,  3208,   862,   965,  1852,  6070,
    2791,  2840,  1921,  2925,  3343,  1251,  2928,  5947,  1852,  1527,
    1227,  2997,  2998,   965,  6316,  4958,  3209,   920,   646,  1422,
    1423,  1921,  3805,   908,  4146,  1604,  2935,   646,   965,  3086,
    2968,  1921,  6245,  5288,   646,  1921,   965,   646,  2017,  2853,
    4594,  5948,  1449,  5327,  1528,  1257,  1199,  1136,  5072,   908,
     965,   938,  2853,  1922,  5336,  1136,  1136,  1432,  5518,  1420,
     965,  2996,  2869,  1852,  1514,   662,  1515,   191,  5069,  1921,
   -2956,  4152,  6025,  2854,  2630, -2956,  2870,  3237, -2603,  4271,
    1435,  1436,  6244,   781,   782,  2658,  1921,  2971,  4430,   781,
     782,  2588,  3598,  1033, -2538, -2459,  1200,  1034,  1205,  1437,
    1209, -2542,  1484, -2580,  5905,  4863,  1213,  4865,  6291,  5117,
    1424,  2793, -1947,   965,  2914,  1529,  1428,  4965,  5116,  2697,
    3434,  2800,  2698,  4969, -1952, -2956,  1216, -2426, -2605, -2644,
    5950,  2055,  2563, -1942,  1534,   646,   646,  6092, -2427,  2097,
   -2829,   965,  3172,  3004,  1033,  2578, -2391,  4111,  1034,  6171,
    1921,  6322,  3156, -2390,  3410, -2603,  6338,  1230,  6181,  4064,
    5908,  4075,  6141,  6142,   990,  1929,   965, -2603,   646,  6094,
    2810,  3856,  1837,  1595,  1596,  1833,  2635,  2636,  3674,  1838,
    4467,  1839,  2624,  2897,  1933,  3182,  1435,  1436,  4108,  4109,
    4110,  4111,   908,  6200,  1944,  1595,  1596,  3197,  1966,  4277,
    1535,  4278,   933,  4800,  4506,  1439,   934,  4804,  2915,  5487,
    4231,  2918,  2919,  1230,  6317,   646,  4106,  4107,  4108,  4109,
    4110,  4111,  5073,  2810,  4167,  6143,   781,   782,   965,   781,
     782,  1828,  1969,  2948,  2949,   191,   186,   180,   181,  6147,
    2810,   184,   183,  2855,    80,   175,    71,    83,    84,  1936,
      85,  4548,  1033,    86,   106,   124,  1034,   129,  1122,   159,
    4567,  6247,   178,  3857,   185,  4882,  4698,  4699,   704,  2878,
    1517,  2974,  4555,  2856,  4555,  1624, -2956,  2854,  4424,  4425,
    4703,  5310,  5817,  4426,  2558,  2559,  2560,  2561,  2562,  2563,
    2854,  1128,  4844,  1488,  1025,  5074,  6069,  3138,  2857,  1625,
    4791,  2975,  4793,  1936,  5032,  3145,  6063,  2785,  1539,  -150,
    -150, -2217,  3386,  4645, -2236,  5031,  4486,  4487,  3569,  5699,
    3488,  1386,  1123,  3040,  2750,  1394,  5662,  4249,  4198,   705,
    2764,  1416,  4684,  4928,  6290,  4648,   646,   646,  1811,  2851,
    2575,  2560,  2561,  2562,  2563,   965,  1688,  3199,  1885,   926,
     646,  4761,  6208,  3275,  1150,   908,   646,  6224,  2853,  6051,
     646,  4013,   646,  4481,  6235,  6318,   908,  1870,  6225,   706,
     973,   707,  6250,  6251,  -441,  6062,  2659,   974,   975,   976,
   -2956,  5821,   908,  3589,  3199,  2853,  1255,  2853,  1662,  1689,
    5871,  1886,  2558,  2559,  2560,  2561,  2562,  2563,  1026,  6042,
    2927,  2740,  5705,   943,  3018,  2752,  1025,  1955,   708,  1124,
    5769,  2100,   955,  2957,  2101,  1218,  4650,   927,  4546,   955,
    4041,  6319,   955,  3842,  6206,  2753,   646,  4859,   646,   646,
    5211,  1815,  6347,  4956,  3058,  6209,  2853,  3340,  6158,  4936,
    1444,  4272,  5140,  3656,  4073,  1693,  2617,  2855,  2750,  2853,
    1956,  1694,  4015, -2956,  1663,  3666,  4311,  6180,  5369,  5085,
    2855,  6172,  1027,  2853,   817,  1674,  4062, -1766,  2751,   965,
    5972,  3100,  1042,  1198,  5607,  3470,  5756,  2856,  3602,  2619,
    3590,   708,  5370,  3689,  1472,  5418,  5778,  6324,  5951,  3096,
    2856,  3238,  2853,  3240,  1920,  3951,  1664,   646,   708,  3247,
    1634,  3657,  2857,  1665,  -700,  3261,  3262,  1666,  4341,   928,
    1026,   191,  1435,  1436,   801,  2857,  3097,  3285,  1445,  3194,
    3195,  6342,  1028,  2853,   807,  4609,  1239,  3305,  4503,  2752,
     965,  1437,   809,  3320,  5419,  6210,  4016,  5096,  4914,   908,
    1635,   965,  2754,  2851,  1978,  5212,  1980,  5872,  1982,  2753,
    1984,  4164,  1986,  1987,  1988,  5952,  2851,  5779,   965,  1990,
    1695,  3690,  4651,   965,  5097,  6252,  3471,   935,  4937,  3251,
    6374,  1474,   708,  1125,  1027,   646,  4338,  3603,  3135,  1411,
    5894,  5861,  1690,  5863,  1887,  5891,  3952,  5867,  5868,  5902,
    5447,  2755,  3147,  3339,  1491,  1446,  2854, -2956,  1447,  5919,
    3521,  1219, -2956,  3096,  1221,  3153,  4014,   920,  1912,  4860,
   -1914,  1126,  6001,  5904,  3658,  5907,  4610,   646,  4600,  5435,
    3341,  3617,  5466,  2854,  3158,  2854,  5311,  5770,  3599,  1265,
    3097,  6289,  4096,  3884,  1028,  5441,  4097,  4098,  4099,  5940,
    5890,  1461,  6296,  1957, -1766,  3843,   646,   646,   646,  2576,
     646,  3570, -2956,  3181,   929,  4080,  3131,  3186,   936,  5663,
    2095,  6159,  3193,  3593,  3913,  3196,  2754,  5294,  4242,  1151,
    5906,   646,  4507,  1127,  2854,  1128,  4938,  6323,  3446,  1129,
    1871,  3252,  3667,  5714,  3200,  1667,  6211,  2854,  3152,  3165,
    1691,  4339,  1888, -1914,  4645,  6226,   965,  3819,  5715,  2615,
    4652,  2854,  3814,  1715,   965,   965,  3675,  5096,  6345,  2624,
    2756,  3500,  5028,  1448,  1616,  2755,  3098,   990,  4074,  2989,
    4510,  1668,  4093,  4094,  2806,  1669,  6189,  4113,   646,  3589,
    2854,  1936,  6357,  3291,  5097,   943,  4312,  6043,  5757,  3041,
    4063,   955,  1696,  6160,  3369,   955,  3600,   955,  3676,  2664,
    2665,  1958,  2669,   934,   934,  5815,   934,  1811,  3243,  3253,
    1670,  2854,  4196,  3706,  5098,  5371,  2855,  1671,  4144,  4145,
    4414,  5812,  6161,  2100,   646,  6215,  2101,  3761,   646,   646,
    6053,  4512,  1697,  3762,  5258,  5287,  3133,  5165,  3659,  5262,
    4611,  2930,  5264,  2855,   646,  2855,  2856,  4422,  5255,  1921,
     908,  3146,  5808, -2956,  3148, -1765,  1713,  4989,  2617,  3236,
    4432,  1905,  1492,  1907,  1908, -2956,  5774,  1698,  3953, -2387,
    4100,  2857,  5747,  2856,  4469,  2856,  3590,  1449,  2759,  1617,
    5429,  6189,  1913,  3954,  2756,  4250,  3254,  5414,  5050,  3255,
    1488,  2619,  1488,  4101,  2855,  1025,  1914,  5878,  2857,  5058,
    2857,  3707,  1450,  4884,  3185,  4823,  2760,  2855,  3191,  3192,
    4658,  1582,  2851,  4612,  3634,  4941,  4828,   908,  6084,  4388,
    6194,  2855,  3406,  3895,  2856,   979,   980,   981,   982,   983,
     984,   985,   986,   987,  4930, -1914,  5130,  2856,  3370,  2851,
    5400,  2851,  3763,  3371,  5716,  4515,  5045,   708,    40,  2857,
    2855,  2856,  5718,  1915,  3589,   938,  3708, -2956,   908,  5599,
    5719,  3501,  2857,  4764,  6177,  6178,  1815,  4340,  4341,  2558,
    2559,  2560,  2561,  2562,  2563,  1068,  2857,  4102,  3635,  3936,
    2856,  2855,  6103,  5713,  6057,  1606,    44,  5991,  2982,  4516,
    2851,   908,  6240,  3372,  6189,  1517,  6170,  1240,  4342,  1026,
    1517,  2990,  2862,  2851,  3256,  2857,  4517,  4506,   769, -2956,
    3317,  2856,  2100,   674, -2956,  2101,  5523,  2851,  3709,  2102,
    2103,  2104,  3416,  5704,  5809,  6194,  5577,  5775,   187,    48,
    5043,    40, -1765,  3390,  4389,  4846,  2857,  2616,  1714,  2720,
    3543,  2991,    49,  2720,  4942,  5879,  2851,  2617,  2673,   187,
    4990,  3590,  5051,  4328,  2618,  5748,   965,  1916,  5776,  3593,
    1607,  1618,  4251,  1027, -2956,  5022,    50,  1192,  6000,    44,
    5026,   646,   646,   646,  1517,  4092,  2761,  2851,  1517,  2769,
    2619,  2951,  4824,  4659,   919,    56,   676,  3591,  1033,  1241,
    2770,  5090,  1034,  1936,  3541,  2674,  -615,  5524,  4503,  5059,
    2976,  1619,   990,   990,  5044,  6243,  3134,  1265,  4518,  1033,
    4096,  3144,    48,  1034,  4097,  4098,  4099,  1903,  3257,  5046,
    3767,  2624,  5880,  1028,  3764,    49,  4954,  3592,  1917,  4329,
    3544,   825,  4754,  4714,  3425,  4715,  1620,  5623,  6194,  3710,
   -1914,  1258,  5087,  5720,  3373,  6292,  6104,  5832, -1914,    50,
    1424, -1914,  1453,  5493, -1914,  6011,  4868,  3127,  2101,  2675,
    3768,  3061,  5252,  2744,  3765,  3318,  5396,  6241,  3502,  3078,
     852,   965,  5049,  4221,  1810,  2745,  5494,  2982,  2760,  1396,
    6288,  3391,  5495,   908,  4103,  4104,  4105,  4106,  4107,  4108,
    4109,  4110,  4111,  2746,   908,  3769,  5496,  4436,  2620,  3766,
    5397,  5307,  1582,  2621,  1265,  5679,  1811,  4096,  1871,  2676,
     908, -2956, -2956, -2956,  1653, -2956,  4390,  4900,  6281,   932,
    4037,  1816,  3136,  2619,  1817,  2628,  2622,  2294,  1918,   965,
    6012,   990,  5633,  4847,  3593,   194,  4427,   965,  2920,  2831,
    4848,  2832,  1434,  2977,  4869,   965,  5911,  4849,  6139,  2982,
    4926,  4222,  4901,  2623,  1654,  3698,  4391,  3492,   808,  5680,
    6113,  3556,  5681,   687,   908,   688,  3711,  1242,  2771,  5682,
    5897,  1936,  2677,   646,  3712,  5308,   646,  3713,  1493,   908,
     195,  1936,   908,   908,  4850,  4223,   646,   646,  4716,   965,
     965,  4392,   692,   194,  3725,  2359,  5549,  5683,  6282,  6273,
    4224,   646,  6274,   965,   646,  2833,  4851,  5918,  2772,  1243,
    2624,  1244,  4428,   908,   908,  4503,   965,   965,  1494, -2956,
    4870,  4101,  4225,  4294,  4871,  1852,  4927,   828,  5497,  2843,
    3615,  2558,  2559,  2560,  2561,  2562,  2563,   191,   195,  5864,
    1204,  1206,  1208,  5304,  5865,  1210,  1211,  1212,  4902,  4370,
    5746,  4226,  5630,  1495,   646,  1217,  3636,  5684,   646,   646,
     864,  4371,  6254,  3542,  2747,  2844,  4821,  3267,  1655,  3166,
    5685,  3167,  3663,  3168,  3969,  3169,  5631,  3170,  5485,  4836,
    6310,  3171,   775,  5686,   191,  1074,  1070,  1071,  3174,  3222,
    1073,  1072,  2921,   646,  3174,   646,  5866,  2922,  3687,  1969,
     646,   646,    40,  4649,  2626,  4102,   776,   646,   646,   646,
     646,   646,   646,   646,   646,   646,   646,   646,   646,   646,
    3637,  4661,  3211,   646,  3724,   646,  3771,   646,   646,   646,
     646,   646,   646,  3174,   655,   646,  3174,   646,   646,  6061,
      44,   646,  4822,  5279,  6353,  5416,  4227,  3422,  1136,  2720,
     922,  3895,   655,  1498,  5436,   908,   646,   646,   646,  2720,
     923,  3772,  3751,  6275,  2901,  6078,  3808,  3809,  3810,  2904,
    2920,   939,  3423,  2930,   646,  6326,  1811,  4327,  3461,  1871,
    5498,  4673,  4685,    48,  5440,  4697,   656,  4689,  6276,  1499,
    6060,  3776,  5499,  1500,  5427,  1621,  3226,  3798,  3687,  4221,
    4140,  1009,  4102,  1624,   924,  5889,  4644,  5581,  2554,  5583,
    3612,  3701,  3699,    40,  3700,  5735,  2598,  2555,  2556,  2557,
    2558,  2559,  2560,  2561,  2562,  2563,  1969,  1625,  1501,  1503,
    2843,  4631,  1010,  5040,  2939,  3961,  3963,  3726, -1113,    56,
    3967,  2720,  3968,  2979,  4688,  3729,  -150,  2985,  3732,  4693,
    4694,    44,  3974,  4645,  5931,  3975,  3814,  3976,  3977,  2599,
    5041,  3979,  4476,  2940,  3852,  3982,  2844,  3983,  2891,  1504,
    3985,  1637,  4710,  4711,  4712,  4713,  3770,  4222,  4717,  4718,
    4719,  4720,  4721,  4722,  4723,  4724,  4725,  4726,  5922,  5687,
    3773,   674,  5688,  1638,    48,  1115,  1472,  6173,  1400,    35,
    1392,   940,  1473,  5932,  1505,  4222,  5387,    49,  5388,  5389,
    5390,  4223,  4103,  4104,  4105,  4106,  4107,  4108,  4109,  4110,
    4111,   646,  5939,  2586,  2921,  3774,  4224,  2101,   674,  2922,
    2900,    50,  1116,  5406,  4024,  5408,   948,  5810,  4431,  4223,
     950,  4789,  4765,  4766,  1624,  1639,  3059,  3742,  4225,  3743,
      56,  4860, -1086,  3747,  4806,  5901, -2410,  1659,   943,  2617,
    -173,   943,  1115,  5811,   676,  4860,  3089,  4221,  1625,  1117,
    1506,   955,   955,   971,   646,  1401,  4225,  4226, -1736,  5008,
       3,     4,  4274,  1474, -1736,  4468,   955,  1251,    40,   955,
     187,  -173,  2619,  3899,  3900,  3901,  3902,  1660,  3904,  1116,
    5869,   676,  5009,  4868,  5630,  5259,  6246,  1891,  2884, -2956,
   -2956, -2956,  4106,  4107,  4108,  4109,  4110,  4111,  1118,  1430,
    1431,  4007, -1689,  3932,  3925,  2908,    44,  1963,  5631,   646,
    4385,  1892,  1661,  1475,  1627, -1689,  4549,  1640,  4579,   955,
    4991, -1689,    40,   955,   955,  4222,   754,  1975,  6185,    29,
    1817,  1964,  6077,  1701,   754,  2863,  1705,   678,  1507,  6256,
    6137,   769,  3887,  -466,  4992, -1736,    15,   972,  1977,    48,
    4386,  1979,  4227,  1981,    15,  1983,  1015,  1985,  1624,  4223,
      44,  1989,    49,   187,   919,  1118,  1684,  6364,  4281,  6367,
   -1689,  4869,  4247,  1424,  4224,  2653,  1024,  5739,   769,  1641,
    4227,  4095,  1625,    20,  1642,  4387,    50,  3996,  1088,  6378,
    1089,    20,  1508,  4123,   233, -1736,  4225,  1076,  6099,  2929,
     660,  5740, -1689,    48,  6100,    56,  1685,  4860,   752,  5835,
    1686,  1435,  1436,  4843,  5839,  5840,    49,  1032,  1424,  4038,
    2653,   687,  4130,   688,  4039,  4226,   826,    40,  4137,  4147,
    1439,  5990,   784,  4122,  1644,  4124,  4125,  4616,   784,  1078,
      50,  1687,  4617,  1424,  5260,  1453,  2025,  4870, -1689,  1817,
    1867,  4871, -1689,  2614,  3706,  4192,  1817,  1111,   687,    56,
     688, -1689, -1689,  5124,  2095,    44,  -466, -1689,  4617, -2383,
    3995, -1113,  2627,  4178,  1033,  2628,  1221,  3870,  1034,  3461,
    1646,  6346,  1097,  1614,   691,  5252,  1083,  1867,  1631,   646,
     646,   646,   646,   646,   646,   646,   646,   646,  2661,   646,
    3162,  1817, -2384,  2628,  1647,  1509,  -614,  1033,    48,  1221,
     646,  1034,   646,   893,  3173,  3175, -1689,  3174,  3174,   990,
    4227,    49,  3214,  1120,  1649,  3215,  1033,  3582, -2391,   932,
    1034,   187,  3579,  1119,  3583,  3584,  3354,  3355,  3356,  3357,
    3421,  3426,  3707,  1969,  2628,    50,  3001,  3002, -1689,  4300,
     646,  5640,  3513,  3609,   646,  2628,  3610,   646,  1138,   646,
    1637,  4437,   646,  1121,  6186,  5039,   646,  3418,  3681,  1510,
    3848,  3682,  1149,  3849,  3514,  3987,     3,     4,  3174,  6231,
    4203,  4204,  1638,  6233,  6234,    32,  1092,  1811,  1093,   646,
    1158,  3576,  3530,    32,  4194,  4317,  3533,  3708, -1689,  4036,
    3536,  4045,  2628,  1142,  2628,  1511,   646, -1689, -1689,  1512,
    1159,  4276,  2606,    35,  1165,   646,   646,    40,  3489,  3490,
    4350,  4346,  4352,  4051,  5157,    40,  2628,  1176,  3562,  4052,
    3459,  1193,  2628,  4071,  1639,  4082,  3807,  2041,  2628,    56,
    5164,  6155,   965,  3504,  1513,  5923,  3611,  4115,  4503,   908,
    2628,  1183,  3871,   908,   908,    44,  1424,  4165,  2653,  3709,
     965,  4237,  3604,    44,   965,   655,  2654,  1815,   965,  4129,
    4913,   769,  2628,  4134,  6284,  1033,  4135,   965,  1514,  1034,
    1515,  4201,  1091,  3545,  2628,  3548,  4363,  4368,  4320,  4364,
    4369,  4565,  1220,  5187,  5092,  1637,   965,  1136,    48,   646,
    5192,  5193,   755,  4907,  4396,  4465,    48,  4397,  4397,  1221,
     646,    49,   908,   646,  3654,   646,   646,  1638,   908,    49,
    4588,  4591,  3326,  4589,  4592,  3329,  1640, -1688,  4507,  1225,
     965,  1516,  3705,  4622,  4508,    50,  4623,  4903,  1229,  4910,
   -1688,  3683,  4735,    50,  1232,  4736, -1688,  3692,  4509,  1235,
     965,   965,  5819, -1689,   756,  4860,  6223,  4746,  1237,   908,
    4747,  3702,    56,  4892,  4380,  3122,  4455,  3123,  1091,  1639,
    5727,  3715,  4462,  3597, -1760, -1760,  4510,  3720,  4511,  1248,
    3710,  1811,   965,  1435,  1436,  1811,  4757,  4883,  1641,  2628,
    2720,  4660,  6135,  1642,  4056, -1688,  4057,  3733,  4831, -1689,
    1238,  4832,  4552,  3736,  4183,  1249,  4184,   187,  2929,   965,
    3744,  1811, -1689,  3795,  1250,   965,  4282,  4283, -1689,  4837,
    4842,    29,  4838,  3528,  3759,  3872,  1251, -1688,  5093,   965,
    5159,  3174,  4285,  2017, -1764, -1764,   965,  4512,  3785,   965,
    4524,  5199,  1252,  1644,  2628,   965,  4185,  4929,  4186,  1091,
    5236,  3461,  5290,  2628,  3461,  3528,  5202,  6067,  5203,  1136,
    5296,  1640,  4576,  5297,  4577,   965,  4513, -1689,  5824,  5825,
    5303,   965,  3696,  3174,  1253,  2042,  3873, -1688,   965,  5442,
    5479,  5515,  5443,  4623,  5516, -1763, -1763, -1688,  5803,  1646,
    5517,  5536,   965,  2628,  5537,  2051,  3741,  4405,  6298, -1689,
    6299,  3461,  4411,  4304,  1259,  5546,   965,  3711,  1969,  3461,
    5033,  1811,  5034,  1647,  5760,  3712,  5761,   965,  3713,    40,
    1261,  6327,  5552,  1641,  5554,  4562,  5674,  4562,  1642,  5675,
    3439,  3441,  3442,  1649,   926,   646,   646,   646,  4785,  5694,
    4787,   646,  3174,  2929,  1395,  5728,  4514, -1737,  5729, -1689,
    3040,  4515,  5786, -1737,  2092,  5787,  1402,    44,  4624, -1689,
    4626,  5792,  4628,  4401,  1969,  5966,  5967,  5795,   646,   908,
    4562,  1398,  5806,  5110,   643,  5807,  1403,  1811,  1644,  4153,
    5854,  4154,  6368,  5855,  4029,  4417,  4031,  4032,  1404,  5893,
    6003,  6004,  2585,  5920,  5957,  4516,  5807,  4135,  5958,  1408,
      48,  2628,   927,  5976,  1412,  5980,  5977,  4155,  1969,  1458,
     646, -1677,  4517,    49,  4833,  5981,  6010,  6016,  2628,  3215,
    3215,  1417,  4860,  5440,  1646,  6017,  6020,  6021,  3215,  2628,
    2628,  5245, -1688,  5247, -1737,  1418,  5103,    50,  3914,  3936,
    4495,  6022,   908,  4026,  6023,  1424,   908,  6049,  1647,  6114,
    6050,  3459,  4562,  6109,  6110,  6128,    56, -1426,  2628, -1426,
    6130,  1420,  1265,  2628,  4003,  4096,   917,   918,  1649,  4097,
    4098,  4099,  3353,  4862,  1427,  4864,   932,   932,  4867,   932,
    4542,  1441,  6136,  4019, -1737,  3174,  6151,  4755,  6175,  6152,
    4003,  6176,  1458,  6222,   928,   943,  5800,  1428,   955,  6253,
     955,   955,  5807,  2720, -1689,   990,  2659,  6294,  6321,  6340,
    6295,  2628,  5977,  6350,  4518,  5988,  6351,  6356,  6365,  6377,
    4832,  2628,  6351,  4805,  6067,  4808,  3354,  3355,  3356,  3357,
    4860,  1637,   965,  4156,  1811,  2699,  5532,  2702,  5533,  4157,
    1136,  1459,  1136,  4535,  5194,  4538,  5195,  1443,  1470,   908,
    1485,   965,  1486,  1638,  4654,  1487,  1490,  1496,   965,  1537,
    1453,  1563,   646, -2428,   908,   646,  1566,   646,   646,   908,
    1716,  1568,  1033,  1569,  4707,  1458,  1034,   646,  1604,  4895,
    1609,  1148,   646,  4556,  4525,  1610,  4527,  1608,  1621,  1623,
     920, -2720,  1633,  1636,  1658,  1675,  5505,  5506,  1676,   908,
    1692,  1702,  1703,  1815,  1706,  1639,  4905,  1148,  4734,  1711,
    1712,  4243,  1825,  2765,  1829,  1827,  1834,  5644,  1845,  1840,
    1848,  1850,  1855,  1860,  1136,  1858,  1869,  1852,  1874,  1875,
    4667,   646,   646,   646,  4741,  -137,   646,  1877,   920,   929,
    2659,  1878,  4913,  4860,   646,   646,   646,   646,  1880,  1882,
    2100,  1883,  4906,  2101,  1894,  1811,  5509,  1901,  1903,  4773,
     646,  1811,  1906,   646,  5645,   646,  1910,   213,  4597,  1919,
    1924,  1925,  1926,  1928,  4907,  1931,  4101,   646,   646,  1932,
    4639,   646,  1935,  1936,  1943,  2617,  1947,  1949,  1950,  5646,
   -2720,  4158, -2956,  1952,  1954,  1959,  1960,  1640,  4662,  1962,
    1965,  1968,   646,  4159,   646,  1972,   646,  1971,  5647,  1974,
    6183,  1991,  2022,  5648,  2029,  2038,  2031,  2034,  2619,  2039,
   -1918, -1925,  5323,  2046,  2047,   646,  2048,  2049,  4904,  2050,
      56,  4188,  4189,  4190,  2052,  5649,  2053,  2054, -1915,  5650,
   -1916,  2056,   920, -2720, -1919,  2057,   965,  2058,  2059,  2060,
    2061,  2062,  2063,  2064,  5651, -1917, -2720,  2065,  2066,  1641,
    4102,  2067, -2720,  2068,  1642,  2069,  2071,  2079, -2720,  2072,
    2073,  2571,  2074,  2075, -2720,  2076,  2077, -2720,  2078,  2929,
    2081, -2720,   646,  4908,  2082,   646,  2083,  2084,  2085,  2086,
    4767,  2087,  2088,   920,  2573,   643,  5137,  2569,   646,  2575,
    2576,  2585,  4879,   646,  2589,  2601,  2609,  2631,  2637,  2632,
    2639, -2720,  2640,  2654,  1644,  2643,  2644,  2646,   646,  2647,
    2648,  2650,  2649,  3459,  2655,  1473,  3459,  2662,  1475,  2693,
    2705,  2707,   646,  2695,  2710,  2708, -2956,  4302,  2709,  1265,
     646, -2956,  4096, -2720,  2726,  2727,  4097,  4098,  4099,  2729,
    2728,  2653,   908,  2730,  2731,   908,  2732,   908,  5652,  2733,
    1646,  2734,   908,  5752,  5229,  5014,  2735,  2736,  2742,  2762,
    3663,  2768,  4924,  3459,  2774,  5027,  2788,   965,   965,  2792,
   -2955,  3459,  2795,   646,  1647,  2794,  2796,  2799,  2812,  2798,
    2817, -2956,  2818, -2720,  2816,  2829,  2830, -2720,  3687,  2841,
    2845,  2850,  2847, -2720,  1649,   965,  4909,  2848,   965,  4333,
    5653,   908,  2851,  1832,  2849,  2859,  2861,  2860,  2864,   908,
    2871,  2865,  2866,  3342,  1841,  5019,  2875,  6325,  2872,  2885,
    2899,  2881,  2882,  2909,  2895,  2916,  2923,  4376,  2896,  2902,
    1849,  2905,  2906,  2911,   908,  2912,  2924,   943,  2624,  2931,
     955,  2926,   955,   955,  2932,  1582,  2941,  2937,  2938,  2943,
    2945, -2720,  2969,  2944,  2952,  5766,  2950,  4103,  4104,  4105,
    4106,  4107,  4108,  4109,  4110,  4111,  2953,  3007,  2946, -2955,
    1811,  1811,  1811,   187,  3000,  3012,  3014,  2958,  2978,  4243,
    3015,  2959,  2972,  2983,  3016,  5785,  3017,  3021,  4953,  3022,
    3023,  3025,  3026,  3028,  3027,   965,  3029,  3033,  3034,  3035,
    3036,  3043,  3044,  3047,   908,   669,   908,  3060,  5146,   801,
    2851,  5148,  3071,  3461,   965,  3052,  3075,  3461,  3076,  3088,
     187,  3091, -2955,  3094,  3095,  1655,  3115,  3104,  3108,  3079,
    5462,  3121, -2956,  3125,  3137, -2955,   965,  3139, -2720,  3141,
    5163, -2955,  3187,  4101,  3140,  3112,  3155, -2955,  3142,  3130,
    3198,  3212,  3224, -2955,  3266,  3243, -2955,  3248,  4471,  3288,
   -2955,  3321, -2720,  3327, -2720, -2720,  2101,  3388,  3368,  3429,
    3331,  3347,  3414,  3409,  3430,  3394,  1448,  3415,  3319,  3366,
    3444,  3393,  3412,  3413,  3461,  3427, -2720,  2020,  3431,  3428,
   -2955,   927, -2955,  3464,  3432,  3505,  3436,  3445,  3481,  3482,
    3483,  3498,   908,  3469,  3484,  3506, -2720,  3517,  3518, -2720,
   -2720, -2720,  3520,  3553,  3537,  3549,  3546,  3551,  3554,  3561,
    3566,  3571, -2955,  3555,  3572,  3574,   965,  4102,  3577,  3585,
    3601,   646,  3606,  1392,  3462,  3608, -2956,   646,  3618,  4007,
    1396,  3625,  3638,  3643,  3670,  3664,   908,  3671,  2558,  2559,
    2560,  2561,  2562,  2563,  3644,  3677,  3672,   643,  3688,  3695,
     643,  3697,  3719,  3680,  3698,  3779,  1871,  3718,  3794,  3735,
    3802,  3806, -2955,  1811,   908,  3803, -2955,   928,  3815,   965,
    3822,   965, -2955,  3828,  3829,  3830,  3834,  3839,  3850,  2659,
    3861,  3876,  3878,  3880,   965,  3862,   965,  3890,  3908,  5065,
    5066,  3909,  3882,  3897,  3903,  3910,  3916,   643,  5210,  3911,
    1540,  3912,  3919,  3923,  3924,   643,   646,  3927,  3928,  3933,
    3921,  3948,  3949,  3958,  2100,  3950,  3959,  2101,  3962,  3960,
    5154, -2956, -2956, -2956,  3964,  3978,  3981,  2982,  3980,  5423,
   -2955,  3984,   908,  3986,  3989,  1969,  1541,  5224,  3990,  3991,
    3999,  3992,  5312,  4004,  1966,  4008,  4643,  4582,  1933,  2617,
    4647,  3993,  4017,   965,   908,  4009,  2618,  3994,  3998,  4010,
    3348,  4020,  4022,  1227,  4030,  5270,  4047,  4048,  4050,  4066,
    4070,  4053,  4049,  3265,  4128,  4131,   908, -2209,  2100,  4148,
    4162,  2101,  2619,  4619,  3343,  4068,  5338,  5339,  5103,  4179,
    4143,  4199,  4172,  4586,  4211,   965,  4239,  4205,  4061,  1542,
    5149,  5150,  5151,  5152,  5153,  4078,  4081,  4235,  4072,  4254,
    4265,  4245,  4083,  2617,   965,  4084,  4088, -2955,   965,  4092,
   -2956,  4090,  3807,  4091,  4103,  4104,  4105,  4106,  4107,  4108,
    4109,  4110,  4111,  2628,  4114,  4119,  1543,  3461,  3461,   965,
    4120, -2955,  4279, -2955, -2955,  4127,  2619,  4206,  4142,  4173,
    4175,  4177,  4252,  4200,  4771,   646,  4296,  4207,   908,  4256,
    4284,  4220,  4258,  5277,   646, -2955,  2055,  4286,  4212,  5822,
    4273,  4287,  4299,  4301,  1230,  4291,  4313,  4314,   646,  4324,
    5382,  5383,   646,   646,   646,  1544,  4292,  4325, -2955,   646,
   -2955, -2955,   646,  4326,  4330,   646,  5394,  4331,  4332,  4337,
    2620,   646,  4333,   646,  4297,  2621,   646,  4348,  4349,  4351,
     908,   646,   646,   646,   646,  4367,  4357,   646,   646,   646,
     646,   646,   646,   646,   646,   646,   646,  4359,  1546,  4375,
     646,   646,   646,  4384,  4358,   908,  4398,  4400,  4402,  4404,
     646,  4406,  4408,  4412,   920,   646,  2874,  1811,  4413,   646,
    4416,  4418,  4419,  4420,  4423,  2623,  4421,   646,  4440,  4438,
     646,  1548,   646,  4441, -2956,  4439,  4454,  4442,  4443, -2956,
    4444,  4445,  4446,  4448,  4450,  4447,  4449,  4452,   646,  4457,
    4459,   646,   646,  4461,  5332,  2967,   646,   646,  2970,  4243,
    5274,   646,  4473,   646,  4474,  4778,  4779,  4780,  4781,  4451,
    4453,  4463,  4464,  4470,    35,  4475,  2808,  4477,  4480,  1550,
    5478,  4485,  2624,  5480,  5481,  4493,  4491,  4243,  1551, -2956,
    4528,  4533,   191,  1074,  1070,  1071,   646,  1552,  1073,  1072,
    4534,  4540,  4543,  5486,   646,  2809,  4544,  4547,   646,  4551,
    4561,  5321,  4562,  4564,  4580,  3462,  4581,  1554,  4574,  4571,
    4585,  4584,  4601,  6216,  6217,  4615,  1555,  4618,  4621,  4880,
    4625,  1556,  4627,  4587,  4633,  4634,  4655,  4635,  4656,  4636,
     646,  4637,  4638,  4657,  4663,  3459,  2624,  3461,  4664,  3459,
    4665,  4666,  4640,  4668,  3461,  4669,  4670,   646,  4671,  3461,
    4672,  1265,  3461,   908,  4096,  2041,  4676,  4680,  4097,  4098,
    4099,  4681,  4682,  4686,  4683,   646,  2626,  4687,  4690,  3348,
    4695,  4696,  4701,  4096, -2208,  4801,  5230,  1557,  4748,  4708,
    5462,  4759,  4731,  4760,  4732,  4802,  4733,   965,  4740,  5407,
    4774,  4763,  5365,  4786,  4788,  4790,  4797,  4809,  4810,  4794,
    4799,  4814,  4815,  3452,  4816,  4817,  3459,  4819,  4825,  3350,
    4828,  3351,  4834,  4845,  5372,  5373,  4830,  5375,  4853,  4875,
    4876,  4878,  4877,  4885,  4886,  4888,  4889,  4891,  4895,  5531,
   -2956,  3013,  4898,  2100,  4899,  4916,  2101,  3352,  1811,  4919,
    4931,  4932,  3024,  1811,   908,  1811,  4933,  4934,   187,  4993,
    4935,  4947,  4996,  4945,  4946,  4948,  4949,  4950,  3042,  4959,
    4961,  4962,  5569,  4968,  4979,  4980,  4243,  4985,  2617,  4988,
    2554,  1811,   908,  5005,  5004, -2956,  5007,  4905,  5020, -2956,
   -2956, -2956,  2558,  2559,  2560,  2561,  2562,  2563,  5010,  5425,
    5047,  5021,  5023,  5024,  5036,  5025,  5062,  5082,  5076,  5057,
    5068,  2619,  3353,  5083,  5088,  5089,  5095,  2930,  4970,  5105,
    5111,  5112,  3116,  5122,  5129,  5128,  5133,   965,  5131,  3741,
     965,  5132,  5135,  5155,  5136,  5147,  5141,  3128,  3199,  5161,
    1148,  3132,  5162,  5178, -2956,  5171,  5179,  5180,  5182,  5181,
    5183,  5184,  5201,  5190,  5185,  5191,  2558,  2559,  2560,  2561,
    2562,  2563,  5196,  5078,  5207,  5213,  3354,  3355,  3356,  3357,
    5216,  3151,  1148,  3358,  3359,  4101,  5217,  5222,  5239,  3360,
    2982,  5272, -2210,  4768,  5218,  5263,  5235,  5249,  5253,  5275,
    5256,  5267,  5276,  5289,   646,  5291,  5293,  5286,  5298,  5848,
    5299,  5850,  5309,  5329,  5330, -2722,  5331,  5333,  5335,  5341,
    5340,  5361,  5342,  5354,  5357,  5363,  5367,  5376,  5377,  5368,
     965,   965,  5384,  5385,   908,  5395,  5386,  5391,  5398, -2956,
    5402,   965,  5403,  5404, -2956,  5412,  3461,  5415,   646,   646,
    5420,  5421,  5643,  5428,  5424,  5430,  5434,  5446,   965,  5422,
    5444,  5450,  5451,  5453,  5455,  5458,  5439,  5457,  5468,  4102,
    5459,  4003,  5474,  5476,  5484,  5510,  5483,  5514,  3174,  5520,
    5530,   908,  5489,  5114,  5503,  5504,   908,   646,   646,  3459,
    3459,  5521,  5522,  5534, -2956,  5538,  5582,  3462,   646,   643,
    3462,  1265,  5545,   643,  4096,  5544,  5570,  5548,  4097,  4098,
    4099,  5551,  5573,  5545, -2722,  5585,  5576,  5594,   990,  5598,
    5602,  5971,  5691,  3334,  5595,  5593,  5603,  5604,  5596,  5788,
    5636,  5597,  5816,  5610,  5858,  5605,  5658,  5616,  5617,   965,
    5621,  3361,  1811,  5627,  5046,  5664,  5628,  3462,  5665,  5589,
    5629,  2624,  5667,  3362,  5677,  3462,  5697,  5698,  5768,  5997,
    5670,  5673,  5702,  5709,  5678,  5707,  5725, -2722,   646,  5738,
     643,  5744,  5773,  5753,  5608,  5730,  5754,  5758,  5759,  5736,
   -2722,  5737,  5772,  5771,   646,  5780, -2722,  5853,  5802,  5800,
    5784,  5796, -2722,  5794,  5804,  5828,  5836,  5830, -2722,  5798,
    2094, -2722,   646,  5613,  5885, -2722,  6034,  6036,  5801,  5818,
    5827,  5820,  5842,  5877,  5887,  5881,  5895,  5913,  5900,  5874,
    5914,  5915,  5909,  5916,  5917,  5927,  3461,  5926,  5928,  5929,
     646,  5934,  5936,   646,  5944, -2722,  5955,  5954,  5968,  5969,
    5970,   646,   646,  5938,   908, -2956,  3461,  5959,   646,   646,
    5993,  5973,  5992,   646,  2686,  5983,  5995,  5996,   646,  6009,
    3461,   646,   646,   187,  4180,  6013,  6032, -2722,   646,  5843,
    5844,  6044,  6041,  6046,  6052,  6048,  4103,  4104,  4105,  4106,
    4107,  4108,  4109,  4110,  4111,  6055,  6056,  6082,   646,  6075,
    6072,  6073,  6083,  6089,  6090,   646,  6095,  6096,  6097,  6074,
     646,  5941,  6102,   646,   646,  6088,  6107,  6117,  6111,  6112,
    6124,   646,  6133,  6146,  6126,  4101,  6138, -2722,  6148,  6156,
    6042, -2722,   646,  6043,  6164,  6165,  6184, -2722,  6166,  3459,
     646,  6205,  6182,  5278,  5280,  6201,  3459,  6203,  6202,  6204,
    6207,  3459,  6218,  6221,  3459,  6239,  6229,  6237,  6027, -2956,
     646,  5292,  6257,  6263,  6264,  6267,  6269,  6268,  6277,  5348,
    6272,  2558,  2559,  2560,  2561,  2562,  2563,  6271,  6279,   908,
    6301,  5358,  6280,  6154,  6303,  6300,  6304,  6305,  6302,  6315,
    6328, -1972,   965,  6339,  6330, -2722,  6341,  4271,  6343,  6348,
    6349,  6331,  6354,  6359,  5793,  6039,  6360,  6318,  6363,  4102,
    6369,  5732,  6372,  5860,  1567,  1460,  6376,  3752,  1673,  1672,
     908,  4197,  2608,  3669,  3741,  5943,  4922,  4343,  4915,  6149,
    3793,  3841,  3461,  4490,  5655,  3741,  6026,   965,  6238,  5064,
    5708,  4911,   908,   643,   643,  4912,  2984,  5401,  5982,   965,
    5984,  5690,  4289,   801,  5873,  5306,  3988,  6140,  5587,  5975,
    6047,  6232,  6212,  6213,  6163,   646,  6045,  6249,  4295,  5432,
    5086,  5115,   646,  5094,  6006,  5056,  3859,  2092,  3860,  4920,
    4361,  5081, -2722,   965,  5847,  4550,  5696,  5426,  4590,  5930,
    1657,  5139,  5852,  6297,  6375,  6361,  5671,  4496,  1136,  5123,
    6168,  5615,  3051,  5838,  6015,  5618, -2722,   750, -2722, -2722,
    3461,   803,  4641,  1066,   908,  5814,  5156,  5158,  2014,  6293,
    3114,  3888,  4280,  3523,  3126,  2092,  5643,  5125,  4607,  5924,
   -2722,  5733,  3143,  3110,  1137,  1177,  4460,  3790,  4951,  4407,
     646,  6188,  6329,  5143,  3818,  6344,  2741,  1405,  3468,  3348,
   -2722,  4839,  5281, -2722, -2722, -2722,   646,  5142,  5813,  6134,
    2629,  1811,  2581,   831,  2100,  4174,   832,  2101,  4241,  5186,
    4253,  2102,  2103,  2104,  2690,  3009,  2689,  3478,  6129,  5985,
     965,  2694,  4215,  4792,  4807,  5550,  4209,   646,  1265,  2616,
    5783,  4096,  5782,  6312,  6002,  4097,  4098,  4099,  4003,  2617,
    4840,  4210,  6116,  5974,  6219,  5767,  2618,   990,  5437,  2638,
    4742,  3389,  5986,  4176,  5987,  3392,  4103,  4104,  4105,  4106,
    4107,  4108,  4109,  4110,  4111,  4170,  4208,  3817,  3459,  4213,
    3307,  4042,  2619,   908,  4168,   908,  5942,  6098,  4161,  4077,
    4691,  3404,  3466,  1456,     0,     0,     0,     0,     0,  4243,
       0,     0,     0,  6027,     0,     0,     0,     0,     0,     0,
       0,   990,     0,     0,     0,     0,   965,     0,     0,  5614,
       0,     0,     0,  3461,  5612,     0,  3452,     0,     0,     0,
     919,  5999,     0,   643,  3452,     0,     0,     0,     0,     0,
     643,     0,   646,     0,  6230,   643,     0,     0,   643,  5265,
       0,     0,   646,     0,     0,   646,     0,     0,   646,   646,
     646,     0,  1136,   644,     0,     0,     0,     0,     0,  5657,
       0,     0,     0,     0,     0,     0,     0,  4003,     0,  4003,
     796,     0,   798,   646,   646,     0,   804,   646,     0,     0,
       0,   812,   820,   824,     0,   827,     0,     0,   820,   820,
    2620,   857,     0,   860,     0,  2621,     0,   646,     0,     0,
     916,   916,   916,   646,     0,     0,     0,   646,     0,     0,
       0,     0,     0,   908,   646,     0,     0,     0,  2622,  2294,
    3461,     0,     0,     0,     0,     0,     0,   646,     0,     0,
     646,     0,     0,     0,     0,   965,     0,   965,     0,     0,
       0,   646,  4101,     0,     0,  2623,     0,     0,  3459,     0,
    3578,     0,     0,     0,  1265,     0,  3586,  4096,  5571,     0,
       0,  4097,  4098,  4099,     0,     0,     0,     0,  3459,     0,
       0,     0,  6352,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3459,     0,   908,   965,     0,  2359,  3274,  3274,
       0,     0,     0,     0,     0,   646,     0,  3619,     0,     0,
       0,     0,  2624,  3301,     0,  2625,     0,     0,     0,     0,
       0,     0,  3322,     0,     0,     0,     0,     0,  5847,  3462,
       0,     0,  3461,  3462,     0,     0,  4102,     0,     0,  6285,
       0,     0,     0,     0,     0,  1811,     0,     0,     0,     0,
     646,     0,     0,     0,   644,   945,   945,     0,     0,   945,
       0,     0,     0,   956,     0,   857,     0,     0,   992,     0,
       0,   956,     0,     0,   956,     0,     0,   857,     0,   945,
       0,     0,   857,     0,     0,     0,   945,  5695,   857,     0,
       0,  5409,     0,     0,     0,     0,     0,     0,     0,     0,
    3462,     0,     0,     0,     0,     0,  2626,     0,     0,     0,
       0,     0,     0,   646,     0,     0,   908,     0,  5721,     0,
       0,  6362,   643,  6337,     0,     0,     0,     0,     0,     0,
       0,   191,   186,   180,   181,     0,     0,   184,   183,     0,
      80,   175,    71,    83,    84,  6355,    85,   646,     0,    86,
     106,   124,     0,   129,  3459,   159,     0,  1136,   178,     0,
     185,  6286,  6287,  5723,   646,     0,     0,     0,   646,   920,
     646,     0,  6337,     0,     0,     0,     0,     0, -2956,     0,
       0,     0,     0,     0,   646,     0,     0,     0,     0,     0,
    6337,   646,     0,     0,   646,     0,     0,  3461,     0,     0,
       0,     0,     0,     0,     0,   646,     0,     0,     0,     0,
    2554,     0,   646,     0,     0,     0,     0,  3846,     0,  2555,
    2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,     0,
       0,     0,  3459,     0,     0,     0,  4069,     0,     0,     0,
       0,     0,     0,  4103,  4104,  4105,  4106,  4107,  4108,  4109,
    4110,  4111,   187,     0,     0,     0,     0,     0,     0,   646,
       0,     0,  4102,     0,     0,   908,     0,     0,     0,     0,
     908,   908,     0,     0,     0,   646,     0,     0,     0,   990,
       0,   646,   646,   965,     0,     0,     0,     0,   187,     0,
       0,     0,     0,     0,     0,     0,     0,   965,     0,  3461,
       0,     0,   643,  2100,     0,  3461,  2101,     0,  1570,     0,
       0,     0,     0,     0,  1571,     0,     0,   646,     0,     0,
       0,     0,   643,     0,     0,     0,   646,     0,     0,  1811,
       0,     0,     0,     0,     0,     0,   643,     0,  2617,     0,
       0,     0,     0,     0,     0, -2956,     0,     0,     0,     0,
       0,     0,     0,     0,   646,     0,     0,     0,     0,  1573,
       0,     0,     0,  3462,  3462,  5903,     0,     0,     0,     0,
       0,  2619,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   908,   908,     0,     0,     0,     0,     0,
     955,     0,     0,     0,     0,  3459,     0,  4018,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   646,  1811,     0,
       0,     0,  4028,     0,     0,     0,  1574,  4033,  3461,   646,
       0,     0,     0,  1575,     0,     0,     0,  1576,   646,   646,
     646,     0,     0,     0,     0,   955,     0,     0,     0,     0,
       0,   646,  1811,  5233,     0,   908,     0,  4059,     0,     0,
     646,     0,   646,     0,   646,  1577,     0,     0,     0,     0,
       0,   646,     0,     0,     0,     0,     0,  5989,     0,  4103,
    4104,  4105,  4106,  4107,  4108,  4109,  4110,  4111,     0,     0,
       0,     0,     0,  6145,   646,     0,     0,     0,     0, -2956,
       0,  1578,     0,     0, -2956,     0,     0,     0,   643,     0,
       0,  2092,  3459,     0,     0,     0,     0,     0,     0,  1811,
       0,   965,     0,     0,  1045,     0,     0,     0,     0,     0,
     857,     0,   945,     0,   945,     0,     0,   945,   187,     0,
       0,     0,     0,     0,   992,     0,     0,     0,     0,  1103,
       0,   945,     0,     0, -2956,     0,     0,   945,  3452,     0,
       0,     0,  3452,     0,     0,  6195,  6196,     0,     0,     0,
       0,     0,     0,   646,     0,     0,     0,     0,     0,  1679,
       0,   644,     0,  1580,     0,     0,   643,     0,     0,     0,
     956,     0,  4003,  1581,   992,     0,     0,   956,     0,     0,
     956,     0,     0,  1582,     0,     0,     0,     0,     0,     0,
       0,  2624,     0,  3462,  3459,  1583,   945,     0,     0,     0,
    3462,  3480,     0,     0,   646,  3462,     0,     0,  3462,     0,
       0,     0,     0,     0,     0,     0,     0,   646,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   646,     0,     0,
       0,     0,     0,     0,     0,  1707,     0,   646,  1585,  1586,
     965,     0,     0,     0,     0,     0,     0,     0,     0,   857,
       0,     0,     0,     0,   646,     0,     0,     0,  1247,     0,
       0,     0,     0,     0,     0,     0,     0,   965,     0,     0,
    1708,     0,     0,     0,     0,     0,     0,     0,  1377,  1377,
       0,   857,   820,     0,     0, -2956,   820,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     857,  5886,     0,     0,     0,   857,     0,     0,   646,  6169,
       0,  1377,     0,  1570,     0,     0,     0,     0,   646,  1571,
       0,     0,     0,     0,     0,     0,   646,   646,     0,   643,
       0,     0,   646,   191,  6193,  6190,  6191,     0,     0,     0,
    6192,  1588,     0,     0,     0,     0,     0,     0,     0,  4305,
       0,     0,     0,     0,     0,     0,     0,  4308,  1377,  3459,
       0,     0,   646,   646,  1573,     0,     0,     0,     0,     0,
       0,     0,   857,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   857,     0,  6262,     0, -2956,
       0,     0,     0,     0,     0,     0,   965,     0,     0,     0,
     857,  2558,  2559,  2560,  2561,  2562,  2563,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   857,
     646,  1574,  6370,  6371,   945,   945,   646,     0,  1575,     0,
       0,     0,  1576,     0,     0,     0,   643,     0,   191,  6193,
    6190,  6191,     0,     0,   646,  6192,     0,     0,     0,     0,
       0,   646,  4393,     0,  4395,     0,   820,   820,     0,     0,
    1577,  3459,     0,     0,     0,   646,     0,  3459,     0,     0,
       0,     0,  3452,     0,     0,     0,     0,     0,     0,  1377,
    1377,   646,  3462,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   644,     0,   945,  1578,     0,   187,   956,
       0,     0,   992,   956,     0,   956,     0,     0,     0,     0,
     945,     0,     0,     0,     0,     0,     0,     0,     0,   646,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   857,     0,     0,     0,   643,   646,
       0,   945,   945,     0,     0,     0,  1811,     0,     0,     0,
    4456,   191,  6193,  6190,  6191,     0,     0,     0,  6192,     0,
       0,     0,     0,   857,   857,   857,     0,   945,     0,   644,
       0,   644,   644,     0,  1679,     0,     0,     0,  1580,     0,
    3459,     0,   646,   646,     0,     0,     0,   646,  1581,     0,
       0,   646,     0,     0,  4478,  1811,     0,     0,  1582,     0,
       0,     0,     0,   646,   646,   945,     0,   945,   945,     0,
    1583,     0,     0,  1811,     0,     0,     0, -2739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   955,
    1377,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2789,     0,     0,  1585,  1586,     0,     0,     0,     0,     0,
       0,     0,  3462,     0,     0,     0,  1994,     0,  1994,     0,
       0,     0,   857,  3938,   796,     0,     0,     0,     0,     0,
       0,     0,  3462,     0,     0,  2790,     0,     0,     0,     0,
    3619,     0,     0,     0,     0,     0,  3462,  1540,  2030,     0,
     857,     0,     0,   643,  2036,     0,     0,     0,     0,     0,
       0,   955,   955,     0,     0,     0, -2739,     0,  1377,  3452,
       0,     0,     0,     0,  3452,     0,     0,  3452,     0,  2100,
       0,     0,  2101,  1541,  4620,     0,  2102,  2103,  2104,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,   187,
       0,     0,     0,     0,  2616,     0,  1588,     0,     0,     0,
    1377,     0,     0,     0,  2617,     0,     0,     0,     0, -2739,
       0,  2618,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0, -2739,     0,     0,     0,     0,     0, -2739,  1377,
    1377,  1377,     0,  1377, -2739,     0,  1542,  2619,     0,     0,
   -2739,     0,     0, -2739,     0,   643,     0, -2739,     0,     0,
       0,   643,     0,     0,  1377,     0,  4677,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3301,  3301,     0,  6266,
       0,  3301,     0,  1543,     0,     0,     0, -2739,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   857,     0,     0,     0,     0,  3462,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4709, -2739,
       0,  1377,  3301,  3301,     0,     0,     0,  3939,     0,     0,
       0,     0,  1544,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4730,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  6309,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2620,     0,  1377,     0, -2739,
    2621,  1377,  1377, -2739,   643,  1546,     0,     0,     0, -2739,
       0,     0,   857,   857,   857,  2704,  3462,  1377,     0,     0,
       0,     0,     0,  2622,  2294,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1548,     0,
     820,     0,     0,     0,     0,     0,     0,     0,  6309,     0,
    2623,     0,     0,     0,     0,     0,  6358,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2739,   955,   955,
       0,     0,     0,     0,     0,  2797,  1570,     0,     0,     0,
     820,    35,  1571,   945,     0,     0,  3940,     0,     0,     0,
       0,     0,  2359,   187,     0,  1551,   857,  2825,     0,     0,
       0,     0,     0,     0,  1552,   857,     0,  2624,   945,     0,
    2625,     0,  2809,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1554,   801,     0,  1573,     0,     0,
       0,     0,     0,  1555,     0,   992,     0,   857,  1556,     0,
     820,     0,     0,  2893,  2893,     0,     0,  2893,     0,     0,
       0,     0,     0,     0, -2739,     0,     0,   820,  3941,     0,
     857,     0,     0,   857,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2739,  3462,
   -2739, -2739,     0,     0,  1574,   945,     0,     0,     0,     0,
       0,  1575,     0,   786,  1557,  1576,     0,     0,  3942,   786,
       0,  2626, -2739,   857,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   945,   945,   945,   945,   857,
       0,     0, -2739,  1577,     0, -2739, -2739, -2739,     0,     0,
       0,     0,     0,   857,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1377,  1377,  1377,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1578,
       0,  3452,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3462,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2554,     0,     0,     0,     0,
       0,     0,     0,     0,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2562,  2563,     0,     0,     0,     0,  4085,     0,     0,
    4086,     0,     0,     0,     0,     0,     0,  1679,     0,     0,
       0,  1580,     0,   857,     0,     0,     0,     0,     0,     0,
       0,  1581,     0,     0,   857,     0,     0,     0,     0,     0,
       0,  1582,   945,   945,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1583,     0,     0,     0,     0,   945,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3462,  1570,
       0,     0,  5067,     0,     0,  1571,   857,  2893,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1572,     0,   945,   945,   945,   945,  1585,  1586,     0,     0,
       0,   857,   187,     0,     0,     0,     0,  2100,   857,     0,
    2101,  3107,     0,     0,  2102,  2103,  2104,     0,     0,     0,
    1573,     0,     0,     0,     0,     0,   644,     0,  1587,   644,
       0,     0,  2616,   187,     0,     0,     0,     0,     0,   956,
     956,     0,  2617,     0,     0,     0,     0,   187,     0,  2618,
     992,   992,     0,     0,   956,     0,     0,   956,     0,     0,
       0,  2100,     0,     0,  2101,     0,     0,     0,  2102,  2103,
    2104,     0,   945,   945,     0,  2619,     0,  1574,     0,   945,
       0,   857,     0,     0,  1575,     0,  2616,     0,  1576,     0,
       0,     0,     0,     0,     0,     0,  2617,     0,  1994,  1588,
       0,     0,     0,  2618,     0,   945,     0,   956,     0,     0,
    3190,   956,   956,     0,   857,   857,  1577,   945,     0,     0,
       0,     0,     0,     0,   857,     0,     0,     0,     0,  2619,
       0,   857,     0,  3462,   857,  3107,  2092,     0,   796,     0,
       0,   796,  3227,     0,     0,     0,  1377,     0,  1377,     0,
       0,     0,  1578,  1377,  1377,     0,     0,     0,     0,     0,
    1377,  1377,  1377,  1377,  1377,  1377,  1377,  1377,  1377,  1377,
    1377,  1377,  1377,     0,     0,     0,  1377,     0,  1377,   992,
    1377,  1377,  1377,  1377,  1377,  1377,     0,     0,  1377,     0,
    1377,  1377,     0,  2620,  1377,     0,     0,     0,  2621,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1570,  1377,
    1377,  1377,     0,     0,  1571,     0,     0,     0,     0,     0,
       0,  2622,  2294,     0,     0,     0,     0,  1377,     0,  1677,
    1579,     0,     0,     0,  1580,  3462,     0,     0,     0,     0,
       0,  3462,     0,     0,  1581,     0,     0,  2620,  2623,     0,
       0,     0,  2621,     0,  1582,     0,     0,     0,     0,  1573,
       0,     0,     0,     0,  3274,     0,  1583,   945,     0,     0,
       0,     0,     0,     0,     0,  2622,  2294,     0,  3452,     0,
     187,     0,     0,     0,     0,     0,  3301,  3301,  3301,  3301,
    2359,     0,  3301,  3301,  3301,  3301,  3301,  3301,  3301,  3301,
    3301,  3301,  2623,     0,     0,  2624,  1584,  5313,  2625,  1585,
    1586,     0,     0,     0,  1678,     0,  1574,     0,     0,     0,
    4738,     0,     0,  1575,     0,     0,     0,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1587,     0,     0,  2359,     0,     0,     0,  5337,     0,
       0,     0,     0,     0,  3462,  1577,  3301,  3301,     0,  2624,
       0,     0,  2625,     0,     0,     0,     0,     0,     0,     0,
    5353,     0,     0,     0,  1377,     0,     0,     0,     0,     0,
       0,     0,   187,     0,     0,     0,  3938,     0,     0,     0,
       0,  1578,     0,     0,     0,  2100,     0,     0,  2101,  2626,
       0,  4796,  2102,  2103,  2104,     0,     0,     0,     0,     0,
    1540,     0,  1588,     0,     0,     0,     0,     0,     0,     0,
    2616,     0,     0,     0,     0,     0,     0,  1377,     0,     0,
    2617,     0,     0,     0,     0,     0,     0,  2618,     0,     0,
       0,     0,  5381,     0,     0,     0,  1541,     0,     0,     0,
       0,     0,     0,  2626,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2619,     0,     0,     0,     0,     0,  1679,
       0,     0,     0,  1580,     0,     0,     0,     0,     0,     0,
       0,     0,  1377,  1581,     0,   712,     0,     0,     0,     0,
       0,     0,     0,  1582,   800,     0,     0,     0,     0,     0,
       0,     0,     0,  2554,     0,  1583,     0,     0,     0,  1542,
       0,     0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
    2563,   786,     0,   786,  1540,   786,     0,     0,  4087,     0,
       0,   786,  1214,  1215,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1680,  1543,     0,  1585,  1586,
       0,     0,     0,     0,     0,     0,     0,  2554,     0,     0,
    1541,     0,     0,  5467,     0,     0,  2555,  2556,  2557,  2558,
    2559,  2560,  2561,  2562,  2563,     0,     0,     0,     0,     0,
    1681,  2620,  4138,     0,     0,     0,  2621,     0,     0,     0,
    3939,     0,     0,     0,     0,  1544,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2622,
    2294,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1542,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   187,     0,  2623,     0,  1546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1588,     0,     0,     0,     0,     0,     0,     0,   187,
    1543,     0,  1377,  1377,  1377,  1377,  1377,  1377,  1377,  1377,
    1377,  1548,  1377,     0,     0,     0,     0,     0,  2359,     0,
       0,     0,   857,  1377,     0,  1377,     0,     0,     0,     0,
       0,     0,   857,  2624,     0,     0,  2625,     0,     0,  3301,
       0,  4456,     0,     0,     0,     0,     0,     0,  2100,  1544,
       0,  2101,     0,     0,    35,  2102,  2103,  2104,     0,  1550,
       0,   857,   786,  1377,     0,     0,   945,  1377,  1551,     0,
    1377,     0,  1377,  2616,     0,  1377,     0,  1552,     0,  1377,
       0,     0,     0,  2617,     0,  2809,     0,     0,  1545,  1570,
    2618,     0,  1546,     0,     0,  1571,     0,  1554,     0,     0,
       0,     0,  3463,     0,  6261,     0,  1555,     0,   857,   857,
    1677,  1556,     0,     0,     0,     0,  2619,     0,     0,  1377,
       0,     0,     0,     0,  1547,  1548,     0,  2626,  1377,  1377,
       0,  3941,   786,     0,     0,     0,     0,     0,     0,     0,
    1573,     0,   857,     0,     0,     0,     0,     0,     0,     0,
    3507,     0,  3512,     0,  2100,     0,     0,  2101,     0,     0,
       0,  2102,  2103,  2104,  1549,     0,     0,  1557,    35,     0,
       0,  3942,     0,  1550,     0,     0,     0,     0,     0,  2616,
       0,     0,  1551,     0,     0,     0,     0,     0,     0,  2617,
       0,  1552,   796,     0,   796,  1678,  2618,  1574,     0,  1553,
       0,     0,     0,     0,  1575,     0,     0,     0,  1576,     0,
       0,  1554,  1377,     0,     0,     0,     0,   187,     0,     0,
    1555,     0,  2619,   644,     0,  1556,   956,   992,   956,   956,
       0,  2554,   945,     0,  2620,   857,  1577,     0,     0,  2621,
    2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,
       0,     0,     0,  3330,     0,     0,   820,     0,     0,     0,
       0,     0,  2622,  2294,     0,     0,     0,  2825,  5215,     0,
       0,     0,  1578,     0,     0,  3622,   857,  1570,     0,     0,
       0,  1557,  3633,  1571,     0,     0,     0,     0,     0,  2623,
       0,   857,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   857,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   907,     0,  1573,     0,
       0,  2359,     0,     0,   857,     0,     0,     0,     0,     0,
    2620,     0,     0,     0,     0,  2621,  2624,   820,     0,  2625,
    1679,     0,     0,     0,  1580,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1581,     0,     0,     0,  2622,  2294,
     945,     0,     0,   945,  1582,     0,     0,     0,     0,     0,
       0,     0,     0,  2020,     0,  1574,  1583,     0,  2020,  2020,
       0,     0,  1575,     0,     0,  2623,  1576,     0,     0,   857,
     857,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3778,     0,  3781,  3783,     0,     0,
       0,     0,     0,     0,  1577,     0,  3749,     0,     0,  1585,
    1586,     0,     0,     0,     0,     0,     0,  2359,     0,     0,
    2626,     0,     0,     0,     0,     0,     0,     0,  1377,  1377,
    1377,     0,  2624,     0,  1377,  2625,     0,     0,     0,     0,
    1578,  3750,   945,     0,     0,     0,     0,  1067,     0,     0,
       0,     0,     0,     0,     0,   945,     0,     0,     0,     0,
       0,  1377,     0,   945,     0,     0,   786,     0,     0,     0,
       0,   786,   786,     0,     0,     0,  2825,     0,     0,     0,
       0,   857,  5925,     0,     0,     0,     0,  3885,     0,     0,
     796,     0,     0,     0,     0,     0,     0,  1135,   712,  2634,
       0,     0,   945,  3896,     0,     0,     0,     0,  2641,     0,
    2642,     0,  1588,  3778,  2645,     0,     0,     0,  1579,     0,
       0,  2651,  1580,   945,  2554,  3918,  2626,     0,     0,     0,
       0,     0,  1581,  2555,  2556,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,  1582,  5979,     0,     0,  4079,     0,     0,     0,
    2100,     0,     0,  2101,  1583,     0,     0,  2102,  2103,  2104,
       0,     0,     0,     0,   945,     0,   945,     0,   945,     0,
       0,     0,     0,     0,     0,  2616,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2617,     0,     0,     0,     0,
       0,     0,  2618,  1234,  2867,     0,     0,  1585,  1586,     0,
       0,  1994,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   786,  1256,     0,     0,     0,     0,  2619,     0,
       0,  1380,   786,     0,  1389,  1135,  1391,     0,     0,  2868,
    2554,     0,     0,     0,     0,     0,     0,     0,     0,  2555,
    2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,     0,
       0,     0,  4492,  1570,     0,   644,   945,     0,   956,  1571,
     956,   956,     0,   945,     0,     0,  1214,  1215,     0,     0,
    1377,     0,     0,     0,     0,  1377,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1588,     0,     0,     0,  1573,     0,     0,     0,     0,   786,
    3301,     0,   786,   786,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1377,  1377,  1377,     0,     0,  1377,
       0,     0,     0,     0,     0,     0,  2620,  1377,  1377,  1377,
    1377,  2621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1377,     0,     0,  1377,     0,  1377,     0,
       0,  1574,  3301,     0,  2622,  2294,     0,     0,  1575,     0,
    1377,  1377,  1576,     0,  1377,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2623,     0,   992,     0,  1377,     0,  1377,     0,  1377,
    1577,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1540,     0,     0,     0,     0,  1377,     0,
       0,  4182,     0,     0,     0,   857,     0,     0,     0,  1135,
       0,     0,     0,  2359,     0,     0,  1578,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   857,     0,  2624,  1541,
       0,  2625,  2100,     0,     0,  2101,     0,     0,     0,  2102,
    2103,  2104,     0,     0,     0,     0,     0,     0,     0,     0,
    -136,     0,     0,     0,     0,   644,     0,  2616,  3463,  4219,
       0,     0,     0,  4219,  4233,  4219,     0,  2617,     0,     0,
       1,  1377,     0,     0,  2618,     0,  1377,     0,     0,     0,
       0,     2,     0,     3,     4,   786,     0,     0,     0,     0,
       0,  1377,  1542,     0,  1679,     0,     0,     0,  1580,     0,
    2619,     5,     0,     0,     0,  3463,     0,     0,  1581,  4264,
       0,     6,  4267,  3463,     0,  3512,     0,     0,  1582,     0,
       0,     0,  2626,     7,     0,     8,     9,     0,     0,  1543,
    1583,     0,    10,     0,    11,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    12,     0,    13,
       0,     0,     0,     0,   907,     0,  1377,     0,     0,     0,
       0,  4293,     0,     0,     0,     0,    14,     0,     0,    15,
    3614,     0,     0,  1585,  1586,     0,     0,     0,  1544,     0,
     907,     0,     0,     0,    16,     0,    17,   945,   945,     0,
      18,     0,     0,     0,     0,     0,     0,    19,     0,  3301,
    2019,     0,     0,     0,     0,  1587,    20,     0,    21,     0,
       0,     0,     0,     0,     0,    22,     0,  1545,  2620,     0,
       0,  1546,     0,  2621,     0,     0,  2554,  1135,     0,  3301,
       0,     0,     0,    23,     0,  2555,  2556,  2557,  2558,  2559,
    2560,  2561,  2562,  2563,     0,     0,  2622,  2294,  4678,     0,
      24,     0,     0,  1611,  1548,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4374,     0,  2623,     0,     0,  1588,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1612,     0,   857,     0,    35,     0,     0,
    3249,  3250,  1550,    25,    26,  2893,     0,     0,     0,    27,
       0,  1551,     0,     0,     0,  2359,  2096,  3286,  3287,     0,
    1552,     0,     0,   907,    28,  2098,     0,     0,  1613,     0,
    2624,     0,     0,  2625,     0,     0,     0,     0,     0,     0,
    1554,  2579,    29,     0,     0,     0,     0,     0,  3332,  1555,
       0,     0,     0,     0,  1556,     0,     0,     0,     0,     0,
    1135,     0,     0,  2596,  2597,     0,     0,     0,  1135,  1135,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    30,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    31,     0,     0,     0,     0,     0,    32,    33,
    1557,    34,     0,     0,  1377,     0,    35,     0,     0,     0,
    1377,     0,    36,     0,  2626,    37,     0,     0,     0,     0,
       0,   945,    38,     0,     0,     0,     0,     0,     0,    39,
      40,     0,     0,     0,     0,     0,     0,    41,     0,     0,
       0,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    43,     0,     0,     0,     0,     0,  1726,   857,   857,
     857,     0,     0,     0,     0,     0,  3301,     0,    44,     0,
       0,     0,     0,     0,     0,   857,   907,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   907,    45,  1377,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      46,     0,     0,   907,     0,     0,    47,  1994,   857,   857,
       0,    48,     0,   857,     0,     0,     0,     0,  2554,     0,
       0,     0,     0,     0,    49,   857,     0,  2555,  2556,  2557,
    2558,  2559,  2560,  2561,  2562,  2563,     0,     0,     0,     0,
    4751,     0,   713,     0,     0,     0,     0,  3228,    50,     0,
      51,    52,    53,    54,    55,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,     0,     0,
    -136,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   945,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3190,  4642,     0,   716,  3229,
       0,     0,     0,     0,     0,     0,   857,     0,     0,     0,
       0,     0,     0,  2934,     0,   717,     0,     0,     0,   857,
       0,  2942,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1050,     0,     0,     0,     0,  1377,     0,
       0,     0,     0,     0,     0,     0,     0,  1377,     0,     0,
       0,     0,  6115,     0,     0,     0,     0,  3230,     0,     0,
     907,  1377,     0,     0,     0,  1377,  1377,  1377,     0,     0,
     720,     0,  1377,     0,     0,  1377,     0,     0,  1377,   721,
       0,     0,     0,     0,  1377,     0,  1377,     0,     0,  1377,
       0,     0,   722,     0,  1377,  1377,  1377,  1377,  3231,     0,
    1377,  1377,  1377,  1377,  1377,  1377,  1377,  1377,  1377,  1377,
       0,     0,     0,  1377,  1377,  1377,     0,     0,     0,     0,
       0,     0,     0,  1377,     0,  1053,     0,     0,  1377,     0,
       0,     0,  1377,     0,     0,     0,     0,     0,     0,  1540,
    1377,     0,     0,  1377,     0,  1377,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1377,  3232,     0,  1377,  1377,     0,     0,     0,  1377,
    1377,     0,     0,     0,  1377,  1541,  1377,  4777,     0,     0,
       0,     0,     0,     0,   726,   857,   857,   857,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3301,  3301,     0,
       0,     0,     0,     0,     0,  4219,  4233,  4219,     0,  1377,
    4219,     0,     0,  4798,     0,     0,     0,  3463,     0,     0,
       0,  3463,     0,     0,     0,     0,     0,  4813,     0,     0,
       0,     0,     0,     0,     0,     0,  3072,     0,  1542,     0,
    3077,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1377,     0,     0,     0,     0,     0,     0,
       0,   213,  3233,     0,     0,   731,     0,     0,  3512,     0,
    1377,     0,     0,     0,     0,  1543,     0,     0,     0,     0,
       0,     0,     0,     0,  3433,  3435,     0,     0,  4861,  1994,
    3443,  1994,     0,  1057,  1994,     0,  3234,     0,     0,     0,
    1570,     0,     0,   735,     0,     0,  1571,     0,     0,     0,
     736,     0,     0,   737,     0,     0,     0,     0,     0,     0,
       0,  2725,  3487,  3487,  1544,     0,     0,     0,     0,  2825,
    4894,     0,   738,     0,     0,     0,     0,     0,     0,     0,
    1059,     0,     0,     0,     0,     0,     0,   740,  4918,     0,
    1060,  1573,     0,     0,   742,     0,     0,     0,     0,     0,
       0,     0,     0,  1545,     0,     0,     0,  1546,     0,  3235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   786,     0,     0,     0,  2725,     0,
       0,  1570,     0,     0,     0,     0,   747,  1571,     0,  1628,
    1548,     0,     0,  4967,     0,     0,     0,     0,  1574,  2100,
    3260,     0,  2101,     0,     0,  1575,  2102,  2103,  2104,  1576,
       0,     0,     0,     0,     0,     0,     0,     0,  2100,   907,
       0,  2101,     0,     0,  2616,  2102,  2103,  2104,     0,  1629,
       0,     0,  1573,    35,  2617,     0,     0,  1577,  1550,     0,
       0,  2618,     0,  2616,     0,     0,     0,  1551,  5011,     0,
       0,     0,   907,  2617,     0,     0,  1552,     0,     0,  3621,
    2618,     0,     0,     0,  1630,     0,     0,  2619,     0,     0,
       0,     0,     0,  1578,     0,     0,  1554,     0,     0,     0,
       0,   945,     0,     0,     0,  1555,  2619,     0,     0,  1574,
    1556,     0,     0,     0,     0,   945,  1575,  1377,     0,     0,
    1576,     0,     0,     0,   857,     0,     0,     0,     0,     0,
    5055,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2825,     0,     0,     0,     0,     0,     0,  1577,     0,
       0,     0,  1726,  1726,  1726,     0,   857,     0,     0,     0,
       0,  3463,  3896,     0,     0,     0,  1557,     0,   786,  3778,
       0,  1679,     0,     0,     0,  1580,   786,     0,  5104,   786,
       0,     0,     0,     0,  1578,  1581,     0,     0,   857,     0,
       0,   786,     0,     0,     0,  1582,     0,     0,     0,     0,
    1377,  1377,     0,     0,     0,  2620,     0,  1583,     0,     0,
    2621,  1377,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1994,   857,  2620,     0,     0,     0,     0,  2621,
       0,     0,     0,  2622,  2294,     0,     0,     0,     0,     0,
     857,     0,     0,     0,     0,     0,     0,  3796,     0,     0,
    1585,  1586,  2622,  2294,     0,     0,     0,     0,     0,     0,
    2623,     0,  1679,     0,   907,     0,  1580,     0,     0,     0,
       0,     0,     0,     0,     0,   907,  1581,     0,     0,  2623,
       0,  1377,  3797,     0,     0,     0,  1582,     0,     0,     0,
       0,   907,     0,     0,     0,     0,     0,  1377,  1583,     0,
       0,     0,  2359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1377,     0,  2624,     0,     0,
    2625,  2359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2624,     0,  4318,  2625,
       0,  1585,  1586,  1377,     0,   907,  1377,     0,     0,     0,
       0,     0,     0,  1588,  1377,  1377,     0,     0,     0,     0,
     907,  1377,  1377,   907,   907,     0,  1377,     0,     0,     0,
       0,  1377,     0,  4319,  1377,  1377,     0,     0,     0,     0,
       0,  1377,     0,     0,     0,   857,   857,   857,   857,     0,
    2100,     0,     0,  2101,   907,   907,     0,  2102,  2103,  2104,
       0,   644,     0,     0,  4219,     0,     0,     0,  3463,     0,
       0,  2626,     0,  3463,     0,  2616,  3463,   644,     0,  3778,
       0,  5269,     0,     0,  1377,  2617,   992,     0,     0,     0,
    2626,     0,  2618,     0,     0,  1377,     0,     0,   786,  4264,
       0,     0,     0,  1377,  1588,  3512,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2619,     0,
     796,     0,     0,  1377,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1570,     0,     0,  1726,     0,     0,  1571,  2825,     0,
       0,     0,  5325,     0,     0,     0,     0,     0,  1726,     0,
       0,  1726,     0,     0,     0,  2554,     0,     0,     0,     0,
       0,     0,     0,     0,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2562,  2563,     0,  2554,     0,   907,  4855,     0,     0,
       0,     0,  1573,  2555,  2556,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,     0,     0,     0,     0,  5084,     0,     0,     0,
       0,     0,     0,  3411,     0,     0,     0,     0,  1377,     0,
       0,     0,     0,     0,     0,  1377,  2620,     0,     0,     0,
       0,  2621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   945,     0,  1574,
       0,     0,     0,     0,  2622,  2294,  1575,     0,     0,     0,
    1576,     0,   945,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2623,     0,     0,     0,     0,     0,     0,  1577,     0,
       0,     0,     0,  1377,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   644,
       0,  4195,  -136,   786,     0,     0,  2825,     0,     0,     0,
       0,     0,     0,  2359,  1578,  1994,     0,     0,     0,  4202,
       0,     0,     1,     0,     0,     0,     0,     0,  2624,     0,
    3896,  2625,     0,     2,     0,     3,     4,     0,     0,     0,
       0,     0,     0,   945,     0,  3918,     0,     0,     0,     0,
       0,  1135,     0,     5,     0,     0,  4743,     0,     0,     0,
       0,     0,     0,     6,     0,     0,     0,  4248,  4248,     0,
       0,   857,     0,     0,     0,     7,     0,     8,     9,     0,
       0,     0,   857,     0,    10,     0,    11,     0,     0,     0,
       0,     0,  1679,     0,     0,     0,  1580,     0,     0,    12,
       0,    13,     0,     0,     0,     0,  1581,     0,     0,     0,
       0,  1391,     0,     0,     0,     0,  1582,     0,    14,     0,
       0,    15,  2626,     0,     0,     0,     0,     0,  1583,     0,
       0,     0,     0,     0,     0,  1377,    16,     0,    17,     0,
    4744,     0,    18,     0,     0,  1377,     0,     0,  1377,    19,
       0,  1377,  1377,  1377,     0,     0,     0,     0,    20,     0,
      21,     0,     0,     0,     0,     0,     0,    22,  4378,     0,
       0,  1585,  1586,     0,     0,     0,  1377,  1377,     0,     0,
    1377,     0,     0,     0,     0,    23,     0,     0,     0,     0,
       0,  1391,     0,     0,     0,     0,     0,     0,     0,     0,
    1377,     0,    24,  4379,     0,     0,  1377,     0,     0,     0,
    3463,     0,     0,     0,  5269,  1391,     0,  1377,     0,  5568,
       0,     0,     0,     0,     0,     0,  2554,     0,     0,     0,
    4861,     0,     0,  1377,     0,  2555,  2556,  2557,  2558,  2559,
    2560,  2561,  2562,  2563,  4861,   992,   945,     0,   945,     0,
       0,     0,     0,     0,     0,    25,    26,     0,     0,     0,
       0,    27,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1588,     0,    28,     0,     0,  3784,
       0,     0,     0,  3788,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    29,     0,     0,     0,   956,   992,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3821,     0,  3821,     0,  3821,  3821,     0,     0,     0,  3821,
    3821,  3821,     0,  3821,  3821,  3821,     0,     0,     0,    30,
       0,     0,     0,   956,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1726,    31,     0,     0,  5055,     0,     0,
      32,    33,   857,    34,     0,     0,  1570,   857,    35,     0,
       0,     0,  1571,     0,    36,     0,  2825,    37,     0,  1637,
       0,     0,     0,     0,    38,     0,   857,  3898,     0,     0,
    5104,    39,    40,  5710,     0,     0,     0,     0,     0,    41,
       0,  1638,     0,    42,   945,   857,  4861,     0,     0,     0,
       0,     0,  3926,    43,     0,     0,     0,  1573,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1377,   786,     0,     0,     0,     0,     0,     0,     0,     0,
      45,     0,     0,  1639,     0,     0,     0,  1377,     0,     0,
       0,  1377,    46,  1377,  4539,     0,     0,     0,    47,     0,
       0,     0,     0,    48,  1574,     0,     0,  1377,     0,     0,
       0,  1575,     0,     0,   644,  1576,    49,  1377,     0,     0,
    3519,  5791,     0,     0,  2725,  3525,     0,     0,  1377,     0,
       0,     0,     0,     0,     0,  1377,     0,     0,     0,     0,
      50,     0,     0,  1577,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
       0,     0,  -136,     0,     0,     0,     0,     0,     0,     0,
     857,     0,     0,     0,     0,  1640,     0,     0,     0,  1578,
       0,     0,  1377,   907,     0,     0,     0,     0,     0,   907,
       0,   713,     0,     0,     0,     0,   714,     0,  1377,     0,
       0,     0,     0,     0,  1377,  1377,     0,     0,     0,   945,
     945,   945,   945,     0,     0,     0,     0,     0,     0,     0,
    2100,     0,     0,  2101,     0,     0,     0,  2102,  2103,  2104,
     907,     0,     0,     0,   715,     0,     0,  1641,     0,     0,
    1377,     0,  1642,     0,     0,  2616,     0,   716,     0,   644,
       0,   786,     0,     0,     0,  2617,     0,  1643,     0,     0,
       0,  1580,  2618,     0,   717,     0,     0,     0,     0,     0,
       0,  1581,     0,     0,   857,     0,     0,  3463,     0,     0,
       0,  1582,   718,     0,     0,     0,     0,     0,  2619,     0,
       0,     0,  1644,  1583,     0,     0,     0,     0,     0,     0,
       0,     0,   857,     0,     0,     0,   719,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   720,
       0,     0,     0,     0,     0,     0,     0,     0,   721,     0,
    1377,     0,     0,  1645,     0,     0,  1585,  1586,  1646,     0,
       0,   722,  1377,     0,     0,     0,     0,   723,     0,     0,
    1135,  1377,  1377,  1377,   724,     0,     0,  1994,     0,     0,
       0,  3778,  1647,     0,  1377,     0,     0,     0,  1648,   970,
       0,     0,     0,  1377,   725,  1377,     0,  1377,  5568,     0,
       0,  1004,  1649,     0,  4861,     0,     0,     0,     0,     0,
       0,     0,  1023,     0,     0,  1994,     0,   992,     0,     0,
       0,     0,     0,     0,     0,     0,  2620,  1377,  1726,     0,
       0,  2621,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   726,  2622,  2294,     0,     0,     0,  1588,
     907,     0,  1994,  1994,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2623,     0,     0,     0,     0,  2100,     0,     0,  2101,
       0,     0,   945,  2102,  2103,  2104,   727,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6068,     0,     0,   728,
       0,  2616,     0,     0,     0,     0,     0,     0,     0,     0,
     729,  2617,     0,  2359,     0,     0,     0,     0,  2618,     0,
     213,   730,  1135,  2725,   731,     0,     0,  2725,  2624,     0,
       0,  2625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2619,     0,     0,  1377,     0,     0,
       0,     0,   732,     0,     0,   733,     0,     0,     0,   734,
    1377,     0,   735,     0,  5791,     0,     0,     0,     0,   736,
    1377,     0,   737,     0,     0,     0,     0,     0,     0,  3512,
    1377,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   738,     0,     0,     0,     0,     0,   956,     0,   739,
    4366,   786,     0,     0,     0,     0,   740,   944,   946,   741,
       0,   949,   945,   742,     0,     0,     0,     0,     0,  1994,
       0,   743,  2626,   744,     0,     0,     0,     0,   745,   786,
     907,  1007,     0,     0,     0,     0,     0,     0,  1017,     0,
       0,     0,   746,   786,  2825,   907,     0,     0,     0,     0,
     907,  1377,     0,     0,   786,   747,     0,     0,  4415,     0,
       0,  4861,  2620,     0,     0,     0,     0,  2621,     0,   956,
     956,  6198,     0,   957,   967,  1377,     0,     0,     0,     0,
     907,   957,     0,   967,   957,     0,     0,     0,     0,     0,
    2622,  2294,     0,     0,     0,     0,     0,   967,  1994,  1994,
    6214,     0,     0,     0,     0,  1377,  1377,     0,     0,     0,
       0,  6220,     0,     0,     0,     0,     0,  2623,     0,     0,
       0,     0,     0,     0,     0,     0,  2554,     0,  4458,     0,
    1214,  1215,     0,   945,     0,  2555,  2556,  2557,  2558,  2559,
    2560,  2561,  2562,  2563,     0,     0,     0,     0,  5197,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2359,
       0,     0,     0,  6068,   945,   945,     0,     0,     0,  4861,
       0,     0,     0,     0,  2624,     0,  3821,  2625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   644,  4489,  4489,
       0,     0,     0,     0,  1377,     0,     0,     0,  4505,     0,
       0,     0,     0,  1135,  2100,  1135,     0,  2101,  1377,     0,
       0,  2102,  2103,  2104,     0,     0,     0,     0,   786,     0,
       0,     0,     0,     0,  1377,     0,     0,     0,  1043,  2616,
       0,     0,     0,     0,  1075,     0,     0,     0,     0,  2617,
       0,     0,     0,     0,     0,     0,  2618,     0,     0,     0,
       0,  4560,     0,     0,     0,     0,     0,     0,     0,     0,
    6306,  6307,   644,  6311,  5791,     0,     0,  3512,  2626,     0,
       0,   786,  2619,     0,     0,     0,     0,     0,     0,   945,
       0,     0,  4861,     0,     0,     0,  4596,  1135,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4264,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1377,   644,     0,     0,     0,
    1377,     0,     0,  2725,   644,     0,  3525,     0,  3525,     0,
       0,     0,     0,  2725,     0,   966,   956,   956,     0,     0,
    6373,     0,     0,     0,   966,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   966,     0,
       0,     0,  2554,     0,     0,     0,     0,     0,     0,     0,
       0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,
    2620,     0,   907,     0,  5234,  2621,     0,     0,     0,     0,
     907,     0,     0,     0,     0,  1384,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   905,  2622,  2294,
       0,     0,     0,     0,  1407,  2725,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2623,     0,     0,     0,  2100,
       0,     0,  2101,     0,     0,   713,  2102,  2103,  2104,     0,
    2776,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1077,     0,  1080,     0,     0,  1082,
       0,     0,     0,     0,  2617,     0,     0,  2359,     0,     0,
    4752,  2618,     0,  1108,     0,   907,  1465,   907,  2777,  1112,
       0,     0,  2624,     0,     0,  2625,     0,     0,     0,     0,
       0,   716,     0,     0,     0,     0,     0,  2619,     0,     0,
       0,     0,     0,   967,     0,     0,     0,     0,   717,   786,
       0,     0,     0,     0,     0,   786,     0,     0,     0,     0,
     786,     0,   967,  1601,     0,     0,  1050,     0,   967,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     967,     0,     0,     0,     0,     0,     0,  5351,  5352,     0,
    2778,     0,  5355,  5356,     0,     0,   967,     0,     0,     0,
       0,     0,     0,   720,     0,     0,     0,     0,     0,     0,
     957,   967,   721,   907,     0,     0,  2626,   957,     0,   967,
     957,     0,     0,     0,     0,   722,     0,     0,     0,     0,
       0,  2779,     0,   967,     0,     0,     0,     0,     0,     0,
       0,     0,  1726,   967,     0,     0,     0,     0,  1726,     0,
       0,     0,     0,     0,     0,  2620,     0,   907,  1053,     0,
    2621,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1862,     0,
       0,     0,     0,  2622,  2294,  3525,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   967,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1896,  1899,  1900,
    2623,     0,     0,     0,     0,     0,     0,   726,     0,     0,
    2554,     0,     0,     0,   967,     0,     0,     0,     0,  2555,
    2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,  4505,     0,
       0,     0,  5238,     0,     0,     0,     0,  2100,     0,   967,
    2101,     0,  2359,   907,  2102,  2103,  2104,     0,     0,     0,
    2780,     0,     0,     0,     0,     0,  4957,  2624,     0,     0,
       0,     0,  2616,     0,     0,  3525,     0,     0,     0,     0,
       0,  4971,  2617,     0,  4972,     0,  4973,     0,     0,  2618,
       0,     0,     0,     0,   213,  2781,     0,   907,   731,     0,
       0,     0,     0,     0,     0,     0,  1602,  1603,     0,     0,
       0,   967,     0,     0,   966,  2619,  1384,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1057,     0,     0,  2782,
       0,     0,  5013,   966,     0,     0,   735,     0,     0,   966,
       0,     0,     0,   736,  1384,     0,   737,     0,  3821,     0,
       0,   966,     0,  3821,     0,     0,     0,     0,     0,     0,
       0,  2626,     0,     0,     0,   738,     0,   966,     0,     0,
       0,     0,     0,  1059,     0,     0,     0,  1830,     0,   907,
     740,     0,   966,  1060,     0,     0,     0,   742,     0,     0,
     966,     0,  1842,     0,     0,  2783,     0,     0,     0,     0,
       0,     0,  2784,     0,   966,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   966,     0,     0,     0,     0,     0,
       0,  1813,     0,  1864,  1865,     0,     0,     0,   967,   747,
       0,   907,     0,  2620,     0,     0,     0,     0,  2621,   957,
       0,     0,     0,   957,     0,   957,     0,     0,     0,  1902,
       0,     0,  5118,     0,     0,  4505,   907,     0,     0,     0,
       0,  2622,  2294,     0,     0,  2554,     0,   966,     0,     0,
       0,     0,     0,     0,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2562,  2563,     0,     0,     0,     0,     0,  2623,  1940,
    1942,   786,     0,     0,     0,   966,     0,  2610,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     966,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2359,  5167,  5167,  5167,  5167,     0,  5167,  5167,  5167,  5167,
    5167,     0,     0,     0,     0,  2624,     0,     0,  2625,     0,
       0,     0,   967,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2701,     0,     0,
       0,     0,   966,  1570,     0,     0,     0,     0,     0,  1571,
       0,     0,     0,     0,     0,     0,  1637,     0,     0,     0,
       0,     0,     0,     0,     0,   905,     0,     0,     0,     0,
       0,     0,     0,   967,  2725,     0,     0,     0,  1638,     0,
       0,     0,     0,     0,   967,     0,     0,     0,     0,     0,
       0,   905,     0,     0,  1573,     0,     0,     0,     0,  2626,
       0,   967,     0,     0,     0,     0,   967,     0,     0,     0,
       0,     0,     0,     0,  5246,     0,  5248,     0,     0,     0,
    2819,     0,     0,     0,     0,     0,     0,     0,     0,  2842,
    1639,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1574,  1812,     0,     0,     0,     0,     0,  1575,   966,
       0,  2880,  1576,     0,     0,  3525,     0,  2892,  2892,     0,
       0,  2892,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2910,     0,     0,  2913,     0,     0,
    1577,     0,     0,  3525,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2554,     0,     0,     0,     0,     0,     0,
       0,     0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
    2563,     0,  1640,     0,     0,  5508,  1578,     0,     0,     0,
       0,     0,     0,     0,   905,     0,     0,     0,     0,   967,
       0,     0,     0,  2966,     0,     0,     0,   967,   967,     0,
       0,     0,     0,     0,   786,     0,     0,  2986,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   966,  1641,     0,     0,     0,     0,  1642,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1813,     0,     0,     0,  1643,     0,  2100,     0,  1580,  2101,
       0,     0,     0,  2102,  2103,  2104,     0,     0,  1581,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1582,     0,
       0,  2616,     0,     0,     0,   907,  5379,  5380,     0,  1644,
    1583,  2617,     0,   896,   966,  2807,     0,     0,  2618,  3821,
       0,  3821,  3821,  3821,     0,   966,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3008,     0,     0,
    2846,     0,   966,     0,  2619,     0,     0,   966,  3011,     0,
    3722,     0,  3525,  1585,  1586,  1646,     0,  2725,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   905,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   905,  1647,
       0,     0,     0,     0,     0,  3723,     0,  5433,     0,     0,
    3055,  2892,     0,     0,   905,     0,     0,     0,     0,  1649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3090,  2100,  2936,     0,  2101,
       0,     0,  3103,  2102,  2103,  2104,  5461,     0,  6024,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2616,     0,     0,     0,     0,     0,  2962,  2963,  2964,
    2965,  2617,     0,     0,     0,     0,  1588,     0,  2618,     0,
       0,     0,  2620,     0,     0,     0,     0,  2621,     0,  5167,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     966,     0,     0,     0,  2619,     0,     0,     0,   966,   966,
    2622,  2294,     0,     0,     0,  3164,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   907,     0,  2623,     0,   967,
       0,     0,     0,     0,     0,     0,     0,     0,  1384,  1384,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1812,     0,     0,     0,  3218,     0,     0,  3220,     0,
       0,   905,     0,     0,     0,     0,     0,     0,     0,  2359,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2624,     0,     0,  2625,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3019,  3020,     0,     0,     0,     0,
       0,     0,  2620,     0,     0,     0,     0,  2621,     0,     0,
    3037,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2622,  2294,     0,     0,   967,     0,     0,     0,  4505,     0,
     907,     0,     0,     0,  3080,  3081,  3082,  3083,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2623,     0,     0,
       0,     0,   898,     0,     0,     0,     0,     0,  2626,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   907,     0,     0,  3821,     0,     0,     0,     0,     0,
       0,     0,   967,  5656,     0,     0,     0,     0,     0,  2359,
     967,     0,     0,   907,     0,     0,     0,     0,   967,     0,
       0,  2595,     0,     0,  2624,     0,     0,  2625,     0,     0,
       0,     0,     0,     0,     0,  3157,     0,     0,     0,     0,
       0,  3161,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   957,
     957,     0,   967,   967,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   957,     0,   967,   957,     0,     0,
       0,     0,  2554,     0,     0,   907,     0,     0,     0,   967,
     967,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,
     966,     0,     0,     0,  5519,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2626,     0,
       0,     0,   905,     0,     0,     0,     0,   957,     0,     0,
       0,   957,   957,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   905,
       0,     0,     0,  6335,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5465,     0,   907,     0,     0,     0,
       0,     0,     0,     0,     0,   966,     0,     0,     0,     0,
       0,     0,  2554,     0,     0,     0,     0,     0,     0,  3345,
     905,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,
       0,     0,  6335,     0,  5529,     0,     0,     0,     0,  1813,
    1812,  1135,     0,     0,     0,  5862,     0,     0,     0,     0,
    6335,     0,     0,   905,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   966,     0,     0,     0,     0,     0,     0,
       0,   966,     0,     0,     0,     0,     0,     0,     0,   966,
       0,   896,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2100,     0,   896,  2101,     0,
       0,     0,  2102,  2103,  2104,     0,     0,     0,     0,     0,
       0,     0,     0,   966,   966,     0,     0,     0,     0,     0,
    2616,     0,     0,     0,   907,     0,     0,   966,     0,     0,
    2617,     0,     0,     0,     0,     0,     0,  2618,     0,     0,
     966,   966,     0,     0,     0,     0,  2100,     0,     0,  2101,
       0,     0,     0,  2102,  2103,  2104,     0,     0,     0,     0,
       0,     0,     0,  2619,     0,     0,  2100,     0,     0,  2101,
       0,  2616,     0,  2102,  2103,  2104,     0,     0,     0,     0,
       0,  2617,     0,     0,     0,     0,  3403,     0,  2618,     0,
       0,  2616,     0,     0,     0,  3525,  3408,     0,     0,     0,
       0,  2617,     0,     0,     0,     0,     0,     0,  2618,     0,
       0,     0,     0,     0,  2619,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1465,     0,     0,     0,     0,
       0,     0,     0,     0,  2619,   905,     0,     0,     0,     0,
     896,     0,     0,     0,     0,  1135,   905,     0,     0,  6030,
       0,  6031,     0,     0,     0,  6037,  6038,     0,     0,     0,
       0,     0,   905,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1465,  1465,     0,     0,     0,     0,     0,     0,
       0,  2620,     0,     0,     0,     0,  2621,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1812,     0,     0,     0,     0,     0,  1384,     0,     0,  2622,
    2294,     0,     0,     0,     0,     0,   905,  3525,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   905,  2620,     0,   905,   905,  2623,  2621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2620,     0,     0,     0,     0,  2621,     0,     0,
    2622,  2294,     0,     0,     0,   905,   905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2359,     0,
    2622,  2294,     0,     0,     0,     0,     0,  2623,     0,     0,
       0,     0,     0,  2624,     0,     0,  2625,     0,     0,     0,
       0,     0,     0,   896,     0,     0,     0,  2623,     0,     0,
       0,     0,     0,     0,   896,     0,     0,     0,     0,     0,
     898,     0,     0,     0,     0,     0,     0,     0,     0,  2359,
     896,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3623,     0,     0,     0,  2624,     0,   898,  2625,     0,  2359,
       0,     0,     0,     0,     0,  3645,     0,     0,     0,     0,
       0,     0,     0,     0,  2624,     0,   907,  2625,  3345,     0,
       0,   907,   907,     0,     0,     0,     0,  3673,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2626,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   905,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2100,     0,     0,
    2101,     0,     0,     0,  2102,  2103,  2104,     0,  2626,     0,
    1135,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2616,     0,     0,     0,     0,     0,  2626,     0,
    1813,     0,  2617,  3753,  3754,     0,     0,     0,     0,  2618,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5465,   907,     0,   896,     0,   898,
       0,  2554,     0,     0,     0,  2619,     0,     0,     0,     0,
    2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,
       0,     0,     0,  5584,     0,   967,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   967,  3587,     0,     0,   967,     0,     0,
       0,   967,  2554,     0,     0,     0,   907,     0,     0,     0,
     967,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,
       0,     0,  2554,     0,  5620,  3879,     0,     0,     0,   967,
       0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,
       0,     0,     0,     0,  5622,     0,   957,     0,   957,   957,
    6336,     0,     0,     0,     0,     0,     0,  2579,     0,     0,
       0,     0,     0,   967,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2620,     0,     0,     0,     0,  2621,     0,
       0,     0,     0,   967,   967,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6336,
       0,  2622,  2294,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   898,     0,  1813,   967,     0,  6336,  1813,     0,
    5246,     0,     0,   898,     0,     0,     0,     0,  2623,     0,
       0,     0,  3727,     0,     0,  3730,     0,     0,  2100,   898,
       0,  2101,   967,     0,  1813,  2102,  2103,  2104,   967,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   967,  2616,     0,     0,     0,     0,     0,   967,
    2359,     0,   967,  2617,     0,     0,     0,     0,   967,     0,
    2618,     0,     0,     0,     0,  2624,     0,     0,  2625,     0,
       0,  1812,     0,     0,     0,     0,     0,     0,   967,     0,
       0,     0,     0,     0,   967,     0,  2619,     0,   896,     0,
       0,   967,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3825,   967,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3838,     0,   967,
       0,     0,     0,     0,  1813,  3847,   966,     0,     0,     0,
     967,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2100,     0,   966,  2101,     0,     0,   966,  2102,
    2103,  2104,   966,     0,     0,   896,     0,     0,     0,  2626,
       0,   966,     0,     0,  3891,     0,     0,  2616,     0,     0,
       0,     0,     0,     0,     0,     0,   898,  2617,     0,     0,
     966,     0,     0,     0,  2618,  3915,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,     0,   896,     0,     0,     0,
       0,     0,     0,     0,  2620,     0,     0,     0,     0,  2621,
    2619,     0,     0,     0,   966,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3970,   896,
    3972,     0,  2622,  2294,   966,   966,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4187,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2623,
       0,     0,     0,  2554,     0,  1812,   966,     0,     0,  1812,
    1465,     0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
    2563,     0,     0,     0,     0,  5661,     0,     0,     0,     0,
       0,     0,     0,   966,     0,  1812,     0,     0,     0,   966,
       0,  2359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   966,     0,     0,  2624,     0,  4027,  2625,
     966,     0,     0,   966,     0,  4034,     0,     0,  2620,   966,
       0,     0,     0,  2621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   967,     0,  1813,     0,   966,
       0,     0,     0,     0,     0,   966,  2622,  2294,     0,     0,
       0,   905,   966,     0,   967,   905,   905,     0,     0,     0,
       0,   967,     0,     0,     0,     0,   966,     0,   957,     0,
     957,   957,     0,  2623,  2100,     0,     0,  2101,     0,     0,
     966,  2102,  2103,  2104,     0,  1812,     0,     0,     0,     0,
       0,   966,     0,     0,     0,     0,     0,     0,     0,  2616,
    2626,     0,     0,     0,     0,     0,     0,     0,     0,  2617,
       0,   896,     0,     0,   905,  2359,  2618,     0,     0,     0,
     905,     0,   896,  1726,     0,     0,     0,   898,     0,     0,
    2624,     0,     0,  2625,     0,     0,     0,     0,   896,     0,
       0,     0,  2619,     0,     0,     0,     0,     0,     0,     0,
       0,  1812,     0,     0,     0,     0,     0,     0,  1813,     0,
       0,   905,     0,     0,  1813,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   896,     0,   898,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2554,     0,     0,   896,     0,     0,
     896,   896,     0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,     0,     0,  2626,     0,  6007,     0,     0,  4399,
       0,     0,     0,     0,     0,   898,     0,     0,     0,  2892,
       0,   896,   896,     0,     0,     0,     0,     0,     0,   967,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2620,     0,     0,     0,     0,  2621,     0,     0,   898,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2622,  2294,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   966,     0,  1812,     0,
       0,     0,     0,     0,     0,  2623,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   966,     0,     0,  2554,     0,
       0,     0,   966,     0,     0,     0,     0,  2555,  2556,  2557,
    2558,  2559,  2560,  2561,  2562,  2563,     0,     0,     0,     0,
    6018,     0,     0,     0,     0,     0,     0,  2359,     0,  4306,
    4307,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   905,  2624,     0,     0,  2625,     0,     0,     0,     0,
     967,   967,     0,   896,     0,     0,     0,     0,     0,     0,
       0,   899,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4530,  4531,  4532,     0,     0,     0,   967,     0,
       0,   967,     0,     0,     0,     0,     0,     0,     0,  4541,
       0,     0,     0,  2100,     0,     0,  2101,     0,     0,  1812,
    2102,  2103,  2104,     0,     0,  1812,     0,     0,     0,     0,
       0,     0,     0,     0,   905,     0,     0,     0,   905,     0,
       0,     0,  4566,  4568,     0,     0,     0,  4573,  2617,     0,
     898,     0,     0,     0,     0,  2618,  2626,     0,     0,     0,
       0,   898,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1813,  1813,  1813,     0,   898,     0,     0,
       0,  2619,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   967,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     966,     0,     0,     0,     0,     0,     0,   967,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   898,     0,     0,     0,     0,     0,     0,     0,   967,
       0,   905,     0,     0,     0,     0,   898,     0,     0,   898,
     898,     0,     0,  1384,     0,     0,   905,     0,     0,     0,
    2554,   905,     0,     0,     0,     0,     0,     0,     0,  2555,
    2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,     0,
     898,   898,  6040,   652,     0,     0,     0,     0,     0,   701,
     652,   905,     0,  4479,     0,   753,     0,   652,     0,  2620,
       0,     0,     0,   652,  2621,   806,     0,     0,     0,  2100,
       0,     0,  2101,     0,     0,     0,  2102,  2103,  2104,     0,
       0,     0,     0,     0,   868,   868,     0, -2956, -2956,   967,
       0,     0,     0,     0,  2616,     0,     0,     0,     0,     0,
       0,   966,   966,     0,  2617,     0,     0,     0,     0,     0,
    2100,  2618,     0,  2101,  2623,     0,     0,  2102,  2103,  2104,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   966,
       0,     0,   966,     0,     0,  2616,  1813,  2619,     0,     0,
       0,     0,   967,     0,   967,  2617,     0,     0,     0,     0,
       0,     0,  2618,     0,     0,     0, -2956,   967,     0,   967,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2624,     0,     0,     0,     0,     0,     0,  2619,  4782,
    4783,  4784,   898,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1812,  1812,  1812,     0,     0,     0,
       0,     0,     0,  4632,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   967,     0,     0,   966,
       0,     0,     0,     0,     0,   947,     0,     0,     0,   951,
       0,     0,     0,     0,     0,     0,     0,   994,   966,     0,
     996,     0,     0,  1001,  1002,  2620,  1005,     0,  1008,     0,
    2621,  1014,     0,  1016,     0,  2626,     0,     0,   967,     0,
     966,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2622,  2294,     0,     0,   967,     0,     0,
       0,   967,     0,     0,     0,     0,  2620,     0,     0,     0,
       0,  2621,     0,     0,   905,     0,     0,   905,     0,   905,
    2623,     0,   967,     0,   905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2622,  2294,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2623,  2359,     0,     0,     0,     0,     0,     0,     0,
     966,     0,     0,   905,     0,     0,     0,  2624,     0,  2554,
    2625,   905,     0,     0,     0,     0,     0,     0,  2555,  2556,
    2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,     0,     0,
       0,     0,     0,  2359,     0,     0,   905,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1812,  2624,     0,
       0,  2625,     0,   966,     0,   966,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,     0,     0,     0,   966,     0,
     966,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   896,     0,     0,
       0,   896,   896,     0,     0,     0,     0,     0,     0,     0,
       0,  2626,     0,     0,     0,     0,   905,     0,   905,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   966,     0,     0,
       0,     0,  2626,     0,     0,     0,     0,     0,  5048,   899,
     896,     0,     0,     0,     0,     0,   896,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   899,     0,     0,     0,   966,
    5080,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   896,   966,     0,
       0,     0,   966,     0,   905,  2554,     0,     0,     0,     0,
       0,     0,  3103,     0,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2562,  2563,   966,     0,     0,     0,  6248,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     967,     0,     0,     0,     0,     0,  2554,  5138,   905,     0,
       0,     0,     0,     0,     0,  2555,  2556,  2557,  2558,  2559,
    2560,  2561,  2562,  2563,  3164,     0,     0,     0,  6265,     0,
       0,     0,     0,     0,     0,     0,   905,     0,     0,     0,
    2100,     0,     0,  2101,     0,     0,     0,  2102,  2103,  2104,
       0,  1813,     0,     0,     0,     0,  1813,     0,  1813,     0,
       0,     0,     0,     0,     0,  2616,     0,     0,     0,     0,
       0,   901,     0,     0,     0,  2617,     0,     0,   899,     0,
       0,     0,  2618,     0,  1813,     0,     0,     0,     0,     0,
       0,  1812,  1044,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1081,   905,     0,     0,  1085,  2619,     0,
       0,     0,     0,     0,  1098,  1099,     0,     0,  1105,     0,
    1109,  1110,     0,  5035,     0,     0,   905,     0,     0,     0,
     967,     0,     0,   967,     0,  1132,     0,  5037,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   905,     0,
       0,     0,     0,  1145,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   896,     0,  5241,
    5242,  5243,  5244,     0,  1173,     0,  1175,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1191,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   898,     0,     0,     0,
     898,   898,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   652,
       0,     0,     0,   967,   967,     0,  2620,     0,     0,     0,
     905,  2621,     0,     0,   967,     0,     0,     0,     0,     0,
     896,   899,     0,     0,   896,     0,     0,     0,     0,     0,
       0,   967,   899,     0,  2622,  2294,     0,     0,     0,   898,
       0,     0,     0,     0,     0,   898,     0,     0,   899,     0,
       0,   966,     0,     0,     0,     0,  2100,     0,     0,  2101,
       0,  2623,   905,  2102,  2103,  2104,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     868,  2616,     0,     0,     0,     0,   898,   905,     0,     0,
       0,  2617,     0,     0,     0,     0,     0,     0,  2618,     0,
       0,     0,  1812,  2359,     0,     0,     0,  1812,     0,  1812,
       0,     0,   967,     0,     0,  1813,     0,     0,  2624,     0,
       0,  2625,     0,     0,  2619,     0,     0,   896,     0,     0,
       0,     0,     0,     0,     0,  1812,     0,     0,     0,     0,
       0,     0,   896,     0,     0,     0,     0,   896,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1531,     0,  2100,     0,     0,
    2101,     0,     0,     0,  2102,  2103,  2104,   896,     0,     0,
       0,   966,     0,     0,   966,     0,     0,     0,     0,     0,
       0,     0,  2616,     0,     0,     0,  3470,     0,     0,     0,
       0,     0,  2617,     0,     0,   899,     0,     0,     0,  2618,
       0,     0,  2626,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2619,     0,     0,     0,  1710,
       0,     0,  2620,     0,     0,   905,     0,  2621,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1831,     0,     0,     0,     0,     0,
    2622,  2294,     0,     0,   966,   966,     0,     0,     0,  1843,
       0,  1844,     0,     0,     0,   966,     0,  3471,     0,     0,
       0,  1847,     0,     0,     0,  5460,   898,  2623,  1857,     0,
       0,     0,   966,     0,     0,     0,  5470,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2554,     0,     0,     0,
       0,     0,     0,     0,     0,  2555,  2556,  2557,  2558,  2559,
    2560,  2561,  2562,  2563,     0,     0,   905,     0,  6313,  2359,
       0,  1909,     0,  1911,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2620,  2624,   967,     0,  2625,  2621,     0,
       0,     0,     0,     0,   905,     0,     0,     0,     0,   898,
       0,     0,     0,   898,     0,     0,     0,     0,     0,     0,
       0,  2622,  2294,   966,     0,     0,  1812,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5374,
     967,     0,     0,     0,     0,     0,     0,     0,  2623,     0,
       0,     0,   967,     0,  5378,     0,     0,   652,     0,   652,
       0,   652,     0,   652,     0,   652,   652,   652,     0,     0,
     896,     0,   652,   896,     0,   896,     0,     0,     0,     0,
     896,     0,     0,     0,  2015,     0,   967,     0,  2626,     0,
    2359,     0,  2100,     0,     0,  2101,     0,     0,     0,  2102,
    2103,  2104,     0,     0,     0,  2624,   899,     0,  2625,     0,
       0,     0,     0,     0,     0,     0,   898,  2616,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2617,     0,   896,
       0,   898,     0,     0,  2618,     0,   898,   896,     0,     0,
       0,     0,     0,     0,     0,  5438,   905,     0,     0,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   901,
    2619,     0,   896,     0,  1813,     0,   898,     0,     0,     0,
       0,     0,     0,   899,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   967,     0,   901,     0,     0,     0,     0,
       0,     0,  2554,   905,     0,     0,     0,     0,   905,  2626,
       0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,
       0,     0,  3006,     0,   899,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5676,     0,     0,     0,
       0,  1384,   896,     0,   896,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   899,     0,     0,
    5706,     0,     0,  4116,     0,     0,     0,     0,     0,  4117,
       0,     0,  3472,     0,     0,     0,   966,     0,     0,   967,
       0,     0,   868,     0,     0,     0,     0,     0,  2620,     0,
       0,     0,     0,  2621,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2554,     0,     0,  2622,  2294,     0,     0,
       0,   966,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
    2563,     0,     0,   966,     0,     0,     0,     0,   901,     0,
     896,     0,     0,  2623,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5590,     0,
    5592,     0,     0,     0,     0,     0,   905,   966,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   896,  2359,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2624,     0,  2787,  2625,     0,     0,     0,     0,   967,     0,
     967,     0,   896,  2100,  5823,     0,  2101,     0,     0,     0,
    2102,  2103,  2104,     0,     0,     0,     0,     0,     0,   898,
       0,     0,   898,     0,   898,     0,     0,     0,  2616,   898,
       0,     0,     0,     0,     0,  1812,     0,     0,  2617,   899,
       0,     0,     0,     0,     0,  2618,     0,     0,   967,     0,
     899,     0,     0,     0,   966,     0,     0,     0,   957,     0,
       0,     0,     0,     0,  2879,     0,   899,     0,     0,     0,
     896,  2619,     0,     0,     0,     0,     0,     0,   898,     0,
       0,   905,     0,     0,  4118,     0,   898,     0,     0,     0,
       0,   901,   896,     0,     0,     0,     0,     0,  1813,     0,
       0,     0,   901,   957,     0,     0,  5722,     0,  5899,     0,
       0,   898,     0,     0,   896,     0,     0,     0,   901,     0,
     899,     0,   905,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   899,  5921,     0,   899,   899,
     966,     0,     0,     0,   905,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6105,     0,     0,     0,     0,     0,   899,
     899,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   898,     0,   898,     0,     0,     0,     0,  2554,  2620,
       0,     0,     0,     0,  2621,     0,   896,  2555,  2556,  2557,
    2558,  2559,  2560,  2561,  2562,  2563,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   905,  2622,  2294,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2623,     0,     0,     0,   896,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   966,
       0,   966,     0,   896,     0,   901,     0,     0,     0,   898,
    3010,     0,  5849,     0,  5851,     0,  2359,     0,     0,     0,
       0,  2100,     0,     0,  2101,     0,     0,     0,  2102,  2103,
    2104,  2624,     0,     0,  2625,     0,     0,     0,     0,     0,
       0,   899,     0,     0,     0,  3046,  2616,     0,     0,   966,
       0,     0,     0,   898,     0,     0,  2617,  6106,     0,     0,
       0,     0,     0,  2618,     0,     0,   967,   905,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     967,   898,     0,     0,     0,     0,     0,     0,     0,  2619,
       0,  3111,     0,     0,     0,     0,     0,     0,     0,  1812,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3129,  1813,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,     0,  2626,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3149,     0,  3150,
       0,     0,     0,     0,     0,     0,     0,   902,     0,   898,
       0,     0,     0,     0,  3159,     0,  3160,     0,     0,     0,
       0,   896,   652,     0,   652,     0,   652,     0,   652,     0,
     652,   898,     0,   902,   652,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1813,     0,   898,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   905,     0,  2620,     0,     0,
       0,  3219,  2621,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1813,     0,     0,     0,  2554,
       0,     0,     0,     0,     0,  2622,  2294,     0,  2555,  2556,
    2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,     0,     0,
       0,     0,   896,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2623,     0,     0,     0,   901,     0,     0,     0,
       0,     0,     0,     0,  6054,   898,   905,     0,     0,     0,
     896,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1813,     0,   967,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2359,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   902,     0,     0,  2624,
       0,  2100,  2625,     0,  2101,     0,     0,   898,  2102,  2103,
    2104,     0,     0,   901,     0,     0,     0,   966,     0,     0,
       0,     0,     0,     0,     0,     0,  2616,     0,     0,  4044,
       0,   966,   898,     0,     0,     0,  2617,     0,     0,     0,
       0,     0,     0,  2618,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   901,     0,     0,     0,     0,     0,
       0,     0,     0,  1812,     0,     0,     0,     0,     0,  2619,
       0,     0,     0,     0,     0,     0,     0,     0,   905,     0,
       0,     0,     0,     0,  6150,     0,     0,   901,     0,     0,
       0,     0,     0,  2626,     0,     0,     0,     0,     0,     0,
       0,     0,   896,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   967,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   957,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     967,     0,  1812,     0,     0,     0,     0,     0,     0,   896,
       0,     0,     0,     0,   896,     0,     0,     0,     0,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     902,     0,     0,     0,     0,     0,  1812,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   902,  2620,     0,     0,
     898,     0,  2621,     0,     0,     0,  4053,  2554,     0,   957,
     957,     0,     0,     0,     0,  6236,  2555,  2556,  2557,  2558,
    2559,  2560,  2561,  2562,  2563,  2622,  2294,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   905,     0,     0,
       0,     0,   905,   905,     0,     0,  1108,  1108,     0,     0,
       0,     0,  2623,  1812,     0,   966,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   967,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   901,
       0,   898,     0,     0,  2359,     0,     0,     0,     0,     0,
     901,     0,     0,     0,     0,     0,     0,     0,     0,  2624,
       0,     0,  2625,     0,     0,     0,   901,     0,     0,   898,
       0,     0,   896,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   899,     0,     0,     0,   899,
     899,     0,     0,   902,     0,     0,   905,     0,     0,     0,
       0,  1108,     0,     0,     0,     0,     0,     0,     0,     0,
     901,     0,     0,     0,  2100,     0,     0,  2101,     0,     0,
     906,  2102,  2103,  2104,     0,   901,     0,     0,   901,   901,
       0,     0,     0,     0,   966,     0,     0,     0,     0,  2616,
       0,     0,     0,  2626,     0,     0,     0,     0,   899,  2617,
       0,     0,     0,     0,   899,     0,  2618,   905,     0,   901,
     901,   966,     0,     0,     0,     0,     0,     0,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2619,     0,     0,     0,     0,   896,     0,     0,
       0,     0,     0,     0,     0,   899,     0,     0,     0,     0,
       0,   898,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1813,   904,
       0,     0,     0,     0,     0,     0,   957,   957,   896,     0,
       0,     0,     0,     0,     0,     0,  1813,     0,     0,     0,
       0,     0,     0,     0,     0,   904,     0,  2554,   898,     0,
     896,     0,     0,   898,     0,     0,  2555,  2556,  2557,  2558,
    2559,  2560,  2561,  2562,  2563,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     966,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2620,   901,     0,     0,     0,  2621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   896,     0,  3515,  3516,     0,     0,  2622,  2294,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3531,  3532,     0,  3534,  3535,     0,     0,
       0,  3538,  3539,     0,   902,  2623,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3550,     0,     0,     0,
       0,     0,     0,     0,  3560,     0,     0,     0,  3563,  3564,
       0,     0,  3567,  3568,     0,     0,     0,     0,   904,  3573,
       0,     0,     0,     0,     0,     0,     0,  2359,     0,     0,
       0,  3588,     0,     0,     0,   899,     0,     0,     0,     0,
       0,   898,  2624,  3605,     0,  2625,     0,     0,  3607,     0,
       0,   902,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3613,  4089,     0,     0,     0,     0,     0,
    1812,     0,  3620,   896,     0,  3624,     0,  3626,  3629,  3631,
       0,     0,     0,     0,  3639,  3642,     0,     0,     0,     0,
       0,     0,   902,     0,  3655,     0,     0,     0,     0,     0,
    3665,     0,     0,     0,  3668,     0,     0,     0,   899,     0,
       0,     0,   899,     0,     0,     0,  3678,  3679,     0,  1812,
       0,  3684,     0,     0,     0,   902,     0,  3693,  3694,     0,
       0,     0,     0,     0,     0,     0,  2626,  1812,     0,     0,
       0,  3703,     0,     0,  3704,     0,     0,     0,     0,     0,
       0,  3716,  3717,     0,     0,     0,     0,  3721,     0,     0,
       0,     0,     0,     0,     0,     0,   898,     0,     0,  3728,
       0,     0,  3731,     0,     0,     0,     0,  3734,     0,     0,
       0,   904,     0,  3737,  3738,     0,     0,     0,     0,     0,
       0,  3746,   904,     0,     0,  3748,     0,     0,     0,  3755,
    3756,  3757,  3758,     0,  3760,     0,     0,   898,   904,     0,
       0,   896,     0,     0,     0,   899,     0,     0,  3786,  3787,
       0,  3789,     0,     0,     0,     0,     0,     0,     0,   898,
     899,     0,  3799,  3800,  3801,   899,     0,     0,     0,     0,
    2554,     0,     0,     0,     0,     0,     0,     0,     0,  2555,
    2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,     0,
       0,     0,     0,     0,     0,   899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2100,     0,
       0,  2101,   896,     0,     0,  2102,  2103,  2104,     0,  3853,
       0,     0,     0,     0,     0,     0,     0,  3877,     0,     0,
       0,   898,     0,  2616,     0,     0,  4121,     0,     0,     0,
       0,     0,     0,  2617,     0,     0,  3889,   902,     0,     0,
    2618,     0,     0,     0,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   902,     0,  2619,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   904,  3957,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3971,     0,  3973,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,   896,     0,     0,     0,     0,     0,
       0,     0,     0,   902,     0,     0,   902,   902,   906,     0,
    2100,     0,   898,  2101,     0,     0,     0,  2102,  2103,  2104,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   906,  2616,     0,   902,   902,     0,
       0,     0,     0,     0,     0,  2617,     0,     0,     0,     0,
       0,     0,  2618,     0,  2620,     0,     0,     0,     0,  2621,
       0,  2100,     0,     0,  2101,     0,     0,     0,  2102,  2103,
    2104,     0,  4035,     0,     0,     0,     0,     0,  2619,     0,
       0,     0,  2622,  2294,     0,     0,  2616,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2617,     0,     0,     0,
       0,     0,     0,  2618,     0,     0,     0,     0,   899,  2623,
       0,   899,     0,   899,     0,     0,     0,     0,   899,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2619,
       0,     0,     0,     0,     0,   901,     0,     0,     0,   901,
     901,     0,     0,   896,     0,     0,     0,     0,   896,   896,
     898,  2359,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2624,   899,     0,  2625,
       0,     0,     0,     0,     0,   899,     0,   906,     0,   902,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2620,     0,   901,     0,
     899,  2621,     0,     0,   901,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   904,     0,     0,     0,
       0,   898,     0,     0,  2622,  2294,     0,     0,  4126,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   901,     0,  2620,     0,     0,
       0,  2623,  2621,     0,     0,     0,     0,     0,     0,     0,
    2626,     0,   896,     0,     0,     0,     0,     0,     0,     0,
     899,     0,   899,     0,     0,  2622,  2294,     0,     0,     0,
       0,     0,     0,   904,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2359,     0,     0,     0,     0,     0,     0,
       0,     0,  2623,     0,     0,     0,     0,     0,  2624,     0,
       0,  2625,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   896,   904,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     906,     0,     0,   898,  2359,     0,     0,     0,     0,     0,
       0,   906,     0,     0,     0,     0,     0,   904,     0,  2624,
       0,     0,  2625,     0,  2554,     0,     0,   906,   899,     0,
       0,     0,     0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,     0,     0,     0,     0,  4290,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2626,     0,     0,     0,     0,  4303,     0,     0,
       0,     0,   899,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2100,     0,  4310,  2101,     0,     0,  4310,  2102,
    2103,  2104,     0,  4321,  4322,  4323,  4674,     0,     0,     0,
     899,     0,     0,     0,     0,     0,     0,  2616,     0,     0,
    4133,     0,     0,  2626,     0,   901,     0,  2617,     0,     0,
       0,     0,     0,     0,  2618,     0,     0,     0,     0,  4353,
    4354,  4355,  4356,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2619,     0,   898,     0,     0,     0,     0,   898,   898,     0,
       0,     0,     0,     0,     0,     0,  2554,  4377,   899,  4381,
    4382,  4383,     0,     0,     0,  2555,  2556,  2557,  2558,  2559,
    2560,  2561,  2562,  2563,   906,     0,     0,     0,   901,     0,
     899,     0,   901,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   904,
       0,     0,   899,     0,     0,     0,     0,  2554,     0,     0,
     904,     0,     0,     0,     0,     0,  2555,  2556,  2557,  2558,
    2559,  2560,  2561,  2562,  2563,  2100,   904,     0,  2101,     0,
       0,     0,  2102,  2103,  2104,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2616,     0,     0,  4750,     0,     0,     0,     0,  2620,     0,
    2617,   898,     0,  2621,     0,     0,     0,  2618,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4466,
     904,     0,     0,     0,   899,   901,  2622,  2294,  4472,     0,
       0,     0,     0,  2619,     0,   904,     0,     0,   904,   904,
     901,     0,     0,     0,     0,   901,     0,     0,     0,     0,
       0,     0,     0,  2623,  4482,  4483,     0,     0,     0,  4484,
       0,     0,   898,     0,     0,     0,     0,     0,     0,   904,
     904,     0,     0,     0,     0,   901,   899,     0,     0,     0,
       0,  4526,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2359,     0,     0,     0,     0,
       0,   899,     0,     0,     0,     0,     0,     0,     0,     0,
    2624,     0,     0,  2625,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4563,     0,     0,     0,     0,  4569,     0,
       0,     0,     0,     0,  4575,     0,     0,     0,     0,     0,
       0,  2620,     0,     0,     0,     0,  2621,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4614,   906,     0,     0,     0,  2622,
    2294,     0,     0,   902,     0,     0,     0,   902,   902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4629,  2626,  4630,  2623,     0,     0,     0,
       0,   904,     0,     0,  2100,     0,     0,  2101,     0,     0,
       0,  2102,  2103,  2104,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2616,
       0,     0,   906,     0,     0,     0,   902,     0,  2359,  2617,
       0,     0,   902,     0,     0,     0,  2618,     0,     0,   899,
       0,     0,     0,  2624,     0,     0,  2625,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2619,   906,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   902,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2554,     0,
       0,     0,     0,     0,     0,     0,   906,  2555,  2556,  2557,
    2558,  2559,  2560,  2561,  2562,  2563,     0,     0,   901,     0,
       0,   901,     0,   901,     0,     0,     0,     0,   901,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     899,     0,     0,     0,     0,     0,     0,  2626,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   899,     0,
       0,     0,     0,     0,     0,     0,     0,   901,     0,     0,
       0,     0,     0,     0,     0,   901,     0,     0,     0,     0,
    2620,     0,     0,     0,     0,  2621,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     901,     0,     0,     0,     0,     0,     0,     0,  2622,  2294,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2623,     0,     0,     0,     0,
       0,  2554,     0,     0,     0,     0,     0,     0,     0,     0,
    2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     901,     0,   901,     0,     0,     0,     0,  2359,  2100,     0,
       0,  2101,     0,   902,     0,  2102,  2103,  2104,   906,     0,
       0,     0,  2624,     0,     0,  2625,     0,     0,     0,   906,
     899,  4866,     0,  2616,  4873,     0,  4874,     0,     0,     0,
       0,     0,  5188,  2617,     0,   906,     0,     0,     0,  4881,
    2618,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4887,     0,     0,     0,  4890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2619,   899,     0,     0,
       0,     0,   899,     0,  4917,     0,   902,     0,     0,     0,
     902,     0,     0,     0,     0,     0,     0,     0,   901,   906,
       0,     0,  4921,     0,     0,     0,     0,     0,     0,     0,
    4925,     0,     0,     0,   906,     0,  2626,   906,   906,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4960,     0,     0,     0,  4964,
       0,     0,   901,     0,     0,     0,     0,     0,   906,   906,
       0,     0,     0,     0,  4974,  4975,  4976,  4977,     0,     0,
       0,     0,     0,     0,  4981,  4982,  4983,  4984,     0,     0,
     901,     0,     0,  4986,  4987,  5198,     0,     0,     0,  4994,
    4995,     0,  4997,  4998,  4999,  5000,  5001,  5002,  5003,     0,
       0,     0,     0,   902,  2620,     0,     0,     0,  5012,  2621,
       0,     0,  5015,  5016,  5017,  5018,     0,     0,   902,     0,
       0,     0,     0,   902,     0,     0,     0,     0,     0,     0,
    2554,     0,  2622,  2294,     0,     0,  4310,     0,     0,  2555,
    2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,   901,  2100,
     899,     0,  2101,   902,  5038,     0,  2102,  2103,  2104,  2623,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     901,     0,     0,     0,  2616,     0,     0,     0,     0,  2100,
       0,     0,  2101,     0,  2617,     0,  2102,  2103,  2104,     0,
       0,  2618,   901,     0,     0,     0,     0,     0,     0,     0,
     906,  2359,     0,     0,  2616,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2617,     0,  2624,  2619,     0,  2625,
       0,  2618,     0,     0,     0,     0,     0,     0,     0,     0,
    5119,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   904,     0,  2619,     0,   904,
     904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4310,     0,     0,     0,     0,     0,     0,
    5144,     0,  5145,     0,   901,   899,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5206,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5160,     0,     0,     0,     0,     0,     0,     0,   904,     0,
    2626,     0,     0,     0,   904,     0,   899,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   901,     0,     0,     0,
       0,     0,     0,     0,     0,  2620,     0,     0,   899,     0,
    2621,     0,     0,     0,     0,     0,  5204,     0,     0,     0,
       0,   901,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,  2622,  2294,  2620,     0,     0,     0,     0,
    2621,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2623,     0,     0,  2622,  2294,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   902,     0,     0,   902,
     899,   902,     0,     0,  2554,     0,   902,     0,     0,     0,
    2623,     0,     0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,
    2562,  2563,  2359,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2624,     0,     0,
    2625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2359,     0,     0,   902,     0,     0,     0,     0,
       0,     0,     0,   902,     0,     0,     0,  2624,     0,     0,
    2625,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   901,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5314,  5315,  5316,     0,     0,     0,  5317,  5318,  5319,
    5320,   899,     0,     0,  5322,     0,     0,     0,     0,     0,
       0,  2626,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   904,     0,     0,   902,     0,
     902,  2626,     0,  5343,  5344,  5345,  5346,  5347,     0,  5349,
    5350,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5359,  5360,     0,     0,     0,     0,     0,     0,     0,
     901,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5366,     0,     0,   901,     0,
       0,     0,     0,     0,     0,     0,  1359,  1359,   904,     0,
       0,     0,   904,     0,     0,  2554,     0,     0,     0,     0,
       0,     0,     0,     0,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2562,  2563,     0,     0,     0,   902,     0,     0,   899,
       0,     0,     0,  2100,     0,  2554,  2101,     0,     0,     0,
    2102,  2103,  2104,     0,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2562,  2563,  2100,     0,     0,  2101,     0,  2616,     0,
    2102,  2103,  2104,     0,     0,     0,     0,     0,  2617,     0,
     902,     0,     0,     0,     0,  2618,  1359,     0,  2616,     0,
       0,     0,     0,     0,     0,     0,     0,  5431,  2617,     0,
       0,     0,     0,     0,     0,  2618,     0,     0,   902,     0,
     899,  2619,     0,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,  2619,     0,     0,     0,   904,     0,     0,     0,     0,
     901,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5482,     0,     0,   904,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   902,     0,     0,     0,
       0,     0,     0,     0,   906,     0,     0,   901,   906,   906,
       0,     0,   901,     0,  5488,     0,     0,     0,   902,     0,
       0,     0,     0,     0,  5205,     0,     0,  1723,  1727,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     902,     0,     0,     0,     0,     0,     0,     0,     0,  2620,
       0,     0,   899,     0,  2621,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   906,     0,  2620,
       0,     0,     0,   906,  2621,     0,     0,  2622,  2294,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2622,  2294,     0,
       0,     0,     0,     0,  2623,     0,     0,     0,     0,     0,
       0,   652,     0,     0,   906,     0,     0,     0,     0,     0,
       0,     0,   902,     0,  2623,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2359,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2624,     0,     0,  2625,     0,  2359,     0,     0,     0,
     901,     0,     0,     0,   902,  2565,     0,  5609,     0,     0,
       0,  2624,     0,     0,  2625,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5619,     0,     0,   902,
       0,   899,  5625,  5626,     0,     0,   899,   899,     0,     0,
       0,     0,  5637,     0,     0,     0,     0,     0,     0,  5639,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2565,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,   904,     0,   904,     0,     0,     0,     0,   904,     0,
       0,     0,     0,     0,     0,  2626,  5692,  5693,     0,     0,
       0,     0,     0,     0,     0,  2100,  2044,     0,  2101,  5701,
       0,  5703,  2102,  2103,  2104,  2626,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5717,     0,     0,     0,
    2616,     0,     0,     0,     0,   901,     0,   904,     0,     0,
    2617,     0,     0,     0,     0,   904,     0,  2618,  2070,     0,
       0,  4310,     0,     0,     0,     0,     0,     0,     0,  5751,
     899,     0,     0,     0,   906,     0,     0,     0,     0,     0,
     904,     0,     0,  2619,     0,     0,   901,  2089,  2090,  2091,
       0,  2093,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5577,     0,     0,     0,   902,   901,  2554,
       0,     0,  2572,     0,     0,     0,     0,     0,  2555,  2556,
    2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,     0,  2554,
       0,   899,     0,     0,     0,     0,     0,     0,  2555,  2556,
    2557,  2558,  2559,  2560,  2561,  2562,  2563,   906,     0,     0,
     904,   906,   904,     0,     0,     0,     0,  2100,  5805,     0,
    2101,     0,     0,     0,  2102,  2103,  2104,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5765,     0,     0,     0,
     901,     0,  2616,  5826,   713,     0,     0,     0,     0,  1046,
       0,     0,  2617,     0,     0,  5834,     0,     0,   902,  2618,
       0,  2620,     0,     0,     0,     0,  2621,     0,     0,     0,
       0,     0,     0,     0,     0,  2668,     0,     0,     0,  2680,
    2685,     0,     0,     0,     0,  2619,   902,  1047,     0,  2622,
    2294,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     716,  1048,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0,  1049,   906,     0,  2623,   717,     0,     0,
       0,     0,     0,  5892,     0,     0,     0,     0,     0,   906,
       0,     0,     0,     0,   906,  1050,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2565,
       0,     0,   904,  2565,     0,     0,     0,     0,  2359,  1051,
       0,   901,     0,     0,   906,     0,     0,     0,     0,     0,
       0,     0,   720,  2624,     0,     0,  2625,     0,     0,     0,
     904,   721,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4310,   722,     0,     0,     0,     0,     0,
    1052,     0,     0,  2620,     0,     0,     0,     0,  2621,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1053,   902,     0,
       0,  2622,  2294,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   904,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2623,     0,
       0,     0,     0,     0,  1054,     0,     0,  2626,     0,     0,
     904,     0,  6005,     0,     0,   902,     0,     0,     0,     0,
     902,     0,     0,     0,     0,     0,   726,  6019,     0,     0,
       0,     0,   904,     0,     0,     0,     0,     0,     0,   901,
    2359,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2624,     0,     0,  2625,     0,
       0,     0,  1723,  1723,  1723,     0,     0,     0,     0,  1055,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  6058,     0,     0,     0,     0,
       0,     0,     0,   729,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   213,  1056,     0,     0,   731,     0,     0,
     901,  2554,     0,     0,   904,     0,     0,     0,     0,     0,
    2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,     0,
       0,     0,     0,     0,     0,  1057,     0,     0,  1058,     0,
       0,     0,   734,     0,     0,   735,     0,     0,     0,  2626,
       0,     0,   736,     0,     0,   737,     0,   906,     0,     0,
     906,     0,   906,     0,     0,     0,   904,   906,     0,     0,
       0,     0,     0,     0,   738,     0,     0,     0,   902,     0,
       0,     0,  1059,     0,     0,     0,     0,     0,     0,   740,
       0,   904,  1060,     0,  6144,     0,   742,     0,     0,     0,
       0,     0,     0,     0,  1061,     0,   744,     0,     0,     0,
    2565,  1062,     0,     0,     0,     0,   906,     0,     0,     0,
       0,     0,     0,     0,   906,     0,  6157,     0,     0,     0,
       0,     0,   901,     0,     0,     0,  2565,  6167,   747,     0,
    3302,     0,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,  2554,     0,  2565,  2565,  2565,     0,  2565,
       0,     0,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
    2563,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     1,
       0,     0,     0,   902,     0,     0,     0,     0,     0,     0,
       2,     0,     3,     4,     0,     0,     0,     0,     0,   906,
       0,   906,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       6,     0,     0,     0,   902,     0,     0,     0,     0,   904,
       0,  6242,     7,     0,     8,     9,     0,     0,     0,     0,
       0,    10,     0,    11,     0,     0,   902,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    12,     0,    13,     0,
       0,   901,     0,     0,     0,     0,   901,   901,     0,     0,
       0,  3246,     0,     0,     0,    14,     0,     0,    15,     0,
    3263,  3263,  3263,  3263,  3273,  3279,  3263,  3282,  3263,  3263,
       0,     0,     0,    16,  3289,    17,  3290,   906,  3292,    18,
       0,  3306,  3309,  3314,     0,     0,  5731,     0,   664,  3323,
       0,     0,  3328,     0,     0,    20,     0,    21,   902,     0,
     904,     0,     0,     0,    22,     0,   665,  3335,  3336,  3337,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   906,    23,     0,     0,  3338,     0,     0,   904,     0,
       0,   666,     0,     0,     0,     0,     0,     0,     0,    24,
       0,     0,     0,     0,   667,     0,     0,     0,     0,   906,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     901,  -880,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   668,
       0,     0,     0,     0,     0,   669,     0,     0,     0,     0,
       0,     0,    25,    26,     0,     0,     0,     0,    27,     0,
       0,     0,     0,   670,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    28,     0,     0,   671,   906,     0,   902,
       0,   901,     0,     0,     0,   672,     0,     0,     0,     0,
       0,    29,     0,     0,     0,     0,     0,     0,   673,   906,
       0,     0,     0,     0,     0,     0,     0,   674,     0,     0,
       0,   675,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   906,     0,     0,     0,     0,     0,     0,     0,     0,
     904, -1086,  3346,     0,     0,     0,    30,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    31,     0,     0,     0,     0,     0,    32,    33,     0,
      34,     0,     0,     0,     0,    35,     0,     0,  4604,     0,
       0,    36,     0,     0,    37,     0,     0,   904,     0,     0,
     676,    38,   904,     0,     0,  3365,     0,     0,    39,    40,
    -615,     0,     0,     0,     0,     0,    41,     0,     0,     0,
      42,     0,     0,   906,     0,     0,     0,     0,     0,     0,
      43,     0,     0,     0,     0,     0,     0,   902,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    44,     0,     0,
       0,     0,     0,   677,     0,     0,   678,     0,     0,     0,
    3367,     0,     0,     0,     0,     0,     0,    45,     0,     0,
       0,     0,     0,     0,     0,   906,     0,   679,  2565,    46,
       0,     0,     0,     0,     0,    47,     0,     0,     0,     0,
      48,   680,     0,     0,     0,     0,     0,     0,     0,  -466,
     906,     0,     0,    49,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   681,
       0,     0,     0,     0,     0,     0,     0,    50,     0,   682,
       0,     0,     0,     0,     0,     0,  -466,     0,     0,   683,
       0,     0,     0,     0,     0,     0,    56,     0,     0,  -136,
       0,     0,     0,     0,     0,     0,     0,     0,   684,     0,
     904,     0,     0,     0,     0,     0,   685,   197,     0,     0,
       0,     0,     0,  -466,  2565,     0,   686,   687,     0,   688,
     689,     0,     0,     0,     0,     0,  2565,     0,     0,     0,
       0,  2565,     0,     0,     0,   690,     0,     0,     0,     0,
       0,     0,     0,   691,     0,     0,   692,     0,     0,   693,
       0,     0,     0,     0,     0,     0,     0,     0,   198,     0,
       0,     0,  -466,     0,     0,     0,     0,     0,     0,     0,
     902,     0,     0,     0,     0,   199,     0,     0,     0,     0,
    3374,  3375,  3376,  3377,  3378,  3379,  3380,  3381,  3382,     0,
    3383,     0,     0,   200,     0,     0,     0,     0,   906,   201,
       0,  1359,     0,  1723,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   202,     0,     0,
       0,     0,     0,     0,     0,   904,     0,     0,     0,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,   204,
       0,  3338,     0,     0,     0,  3346,     0,     0,  3365,     0,
    3367,     0,   205,  3420,     0,     0,     0,     0,   206,     0,
       0,     0,     0,     0,     0,   207,   904,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   208,     0,     0,   904,   906,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2090,  2091,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   906,     0,   902,
       0,     0,   209,     0,   902,   902,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   211,     0,     0,
    3565,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   213,   214,     0,     0,   215,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   902,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   216,     0,     0,   217,     0,     0,   906,
     218,     0,     0,   219,     0,     0,     0,     0,     0,     0,
     220,     0,     0,   221,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,   902,
     223,     0,     0,     0,     0,   224,   906,   225,     0,     0,
     226,   906,     0,     0,   227,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   228,     0,     0,     0,     0,   229,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   230,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   231,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   904,
       0,     0,     0,     0,     0,     0,  3811,  3812,  1723,     0,
       0,     0,  3816,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3845,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,     0,  2565,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2565,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2565,
       0,     0,     0,     0,     0,  2565,     0,     0,  2565,     0,
       0,     0,     0,     0,     0,  2565,  2565,     0,  2565,     0,
       0,     0,     0,  3302,  3302,     0,  4112,     0,  3302,     0,
       0,     0,  2565,     0,     0,  2565,     0,     0,     0,     0,
    2565,     0,     0,     0,     0,     0,     0,     0,     0,  2565,
       0,     0,     0,     0,  2565,     0,     0,     0,     0,     0,
       0,  2565,  2565,  2565,  2565,     0,     0,     0,     0,  3302,
    3302,     0,  2565,     0,   906,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2565,   904,  2565,     0,     0,     0,     0,     0,     0,
    2565,  2565,  2565,  2565,  2565,  2565,  2565,  2565,  2565,  2565,
       0,     0,     0,     0,     0,   906,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   906,     0,     0,
       0,     0,     0,     0,     0,     0,  2565,     0,  4040,     0,
       0,     0,     0,  4046,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2093,     0,     0,     0,     0,   906,
       0,     0,     0,     0,     0,  3314,     0,  3314,  3314,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4136,     0,     0,  4139,     0,  4141,     0,     0,     0,
       0,   904,     0,     0,     0,     0,   904,   904,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4166,     0,  4169,     0,  4171,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2565,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     906,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     904,     0,     0,     0,     0,     0,     0,     0,     0,  4238,
       0,     0,     0,     0,  2668,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2685,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   904,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4288,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   906,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2565,  2565,   906,
       0,     0,  2565,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2565,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   906,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1723,     0,     0,     0,     0,     0,  1723,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2565,     0,     0,     0,
       0,     0,  2565,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4553,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     906,     0,     0,     0,     0,   906,   906,     0,     0,  4112,
    4112,     0,     0,  3302,  3302,  3302,  3302,     0,     0,  3302,
    3302,  3302,  3302,  3302,  3302,  3302,  3302,  3302,  3302,  4112,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2565,     0,     0,  2565,     0,  2565,     0,     0,
    4112,  4112,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2565,  3302,  3302,  2565,     0,  2565,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   906,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4675,     0,     0,     0,
       0,     0,     0,     0,     0,  4679,     0,     0,     0,     0,
       0,     0,     0,     0,  2565,     0,     0,     0,     0,  3263,
       0,     0,     0,  4692,  3263,  3263,     0,     0,     0,     0,
    3279,     0,     0,  4700,     0,     0,  4702,     0,     0,     0,
     906,     0,  4704,     0,  4705,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2565,     0,     0,     0,     0,     0,
       0,  4727,  4728,  4729,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3323,     0,     0,     0,     0,     0,     0,     0,  4753,     0,
       0,  4756,     0,  4758,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4762,
       0,     0,     0,     0,     0,     0,     0,  4769,  4770,     0,
       0,     0,     0,     0,  4775,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4827,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  4841,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3302,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2565,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2565,     0,     0,     0,  2565,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2565,     0,
       0,     0,     0,     0,     0,     0,  2565,     0,  2565,     0,
    2565,  2565,     0,     0,     0,     0,  4112,  4112,  4112,  4112,
       0,     0,     0,  4112,  4112,  4112,  4112,  4112,  4112,  4112,
    4112,  4112,  4112,  2565,  2565,  2565,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2565,
       0,     0,  2565,     0,  2565,     0,     0,     0,  2565,     0,
       0,  4112,  4112,     0,     0,  2565,  2565,     0,  5126,  5127,
       0,  2565,     0,     0,     0,     0,     0,     0,     0,  5134,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2565,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2565,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  5177,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2668,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5200,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5219,  5221,     0,     0,     0,     0,     0,  5225,
    5226,     0,     0,     0,  5227,     0,     0,     0,     0,  5228,
       0,     0,  5231,  5232,     0,     0,     0,     0,     0,  5237,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5271,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1359,     0,     0,     0,     0,     0,     0,
       0,  5285,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5295,     0,     0,     0,  4112,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2565,  2565,     0,     0,     0,     0,     0,     0,
    2565,     0,     0,     0,     0,     0,  5362,     0,     0,     0,
       0,     0,     0,  5364,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2565,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2565,  3302,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5399,     0,     0,     0,  2565,     0,  2565,     0,     0,
       0,  2565,  2565,  2565,  2565,     0,     0,  2565,  2565,     0,
       0,     0,     0,  2565,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3302,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2565,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2565,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2565,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2565,     0,
    2565,     0,     0,  3263,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  5507,     0,     0,     0,     0,     0,  5511,
    5512,  5513,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2565,     0,     0,     0,     0,
       0,     0,     0,     0,  5526,  5527,     0,     0,  5528,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  5547,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5565,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  5580,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2565,     0,  4112,  3302,  2565,  2565,  2565,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2565,  2565,  2565,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3302,     0,     0,  4112,
       0,     0,     0,  2565,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2565,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2565,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5755,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3323,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2093,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2565,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4112,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5829,  4112,     0,  3302,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5841,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2565,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2565,  5876,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2565,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3263,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    5956,     0,     0,     0,     0,     0,     0,     0,     0,  5963,
    5963,  5963,  2565,     0,     0,     0,     0,     0,     0,  2565,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5565,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2565,  6008,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3302,  3302,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2565,     0,
       0,     0,     0,     0,     0,  5963,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5565,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6132,     0,
    2565,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2565,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4112,  4112,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  6174,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  6199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2565,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  5963,     0,     0,     0,   234,     0,  1262,   708,
       0,  1263,  1264,  1265,   769,  1266,  6278,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  1717,   244,   245,   246,     0,     0,     0,     0,
    1267,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1268,   260,  1269,  1270,
       0,   263,   264,   265,   266,   267,   268,   269,  1271,  1272,
     270,   271,  1273,  1274,   274,     0,   275,   276,   277,   278,
    1275,     0,  1276,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,   303,   304,   305,   306,   307,   308,
    1284,  1285,   311,  1286,   312,     0,   313,   314,   315,   316,
     317,   318,   319,  1723,   320,   321,   322,   323,  1718,     0,
     324,   325,   878,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1287,   342,   343,   344,   345,  1288,  1289,   347,     0,   348,
     349,   350,  1290,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1291,     0,
    1292,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1293,  1294,     0,  1295,     0,   395,   396,   397,   398,
     399,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,  1306,   419,   420,   421,     0,   422,   423,   424,  1307,
    1308,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1309,   436,   437,   438,   439,   440,   441,   442,   443,
    1310,   445,  1311,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,
     462,  1316,   464,   465,   466,     0,   467,   468,   469,     0,
       0,  1317,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,  1319,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,  1320,   510,   511,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
     533,   534,  1321,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,     0,   546,   547,   548,   549,   550,  1322,
     551,   552,   553,   554,   555,   556,   557,   558,  1323,   560,
       0,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,  1324,   576,     0,   577,   578,
    1325,     0,   579,   580,   581,   582,   583,   584,   585,     0,
     586,  1326,  1327,     0,     0,   589,   590,  1328,   592,  1329,
    1330,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,  1331,   603,   604,   605,   606,   607,  1332,     0,   608,
     609,   610,   611,   612,   613,  1333,  1719,   615,   616,   617,
     618,   619,   620,     0,     0,   621,     0,     0,   622,   623,
     624,   625,   626,   627,   628,  1334,  1335,  1336,  1337,   633,
    1338,  1339,  1340,  1341,   638,   639,   640,   641,     0,  1342,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,  1344,  1720,     0,     0,     0,     0,     0,     0,
    1346,  1721,   234,     0,  1262,   708,     0,  1263,  1264,  1265,
     769,  1266,     0,     0,     0,     0,     0,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,  1267,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,  1268,   260,  1269,  1270,     0,   263,   264,   265,
     266,   267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,
     274,     0,   275,   276,   277,   278,  1275,     0,  1276,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,
     303,   304,   305,   306,   307,   308,  1284,  1285,   311,  1286,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   878,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,  1287,   342,   343,   344,
     345,  1288,  1289,   347,     0,   348,   349,   350,  1290,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,  1291,     0,  1292,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,  1293,  1294,     0,
    1295,     0,   395,   396,   397,   398,   399,  1296,  1297,  1298,
    1299,  1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,  1306,   419,   420,
     421,     0,   422,   423,   424,  1307,  1308,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,  1309,   436,   437,
     438,   439,   440,   441,   442,   443,  1310,   445,  1311,   447,
     448,   449,   450,   451,   452,   453,   454,  1312,   456,  1313,
     457,   458,   459,   460,  1314,  1315,   462,  1316,   464,   465,
     466,     0,   467,   468,   469,     0,     0,  1317,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,  1318,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,  1319,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
    1320,   510,   511,   512,   513,     0,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,   533,   534,  1321,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,    40,
     546,   547,   548,   549,   550,  1322,   551,   552,   553,   554,
     555,   556,   557,   558,  1323,   560,     0,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,  1324,   576,     0,   577,   578,  1325,    44,   579,   580,
     581,   582,   583,   584,   585,     0,   586,  1326,  1327,     0,
       0,   589,   590,  1328,   592,  1329,  1330,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,  1331,   603,   604,
     605,   606,   607,  1332,     0,   608,   609,   610,   611,   612,
    1197,  1333,     0,   615,   616,   617,   618,   619,   620,     0,
       0,   621,     0,    49,   622,   623,   624,   625,   626,   627,
     628,  1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,
     638,   639,   640,   641,     0,  1342,     0,    50,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1343,  1344,     0,
       0,     0,     0,     0,     0,     0,  1346,  5799,   234,     0,
    1262,   708,     0,  1263,  1264,  1265,   769,  1266,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1267,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1268,   260,
    1269,  1270,     0,   263,   264,   265,   266,   267,   268,   269,
    1271,  1272,   270,   271,  1273,  1274,   274,     0,   275,   276,
     277,   278,  1275,     0,  1276,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1277,
    1278,  1279,  1280,  1281,  1282,  1283,   303,   304,   305,   306,
     307,   308,  1284,  1285,   311,  1286,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   878,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1287,   342,   343,   344,   345,  1288,  1289,   347,
       0,   348,   349,   350,  1290,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1291,     0,  1292,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1293,  1294,     0,  1295,     0,   395,   396,
     397,   398,   399,  1296,  1297,  1298,  1299,  1300,  1301,  1302,
    1303,  1304,  1305,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,  1306,   419,   420,   421,     0,   422,   423,
     424,  1307,  1308,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,  1309,   436,   437,   438,   439,   440,   441,
     442,   443,  1310,   445,  1311,   447,   448,   449,   450,   451,
     452,   453,   454,  1312,   456,  1313,   457,   458,   459,   460,
    1314,  1315,   462,  1316,   464,   465,   466,     0,   467,   468,
     469,     0,     0,  1317,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,  1318,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,  1319,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,  1320,   510,   511,   512,
     513,     0,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,   533,   534,  1321,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,     0,   546,   547,   548,   549,
     550,  1322,   551,   552,   553,   554,   555,   556,   557,   558,
    1323,   560,     0,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,  1324,   576,     0,
     577,   578,  1325,     0,   579,   580,   581,   582,   583,   584,
     585,     0,   586,  1326,  1327,     0,     0,   589,   590,  1328,
     592,  1329,  1330,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,  1331,   603,   604,   605,   606,   607,  1332,
       0,   608,   609,   610,   611,   612,   613,  1333,     0,   615,
     616,   617,   618,   619,   620,     0,     0,   621,     0,     0,
     622,   623,   624,   625,   626,   627,   628,  1334,  1335,  1336,
    1337,   633,  1338,  1339,  1340,  1341,   638,   639,   640,   641,
       0,  1342,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1343,  1344,     0,     0,     0,     0,     0,
       0,     0,  1346,  3304,   234,     0,  1262,   708,     0,  1263,
    1264,  1265,   769,  1266,     0,     0,     0,     0,     0,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,  1267,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,  1268,   260,  1269,  1270,     0,   263,
     264,   265,   266,   267,   268,   269,  1271,  1272,   270,   271,
    1273,  1274,   274,     0,   275,   276,   277,   278,  1275,     0,
    1276,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,  1277,  1278,  1279,  1280,  1281,
    1282,  1283,   303,   304,   305,   306,   307,   308,  1284,  1285,
     311,  1286,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     878,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,  1287,   342,
     343,   344,   345,  1288,  1289,   347,     0,   348,   349,   350,
    1290,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,  1291,     0,  1292,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,  1293,
    1294,     0,  1295,     0,   395,   396,   397,   398,   399,  1296,
    1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,  1306,
     419,   420,   421,     0,   422,   423,   424,  1307,  1308,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,  1309,
     436,   437,   438,   439,   440,   441,   442,   443,  1310,   445,
    1311,   447,   448,   449,   450,   451,   452,   453,   454,  1312,
     456,  1313,   457,   458,   459,   460,  1314,  1315,   462,  1316,
     464,   465,   466,     0,   467,   468,   469,     0,     0,  1317,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
    1318,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,  1319,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,  1320,   510,   511,   512,   513,     0,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,   533,   534,
    1321,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,     0,   546,   547,   548,   549,   550,  1322,   551,   552,
     553,   554,   555,   556,   557,   558,  1323,   560,     0,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,  1324,   576,     0,   577,   578,  1325,     0,
     579,   580,   581,   582,   583,   584,   585,     0,   586,  1326,
    1327,     0,     0,   589,   590,  1328,   592,  1329,  1330,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,  1331,
     603,   604,   605,   606,   607,  1332,     0,   608,   609,   610,
     611,   612,   613,  1333,     0,   615,   616,   617,   618,   619,
     620,     0,     0,   621,     0,     0,   622,   623,   624,   625,
     626,   627,   628,  1334,  1335,  1336,  1337,   633,  1338,  1339,
    1340,  1341,   638,   639,   640,   641,     0,  1342,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1343,
    1344,     0,     0,     0,     0,     0,     0,     0,  1346,  4706,
     234,     0,  1262,   708,     0,  1263,  1264,  1265,   769,  1266,
       0,     0,     0,     0,     0,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,  1267,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
    1268,   260,  1269,  1270,     0,   263,   264,   265,   266,   267,
     268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,     0,
     275,   276,   277,   278,  1275,     0,  1276,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,   304,
     305,   306,   307,   308,  1284,  1285,   311,  1286,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   878,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,  1287,   342,   343,   344,   345,  1288,
    1289,   347,     0,   348,   349,   350,  1290,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,  1291,     0,  1292,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,  1293,  1294,     0,  1295,     0,
     395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,  1300,
    1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,  1306,   419,   420,   421,     0,
     422,   423,   424,  1307,  1308,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,  1309,   436,   437,   438,   439,
     440,   441,   442,   443,  1310,   445,  1311,   447,   448,   449,
     450,   451,   452,   453,   454,  1312,   456,  1313,   457,   458,
     459,   460,  1314,  1315,   462,  1316,   464,   465,   466,     0,
     467,   468,   469,     0,     0,  1317,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,  1318,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
    1319,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,  1320,   510,
     511,   512,   513,     0,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,   533,   534,  1321,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,     0,   546,   547,
     548,   549,   550,  1322,   551,   552,   553,   554,   555,   556,
     557,   558,  1323,   560,     0,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,  1324,
     576,     0,   577,   578,  1325,     0,   579,   580,   581,   582,
     583,   584,   585,     0,   586,  1326,  1327,     0,     0,   589,
     590,  1328,   592,  1329,  1330,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,  1331,   603,   604,   605,   606,
     607,  1332,     0,   608,   609,   610,   611,   612,   613,  1333,
       0,   615,   616,   617,   618,   619,   620,     0,     0,   621,
       0,     0,   622,   623,   624,   625,   626,   627,   628,  1334,
    1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,   639,
     640,   641,     0,  1342,     0,     0,     0,     0,     0,   649,
       0,     0,     0,     0,     0,  1343,  1344,     0,     0,     0,
       0,     0,     0,     0,  1346,  4772,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,  4216,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0, -1824,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0, -1824,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385, -1824,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398, -1824,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418, -1824,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444, -1824,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528, -1824,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,     0,     0,     0,     0,     0,     0,     0,   870,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1458,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,     0,   871,   260,
     872,   873,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   874,   875,   274,     0,   275,   276,
     277,   278,     0,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   876,   877,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   878,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,     0,   342,   343,   344,   345,     0,     0,   347,
       0,   348,   349,   350,   879,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
       0,     0,     0,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,  2711,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,  2712,   388,
     389,   390,   391,   880,   881,     0,   882,     0,   395,   396,
     397,   398,   399,   883,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,     0,   419,   420,   421,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,     0,   436,   437,   438,   439,   440,   441,
     442,   443,   884,   445,   885,   447,   448,   449,   450,   451,
     452,   453,     0,     0,   456,     0,   457,   458,   459,   460,
       0,     0,   462,   886,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
    2714,   476,   477,   478,     0,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,     0,   493,
       0,   495,   496,   497,     0,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   887,   510,   511,   512,
     513,     0,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,   533,   534,     0,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,     0,   546,   547,   548,   549,
     550,     0,   551,   552,  2715,   554,   555,   556,   557,   558,
     889,   560,     0,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,     0,   576,     0,
     577,   578,     0,     0,   579,   580,   581,   582,   583,   584,
     585,     0,   586,   890,   891,     0,     0,   589,   590,     0,
     592,     0,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,     0,   603,   604,   605,   606,   607,     0,
       0,   608,   609,   610,   611,   612,     0,   892,  2716,   615,
     616,   617,   618,   619,   620,     0,     0,   621,     0,     0,
     622,   623,   624,   625,   626,   627,     0,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   639,   640,   641,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,  2813,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   871,   260,   872,
     873,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   874,   875,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   876,   877,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   878,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   879,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  2711,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,  2712,   388,   389,
     390,   391,   880,   881,     0,   882,     0,   395,   396,   397,
     398,   399,   883,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,     0,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   436,   437,   438,   439,   440,   441,   442,
     443,   884,   445,   885,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   456,     0,   457,   458,   459,   460,     0,
       0,   462,   886,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,  2714,
     476,   477,   478,     0,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,     0,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   887,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,  2715,   554,   555,   556,   557,   558,   889,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,     0,   576,     0,   577,
     578,     0,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,   890,   891,     0,     0,   589,   590,     0,   592,
       0,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,     0,   892,  2716,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,     0,   234,     0,  1262,   708,
       0,  1263,  1264,  1265,   769,  1266,   639,   640,   641,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1267,     0,  3934,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1268,   260,  1269,  1270,
       0,   263,   264,   265,   266,   267,   268,   269,  1271,  1272,
     270,   271,  1273,  1274,   274,     0,   275,   276,   277,   278,
    1275,     0,  1276,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,   303,   304,   305,   306,   307,   308,
    1284,  1285,   311,  1286,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   878,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1287,   342,   343,   344,   345,  1288,  1289,   347,     0,   348,
     349,   350,  1290,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1291,     0,
    1292,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1293,  1294,     0,  1295,     0,   395,   396,   397,   398,
     399,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,  1306,   419,   420,   421,     0,   422,   423,   424,  1307,
    1308,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1309,   436,   437,   438,   439,   440,   441,   442,   443,
    1310,   445,  1311,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,
     462,  1316,   464,   465,   466,     0,   467,   468,   469,     0,
       0,  1317,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,  1319,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,  1320,   510,   511,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,  3265,   527,   528,   529,   530,   531,   532,
     533,   534,  1321,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,    40,   546,   547,   548,   549,   550,  1322,
     551,   552,   553,   554,   555,   556,   557,   558,  1323,   560,
       0,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,  1324,   576,     0,   577,   578,
    1325,    44,   579,   580,   581,   582,   583,   584,   585,     0,
     586,  1326,  1327,     0,     0,   589,   590,  1328,   592,  1329,
    1330,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,  1331,   603,   604,   605,   606,   607,  1332,     0,   608,
     609,   610,   611,   612,  1197,  1333,     0,   615,   616,   617,
     618,   619,   620,     0,     0,   621,     0,    49,   622,   623,
     624,   625,   626,   627,   628,  1334,  1335,  1336,  1337,   633,
    1338,  1339,  1340,  1341,   638,   639,   640,   641,     0,  1342,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,  1344,     0,     0,     0,   234,     0,  1262,   708,
    1346,  1263,  1264,  1265,   769,  1266,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1267,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1268,   260,  1269,  1270,
       0,   263,   264,   265,   266,   267,   268,   269,  1271,  1272,
     270,   271,  1273,  1274,   274,     0,   275,   276,   277,   278,
    1275,     0,  1276,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,   303,   304,   305,   306,   307,   308,
    1284,  1285,   311,  1286,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   878,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1287,   342,   343,   344,   345,  1288,  1289,   347,     0,   348,
     349,   350,  1290,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1291,     0,
    1292,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1293,  1294,     0,  1295,     0,   395,   396,   397,   398,
     399,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,  1306,   419,   420,   421,     0,   422,   423,   424,  1307,
    1308,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1309,   436,   437,   438,   439,   440,   441,   442,   443,
    1310,   445,  1311,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,
     462,  1316,   464,   465,   466,     0,   467,   468,   469,     0,
       0,  1317,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,  1319,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,  1320,   510,   511,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
     533,   534,  1321,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,    40,   546,   547,   548,   549,   550,  1322,
     551,   552,   553,   554,   555,   556,   557,   558,  1323,   560,
       0,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,  1324,   576,     0,   577,   578,
    1325,    44,   579,   580,   581,   582,   583,   584,   585,     0,
     586,  1326,  1327,     0,     0,   589,   590,  1328,   592,  1329,
    1330,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,  1331,   603,   604,   605,   606,   607,  1332,     0,   608,
     609,   610,   611,   612,  1197,  1333,     0,   615,   616,   617,
     618,   619,   620,     0,     0,   621,     0,    49,   622,   623,
     624,   625,   626,   627,   628,  1334,  1335,  1336,  1337,   633,
    1338,  1339,  1340,  1341,   638,   639,   640,   641,     0,  1342,
       0,    50,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,  1344,     0,     0,     0,   234,     0,  1262,   708,
    1346,  1263,  1264,  1265,   769,  1266,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1267,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1268,   260,  1269,  1270,
    3310,   263,   264,   265,   266,   267,   268,   269,  1271,  1272,
     270,   271,  1273,  1274,   274,     0,   275,   276,   277,   278,
    1275,     0,  1276,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,   303,   304,   305,   306,   307,   308,
    1284,  1285,   311,  1286,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   878,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1287,   342,   343,   344,   345,  1288,  1289,   347,     0,   348,
     349,   350,  1290,   352,     0,   353,     0,   354,   355,   356,
    3311,   357,   358,   359,   360,   361,     0,   362,  1291,     0,
    1292,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1293,  1294,     0,  1295,     0,   395,   396,   397,   398,
     399,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   410,   411,   412,   413,   414,   415,   416,     0,  3312,
     417,  1306,   419,   420,   421,     0,   422,   423,   424,  1307,
    1308,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1309,   436,   437,   438,   439,   440,   441,   442,   443,
    1310,   445,  1311,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,
     462,  1316,   464,   465,   466,     0,   467,   468,   469,     0,
       0,  1317,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,  1319,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,  1320,   510,   511,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
     533,   534,  1321,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,     0,   546,   547,   548,   549,   550,  1322,
     551,   552,   553,   554,   555,   556,   557,   558,  1323,   560,
       0,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,  1324,   576,     0,   577,   578,
    1325,     0,   579,   580,   581,   582,   583,   584,   585,     0,
     586,  1326,  1327,     0,  3313,   589,   590,  1328,   592,  1329,
    1330,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,  1331,   603,   604,   605,   606,   607,  1332,     0,   608,
     609,   610,   611,   612,   613,  1333,     0,   615,   616,   617,
     618,   619,   620,     0,     0,   621,     0,     0,   622,   623,
     624,   625,   626,   627,   628,  1334,  1335,  1336,  1337,   633,
    1338,  1339,  1340,  1341,   638,   639,   640,   641,     0,  1342,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,  1344,     0,     0,     0,   234,     0,  1262,   708,
    1346,  1263,  1264,  1265,   769,  1266,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243, -2239,   244,   245,   246,     0,     0,     0, -2239,
    1267,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1268,   260,  1269,  1270,
       0,   263,   264,   265,   266,   267,   268,   269,  1271,  1272,
     270,   271,  1273,  1274,   274,     0,   275,   276,   277,   278,
    1275,     0,  1276,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,   303,   304,   305,   306,   307,   308,
    1284,  1285,   311,  1286,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   878,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1287,   342,   343,   344,   345,  1288,  1289,   347,     0,   348,
     349,   350,  1290,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1291,     0,
    1292,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1293,  1294,     0,  1295,     0,   395,   396,   397,   398,
     399,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,  1306,   419,   420,   421,     0,   422,   423,   424,  1307,
    1308,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1309,   436,   437,   438,   439,   440,   441,   442,   443,
    1310,   445,  1311,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,
     462,  1316,   464,   465,   466,     0,   467,   468,   469,     0,
       0,  1317,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,  1319,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,  1320,   510,   511,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
     533,   534,  1321,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,     0,   546,   547,   548,   549,   550,  1322,
     551,   552,   553,   554,   555,   556,   557,   558,  1323,   560,
   -2239,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,  1324,   576,     0,   577,   578,
    1325,     0,   579,   580,   581,   582,   583,   584,   585,     0,
     586,  1326,  1327,     0,     0,   589,   590,  1328,   592,  1329,
    1330,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,  1331,   603,   604,   605,   606,   607,  1332,     0,   608,
     609,   610,   611,   612,   613,  1333,     0,   615,   616,   617,
     618,   619,   620,     0,     0,   621,     0,     0,   622,   623,
     624,   625,   626,   627,   628,  1334,  1335,  1336,  1337,   633,
    1338,  1339,  1340,  1341,   638,   639,   640,   641,     0,  1342,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,  1344,     0,     0,     0,   234,     0,  1262,   708,
    1346,  1263,  1264,  1265,   769,  1266,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243, -2237,   244,   245,   246,     0,     0,     0, -2237,
    1267,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1268,   260,  1269,  1270,
       0,   263,   264,   265,   266,   267,   268,   269,  1271,  1272,
     270,   271,  1273,  1274,   274,     0,   275,   276,   277,   278,
    1275,     0,  1276,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,   303,   304,   305,   306,   307,   308,
    1284,  1285,   311,  1286,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   878,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1287,   342,   343,   344,   345,  1288,  1289,   347,     0,   348,
     349,   350,  1290,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1291,     0,
    1292,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1293,  1294,     0,  1295,     0,   395,   396,   397,   398,
     399,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,  1306,   419,   420,   421,     0,   422,   423,   424,  1307,
    1308,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1309,   436,   437,   438,   439,   440,   441,   442,   443,
    1310,   445,  1311,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,
     462,  1316,   464,   465,   466,     0,   467,   468,   469,     0,
       0,  1317,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,  1319,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,  1320,   510,   511,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
     533,   534,  1321,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,     0,   546,   547,   548,   549,   550,  1322,
     551,   552,   553,   554,   555,   556,   557,   558,  1323,   560,
   -2237,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,  1324,   576,     0,   577,   578,
    1325,     0,   579,   580,   581,   582,   583,   584,   585,     0,
     586,  1326,  1327,     0,     0,   589,   590,  1328,   592,  1329,
    1330,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,  1331,   603,   604,   605,   606,   607,  1332,     0,   608,
     609,   610,   611,   612,   613,  1333,     0,   615,   616,   617,
     618,   619,   620,     0,     0,   621,     0,     0,   622,   623,
     624,   625,   626,   627,   628,  1334,  1335,  1336,  1337,   633,
    1338,  1339,  1340,  1341,   638,   639,   640,   641,     0,  1342,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,  1344,     0,     0,     0,   234,     0,  1262,   708,
    1346,  1263,  1264,  1265,   769,  1266,     0,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
    1267,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,   258,  1268,   260,  1269,  1270,
       0,   263,   264,   265,   266,   267,   268,   269,  1271,  1272,
     270,   271,  1273,  1274,   274,     0,   275,   276,   277,   278,
    1275,     0,  1276,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,  1277,  1278,  1279,
    1280,  1281,  1282,  1283,   303,   304,   305,   306,   307,   308,
    1284,  1285,   311,  1286,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   878,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
    1287,   342,   343,   344,   345,  1288,  1289,   347,     0,   348,
     349,   350,  1290,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,  1291,     0,
    1292,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,   387,   388,   389,   390,
     391,  1293,  1294,     0,  1295,     0,   395,   396,   397,   398,
     399,  1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,
    1305,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,  1306,   419,   420,   421,     0,   422,   423,   424,  1307,
    1308,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,  1309,   436,   437,   438,   439,   440,   441,   442,   443,
    1310,   445,  1311,   447,   448,   449,   450,   451,   452,   453,
     454,  1312,   456,  1313,   457,   458,   459,   460,  1314,  1315,
     462,  1316,   464,   465,   466,     0,   467,   468,   469,     0,
       0,  1317,   471,   472,     0,     0,   473,   474,   475,   476,
     477,   478,  1318,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,  1319,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,  1320,   510,   511,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
     533,   534,  1321,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,     0,   546,   547,   548,   549,   550,  1322,
     551,   552,   553,   554,   555,   556,   557,   558,  1323,   560,
       0,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,  1324,   576,     0,   577,   578,
    1325,     0,   579,   580,   581,   582,   583,   584,   585,     0,
     586,  1326,  1327,     0,     0,   589,   590,  1328,   592,  1329,
    1330,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,  1331,   603,   604,   605,   606,   607,  1332,     0,   608,
     609,   610,   611,   612,   613,  1333,     0,   615,   616,   617,
     618,   619,   620,     0,     0,   621,     0,     0,   622,   623,
     624,   625,   626,   627,   628,  1334,  1335,  1336,  1337,   633,
    1338,  1339,  1340,  1341,   638,   639,   640,   641,     0,  1342,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1343,  1344,     0,     0,     0,     0,     0,  2041,  3239,
    1346,   234,     0,  1262,   708,     0,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,  1345,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  2678,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  3265,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,  3813,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,  3311,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,  3368,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2681,  2682,     0,     0,
       0,   234,     0,  3485,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,  4826,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,  5208,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,  5220,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
    5555,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  5556,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,  5557,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  5558,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
    5960,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,  5961,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,  5962,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,  5961,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,  5962,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,  1342,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  5540,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,     0,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  3296,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3297,  3298,     0,     0,
       0,   234,     0,  1262,   708,  3299,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
   -2956,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,  5961,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,  1286,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371, -2956,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,     0,     0,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420, -2956,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,  1313,   457,
     458,     0,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  1321,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
   -2956,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,  5962,   600,   601,   602,     0,  1331,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0, -2956,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1343,  1344,     0,     0,
       0,   234,     0,  1262,   708,  1346,  1263,  1264,  1265,   769,
    1266,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,     0,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  1317,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  3296,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3297,  3298,   234,     0,
    1262,   708,     0,  1263,  1264,  3299,   769,  1266,     0,     0,
       0,     0,     0,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,  1267,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,  1268,   260,
    1269,  1270,     0,   263,   264,   265,   266,   267,   268,   269,
    1271,  1272,   270,   271,  1273,  1274,   274,     0,   275,   276,
     277,   278,  1275,     0,  1276,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,  1277,
    1278,  1279,  1280,  1281,  1282,  1283,   303,   304,   305,   306,
     307,   308,  1284,  1285,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   878,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,  1287,   342,   343,   344,   345,  1288,  1289,   347,
       0,   348,   349,   350,  1290,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
    1291,     0,  1292,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,  1293,  1294,     0,  1295,     0,   395,   396,
     397,   398,   399,  1296,  1297,  1298,  1299,  1300,  1301,  1302,
    1303,  1304,  1305,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,  1306,   419,   420,   421,     0,   422,   423,
     424,  1307,  1308,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,  1309,   436,   437,   438,   439,   440,   441,
     442,   443,  1310,   445,  1311,   447,   448,   449,   450,   451,
     452,   453,   454,  1312,   456,     0,   457,   458,   459,   460,
    1314,  1315,   462,  1316,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,  1318,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,  1319,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,  1320,   510,   511,   512,
     513,     0,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,   533,   534,  3474,  3475,   537,   538,   539,   540,
     541,   542,   543,   544,   545,     0,   546,   547,   548,   549,
     550,  1322,   551,   552,   553,   554,   555,   556,   557,   558,
    1323,   560,     0,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,  1324,   576,     0,
     577,   578,  1325,     0,   579,   580,   581,   582,   583,   584,
     585,     0,   586,  1326,  1327,     0,     0,   589,   590,  1328,
     592,  1329,  1330,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,     0,   603,   604,   605,   606,   607,  1332,
       0,   608,   609,   610,   611,   612,   613,  1333,     0,   615,
     616,   617,   618,   619,   620,     0,     0,   621,     0,     0,
     622,   623,   624,   625,   626,   627,   628,  1334,  1335,  1336,
    1337,   633,  1338,  1339,  1340,  1341,   638,   639,   640,   641,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3476,  3477,   234,     0,  1262,   708,     0,
    1263,  1264,  3299,   769,  1266,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,  1267,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,  1268,   260,  1269,  1270,     0,
     263,   264,   265,   266,   267,   268,   269,  1271,  1272,   270,
     271,  1273,  1274,   274,     0,   275,   276,   277,   278,  1275,
       0,  1276,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1277,  1278,  1279,  1280,
    1281,  1282,  1283,   303,   304,   305,   306,   307,   308,  1284,
    1285,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   878,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,  1287,
     342,   343,   344,   345,  1288,  1289,   347,     0,   348,   349,
     350,  1290,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1291,     0,  1292,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
    1293,  1294,     0,  1295,     0,   395,   396,   397,   398,   399,
    1296,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
    1306,   419,   420,   421,     0,   422,   423,   424,  1307,  1308,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
    1309,   436,   437,   438,   439,   440,   441,   442,   443,  1310,
     445,  1311,   447,   448,   449,   450,   451,   452,   453,   454,
    1312,   456,     0,   457,   458,   459,   460,  1314,  1315,   462,
    1316,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,  1318,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,  1319,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,  1320,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,  3296,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,  1322,   551,
     552,   553,   554,   555,   556,   557,   558,  1323,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,  1324,   576,     0,   577,   578,  1325,
       0,   579,   580,   581,   582,   583,   584,   585,     0,   586,
    1326,  1327,     0,     0,   589,   590,  1328,   592,  1329,  1330,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,  1332,     0,   608,   609,
     610,   611,   612,   613,  1333,     0,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,  1334,  1335,  1336,  1337,   633,  1338,
    1339,  1340,  1341,   638,   639,   640,   641,     0,     0,     0,
       0,     0,     0,   234,     0,  1262,   708,     0,  1263,  1264,
       0,   769,  1266,     0,     0,     0,     0,     0,     0,  3299,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,  1267,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,  1268,   260,  1269,  1270,     0,   263,  4737,
     265,   266,   267,   268,   269,  1271,  1272,   270,   271,  1273,
    1274,   274,     0,   275,   276,   277,   278,  1275,     0,  1276,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1277,  1278,  1279,  1280,  1281,  1282,
    1283,   303,   304,   305,   306,   307,   308,  1284,  1285,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   878,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,  1287,   342,   343,
     344,   345,  1288,  1289,   347,     0,   348,   349,   350,  1290,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1291,     0,  1292,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,  1293,  1294,
       0,  1295,     0,   395,   396,   397,   398,   399,  1296,  1297,
    1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,  1306,   419,
     420,   421,     0,   422,   423,   424,  1307,  1308,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,  1309,   436,
     437,   438,   439,   440,   441,   442,   443,  1310,   445,  1311,
     447,   448,   449,   450,   451,   452,   453,   454,  1312,   456,
       0,   457,   458,   459,   460,  1314,  1315,   462,  1316,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,  1318,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,  1319,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,  1320,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,   533,   534,  3296,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,  1322,   551,   552,   553,
     554,   555,   556,   557,   558,  1323,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,  1324,   576,     0,   577,   578,  1325,     0,   579,
     580,   581,   582,   583,   584,   585,     0,   586,  1326,  1327,
       0,     0,   589,   590,  1328,   592,  1329,  1330,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,  1332,     0,   608,   609,   610,   611,
     612,   613,  1333,     0,   615,   616,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,  1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,
    1341,   638,   639,   640,   641,     0,     0,     0,     0,     0,
       0,   234,     0,  1262,   708,     0,  1263,  1264,     0,   769,
    1266,     0,     0,     0,     0,     0,     0,  3299,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,  1267,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,  1268,   260,  1269,  1270,     0,   263,   264,   265,   266,
     267,   268,   269,  1271,  1272,   270,   271,  1273,  1274,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,  1284,  1285,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,  1287,   342,   343,   344,   345,
    1288,  1289,   347,     0,   348,   349,   350,  1290,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,  1292,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,  1293,  1294,     0,  1295,
       0,   395,   396,   397,   398,   399,  1296,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,  1310,   445,  1311,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,     0,   457,
     458,   459,   460,  1314,  1315,   462,  1316,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,  1320,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,  3296,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,  1323,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,  1326,  1327,     0,     0,
     589,   590,  1328,   592,  1329,  1330,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
    1333,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,  4795,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,     0,     0,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3299,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,  1272,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,  1275,     0,  1276,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,  1288,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1291,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,  3447,  1297,  1298,  1299,  1300,  1301,
    1302,  1303,  1304,  1305,   410,   411,   412,   413,   414,   415,
     416,  3448,     0,   417,  1306,   419,   420,   421,     0,   422,
     423,   424,  1307,  1308,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,  1309,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1312,   456,     0,   457,   458,   459,
     460,     0,  1315,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,   853,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1318,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,  1319,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,  3449,   537,   538,   539,
     540,   541,   542,   543,   544,   545,    40,   546,   547,   548,
     549,   550,  1322,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,  1324,   576,
       0,   577,   578,  1325,    44,   579,   580,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
    1328,   592,  1329,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
    1332,     0,   608,   609,   610,   611,   612,  1197,   614,     0,
     615,   616,   617,   618,   619,   620,     0,     0,   621,     0,
      49,   622,   623,   624,   625,   626,   627,   628,  1334,  1335,
    1336,  1337,   633,  1338,  1339,  1340,  1341,  3450,   639,   640,
     641,     0,     0,     0,    50,     0,     0,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3451,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
    1272,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,  1275,     0,  1276,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1277,  1278,
    1279,  1280,  1281,  1282,  1283,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,  1288,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1291,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,  3447,  1297,  1298,  1299,  1300,  1301,  1302,  1303,
    1304,  1305,   410,   411,   412,   413,   414,   415,   416,  3448,
       0,   417,  1306,   419,   420,   421,     0,   422,   423,   424,
    1307,  1308,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,  1309,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  1312,   456,     0,   457,   458,   459,   460,     0,
    1315,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,   853,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,  1318,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,  1319,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,  3449,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
    1322,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,  1324,   576,     0,   577,
     578,  1325,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,  1328,   592,
    1329,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,  1332,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,  1334,  1335,  1336,  1337,
     633,  1338,  1339,  1340,  1341,  3450,   639,   640,   641,     0,
       0,     0,     0,     0,     0,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3451,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,  1272,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,  1275,
       0,  1276,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,  1277,  1278,  1279,  1280,
    1281,  1282,  1283,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,  1288,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,  1291,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
    3447,  1297,  1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
    1306,   419,   420,   421,     0,   422,   423,   424,  1307,  1308,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
    1309,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
    1312,   456,     0,   457,   458,   459,   460,     0,  1315,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,  1318,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,  1319,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,  1322,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,  1324,   576,     0,   577,   578,  1325,
       0,   579,   580,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,  1328,   592,  1329,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,  1332,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,  1334,  1335,  1336,  1337,   633,  1338,
    1339,  1340,  1341,   638,   639,   640,   641,     0,     0,     0,
       0,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3892,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,  1272,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,  1275,     0,  1276,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,  1277,  1278,  1279,  1280,  1281,  1282,
    1283,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,  1288,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,  1291,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,  3447,  1297,
    1298,  1299,  1300,  1301,  1302,  1303,  1304,  1305,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,  1306,   419,
     420,   421,     0,   422,   423,   424,  1307,  1308,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,  1309,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,  1312,   456,
       0,   457,   458,   459,   460,     0,  1315,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,  1318,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,  1319,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
    3449,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,  1322,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,  1324,   576,     0,   577,   578,  1325,     0,   579,
     580,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,  1328,   592,  1329,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,  1332,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,  1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,
    1341,  3450,   639,   640,   641,     0,     0,     0,     0,     0,
       0,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    56,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,  1272,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,  1275,     0,  1276,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,  1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
    1288,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,  1291,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,  3447,  1297,  1298,  1299,
    1300,  1301,  1302,  1303,  1304,  1305,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,  1306,   419,   420,   421,
       0,   422,   423,   424,  1307,  1308,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,  1309,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,  1312,   456,     0,   457,
     458,   459,   460,     0,  1315,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,  1318,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,  1319,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,  1322,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
    1324,   576,     0,   577,   578,  1325,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,  1328,   592,  1329,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,  1332,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
    1334,  1335,  1336,  1337,   633,  1338,  1339,  1340,  1341,   638,
     639,   640,   641,     0,     0,     0,     0,     0,     0,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4856,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,  1272,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,  1275,     0,  1276,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
    1277,  1278,  1279,  1280,  1281,  1282,  1283,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,  1288,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,  1291,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,  3447,  1297,  1298,  1299,  1300,  1301,
    1302,  1303,  1304,  1305,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,  1306,   419,   420,   421,     0,   422,
     423,   424,  1307,  1308,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,  1309,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,  1312,   456,     0,   457,   458,   459,
     460,     0,  1315,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,  1318,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,  1319,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,  1322,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,  1324,   576,
       0,   577,   578,  1325,     0,   579,   580,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
    1328,   592,  1329,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
    1332,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,  1334,  1335,
    1336,  1337,   633,  1338,  1339,  1340,  1341,   638,   639,   640,
     641,     0,     0,     0,     0,     0,     0,   958,     0,  1594,
     708,     0,     0,     0,     0,   769,     0,     0,     0,     0,
       0,     0,     0,  6064,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,  1818,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
    1819,     0,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,  1820,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,     0,
       0,     0,     0,     0,     0,   958,     0,     0,     0,     0,
       0,     0,  1595,  1596,  5856,     0,     0,     0,     0,     0,
       0,  5857,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     3,     4,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,    40,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
      44,   579,   580,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,  1197,   614,     0,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,    49,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,  1037,     0,     0,
      50,     0,     0,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    56,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
     580,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,     0,     0,     0,     0,     0,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  5611,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,    40,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,    44,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,  1197,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,    49,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,     0,     0,     0,    50,     0,     0,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    56,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,  2886,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,   853,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,  2887,  2888,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,     0,     0,     0,     0,     0,     0,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1852,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,     0,
       0,     0,     0,     0,     0,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1406,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,     0,     0,     0,
       0,     0,     0,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3508,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,     0,     0,     0,     0,     0,
       0,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4180,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2099,     0,     0,     0,     0,     0,     0,  2100,
       0,     0,  2101,     0,     0,  4812,  2102,  2103,  2104,  2105,
    2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,  2114,  2115,
    2116,  2117,  2118,  2119,  2120,  2121,     0,  2122,  2123,  2124,
    2125,  2126,  2127,  2128,  2129,  2130,  2131,  2132,  2133,  2134,
    2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,  2144,
    2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,     0,     0,
    2153,  2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,
    2163,  2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,
    2173,  2174,  2175,  2176,  2177,  2178,  2179,  2180,     0,  2181,
    2182,  2183,  2184,  2185,  2186,  2187,  2188,  2189,  2190,  2191,
    2192,  2193,  2194,  2195,     0,  2196,  2197,  2198,  2199,  2200,
    2201,  2202,  2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,
    2211,  2212,  2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,
    2221,  2222,  2223,  2224,  2225,  2226,  2227,  2228,  2229,  2230,
    2231,     0,  2232,  2233,  2234,  2235,  2236,  2237,  2238,  2239,
    2240,  2241,  2242,  2243,     0,     0,  2244,  2245,  2246,  2247,
       0,  2248,  2249,  2250,  2251,  2252,     0,  2253,  2254,  2255,
    2256,  2257,     0,  2258,  2259,     0,  2260,  2261,  2262,     0,
    2263,  2264,     0,  2265,  2266,  2267,  2268,  2269,  2270,  2271,
    2272,  2273,  2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,
    2282,  2283,  2284,  2285,  2286,  2287,  2288,  2289,  2290,     0,
    2291,     0,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,
    2300,  2301,  2302,  2303,  2304,  2305,  2306,  2307,  2308,  2309,
    2310,  2311,  2312,  2313,  2314,  2315,  2316,  2317,  2318,  2319,
    2320,     0,  2321,  2322,  2323,  2324,  2325,  2326,  2327,  2328,
    2329,  2330,  2331,  2332,  2333,  2334,  2335,  2336,  2337,     0,
    2338,  2339,     0,  2340,  2341,  2342,  2343,  2344,  2345,  2346,
    2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,  2356,
    2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  2365,  2366,
    2367,     0,  2368,  2369,  2370,     0,  2371,  2372,  2373,  2374,
    2375,     0,  2376,  2377,  2378,  2379,     0,     0,  2380,  2381,
    2382,  2383,  2384,  2385,  2386,  2387,  2388,  2389,  2390,  2391,
    2392,  2393,  2394,  2395,     0,  2396,  2397,  2398,  2399,  2400,
    2401,  2402,  2403,  2404,  2405,  2406,  2407,  2408,  2409,  2410,
    2411,  2412,  2413,  2414,  2415,  2416,  2417,  2418,  2419,  2420,
    2421,  2422,  2423,  2424,  2425,  2426,  2427,  2428,  2429,     0,
    2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,  2439,
    2440,  2441,  2442,  2443,  2444,  2445,  2446,     0,  2447,  2448,
    2449,  2450,  2451,  2452,  2453,  2454,  2455,  2456,  2457,  2458,
    2459,  2460,  2461,  2462,  2463,  2464,  2465,  2466,  2467,  2468,
    2469,  2470,  2471,  2472,  2473,  2474,  2475,  2476,  2477,  2478,
    2479,  2480,  2481,  2482,  2483,  2484,  2485,  2486,  2487,  2488,
    2489,  2490,  2491,  2492,  2493,  2494,  2495,  2496,  2497,     0,
    2498,  2499,  2500,  2501,  2502,  2503,  2504,  2505,  2506,  2507,
    2508,  2509,  2510,  2511,  2512,  2513,     0,  2514,  2515,  2516,
    2517,  2518,  2519,  2520,  2521,  2522,  2523,  2524,  2525,  2526,
    2527,  2528,  2529,     0,  2530,  2531,  2532,  2533,  2534,  2535,
       0,  2536,     0,     0,     0,     0,  2537,  2538,  2539,  2540,
    2541,  2542,  2543,  2544,  2545,  2546,  2547,  2548,  2549,  2550,
    2551,     0,  2552,  2553,     0,  2554,     0,     0,     0,     0,
       0,     0,     0,     0,  2555,  2556,  2557,  2558,  2559,  2560,
    2561,  2562,  2563,   870,     0,  1594,   708,     0,     0,     0,
     973,   769,     0,     0,     0,     0,     0,   974,   975,   976,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  1730,
     244,   245,   246,  1731,  1732,  1733,  1734,  1735,  1736,  1737,
     247,   248,   249,  1738,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   871,   260,   872,   873,  1739,   263,   264,
     265,   266,   267,   268,   269,  1740,  1741,   270,   271,   874,
     875,   274,  1742,   275,   276,   277,   278,     0,  1743,   280,
    1744,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,  1745,   292,   293,   294,   295,   296,   297,  1746,
     298,   299,   300,   301,  1747,  1748,  1749,   302,  1750,  1751,
    1752,   303,   304,   305,   306,   307,   308,   876,   877,   311,
    1753,   312,  1754,   313,   314,   315,   316,   317,   318,   319,
    1755,   320,   321,   322,   323,  1756,  1757,   324,   325,   878,
     327,   328,  1758,   329,   330,   331,   332,  1759,   333,   334,
     335,   336,  1760,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,  1761,   347,  1762,   348,   349,   350,   879,
     352,  1763,   353,  1764,   354,   355,   356,  1765,   357,   358,
     359,   360,   361,  1766,   362,     0,  1767,     0,   365,   366,
    1768,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,  1769,   377,   378,   379,   380,   381,   382,   383,   384,
    1770,   385,   386,     0,   388,   389,   390,   391,   880,   881,
    1771,   882,  1772,   395,   396,   397,   398,   399,   883,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   410,   411,
     412,   413,   414,   415,   416,  1773,  1774,   417,     0,   419,
     420,   421,  1775,   422,   423,   424,  1776,  1777,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   436,
     437,   438,   439,   440,   441,   442,   443,   884,   445,   885,
     447,   448,   449,   450,   451,   452,   453,  4497,     0,   456,
    1778,   457,   458,   459,   460,  1779,     0,   462,   886,   464,
     465,   466,  1780,   467,   468,   469,  1781,  1782,  4498,   471,
     472,  1783,  1784,   473,   474,     0,   476,   477,   478,     0,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
    1785,   490,   491,     0,   493,     0,   495,   496,   497,  1786,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   887,   510,   511,   512,   513,  1787,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1788,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
    1789,   546,   547,   548,   549,   550,  1790,   551,   552,  2715,
     554,   555,   556,   557,   558,   889,   560,  1791,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,     0,   576,  1792,   577,   578,  1793,  1794,   579,
     580,   581,   582,   583,   584,   585,  1795,   586,   890,   891,
    1796,  1797,   589,   590,     0,   592,     0,  1798,   594,   595,
     596,   597,   598,   599,   600,   601,   602,  1799,  1800,   603,
     604,   605,   606,   607,  1801,  1802,   608,   609,   610,   611,
     612,     0,   892,  1803,   615,   616,   617,   618,   619,   620,
    1804,  1805,   621,  1806,  1807,   622,   623,   624,   625,   626,
     627,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   639,   640,   641,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   979,   980,   981,  4499,  4500,
     984,   985,   986,   987,   870,     0,  1594,   708,     0,     0,
       0,   973,   769,     0,     0,     0,     0,     0,   974,   975,
     976,   235,   236,   237,   238,   239,   240,   241,   242,   243,
    1730,   244,   245,   246,  1731,  1732,  1733,  1734,  1735,  1736,
    1737,   247,   248,   249,  1738,   250,   251,   252,   253,   254,
     255,   256,   257,     0,   871,   260,   872,   873,  1739,   263,
     264,   265,   266,   267,   268,   269,  1740,  1741,   270,   271,
     874,   875,   274,  1742,   275,   276,   277,   278,     0,  1743,
     280,  1744,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,  1745,   292,   293,   294,   295,   296,   297,
    1746,   298,   299,   300,   301,  1747,  1748,  1749,   302,  1750,
    1751,  1752,   303,   304,   305,   306,   307,   308,   876,   877,
     311,  1753,   312,  1754,   313,   314,   315,   316,   317,   318,
     319,  1755,   320,   321,   322,   323,  1756,  1757,   324,   325,
     878,   327,   328,  1758,   329,   330,   331,   332,  1759,   333,
     334,   335,   336,  1760,   337,   338,   339,   340,     0,   342,
     343,   344,   345,     0,  1761,   347,  1762,   348,   349,   350,
     879,   352,  1763,   353,  1764,   354,   355,   356,  1765,   357,
     358,   359,   360,   361,  1766,   362,     0,  1767,     0,   365,
     366,  1768,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,  1769,   377,   378,   379,   380,   381,   382,   383,
     384,  1770,   385,   386,     0,   388,   389,   390,   391,   880,
     881,  1771,   882,  1772,   395,   396,   397,   398,   399,   883,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   410,
     411,   412,   413,   414,   415,   416,  1773,  1774,   417,     0,
     419,   420,   421,  1775,   422,   423,   424,  1776,  1777,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,     0,
     436,   437,   438,   439,   440,   441,   442,   443,   884,   445,
     885,   447,   448,   449,   450,   451,   452,   453,  4952,     0,
     456,  1778,   457,   458,   459,   460,  1779,     0,   462,   886,
     464,   465,   466,  1780,   467,   468,   469,  1781,  1782,  4498,
     471,   472,  1783,  1784,   473,   474,     0,   476,   477,   478,
       0,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,  1785,   490,   491,     0,   493,     0,   495,   496,   497,
    1786,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   887,   510,   511,   512,   513,  1787,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,  1788,   527,   528,   529,   530,   531,   532,   533,   534,
       0,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,  1789,   546,   547,   548,   549,   550,  1790,   551,   552,
    2715,   554,   555,   556,   557,   558,   889,   560,  1791,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,     0,   576,  1792,   577,   578,  1793,  1794,
     579,   580,   581,   582,   583,   584,   585,  1795,   586,   890,
     891,  1796,  1797,   589,   590,     0,   592,     0,  1798,   594,
     595,   596,   597,   598,   599,   600,   601,   602,  1799,  1800,
     603,   604,   605,   606,   607,  1801,  1802,   608,   609,   610,
     611,   612,     0,   892,  1803,   615,   616,   617,   618,   619,
     620,  1804,  1805,   621,  1806,  1807,   622,   623,   624,   625,
     626,   627,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   639,   640,   641,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   979,   980,   981,  4499,
    4500,   984,   985,   986,   987,   649,     0,     0,     0,     0,
       0,     0,   973,     0,     0,     0,     0,     0,     0,   974,
     975,   976,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   977,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   978,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   979,   980,   981,
     982,   983,   984,   985,   986,   987,   649,     0,     0,     0,
       0,     0,     0,   973,     0,     0,     0,     0,     0,     0,
     974,   975,   976,   235,   236,   237,   238,   239,   240,   241,
     242,   243,     0,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   255,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,  1094,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,  1095,     0,   348,
     349,   350,   351,   352,     0,   353,     0,   354,   355,     0,
       0,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,     0,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,     0,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,     0,   546,   547,   548,   549,   550,     0,
     551,   552,   553,   554,   555,     0,   557,   558,   559,   560,
       0,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   578,
       0,     0,   579,     0,   581,   582,   583,   584,   585,     0,
     586,   587,   588,     0,     0,   589,   590,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,     0,   603,   604,   605,   606,   607,     0,     0,   608,
     609,   610,   611,   612,   613,   614,     0,   615,     0,   617,
     618,   619,   620,     0,     0,   621,     0,     0,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   979,   980,
     981,   982,   983,   984,   985,   986,   987,   649,     0,     0,
       0,     0,     0,     0,   973,     0,     0,     0,     0,     0,
       0,   974,   975,   976,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,  1160,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,  1161,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1162,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   979,
     980,   981,   982,   983,   984,   985,   986,   987,   649,     0,
       0,     0,     0,     0,     0,   973,     0,     0,     0,     0,
       0,     0,   974,   975,   976,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,     0,   255,   256,   257,   258,   259,     0,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,  1835,
     277,   278,   279,     0,     0,     0,   281,   282,   283,   284,
     285,   286,     0,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,     0,   299,   300,   301,     0,
       0,     0,     0,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,  1836,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,     0,     0,     0,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,     0,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,     0,
       0,   398,     0,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,     0,   420,     0,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,     0,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,     0,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,     0,   477,     0,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,     0,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,   527,   528,     0,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,     0,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,     0,   557,   558,
     559,   560,     0,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   578,     0,     0,   579,     0,   581,   582,   583,   584,
     585,     0,   586,   587,   588,     0,     0,   589,   590,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,     0,   603,   604,   605,   606,   607,     0,
       0,   608,   609,   610,   611,   612,   613,   614,     0,   615,
       0,   617,   618,   619,   620,     0,     0,   621,     0,     0,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     979,   980,   981,   982,   983,   984,   985,   986,   987,   649,
       0,     0,     0,     0,     0,     0,   973,     0,     0,     0,
       0,     0,     0,   974,   975,   976,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   979,   980,   981,   982,   983,   984,   985,   986,   987,
     649,     0,     0,     0,     0,     0,     0,   973,     0,     0,
       0,     0,     0,     0,   974,   975,   976,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,     0,   255,   256,   257,   258,
     259,     0,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,  3580,   277,   278,   279,     0,     0,     0,   281,   282,
     283,   284,   285,   286,     0,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,     0,   299,   300,
     301,     0,     0,     0,     0,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,     0,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
       0,  3581,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,     0,     0,     0,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,     0,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,     0,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,     0,     0,   398,     0,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,     0,   420,     0,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,     0,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
       0,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,     0,     0,   470,   471,   472,     0,     0,
     473,   474,   475,     0,   477,     0,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,     0,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,     0,   527,   528,
       0,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,     0,   546,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,     0,
     557,   558,   559,   560,     0,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   578,     0,     0,   579,     0,   581,   582,
     583,   584,   585,     0,   586,   587,   588,     0,     0,   589,
     590,   591,   592,   593,     0,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,     0,   603,   604,   605,   606,
     607,     0,     0,   608,   609,   610,   611,   612,   613,   614,
       0,   615,     0,   617,   618,   619,   620,     0,     0,   621,
       0,     0,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   979,   980,   981,   982,   983,   984,   985,   986,
     987,   649,     0,     0,     0,     0,     0,     0,   973,     0,
       0,     0,     0,     0,     0,   974,   975,   976,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,  5588,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,     0,     0,  1729,     0,     0,     0,     0,
       0,     0,     0,   979,   980,   981,   982,   983,   984,   985,
     986,   987,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  1730,   244,   245,   246,  1731,  1732,  1733,  1734,  1735,
    1736,  1737,   247,   248,   249,  1738,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,  1739,
     263,   264,   265,   266,   267,   268,   269,  1740,  1741,   270,
     271,   272,   273,   274,  1742,   275,   276,   277,   278,   279,
    1743,   280,  1744,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,  1745,   292,   293,   294,   295,   296,
     297,  1746,   298,   299,   300,   301,  1747,  1748,  1749,   302,
    1750,  1751,  1752,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  1753,   312,  1754,   313,   314,   315,   316,   317,
     318,   319,  1755,   320,   321,   322,   323,  1756,  1757,   324,
     325,   326,   327,   328,  1758,   329,   330,   331,   332,  1759,
     333,   334,   335,   336,  1760,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,  1761,   347,  1762,   348,   349,
     350,   351,   352,  1763,   353,  1764,   354,   355,   356,  1765,
     357,   358,   359,   360,   361,  1766,   362,   363,  1767,   364,
     365,   366,  1768,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,  1769,   377,   378,   379,   380,   381,   382,
     383,   384,  1770,   385,   386,   387,   388,   389,   390,   391,
     392,   393,  1771,   394,  1772,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,  1773,  1774,   417,
     418,   419,   420,   421,  1775,   422,   423,   424,  1776,  1777,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1778,   457,   458,   459,   460,  1779,   461,   462,
     463,   464,   465,   466,  1780,   467,   468,   469,  1781,  1782,
     470,   471,   472,  1783,  1784,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,  1785,   490,   491,   492,   493,   494,   495,   496,
     497,  1786,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,  1787,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1788,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,  1789,   546,   547,   548,   549,   550,  1790,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,  1791,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,  1792,   577,   578,  1793,
    1794,   579,   580,   581,   582,   583,   584,   585,  1795,   586,
     587,   588,  1796,  1797,   589,   590,   591,   592,   593,  1798,
     594,   595,   596,   597,   598,   599,   600,   601,   602,  1799,
    1800,   603,   604,   605,   606,   607,  1801,  1802,   608,   609,
     610,   611,   612,   613,   614,  1803,   615,   616,   617,   618,
     619,   620,  1804,  1805,   621,  1806,  1807,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1808,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   859,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  6033,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  6035,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    6153,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   871,   260,   872,   873,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   874,   875,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   876,
     877,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   878,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   879,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,  2711,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,  2712,   388,   389,   390,   391,
     880,   881,     0,   882,     0,   395,   396,   397,   398,   399,
     883,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
       0,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   436,   437,   438,   439,   440,   441,   442,   443,   884,
     445,   885,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   456,     0,   457,   458,   459,   460,     0,     0,   462,
     886,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,  2713,   473,   474,  2714,   476,   477,
     478,     0,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,     0,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   887,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,  2715,   554,   555,   556,   557,   558,   889,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,     0,   576,     0,   577,   578,     0,
       0,   579,   580,   581,   582,   583,   584,   585,     0,   586,
     890,   891,     0,     0,   589,   590,     0,   592,     0,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,     0,   892,  2716,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,     0,     0,     0,  3929,     0,     0,     0,
       0,     0,     0,     0,   639,   640,   641,     0,     0,     0,
       0,     0,     0,   235,   236,   237,   238,   239,   240,   241,
     242,   243,  2717,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,   254,   255,   256,   257,     0,   871,   260,   872,   873,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   874,   875,   274,     0,   275,   276,   277,   278,
       0,     0,   280,     0,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,   298,   299,   300,   301,     0,     0,     0,
     302,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     876,   877,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   878,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
       0,   342,   343,   344,   345,     0,     0,   347,     0,   348,
     349,   350,   879,   352,     0,   353,     0,   354,   355,   356,
       0,   357,   358,   359,   360,   361,     0,   362,     0,     0,
       0,   365,   366,     0,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,  2711,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,   386,  2712,   388,   389,   390,
     391,   880,   881,     0,   882,     0,   395,   396,   397,   398,
     399,   883,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   410,   411,   412,   413,   414,   415,   416,     0,     0,
     417,     0,   419,   420,   421,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,     0,   436,   437,   438,   439,   440,   441,   442,   443,
     884,   445,   885,   447,   448,   449,   450,   451,   452,   453,
       0,     0,   456,     0,   457,   458,   459,   460,     0,     0,
     462,   886,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,  2713,   473,   474,  2714,   476,
     477,   478,     0,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,     0,   493,     0,   495,
     496,   497,     0,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   887,   510,   511,   512,   513,     0,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,   527,   528,   529,   530,   531,   532,
     533,   534,     0,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,     0,   546,   547,   548,   549,   550,     0,
     551,   552,  2715,   554,   555,   556,   557,   558,   889,   560,
       0,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,     0,   576,     0,   577,   578,
       0,     0,   579,   580,   581,   582,   583,   584,   585,     0,
     586,   890,   891,     0,     0,   589,   590,     0,   592,     0,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,     0,   603,   604,   605,   606,   607,     0,     0,   608,
     609,   610,   611,   612,     0,   892,  2716,   615,   616,   617,
     618,   619,   620,     0,     0,   621,     0,     0,   622,   623,
     624,   625,   626,   627,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   639,   640,   641,   958,     0,
    1594,   708,     0,     0,     0,     0,   769,     0,     0,     0,
       0,     0,     0,  2717,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     0,     0,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,  2602,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,  1818,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,  1819,     0,   470,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,     0,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,     0,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,     0,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   578,     0,     0,   579,   580,   581,   582,   583,   584,
     585,     0,   586,   587,   588,     0,     0,   589,   590,   591,
     592,   593,  1820,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,     0,   603,   604,   605,   606,   607,     0,
       0,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,     0,   621,     0,     0,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
     958,     0,  1594,   708,     0,     0,     0,     0,   769,     0,
       0,     0,     0,  1595,  1596,     0,     0,   235,   236,   237,
     238,   239,   240,   241,   242,   243,     0,   244,   245,   246,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
       0,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,     0,   263,   264,   265,   266,   267,
     268,   269,     0,     0,   270,   271,   272,   273,   274,     0,
     275,   276,   277,   278,   279,     0,   280,     0,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,     0,   298,   299,   300,
     301,     0,     0,     0,   302,     0,     0,     0,   303,   304,
     305,   306,   307,   308,   309,   310,   311,  2607,   312,     0,
     313,   314,   315,   316,   317,   318,   319,     0,   320,   321,
     322,   323,     0,     0,   324,   325,   326,   327,   328,     0,
     329,   330,   331,   332,     0,   333,   334,   335,   336,     0,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
    1818,   347,     0,   348,   349,   350,   351,   352,     0,   353,
       0,   354,   355,   356,     0,   357,   358,   359,   360,   361,
       0,   362,   363,     0,   364,   365,   366,     0,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,     0,   377,
     378,   379,   380,   381,   382,   383,   384,     0,   385,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,     0,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,     0,     0,   417,   418,   419,   420,   421,     0,
     422,   423,   424,     0,     0,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,     0,   457,   458,
     459,   460,     0,   461,   462,   463,   464,   465,   466,     0,
     467,   468,   469,  1819,     0,   470,   471,   472,     0,     0,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,     0,   490,   491,
     492,   493,   494,   495,   496,   497,     0,   498,   499,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,     0,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,     0,   527,   528,
     529,   530,   531,   532,   533,   534,   535,   536,   537,   538,
     539,   540,   541,   542,   543,   544,   545,     0,   546,   547,
     548,   549,   550,     0,   551,   552,   553,   554,   555,   556,
     557,   558,   559,   560,     0,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,     0,   577,   578,     0,     0,   579,   580,   581,   582,
     583,   584,   585,     0,   586,   587,   588,     0,     0,   589,
     590,   591,   592,   593,  1820,   594,   595,   596,   597,   598,
     599,   600,   601,   602,     0,     0,   603,   604,   605,   606,
     607,     0,     0,   608,   609,   610,   611,   612,   613,   614,
       0,   615,   616,   617,   618,   619,   620,     0,     0,   621,
       0,     0,   622,   623,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   634,   635,   636,   637,   638,   639,
     640,   641,   958,     0,  1594,   708,     0,     0,     0,     0,
     769,     0,     0,     0,     0,  1595,  1596,     0,     0,   235,
     236,   237,   238,   239,   240,   241,   242,   243,     0,   244,
     245,   246,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,     0,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,     0,   263,   264,   265,
     266,   267,   268,   269,     0,     0,   270,   271,   272,   273,
     274,     0,   275,   276,   277,   278,   279,     0,   280,     0,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,     0,   298,
     299,   300,   301,     0,     0,     0,   302,     0,     0,     0,
     303,   304,   305,   306,   307,   308,   309,   310,   311,  3540,
     312,     0,   313,   314,   315,   316,   317,   318,   319,     0,
     320,   321,   322,   323,     0,     0,   324,   325,   326,   327,
     328,     0,   329,   330,   331,   332,     0,   333,   334,   335,
     336,     0,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,  1818,   347,     0,   348,   349,   350,   351,   352,
       0,   353,     0,   354,   355,   356,     0,   357,   358,   359,
     360,   361,     0,   362,   363,     0,   364,   365,   366,     0,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
       0,   377,   378,   379,   380,   381,   382,   383,   384,     0,
     385,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,     0,     0,   417,   418,   419,   420,
     421,     0,   422,   423,   424,     0,     0,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,     0,
     457,   458,   459,   460,     0,   461,   462,   463,   464,   465,
     466,     0,   467,   468,   469,  1819,     0,   470,   471,   472,
       0,     0,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,     0,
     490,   491,   492,   493,   494,   495,   496,   497,     0,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,     0,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,     0,
     527,   528,   529,   530,   531,   532,   533,   534,   535,   536,
     537,   538,   539,   540,   541,   542,   543,   544,   545,     0,
     546,   547,   548,   549,   550,     0,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,     0,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,     0,   577,   578,     0,     0,   579,   580,
     581,   582,   583,   584,   585,     0,   586,   587,   588,     0,
       0,   589,   590,   591,   592,   593,  1820,   594,   595,   596,
     597,   598,   599,   600,   601,   602,     0,     0,   603,   604,
     605,   606,   607,     0,     0,   608,   609,   610,   611,   612,
     613,   614,     0,   615,   616,   617,   618,   619,   620,     0,
       0,   621,     0,     0,   622,   623,   624,   625,   626,   627,
     628,   629,   630,   631,   632,   633,   634,   635,   636,   637,
     638,   639,   640,   641,   958,     0,  1594,   708,     0,     0,
       0,     0,   769,     0,     0,     0,     0,  1595,  1596,     0,
       0,   235,   236,   237,   238,   239,   240,   241,   242,   243,
       0,   244,   245,   246,     0,     0,     0,     0,     0,     0,
       0,   247,   248,   249,     0,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,     0,   263,
     264,   265,   266,   267,   268,   269,     0,     0,   270,   271,
     272,   273,   274,     0,   275,   276,   277,   278,   279,     0,
     280,     0,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
       0,   298,   299,   300,   301,     0,     0,     0,   302,     0,
       0,     0,   303,   304,   305,   306,   307,   308,   309,   310,
     311,     0,   312,     0,   313,   314,   315,   316,   317,   318,
     319,     0,   320,   321,   322,   323,     0,     0,   324,   325,
     326,   327,   328,     0,   329,   330,   331,   332,     0,   333,
     334,   335,   336,     0,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,  1818,   347,     0,   348,   349,   350,
     351,   352,     0,   353,     0,   354,   355,   356,     0,   357,
     358,   359,   360,   361,     0,   362,   363,     0,   364,   365,
     366,     0,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,     0,   377,   378,   379,   380,   381,   382,   383,
     384,     0,   385,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,     0,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,     0,     0,   417,   418,
     419,   420,   421,     0,   422,   423,   424,     0,     0,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,     0,   457,   458,   459,   460,     0,   461,   462,   463,
     464,   465,   466,     0,   467,   468,   469,  1819,     0,   470,
     471,   472,     0,     0,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,     0,   490,   491,   492,   493,   494,   495,   496,   497,
       0,   498,   499,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,     0,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,     0,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,     0,   546,   547,   548,   549,   550,     0,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,     0,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,     0,   577,   578,     0,     0,
     579,   580,   581,   582,   583,   584,   585,     0,   586,   587,
     588,     0,     0,   589,   590,   591,   592,   593,  1820,   594,
     595,   596,   597,   598,   599,   600,   601,   602,     0,     0,
     603,   604,   605,   606,   607,     0,     0,   608,   609,   610,
     611,   612,   613,   614,     0,   615,   616,   617,   618,   619,
     620,     0,     0,   621,     0,     0,   622,   623,   624,   625,
     626,   627,   628,   629,   630,   631,   632,   633,   634,   635,
     636,   637,   638,   639,   640,   641,   649,     0,     0,     0,
       0,     0,     0,     0,   769,     0,     0,     0,     0,  1595,
    1596,     0,     0,   235,   236,   770,   238,   239,   240,   241,
     242,   243,   771,   244,   245,   246,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,     0,   250,   251,   252,
     253,     0,   772,   256,   257,   258,   259,     0,   261,   262,
       0,   263,   264,   265,   266,   267,   268,   269,     0,     0,
     270,   271,   272,   273,   274,     0,   275,   276,   277,   278,
     279,     0,     0,     0,   281,   282,   283,   284,   285,   286,
       0,   288,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,     0,     0,   299,   300,   301,     0,     0,     0,
       0,     0,     0,     0,   303,   304,   305,   306,   307,   308,
     309,   310,   311,     0,   312,     0,   313,   314,   315,   316,
     317,   318,   319,     0,   320,   321,   322,   323,     0,     0,
     324,   325,   326,   327,   328,     0,   329,   330,   331,   332,
       0,   333,   334,   335,   336,     0,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,     0,   347,     0,   348,
     349,   773,   351,   352,     0,   353,     0,   354,   774,     0,
     775,     0,   358,   359,   360,   361,     0,   362,   363,     0,
     364,   365,   366,     0,   367,   368,   369,   370,   371,     0,
     373,   374,   375,   376,   776,   377,   378,   379,   380,   381,
     382,   383,   384,     0,   385,     0,   387,   388,   389,   390,
     391,   392,   393,     0,   394,     0,   395,     0,     0,   398,
       0,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   777,     0,     0,
     417,   418,     0,   420,     0,     0,   422,   423,   424,     0,
       0,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,     0,   446,   447,   778,   449,   450,   451,   452,   453,
     454,   455,   456,     0,   457,   458,     0,   460,     0,   461,
     462,   463,   464,   465,   466,     0,   467,   468,   469,     0,
       0,   470,   471,   472,     0,     0,   473,   474,   475,     0,
     477,     0,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,     0,   490,   491,   492,   493,   494,   495,
     496,   497,     0,   779,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,     0,
     514,   515,   516,   780,   518,   519,   520,   521,   522,   523,
     524,   525,   526,     0,   527,   528,     0,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,     0,   546,   547,   548,   549,   550,     0,
     551,   552,   553,   554,   555,     0,   557,   558,   559,   560,
       0,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,     0,   577,   578,
       0,     0,   579,     0,   581,   582,   583,   584,   585,     0,
     586,   587,   588,     0,     0,   589,   590,   591,   592,   593,
       0,   594,   595,   596,   597,   598,   599,   600,   601,   602,
       0,     0,   603,   604,   605,   606,   607,     0,     0,   608,
     609,   610,   611,   612,   613,   614,     0,   615,     0,   617,
     618,   619,   620,     0,     0,   621,     0,     0,   622,   623,
     624,   625,   626,   627,   628,   629,   630,   631,   632,   633,
     634,   635,   636,   637,   638,   639,   640,   641,   958,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   781,   782,     0,     0,   235,   236,   237,   238,   239,
     240,   241,   242,   243,     0,   244,   245,   246,     3,     4,
       0,     0,     0,     0,     0,   247,   248,   249,     0,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,     0,   263,   264,   265,   266,   267,   268,   269,
       0,     0,   270,   271,   272,   273,   274,     0,   275,   276,
     277,   278,   279,     0,   280,     0,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,     0,   298,   299,   300,   301,     0,
       0,     0,   302,     0,     0,     0,   303,   304,   305,   306,
     307,   308,   309,   310,   311,     0,   312,     0,   313,   314,
     315,   316,   317,   318,   319,     0,   320,   321,   322,   323,
       0,     0,   324,   325,   326,   327,   328,     0,   329,   330,
     331,   332,     0,   333,   334,   335,   336,     0,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,     0,   347,
       0,   348,   349,   350,   351,   352,     0,   353,     0,   354,
     355,   356,     0,   357,   358,   359,   360,   361,     0,   362,
     363,     0,   364,   365,   366,     0,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,     0,   377,   378,   379,
     380,   381,   382,   383,   384,     0,   385,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
       0,     0,   417,   418,   419,   420,   421,     0,   422,   423,
     424,     0,     0,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,     0,   457,   458,   459,   460,
       0,   461,   462,   463,   464,   465,   466,     0,   467,   468,
     469,     0,     0,   470,   471,   472,     0,     0,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,     0,   490,   491,   492,   493,
     494,   495,   496,   497,     0,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,     0,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,     0,   527,   528,   529,   530,
     531,   532,   533,   534,   535,   536,   537,   538,   539,   540,
     541,   542,   543,   544,   545,     0,   546,   547,   548,   549,
     550,     0,   551,   552,   553,   554,   555,   556,   557,   558,
     559,   560,     0,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,     0,
     577,   578,     0,     0,   579,   580,   581,   582,   583,   584,
     585,     0,   586,   587,   588,     0,     0,   589,   590,   591,
     592,   593,     0,   594,   595,   596,   597,   598,   599,   600,
     601,   602,     0,     0,   603,   604,   605,   606,   607,     0,
       0,   608,   609,   610,   611,   612,   613,   614,     0,   615,
     616,   617,   618,   619,   620,     0,     0,   621,     0,     0,
     622,   623,   624,   625,   626,   627,   628,   629,   630,   631,
     632,   633,   634,   635,   636,   637,   638,   639,   640,   641,
    1037,  1729,     0,  6332,   708,     0,     0,     0,     0,   769,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1730,   244,   245,
     246,  1731,  1732,  1733,  1734,  1735,  1736,  1737,   247,   248,
     249,  1738,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,  1739,   263,   264,   265,   266,
     267,   268,   269,  1740,  1741,   270,   271,   272,   273,   274,
    1742,   275,   276,   277,   278,   279,  1743,   280,  1744,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
    1745,   292,   293,   294,   295,   296,   297,  1746,   298,   299,
     300,   301,  1747,  1748,  1749,   302,  1750,  1751,  1752,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  1753,   312,
    1754,   313,   314,   315,   316,   317,   318,   319,  1755,   320,
     321,   322,   323,  1756,  1757,   324,   325,   326,   327,   328,
    1758,   329,   330,   331,   332,  1759,   333,   334,   335,   336,
    1760,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,  1761,   347,  1762,   348,   349,   350,   351,   352,  1763,
     353,  1764,   354,   355,   356,  1765,   357,   358,   359,   360,
     361,  1766,   362,   363,  1767,   364,   365,   366,  1768,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,  1769,
     377,   378,   379,   380,   381,   382,   383,   384,  1770,   385,
     386,   387,   388,   389,   390,   391,   392,   393,  1771,   394,
    1772,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,  1773,  1774,   417,   418,   419,   420,   421,
    1775,   422,   423,   424,  1776,  1777,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  1778,   457,
     458,   459,   460,  1779,   461,   462,   463,   464,   465,   466,
    1780,   467,   468,   469,  1781,  1782,   470,   471,   472,  1783,
    1784,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,  1785,   490,
     491,   492,   493,   494,   495,   496,   497,  1786,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,  1787,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,  1788,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,  1789,   546,
     547,   548,   549,   550,  1790,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,  1791,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,  1792,   577,   578,  1793,  1794,   579,   580,   581,
     582,   583,   584,   585,  1795,   586,   587,   588,  1796,  1797,
     589,   590,   591,   592,   593,  1798,   594,   595,   596,   597,
     598,   599,   600,   601,   602,  1799,  1800,   603,   604,   605,
     606,   607,  1801,  1802,   608,   609,   610,   611,   612,   613,
     614,  1803,   615,   616,   617,   618,   619,   620,  1804,  1805,
     621,  1806,  1807,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,  1729,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  1730,
     244,   245,   246,  1731,  1732,  1733,  1734,  1735,  1736,  1737,
     247,   248,   249,  1738,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,  1739,   263,   264,
     265,   266,   267,   268,   269,  1740,  1741,   270,   271,   272,
     273,   274,  1742,   275,   276,   277,   278,   279,  1743,   280,
    1744,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,  1745,   292,   293,   294,   295,   296,   297,  1746,
     298,   299,   300,   301,  1747,  1748,  1749,   302,  1750,  1751,
    1752,   303,   304,   305,   306,   307,   308,   309,   310,   311,
    1753,   312,  1754,   313,   314,   315,   316,   317,   318,   319,
    1755,   320,   321,   322,   323,  1756,  1757,   324,   325,   326,
     327,   328,  1758,   329,   330,   331,   332,  1759,   333,   334,
     335,   336,  1760,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,  1761,   347,  1762,   348,   349,   350,   351,
     352,  1763,   353,  1764,   354,   355,   356,  1765,   357,   358,
     359,   360,   361,  1766,   362,   363,  1767,   364,   365,   366,
    1768,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,  1769,   377,   378,   379,   380,   381,   382,   383,   384,
    1770,   385,   386,   387,   388,   389,   390,   391,   392,   393,
    1771,   394,  1772,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,  1773,  1774,   417,   418,   419,
     420,   421,  1775,   422,   423,   424,  1776,  1777,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
    1778,   457,   458,   459,   460,  1779,   461,   462,   463,   464,
     465,   466,  1780,   467,   468,   469,  1781,  1782,   470,   471,
     472,  1783,  1784,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
    1785,   490,   491,   492,   493,   494,   495,   496,   497,  1786,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,  1787,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
    1788,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
    1789,   546,   547,   548,   549,   550,  1790,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,  1791,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,  1792,   577,   578,  1793,  1794,   579,
     580,   581,   582,   583,   584,   585,  1795,   586,   587,   588,
    1796,  1797,   589,   590,   591,   592,   593,  1798,   594,   595,
     596,   597,   598,   599,   600,   601,   602,  1799,  1800,   603,
     604,   605,   606,   607,  1801,  1802,   608,   609,   610,   611,
     612,   613,   614,  1803,   615,   616,   617,   618,   619,   620,
    1804,  1805,   621,  1806,  1807,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,  1729,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,  3646,   241,   242,
     243,  1730,   244,   245,   246,  1731,  1732,  1733,  1734,  1735,
    1736,  1737,   247,   248,   249,  1738,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,  1739,
     263,   264,   265,   266,   267,   268,   269,  1740,  1741,   270,
     271,   272,   273,   274,  1742,   275,   276,   277,   278,   279,
    1743,   280,  1744,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,  1745,   292,   293,   294,   295,   296,
     297,  1746,   298,   299,   300,   301,  1747,  1748,  1749,   302,
    1750,  1751,  1752,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  1753,   312,  1754,   313,   314,   315,   316,   317,
     318,   319,  1755,   320,   321,   322,   323,  1756,  1757,   324,
     325,   326,  3647,   328,  1758,   329,   330,   331,   332,  1759,
     333,   334,   335,   336,  1760,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,  1761,   347,  1762,   348,   349,
     350,   351,   352,  1763,   353,  1764,   354,   355,   356,  1765,
     357,   358,   359,   360,   361,  1766,   362,   363,  1767,   364,
     365,   366,  1768,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,  1769,   377,   378,   379,   380,   381,   382,
     383,   384,  1770,   385,   386,   387,   388,   389,   390,   391,
     392,   393,  1771,   394,  1772,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,  1773,  1774,   417,
     418,   419,   420,   421,  1775,   422,   423,   424,  1776,  1777,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,  1778,   457,   458,   459,   460,  1779,   461,   462,
     463,   464,   465,   466,  1780,   467,   468,   469,  1781,  1782,
     470,   471,   472,  1783,  1784,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,  1785,   490,   491,   492,   493,   494,   495,   496,
     497,  1786,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,  1787,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,  1788,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,  1789,   546,   547,   548,   549,   550,  1790,  3648,
     552,   553,   554,   555,   556,   557,   558,   559,   560,  1791,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,  1792,   577,   578,  1793,
    1794,   579,   580,   581,   582,   583,   584,   585,  1795,   586,
     587,   588,  1796,  1797,   589,   590,   591,   592,   593,  1798,
     594,   595,   596,   597,   598,   599,   600,   601,   602,  1799,
    1800,   603,   604,   605,   606,   607,  1801,  1802,   608,   609,
     610,   611,   612,   613,   614,  1803,   615,   616,   617,   618,
     619,   620,  1804,  1805,   621,  1806,  1807,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
    1272,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,  1275,     0,  1276,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,  1277,  1278,
    1279,  1280,  1281,  1282,  1283,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,  1288,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,  1291,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,  3447,  1297,  1298,  1299,  1300,  1301,  1302,  1303,
    1304,  1305,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,  1306,   419,   420,   421,     0,   422,   423,   424,
    1307,  1308,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,  1309,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,  1312,   456,     0,   457,   458,   459,   460,     0,
    1315,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,  1318,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,  1319,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
    1322,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,  1324,   576,     0,   577,
     578,  1325,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,  1328,   592,
    1329,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,  1332,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,  1334,  1335,  1336,  1337,
     633,  1338,  1339,  1340,  1341,   638,   639,   640,   641,   234,
       0,  1262,   708,     0,  1263,  1264,     0,   769,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,  1268,
     260,  1269,  1270,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,  1273,  1274,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,  1284,  1285,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   878,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,  1289,
     347,     0,   348,   349,   350,  1290,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,  1293,  1294,     0,  1295,     0,   395,
     396,   397,   398,   399,  6308,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,  1310,   445,  1311,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,   459,
     460,  1314,   461,   462,  1316,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,  1320,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,  1323,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,   580,   581,   582,   583,
     584,   585,     0,   586,  1326,  1327,     0,     0,   589,   590,
     591,   592,   593,  1330,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,  1333,     0,
     615,   616,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   958,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   997,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,   959,   302,     0,     0,   960,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,   961,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,  1018,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,   959,   302,     0,     0,
     960,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,  1019,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,   961,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
     580,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,   959,   302,
       0,     0,   960,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,   961,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,   580,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,  2980,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   958,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
     959,   302,     0,     0,   960,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
    4000,   364,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
     961,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   958,
       0,     0,   708,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,  1818,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,  1819,     0,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,   580,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,  1820,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   958,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,   959,   302,     0,     0,   960,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,   961,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   958,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,   959,   302,     0,     0,
     960,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,  1113,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,   961,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
     580,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,   959,   302,
       0,     0,   960,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1155,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,   961,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,   580,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   958,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
     959,   302,     0,     0,   960,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1168,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
     961,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   958,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,   959,   302,     0,     0,   960,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1180,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,  1181,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,   961,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,   580,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   958,     0,     0,   708,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  2587,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   958,     0,     0,   708,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
     580,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   234,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,   580,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   234,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1139,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,   459,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   234,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1152,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,   459,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,   580,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,   616,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1166,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,   459,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   234,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1170,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,   459,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
     580,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,   616,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   958,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,   459,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,   580,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,  2750,   275,   276,   277,
     278,   279,     0,     0,  2820,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,  2751,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,  2821,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,  2753,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  2822,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,  2754,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,  2755,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,  2756,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,  2750,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,  2751,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,  2821,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,  2753,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,  3863,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,  2754,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,  2755,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,  2756,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
    2750,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
    2751,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,  2821,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,  2753,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,  2754,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,  2755,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,  2756,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   788,
     244,   789,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   790,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,   821,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   791,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     792,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   788,   244,   789,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   790,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,  3547,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   791,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   792,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   788,   244,   789,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   790,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     791,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   792,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  3056,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,  2886,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,   853,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,  2887,  2888,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  1996,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,  1997,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,  1998,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,  1999,   354,   355,     0,     0,     0,  2000,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
    2001,  2002,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,  2003,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,  2004,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,  2005,   534,   535,   536,   537,
     538,   539,  2006,   541,   542,   543,   544,   545,     0,  2007,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,  2008,   579,     0,  2009,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,  2010,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   789,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   790,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   791,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     792,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,  2886,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,   853,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
    2887,  2888,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1011,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1012,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,   853,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  3627,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
    3628,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,  3640,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,  3641,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   650,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   699,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   700,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   813,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   814,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   815,   588,     0,     0,   816,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   847,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   848,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   849,   588,     0,     0,   850,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,   853,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,   913,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   968,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   969,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,  1131,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,  1381,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,  1392,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   833,   271,   272,   273,  1393,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   836,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   837,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   838,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,  1385,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   840,   588,     0,     0,
     841,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   842,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1538,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,   853,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,  1599,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1600,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   813,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,  3396,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,  3397,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,  3398,   579,     0,   581,  3399,   583,
    3400,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,  3401,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,   708,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,   769,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
    4216,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,  4230,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,  4372,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,  4893,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,  4966,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,  5324,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   805,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     811,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   833,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   834,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   835,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   836,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   837,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   838,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   839,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   840,   588,
       0,     0,   841,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     842,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   865,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   993,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1003,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1006,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1022,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1079,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1084,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1101,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1104,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1106,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1144,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1172,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1174,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1184,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1187,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1190,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   833,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     836,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   837,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   838,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,  1385,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   840,   588,     0,     0,   841,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   842,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1861,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,  1895,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  1897,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  1937,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  1939,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  1941,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
    2035,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,  2703,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,   371,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,     0,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   833,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   836,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   837,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   838,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,  1385,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,  2737,   582,   583,   584,   585,     0,   586,
     840,   588,     0,     0,   841,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   842,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   833,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,   371,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     836,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   837,   531,
     532,   533,   534,   535,   536,   537,   538,   539,  2803,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,  2804,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   840,   588,     0,     0,  2805,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   842,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   833,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,   371,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   836,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     837,   531,   532,   533,   534,   535,   536,   537,   538,   539,
    2883,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,  2804,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   840,   588,     0,     0,  2805,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   842,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   833,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   836,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   837,   531,   532,   533,   534,   535,   536,   537,
     538,   539,  2907,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,  2804,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   840,   588,     0,     0,
    2805,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   842,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  3101,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  3105,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  3163,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  3559,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   833,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   836,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   837,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   838,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,  2804,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   840,   588,     0,     0,
    2805,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   842,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  3616,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
     365,   366,     0,   367,   368,   369,   370,  3630,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   649,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,     0,   255,   256,   257,   258,   259,     0,   261,
     262,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   272,   273,   274,     0,   275,   276,   277,
     278,   279,     0,     0,     0,   281,   282,   283,   284,   285,
     286,     0,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,     0,   299,   300,   301,     0,     0,
       0,     0,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   309,   310,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,     0,   347,     0,
     348,   349,   350,   351,   352,     0,   353,     0,   354,   355,
       0,     0,     0,   358,   359,   360,   361,     0,   362,   363,
       0,   364,   365,   366,     0,   367,   368,   369,   370,  3632,
       0,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   395,     0,     0,
     398,     0,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,   418,     0,   420,     0,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,     0,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,     0,   457,   458,     0,   460,     0,
     461,   462,   463,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,   475,
       0,   477,     0,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,   492,   493,   494,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,     0,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   553,   554,   555,     0,   557,   558,   559,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,     0,   577,
     578,     0,     0,   579,     0,   581,   582,   583,   584,   585,
       0,   586,   587,   588,     0,     0,   589,   590,   591,   592,
     593,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,   613,   614,     0,   615,     0,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   628,   629,   630,   631,   632,
     633,   634,   635,   636,   637,   638,   639,   640,   641,   649,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,     0,   255,   256,   257,   258,   259,
       0,   261,   262,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   272,   273,   274,     0,   275,
     276,   277,   278,   279,     0,     0,     0,   281,   282,   283,
     284,   285,   286,     0,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,     0,   299,   300,   301,
       0,     0,     0,     0,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   309,   310,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   326,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,     0,
     347,     0,   348,   349,   350,   351,   352,     0,   353,     0,
     354,   355,     0,     0,     0,   358,   359,   360,   361,     0,
     362,   363,     0,   364,   365,   366,     0,   367,   368,   369,
     370,  3782,     0,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,     0,   387,
     388,   389,   390,   391,   392,   393,     0,   394,     0,   395,
       0,     0,   398,     0,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,   418,     0,   420,     0,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,   440,
     441,   442,   443,   444,     0,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,     0,   457,   458,     0,
     460,     0,   461,   462,   463,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,   475,     0,   477,     0,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,   492,
     493,   494,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,     0,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   553,   554,   555,     0,   557,
     558,   559,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,   575,   576,
       0,   577,   578,     0,     0,   579,     0,   581,   582,   583,
     584,   585,     0,   586,   587,   588,     0,     0,   589,   590,
     591,   592,   593,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,   613,   614,     0,
     615,     0,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   649,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,     0,   255,   256,   257,
     258,   259,     0,   261,   262,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   272,   273,   274,
       0,   275,   276,   277,   278,   279,     0,     0,     0,   281,
     282,   283,   284,   285,   286,     0,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,     0,   299,
     300,   301,     0,     0,     0,     0,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   309,   310,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,  3824,   326,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,     0,   347,     0,   348,   349,   350,   351,   352,     0,
     353,     0,   354,   355,     0,     0,     0,   358,   359,   360,
     361,     0,   362,   363,     0,   364,   365,   366,     0,   367,
     368,   369,   370,   371,     0,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
       0,   387,   388,   389,   390,   391,   392,   393,     0,   394,
       0,   395,     0,     0,   398,     0,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,   418,     0,   420,     0,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,   444,     0,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,     0,   457,
     458,     0,   460,     0,   461,   462,   463,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,   475,     0,   477,     0,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,   492,   493,   494,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,     0,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   553,   554,   555,
       0,   557,   558,   559,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,     0,   577,   578,     0,     0,   579,     0,   581,
     582,   583,   584,   585,     0,   586,   587,   588,     0,     0,
     589,   590,   591,   592,   593,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,   613,
     614,     0,   615,     0,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   628,
     629,   630,   631,   632,   633,   634,   635,   636,   637,   638,
     639,   640,   641,   649,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,     0,   255,
     256,   257,   258,   259,     0,   261,   262,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   272,
     273,   274,     0,   275,   276,   277,   278,   279,     0,     0,
       0,   281,   282,   283,   284,   285,   286,     0,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
       0,   299,   300,   301,     0,     0,     0,     0,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   309,   310,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   326,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,     0,   347,     0,   348,   349,   350,   351,
     352,     0,   353,     0,   354,   355,     0,     0,     0,   358,
     359,   360,   361,     0,   362,   363,     0,   364,   365,   366,
       0,   367,   368,   369,   370,  5079,     0,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   395,     0,     0,   398,     0,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,   418,     0,
     420,     0,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   441,   442,   443,   444,     0,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
       0,   457,   458,     0,   460,     0,   461,   462,   463,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,   475,     0,   477,     0,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,   492,   493,   494,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,     0,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   553,
     554,   555,     0,   557,   558,   559,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,   575,   576,     0,   577,   578,     0,     0,   579,
       0,   581,   582,   583,   584,   585,     0,   586,   587,   588,
       0,     0,   589,   590,   591,   592,   593,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,   613,   614,     0,   615,     0,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   649,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
       0,   255,   256,   257,   258,   259,     0,   261,   262,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   272,   273,   274,     0,   275,   276,   277,   278,   279,
       0,     0,     0,   281,   282,   283,   284,   285,   286,     0,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,     0,   299,   300,   301,     0,     0,     0,     0,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   309,
     310,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   326,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,     0,   347,     0,   348,   349,
     350,   351,   352,     0,   353,     0,   354,   355,     0,     0,
       0,   358,   359,   360,   361,     0,   362,   363,     0,   364,
       0,   366,     0,   367,   368,   369,   370,   371,     0,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   395,     0,     0,   398,     0,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
     418,     0,   420,     0,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
       0,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,     0,   457,   458,     0,   460,     0,   461,   462,
     463,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,   475,     0,   477,
       0,   479,   480,   481,   482,   483,   484,   485,   486,     0,
     488,   489,     0,   490,   491,   492,   493,   494,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,     0,   508,   509,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,     0,   530,   531,   532,   533,
     534,   535,     0,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   553,   554,   555,     0,   557,   558,   559,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,     0,   577,   578,     0,
       0,   579,     0,   581,   582,   583,   584,   585,     0,   586,
     587,   588,     0,     0,   589,   590,   591,   592,   593,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,   613,   614,     0,   615,     0,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   871,   260,   872,
     873,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   874,   875,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   876,   877,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   878,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   879,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,  2711,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,  2712,   388,   389,
     390,   391,   880,   881,     0,   882,     0,   395,   396,   397,
     398,   399,   883,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,     0,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   436,   437,   438,   439,   440,   441,   442,
     443,   884,   445,   885,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   456,     0,   457,   458,   459,   460,     0,
       0,   462,   886,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,  2714,
     476,   477,   478,     0,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,     0,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   887,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,  2715,   554,   555,   556,   557,   558,   889,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,     0,   576,     0,   577,
     578,     0,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,   890,   891,     0,     0,   589,   590,     0,   592,
       0,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,     0,   892,  2716,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   639,   640,   641,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   871,   260,   872,   873,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   874,   875,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   876,
     877,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   878,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   879,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,     0,   388,   389,   390,   391,
     880,   881,     0,   882,     0,   395,   396,   397,   398,   399,
     883,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
       0,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   436,   437,   438,   439,   440,   441,   442,   443,   884,
     445,   885,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   456,     0,   457,   458,   459,   460,  2799,     0,   462,
     886,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,     0,   476,   477,
     478,     0,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,     0,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   887,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,  2715,   554,   555,   556,   557,   558,   889,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,     0,   576,     0,   577,   578,     0,
    4598,   579,   580,   581,   582,   583,   584,   585,     0,   586,
     890,   891,     0,     0,   589,   590,     0,   592,     0,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,     0,   892,     0,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   870,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   639,   640,   641,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   871,   260,   872,   873,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   874,
     875,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   876,   877,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   878,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   879,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,     0,   388,   389,   390,   391,   880,   881,
       0,   882,     0,   395,   396,   397,   398,   399,   883,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,     0,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   436,
     437,   438,   439,   440,   441,   442,   443,   884,   445,   885,
     447,   448,   449,   450,   451,   452,   453,  2873,     0,   456,
       0,   457,   458,   459,   460,     0,     0,   462,   886,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,     0,   476,   477,   478,     0,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,     0,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   887,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   888,
     554,   555,   556,   557,   558,   889,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,     0,   576,     0,   577,   578,     0,     0,   579,
     580,   581,   582,   583,   584,   585,     0,   586,   890,   891,
       0,     0,   589,   590,     0,   592,     0,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,     0,   892,     0,   615,   616,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   870,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   639,   640,   641,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   871,   260,   872,   873,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   874,   875,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   876,   877,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,   879,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,     0,   388,   389,   390,   391,   880,   881,     0,   882,
       0,   395,   396,   397,   398,   399,   883,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,     0,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   436,   437,   438,
     439,   440,   441,   442,   443,   884,   445,   885,   447,   448,
     449,   450,   451,   452,   453,  4394,     0,   456,     0,   457,
     458,   459,   460,     0,     0,   462,   886,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,     0,   476,   477,   478,     0,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,     0,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   887,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,   888,   554,   555,
     556,   557,   558,   889,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
       0,   576,     0,   577,   578,     0,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,   890,   891,     0,     0,
     589,   590,     0,   592,     0,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,     0,
     892,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     639,   640,   641,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   871,
     260,   872,   873,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   874,   875,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   876,   877,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   878,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,     0,   342,   343,   344,   345,     0,     0,
     347,     0,   348,   349,   350,   879,   352,  5978,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,     0,     0,     0,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,     0,
     388,   389,   390,   391,   880,   881,     0,   882,     0,   395,
     396,   397,   398,   399,   883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,     0,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   436,   437,   438,   439,   440,
     441,   442,   443,   884,   445,   885,   447,   448,   449,   450,
     451,   452,   453,     0,     0,   456,     0,   457,   458,   459,
     460,     0,     0,   462,   886,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,     0,   476,   477,   478,     0,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,     0,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   887,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,   888,   554,   555,   556,   557,
     558,   889,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,     0,   576,
       0,   577,   578,     0,     0,   579,   580,   581,   582,   583,
     584,   585,     0,   586,   890,   891,     0,     0,   589,   590,
       0,   592,     0,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,     0,   892,     0,
     615,   616,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   639,   640,
     641,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,   871,   260,   872,
     873,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,   874,   875,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,   876,   877,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   878,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,   879,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,     0,   388,   389,
     390,   391,   880,   881,     0,   882,     0,   395,   396,   397,
     398,   399,   883,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,     0,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   436,   437,   438,   439,   440,   441,   442,
     443,   884,   445,   885,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   456,     0,   457,   458,   459,   460,     0,
       0,   462,   886,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,     0,
     476,   477,   478,     0,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,     0,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   887,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,   888,   554,   555,   556,   557,   558,   889,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,     0,   576,     0,   577,
     578,     0,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,   890,   891,     0,     0,   589,   590,     0,   592,
       0,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,     0,   892,     0,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,   870,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   639,   640,   641,     0,
       0,     0,   235,   236,   237,   238,   239,   240,   241,   242,
     243,     0,   244,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,     0,   250,   251,   252,   253,
     254,   255,   256,   257,     0,   871,   260,   872,   873,     0,
     263,   264,   265,   266,   267,   268,   269,     0,     0,   270,
     271,   874,   875,   274,     0,   275,   276,   277,   278,     0,
       0,   280,     0,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,     0,   298,   299,   300,   301,     0,     0,     0,   302,
       0,     0,     0,   303,   304,   305,   306,   307,   308,   876,
     877,   311,     0,   312,     0,   313,   314,   315,   316,   317,
     318,   319,     0,   320,   321,   322,   323,     0,     0,   324,
     325,   878,   327,   328,     0,   329,   330,   331,   332,     0,
     333,   334,   335,   336,     0,   337,   338,   339,   340,     0,
     342,   343,   344,   345,     0,     0,   347,     0,   348,   349,
     350,   879,   352,     0,   353,     0,   354,   355,   356,     0,
     357,   358,   359,   360,   361,     0,   362,     0,     0,     0,
     365,   366,     0,   367,   368,   369,   370,  1146,   372,   373,
     374,   375,   376,     0,   377,   378,   379,   380,   381,   382,
     383,   384,     0,   385,   386,     0,   388,   389,   390,   391,
     880,   881,     0,   882,     0,   395,   396,   397,   398,   399,
     883,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     410,   411,   412,   413,   414,   415,   416,     0,     0,   417,
       0,   419,   420,   421,     0,   422,   423,   424,     0,     0,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
       0,   436,   437,   438,   439,   440,   441,   442,   443,   884,
     445,   885,   447,   448,   449,   450,   451,   452,   453,     0,
       0,   456,     0,   457,   458,   459,   460,     0,     0,   462,
     886,   464,   465,   466,     0,   467,   468,   469,     0,     0,
     470,   471,   472,     0,     0,   473,   474,     0,   476,   477,
     478,     0,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,     0,   490,   491,     0,   493,     0,   495,   496,
     497,     0,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   887,   510,   511,   512,   513,     0,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,     0,   527,   528,   529,   530,   531,   532,   533,
     534,     0,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,     0,   546,   547,   548,   549,   550,     0,   551,
     552,   888,   554,   555,   556,   557,   558,   889,   560,     0,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,     0,   576,     0,   577,   578,     0,
       0,   579,   580,   581,   582,   583,   584,   585,     0,   586,
     890,   891,     0,     0,   589,   590,     0,   592,     0,     0,
     594,   595,   596,   597,   598,   599,   600,   601,   602,     0,
       0,   603,   604,   605,   606,   607,     0,     0,   608,   609,
     610,   611,   612,     0,   892,     0,   615,   616,   617,   618,
     619,   620,     0,     0,   621,     0,     0,   622,   623,   624,
     625,   626,   627,   870,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   639,   640,   641,     0,     0,     0,
     235,   236,   237,   238,   239,   240,   241,   242,   243,     0,
     244,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,     0,   250,   251,   252,   253,   254,   255,
     256,   257,     0,   871,   260,   872,   873,     0,   263,   264,
     265,   266,   267,   268,   269,     0,     0,   270,   271,   874,
     875,   274,     0,   275,   276,   277,   278,     0,     0,   280,
       0,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,     0,
     298,   299,   300,   301,     0,     0,     0,   302,     0,     0,
       0,   303,   304,   305,   306,   307,   308,   876,   877,   311,
       0,   312,     0,   313,   314,   315,   316,   317,   318,   319,
       0,   320,   321,   322,   323,     0,     0,   324,   325,   878,
     327,   328,     0,   329,   330,   331,   332,     0,   333,   334,
     335,   336,     0,   337,   338,   339,   340,     0,   342,   343,
     344,   345,     0,     0,   347,     0,   348,   349,   350,   879,
     352,     0,   353,     0,   354,   355,   356,     0,   357,   358,
     359,   360,   361,     0,   362,     0,     0,     0,   365,   366,
       0,   367,   368,   369,   370,  1178,   372,   373,   374,   375,
     376,     0,   377,   378,   379,   380,   381,   382,   383,   384,
       0,   385,   386,     0,   388,   389,   390,   391,   880,   881,
       0,   882,     0,   395,   396,   397,   398,   399,   883,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   410,   411,
     412,   413,   414,   415,   416,     0,     0,   417,     0,   419,
     420,   421,     0,   422,   423,   424,     0,     0,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,     0,   436,
     437,   438,   439,   440,   441,   442,   443,   884,   445,   885,
     447,   448,   449,   450,   451,   452,   453,     0,     0,   456,
       0,   457,   458,   459,   460,     0,     0,   462,   886,   464,
     465,   466,     0,   467,   468,   469,     0,     0,   470,   471,
     472,     0,     0,   473,   474,     0,   476,   477,   478,     0,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
       0,   490,   491,     0,   493,     0,   495,   496,   497,     0,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   887,   510,   511,   512,   513,     0,   514,   515,   516,
     517,   518,   519,   520,   521,   522,   523,   524,   525,   526,
       0,   527,   528,   529,   530,   531,   532,   533,   534,     0,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
       0,   546,   547,   548,   549,   550,     0,   551,   552,   888,
     554,   555,   556,   557,   558,   889,   560,     0,   561,   562,
     563,   564,   565,   566,   567,   568,   569,   570,   571,   572,
     573,   574,     0,   576,     0,   577,   578,     0,     0,   579,
     580,   581,   582,   583,   584,   585,     0,   586,   890,   891,
       0,     0,   589,   590,     0,   592,     0,     0,   594,   595,
     596,   597,   598,   599,   600,   601,   602,     0,     0,   603,
     604,   605,   606,   607,     0,     0,   608,   609,   610,   611,
     612,     0,   892,     0,   615,   616,   617,   618,   619,   620,
       0,     0,   621,     0,     0,   622,   623,   624,   625,   626,
     627,   870,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   639,   640,   641,     0,     0,     0,   235,   236,
     237,   238,   239,   240,   241,   242,   243,     0,   244,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,     0,   250,   251,   252,   253,   254,   255,   256,   257,
       0,   871,   260,   872,   873,     0,   263,   264,   265,   266,
     267,   268,   269,     0,     0,   270,   271,   874,   875,   274,
       0,   275,   276,   277,   278,     0,     0,   280,     0,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,     0,   298,   299,
     300,   301,     0,     0,     0,   302,     0,     0,     0,   303,
     304,   305,   306,   307,   308,   876,   877,   311,     0,   312,
       0,   313,   314,   315,   316,   317,   318,   319,     0,   320,
     321,   322,   323,     0,     0,   324,   325,   878,   327,   328,
       0,   329,   330,   331,   332,     0,   333,   334,   335,   336,
       0,   337,   338,   339,   340,     0,   342,   343,   344,   345,
       0,     0,   347,     0,   348,   349,   350,   879,   352,     0,
     353,     0,   354,   355,   356,     0,   357,   358,   359,   360,
     361,     0,   362,     0,     0,     0,   365,   366,     0,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,     0,
     377,   378,   379,   380,   381,   382,   383,   384,     0,   385,
     386,     0,   388,   389,   390,   391,   880,   881,     0,   882,
       0,   395,   396,   397,   398,   399,   883,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   410,   411,   412,   413,
     414,   415,   416,     0,     0,   417,     0,   419,   420,   421,
       0,   422,   423,   424,     0,     0,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,     0,   436,   437,   438,
     439,   440,   441,   442,   443,   884,   445,   885,   447,   448,
     449,   450,   451,   452,   453,     0,     0,   456,     0,   457,
     458,   459,   460,     0,     0,   462,   886,   464,   465,   466,
       0,   467,   468,   469,     0,     0,   470,   471,   472,     0,
       0,   473,   474,     0,   476,   477,   478,     0,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,     0,   490,
     491,     0,   493,     0,   495,   496,   497,     0,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   887,
     510,   511,   512,   513,     0,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,     0,   527,
     528,   529,   530,   531,   532,   533,   534,     0,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,     0,   546,
     547,   548,   549,   550,     0,   551,   552,  2715,   554,   555,
     556,   557,   558,   889,   560,     0,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
       0,   576,     0,   577,   578,     0,     0,   579,   580,   581,
     582,   583,   584,   585,     0,   586,   890,   891,     0,     0,
     589,   590,     0,   592,     0,     0,   594,   595,   596,   597,
     598,   599,   600,   601,   602,     0,     0,   603,   604,   605,
     606,   607,     0,     0,   608,   609,   610,   611,   612,     0,
     892,     0,   615,   616,   617,   618,   619,   620,     0,     0,
     621,     0,     0,   622,   623,   624,   625,   626,   627,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     639,   640,   641,     0,     0,     0,   235,   236,   237,   238,
     239,   240,   241,   242,   243,     0,   244,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,     0,
     250,   251,   252,   253,   254,   255,   256,   257,     0,   871,
     260,   872,   873,     0,   263,   264,   265,   266,   267,   268,
     269,     0,     0,   270,   271,   874,   875,   274,     0,   275,
     276,   277,   278,     0,     0,   280,     0,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,     0,   298,   299,   300,   301,
       0,     0,     0,   302,     0,     0,     0,   303,   304,   305,
     306,   307,   308,   876,   877,   311,     0,   312,     0,   313,
     314,   315,   316,   317,   318,   319,     0,   320,   321,   322,
     323,     0,     0,   324,   325,   878,   327,   328,     0,   329,
     330,   331,   332,     0,   333,   334,   335,   336,     0,   337,
     338,   339,   340,     0,   342,   343,   344,   345,     0,     0,
     347,     0,   348,   349,   350,   879,   352,     0,   353,     0,
     354,   355,   356,     0,   357,   358,   359,   360,   361,     0,
     362,     0,     0,     0,   365,   366,     0,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,     0,   377,   378,
     379,   380,   381,   382,   383,   384,     0,   385,   386,     0,
     388,   389,   390,   391,   880,   881,     0,   882,     0,   395,
     396,   397,   398,   399,   883,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   410,   411,   412,   413,   414,   415,
     416,     0,     0,   417,     0,   419,   420,   421,     0,   422,
     423,   424,     0,     0,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,     0,   436,   437,   438,   439,   440,
     441,   442,   443,   884,   445,   885,   447,   448,   449,   450,
     451,   452,   453,     0,     0,   456,     0,   457,   458,   459,
     460,     0,     0,   462,   886,   464,   465,   466,     0,   467,
     468,   469,     0,     0,   470,   471,   472,     0,     0,   473,
     474,     0,   476,   477,   478,     0,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,     0,   490,   491,     0,
     493,     0,   495,   496,   497,     0,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   887,   510,   511,
     512,   513,     0,   514,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   524,   525,   526,     0,   527,   528,   529,
     530,   531,   532,   533,   534,     0,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,     0,   546,   547,   548,
     549,   550,     0,   551,   552,     0,   554,   555,   556,   557,
     558,   889,   560,     0,   561,   562,   563,   564,   565,   566,
     567,   568,   569,   570,   571,   572,   573,   574,     0,   576,
       0,   577,   578,     0,     0,   579,   580,   581,   582,   583,
     584,   585,     0,   586,   890,   891,     0,     0,   589,   590,
       0,   592,     0,     0,   594,   595,   596,   597,   598,   599,
     600,   601,   602,     0,     0,   603,   604,   605,   606,   607,
       0,     0,   608,   609,   610,   611,   612,     0,   892,     0,
     615,   616,   617,   618,   619,   620,     0,     0,   621,     0,
       0,   622,   623,   624,   625,   626,   627,   870,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   639,   640,
     641,     0,     0,     0,   235,   236,   237,   238,   239,   240,
     241,   242,   243,     0,   244,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,     0,   250,   251,
     252,   253,   254,   255,   256,   257,     0,     0,   260,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,     0,
       0,   270,   271,     0,     0,   274,     0,   275,   276,   277,
     278,     0,     0,   280,     0,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,     0,   298,   299,   300,   301,     0,     0,
       0,   302,     0,     0,     0,   303,   304,   305,   306,   307,
     308,     0,     0,   311,     0,   312,     0,   313,   314,   315,
     316,   317,   318,   319,     0,   320,   321,   322,   323,     0,
       0,   324,   325,   326,   327,   328,     0,   329,   330,   331,
     332,     0,   333,   334,   335,   336,     0,   337,   338,   339,
     340,     0,   342,   343,   344,   345,     0,     0,   347,     0,
     348,   349,   350,     0,   352,     0,   353,     0,   354,   355,
     356,     0,   357,   358,   359,   360,   361,     0,   362,     0,
       0,     0,   365,   366,     0,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,     0,   377,   378,   379,   380,
     381,   382,   383,   384,     0,   385,   386,     0,   388,   389,
     390,   391,     0,     0,     0,     0,     0,   395,   396,   397,
     398,   399,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   410,   411,   412,   413,   414,   415,   416,     0,
       0,   417,     0,   419,   420,   421,     0,   422,   423,   424,
       0,     0,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,     0,   436,   437,   438,   439,   440,   441,   442,
     443,     0,   445,     0,   447,   448,   449,   450,   451,   452,
     453,     0,     0,   456,     0,   457,   458,   459,   460,     0,
       0,   462,     0,   464,   465,   466,     0,   467,   468,   469,
       0,     0,   470,   471,   472,     0,     0,   473,   474,     0,
     476,   477,   478,     0,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,     0,   490,   491,     0,   493,     0,
     495,   496,   497,     0,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,     0,   510,   511,   512,   513,
       0,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,     0,   527,   528,   529,   530,   531,
     532,   533,   534,     0,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,     0,   546,   547,   548,   549,   550,
       0,   551,   552,     0,   554,   555,   556,   557,   558,     0,
     560,     0,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,     0,   576,     0,   577,
     578,     0,     0,   579,   580,   581,   582,   583,   584,   585,
       0,   586,     0,     0,     0,     0,   589,   590,     0,   592,
       0,     0,   594,   595,   596,   597,   598,   599,   600,   601,
     602,     0,     0,   603,   604,   605,   606,   607,     0,     0,
     608,   609,   610,   611,   612,     0,     0,     0,   615,   616,
     617,   618,   619,   620,     0,     0,   621,     0,     0,   622,
     623,   624,   625,   626,   627,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   639,   640,   641
};

static const yytype_int16 yycheck[] =
{
       6,   656,     0,     0,     0,     0,   864,    56,     0,     0,
     211,     0,     0,     0,     0,     0,  1032,     0,   211,   206,
       0,     0,     0,    21,     0,  1004,     0,   214,   677,     0,
     217,     0,  1041,    21,    36,  1158,   834,    45,    22,  1651,
       8,     6,   933,  1586,    28,    51,   831,    15,   189,  1524,
    2756,   790,   791,   792,   709,   888,   927,   796,   929,   907,
    1219,  1570,  1036,   858,  1005,   732,  1030,  1496,  1021,  2697,
    1563,  2033,   197,   876,   877,  3049,  1266,  2698,  1107,   746,
    3224,  1891,  1253,   886,  3076,   824,   841,  2719,  2720,    44,
    3405,  3114,  3407,  3498,   754,  1570,   750,   945,   709,  3925,
     891,   756,  3700,  2022,  1575,  1238,   216,  3593,  1719,  1242,
    2060,  4291,  1245,  1246,  3898,   857,  3646,  3061,  3648,   658,
     230,  2059,  3620,  2041,  3451,    23,  1616,  1617,  1081,  3947,
    1620,  4244,  1085,   207,  1563,   970,  2967,  1090,    36,  2098,
    3914,  4563,   216,  1686,  1687,  3508,  4796,  1100,  3457,  4266,
    4287,   175,  4586,  1963,   809,  1004,   230,  3850,  1553,   755,
     995,  1114,   191,   745,  1013,  1000,   191,  1904,  1453,  4569,
       2,  2945,  4574,  5279,  1023,  2055,  2056,  2057,  2058,  3506,
      35,  2061,   837,  2063,  2064,  4531,  5301,    42,  4812,  2074,
    4814,   197,  1145,  5117,  4370,  1034,  1147,  3472,  5109,  2577,
     206,   207,  1153,  2581,  5189,  5411,    50,   862,   214,  1680,
     216,   217,  1163,  2614,   956,  2682,  1167,    41,  1613,  5060,
    1171,  3518,  1173,  2684,   230,  5447,   837,  4573,  1179,  3912,
    3267,   971,  5322,  5459,  1185,  1630,  1707,  1188,  3456,  3014,
    3458,  3016,  3017,  3359,  3364,  5104,  3021,  3022,  3023,  4861,
    3025,  3026,  3027,   954,     0,     0,   930,  5408,  4423,   930,
    2661,     0,  5711,     0,    38,  1536,    11,  5108,     6,   924,
     225,  4738,    11,    15,   730,    63,  5366,   733,    32,     6,
      37,     6,    54,  3057,    29,     6,  5373,  5374,     0,     0,
      29,  2028,    95,     6,   995,    11,     6,    47,  5695,  1000,
       6,  1041,     6,  1045,   177,    15,    16,     6,     6,     6,
     874,   875,    13,    43,     6,     6,    15,    16,    15,    16,
      80,   885,     6,     6,    80,     6,     3,    13,    37,    23,
      35,    88,    92,   120,     6,  1193,  1075,   178,   177,    21,
     148,    21,    85,   177,    45,   115,   177,   113,   177,  1096,
       5,   201,   156,  5992,    47,    51,    11,     3,   113,   171,
     239,  5398,    25,   180,   113,  1112,   177,   312,     6,    37,
       3,    13,     5,     6,     6,   177,    37,    78,    11,   306,
    1870,  1617,    27,   312,  1620,     6,  1041,    63,   120,  3595,
    5960,   155,  4664,  4665,  4666,    30,  4668,  4669,  4670,  4671,
    4672,    13,   193,   125,   186,    50,    63,   286,    37,    11,
     297,  4587,    11,   346,    91,   177,    63,   327,    80,   354,
      63,   312,    80,   193,   338,   165,   384,    35,   320,    25,
      92,   177,   177,  1397,   398,  1409,  1465,  1097,   177,    25,
     177,    29,   270,   294,   168,    31,     6,   440,   120,    29,
     152,  2903,    25,   124,    63,   201,   201,   123,   440,    99,
     465,   155,   201,  5912,   201,   177,   177,  5326,   145,    13,
     286,    63,   120,   484,   120,  4897,   677,   140,   426,   270,
     481,  1284,  1285,  1457,   379,  5337,     5,   120,  1346,   201,
     201,  5713,    11,   306,   216,    78,   350,   508,  1165,    80,
     270,    45,    80,   273,   173,   177,  5903,  4899,    80,   363,
      80,    92,   252,  1316,    92,  4907,   464,   412,   120,  5609,
     531,   400,   527,   171,    13,    23,   727,   344,   442,  5381,
     531,   197,  2984,    43,    78,    63,  1327,  5448,   531,   393,
      63,   349,   477,   183,   140,   267,   362,   135,   156,   531,
     252,    29,   223,   404,   140,   135,    45,   281,   290,  1226,
     388,   378,   302,   527,   367,   675,  1424,   140,    47,   527,
    1237,   681,   217,   487,    10,   392,   197,    13,   465,   471,
     368,   258,   217,   693,   463,   206,   531,  1254,   221,    78,
     299,  1565,   374,   214,   527,    80,   217,   388,     6,   528,
     527,   675,   531,  1199,  1259,  1347,   440,   681,   177,    45,
     177,   365,   429,   295,  1453,   295,    52,   527,   388,   693,
    5657,  6070,   255,    29,    29,   379,    29,   381,    92,   440,
      36,    36,  1490,    36,  1870,  1377,   400,  6207,   440,   394,
     531,  6280,    78,  5267,   290,   322,   184,   125,  1259,   295,
     656,  1454,   384,  3859,   177,  1395,    29,   295,   531,   322,
    1400,  1401,   428,    80,   662,   662,   662,   662,  5819,   675,
     662,   662,    92,   369,   383,   681,   480,  4370,   184,   428,
     440,   531,   242,   517,   440,   379,   527,   693,   527,  5911,
    1539,   445,   368,  1646,   424,   529,  1649,   454,   527,   362,
     531,  1717,  1718,   709,   120,  4398,   400,   756,   714,  1273,
    1274,   368,   455,   719,   150,   527,  1657,   723,   724,   527,
     470,   368,  6171,  4840,   730,   368,   732,   733,   531,    23,
     517,   488,   502,  4898,   397,   440,   760,  1392,   216,   745,
     746,   463,    23,   531,  4909,  1400,  1401,  1311,  5215,   474,
     756,  1715,  1601,   527,   431,   527,   433,   755,  4542,   368,
     196,   470,  5849,   261,  1418,   201,  1601,  2038,   440,   531,
     508,   509,  6169,   518,   519,   517,   368,   470,   440,   518,
     519,  1392,   440,   525,   530,   530,   770,   529,   772,   527,
     774,   530,   933,   530,  5705,  4293,   780,  4295,  6247,  4583,
     527,  1541,   527,   809,  1637,   468,   527,  4405,  4582,  1483,
     526,  1551,  1483,  4411,   527,   251,   784,   527,   530,   530,
     488,   527,   523,   527,   397,   831,   832,   488,   527,   527,
     527,   837,  1991,  1724,   525,   527,   527,   523,   529,  6061,
     368,  6290,  1965,   527,   527,   517,   527,   802,  6074,   531,
    5709,   531,  6003,  6004,  1055,   531,   862,   529,   864,   488,
    1561,   384,  1055,   518,   519,  1052,  1430,  1431,   440,  1056,
     440,  1058,   308,  1620,   531,  1998,   508,   509,   520,   521,
     522,   523,   888,  6089,   531,   518,   519,  2010,   531,  3521,
     463,  3523,   921,  4220,  4587,   527,   921,  4224,  1638,  5171,
    4209,  1641,  1642,   858,   320,   911,   518,   519,   520,   521,
     522,   523,   390,  1614,   424,  6005,   518,   519,   924,   518,
     519,  1046,   531,  1670,  1671,   923,   923,   923,   923,  6019,
    1631,   923,   923,   431,   923,   923,   923,   923,   923,   531,
     923,  3885,   525,   923,   923,   923,   529,   923,    28,   923,
    4633,  6173,   923,   476,   923,   440,  4076,  4077,   331,  1608,
     947,   440,   531,   461,   531,   484,   402,   261,  3742,  3743,
    4086,   122,  5584,  3747,   518,   519,   520,   521,   522,   523,
     261,   445,  4279,   938,   122,   463,  5910,  1938,   486,   508,
    4208,   470,  4210,   531,  4492,  1946,  5907,  1536,   953,   518,
     519,   407,   407,   531,   407,  4491,   414,   415,    32,  5431,
    3477,   835,    92,  1852,    72,   839,   194,  3478,  3419,   392,
     440,   865,  4059,   440,  6246,   531,  1032,  1033,  1034,   527,
     222,   520,   521,   522,   523,  1041,    89,   184,    89,   152,
    1046,  4161,   103,  2059,   113,  1051,  1052,   125,    23,  5890,
    1056,   155,  1058,  3828,  6144,   471,  1062,   171,   136,   432,
      10,   434,  6177,  6178,   127,  5906,  2040,    17,    18,    19,
     506,  5591,  1078,   189,   184,    23,   309,    23,    25,   132,
      42,   132,   518,   519,   520,   521,   522,   523,   226,   125,
     384,  1516,  5438,   714,  1834,   153,   122,    89,     6,   179,
     286,    10,   723,   384,    13,   341,   163,   220,  3882,   730,
     142,   527,   733,   206,  6099,   173,  1122,  5297,  1124,  1125,
     355,  2095,  6328,  4398,  1871,   186,    23,   255,    63,   179,
     115,  3509,  4618,   120,    21,    25,    45,   431,    72,    23,
     132,    31,   379,    52,    91,    76,   189,  6071,   177,  4554,
     431,  6062,   290,    23,  1009,  1010,    21,   307,    92,  1165,
    5784,  1900,  1817,   756,  5340,    39,    37,   461,   124,    78,
     286,     6,   201,   362,   165,   154,    58,  6292,   238,   300,
     461,  2039,    23,  2041,    63,   125,   133,  1193,     6,  2047,
     322,   178,   486,   140,   310,  2053,  2054,   144,   367,   312,
     226,  1199,   508,   509,   428,   486,   327,  2065,   193,  2007,
    2008,  6317,   350,    23,   321,   125,   809,  2075,  3850,   153,
    1226,   527,   527,  2081,   203,   286,   463,   300,   397,  1235,
     362,  1237,   290,   527,  1202,   470,  1204,   199,  1206,   173,
    1208,   150,  1210,  1211,  1212,   305,   527,   129,  1254,  1217,
     140,   440,   309,  1259,   327,  6179,   130,   125,   308,     3,
    6366,   252,     6,   343,   290,  1271,    25,   223,  1935,   862,
    5692,  5646,   325,  5648,   325,  5677,   216,  5652,  5653,  5701,
    5106,   339,  1949,  2122,    68,   270,   261,   196,   273,  5723,
    2719,   527,   201,   300,   527,  1962,   400,  1346,  1130,  4291,
      37,   381,  5822,  5703,   291,  5707,   216,  1313,  3940,  5093,
     438,  2820,  5130,   261,  1968,   261,   467,   503,  2789,    10,
     327,  6245,    13,  3060,   350,  5099,    17,    18,    19,  5751,
    5676,   924,  6256,   325,   484,   428,  1342,  1343,  1344,   531,
    1346,   365,   251,  1997,   457,  3283,  1928,  2001,   216,   527,
    2092,   286,  2006,   469,   156,  2009,   290,  4855,   308,   428,
    5706,  1367,    72,   443,   261,   445,   416,  6291,  2653,   449,
     484,   115,   303,   125,   484,   322,   437,   261,  1960,  1975,
     433,   140,   433,   120,   531,   463,  1392,   295,   140,  1413,
     447,   261,  3003,   531,  1400,  1401,  2867,   300,  6322,   308,
     458,   120,   465,   388,    25,   339,   527,  1608,   295,   384,
     120,   358,  3297,  3298,  2809,   362,  6081,  3302,  1424,   189,
     261,   531,  6346,  2072,   327,  1046,   469,   463,   299,  1854,
     295,  1052,   322,   368,    52,  1056,   384,  1058,   384,  1468,
    1469,   433,  1471,  1468,  1469,  5582,  1471,  1453,   480,   193,
     397,   261,  3411,     3,   527,   484,   431,   404,  3343,  3344,
     295,  5578,   397,    10,  1470,  6115,    13,    25,  1474,  1475,
    5892,   181,   362,    31,  4801,  4838,  1932,   295,   465,  4806,
     390,  3093,  4809,   431,  1490,   431,   461,   384,  4797,   368,
    1496,  1947,   291,   402,  1950,   307,   307,   171,    45,  2038,
     384,  1122,   286,  1124,  1125,    52,   188,   397,   448,   306,
     201,   486,   286,   461,   384,   461,   286,   502,    92,   140,
     527,  6186,    40,   463,   458,   307,   270,  5057,   179,   273,
    1485,    78,  1487,   224,   431,   122,    54,   178,   486,   327,
     486,    91,   527,   384,  2000,   307,   120,   431,  2004,  2005,
     113,   310,   527,   463,   381,   179,   370,  1563,  5933,    25,
    6081,   431,  2578,  4555,   461,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   384,   312,  4599,   461,   196,   527,
     290,   527,   140,   201,   336,   295,   122,     6,   390,   486,
     431,   461,    64,   111,   189,   463,   146,   506,  1604,   397,
      72,   320,   486,   150,  6067,  6068,  2580,   366,   367,   518,
     519,   520,   521,   522,   523,   660,   486,   308,   445,  3112,
     461,   431,   170,  5449,   527,   322,   428,  5807,  1702,   339,
     527,  1637,   120,   251,  6299,  1622,  6058,   114,   397,   226,
    1627,   322,     5,   527,   388,   486,   356,  5340,    11,   196,
     135,   461,    10,   182,   201,    13,   205,   527,   208,    17,
      18,    19,  2613,  5437,   463,  6186,   480,   349,     0,   471,
     123,   390,   484,   379,   140,   180,   486,    35,   489,  3108,
     374,   362,   484,  3112,   308,   326,   527,    45,   239,    21,
     364,   286,   343,   321,    52,   469,  1702,   215,   380,   469,
     397,   322,   484,   290,   251,  4480,   508,   752,  5821,   428,
    4485,  1717,  1718,  1719,  1701,   527,   290,   527,  1705,   133,
      78,  1676,   484,   286,    56,   527,   255,   322,   525,   206,
     144,  4562,   529,   531,  2743,   286,   265,   286,  4370,   527,
     384,   362,  1943,  1944,   197,  6167,  1933,    10,   458,   525,
      13,  1944,   471,   529,    17,    18,    19,    87,   502,   295,
     322,   308,   403,   350,   322,   484,  4398,   362,   286,   397,
     464,   338,    35,   135,  2632,   137,   397,   397,  6299,   329,
     517,   826,  4556,   255,   402,  6248,   334,   397,   525,   508,
     527,   528,   529,   120,   531,   312,   122,  1922,    13,   350,
     362,  1875,  4794,   171,   362,   290,   179,   295,   527,  1883,
     442,  1817,  4518,   100,  2653,   183,   143,  1891,   120,   406,
    6242,   527,   149,  1829,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   201,  1840,   397,   163,   167,   196,   397,
     213,   123,   310,   201,    10,    29,  1852,    13,   484,   400,
    1856,    17,    18,    19,   322,   402,   322,   159,   136,   191,
     526,   528,  1936,    78,   531,   531,   224,   225,   386,  1875,
     387,  2072,   364,   378,   469,   442,   321,  1883,   112,   379,
     385,   381,  2715,   527,   210,  1891,  5712,   392,  6001,  1963,
     321,   178,   194,   251,   362,   531,   362,  2695,   265,    83,
     397,   465,    86,   432,  1910,   434,   456,   384,   322,    93,
    5694,   531,   463,  1919,   464,   197,  1922,   467,   322,  1925,
     487,   531,  1928,  1929,   429,   212,  1932,  1933,   290,  1935,
    1936,   397,   461,   442,  2913,   293,  5263,   121,   216,   397,
     227,  1947,   397,  1949,  1950,   445,   451,  5721,   362,   426,
     308,   428,   397,  1959,  1960,  4587,  1962,  1963,   362,   506,
     286,   224,   249,   527,   290,   527,   397,   241,   295,   172,
    2819,   518,   519,   520,   521,   522,   523,  1975,   487,   290,
     772,   773,   774,   486,   295,   777,   778,   779,   290,   517,
    5476,   278,   484,   397,  2000,   787,   381,   181,  2004,  2005,
     527,   529,  6182,  2743,   372,   208,   168,  2056,   476,  1977,
     194,  1979,  2851,  1981,  3137,  1983,   508,  1985,  5162,   306,
    6275,  1989,   177,   207,  2022,  2022,  2022,  2022,   531,  2031,
    2022,  2022,   266,  2039,   531,  2041,   347,   271,  2877,   531,
    2046,  2047,   390,  4005,   402,   308,   201,  2053,  2054,  2055,
    2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,  2065,
     445,  4023,  2017,  2069,  2913,  2071,   362,  2073,  2074,  2075,
    2076,  2077,  2078,   531,   475,  2081,   531,  2083,  2084,  5905,
     428,  2087,   244,   320,  6339,  5059,   373,   265,  2743,  3518,
       0,  5083,   475,   322,   156,  2101,  2102,  2103,  2104,  3528,
     530,   397,  2951,   440,  1622,  5923,  2997,  2998,  2999,  1627,
     112,   531,   290,  3725,  2120,  6295,  2122,  3610,  2655,   484,
     447,  4039,  4060,   471,  5098,  4075,   527,  4065,   465,   358,
    5904,  2966,   459,   362,  5078,   201,  2034,  2986,  2977,   100,
    3330,   366,   308,   484,   527,  5675,   484,  5291,   506,  5293,
    2817,  2893,  2891,   390,  2893,  5470,    94,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   531,   508,   397,   322,
     172,  3981,   397,    32,   384,  3126,  3129,  2917,    92,   527,
    3131,  3610,  3133,  1701,  4064,  2925,   527,  1705,  2928,  4069,
    4070,   428,  3143,   531,   379,  3146,  3807,  3148,  3149,   137,
      59,  3152,  3813,   413,  3043,  3156,   208,  3158,  3698,   362,
    3161,    38,  4097,  4098,  4099,  4100,  2963,   178,  4103,  4104,
    4105,  4106,  4107,  4108,  4109,  4110,  4111,  4112,  5726,   413,
     362,   182,   416,    60,   471,   354,   165,  6063,   440,   366,
      48,    35,   171,   428,   397,   178,  5021,   484,  5023,  5024,
    5025,   212,   515,   516,   517,   518,   519,   520,   521,   522,
     523,  2267,  5748,    71,   266,   397,   227,    13,   182,   271,
     397,   508,   391,  5047,  3225,  5049,   341,   264,  3749,   212,
     445,  4200,  4167,  4168,   484,   112,  1873,  2941,   249,  2943,
     527,  5283,   206,  2947,   227,  5700,   362,   322,  1919,    45,
     366,  1922,   354,   290,   255,  5297,  1893,   100,   508,   428,
       3,  1932,  1933,   299,  2320,   517,   249,   278,   165,    27,
      33,    34,  3512,   252,   171,  3796,  1947,   529,   390,  1950,
     662,   397,    78,  3080,  3081,  3082,  3083,   362,  3085,   391,
    5655,   255,    50,   122,   484,   306,  6172,   171,  1614,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   477,    69,
      70,  3200,   152,  3110,  3103,  1631,   428,   171,   508,  2375,
     322,   195,   397,   302,   999,   165,   428,   204,  3921,  2000,
     171,   171,   390,  2004,  2005,   178,    99,   528,   291,   292,
     531,   195,   171,  1018,    99,     5,  1021,   311,    91,  6183,
    5998,    11,  3062,   354,   195,   252,   119,   477,  1200,   471,
     362,  1203,   373,  1205,   119,  1207,   387,  1209,   484,   212,
     428,  1213,   484,   755,   756,   477,   322,  6354,   522,  6356,
     220,   210,     5,   527,   227,   529,   242,   280,    11,   266,
     373,  3299,   508,   156,   271,   397,   508,  3187,   432,  6376,
     434,   156,   145,  3311,     5,   302,   249,   269,   143,   286,
      11,   304,   252,   471,   149,   527,   362,  5459,    19,  5611,
     366,   508,   509,   522,  5616,  5617,   484,   527,   527,   526,
     529,   432,  3321,   434,   531,   278,    37,   390,  3327,  3347,
     527,  5806,    22,  3310,   321,  3312,  3313,   306,    28,   527,
     508,   397,   311,   527,   465,   529,   528,   286,   152,   531,
     461,   290,   302,   528,     3,  3406,   531,   387,   432,   527,
     434,   165,   312,   306,  3266,   428,   477,   171,   311,   520,
    3184,   445,   528,  3391,   525,   531,   527,    26,   529,  3076,
     367,  6325,   364,   995,   458,  5537,   445,   461,  1000,  2555,
    2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,   528,  2565,
     528,   531,   520,   531,   391,   258,   265,   525,   471,   527,
    2576,   529,  2578,    51,   528,   528,   220,   531,   531,  2780,
     373,   484,   528,    96,   411,   531,   525,  2780,   527,   921,
     529,   923,  2779,   265,  2781,  2782,   282,   283,   284,   285,
     528,   528,    91,   531,   531,   508,    15,    16,   252,  3560,
    2616,  5386,   528,   528,  2620,   531,   531,  2623,   269,  2625,
      38,  3754,  2628,   206,   527,  4510,  2632,  2615,   528,   322,
     528,   531,   445,   531,  2708,   528,    33,    34,   531,  6137,
    3431,  3432,    60,  6141,  6142,   358,   432,  2653,   434,  2655,
      87,  2776,  2726,   358,  3409,  3596,  2730,   146,   302,   528,
    2734,   528,   531,   195,   531,   358,  2672,   457,   312,   362,
     477,  3519,  3412,   366,    59,  2681,  2682,   390,   379,   380,
    3631,  3622,  3633,   528,  4646,   390,   531,   387,  2762,   528,
    2655,   527,   531,   528,   112,   528,   531,   525,   531,   527,
    4662,   528,  2708,  2700,   397,  5728,  2816,   528,  5340,  2715,
     531,   242,   201,  2719,  2720,   428,   527,  3366,   529,   208,
    2726,  3463,  2796,   428,  2730,   475,  3529,  3701,  2734,   528,
    4342,    11,   531,   528,  6232,   525,   531,  2743,   431,   529,
     433,   528,  2816,  2745,   531,  2747,   528,   528,  3597,   531,
     531,  3910,   426,  4691,  4564,    38,  2762,  3412,   471,  2765,
    4698,  4699,   475,   181,   528,   528,   471,   531,   531,   527,
    2776,   484,  2778,  2779,  2848,  2781,  2782,    60,  2784,   484,
     528,   528,  2085,   531,   531,  2088,   204,   152,    72,   306,
    2796,   484,  2902,   528,    78,   508,   531,  4340,   384,  4342,
     165,  2875,   528,   508,   531,   531,   171,  2881,    92,   527,
    2816,  2817,  5586,   457,   527,  5807,  6131,   528,    59,  2825,
     531,  2895,   527,  4332,  3673,   484,  3777,   486,  2902,   112,
    5462,  2905,  3783,  2788,   379,   380,   120,  2911,   122,    48,
     329,  2847,  2848,   508,   509,  2851,   528,  4318,   266,   531,
    4279,  4022,  5996,   271,   484,   220,   486,  2931,   528,   152,
     477,   531,  3891,  2937,   432,   504,   434,  1199,   286,  2875,
    2944,  2877,   165,  2983,   226,  2881,  3543,  3544,   171,   528,
     528,   292,   531,   531,  2958,   374,   529,   252,   528,  2895,
     528,   531,  3546,   531,   379,   380,  2902,   181,  2972,  2905,
    3853,   528,   309,   321,   531,  2911,   432,  4378,   434,  2983,
     528,  3448,   528,   531,  3451,   531,   135,  5909,   137,  3574,
     528,   204,   484,   531,   486,  2931,   210,   220,  5595,  5596,
     528,  2937,  2887,   531,   306,  1267,   425,   302,  2944,   528,
     528,   528,   531,   531,   531,   379,   380,   312,  5569,   367,
     528,   528,  2958,   531,   531,  1287,  2940,  3696,   528,   252,
     530,  3498,  3701,  3574,   171,   528,  2972,   456,   531,  3506,
     484,  2977,   486,   391,   484,   464,   486,  2983,   467,   390,
     306,  6296,   528,   266,   528,   531,   528,   531,   271,   531,
    2646,  2647,  2648,   411,   152,  3001,  3002,  3003,  4191,   528,
    4193,  3007,   531,   286,   504,   528,   290,   165,   531,   302,
    3849,   295,   528,   171,  1346,   531,    48,   428,  3969,   312,
    3971,   528,  3973,  3690,   531,  5775,  5776,   528,  3034,  3035,
     531,   309,   528,  4576,  2655,   531,   504,  3043,   321,   135,
     528,   137,  6357,   531,  3231,  3712,  3233,  3234,   226,   528,
    5824,  5825,   531,   528,   528,   339,   531,   531,   528,   520,
     471,   531,   220,   528,   176,   528,   531,   163,   531,   528,
    3076,   530,   356,   484,  4264,   528,   528,   528,   531,   531,
     531,   531,  6074,  6057,   367,   528,   528,   528,   531,   531,
     531,  4785,   457,  4787,   252,   527,  4571,   508,  3095,  4592,
    3847,   528,  3108,  3228,   531,   527,  3112,   528,   391,   528,
     531,  3076,   531,  5966,  5967,   528,   527,   528,   531,   530,
     528,   474,    10,   531,  3198,    13,    54,    55,   411,    17,
      18,    19,   228,  4292,   335,  4294,  1468,  1469,  4297,  1471,
    3879,    37,   528,  3217,   302,   531,   528,    35,   528,   531,
    3224,   531,   528,   528,   312,  2776,   531,   527,  2779,   528,
    2781,  2782,   531,  4592,   457,  3366,  4140,   528,   528,   528,
     531,   531,   531,   528,   458,  5803,   531,   528,   528,   528,
     531,   531,   531,  4225,  6176,  4227,   282,   283,   284,   285,
    6182,    38,  3198,   289,  3200,  1485,  5245,  1487,  5247,   295,
    3855,   528,  3857,  3870,  4700,  3872,  4702,   527,    59,  3215,
     177,  3217,   222,    60,  4009,   222,   527,   527,  3224,   488,
     529,   527,  3228,   527,  3230,  3231,   362,  3233,  3234,  3235,
    4194,   201,   525,   157,  4092,   528,   529,  3243,   527,    86,
     157,   719,  3248,  3897,  3855,   306,  3857,   529,   201,   362,
    3299,     0,   306,   157,   157,   201,  5194,  5195,   157,  3265,
     306,   171,   362,  4237,   157,   112,   113,   745,  4126,   250,
     122,  3472,   465,   120,   527,   306,   299,    54,   528,   171,
      72,   290,    38,   488,  3939,   290,   306,   527,   290,    48,
    4030,  3297,  3298,  3299,  4133,    48,  3302,   290,  3347,   457,
    4274,   450,  4914,  6295,  3310,  3311,  3312,  3313,   290,    91,
      10,   322,   159,    13,   477,  3321,  5201,   477,    87,  4177,
    3326,  3327,   445,  3329,   101,  3331,   171,   342,  3939,   157,
     157,   527,   157,   157,   181,   488,   224,  3343,  3344,   157,
    3994,  3347,   157,   531,   157,    45,   157,   157,   157,   126,
      99,   447,    52,   157,   157,   171,   157,   204,  4025,   157,
     157,   157,  3368,   459,  3370,   306,  3372,   157,   145,   428,
    6076,   527,    38,   150,   250,   306,   171,   171,    78,   527,
       6,     6,  4891,   527,   527,  3391,   171,   527,  4341,   527,
     527,  3399,  3400,  3401,   527,   172,   527,   527,     6,   176,
       6,   527,  3451,   152,     6,   527,  3412,   527,   527,   527,
     527,   527,   527,   527,   191,     6,   165,   527,   527,   266,
     308,   527,   171,   527,   271,   527,   527,   297,   177,   527,
     527,   318,   527,   527,   183,   527,   527,   186,   527,   286,
     527,   190,  3448,   290,   527,  3451,   527,   527,   527,   527,
     150,   527,   527,  3502,   166,  3076,  4615,   485,  3464,   222,
     531,   531,  4310,  3469,    38,   103,   250,    38,    37,   527,
     438,   220,   438,  4276,   321,   525,   525,   440,  3484,   440,
     440,   440,   527,  3448,   177,   171,  3451,   531,   302,   171,
     397,    68,  3498,   300,   384,   440,   196,  3571,   440,    10,
    3506,   201,    13,   252,   440,   476,    17,    18,    19,   384,
     440,   529,  3518,   440,   440,  3521,   384,  3523,   295,   252,
     367,   440,  3528,  5485,    35,  4466,    79,   440,   517,   440,
    4369,    92,  4371,  3498,   384,  4488,   157,  3543,  3544,   306,
       0,  3506,   247,  3549,   391,   389,   440,   295,   128,   440,
     464,   251,   431,   302,   440,   327,   306,   306,  4397,   379,
     300,   194,   527,   312,   411,  3571,   413,   440,  3574,   416,
     347,  3577,   527,  1051,   440,    92,   128,   531,   322,  3585,
     465,   201,   157,    43,  1062,  4476,   440,  6293,   465,   128,
     114,   440,   440,   128,   440,    59,    59,  3671,   440,   440,
    1078,   440,   440,   440,  3610,   440,   440,  3228,   308,   440,
    3231,   275,  3233,  3234,   440,   310,   346,   440,   440,   346,
     346,   370,    47,   440,   327,  5510,   431,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   327,   532,   440,    99,
    3646,  3647,  3648,  1975,   528,   224,   224,   440,   531,  3850,
     306,   440,   440,   440,   224,  5540,   224,   224,  4398,   224,
     224,   224,   224,   306,   224,  3671,   440,   450,   527,    38,
     157,   306,   157,   290,  3680,   120,  3682,   157,  4629,   428,
     527,  4632,   157,  4220,  3690,   465,   157,  4224,   306,   290,
    2022,   290,   152,   290,    38,   476,    38,   171,   527,   258,
    5129,   242,   402,   386,   157,   165,  3712,   157,   457,   157,
    4661,   171,   299,   224,   465,   527,   157,   177,   465,   527,
     440,   294,   177,   183,  2056,   480,   186,   527,  3802,   528,
     190,   275,   481,   275,   483,   484,    13,   186,   440,   504,
     531,   527,   194,   442,   504,   317,   388,   194,  2080,   527,
     273,   527,   531,   528,  4291,   528,   505,  1235,   528,   525,
     220,   220,   222,   481,   528,    38,   528,   528,   400,   239,
     307,   465,  3778,   531,   531,   465,   525,   315,    59,   528,
     529,   530,   528,   239,   476,   527,   384,   465,   295,   295,
     295,   440,   252,   239,   440,   440,  3802,   308,   527,   171,
     295,  3807,   306,    48,  2655,   306,   506,  3813,   290,  4648,
     406,   250,   250,   250,   306,   269,  3822,   440,   518,   519,
     520,   521,   522,   523,   379,   128,   431,  3448,   306,   306,
    3451,   201,   362,   531,   531,   195,   484,   306,   394,   397,
     440,   350,   302,  3849,  3850,   440,   306,   312,   528,  3855,
      38,  3857,   312,   224,   465,   465,   242,   345,   517,  4833,
     157,   171,   477,    38,  3870,   300,  3872,   173,   394,  4536,
    4537,   157,   429,   346,   527,   527,   300,  3498,  4736,   157,
      62,   157,   465,   290,    38,  3506,  3892,   290,   306,    27,
     484,   306,   242,   192,    10,   300,   192,    13,    38,   171,
    4640,    17,    18,    19,   172,   242,   171,  3981,   394,  5068,
     370,   306,  3918,   290,   201,   531,    98,  4750,   201,   201,
     529,   201,  4873,    59,   531,   440,  4000,  3924,   531,    45,
    4004,   201,   272,  3939,  3940,   527,    52,   488,   531,   177,
    2272,   484,   306,   531,   299,  4816,   528,   528,   177,   312,
     470,   505,   528,   370,   135,   328,  3962,   318,    10,   177,
     289,    13,    78,  3960,   424,   531,  4917,  4918,  5443,   481,
     504,   265,   440,  3928,   177,  3981,   186,   526,   528,   161,
    4634,  4635,  4636,  4637,  4638,   531,   531,   508,   528,   260,
     306,   507,   528,    45,  4000,   528,   528,   457,  4004,   527,
      52,   528,   531,   528,   515,   516,   517,   518,   519,   520,
     521,   522,   523,   531,   528,   528,   198,  4554,  4555,  4025,
     528,   481,    59,   483,   484,   528,    78,   526,   528,   527,
     527,   527,   463,   527,  4175,  4041,   206,   528,  4044,   481,
     306,   531,   471,  4828,  4050,   505,   527,   309,   527,  5592,
     517,   306,   157,   440,  4009,   527,   440,   440,  4064,   214,
    5011,  5012,  4068,  4069,  4070,   247,   527,   295,   528,  4075,
     530,   531,  4078,   160,   440,  4081,  5029,   290,   157,   397,
     196,  4087,   416,  4089,   527,   201,  4092,   389,   157,   157,
    4096,  4097,  4098,  4099,  4100,   206,   389,  4103,  4104,  4105,
    4106,  4107,  4108,  4109,  4110,  4111,  4112,   250,   290,   160,
    4116,  4117,  4118,   306,   389,  4121,   517,   440,   465,   160,
    4126,   384,   481,   252,  4173,  4131,  1604,  4133,   329,  4135,
     329,   462,   160,   440,   413,   251,   440,  4143,   262,   440,
    4146,   323,  4148,   262,   196,   440,   128,   262,   440,   201,
     440,   384,   440,   384,   384,   440,   440,   384,  4164,   290,
     397,  4167,  4168,   157,  4904,    47,  4172,  4173,    47,  4370,
    4819,  4177,   528,  4179,   528,  4183,  4184,  4185,  4186,   440,
     440,   440,   440,   440,   366,   528,   368,   526,   224,   371,
    5141,   224,   308,  5144,  5145,   528,   189,  4398,   380,   251,
     310,   528,  4200,  4200,  4200,  4200,  4212,   389,  4200,  4200,
     531,   450,     3,  5164,  4220,   397,   171,    48,  4224,   113,
     528,  4888,   531,   171,    38,  3076,   157,   409,   528,   527,
     157,   440,   171,  6118,  6119,   300,   418,   189,   527,  4313,
     465,   423,   465,   517,   157,   384,   394,   384,   155,   384,
    4256,   384,   384,   155,   224,  4220,   308,  4794,   224,  4224,
     224,   224,   531,   224,  4801,   224,   224,  4273,   224,  4806,
     224,    10,  4809,  4279,    13,   525,   147,   228,    17,    18,
      19,   458,   458,   306,   528,  4291,   402,   306,    59,  2621,
     306,   306,   528,    13,   318,   227,    35,   479,   476,   531,
    5729,   177,   528,   289,   528,   316,   528,  4313,   528,  5048,
     531,   528,  4979,   528,   528,   526,   528,   227,   430,   527,
     527,   527,   313,  2655,    59,   190,  4291,   527,   437,   135,
     370,   137,    90,   450,  4988,  4989,   470,  4991,   171,    38,
     465,   242,   465,   440,   214,    59,   431,   157,    86,  5240,
     402,  1829,   413,    10,   181,   450,    13,   163,  4364,   389,
     440,   160,  1840,  4369,  4370,  4371,   440,   440,  2700,  4443,
     384,   384,  4446,   440,   440,   528,   528,   528,  1856,   362,
     527,   484,  5273,   527,    59,   431,  4587,   471,    45,   171,
     506,  4397,  4398,    78,   306,    52,   157,   113,   528,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   450,  5076,
     239,   224,   224,   224,   527,   224,   209,   488,   440,   527,
     527,    78,   228,   306,   528,   531,    38,  6039,  4412,   327,
     303,   306,  1910,     3,   527,   531,    44,  4443,   450,  4423,
    4446,   531,   440,   183,   527,   394,   528,  1925,   184,   113,
    1928,  1929,   177,   528,   506,   224,   145,   240,   528,   240,
     295,   295,   177,   295,   528,   295,   518,   519,   520,   521,
     522,   523,   528,  4547,   528,    59,   282,   283,   284,   285,
     482,  1959,  1960,   289,   290,   224,   482,   531,   327,   295,
    4564,   483,   318,   150,   528,   227,   528,   528,   527,   437,
     527,   527,   300,   450,  4510,   440,   177,   517,   484,  5632,
      78,  5634,   208,   195,   195,     0,   295,    38,   295,    59,
     517,   440,   431,   531,   531,    72,   440,   157,   160,   440,
    4536,  4537,   440,   528,  4540,   127,   224,   527,   179,   196,
     120,  4547,    38,   286,   201,   201,  5083,   300,  4554,  4555,
     527,   394,  5391,   290,    38,   173,   394,    59,  4564,   465,
     484,    84,   431,   484,    38,   306,   300,   177,   171,   308,
     527,  4645,   357,   211,   222,   177,   309,   527,   531,   470,
      59,  4587,   528,  4580,   528,   528,  4592,  4593,  4594,  4554,
    4555,   410,   528,   387,   251,    38,   306,  3448,  4604,  4220,
    3451,    10,  5256,  4224,    13,    81,   528,   527,    17,    18,
      19,   527,    92,  5267,    99,   202,   136,   318,  4819,   440,
      38,  5780,  5420,  2101,   528,   356,   157,   157,   528,    38,
     171,   528,  5583,   440,  5643,   527,    38,   527,   527,  4645,
     527,   447,  4648,   527,   295,   208,   527,  3498,   465,  5298,
     527,   308,   263,   459,   528,  3506,   157,   113,  5516,  5818,
     527,   527,    38,   310,   394,   528,   177,   152,  4674,   528,
    4291,   171,  5530,   531,  5341,   450,    38,   306,   528,   408,
     165,   408,   528,   205,  4690,   112,   171,  5638,    38,   531,
     527,   527,   177,  5551,   470,   194,   171,   465,   183,   527,
    5558,   186,  4708,  5352,   528,   190,  5865,  5866,   531,   527,
     431,   527,   431,   206,     6,   306,   164,   380,   488,   527,
     380,    72,   527,   309,    72,   136,  5263,   530,   484,   484,
    4736,   141,   480,  4739,   149,   220,   528,   306,   528,   168,
     168,  4747,  4748,   469,  4750,   402,  5283,   470,  4754,  4755,
      35,   531,   397,  4759,  1475,   527,   264,   177,  4764,   431,
    5297,  4767,  4768,  3095,   527,   353,   295,   252,  4774,  5627,
    5628,   306,   431,   306,   394,   527,   515,   516,   517,   518,
     519,   520,   521,   522,   523,    38,    38,   179,  4794,   202,
     309,   309,   179,   156,   488,  4801,   488,   348,   348,   527,
    4806,  5752,   379,  4809,  4810,   527,   153,   313,    59,    59,
      38,  4817,   436,    59,   363,   224,   528,   302,   440,   417,
     125,   306,  4828,   463,   528,     6,   141,   312,   394,  4794,
    4836,   528,   527,  4830,  4831,   488,  4801,   306,   488,   306,
      35,  4806,   295,   527,  4809,    24,   436,   527,  5857,   506,
    4856,  4853,   379,   531,   531,   383,   306,   383,    81,  4933,
     314,   518,   519,   520,   521,   522,   523,   379,   291,  4875,
     177,  4945,   397,  6032,   419,   440,   419,   149,   527,   291,
     156,     6,  4888,   120,   408,   370,   471,   531,   527,   484,
     484,   408,   470,   179,  5548,  5874,   179,   471,   465,   308,
     527,  5469,   528,  5643,   963,   923,   470,  2951,  1010,  1009,
    4916,  3412,  1401,  2860,  4898,  5754,  4369,  3622,  4344,  6023,
    2978,  3032,  5459,  3841,  5394,  4909,  5855,  4933,  6152,  4534,
    5443,  4342,  4938,  4554,  4555,  4342,  1704,  5038,  5796,  4945,
    5798,  5419,  3550,   428,  5661,  4867,  3174,  6002,  5297,  5788,
    5884,  6140,  6111,  6112,  6043,  4961,  5883,  6176,  3555,  5083,
    4555,  4581,  4968,  4566,  5828,  4524,  3046,  3299,  3046,  4364,
    3647,  4550,   457,  4979,  5629,  3889,  5426,  5077,  3933,  5741,
    1005,  4617,  5636,  6257,  6369,  6351,  5410,  3849,  5643,  4589,
    6055,  5354,  1864,  5614,  5838,  5357,   481,    18,   483,   484,
    5537,    28,  3998,   658,  5010,  5581,  4645,  4648,  1227,  6253,
    1908,  3062,  3528,  2720,  1919,  3347,  5855,  4592,  3944,  5729,
     505,  5469,  1943,  1905,   710,   743,  3781,  2977,  4397,  3698,
    5036,  6081,  6299,  4623,  3008,  6319,  1520,   852,  2662,  3371,
     525,  4271,  4832,   528,   529,   530,  5052,  4621,  5578,  5995,
    1417,  5057,  1378,    40,    10,  3387,    40,    13,  3469,  4690,
    3484,    17,    18,    19,  1478,  1817,  1477,  2672,  5983,  5800,
    5076,  1480,  3451,  4209,  4226,  5264,  3448,  5083,    10,    35,
    5537,    13,  5536,  6277,  5823,    17,    18,    19,  5162,    45,
    4272,  3448,  5977,  5787,  6122,  5514,    52,  5298,  5095,  1434,
    4135,  2570,  5801,  3389,  5802,  2571,   515,   516,   517,   518,
     519,   520,   521,   522,   523,  3371,  3448,  3007,  5083,  3451,
    2076,  3244,    78,  5129,  3369,  5131,  5753,  5953,  3359,  3280,
    4067,  2576,  2660,   911,    -1,    -1,    -1,    -1,    -1,  5340,
      -1,    -1,    -1,  6152,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5352,    -1,    -1,    -1,    -1,  5162,    -1,    -1,  5352,
      -1,    -1,    -1,  5700,  5351,    -1,  3498,    -1,    -1,    -1,
    3502,  5820,    -1,  4794,  3506,    -1,    -1,    -1,    -1,    -1,
    4801,    -1,  5188,    -1,  6135,  4806,    -1,    -1,  4809,  4810,
      -1,    -1,  5198,    -1,    -1,  5201,    -1,    -1,  5204,  5205,
    5206,    -1,  5857,     6,    -1,    -1,    -1,    -1,    -1,  5396,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5291,    -1,  5293,
      23,    -1,    25,  5229,  5230,    -1,    29,  5233,    -1,    -1,
      -1,    34,    35,    36,    -1,    38,    -1,    -1,    41,    42,
     196,    44,    -1,    46,    -1,   201,    -1,  5253,    -1,    -1,
      53,    54,    55,  5259,    -1,    -1,    -1,  5263,    -1,    -1,
      -1,    -1,    -1,  5269,  5270,    -1,    -1,    -1,   224,   225,
    5807,    -1,    -1,    -1,    -1,    -1,    -1,  5283,    -1,    -1,
    5286,    -1,    -1,    -1,    -1,  5291,    -1,  5293,    -1,    -1,
      -1,  5297,   224,    -1,    -1,   251,    -1,    -1,  5263,    -1,
    2778,    -1,    -1,    -1,    10,    -1,  2784,    13,  5276,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,  5283,    -1,
      -1,    -1,  6338,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5297,    -1,  5340,  5341,    -1,   293,  2059,  2060,
      -1,    -1,    -1,    -1,    -1,  5351,    -1,  2825,    -1,    -1,
      -1,    -1,   308,  2074,    -1,   311,    -1,    -1,    -1,    -1,
      -1,    -1,  2083,    -1,    -1,    -1,    -1,    -1,  6023,  4220,
      -1,    -1,  5909,  4224,    -1,    -1,   308,    -1,    -1,  6237,
      -1,    -1,    -1,    -1,    -1,  5391,    -1,    -1,    -1,    -1,
    5396,    -1,    -1,    -1,   197,   198,   199,    -1,    -1,   202,
      -1,    -1,    -1,   206,    -1,   208,    -1,    -1,   211,    -1,
      -1,   214,    -1,    -1,   217,    -1,    -1,   220,    -1,   222,
      -1,    -1,   225,    -1,    -1,    -1,   229,  5424,   231,    -1,
      -1,  5052,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4291,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,    -1,
      -1,    -1,    -1,  5459,    -1,    -1,  5462,    -1,  5455,    -1,
      -1,  6352,  5083,  6302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5469,  5469,  5469,  5469,    -1,    -1,  5469,  5469,    -1,
    5469,  5469,  5469,  5469,  5469,  6343,  5469,  5493,    -1,  5469,
    5469,  5469,    -1,  5469,  5459,  5469,    -1,  6152,  5469,    -1,
    5469,  6240,  6241,  5458,  5510,    -1,    -1,    -1,  5514,  5558,
    5516,    -1,  6351,    -1,    -1,    -1,    -1,    -1,   224,    -1,
      -1,    -1,    -1,    -1,  5530,    -1,    -1,    -1,    -1,    -1,
    6369,  5537,    -1,    -1,  5540,    -1,    -1,  6074,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5551,    -1,    -1,    -1,    -1,
     506,    -1,  5558,    -1,    -1,    -1,    -1,  3035,    -1,   515,
     516,   517,   518,   519,   520,   521,   522,   523,    -1,    -1,
      -1,    -1,  5537,    -1,    -1,    -1,   532,    -1,    -1,    -1,
      -1,    -1,    -1,   515,   516,   517,   518,   519,   520,   521,
     522,   523,  3924,    -1,    -1,    -1,    -1,    -1,    -1,  5605,
      -1,    -1,   308,    -1,    -1,  5611,    -1,    -1,    -1,    -1,
    5616,  5617,    -1,    -1,    -1,  5621,    -1,    -1,    -1,  5820,
      -1,  5627,  5628,  5629,    -1,    -1,    -1,    -1,  3960,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5643,    -1,  6176,
      -1,    -1,  5263,    10,    -1,  6182,    13,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    31,    -1,    -1,  5663,    -1,    -1,
      -1,    -1,  5283,    -1,    -1,    -1,  5672,    -1,    -1,  5675,
      -1,    -1,    -1,    -1,    -1,    -1,  5297,    -1,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5700,    -1,    -1,    -1,    -1,    76,
      -1,    -1,    -1,  4554,  4555,  5702,    -1,    -1,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5729,  5730,    -1,    -1,    -1,    -1,    -1,
    5351,    -1,    -1,    -1,    -1,  5700,    -1,  3215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5753,  5754,    -1,
      -1,    -1,  3230,    -1,    -1,    -1,   133,  3235,  6295,  5765,
      -1,    -1,    -1,   140,    -1,    -1,    -1,   144,  5774,  5775,
    5776,    -1,    -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,
      -1,  5787,  5788,   150,    -1,  5791,    -1,  3265,    -1,    -1,
    5796,    -1,  5798,    -1,  5800,   172,    -1,    -1,    -1,    -1,
      -1,  5807,    -1,    -1,    -1,    -1,    -1,  5804,    -1,   515,
     516,   517,   518,   519,   520,   521,   522,   523,    -1,    -1,
      -1,    -1,    -1,  6010,  5830,    -1,    -1,    -1,    -1,   196,
      -1,   208,    -1,    -1,   201,    -1,    -1,    -1,  5459,    -1,
      -1,  4173,  5807,    -1,    -1,    -1,    -1,    -1,    -1,  5855,
      -1,  5857,    -1,    -1,   657,    -1,    -1,    -1,    -1,    -1,
     663,    -1,   665,    -1,   667,    -1,    -1,   670,  4200,    -1,
      -1,    -1,    -1,    -1,   677,    -1,    -1,    -1,    -1,   682,
      -1,   684,    -1,    -1,   251,    -1,    -1,   690,  4220,    -1,
      -1,    -1,  4224,    -1,    -1,  6082,  6083,    -1,    -1,    -1,
      -1,    -1,    -1,  5909,    -1,    -1,    -1,    -1,    -1,   286,
      -1,   714,    -1,   290,    -1,    -1,  5537,    -1,    -1,    -1,
     723,    -1,  5996,   300,   727,    -1,    -1,   730,    -1,    -1,
     733,    -1,    -1,   310,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   308,    -1,  4794,  5909,   322,   749,    -1,    -1,    -1,
    4801,  2672,    -1,    -1,  5960,  4806,    -1,    -1,  4809,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5973,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5983,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,    -1,  5993,   365,   366,
    5996,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   802,
      -1,    -1,    -1,    -1,  6010,    -1,    -1,    -1,   811,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6023,    -1,    -1,
     397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   831,   832,
      -1,   834,   835,    -1,    -1,   402,   839,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     853,  5672,    -1,    -1,    -1,   858,    -1,    -1,  6064,  6056,
      -1,   864,    -1,    25,    -1,    -1,    -1,    -1,  6074,    31,
      -1,    -1,    -1,    -1,    -1,    -1,  6082,  6083,    -1,  5700,
      -1,    -1,  6088,  6081,  6081,  6081,  6081,    -1,    -1,    -1,
    6081,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3577,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3585,   911,  6074,
      -1,    -1,  6118,  6119,    76,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   925,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   938,    -1,  6186,    -1,   506,
      -1,    -1,    -1,    -1,    -1,    -1,  6152,    -1,    -1,    -1,
     953,   518,   519,   520,   521,   522,   523,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   972,
    6176,   133,  6359,  6360,   977,   978,  6182,    -1,   140,    -1,
      -1,    -1,   144,    -1,    -1,    -1,  5807,    -1,  6186,  6186,
    6186,  6186,    -1,    -1,  6200,  6186,    -1,    -1,    -1,    -1,
      -1,  6207,  3680,    -1,  3682,    -1,  1009,  1010,    -1,    -1,
     172,  6176,    -1,    -1,    -1,  6221,    -1,  6182,    -1,    -1,
      -1,    -1,  4554,    -1,    -1,    -1,    -1,    -1,    -1,  1032,
    1033,  6237,  5083,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1046,    -1,  1048,   208,    -1,  4580,  1052,
      -1,    -1,  1055,  1056,    -1,  1058,    -1,    -1,    -1,    -1,
    1063,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6275,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1087,    -1,    -1,    -1,  5909,  6295,
      -1,  1094,  1095,    -1,    -1,    -1,  6302,    -1,    -1,    -1,
    3778,  6299,  6299,  6299,  6299,    -1,    -1,    -1,  6299,    -1,
      -1,    -1,    -1,  1116,  1117,  1118,    -1,  1120,    -1,  1122,
      -1,  1124,  1125,    -1,   286,    -1,    -1,    -1,   290,    -1,
    6295,    -1,  6338,  6339,    -1,    -1,    -1,  6343,   300,    -1,
      -1,  6347,    -1,    -1,  3822,  6351,    -1,    -1,   310,    -1,
      -1,    -1,    -1,  6359,  6360,  1158,    -1,  1160,  1161,    -1,
     322,    -1,    -1,  6369,    -1,    -1,    -1,     0,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6010,
    1193,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     362,    -1,    -1,   365,   366,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5263,    -1,    -1,    -1,  1219,    -1,  1221,    -1,
      -1,    -1,  1225,    38,  1227,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5283,    -1,    -1,   397,    -1,    -1,    -1,    -1,
    3918,    -1,    -1,    -1,    -1,    -1,  5297,    62,  1251,    -1,
    1253,    -1,    -1,  6074,  1257,    -1,    -1,    -1,    -1,    -1,
      -1,  6082,  6083,    -1,    -1,    -1,    99,    -1,  1271,  4801,
      -1,    -1,    -1,    -1,  4806,    -1,    -1,  4809,    -1,    10,
      -1,    -1,    13,    98,  3962,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4830,  4831,
      -1,    -1,    -1,    -1,    35,    -1,   468,    -1,    -1,    -1,
    1313,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,   152,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   165,    -1,    -1,    -1,    -1,    -1,   171,  1342,
    1343,  1344,    -1,  1346,   177,    -1,   161,    78,    -1,    -1,
     183,    -1,    -1,   186,    -1,  6176,    -1,   190,    -1,    -1,
      -1,  6182,    -1,    -1,  1367,    -1,  4044,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3297,  3298,    -1,  6200,
      -1,  3302,    -1,   198,    -1,    -1,    -1,   220,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1406,    -1,    -1,    -1,    -1,  5459,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4096,   252,
      -1,  1424,  3343,  3344,    -1,    -1,    -1,   242,    -1,    -1,
      -1,    -1,   247,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4121,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6275,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   196,    -1,  1470,    -1,   302,
     201,  1474,  1475,   306,  6295,   290,    -1,    -1,    -1,   312,
      -1,    -1,  1485,  1486,  1487,  1488,  5537,  1490,    -1,    -1,
      -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   323,    -1,
    1513,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6339,    -1,
     251,    -1,    -1,    -1,    -1,    -1,  6347,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   370,  6359,  6360,
      -1,    -1,    -1,    -1,    -1,  1548,    25,    -1,    -1,    -1,
    1553,   366,    31,  1556,    -1,    -1,   371,    -1,    -1,    -1,
      -1,    -1,   293,  5095,    -1,   380,  1569,  1570,    -1,    -1,
      -1,    -1,    -1,    -1,   389,  1578,    -1,   308,  1581,    -1,
     311,    -1,   397,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   409,   428,    -1,    76,    -1,    -1,
      -1,    -1,    -1,   418,    -1,  1608,    -1,  1610,   423,    -1,
    1613,    -1,    -1,  1616,  1617,    -1,    -1,  1620,    -1,    -1,
      -1,    -1,    -1,    -1,   457,    -1,    -1,  1630,   443,    -1,
    1633,    -1,    -1,  1636,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   481,  5700,
     483,   484,    -1,    -1,   133,  1658,    -1,    -1,    -1,    -1,
      -1,   140,    -1,    22,   479,   144,    -1,    -1,   483,    28,
      -1,   402,   505,  1676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1688,  1689,  1690,  1691,  1692,
      -1,    -1,   525,   172,    -1,   528,   529,   530,    -1,    -1,
      -1,    -1,    -1,  1706,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1717,  1718,  1719,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,
      -1,  5263,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5807,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,   516,   517,   518,   519,   520,
     521,   522,   523,    -1,    -1,    -1,    -1,   528,    -1,    -1,
     531,    -1,    -1,    -1,    -1,    -1,    -1,   286,    -1,    -1,
      -1,   290,    -1,  1816,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   300,    -1,    -1,  1827,    -1,    -1,    -1,    -1,    -1,
      -1,   310,  1835,  1836,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   322,    -1,    -1,    -1,    -1,  1851,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5909,    25,
      -1,    -1,  4540,    -1,    -1,    31,  1869,  1870,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      46,    -1,  1885,  1886,  1887,  1888,   365,   366,    -1,    -1,
      -1,  1894,  5424,    -1,    -1,    -1,    -1,    10,  1901,    -1,
      13,  1904,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      76,    -1,    -1,    -1,    -1,    -1,  1919,    -1,   397,  1922,
      -1,    -1,    35,  5455,    -1,    -1,    -1,    -1,    -1,  1932,
    1933,    -1,    45,    -1,    -1,    -1,    -1,  5469,    -1,    52,
    1943,  1944,    -1,    -1,  1947,    -1,    -1,  1950,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,  1965,  1966,    -1,    78,    -1,   133,    -1,  1972,
      -1,  1974,    -1,    -1,   140,    -1,    35,    -1,   144,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,  1991,   468,
      -1,    -1,    -1,    52,    -1,  1998,    -1,  2000,    -1,    -1,
    2003,  2004,  2005,    -1,  2007,  2008,   172,  2010,    -1,    -1,
      -1,    -1,    -1,    -1,  2017,    -1,    -1,    -1,    -1,    78,
      -1,  2024,    -1,  6074,  2027,  2028,  5558,    -1,  2031,    -1,
      -1,  2034,  2035,    -1,    -1,    -1,  2039,    -1,  2041,    -1,
      -1,    -1,   208,  2046,  2047,    -1,    -1,    -1,    -1,    -1,
    2053,  2054,  2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,
    2063,  2064,  2065,    -1,    -1,    -1,  2069,    -1,  2071,  2072,
    2073,  2074,  2075,  2076,  2077,  2078,    -1,    -1,  2081,    -1,
    2083,  2084,    -1,   196,  2087,    -1,    -1,    -1,   201,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    25,  2102,
    2103,  2104,    -1,    -1,    31,    -1,    -1,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,  2120,    -1,    46,
     286,    -1,    -1,    -1,   290,  6176,    -1,    -1,    -1,    -1,
      -1,  6182,    -1,    -1,   300,    -1,    -1,   196,   251,    -1,
      -1,    -1,   201,    -1,   310,    -1,    -1,    -1,    -1,    76,
      -1,    -1,    -1,    -1,  4075,    -1,   322,  2160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   224,   225,    -1,  5700,    -1,
    5702,    -1,    -1,    -1,    -1,    -1,  4097,  4098,  4099,  4100,
     293,    -1,  4103,  4104,  4105,  4106,  4107,  4108,  4109,  4110,
    4111,  4112,   251,    -1,    -1,   308,   362,  4875,   311,   365,
     366,    -1,    -1,    -1,   131,    -1,   133,    -1,    -1,    -1,
    4131,    -1,    -1,   140,    -1,    -1,    -1,   144,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   397,    -1,    -1,   293,    -1,    -1,    -1,  4916,    -1,
      -1,    -1,    -1,    -1,  6295,   172,  4167,  4168,    -1,   308,
      -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4938,    -1,    -1,    -1,  2267,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5804,    -1,    -1,    -1,    38,    -1,    -1,    -1,
      -1,   208,    -1,    -1,    -1,    10,    -1,    -1,    13,   402,
      -1,  4212,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      62,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,    -1,    -1,  2320,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,  5010,    -1,    -1,    -1,    98,    -1,    -1,    -1,
      -1,    -1,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,   286,
      -1,    -1,    -1,   290,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2375,   300,    -1,    17,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   310,    26,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,    -1,   322,    -1,    -1,    -1,   161,
      -1,    -1,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   770,    -1,   772,    62,   774,    -1,    -1,   531,    -1,
      -1,   780,   781,   782,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   362,   198,    -1,   365,   366,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,
      98,    -1,    -1,  5131,    -1,    -1,   515,   516,   517,   518,
     519,   520,   521,   522,   523,    -1,    -1,    -1,    -1,    -1,
     397,   196,   531,    -1,    -1,    -1,   201,    -1,    -1,    -1,
     242,    -1,    -1,    -1,    -1,   247,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6056,    -1,   251,    -1,   290,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6081,
     198,    -1,  2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,
    2563,   323,  2565,    -1,    -1,    -1,    -1,    -1,   293,    -1,
      -1,    -1,  2575,  2576,    -1,  2578,    -1,    -1,    -1,    -1,
      -1,    -1,  2585,   308,    -1,    -1,   311,    -1,    -1,  4510,
      -1,  5269,    -1,    -1,    -1,    -1,    -1,    -1,    10,   247,
      -1,    13,    -1,    -1,   366,    17,    18,    19,    -1,   371,
      -1,  2614,   971,  2616,    -1,    -1,  2619,  2620,   380,    -1,
    2623,    -1,  2625,    35,    -1,  2628,    -1,   389,    -1,  2632,
      -1,    -1,    -1,    45,    -1,   397,    -1,    -1,   286,    25,
      52,    -1,   290,    -1,    -1,    31,    -1,   409,    -1,    -1,
      -1,    -1,  2655,    -1,  6186,    -1,   418,    -1,  2661,  2662,
      46,   423,    -1,    -1,    -1,    -1,    78,    -1,    -1,  2672,
      -1,    -1,    -1,    -1,   322,   323,    -1,   402,  2681,  2682,
      -1,   443,  1041,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      76,    -1,  2695,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2703,    -1,  2705,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,   362,    -1,    -1,   479,   366,    -1,
      -1,   483,    -1,   371,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,   380,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,   389,  2745,    -1,  2747,   131,    52,   133,    -1,   397,
      -1,    -1,    -1,    -1,   140,    -1,    -1,    -1,   144,    -1,
      -1,   409,  2765,    -1,    -1,    -1,    -1,  6299,    -1,    -1,
     418,    -1,    78,  2776,    -1,   423,  2779,  2780,  2781,  2782,
      -1,   506,  2785,    -1,   196,  2788,   172,    -1,    -1,   201,
     515,   516,   517,   518,   519,   520,   521,   522,   523,    -1,
      -1,    -1,    -1,   528,    -1,    -1,  2809,    -1,    -1,    -1,
      -1,    -1,   224,   225,    -1,    -1,    -1,  2820,  4739,    -1,
      -1,    -1,   208,    -1,    -1,  2828,  2829,    25,    -1,    -1,
      -1,   479,  2835,    31,    -1,    -1,    -1,    -1,    -1,   251,
      -1,  2844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2866,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    51,    -1,    76,    -1,
      -1,   293,    -1,    -1,  2887,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,   308,  2900,    -1,   311,
     286,    -1,    -1,    -1,   290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   300,    -1,    -1,    -1,   224,   225,
    2923,    -1,    -1,  2926,   310,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5611,    -1,   133,   322,    -1,  5616,  5617,
      -1,    -1,   140,    -1,    -1,   251,   144,    -1,    -1,  2952,
    2953,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2967,    -1,  2969,  2970,    -1,    -1,
      -1,    -1,    -1,    -1,   172,    -1,   362,    -1,    -1,   365,
     366,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,
     402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3001,  3002,
    3003,    -1,   308,    -1,  3007,   311,    -1,    -1,    -1,    -1,
     208,   397,  3015,    -1,    -1,    -1,    -1,   659,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3028,    -1,    -1,    -1,    -1,
      -1,  3034,    -1,  3036,    -1,    -1,  1395,    -1,    -1,    -1,
      -1,  1400,  1401,    -1,    -1,    -1,  3049,    -1,    -1,    -1,
      -1,  3054,  5730,    -1,    -1,    -1,    -1,  3060,    -1,    -1,
    3063,    -1,    -1,    -1,    -1,    -1,    -1,   709,   710,  1428,
      -1,    -1,  3075,  3076,    -1,    -1,    -1,    -1,  1437,    -1,
    1439,    -1,   468,  3086,  1443,    -1,    -1,    -1,   286,    -1,
      -1,  1450,   290,  3096,   506,  3098,   402,    -1,    -1,    -1,
      -1,    -1,   300,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   310,  5791,    -1,    -1,   528,    -1,    -1,    -1,
      10,    -1,    -1,    13,   322,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,  3137,    -1,  3139,    -1,  3141,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,   805,   362,    -1,    -1,   365,   366,    -1,
      -1,  3174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1541,   825,    -1,    -1,    -1,    -1,    78,    -1,
      -1,   833,  1551,    -1,   836,   837,   838,    -1,    -1,   397,
     506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
     516,   517,   518,   519,   520,   521,   522,   523,    -1,    -1,
      -1,    -1,   528,    25,    -1,  3228,  3229,    -1,  3231,    31,
    3233,  3234,    -1,  3236,    -1,    -1,  1595,  1596,    -1,    -1,
    3243,    -1,    -1,    -1,    -1,  3248,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     468,    -1,    -1,    -1,    76,    -1,    -1,    -1,    -1,  1638,
    5201,    -1,  1641,  1642,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3297,  3298,  3299,    -1,    -1,  3302,
      -1,    -1,    -1,    -1,    -1,    -1,   196,  3310,  3311,  3312,
    3313,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3326,    -1,    -1,  3329,    -1,  3331,    -1,
      -1,   133,  5253,    -1,   224,   225,    -1,    -1,   140,    -1,
    3343,  3344,   144,    -1,  3347,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,  3366,    -1,  3368,    -1,  3370,    -1,  3372,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    62,    -1,    -1,    -1,    -1,  3391,    -1,
      -1,  3394,    -1,    -1,    -1,  3398,    -1,    -1,    -1,  1041,
      -1,    -1,    -1,   293,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3419,    -1,   308,    98,
      -1,   311,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       0,    -1,    -1,    -1,    -1,  3448,    -1,    35,  3451,  3452,
      -1,    -1,    -1,  3456,  3457,  3458,    -1,    45,    -1,    -1,
      20,  3464,    -1,    -1,    52,    -1,  3469,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,  1834,    -1,    -1,    -1,    -1,
      -1,  3484,   161,    -1,   286,    -1,    -1,    -1,   290,    -1,
      78,    51,    -1,    -1,    -1,  3498,    -1,    -1,   300,  3502,
      -1,    61,  3505,  3506,    -1,  3508,    -1,    -1,   310,    -1,
      -1,    -1,   402,    73,    -1,    75,    76,    -1,    -1,   198,
     322,    -1,    82,    -1,    84,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,    99,
      -1,    -1,    -1,    -1,   719,    -1,  3549,    -1,    -1,    -1,
      -1,  3554,    -1,    -1,    -1,    -1,   116,    -1,    -1,   119,
     362,    -1,    -1,   365,   366,    -1,    -1,    -1,   247,    -1,
     745,    -1,    -1,    -1,   134,    -1,   136,  3580,  3581,    -1,
     140,    -1,    -1,    -1,    -1,    -1,    -1,   147,    -1,  5510,
    1232,    -1,    -1,    -1,    -1,   397,   156,    -1,   158,    -1,
      -1,    -1,    -1,    -1,    -1,   165,    -1,   286,   196,    -1,
      -1,   290,    -1,   201,    -1,    -1,   506,  1259,    -1,  5540,
      -1,    -1,    -1,   183,    -1,   515,   516,   517,   518,   519,
     520,   521,   522,   523,    -1,    -1,   224,   225,   528,    -1,
     200,    -1,    -1,   322,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3664,    -1,   251,    -1,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   362,    -1,  3688,    -1,   366,    -1,    -1,
    2049,  2050,   371,   253,   254,  3698,    -1,    -1,    -1,   259,
      -1,   380,    -1,    -1,    -1,   293,  1348,  2066,  2067,    -1,
     389,    -1,    -1,   888,   274,  1357,    -1,    -1,   397,    -1,
     308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,
     409,  1373,   292,    -1,    -1,    -1,    -1,    -1,  2097,   418,
      -1,    -1,    -1,    -1,   423,    -1,    -1,    -1,    -1,    -1,
    1392,    -1,    -1,  1395,  1396,    -1,    -1,    -1,  1400,  1401,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   337,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   352,    -1,    -1,    -1,    -1,    -1,   358,   359,
     479,   361,    -1,    -1,  3807,    -1,   366,    -1,    -1,    -1,
    3813,    -1,   372,    -1,   402,   375,    -1,    -1,    -1,    -1,
      -1,  3824,   382,    -1,    -1,    -1,    -1,    -1,    -1,   389,
     390,    -1,    -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,
      -1,   401,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   411,    -1,    -1,    -1,    -1,    -1,  1032,  3861,  3862,
    3863,    -1,    -1,    -1,    -1,    -1,  5787,    -1,   428,    -1,
      -1,    -1,    -1,    -1,    -1,  3878,  1051,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1062,   448,  3892,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     460,    -1,    -1,  1078,    -1,    -1,   466,  3910,  3911,  3912,
      -1,   471,    -1,  3916,    -1,    -1,    -1,    -1,   506,    -1,
      -1,    -1,    -1,    -1,   484,  3928,    -1,   515,   516,   517,
     518,   519,   520,   521,   522,   523,    -1,    -1,    -1,    -1,
     528,    -1,    23,    -1,    -1,    -1,    -1,    28,   508,    -1,
     510,   511,   512,   513,   514,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,    -1,    -1,
     530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3984,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3998,  3999,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,  4009,    -1,    -1,    -1,
      -1,    -1,    -1,  1655,    -1,    96,    -1,    -1,    -1,  4022,
      -1,  1663,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   114,    -1,    -1,    -1,    -1,  4041,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4050,    -1,    -1,
      -1,    -1,  5973,    -1,    -1,    -1,    -1,   138,    -1,    -1,
    1235,  4064,    -1,    -1,    -1,  4068,  4069,  4070,    -1,    -1,
     151,    -1,  4075,    -1,    -1,  4078,    -1,    -1,  4081,   160,
      -1,    -1,    -1,    -1,  4087,    -1,  4089,    -1,    -1,  4092,
      -1,    -1,   173,    -1,  4097,  4098,  4099,  4100,   179,    -1,
    4103,  4104,  4105,  4106,  4107,  4108,  4109,  4110,  4111,  4112,
      -1,    -1,    -1,  4116,  4117,  4118,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4126,    -1,   206,    -1,    -1,  4131,    -1,
      -1,    -1,  4135,    -1,    -1,    -1,    -1,    -1,    -1,    62,
    4143,    -1,    -1,  4146,    -1,  4148,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4164,   243,    -1,  4167,  4168,    -1,    -1,    -1,  4172,
    4173,    -1,    -1,    -1,  4177,    98,  4179,  4180,    -1,    -1,
      -1,    -1,    -1,    -1,   265,  4188,  4189,  4190,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6118,  6119,    -1,
      -1,    -1,    -1,    -1,    -1,  4208,  4209,  4210,    -1,  4212,
    4213,    -1,    -1,  4216,    -1,    -1,    -1,  4220,    -1,    -1,
      -1,  4224,    -1,    -1,    -1,    -1,    -1,  4230,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1878,    -1,   161,    -1,
    1882,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4256,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,   343,    -1,    -1,   346,    -1,    -1,  4271,    -1,
    4273,    -1,    -1,    -1,    -1,   198,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2643,  2644,    -1,    -1,  4291,  4292,
    2649,  4294,    -1,   374,  4297,    -1,   377,    -1,    -1,    -1,
      25,    -1,    -1,   384,    -1,    -1,    31,    -1,    -1,    -1,
     391,    -1,    -1,   394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1496,  2681,  2682,   247,    -1,    -1,    -1,    -1,  4332,
    4333,    -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     421,    -1,    -1,    -1,    -1,    -1,    -1,   428,  4351,    -1,
     431,    76,    -1,    -1,   435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   286,    -1,    -1,    -1,   290,    -1,   450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2743,    -1,    -1,    -1,  1563,    -1,
      -1,    25,    -1,    -1,    -1,    -1,   477,    31,    -1,   322,
     323,    -1,    -1,  4406,    -1,    -1,    -1,    -1,   133,    10,
    2052,    -1,    13,    -1,    -1,   140,    17,    18,    19,   144,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,  1604,
      -1,    13,    -1,    -1,    35,    17,    18,    19,    -1,   362,
      -1,    -1,    76,   366,    45,    -1,    -1,   172,   371,    -1,
      -1,    52,    -1,    35,    -1,    -1,    -1,   380,  4461,    -1,
      -1,    -1,  1637,    45,    -1,    -1,   389,    -1,    -1,  2828,
      52,    -1,    -1,    -1,   397,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,   208,    -1,    -1,   409,    -1,    -1,    -1,
      -1,  4494,    -1,    -1,    -1,   418,    78,    -1,    -1,   133,
     423,    -1,    -1,    -1,    -1,  4508,   140,  4510,    -1,    -1,
     144,    -1,    -1,    -1,  4517,    -1,    -1,    -1,    -1,    -1,
    4523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4534,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,  1717,  1718,  1719,    -1,  4549,    -1,    -1,    -1,
      -1,  4554,  4555,    -1,    -1,    -1,   479,    -1,  2917,  4562,
      -1,   286,    -1,    -1,    -1,   290,  2925,    -1,  4571,  2928,
      -1,    -1,    -1,    -1,   208,   300,    -1,    -1,  4581,    -1,
      -1,  2940,    -1,    -1,    -1,   310,    -1,    -1,    -1,    -1,
    4593,  4594,    -1,    -1,    -1,   196,    -1,   322,    -1,    -1,
     201,  4604,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4615,  4616,   196,    -1,    -1,    -1,    -1,   201,
      -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
    4633,    -1,    -1,    -1,    -1,    -1,    -1,   362,    -1,    -1,
     365,   366,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,   286,    -1,  1829,    -1,   290,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1840,   300,    -1,    -1,   251,
      -1,  4674,   397,    -1,    -1,    -1,   310,    -1,    -1,    -1,
      -1,  1856,    -1,    -1,    -1,    -1,    -1,  4690,   322,    -1,
      -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4708,    -1,   308,    -1,    -1,
     311,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,   362,   311,
      -1,   365,   366,  4736,    -1,  1910,  4739,    -1,    -1,    -1,
      -1,    -1,    -1,   468,  4747,  4748,    -1,    -1,    -1,    -1,
    1925,  4754,  4755,  1928,  1929,    -1,  4759,    -1,    -1,    -1,
      -1,  4764,    -1,   397,  4767,  4768,    -1,    -1,    -1,    -1,
      -1,  4774,    -1,    -1,    -1,  4778,  4779,  4780,  4781,    -1,
      10,    -1,    -1,    13,  1959,  1960,    -1,    17,    18,    19,
      -1,  4794,    -1,    -1,  4797,    -1,    -1,    -1,  4801,    -1,
      -1,   402,    -1,  4806,    -1,    35,  4809,  4810,    -1,  4812,
      -1,  4814,    -1,    -1,  4817,    45,  4819,    -1,    -1,    -1,
     402,    -1,    52,    -1,    -1,  4828,    -1,    -1,  3187,  4832,
      -1,    -1,    -1,  4836,   468,  4838,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,    -1,
    4853,    -1,    -1,  4856,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,  2059,    -1,    -1,    31,  4891,    -1,
      -1,    -1,  4895,    -1,    -1,    -1,    -1,    -1,  2073,    -1,
      -1,  2076,    -1,    -1,    -1,   506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,   516,   517,   518,   519,   520,
     521,   522,   523,    -1,   506,    -1,  2101,   528,    -1,    -1,
      -1,    -1,    76,   515,   516,   517,   518,   519,   520,   521,
     522,   523,    -1,    -1,    -1,    -1,   528,    -1,    -1,    -1,
      -1,    -1,    -1,  2595,    -1,    -1,    -1,    -1,  4961,    -1,
      -1,    -1,    -1,    -1,    -1,  4968,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4990,    -1,   133,
      -1,    -1,    -1,    -1,   224,   225,   140,    -1,    -1,    -1,
     144,    -1,  5005,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,  5036,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5052,
      -1,  3410,     0,  3412,    -1,    -1,  5059,    -1,    -1,    -1,
      -1,    -1,    -1,   293,   208,  5068,    -1,    -1,    -1,  3428,
      -1,    -1,    20,    -1,    -1,    -1,    -1,    -1,   308,    -1,
    5083,   311,    -1,    31,    -1,    33,    34,    -1,    -1,    -1,
      -1,    -1,    -1,  5096,    -1,  5098,    -1,    -1,    -1,    -1,
      -1,  2743,    -1,    51,    -1,    -1,   336,    -1,    -1,    -1,
      -1,    -1,    -1,    61,    -1,    -1,    -1,  3476,  3477,    -1,
      -1,  5124,    -1,    -1,    -1,    73,    -1,    75,    76,    -1,
      -1,    -1,  5135,    -1,    82,    -1,    84,    -1,    -1,    -1,
      -1,    -1,   286,    -1,    -1,    -1,   290,    -1,    -1,    97,
      -1,    99,    -1,    -1,    -1,    -1,   300,    -1,    -1,    -1,
      -1,  2803,    -1,    -1,    -1,    -1,   310,    -1,   116,    -1,
      -1,   119,   402,    -1,    -1,    -1,    -1,    -1,   322,    -1,
      -1,    -1,    -1,    -1,    -1,  5188,   134,    -1,   136,    -1,
     420,    -1,   140,    -1,    -1,  5198,    -1,    -1,  5201,   147,
      -1,  5204,  5205,  5206,    -1,    -1,    -1,    -1,   156,    -1,
     158,    -1,    -1,    -1,    -1,    -1,    -1,   165,   362,    -1,
      -1,   365,   366,    -1,    -1,    -1,  5229,  5230,    -1,    -1,
    5233,    -1,    -1,    -1,    -1,   183,    -1,    -1,    -1,    -1,
      -1,  2883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5253,    -1,   200,   397,    -1,    -1,  5259,    -1,    -1,    -1,
    5263,    -1,    -1,    -1,  5267,  2907,    -1,  5270,    -1,  5272,
      -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,    -1,
    5283,    -1,    -1,  5286,    -1,   515,   516,   517,   518,   519,
     520,   521,   522,   523,  5297,  5298,  5299,    -1,  5301,    -1,
      -1,    -1,    -1,    -1,    -1,   253,   254,    -1,    -1,    -1,
      -1,   259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   468,    -1,   274,    -1,    -1,  2971,
      -1,    -1,    -1,  2975,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   292,    -1,    -1,    -1,  5351,  5352,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3012,    -1,  3014,    -1,  3016,  3017,    -1,    -1,    -1,  3021,
    3022,  3023,    -1,  3025,  3026,  3027,    -1,    -1,    -1,   337,
      -1,    -1,    -1,  5396,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2578,   352,    -1,    -1,  5410,    -1,    -1,
     358,   359,  5415,   361,    -1,    -1,    25,  5420,   366,    -1,
      -1,    -1,    31,    -1,   372,    -1,  5429,   375,    -1,    38,
      -1,    -1,    -1,    -1,   382,    -1,  5439,  3079,    -1,    -1,
    5443,   389,   390,  5446,    -1,    -1,    -1,    -1,    -1,   397,
      -1,    60,    -1,   401,  5457,  5458,  5459,    -1,    -1,    -1,
      -1,    -1,  3104,   411,    -1,    -1,    -1,    76,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5493,  3850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     448,    -1,    -1,   112,    -1,    -1,    -1,  5510,    -1,    -1,
      -1,  5514,   460,  5516,  3873,    -1,    -1,    -1,   466,    -1,
      -1,    -1,    -1,   471,   133,    -1,    -1,  5530,    -1,    -1,
      -1,   140,    -1,    -1,  5537,   144,   484,  5540,    -1,    -1,
    2715,  5544,    -1,    -1,  2719,  2720,    -1,    -1,  5551,    -1,
      -1,    -1,    -1,    -1,    -1,  5558,    -1,    -1,    -1,    -1,
     508,    -1,    -1,   172,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,
      -1,    -1,   530,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5593,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,   208,
      -1,    -1,  5605,  2778,    -1,    -1,    -1,    -1,    -1,  2784,
      -1,    23,    -1,    -1,    -1,    -1,    28,    -1,  5621,    -1,
      -1,    -1,    -1,    -1,  5627,  5628,    -1,    -1,    -1,  5632,
    5633,  5634,  5635,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
    2825,    -1,    -1,    -1,    66,    -1,    -1,   266,    -1,    -1,
    5663,    -1,   271,    -1,    -1,    35,    -1,    79,    -1,  5672,
      -1,  4030,    -1,    -1,    -1,    45,    -1,   286,    -1,    -1,
      -1,   290,    52,    -1,    96,    -1,    -1,    -1,    -1,    -1,
      -1,   300,    -1,    -1,  5697,    -1,    -1,  5700,    -1,    -1,
      -1,   310,   114,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,   321,   322,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5725,    -1,    -1,    -1,   138,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   151,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,    -1,
    5753,    -1,    -1,   362,    -1,    -1,   365,   366,   367,    -1,
      -1,   173,  5765,    -1,    -1,    -1,    -1,   179,    -1,    -1,
    3412,  5774,  5775,  5776,   186,    -1,    -1,  5780,    -1,    -1,
      -1,  5784,   391,    -1,  5787,    -1,    -1,    -1,   397,   208,
      -1,    -1,    -1,  5796,   206,  5798,    -1,  5800,  5801,    -1,
      -1,   220,   411,    -1,  5807,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,  5818,    -1,  5820,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,  5830,  3003,    -1,
      -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   265,   224,   225,    -1,    -1,    -1,   468,
    3035,    -1,  5865,  5866,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,  5895,    17,    18,    19,   308,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5909,    -1,    -1,   321,
      -1,    35,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     332,    45,    -1,   293,    -1,    -1,    -1,    -1,    52,    -1,
     342,   343,  3574,  3108,   346,    -1,    -1,  3112,   308,    -1,
      -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,  5960,    -1,    -1,
      -1,    -1,   374,    -1,    -1,   377,    -1,    -1,    -1,   381,
    5973,    -1,   384,    -1,  5977,    -1,    -1,    -1,    -1,   391,
    5983,    -1,   394,    -1,    -1,    -1,    -1,    -1,    -1,  5992,
    5993,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   413,    -1,    -1,    -1,    -1,    -1,  6010,    -1,   421,
    3652,  4370,    -1,    -1,    -1,    -1,   428,   198,   199,   431,
      -1,   202,  6025,   435,    -1,    -1,    -1,    -1,    -1,  6032,
      -1,   443,   402,   445,    -1,    -1,    -1,    -1,   450,  4398,
    3215,   222,    -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,
      -1,    -1,   464,  4412,  6057,  3230,    -1,    -1,    -1,    -1,
    3235,  6064,    -1,    -1,  4423,   477,    -1,    -1,  3710,    -1,
      -1,  6074,   196,    -1,    -1,    -1,    -1,   201,    -1,  6082,
    6083,  6084,    -1,   206,   207,  6088,    -1,    -1,    -1,    -1,
    3265,   214,    -1,   216,   217,    -1,    -1,    -1,    -1,    -1,
     224,   225,    -1,    -1,    -1,    -1,    -1,   230,  6111,  6112,
    6113,    -1,    -1,    -1,    -1,  6118,  6119,    -1,    -1,    -1,
      -1,  6124,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,  3780,    -1,
    4499,  4500,    -1,  6146,    -1,   515,   516,   517,   518,   519,
     520,   521,   522,   523,    -1,    -1,    -1,    -1,   528,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,
      -1,    -1,    -1,  6176,  6177,  6178,    -1,    -1,    -1,  6182,
      -1,    -1,    -1,    -1,   308,    -1,  3828,   311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6200,  3840,  3841,
      -1,    -1,    -1,    -1,  6207,    -1,    -1,    -1,  3850,    -1,
      -1,    -1,    -1,  3855,    10,  3857,    -1,    13,  6221,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,  4587,    -1,
      -1,    -1,    -1,    -1,  6237,    -1,    -1,    -1,   657,    35,
      -1,    -1,    -1,    -1,   663,    -1,    -1,    -1,    -1,    45,
      -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,
      -1,  3903,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6273,  6274,  6275,  6276,  6277,    -1,    -1,  6280,   402,    -1,
      -1,  4640,    78,    -1,    -1,    -1,    -1,    -1,    -1,  6292,
      -1,    -1,  6295,    -1,    -1,    -1,  3938,  3939,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6319,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6338,  6339,    -1,    -1,    -1,
    6343,    -1,    -1,  3518,  6347,    -1,  3521,    -1,  3523,    -1,
      -1,    -1,    -1,  3528,    -1,   207,  6359,  6360,    -1,    -1,
    6363,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   230,    -1,
      -1,    -1,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     196,    -1,  3577,    -1,   528,   201,    -1,    -1,    -1,    -1,
    3585,    -1,    -1,    -1,    -1,   834,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    51,   224,   225,
      -1,    -1,    -1,    -1,   853,  3610,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    23,    17,    18,    19,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   665,    -1,   667,    -1,    -1,   670,
      -1,    -1,    -1,    -1,    45,    -1,    -1,   293,    -1,    -1,
    4142,    52,    -1,   684,    -1,  3680,   925,  3682,    66,   690,
      -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,
      -1,    79,    -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,
      -1,    -1,    -1,   656,    -1,    -1,    -1,    -1,    96,  4898,
      -1,    -1,    -1,    -1,    -1,  4904,    -1,    -1,    -1,    -1,
    4909,    -1,   675,   972,    -1,    -1,   114,    -1,   681,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     693,    -1,    -1,    -1,    -1,    -1,    -1,  4936,  4937,    -1,
     138,    -1,  4941,  4942,    -1,    -1,   709,    -1,    -1,    -1,
      -1,    -1,    -1,   151,    -1,    -1,    -1,    -1,    -1,    -1,
     723,   724,   160,  3778,    -1,    -1,   402,   730,    -1,   732,
     733,    -1,    -1,    -1,    -1,   173,    -1,    -1,    -1,    -1,
      -1,   179,    -1,   746,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3807,   756,    -1,    -1,    -1,    -1,  3813,    -1,
      -1,    -1,    -1,    -1,    -1,   196,    -1,  3822,   206,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1087,    -1,
      -1,    -1,    -1,   224,   225,  3850,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   809,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1116,  1117,  1118,
     251,    -1,    -1,    -1,    -1,    -1,    -1,   265,    -1,    -1,
     506,    -1,    -1,    -1,   837,    -1,    -1,    -1,    -1,   515,
     516,   517,   518,   519,   520,   521,   522,   523,  4370,    -1,
      -1,    -1,   528,    -1,    -1,    -1,    -1,    10,    -1,   862,
      13,    -1,   293,  3918,    17,    18,    19,    -1,    -1,    -1,
     308,    -1,    -1,    -1,    -1,    -1,  4398,   308,    -1,    -1,
      -1,    -1,    35,    -1,    -1,  3940,    -1,    -1,    -1,    -1,
      -1,  4413,    45,    -1,  4416,    -1,  4418,    -1,    -1,    52,
      -1,    -1,    -1,    -1,   342,   343,    -1,  3962,   346,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   977,   978,    -1,    -1,
      -1,   924,    -1,    -1,   656,    78,  1225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,   377,
      -1,    -1,  4464,   675,    -1,    -1,   384,    -1,    -1,   681,
      -1,    -1,    -1,   391,  1253,    -1,   394,    -1,  4480,    -1,
      -1,   693,    -1,  4485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,    -1,   413,    -1,   709,    -1,    -1,
      -1,    -1,    -1,   421,    -1,    -1,    -1,  1048,    -1,  4044,
     428,    -1,   724,   431,    -1,    -1,    -1,   435,    -1,    -1,
     732,    -1,  1063,    -1,    -1,   443,    -1,    -1,    -1,    -1,
      -1,    -1,   450,    -1,   746,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   756,    -1,    -1,    -1,    -1,    -1,
      -1,  1034,    -1,  1094,  1095,    -1,    -1,    -1,  1041,   477,
      -1,  4096,    -1,   196,    -1,    -1,    -1,    -1,   201,  1052,
      -1,    -1,    -1,  1056,    -1,  1058,    -1,    -1,    -1,  1120,
      -1,    -1,  4584,    -1,    -1,  4587,  4121,    -1,    -1,    -1,
      -1,   224,   225,    -1,    -1,   506,    -1,   809,    -1,    -1,
      -1,    -1,    -1,    -1,   515,   516,   517,   518,   519,   520,
     521,   522,   523,    -1,    -1,    -1,    -1,    -1,   251,  1160,
    1161,  5340,    -1,    -1,    -1,   837,    -1,  1406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     293,  4663,  4664,  4665,  4666,    -1,  4668,  4669,  4670,  4671,
    4672,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,
      -1,    -1,  1165,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1486,    -1,    -1,
      -1,    -1,   924,    25,    -1,    -1,    -1,    -1,    -1,    31,
      -1,    -1,    -1,    -1,    -1,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   719,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1226,  4279,    -1,    -1,    -1,    60,    -1,
      -1,    -1,    -1,    -1,  1237,    -1,    -1,    -1,    -1,    -1,
      -1,   745,    -1,    -1,    76,    -1,    -1,    -1,    -1,   402,
      -1,  1254,    -1,    -1,    -1,    -1,  1259,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4786,    -1,  4788,    -1,    -1,    -1,
    1569,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1578,
     112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   133,  1034,    -1,    -1,    -1,    -1,    -1,   140,  1041,
      -1,  1610,   144,    -1,    -1,  4370,    -1,  1616,  1617,    -1,
      -1,  1620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1633,    -1,    -1,  1636,    -1,    -1,
     172,    -1,    -1,  4398,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   515,   516,   517,   518,   519,   520,   521,   522,
     523,    -1,   204,    -1,    -1,   528,   208,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   888,    -1,    -1,    -1,    -1,  1392,
      -1,    -1,    -1,  1692,    -1,    -1,    -1,  1400,  1401,    -1,
      -1,    -1,    -1,    -1,  5643,    -1,    -1,  1706,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1165,   266,    -1,    -1,    -1,    -1,   271,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1453,    -1,    -1,    -1,   286,    -1,    10,    -1,   290,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,   300,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   310,    -1,
      -1,    35,    -1,    -1,    -1,  4540,  5008,  5009,    -1,   321,
     322,    45,    -1,    51,  1226,  1556,    -1,    -1,    52,  5021,
      -1,  5023,  5024,  5025,    -1,  1237,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1816,    -1,    -1,
    1581,    -1,  1254,    -1,    78,    -1,    -1,  1259,  1827,    -1,
     362,    -1,  4587,   365,   366,   367,    -1,  4592,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1051,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1062,   391,
      -1,    -1,    -1,    -1,    -1,   397,    -1,  5089,    -1,    -1,
    1869,  1870,    -1,    -1,  1078,    -1,    -1,    -1,    -1,   411,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1894,    10,  1658,    -1,    13,
      -1,    -1,  1901,    17,    18,    19,  5128,    -1,  5847,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    35,    -1,    -1,    -1,    -1,    -1,  1688,  1689,  1690,
    1691,    45,    -1,    -1,    -1,    -1,   468,    -1,    52,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,  5171,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1392,    -1,    -1,    -1,    78,    -1,    -1,    -1,  1400,  1401,
     224,   225,    -1,    -1,    -1,  1974,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4750,    -1,   251,    -1,  1702,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2007,  2008,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1453,    -1,    -1,    -1,  2024,    -1,    -1,  2027,    -1,
      -1,  1235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1835,  1836,    -1,    -1,    -1,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
    1851,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     224,   225,    -1,    -1,  1817,    -1,    -1,    -1,  5340,    -1,
    4875,    -1,    -1,    -1,  1885,  1886,  1887,  1888,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    51,    -1,    -1,    -1,    -1,    -1,   402,  1852,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4916,    -1,    -1,  5386,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1875,  5395,    -1,    -1,    -1,    -1,    -1,   293,
    1883,    -1,    -1,  4938,    -1,    -1,    -1,    -1,  1891,    -1,
      -1,  1395,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1966,    -1,    -1,    -1,    -1,
      -1,  1972,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1932,
    1933,    -1,  1935,  1936,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1947,    -1,  1949,  1950,    -1,    -1,
      -1,    -1,   506,    -1,    -1,  5010,    -1,    -1,    -1,  1962,
    1963,   515,   516,   517,   518,   519,   520,   521,   522,   523,
    1702,    -1,    -1,    -1,   528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,
      -1,    -1,  1496,    -1,    -1,    -1,    -1,  2000,    -1,    -1,
      -1,  2004,  2005,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1563,
      -1,    -1,    -1,  6302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5129,    -1,  5131,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1817,    -1,    -1,    -1,    -1,
      -1,    -1,   506,    -1,    -1,    -1,    -1,    -1,    -1,  2160,
    1604,   515,   516,   517,   518,   519,   520,   521,   522,   523,
      -1,    -1,  6351,    -1,   528,    -1,    -1,    -1,    -1,  2122,
    1852,  5643,    -1,    -1,    -1,  5647,    -1,    -1,    -1,    -1,
    6369,    -1,    -1,  1637,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1875,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1883,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1891,
      -1,   719,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,   745,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1935,  1936,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    -1,  5269,    -1,    -1,  1949,    -1,    -1,
      45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,
    1962,  1963,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    10,    -1,    -1,    13,
      -1,    35,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    -1,  2575,    -1,    52,    -1,
      -1,    35,    -1,    -1,    -1,  5340,  2585,    -1,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2614,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    78,  1829,    -1,    -1,    -1,    -1,
     888,    -1,    -1,    -1,    -1,  5857,  1840,    -1,    -1,  5861,
      -1,  5863,    -1,    -1,    -1,  5867,  5868,    -1,    -1,    -1,
      -1,    -1,  1856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2661,  2662,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2122,    -1,    -1,    -1,    -1,    -1,  2695,    -1,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,  1910,  5462,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1925,   196,    -1,  1928,  1929,   251,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,
     224,   225,    -1,    -1,    -1,  1959,  1960,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,
     224,   225,    -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,
      -1,    -1,    -1,  1051,    -1,    -1,    -1,   251,    -1,    -1,
      -1,    -1,    -1,    -1,  1062,    -1,    -1,    -1,    -1,    -1,
     719,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,
    1078,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2829,    -1,    -1,    -1,   308,    -1,   745,   311,    -1,   293,
      -1,    -1,    -1,    -1,    -1,  2844,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   308,    -1,  5611,   311,  2619,    -1,
      -1,  5616,  5617,    -1,    -1,    -1,    -1,  2866,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,   402,    -1,
    6152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,   402,    -1,
    2653,    -1,    45,  2952,  2953,    -1,    -1,    -1,    -1,    52,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5729,  5730,    -1,  1235,    -1,   888,
      -1,   506,    -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,    -1,
      -1,    -1,    -1,   528,    -1,  2708,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2726,  2785,    -1,    -1,  2730,    -1,    -1,
      -1,  2734,   506,    -1,    -1,    -1,  5791,    -1,    -1,    -1,
    2743,   515,   516,   517,   518,   519,   520,   521,   522,   523,
      -1,    -1,   506,    -1,   528,  3054,    -1,    -1,    -1,  2762,
      -1,   515,   516,   517,   518,   519,   520,   521,   522,   523,
      -1,    -1,    -1,    -1,   528,    -1,  2779,    -1,  2781,  2782,
    6302,    -1,    -1,    -1,    -1,    -1,    -1,  6309,    -1,    -1,
      -1,    -1,    -1,  2796,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,
      -1,    -1,    -1,  2816,  2817,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6351,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1051,    -1,  2847,  2848,    -1,  6369,  2851,    -1,
    6372,    -1,    -1,  1062,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,  2923,    -1,    -1,  2926,    -1,    -1,    10,  1078,
      -1,    13,  2875,    -1,  2877,    17,    18,    19,  2881,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2895,    35,    -1,    -1,    -1,    -1,    -1,  2902,
     293,    -1,  2905,    45,    -1,    -1,    -1,    -1,  2911,    -1,
      52,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,
      -1,  2653,    -1,    -1,    -1,    -1,    -1,    -1,  2931,    -1,
      -1,    -1,    -1,    -1,  2937,    -1,    78,    -1,  1496,    -1,
      -1,  2944,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3015,  2958,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3028,    -1,  2972,
      -1,    -1,    -1,    -1,  2977,  3036,  2708,    -1,    -1,    -1,
    2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,  2726,    13,    -1,    -1,  2730,    17,
      18,    19,  2734,    -1,    -1,  1563,    -1,    -1,    -1,   402,
      -1,  2743,    -1,    -1,  3075,    -1,    -1,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1235,    45,    -1,    -1,
    2762,    -1,    -1,    -1,    52,  3096,    -1,    -1,    -1,    -1,
    3043,    -1,    -1,    -1,    -1,    -1,  1604,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,
      78,    -1,    -1,    -1,  2796,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3139,  1637,
    3141,    -1,   224,   225,  2816,  2817,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3398,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,
      -1,    -1,    -1,   506,    -1,  2847,  2848,    -1,    -1,  2851,
    3419,    -1,   515,   516,   517,   518,   519,   520,   521,   522,
     523,    -1,    -1,    -1,    -1,   528,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2875,    -1,  2877,    -1,    -1,    -1,  2881,
      -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2895,    -1,    -1,   308,    -1,  3229,   311,
    2902,    -1,    -1,  2905,    -1,  3236,    -1,    -1,   196,  2911,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3198,    -1,  3200,    -1,  2931,
      -1,    -1,    -1,    -1,    -1,  2937,   224,   225,    -1,    -1,
      -1,  2715,  2944,    -1,  3217,  2719,  2720,    -1,    -1,    -1,
      -1,  3224,    -1,    -1,    -1,    -1,  2958,    -1,  3231,    -1,
    3233,  3234,    -1,   251,    10,    -1,    -1,    13,    -1,    -1,
    2972,    17,    18,    19,    -1,  2977,    -1,    -1,    -1,    -1,
      -1,  2983,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
     402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,
      -1,  1829,    -1,    -1,  2778,   293,    52,    -1,    -1,    -1,
    2784,    -1,  1840,  6338,    -1,    -1,    -1,  1496,    -1,    -1,
     308,    -1,    -1,   311,    -1,    -1,    -1,    -1,  1856,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3043,    -1,    -1,    -1,    -1,    -1,    -1,  3321,    -1,
      -1,  2825,    -1,    -1,  3327,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1910,    -1,  1563,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   506,    -1,    -1,  1925,    -1,    -1,
    1928,  1929,    -1,   515,   516,   517,   518,   519,   520,   521,
     522,   523,    -1,    -1,   402,    -1,   528,    -1,    -1,  3688,
      -1,    -1,    -1,    -1,    -1,  1604,    -1,    -1,    -1,  3698,
      -1,  1959,  1960,    -1,    -1,    -1,    -1,    -1,    -1,  3412,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,  1637,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3198,    -1,  3200,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3217,    -1,    -1,   506,    -1,
      -1,    -1,  3224,    -1,    -1,    -1,    -1,   515,   516,   517,
     518,   519,   520,   521,   522,   523,    -1,    -1,    -1,    -1,
     528,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,  3580,
    3581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3035,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,
    3543,  3544,    -1,  2101,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3861,  3862,  3863,    -1,    -1,    -1,  3571,    -1,
      -1,  3574,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3878,
      -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,  3321,
      17,    18,    19,    -1,    -1,  3327,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3108,    -1,    -1,    -1,  3112,    -1,
      -1,    -1,  3911,  3912,    -1,    -1,    -1,  3916,    45,    -1,
    1829,    -1,    -1,    -1,    -1,    52,   402,    -1,    -1,    -1,
      -1,  1840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3646,  3647,  3648,    -1,  1856,    -1,    -1,
      -1,    78,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3671,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3412,    -1,    -1,    -1,    -1,    -1,    -1,  3690,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1910,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3712,
      -1,  3215,    -1,    -1,    -1,    -1,  1925,    -1,    -1,  1928,
    1929,    -1,    -1,  4022,    -1,    -1,  3230,    -1,    -1,    -1,
     506,  3235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
     516,   517,   518,   519,   520,   521,   522,   523,    -1,    -1,
    1959,  1960,   528,     8,    -1,    -1,    -1,    -1,    -1,    14,
      15,  3265,    -1,  3824,    -1,    20,    -1,    22,    -1,   196,
      -1,    -1,    -1,    28,   201,    30,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,    -1,
      -1,    -1,    -1,    -1,    49,    50,    -1,   224,   225,  3802,
      -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,
      -1,  3543,  3544,    -1,    45,    -1,    -1,    -1,    -1,    -1,
      10,    52,    -1,    13,   251,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3571,
      -1,    -1,  3574,    -1,    -1,    35,  3849,    78,    -1,    -1,
      -1,    -1,  3855,    -1,  3857,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,    -1,    -1,   293,  3870,    -1,  3872,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   308,    -1,    -1,    -1,    -1,    -1,    -1,    78,  4188,
    4189,  4190,  2101,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3646,  3647,  3648,    -1,    -1,    -1,
      -1,    -1,    -1,  3984,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3939,    -1,    -1,  3671,
      -1,    -1,    -1,    -1,    -1,   200,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,  3690,    -1,
     215,    -1,    -1,   218,   219,   196,   221,    -1,   223,    -1,
     201,   226,    -1,   228,    -1,   402,    -1,    -1,  3981,    -1,
    3712,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,   225,    -1,    -1,  4000,    -1,    -1,
      -1,  4004,    -1,    -1,    -1,    -1,   196,    -1,    -1,    -1,
      -1,   201,    -1,    -1,  3518,    -1,    -1,  3521,    -1,  3523,
     251,    -1,  4025,    -1,  3528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   251,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3802,    -1,    -1,  3577,    -1,    -1,    -1,   308,    -1,   506,
     311,  3585,    -1,    -1,    -1,    -1,    -1,    -1,   515,   516,
     517,   518,   519,   520,   521,   522,   523,    -1,    -1,    -1,
      -1,    -1,    -1,   293,    -1,    -1,  3610,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3849,   308,    -1,
      -1,   311,    -1,  3855,    -1,  3857,    -1,    -1,    -1,    -1,
    4133,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3870,    -1,
    3872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2715,    -1,    -1,
      -1,  2719,  2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,    -1,    -1,  3680,    -1,  3682,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3939,    -1,    -1,
      -1,    -1,   402,    -1,    -1,    -1,    -1,    -1,  4517,   719,
    2778,    -1,    -1,    -1,    -1,    -1,  2784,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   745,    -1,    -1,    -1,  3981,
    4549,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2825,  4000,    -1,
      -1,    -1,  4004,    -1,  3778,   506,    -1,    -1,    -1,    -1,
      -1,    -1,  4581,    -1,   515,   516,   517,   518,   519,   520,
     521,   522,   523,  4025,    -1,    -1,    -1,   528,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4313,    -1,    -1,    -1,    -1,    -1,   506,  4616,  3822,    -1,
      -1,    -1,    -1,    -1,    -1,   515,   516,   517,   518,   519,
     520,   521,   522,   523,  4633,    -1,    -1,    -1,   528,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3850,    -1,    -1,    -1,
      10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,  4364,    -1,    -1,    -1,    -1,  4369,    -1,  4371,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,    -1,    45,    -1,    -1,   888,    -1,
      -1,    -1,    52,    -1,  4397,    -1,    -1,    -1,    -1,    -1,
      -1,  4133,   657,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   668,  3918,    -1,    -1,   672,    78,    -1,
      -1,    -1,    -1,    -1,   679,   680,    -1,    -1,   683,    -1,
     685,   686,    -1,  4494,    -1,    -1,  3940,    -1,    -1,    -1,
    4443,    -1,    -1,  4446,    -1,   700,    -1,  4508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3962,    -1,
      -1,    -1,    -1,   718,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3035,    -1,  4778,
    4779,  4780,  4781,    -1,   739,    -1,   741,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2715,    -1,    -1,    -1,
    2719,  2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   784,
      -1,    -1,    -1,  4536,  4537,    -1,   196,    -1,    -1,    -1,
    4044,   201,    -1,    -1,  4547,    -1,    -1,    -1,    -1,    -1,
    3108,  1051,    -1,    -1,  3112,    -1,    -1,    -1,    -1,    -1,
      -1,  4564,  1062,    -1,   224,   225,    -1,    -1,    -1,  2778,
      -1,    -1,    -1,    -1,    -1,  2784,    -1,    -1,  1078,    -1,
      -1,  4313,    -1,    -1,    -1,    -1,    10,    -1,    -1,    13,
      -1,   251,  4096,    17,    18,    19,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     865,    35,    -1,    -1,    -1,    -1,  2825,  4121,    -1,    -1,
      -1,    45,    -1,    -1,    -1,    -1,    -1,    -1,    52,    -1,
      -1,    -1,  4364,   293,    -1,    -1,    -1,  4369,    -1,  4371,
      -1,    -1,  4645,    -1,    -1,  4648,    -1,    -1,   308,    -1,
      -1,   311,    -1,    -1,    78,    -1,    -1,  3215,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4397,    -1,    -1,    -1,    -1,
      -1,    -1,  3230,    -1,    -1,    -1,    -1,  3235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   950,    -1,    10,    -1,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,  3265,    -1,    -1,
      -1,  4443,    -1,    -1,  4446,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    -1,    -1,    -1,    39,    -1,    -1,    -1,
      -1,    -1,    45,    -1,    -1,  1235,    -1,    -1,    -1,    52,
      -1,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    78,    -1,    -1,    -1,  1024,
      -1,    -1,   196,    -1,    -1,  4279,    -1,   201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1049,    -1,    -1,    -1,    -1,    -1,
     224,   225,    -1,    -1,  4536,  4537,    -1,    -1,    -1,  1064,
      -1,  1066,    -1,    -1,    -1,  4547,    -1,   130,    -1,    -1,
      -1,  1076,    -1,    -1,    -1,  5124,  3035,   251,  1083,    -1,
      -1,    -1,  4564,    -1,    -1,    -1,  5135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   515,   516,   517,   518,   519,
     520,   521,   522,   523,    -1,    -1,  4370,    -1,   528,   293,
      -1,  1126,    -1,  1128,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   196,   308,  4888,    -1,   311,   201,    -1,
      -1,    -1,    -1,    -1,  4398,    -1,    -1,    -1,    -1,  3108,
      -1,    -1,    -1,  3112,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   224,   225,  4645,    -1,    -1,  4648,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4990,
    4933,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,  4945,    -1,  5005,    -1,    -1,  1202,    -1,  1204,
      -1,  1206,    -1,  1208,    -1,  1210,  1211,  1212,    -1,    -1,
    3518,    -1,  1217,  3521,    -1,  3523,    -1,    -1,    -1,    -1,
    3528,    -1,    -1,    -1,  1229,    -1,  4979,    -1,   402,    -1,
     293,    -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,
      18,    19,    -1,    -1,    -1,   308,  1496,    -1,   311,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3215,    35,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,  3577,
      -1,  3230,    -1,    -1,    52,    -1,  3235,  3585,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5096,  4540,    -1,    -1,    51,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   719,
      78,    -1,  3610,    -1,  5057,    -1,  3265,    -1,    -1,    -1,
      -1,    -1,    -1,  1563,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5076,    -1,   745,    -1,    -1,    -1,    -1,
      -1,    -1,   506,  4587,    -1,    -1,    -1,    -1,  4592,   402,
      -1,   515,   516,   517,   518,   519,   520,   521,   522,   523,
      -1,    -1,   526,    -1,  1604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5415,    -1,    -1,    -1,
      -1,  5420,  3680,    -1,  3682,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1637,    -1,    -1,
    5439,    -1,    -1,   171,    -1,    -1,    -1,    -1,    -1,   177,
      -1,    -1,   465,    -1,    -1,    -1,  4888,    -1,    -1,  5162,
      -1,    -1,  1417,    -1,    -1,    -1,    -1,    -1,   196,    -1,
      -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   506,    -1,    -1,   224,   225,    -1,    -1,
      -1,  4933,   515,   516,   517,   518,   519,   520,   521,   522,
     523,    -1,    -1,  4945,    -1,    -1,    -1,    -1,   888,    -1,
    3778,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5299,    -1,
    5301,    -1,    -1,    -1,    -1,    -1,  4750,  4979,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3822,   293,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     308,    -1,  1537,   311,    -1,    -1,    -1,    -1,  5291,    -1,
    5293,    -1,  3850,    10,  5593,    -1,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,  3518,
      -1,    -1,  3521,    -1,  3523,    -1,    -1,    -1,    35,  3528,
      -1,    -1,    -1,    -1,    -1,  5057,    -1,    -1,    45,  1829,
      -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,  5341,    -1,
    1840,    -1,    -1,    -1,  5076,    -1,    -1,    -1,  5351,    -1,
      -1,    -1,    -1,    -1,  1609,    -1,  1856,    -1,    -1,    -1,
    3918,    78,    -1,    -1,    -1,    -1,    -1,    -1,  3577,    -1,
      -1,  4875,    -1,    -1,   402,    -1,  3585,    -1,    -1,    -1,
      -1,  1051,  3940,    -1,    -1,    -1,    -1,    -1,  5391,    -1,
      -1,    -1,  1062,  5396,    -1,    -1,  5457,    -1,  5697,    -1,
      -1,  3610,    -1,    -1,  3962,    -1,    -1,    -1,  1078,    -1,
    1910,    -1,  4916,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1925,  5725,    -1,  1928,  1929,
    5162,    -1,    -1,    -1,  4938,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   170,    -1,    -1,    -1,    -1,    -1,  1959,
    1960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3680,    -1,  3682,    -1,    -1,    -1,    -1,   506,   196,
      -1,    -1,    -1,    -1,   201,    -1,  4044,   515,   516,   517,
     518,   519,   520,   521,   522,   523,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5010,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,  4096,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5291,
      -1,  5293,    -1,  4121,    -1,  1235,    -1,    -1,    -1,  3778,
    1825,    -1,  5633,    -1,  5635,    -1,   293,    -1,    -1,    -1,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,
      -1,  2101,    -1,    -1,    -1,  1860,    35,    -1,    -1,  5341,
      -1,    -1,    -1,  3822,    -1,    -1,    45,   334,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,  5629,  5131,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5643,  3850,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,  1906,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5391,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1926,  5675,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    51,    -1,    -1,    -1,   402,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1952,    -1,  1954,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   719,    -1,  3918,
      -1,    -1,    -1,    -1,  1969,    -1,  1971,    -1,    -1,    -1,
      -1,  4279,  1977,    -1,  1979,    -1,  1981,    -1,  1983,    -1,
    1985,  3940,    -1,   745,  1989,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5754,    -1,  3962,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5269,    -1,   196,    -1,    -1,
      -1,  2026,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5788,    -1,    -1,    -1,   506,
      -1,    -1,    -1,    -1,    -1,   224,   225,    -1,   515,   516,
     517,   518,   519,   520,   521,   522,   523,    -1,    -1,    -1,
      -1,    -1,  4370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,  1496,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5895,  4044,  5340,    -1,    -1,    -1,
    4398,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5855,    -1,  5857,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   888,    -1,    -1,   308,
      -1,    10,   311,    -1,    13,    -1,    -1,  4096,    17,    18,
      19,    -1,    -1,  1563,    -1,    -1,    -1,  5629,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,    38,
      -1,  5643,  4121,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5675,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5462,    -1,
      -1,    -1,    -1,    -1,  6025,    -1,    -1,  1637,    -1,    -1,
      -1,    -1,    -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5996,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  6010,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6023,    -1,  5754,    -1,    -1,    -1,    -1,    -1,    -1,  4587,
      -1,    -1,    -1,    -1,  4592,    -1,    -1,    -1,    -1,  1051,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1062,    -1,    -1,    -1,    -1,    -1,  5788,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1078,   196,    -1,    -1,
    4279,    -1,   201,    -1,    -1,    -1,   505,   506,    -1,  6082,
    6083,    -1,    -1,    -1,    -1,  6146,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5611,    -1,    -1,
      -1,    -1,  5616,  5617,    -1,    -1,  6177,  6178,    -1,    -1,
      -1,    -1,   251,  5855,    -1,  5857,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1829,
      -1,  4370,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,
    1840,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,
      -1,    -1,   311,    -1,    -1,    -1,  1856,    -1,    -1,  4398,
      -1,    -1,  4750,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2715,    -1,    -1,    -1,  2719,
    2720,    -1,    -1,  1235,    -1,    -1,  5730,    -1,    -1,    -1,
      -1,  6292,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1910,    -1,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      51,    17,    18,    19,    -1,  1925,    -1,    -1,  1928,  1929,
      -1,    -1,    -1,    -1,  5996,    -1,    -1,    -1,    -1,    35,
      -1,    -1,    -1,   402,    -1,    -1,    -1,    -1,  2778,    45,
      -1,    -1,    -1,    -1,  2784,    -1,    52,  5791,    -1,  1959,
    1960,  6023,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6302,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,    -1,    -1,    -1,    -1,  4875,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2825,    -1,    -1,    -1,    -1,
      -1,  4540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6351,   719,
      -1,    -1,    -1,    -1,    -1,    -1,  6359,  6360,  4916,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  6369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   745,    -1,   506,  4587,    -1,
    4938,    -1,    -1,  4592,    -1,    -1,   515,   516,   517,   518,
     519,   520,   521,   522,   523,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    6152,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     196,  2101,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5010,    -1,  2709,  2710,    -1,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2728,  2729,    -1,  2731,  2732,    -1,    -1,
      -1,  2736,  2737,    -1,  1496,   251,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2751,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2759,    -1,    -1,    -1,  2763,  2764,
      -1,    -1,  2767,  2768,    -1,    -1,    -1,    -1,   888,  2774,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,
      -1,  2786,    -1,    -1,    -1,  3035,    -1,    -1,    -1,    -1,
      -1,  4750,   308,  2798,    -1,   311,    -1,    -1,  2803,    -1,
      -1,  1563,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2818,   330,    -1,    -1,    -1,    -1,    -1,
    6302,    -1,  2827,  5131,    -1,  2830,    -1,  2832,  2833,  2834,
      -1,    -1,    -1,    -1,  2839,  2840,    -1,    -1,    -1,    -1,
      -1,    -1,  1604,    -1,  2849,    -1,    -1,    -1,    -1,    -1,
    2855,    -1,    -1,    -1,  2859,    -1,    -1,    -1,  3108,    -1,
      -1,    -1,  3112,    -1,    -1,    -1,  2871,  2872,    -1,  6351,
      -1,  2876,    -1,    -1,    -1,  1637,    -1,  2882,  2883,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   402,  6369,    -1,    -1,
      -1,  2896,    -1,    -1,  2899,    -1,    -1,    -1,    -1,    -1,
      -1,  2906,  2907,    -1,    -1,    -1,    -1,  2912,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4875,    -1,    -1,  2924,
      -1,    -1,  2927,    -1,    -1,    -1,    -1,  2932,    -1,    -1,
      -1,  1051,    -1,  2938,  2939,    -1,    -1,    -1,    -1,    -1,
      -1,  2946,  1062,    -1,    -1,  2950,    -1,    -1,    -1,  2954,
    2955,  2956,  2957,    -1,  2959,    -1,    -1,  4916,  1078,    -1,
      -1,  5269,    -1,    -1,    -1,  3215,    -1,    -1,  2973,  2974,
      -1,  2976,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4938,
    3230,    -1,  2987,  2988,  2989,  3235,    -1,    -1,    -1,    -1,
     506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
     516,   517,   518,   519,   520,   521,   522,   523,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    13,  5340,    -1,    -1,    17,    18,    19,    -1,  3044,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3052,    -1,    -1,
      -1,  5010,    -1,    35,    -1,    -1,    38,    -1,    -1,    -1,
      -1,    -1,    -1,    45,    -1,    -1,  3071,  1829,    -1,    -1,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1840,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1856,    -1,    78,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1235,  3121,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3140,    -1,  3142,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1910,    -1,
      -1,    -1,    -1,    -1,  5462,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1925,    -1,    -1,  1928,  1929,   719,    -1,
      10,    -1,  5131,    13,    -1,    -1,    -1,    17,    18,    19,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   745,    35,    -1,  1959,  1960,    -1,
      -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,    -1,
      -1,    -1,    52,    -1,   196,    -1,    -1,    -1,    -1,   201,
      -1,    10,    -1,    -1,    13,    -1,    -1,    -1,    17,    18,
      19,    -1,  3237,    -1,    -1,    -1,    -1,    -1,    78,    -1,
      -1,    -1,   224,   225,    -1,    -1,    35,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    45,    -1,    -1,    -1,
      -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,  3518,   251,
      -1,  3521,    -1,  3523,    -1,    -1,    -1,    -1,  3528,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    78,
      -1,    -1,    -1,    -1,    -1,  2715,    -1,    -1,    -1,  2719,
    2720,    -1,    -1,  5611,    -1,    -1,    -1,    -1,  5616,  5617,
    5269,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   308,  3577,    -1,   311,
      -1,    -1,    -1,    -1,    -1,  3585,    -1,   888,    -1,  2101,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   196,    -1,  2778,    -1,
    3610,   201,    -1,    -1,  2784,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1496,    -1,    -1,    -1,
      -1,  5340,    -1,    -1,   224,   225,    -1,    -1,   177,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2825,    -1,   196,    -1,    -1,
      -1,   251,   201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     402,    -1,  5730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3680,    -1,  3682,    -1,    -1,   224,   225,    -1,    -1,    -1,
      -1,    -1,    -1,  1563,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,   308,    -1,
      -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5791,  1604,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1051,    -1,    -1,  5462,   293,    -1,    -1,    -1,    -1,    -1,
      -1,  1062,    -1,    -1,    -1,    -1,    -1,  1637,    -1,   308,
      -1,    -1,   311,    -1,   506,    -1,    -1,  1078,  3778,    -1,
      -1,    -1,    -1,   515,   516,   517,   518,   519,   520,   521,
     522,   523,    -1,    -1,    -1,    -1,  3551,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   402,    -1,    -1,    -1,    -1,  3572,    -1,    -1,
      -1,    -1,  3822,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,  3589,    13,    -1,    -1,  3593,    17,
      18,    19,    -1,  3598,  3599,  3600,   436,    -1,    -1,    -1,
    3850,    -1,    -1,    -1,    -1,    -1,    -1,    35,    -1,    -1,
      38,    -1,    -1,   402,    -1,  3035,    -1,    45,    -1,    -1,
      -1,    -1,    -1,    -1,    52,    -1,    -1,    -1,    -1,  3634,
    3635,  3636,  3637,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      78,    -1,  5611,    -1,    -1,    -1,    -1,  5616,  5617,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   506,  3672,  3918,  3674,
    3675,  3676,    -1,    -1,    -1,   515,   516,   517,   518,   519,
     520,   521,   522,   523,  1235,    -1,    -1,    -1,  3108,    -1,
    3940,    -1,  3112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1829,
      -1,    -1,  3962,    -1,    -1,    -1,    -1,   506,    -1,    -1,
    1840,    -1,    -1,    -1,    -1,    -1,   515,   516,   517,   518,
     519,   520,   521,   522,   523,    10,  1856,    -1,    13,    -1,
      -1,    -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    -1,    -1,    38,    -1,    -1,    -1,    -1,   196,    -1,
      45,  5730,    -1,   201,    -1,    -1,    -1,    52,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3794,
    1910,    -1,    -1,    -1,  4044,  3215,   224,   225,  3803,    -1,
      -1,    -1,    -1,    78,    -1,  1925,    -1,    -1,  1928,  1929,
    3230,    -1,    -1,    -1,    -1,  3235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   251,  3829,  3830,    -1,    -1,    -1,  3834,
      -1,    -1,  5791,    -1,    -1,    -1,    -1,    -1,    -1,  1959,
    1960,    -1,    -1,    -1,    -1,  3265,  4096,    -1,    -1,    -1,
      -1,  3856,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,    -1,
      -1,  4121,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3908,    -1,    -1,    -1,    -1,  3913,    -1,
      -1,    -1,    -1,    -1,  3919,    -1,    -1,    -1,    -1,    -1,
      -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3949,  1496,    -1,    -1,    -1,   224,
     225,    -1,    -1,  2715,    -1,    -1,    -1,  2719,  2720,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3978,   402,  3980,   251,    -1,    -1,    -1,
      -1,  2101,    -1,    -1,    10,    -1,    -1,    13,    -1,    -1,
      -1,    17,    18,    19,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      -1,    -1,  1563,    -1,    -1,    -1,  2778,    -1,   293,    45,
      -1,    -1,  2784,    -1,    -1,    -1,    52,    -1,    -1,  4279,
      -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    78,  1604,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2825,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   506,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1637,   515,   516,   517,
     518,   519,   520,   521,   522,   523,    -1,    -1,  3518,    -1,
      -1,  3521,    -1,  3523,    -1,    -1,    -1,    -1,  3528,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4370,    -1,    -1,    -1,    -1,    -1,    -1,   402,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3577,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3585,    -1,    -1,    -1,    -1,
     196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3610,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,
      -1,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3680,    -1,  3682,    -1,    -1,    -1,    -1,   293,    10,    -1,
      -1,    13,    -1,  3035,    -1,    17,    18,    19,  1829,    -1,
      -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,  1840,
    4540,  4296,    -1,    35,  4299,    -1,  4301,    -1,    -1,    -1,
      -1,    -1,   328,    45,    -1,  1856,    -1,    -1,    -1,  4314,
      52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4326,    -1,    -1,    -1,  4330,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    78,  4587,    -1,    -1,
      -1,    -1,  4592,    -1,  4349,    -1,  3108,    -1,    -1,    -1,
    3112,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3778,  1910,
      -1,    -1,  4367,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4375,    -1,    -1,    -1,  1925,    -1,   402,  1928,  1929,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4400,    -1,    -1,    -1,  4404,
      -1,    -1,  3822,    -1,    -1,    -1,    -1,    -1,  1959,  1960,
      -1,    -1,    -1,    -1,  4419,  4420,  4421,  4422,    -1,    -1,
      -1,    -1,    -1,    -1,  4429,  4430,  4431,  4432,    -1,    -1,
    3850,    -1,    -1,  4438,  4439,   177,    -1,    -1,    -1,  4444,
    4445,    -1,  4447,  4448,  4449,  4450,  4451,  4452,  4453,    -1,
      -1,    -1,    -1,  3215,   196,    -1,    -1,    -1,  4463,   201,
      -1,    -1,  4467,  4468,  4469,  4470,    -1,    -1,  3230,    -1,
      -1,    -1,    -1,  3235,    -1,    -1,    -1,    -1,    -1,    -1,
     506,    -1,   224,   225,    -1,    -1,  4491,    -1,    -1,   515,
     516,   517,   518,   519,   520,   521,   522,   523,  3918,    10,
    4750,    -1,    13,  3265,  4509,    -1,    17,    18,    19,   251,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3940,    -1,    -1,    -1,    35,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    45,    -1,    17,    18,    19,    -1,
      -1,    52,  3962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2101,   293,    -1,    -1,    35,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    45,    -1,   308,    78,    -1,   311,
      -1,    52,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4585,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2715,    -1,    78,    -1,  2719,
    2720,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4618,    -1,    -1,    -1,    -1,    -1,    -1,
    4625,    -1,  4627,    -1,  4044,  4875,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4655,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2778,    -1,
     402,    -1,    -1,    -1,  2784,    -1,  4916,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4096,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   196,    -1,    -1,  4938,    -1,
     201,    -1,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,
      -1,  4121,    -1,    -1,    -1,  2825,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   224,   225,   196,    -1,    -1,    -1,    -1,
     201,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     251,    -1,    -1,   224,   225,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3518,    -1,    -1,  3521,
    5010,  3523,    -1,    -1,   506,    -1,  3528,    -1,    -1,    -1,
     251,    -1,    -1,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,
     311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   293,    -1,    -1,  3577,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3585,    -1,    -1,    -1,   308,    -1,    -1,
     311,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3610,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4279,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4876,  4877,  4878,    -1,    -1,    -1,  4882,  4883,  4884,
    4885,  5131,    -1,    -1,  4889,    -1,    -1,    -1,    -1,    -1,
      -1,   402,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3035,    -1,    -1,  3680,    -1,
    3682,   402,    -1,  4928,  4929,  4930,  4931,  4932,    -1,  4934,
    4935,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4946,  4947,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4370,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4980,    -1,    -1,  4398,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   831,   832,  3108,    -1,
      -1,    -1,  3112,    -1,    -1,   506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,   516,   517,   518,   519,   520,
     521,   522,   523,    -1,    -1,    -1,  3778,    -1,    -1,  5269,
      -1,    -1,    -1,    10,    -1,   506,    13,    -1,    -1,    -1,
      17,    18,    19,    -1,   515,   516,   517,   518,   519,   520,
     521,   522,   523,    10,    -1,    -1,    13,    -1,    35,    -1,
      17,    18,    19,    -1,    -1,    -1,    -1,    -1,    45,    -1,
    3822,    -1,    -1,    -1,    -1,    52,   911,    -1,    35,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5082,    45,    -1,
      -1,    -1,    -1,    -1,    -1,    52,    -1,    -1,  3850,    -1,
    5340,    78,    -1,    -1,    -1,  3215,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3230,    78,    -1,    -1,    -1,  3235,    -1,    -1,    -1,    -1,
    4540,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5147,    -1,    -1,  3265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2715,    -1,    -1,  4587,  2719,  2720,
      -1,    -1,  4592,    -1,  5179,    -1,    -1,    -1,  3940,    -1,
      -1,    -1,    -1,    -1,   171,    -1,    -1,  1032,  1033,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   196,
      -1,    -1,  5462,    -1,   201,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2778,    -1,   196,
      -1,    -1,    -1,  2784,   201,    -1,    -1,   224,   225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   224,   225,    -1,
      -1,    -1,    -1,    -1,   251,    -1,    -1,    -1,    -1,    -1,
      -1,  5276,    -1,    -1,  2825,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4044,    -1,   251,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   293,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   308,    -1,    -1,   311,    -1,   293,    -1,    -1,    -1,
    4750,    -1,    -1,    -1,  4096,  1359,    -1,  5342,    -1,    -1,
      -1,   308,    -1,    -1,   311,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5361,    -1,    -1,  4121,
      -1,  5611,  5367,  5368,    -1,    -1,  5616,  5617,    -1,    -1,
      -1,    -1,  5377,    -1,    -1,    -1,    -1,    -1,    -1,  5384,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1414,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3518,    -1,
      -1,  3521,    -1,  3523,    -1,    -1,    -1,    -1,  3528,    -1,
      -1,    -1,    -1,    -1,    -1,   402,  5421,  5422,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    10,  1271,    -1,    13,  5434,
      -1,  5436,    17,    18,    19,   402,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5451,    -1,    -1,    -1,
      35,    -1,    -1,    -1,    -1,  4875,    -1,  3577,    -1,    -1,
      45,    -1,    -1,    -1,    -1,  3585,    -1,    52,  1313,    -1,
      -1,  5476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5484,
    5730,    -1,    -1,    -1,  3035,    -1,    -1,    -1,    -1,    -1,
    3610,    -1,    -1,    78,    -1,    -1,  4916,  1342,  1343,  1344,
      -1,  1346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   480,    -1,    -1,    -1,  4279,  4938,   506,
      -1,    -1,  1367,    -1,    -1,    -1,    -1,    -1,   515,   516,
     517,   518,   519,   520,   521,   522,   523,    -1,    -1,   506,
      -1,  5791,    -1,    -1,    -1,    -1,    -1,    -1,   515,   516,
     517,   518,   519,   520,   521,   522,   523,  3108,    -1,    -1,
    3680,  3112,  3682,    -1,    -1,    -1,    -1,    10,  5573,    -1,
      13,    -1,    -1,    -1,    17,    18,    19,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,    -1,    -1,    -1,
    5010,    -1,    35,  5598,    23,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    45,    -1,    -1,  5610,    -1,    -1,  4370,    52,
      -1,   196,    -1,    -1,    -1,    -1,   201,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1470,    -1,    -1,    -1,  1474,
    1475,    -1,    -1,    -1,    -1,    78,  4398,    66,    -1,   224,
     225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,  3778,    -1,
      -1,    -1,    -1,    92,  3215,    -1,   251,    96,    -1,    -1,
      -1,    -1,    -1,  5678,    -1,    -1,    -1,    -1,    -1,  3230,
      -1,    -1,    -1,    -1,  3235,   114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1723,
      -1,    -1,  3822,  1727,    -1,    -1,    -1,    -1,   293,   138,
      -1,  5131,    -1,    -1,  3265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   151,   308,    -1,    -1,   311,    -1,    -1,    -1,
    3850,   160,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5748,   173,    -1,    -1,    -1,    -1,    -1,
     179,    -1,    -1,   196,    -1,    -1,    -1,    -1,   201,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   206,  4540,    -1,
      -1,   224,   225,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3918,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   251,    -1,
      -1,    -1,    -1,    -1,   243,    -1,    -1,   402,    -1,    -1,
    3940,    -1,  5827,    -1,    -1,  4587,    -1,    -1,    -1,    -1,
    4592,    -1,    -1,    -1,    -1,    -1,   265,  5842,    -1,    -1,
      -1,    -1,  3962,    -1,    -1,    -1,    -1,    -1,    -1,  5269,
     293,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,   311,    -1,
      -1,    -1,  1717,  1718,  1719,    -1,    -1,    -1,    -1,   308,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5900,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   342,   343,    -1,    -1,   346,    -1,    -1,
    5340,   506,    -1,    -1,  4044,    -1,    -1,    -1,    -1,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,    -1,
      -1,    -1,    -1,    -1,    -1,   374,    -1,    -1,   377,    -1,
      -1,    -1,   381,    -1,    -1,   384,    -1,    -1,    -1,   402,
      -1,    -1,   391,    -1,    -1,   394,    -1,  3518,    -1,    -1,
    3521,    -1,  3523,    -1,    -1,    -1,  4096,  3528,    -1,    -1,
      -1,    -1,    -1,    -1,   413,    -1,    -1,    -1,  4750,    -1,
      -1,    -1,   421,    -1,    -1,    -1,    -1,    -1,    -1,   428,
      -1,  4121,   431,    -1,  6009,    -1,   435,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   443,    -1,   445,    -1,    -1,    -1,
    2044,   450,    -1,    -1,    -1,    -1,  3577,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3585,    -1,  6041,    -1,    -1,    -1,
      -1,    -1,  5462,    -1,    -1,    -1,  2070,  6052,   477,    -1,
    2074,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3610,
      -1,    -1,    -1,   506,    -1,  2089,  2090,  2091,    -1,  2093,
      -1,    -1,   515,   516,   517,   518,   519,   520,   521,   522,
     523,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      -1,    -1,    -1,  4875,    -1,    -1,    -1,    -1,    -1,    -1,
      31,    -1,    33,    34,    -1,    -1,    -1,    -1,    -1,  3680,
      -1,  3682,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      61,    -1,    -1,    -1,  4916,    -1,    -1,    -1,    -1,  4279,
      -1,  6166,    73,    -1,    75,    76,    -1,    -1,    -1,    -1,
      -1,    82,    -1,    84,    -1,    -1,  4938,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    97,    -1,    99,    -1,
      -1,  5611,    -1,    -1,    -1,    -1,  5616,  5617,    -1,    -1,
      -1,  2046,    -1,    -1,    -1,   116,    -1,    -1,   119,    -1,
    2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2064,
      -1,    -1,    -1,   134,  2069,   136,  2071,  3778,  2073,   140,
      -1,  2076,  2077,  2078,    -1,    -1,   147,    -1,    23,  2084,
      -1,    -1,  2087,    -1,    -1,   156,    -1,   158,  5010,    -1,
    4370,    -1,    -1,    -1,   165,    -1,    41,  2102,  2103,  2104,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3822,   183,    -1,    -1,  2120,    -1,    -1,  4398,    -1,
      -1,    66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   200,
      -1,    -1,    -1,    -1,    79,    -1,    -1,    -1,    -1,  3850,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5730,    96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,
      -1,    -1,    -1,    -1,    -1,   120,    -1,    -1,    -1,    -1,
      -1,    -1,   253,   254,    -1,    -1,    -1,    -1,   259,    -1,
      -1,    -1,    -1,   138,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   274,    -1,    -1,   151,  3918,    -1,  5131,
      -1,  5791,    -1,    -1,    -1,   160,    -1,    -1,    -1,    -1,
      -1,   292,    -1,    -1,    -1,    -1,    -1,    -1,   173,  3940,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   182,    -1,    -1,
      -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3962,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4540,   206,  2267,    -1,    -1,    -1,   337,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   352,    -1,    -1,    -1,    -1,    -1,   358,   359,    -1,
     361,    -1,    -1,    -1,    -1,   366,    -1,    -1,   369,    -1,
      -1,   372,    -1,    -1,   375,    -1,    -1,  4587,    -1,    -1,
     255,   382,  4592,    -1,    -1,  2320,    -1,    -1,   389,   390,
     265,    -1,    -1,    -1,    -1,    -1,   397,    -1,    -1,    -1,
     401,    -1,    -1,  4044,    -1,    -1,    -1,    -1,    -1,    -1,
     411,    -1,    -1,    -1,    -1,    -1,    -1,  5269,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   428,    -1,    -1,
      -1,    -1,    -1,   308,    -1,    -1,   311,    -1,    -1,    -1,
    2375,    -1,    -1,    -1,    -1,    -1,    -1,   448,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4096,    -1,   332,  2572,   460,
      -1,    -1,    -1,    -1,    -1,   466,    -1,    -1,    -1,    -1,
     471,   346,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   354,
    4121,    -1,    -1,   484,    -1,    -1,    -1,    -1,  5340,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   374,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   508,    -1,   384,
      -1,    -1,    -1,    -1,    -1,    -1,   391,    -1,    -1,   394,
      -1,    -1,    -1,    -1,    -1,    -1,   527,    -1,    -1,   530,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   413,    -1,
    4750,    -1,    -1,    -1,    -1,    -1,   421,    28,    -1,    -1,
      -1,    -1,    -1,   428,  2668,    -1,   431,   432,    -1,   434,
     435,    -1,    -1,    -1,    -1,    -1,  2680,    -1,    -1,    -1,
      -1,  2685,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   458,    -1,    -1,   461,    -1,    -1,   464,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    -1,
      -1,    -1,   477,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5462,    -1,    -1,    -1,    -1,    96,    -1,    -1,    -1,    -1,
    2555,  2556,  2557,  2558,  2559,  2560,  2561,  2562,  2563,    -1,
    2565,    -1,    -1,   114,    -1,    -1,    -1,    -1,  4279,   120,
      -1,  2576,    -1,  2578,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   138,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4875,    -1,    -1,    -1,    -1,
     151,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   160,
      -1,  2616,    -1,    -1,    -1,  2620,    -1,    -1,  2623,    -1,
    2625,    -1,   173,  2628,    -1,    -1,    -1,    -1,   179,    -1,
      -1,    -1,    -1,    -1,    -1,   186,  4916,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   206,    -1,    -1,  4938,  4370,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2681,  2682,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4398,    -1,  5611,
      -1,    -1,   243,    -1,  5616,  5617,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   265,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5010,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   308,    -1,    -1,
    2765,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,   343,    -1,    -1,   346,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5730,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   374,    -1,    -1,   377,    -1,    -1,  4540,
     381,    -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,
     391,    -1,    -1,   394,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   413,    -1,    -1,    -1,    -1,    -1,    -1,  5791,
     421,    -1,    -1,    -1,    -1,   426,  4587,   428,    -1,    -1,
     431,  4592,    -1,    -1,   435,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   445,    -1,    -1,    -1,    -1,   450,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   477,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5269,
      -1,    -1,    -1,    -1,    -1,    -1,  3001,  3002,  3003,    -1,
      -1,    -1,  3007,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3034,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4750,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5340,    -1,  3246,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3263,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3273,
      -1,    -1,    -1,    -1,    -1,  3279,    -1,    -1,  3282,    -1,
      -1,    -1,    -1,    -1,    -1,  3289,  3290,    -1,  3292,    -1,
      -1,    -1,    -1,  3297,  3298,    -1,  3300,    -1,  3302,    -1,
      -1,    -1,  3306,    -1,    -1,  3309,    -1,    -1,    -1,    -1,
    3314,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3323,
      -1,    -1,    -1,    -1,  3328,    -1,    -1,    -1,    -1,    -1,
      -1,  3335,  3336,  3337,  3338,    -1,    -1,    -1,    -1,  3343,
    3344,    -1,  3346,    -1,  4875,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3365,  5462,  3367,    -1,    -1,    -1,    -1,    -1,    -1,
    3374,  3375,  3376,  3377,  3378,  3379,  3380,  3381,  3382,  3383,
      -1,    -1,    -1,    -1,    -1,  4916,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4938,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3420,    -1,  3243,    -1,
      -1,    -1,    -1,  3248,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3299,    -1,    -1,    -1,    -1,  5010,
      -1,    -1,    -1,    -1,    -1,  3310,    -1,  3312,  3313,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3326,    -1,    -1,  3329,    -1,  3331,    -1,    -1,    -1,
      -1,  5611,    -1,    -1,    -1,    -1,  5616,  5617,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3368,    -1,  3370,    -1,  3372,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5131,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5730,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3464,
      -1,    -1,    -1,    -1,  3469,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3484,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5791,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3549,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5269,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3811,  3812,  5340,
      -1,    -1,  3816,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3845,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5462,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3807,    -1,    -1,    -1,    -1,    -1,  3813,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4040,    -1,    -1,    -1,
      -1,    -1,  4046,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3892,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5611,    -1,    -1,    -1,    -1,  5616,  5617,    -1,    -1,  4093,
    4094,    -1,    -1,  4097,  4098,  4099,  4100,    -1,    -1,  4103,
    4104,  4105,  4106,  4107,  4108,  4109,  4110,  4111,  4112,  4113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4136,    -1,    -1,  4139,    -1,  4141,    -1,    -1,
    4144,  4145,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4166,  4167,  4168,  4169,    -1,  4171,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5730,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4041,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4050,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4238,    -1,    -1,    -1,    -1,  4064,
      -1,    -1,    -1,  4068,  4069,  4070,    -1,    -1,    -1,    -1,
    4075,    -1,    -1,  4078,    -1,    -1,  4081,    -1,    -1,    -1,
    5791,    -1,  4087,    -1,  4089,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4288,    -1,    -1,    -1,    -1,    -1,
      -1,  4116,  4117,  4118,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4135,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4143,    -1,
      -1,  4146,    -1,  4148,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4164,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4172,  4173,    -1,
      -1,    -1,    -1,    -1,  4179,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4256,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4273,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4510,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4553,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4675,    -1,    -1,    -1,  4679,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4692,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4700,    -1,  4702,    -1,
    4704,  4705,    -1,    -1,    -1,    -1,  4710,  4711,  4712,  4713,
      -1,    -1,    -1,  4717,  4718,  4719,  4720,  4721,  4722,  4723,
    4724,  4725,  4726,  4727,  4728,  4729,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4753,
      -1,    -1,  4756,    -1,  4758,    -1,    -1,    -1,  4762,    -1,
      -1,  4765,  4766,    -1,    -1,  4769,  4770,    -1,  4593,  4594,
      -1,  4775,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4827,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4841,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4674,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4690,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4708,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4747,  4748,    -1,    -1,    -1,    -1,    -1,  4754,
    4755,    -1,    -1,    -1,  4759,    -1,    -1,    -1,    -1,  4764,
      -1,    -1,  4767,  4768,    -1,    -1,    -1,    -1,    -1,  4774,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4817,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4828,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4836,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4856,    -1,    -1,    -1,  5039,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5126,  5127,    -1,    -1,    -1,    -1,    -1,    -1,
    5134,    -1,    -1,    -1,    -1,    -1,  4961,    -1,    -1,    -1,
      -1,    -1,    -1,  4968,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5177,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5200,  5201,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5036,    -1,    -1,    -1,  5219,    -1,  5221,    -1,    -1,
      -1,  5225,  5226,  5227,  5228,    -1,    -1,  5231,  5232,    -1,
      -1,    -1,    -1,  5237,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5253,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5285,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5295,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5362,    -1,
    5364,    -1,    -1,  5188,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5198,    -1,    -1,    -1,    -1,    -1,  5204,
    5205,  5206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5399,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5229,  5230,    -1,    -1,  5233,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5270,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5286,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5507,    -1,  5509,  5510,  5511,  5512,  5513,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5526,  5527,  5528,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5540,    -1,    -1,  5543,
      -1,    -1,    -1,  5547,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5565,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5580,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5493,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5514,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  5558,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5755,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5766,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5605,  5785,    -1,  5787,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  5621,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5829,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5841,  5663,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5876,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5753,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5765,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5774,
    5775,  5776,  5956,    -1,    -1,    -1,    -1,    -1,    -1,  5963,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5800,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6008,  5830,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6118,  6119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6132,    -1,
      -1,    -1,    -1,    -1,    -1,  5960,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5983,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5993,    -1,
    6174,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  6199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6216,  6217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  6064,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  6088,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  6278,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  6207,    -1,    -1,    -1,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,  6221,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,  6338,   131,   132,   133,   134,   135,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,   473,   474,   475,   476,
     477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,    -1,   506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,   520,    -1,    -1,    -1,    -1,    -1,    -1,
     527,   528,     3,    -1,     5,     6,    -1,     8,     9,    10,
      11,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,   464,    -1,   466,   467,   468,   469,   470,
     471,   472,    -1,   474,   475,   476,   477,   478,   479,    -1,
      -1,   482,    -1,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,    -1,   506,    -1,   508,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   527,   528,     3,    -1,
       5,     6,    -1,     8,     9,    10,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,    -1,   458,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,   471,   472,    -1,   474,
     475,   476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
      -1,   506,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   518,   519,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   527,   528,     3,    -1,     5,     6,    -1,     8,
       9,    10,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,    -1,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,    -1,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,   427,    -1,
     429,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,    -1,   458,
     459,   460,   461,   462,   463,   464,    -1,   466,   467,   468,
     469,   470,   471,   472,    -1,   474,   475,   476,   477,   478,
     479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,    -1,   506,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   518,
     519,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,   528,
       3,    -1,     5,     6,    -1,     8,     9,    10,    11,    12,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,    -1,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,   427,    -1,   429,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,    -1,   458,   459,   460,   461,   462,
     463,   464,    -1,   466,   467,   468,   469,   470,   471,   472,
      -1,   474,   475,   476,   477,   478,   479,    -1,    -1,   482,
      -1,    -1,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   527,   528,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    38,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   528,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    -1,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    -1,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,   160,   161,    -1,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
      -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,    -1,   249,   250,   251,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,    -1,   289,    -1,   291,   292,   293,   294,
      -1,    -1,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,    -1,   334,
      -1,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
     375,   376,   377,   378,    -1,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,    -1,    -1,   442,   443,    -1,
     445,    -1,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,    -1,   472,   473,   474,
     475,   476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,
     485,   486,   487,   488,   489,   490,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,   504,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,   528,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,
      -1,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,    -1,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,    -1,     3,    -1,     5,     6,
      -1,     8,     9,    10,    11,    12,   502,   503,   504,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,   528,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,    -1,   474,   475,   476,
     477,   478,   479,    -1,    -1,   482,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,    -1,   506,
      -1,   508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,    -1,    -1,    -1,     3,    -1,     5,     6,
     527,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,    -1,   474,   475,   476,
     477,   478,   479,    -1,    -1,   482,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,    -1,   506,
      -1,   508,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,    -1,    -1,    -1,     3,    -1,     5,     6,
     527,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
     177,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,   441,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,    -1,   474,   475,   476,
     477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,    -1,   506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,    -1,    -1,    -1,     3,    -1,     5,     6,
     527,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    36,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,    -1,   474,   475,   476,
     477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,    -1,   506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,    -1,    -1,    -1,     3,    -1,     5,     6,
     527,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    36,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,    -1,   474,   475,   476,
     477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,    -1,   506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,    -1,    -1,    -1,     3,    -1,     5,     6,
     527,     8,     9,    10,    11,    12,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,   104,   105,   106,
     107,   108,   109,   110,   111,   112,   113,   114,   115,   116,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,   163,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,   249,   250,   251,    -1,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
     427,    -1,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
     447,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,   458,   459,   460,   461,   462,   463,   464,    -1,   466,
     467,   468,   469,   470,   471,   472,    -1,   474,   475,   476,
     477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,    -1,   506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,    -1,    -1,    -1,    -1,    -1,   525,   526,
     527,     3,    -1,     5,     6,    -1,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,   520,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,   177,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,   440,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,
      -1,     3,    -1,     5,     6,   527,     8,     9,    10,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   518,   519,     3,    -1,
       5,     6,    -1,     8,     9,   527,    11,    12,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,   427,    -1,   429,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
      -1,   466,   467,   468,   469,   470,   471,   472,    -1,   474,
     475,   476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   518,   519,     3,    -1,     5,     6,    -1,
       8,     9,   527,    11,    12,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,     5,     6,    -1,     8,     9,
      -1,    11,    12,    -1,    -1,    -1,    -1,    -1,    -1,   527,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    37,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,     5,     6,    -1,     8,     9,    -1,    11,
      12,    -1,    -1,    -1,    -1,    -1,    -1,   527,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    37,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   527,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,   475,   476,   477,   478,   479,    -1,    -1,   482,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,   508,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   527,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,   307,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   527,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    66,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,   427,
      -1,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    66,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,   427,    -1,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    66,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,   427,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   527,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    66,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,   427,    -1,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,   475,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,     5,
       6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   527,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   163,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
     306,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,   518,   519,   520,    -1,    -1,    -1,    -1,    -1,
      -1,   527,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    33,    34,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
     428,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,    -1,    -1,
     508,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,   508,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   527,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   527,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   527,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   527,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,
      -1,    -1,    13,    -1,    -1,   527,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,    -1,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    60,
      61,    62,    63,    64,    65,    66,    67,    68,    -1,    -1,
      71,    72,    73,    74,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,    -1,   116,   117,   118,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   142,   143,   144,   145,   146,   147,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,    -1,   167,   168,   169,   170,
      -1,   172,   173,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,    -1,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,    -1,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,    -1,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,    -1,    -1,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,    -1,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,   438,   439,    -1,
     441,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,    -1,   458,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,   473,    -1,   475,   476,   477,   478,   479,   480,
      -1,   482,    -1,    -1,    -1,    -1,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,    -1,   503,   504,    -1,   506,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   515,   516,   517,   518,   519,   520,
     521,   522,   523,     3,    -1,     5,     6,    -1,    -1,    -1,
      10,    11,    -1,    -1,    -1,    -1,    -1,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    -1,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,    -1,   186,    -1,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,    -1,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,    -1,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,    -1,   334,    -1,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,    -1,   445,    -1,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,    -1,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   502,   503,   504,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   515,   516,   517,   518,   519,
     520,   521,   522,   523,     3,    -1,     5,     6,    -1,    -1,
      -1,    10,    11,    -1,    -1,    -1,    -1,    -1,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    -1,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    -1,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,    -1,   158,
     159,   160,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,    -1,   186,    -1,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,    -1,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,
     239,   240,   241,   242,   243,   244,   245,   246,   247,    -1,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,    -1,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,    -1,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,    -1,   334,    -1,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
      -1,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,    -1,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   438,
     439,   440,   441,   442,   443,    -1,   445,    -1,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,    -1,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   502,   503,   504,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   515,   516,   517,   518,
     519,   520,   521,   522,   523,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,   516,   517,
     518,   519,   520,   521,   522,   523,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,    -1,
      17,    18,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
      -1,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,    -1,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,   471,   472,    -1,   474,    -1,   476,
     477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,   516,
     517,   518,   519,   520,   521,   522,   523,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,    -1,
      -1,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   515,
     516,   517,   518,   519,   520,   521,   522,   523,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,    -1,
      -1,    -1,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    -1,    49,    50,    51,    52,    53,    -1,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    -1,    -1,    81,    82,    83,    84,
      85,    86,    -1,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,    -1,   101,   102,   103,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,    -1,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,    -1,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,    -1,
      -1,   226,    -1,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,    -1,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,    -1,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,    -1,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,   471,   472,    -1,   474,
      -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     515,   516,   517,   518,   519,   520,   521,   522,   523,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,    -1,
      -1,    -1,    -1,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   515,   516,   517,   518,   519,   520,   521,   522,   523,
       3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,    -1,
      -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    -1,    49,    50,    51,    52,
      53,    -1,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    -1,    -1,    81,    82,
      83,    84,    85,    86,    -1,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,    -1,   101,   102,
     103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,    -1,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
      -1,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,    -1,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,    -1,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,    -1,    -1,   226,    -1,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
      -1,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
      -1,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,    -1,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,    -1,   448,   449,   450,   451,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,   471,   472,
      -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,   482,
      -1,    -1,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   515,   516,   517,   518,   519,   520,   521,   522,
     523,     3,    -1,    -1,    -1,    -1,    -1,    -1,    10,    -1,
      -1,    -1,    -1,    -1,    -1,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   515,   516,   517,   518,   519,   520,   521,
     522,   523,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   520,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   520,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   520,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   520,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     520,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,   294,    -1,    -1,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,    -1,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,   472,   473,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,   503,   504,    -1,    -1,    -1,
      -1,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,   520,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    48,    49,    50,    51,    -1,    53,    54,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      -1,    -1,    79,    -1,    81,    82,    83,    84,    85,    86,
      87,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,
     107,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,   176,
      -1,   178,   179,   180,   181,   182,    -1,   184,    -1,    -1,
      -1,   188,   189,    -1,   191,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,   212,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,   224,   225,   226,
     227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,    -1,   249,   250,   251,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
      -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,    -1,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,    -1,   334,    -1,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,   373,   374,   375,   376,
     377,   378,    -1,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,   423,    -1,   425,   426,
      -1,    -1,   429,   430,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,    -1,   442,   443,    -1,   445,    -1,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,    -1,   472,   473,   474,   475,   476,
     477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,
     487,   488,   489,   490,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   502,   503,   504,     3,    -1,
       5,     6,    -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,   520,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,   306,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,   471,   472,    -1,   474,
     475,   476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
       3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,    -1,
      -1,    -1,    -1,   518,   519,    -1,    -1,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    -1,    30,    31,    32,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,
      -1,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    -1,    58,    59,    60,    61,    62,
      63,    64,    -1,    -1,    67,    68,    69,    70,    71,    -1,
      73,    74,    75,    76,    77,    -1,    79,    -1,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    -1,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
     103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,   126,   127,   128,   129,    -1,   131,   132,
     133,   134,    -1,    -1,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,   149,   150,   151,    -1,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,    -1,   166,   167,   168,   169,   170,    -1,   172,
      -1,   174,   175,   176,    -1,   178,   179,   180,   181,   182,
      -1,   184,   185,    -1,   187,   188,   189,    -1,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,    -1,   202,
     203,   204,   205,   206,   207,   208,   209,    -1,   211,   212,
     213,   214,   215,   216,   217,   218,   219,    -1,   221,    -1,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,    -1,    -1,   247,   248,   249,   250,   251,    -1,
     253,   254,   255,    -1,    -1,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,    -1,   291,   292,
     293,   294,    -1,   296,   297,   298,   299,   300,   301,    -1,
     303,   304,   305,   306,    -1,   308,   309,   310,    -1,    -1,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,    -1,   331,   332,
     333,   334,   335,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,    -1,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,    -1,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,    -1,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,    -1,   425,   426,    -1,    -1,   429,   430,   431,   432,
     433,   434,   435,    -1,   437,   438,   439,    -1,    -1,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,    -1,   466,   467,   468,   469,   470,   471,   472,
      -1,   474,   475,   476,   477,   478,   479,    -1,    -1,   482,
      -1,    -1,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,
      11,    -1,    -1,    -1,    -1,   518,   519,    -1,    -1,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    -1,    30,
      31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,
      41,    42,    -1,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    -1,    58,    59,    60,
      61,    62,    63,    64,    -1,    -1,    67,    68,    69,    70,
      71,    -1,    73,    74,    75,    76,    77,    -1,    79,    -1,
      81,    82,    83,    84,    85,    86,    87,    88,    89,    90,
      91,    -1,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,
     111,   112,   113,   114,   115,   116,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,    -1,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,   149,   150,
     151,    -1,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,    -1,   166,   167,   168,   169,   170,
      -1,   172,    -1,   174,   175,   176,    -1,   178,   179,   180,
     181,   182,    -1,   184,   185,    -1,   187,   188,   189,    -1,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
      -1,   202,   203,   204,   205,   206,   207,   208,   209,    -1,
     211,   212,   213,   214,   215,   216,   217,   218,   219,    -1,
     221,    -1,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,    -1,    -1,   247,   248,   249,   250,
     251,    -1,   253,   254,   255,    -1,    -1,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,    -1,
     291,   292,   293,   294,    -1,   296,   297,   298,   299,   300,
     301,    -1,   303,   304,   305,   306,    -1,   308,   309,   310,
      -1,    -1,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,    -1,
     331,   332,   333,   334,   335,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,    -1,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   388,   389,    -1,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,    -1,   425,   426,    -1,    -1,   429,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,   439,    -1,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,   450,
     451,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,    -1,   466,   467,   468,   469,   470,
     471,   472,    -1,   474,   475,   476,   477,   478,   479,    -1,
      -1,   482,    -1,    -1,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,   496,   497,   498,   499,   500,
     501,   502,   503,   504,     3,    -1,     5,     6,    -1,    -1,
      -1,    -1,    11,    -1,    -1,    -1,    -1,   518,   519,    -1,
      -1,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    40,    41,    42,    -1,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    -1,    58,
      59,    60,    61,    62,    63,    64,    -1,    -1,    67,    68,
      69,    70,    71,    -1,    73,    74,    75,    76,    77,    -1,
      79,    -1,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    -1,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,   117,   118,
     119,    -1,   121,    -1,   123,   124,   125,   126,   127,   128,
     129,    -1,   131,   132,   133,   134,    -1,    -1,   137,   138,
     139,   140,   141,    -1,   143,   144,   145,   146,    -1,   148,
     149,   150,   151,    -1,   153,   154,   155,   156,   157,   158,
     159,   160,   161,   162,   163,   164,    -1,   166,   167,   168,
     169,   170,    -1,   172,    -1,   174,   175,   176,    -1,   178,
     179,   180,   181,   182,    -1,   184,   185,    -1,   187,   188,
     189,    -1,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,    -1,   202,   203,   204,   205,   206,   207,   208,
     209,    -1,   211,   212,   213,   214,   215,   216,   217,   218,
     219,    -1,   221,    -1,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,   236,   237,   238,
     239,   240,   241,   242,   243,   244,    -1,    -1,   247,   248,
     249,   250,   251,    -1,   253,   254,   255,    -1,    -1,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,    -1,   291,   292,   293,   294,    -1,   296,   297,   298,
     299,   300,   301,    -1,   303,   304,   305,   306,    -1,   308,
     309,   310,    -1,    -1,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,    -1,   331,   332,   333,   334,   335,   336,   337,   338,
      -1,   340,   341,   342,   343,   344,   345,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
     369,    -1,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,   387,   388,
     389,    -1,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,    -1,   425,   426,    -1,    -1,
     429,   430,   431,   432,   433,   434,   435,    -1,   437,   438,
     439,    -1,    -1,   442,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,    -1,   466,   467,   468,
     469,   470,   471,   472,    -1,   474,   475,   476,   477,   478,
     479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    11,    -1,    -1,    -1,    -1,   518,
     519,    -1,    -1,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,    46,
      47,    -1,    49,    50,    51,    52,    53,    -1,    55,    56,
      -1,    58,    59,    60,    61,    62,    63,    64,    -1,    -1,
      67,    68,    69,    70,    71,    -1,    73,    74,    75,    76,
      77,    -1,    -1,    -1,    81,    82,    83,    84,    85,    86,
      -1,    88,    89,    90,    91,    -1,    93,    94,    95,    96,
      97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,   116,
     117,   118,   119,    -1,   121,    -1,   123,   124,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,    -1,    -1,
     137,   138,   139,   140,   141,    -1,   143,   144,   145,   146,
      -1,   148,   149,   150,   151,    -1,   153,   154,   155,   156,
     157,   158,   159,   160,   161,   162,    -1,   164,    -1,   166,
     167,   168,   169,   170,    -1,   172,    -1,   174,   175,    -1,
     177,    -1,   179,   180,   181,   182,    -1,   184,   185,    -1,
     187,   188,   189,    -1,   191,   192,   193,   194,   195,    -1,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,    -1,   211,    -1,   213,   214,   215,   216,
     217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,
      -1,   228,   229,   230,   231,   232,   233,   234,   235,   236,
     237,   238,   239,   240,   241,   242,   243,   244,    -1,    -1,
     247,   248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,
      -1,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,    -1,   291,   292,    -1,   294,    -1,   296,
     297,   298,   299,   300,   301,    -1,   303,   304,   305,    -1,
      -1,   308,   309,   310,    -1,    -1,   313,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,    -1,   331,   332,   333,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,    -1,   371,   372,    -1,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,    -1,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,    -1,   425,   426,
      -1,    -1,   429,    -1,   431,   432,   433,   434,   435,    -1,
     437,   438,   439,    -1,    -1,   442,   443,   444,   445,   446,
      -1,   448,   449,   450,   451,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,   466,
     467,   468,   469,   470,   471,   472,    -1,   474,    -1,   476,
     477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,   496,
     497,   498,   499,   500,   501,   502,   503,   504,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   518,   519,    -1,    -1,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    -1,    30,    31,    32,    33,    34,
      -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    -1,    58,    59,    60,    61,    62,    63,    64,
      -1,    -1,    67,    68,    69,    70,    71,    -1,    73,    74,
      75,    76,    77,    -1,    79,    -1,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    -1,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,   103,    -1,
      -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,
     115,   116,   117,   118,   119,    -1,   121,    -1,   123,   124,
     125,   126,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,    -1,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,   149,   150,   151,    -1,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,    -1,   164,
      -1,   166,   167,   168,   169,   170,    -1,   172,    -1,   174,
     175,   176,    -1,   178,   179,   180,   181,   182,    -1,   184,
     185,    -1,   187,   188,   189,    -1,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,    -1,   202,   203,   204,
     205,   206,   207,   208,   209,    -1,   211,   212,   213,   214,
     215,   216,   217,   218,   219,    -1,   221,    -1,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
      -1,    -1,   247,   248,   249,   250,   251,    -1,   253,   254,
     255,    -1,    -1,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,    -1,   291,   292,   293,   294,
      -1,   296,   297,   298,   299,   300,   301,    -1,   303,   304,
     305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,    -1,   331,   332,   333,   334,
     335,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,    -1,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,    -1,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,    -1,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,    -1,
     425,   426,    -1,    -1,   429,   430,   431,   432,   433,   434,
     435,    -1,   437,   438,   439,    -1,    -1,   442,   443,   444,
     445,   446,    -1,   448,   449,   450,   451,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
      -1,   466,   467,   468,   469,   470,   471,   472,    -1,   474,
     475,   476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,     3,    -1,     5,     6,    -1,    -1,    -1,    -1,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      66,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,   104,   105,
     106,   107,   108,   109,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,   427,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,     5,     6,    -1,     8,     9,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,   475,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,   106,   107,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
     106,   107,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
     186,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,   306,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,   475,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,   106,   107,    -1,    -1,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,   106,   107,    -1,    -1,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,   106,   107,
      -1,    -1,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
     106,   107,    -1,    -1,   110,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,   106,   107,    -1,    -1,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,   475,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,     6,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,   293,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,   293,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,   475,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,   293,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,   293,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,   293,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    72,    73,    74,    75,
      76,    77,    -1,    -1,    80,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,   173,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,   458,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,   173,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,   458,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,   458,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,   183,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    99,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,   183,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    99,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,   307,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,   173,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,   428,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    99,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,   307,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
     428,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,   307,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,   307,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    12,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,   307,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,   428,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,     6,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      38,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    38,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    38,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,    -1,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
     188,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    -1,    49,    50,    51,    52,    53,    -1,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    77,    -1,    -1,    -1,    81,    82,    83,    84,    85,
      86,    -1,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,    -1,   101,   102,   103,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
      -1,    -1,    -1,   179,   180,   181,   182,    -1,   184,   185,
      -1,   187,   188,   189,    -1,   191,   192,   193,   194,   195,
      -1,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,    -1,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,    -1,    -1,
     226,    -1,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,   248,    -1,   250,    -1,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,    -1,   291,   292,    -1,   294,    -1,
     296,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,    -1,   425,
     426,    -1,    -1,   429,    -1,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,   444,   445,
     446,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,   471,   472,    -1,   474,    -1,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    -1,    49,    50,    51,    52,    53,
      -1,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    77,    -1,    -1,    -1,    81,    82,    83,
      84,    85,    86,    -1,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,    -1,   101,   102,   103,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,    -1,    -1,    -1,   179,   180,   181,   182,    -1,
     184,   185,    -1,   187,   188,   189,    -1,   191,   192,   193,
     194,   195,    -1,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,    -1,   213,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
      -1,    -1,   226,    -1,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,   248,    -1,   250,    -1,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,    -1,   291,   292,    -1,
     294,    -1,   296,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,   333,
     334,   335,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
      -1,   425,   426,    -1,    -1,   429,    -1,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
     444,   445,   446,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,   471,   472,    -1,
     474,    -1,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    -1,    49,    50,    51,
      52,    53,    -1,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    77,    -1,    -1,    -1,    81,
      82,    83,    84,    85,    86,    -1,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,    -1,   101,
     102,   103,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,    -1,    -1,    -1,   179,   180,   181,
     182,    -1,   184,   185,    -1,   187,   188,   189,    -1,   191,
     192,   193,   194,   195,    -1,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
      -1,   213,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,    -1,    -1,   226,    -1,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,   248,    -1,   250,    -1,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,    -1,   291,
     292,    -1,   294,    -1,   296,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,   334,   335,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,    -1,   425,   426,    -1,    -1,   429,    -1,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,   444,   445,   446,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,   471,
     472,    -1,   474,    -1,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    -1,    49,
      50,    51,    52,    53,    -1,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    77,    -1,    -1,
      -1,    81,    82,    83,    84,    85,    86,    -1,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
      -1,   101,   102,   103,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,    -1,    -1,    -1,   179,
     180,   181,   182,    -1,   184,   185,    -1,   187,   188,   189,
      -1,   191,   192,   193,   194,   195,    -1,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,    -1,   213,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,    -1,    -1,   226,    -1,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,   248,    -1,
     250,    -1,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
      -1,   291,   292,    -1,   294,    -1,   296,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,   333,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,    -1,   425,   426,    -1,    -1,   429,
      -1,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,   444,   445,   446,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,   471,   472,    -1,   474,    -1,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      -1,    49,    50,    51,    52,    53,    -1,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    77,
      -1,    -1,    -1,    81,    82,    83,    84,    85,    86,    -1,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,    -1,   101,   102,   103,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,    -1,    -1,
      -1,   179,   180,   181,   182,    -1,   184,   185,    -1,   187,
      -1,   189,    -1,   191,   192,   193,   194,   195,    -1,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,    -1,   213,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,    -1,    -1,   226,    -1,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
     248,    -1,   250,    -1,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,    -1,   291,   292,    -1,   294,    -1,   296,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,   315,    -1,   317,
      -1,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
     328,   329,    -1,   331,   332,   333,   334,   335,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,    -1,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,    -1,   425,   426,    -1,
      -1,   429,    -1,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,   444,   445,   446,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,   471,   472,    -1,   474,    -1,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,   213,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,
      -1,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,    -1,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,   472,   473,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   502,   503,   504,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,   294,   295,    -1,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,    -1,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,    -1,   425,   426,    -1,
     428,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,    -1,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,   472,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,   503,   504,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,    -1,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,    -1,   289,
      -1,   291,   292,   293,   294,    -1,    -1,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,    -1,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,    -1,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,    -1,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,   472,    -1,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   502,   503,   504,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,    -1,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,    -1,   289,    -1,   291,
     292,   293,   294,    -1,    -1,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,    -1,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,    -1,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,    -1,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     502,   503,   504,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,    -1,
     164,    -1,   166,   167,   168,   169,   170,   171,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,    -1,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,    -1,   291,   292,   293,
     294,    -1,    -1,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,    -1,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,    -1,
     334,    -1,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
      -1,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,   472,    -1,
     474,   475,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,
     504,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    53,    54,    55,
      56,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    69,    70,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,   117,   118,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,   169,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,    -1,   214,   215,
     216,   217,   218,   219,    -1,   221,    -1,   223,   224,   225,
     226,   227,   228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,
      -1,   297,   298,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,    -1,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,   438,   439,    -1,    -1,   442,   443,    -1,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,   472,    -1,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   502,   503,   504,    -1,
      -1,    -1,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    -1,    30,    31,    32,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    40,    41,    42,    -1,    44,    45,    46,    47,
      48,    49,    50,    51,    -1,    53,    54,    55,    56,    -1,
      58,    59,    60,    61,    62,    63,    64,    -1,    -1,    67,
      68,    69,    70,    71,    -1,    73,    74,    75,    76,    -1,
      -1,    79,    -1,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    -1,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,   103,    -1,    -1,    -1,   107,
      -1,    -1,    -1,   111,   112,   113,   114,   115,   116,   117,
     118,   119,    -1,   121,    -1,   123,   124,   125,   126,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,    -1,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,    -1,   164,    -1,   166,   167,
     168,   169,   170,    -1,   172,    -1,   174,   175,   176,    -1,
     178,   179,   180,   181,   182,    -1,   184,    -1,    -1,    -1,
     188,   189,    -1,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,    -1,   202,   203,   204,   205,   206,   207,
     208,   209,    -1,   211,   212,    -1,   214,   215,   216,   217,
     218,   219,    -1,   221,    -1,   223,   224,   225,   226,   227,
     228,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     238,   239,   240,   241,   242,   243,   244,    -1,    -1,   247,
      -1,   249,   250,   251,    -1,   253,   254,   255,    -1,    -1,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,    -1,
      -1,   289,    -1,   291,   292,   293,   294,    -1,    -1,   297,
     298,   299,   300,   301,    -1,   303,   304,   305,    -1,    -1,
     308,   309,   310,    -1,    -1,   313,   314,    -1,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,    -1,   334,    -1,   336,   337,
     338,    -1,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,    -1,   371,   372,   373,   374,   375,   376,   377,
     378,    -1,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,    -1,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,    -1,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,    -1,   423,    -1,   425,   426,    -1,
      -1,   429,   430,   431,   432,   433,   434,   435,    -1,   437,
     438,   439,    -1,    -1,   442,   443,    -1,   445,    -1,    -1,
     448,   449,   450,   451,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,    -1,   466,   467,
     468,   469,   470,    -1,   472,    -1,   474,   475,   476,   477,
     478,   479,    -1,    -1,   482,    -1,    -1,   485,   486,   487,
     488,   489,   490,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   502,   503,   504,    -1,    -1,    -1,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    -1,
      30,    31,    32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      40,    41,    42,    -1,    44,    45,    46,    47,    48,    49,
      50,    51,    -1,    53,    54,    55,    56,    -1,    58,    59,
      60,    61,    62,    63,    64,    -1,    -1,    67,    68,    69,
      70,    71,    -1,    73,    74,    75,    76,    -1,    -1,    79,
      -1,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    -1,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,    -1,    -1,    -1,   107,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,   117,   118,   119,
      -1,   121,    -1,   123,   124,   125,   126,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,    -1,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,   149,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
     160,   161,    -1,    -1,   164,    -1,   166,   167,   168,   169,
     170,    -1,   172,    -1,   174,   175,   176,    -1,   178,   179,
     180,   181,   182,    -1,   184,    -1,    -1,    -1,   188,   189,
      -1,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,    -1,   202,   203,   204,   205,   206,   207,   208,   209,
      -1,   211,   212,    -1,   214,   215,   216,   217,   218,   219,
      -1,   221,    -1,   223,   224,   225,   226,   227,   228,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   238,   239,
     240,   241,   242,   243,   244,    -1,    -1,   247,    -1,   249,
     250,   251,    -1,   253,   254,   255,    -1,    -1,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,    -1,    -1,   289,
      -1,   291,   292,   293,   294,    -1,    -1,   297,   298,   299,
     300,   301,    -1,   303,   304,   305,    -1,    -1,   308,   309,
     310,    -1,    -1,   313,   314,    -1,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
      -1,   331,   332,    -1,   334,    -1,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
      -1,   371,   372,   373,   374,   375,   376,   377,   378,    -1,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
      -1,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,   423,    -1,   425,   426,    -1,    -1,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
      -1,    -1,   442,   443,    -1,   445,    -1,    -1,   448,   449,
     450,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,   466,   467,   468,   469,
     470,    -1,   472,    -1,   474,   475,   476,   477,   478,   479,
      -1,    -1,   482,    -1,    -1,   485,   486,   487,   488,   489,
     490,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   502,   503,   504,    -1,    -1,    -1,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    -1,    30,    31,
      32,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    40,    41,
      42,    -1,    44,    45,    46,    47,    48,    49,    50,    51,
      -1,    53,    54,    55,    56,    -1,    58,    59,    60,    61,
      62,    63,    64,    -1,    -1,    67,    68,    69,    70,    71,
      -1,    73,    74,    75,    76,    -1,    -1,    79,    -1,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      -1,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,    -1,    -1,    -1,   107,    -1,    -1,    -1,   111,
     112,   113,   114,   115,   116,   117,   118,   119,    -1,   121,
      -1,   123,   124,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,    -1,    -1,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,   160,   161,
      -1,    -1,   164,    -1,   166,   167,   168,   169,   170,    -1,
     172,    -1,   174,   175,   176,    -1,   178,   179,   180,   181,
     182,    -1,   184,    -1,    -1,    -1,   188,   189,    -1,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,    -1,
     202,   203,   204,   205,   206,   207,   208,   209,    -1,   211,
     212,    -1,   214,   215,   216,   217,   218,   219,    -1,   221,
      -1,   223,   224,   225,   226,   227,   228,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   238,   239,   240,   241,
     242,   243,   244,    -1,    -1,   247,    -1,   249,   250,   251,
      -1,   253,   254,   255,    -1,    -1,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,    -1,    -1,   289,    -1,   291,
     292,   293,   294,    -1,    -1,   297,   298,   299,   300,   301,
      -1,   303,   304,   305,    -1,    -1,   308,   309,   310,    -1,
      -1,   313,   314,    -1,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,    -1,   334,    -1,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,    -1,   371,
     372,   373,   374,   375,   376,   377,   378,    -1,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,    -1,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,    -1,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,   423,    -1,   425,   426,    -1,    -1,   429,   430,   431,
     432,   433,   434,   435,    -1,   437,   438,   439,    -1,    -1,
     442,   443,    -1,   445,    -1,    -1,   448,   449,   450,   451,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,    -1,   466,   467,   468,   469,   470,    -1,
     472,    -1,   474,   475,   476,   477,   478,   479,    -1,    -1,
     482,    -1,    -1,   485,   486,   487,   488,   489,   490,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     502,   503,   504,    -1,    -1,    -1,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    -1,    30,    31,    32,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    40,    41,    42,    -1,
      44,    45,    46,    47,    48,    49,    50,    51,    -1,    53,
      54,    55,    56,    -1,    58,    59,    60,    61,    62,    63,
      64,    -1,    -1,    67,    68,    69,    70,    71,    -1,    73,
      74,    75,    76,    -1,    -1,    79,    -1,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    -1,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
      -1,    -1,    -1,   107,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,   117,   118,   119,    -1,   121,    -1,   123,
     124,   125,   126,   127,   128,   129,    -1,   131,   132,   133,
     134,    -1,    -1,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,   160,   161,    -1,    -1,
     164,    -1,   166,   167,   168,   169,   170,    -1,   172,    -1,
     174,   175,   176,    -1,   178,   179,   180,   181,   182,    -1,
     184,    -1,    -1,    -1,   188,   189,    -1,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,    -1,   202,   203,
     204,   205,   206,   207,   208,   209,    -1,   211,   212,    -1,
     214,   215,   216,   217,   218,   219,    -1,   221,    -1,   223,
     224,   225,   226,   227,   228,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   238,   239,   240,   241,   242,   243,
     244,    -1,    -1,   247,    -1,   249,   250,   251,    -1,   253,
     254,   255,    -1,    -1,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,    -1,    -1,   289,    -1,   291,   292,   293,
     294,    -1,    -1,   297,   298,   299,   300,   301,    -1,   303,
     304,   305,    -1,    -1,   308,   309,   310,    -1,    -1,   313,
     314,    -1,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,    -1,   331,   332,    -1,
     334,    -1,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,    -1,   371,   372,   373,
     374,   375,   376,   377,   378,    -1,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,    -1,   391,   392,   393,
     394,   395,    -1,   397,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,    -1,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,   423,
      -1,   425,   426,    -1,    -1,   429,   430,   431,   432,   433,
     434,   435,    -1,   437,   438,   439,    -1,    -1,   442,   443,
      -1,   445,    -1,    -1,   448,   449,   450,   451,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,    -1,   466,   467,   468,   469,   470,    -1,   472,    -1,
     474,   475,   476,   477,   478,   479,    -1,    -1,   482,    -1,
      -1,   485,   486,   487,   488,   489,   490,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   502,   503,
     504,    -1,    -1,    -1,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    -1,    30,    31,    32,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    40,    41,    42,    -1,    44,    45,
      46,    47,    48,    49,    50,    51,    -1,    -1,    54,    -1,
      -1,    -1,    58,    59,    60,    61,    62,    63,    64,    -1,
      -1,    67,    68,    -1,    -1,    71,    -1,    73,    74,    75,
      76,    -1,    -1,    79,    -1,    81,    82,    83,    84,    85,
      86,    87,    88,    89,    90,    91,    -1,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,   103,    -1,    -1,
      -1,   107,    -1,    -1,    -1,   111,   112,   113,   114,   115,
     116,    -1,    -1,   119,    -1,   121,    -1,   123,   124,   125,
     126,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
      -1,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,   149,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,   160,   161,    -1,    -1,   164,    -1,
     166,   167,   168,    -1,   170,    -1,   172,    -1,   174,   175,
     176,    -1,   178,   179,   180,   181,   182,    -1,   184,    -1,
      -1,    -1,   188,   189,    -1,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,    -1,   202,   203,   204,   205,
     206,   207,   208,   209,    -1,   211,   212,    -1,   214,   215,
     216,   217,    -1,    -1,    -1,    -1,    -1,   223,   224,   225,
     226,   227,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   238,   239,   240,   241,   242,   243,   244,    -1,
      -1,   247,    -1,   249,   250,   251,    -1,   253,   254,   255,
      -1,    -1,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,    -1,   278,    -1,   280,   281,   282,   283,   284,   285,
     286,    -1,    -1,   289,    -1,   291,   292,   293,   294,    -1,
      -1,   297,    -1,   299,   300,   301,    -1,   303,   304,   305,
      -1,    -1,   308,   309,   310,    -1,    -1,   313,   314,    -1,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,    -1,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,    -1,   352,   353,   354,   355,
      -1,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,    -1,   371,   372,   373,   374,   375,
     376,   377,   378,    -1,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,    -1,   391,   392,   393,   394,   395,
      -1,   397,   398,    -1,   400,   401,   402,   403,   404,    -1,
     406,    -1,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,   423,    -1,   425,
     426,    -1,    -1,   429,   430,   431,   432,   433,   434,   435,
      -1,   437,    -1,    -1,    -1,    -1,   442,   443,    -1,   445,
      -1,    -1,   448,   449,   450,   451,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,    -1,
     466,   467,   468,   469,   470,    -1,    -1,    -1,   474,   475,
     476,   477,   478,   479,    -1,    -1,   482,    -1,    -1,   485,
     486,   487,   488,   489,   490,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   502,   503,   504
};

  /* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
     symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    20,    31,    33,    34,    51,    61,    73,    75,    76,
      82,    84,    97,    99,   116,   119,   134,   136,   140,   147,
     156,   158,   165,   183,   200,   253,   254,   259,   274,   292,
     337,   352,   358,   359,   361,   366,   372,   375,   382,   389,
     390,   397,   401,   411,   428,   448,   460,   466,   471,   484,
     508,   510,   511,   512,   513,   514,   527,   534,   535,   536,
     537,   542,   543,   549,   550,   552,   553,   554,   555,   557,
     560,   572,   577,   578,   581,   582,   583,   603,   606,   607,
     622,   672,   675,   676,   679,   682,   683,   684,   692,   699,
     701,   702,   705,   708,   709,   713,   722,   726,   727,   728,
     731,   733,   734,   735,   736,   744,   746,   766,   770,   772,
     773,   783,   785,   792,   793,   796,   797,   798,   799,   800,
     809,   811,   813,   816,   820,   821,   831,   832,   837,   842,
     853,   885,   888,   889,   890,   895,   898,   900,   902,   904,
     905,   909,   910,   913,   915,   916,   920,   921,   922,   925,
     926,   927,   928,   929,   936,   938,   939,   940,   941,   947,
     949,   950,   956,   957,   958,   961,   962,   963,   964,   966,
     967,   969,   970,   972,   973,   975,   987,   989,   992,   994,
     995,  1004,  1006,  1011,  1016,  1024,  1028,  1029,  1030,  1031,
    1032,  1033,  1039,  1075,   442,   487,   942,    28,    79,    96,
     114,   120,   138,   151,   160,   173,   179,   186,   206,   243,
     265,   308,   332,   342,   343,   346,   374,   377,   381,   384,
     391,   394,   413,   421,   426,   428,   431,   435,   445,   450,
     464,   477,   698,   942,     3,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    30,    31,    32,    40,    41,    42,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    58,    59,    60,    61,    62,    63,    64,
      67,    68,    69,    70,    71,    73,    74,    75,    76,    77,
      79,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    93,    94,    95,    96,    97,    98,   100,   101,
     102,   103,   107,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   121,   123,   124,   125,   126,   127,   128,   129,
     131,   132,   133,   134,   137,   138,   139,   140,   141,   143,
     144,   145,   146,   148,   149,   150,   151,   153,   154,   155,
     156,   157,   158,   159,   160,   161,   162,   164,   166,   167,
     168,   169,   170,   172,   174,   175,   176,   178,   179,   180,
     181,   182,   184,   185,   187,   188,   189,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   202,   203,   204,
     205,   206,   207,   208,   209,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   221,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   247,   248,   249,
     250,   251,   253,   254,   255,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   291,   292,   293,
     294,   296,   297,   298,   299,   300,   301,   303,   304,   305,
     308,   309,   310,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     331,   332,   333,   334,   335,   336,   337,   338,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   391,   392,   393,   394,
     395,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   425,   426,   429,
     430,   431,   432,   433,   434,   435,   437,   438,   439,   442,
     443,   444,   445,   446,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   459,   460,   461,   462,   463,   466,   467,
     468,   469,   470,   471,   472,   474,   475,   476,   477,   478,
     479,   482,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,  1137,  1230,  1242,  1243,  1247,  1248,  1249,     3,
      29,  1025,  1227,  1242,  1247,   475,   527,   980,   306,   338,
     942,    54,   527,   614,    23,    41,    66,    79,   114,   120,
     138,   151,   160,   173,   182,   186,   255,   308,   311,   332,
     346,   374,   384,   394,   413,   421,   431,   432,   434,   435,
     450,   458,   461,   464,   623,   681,   788,   843,   854,    29,
     337,  1227,  1025,    29,   331,   392,   432,   434,     6,   242,
     896,   897,  1233,    23,    28,    66,    79,    96,   114,   138,
     151,   160,   173,   179,   186,   206,   265,   308,   321,   332,
     343,   346,   374,   377,   381,   384,   391,   394,   413,   421,
     428,   431,   435,   443,   445,   450,   464,   477,   698,   801,
     803,   804,   942,  1227,    99,   475,   527,   676,   679,   682,
     975,   988,   992,   995,  1004,  1011,  1016,  1024,  1028,    11,
      22,    29,    49,   168,   175,   177,   201,   244,   281,   340,
     360,   518,   519,   817,   818,  1025,  1232,  1234,    29,    31,
      99,   356,   390,   822,   823,   824,  1242,   173,  1242,  1229,
    1233,   428,  1042,   817,  1242,   442,  1227,   321,   265,   527,
     908,   382,  1242,    29,   395,   438,   442,   564,   573,   574,
    1242,   183,   822,   823,  1242,   338,   942,  1242,   241,    29,
     135,  1044,  1045,    67,    93,   255,   276,   374,   384,   395,
     438,   442,   490,   561,   562,   563,   564,    29,   395,   438,
     442,   564,   442,   307,  1087,  1088,  1225,  1242,  1042,   520,
    1242,   178,   527,   981,   527,   354,  1034,  1035,  1227,  1034,
       3,    53,    55,    56,    69,    70,   117,   118,   139,   169,
     218,   219,   221,   228,   277,   279,   298,   351,   399,   405,
     438,   439,   472,  1110,  1112,  1114,  1116,  1118,  1120,  1121,
    1122,  1124,  1125,  1126,  1128,  1129,  1133,  1243,  1247,  1044,
    1045,  1046,  1238,    12,  1239,  1240,  1242,  1239,  1239,  1029,
    1030,  1033,     0,   530,   527,   980,   152,   220,   312,   457,
    1047,  1048,  1029,  1031,  1032,   125,   216,   267,   463,   531,
      35,   946,   870,  1230,   806,  1242,   806,  1227,   341,   806,
     445,  1227,   113,   428,   858,  1230,  1242,  1249,     3,   106,
     110,   396,  1235,  1236,  1244,  1247,  1248,  1249,    29,   195,
    1225,   299,   477,    10,    17,    18,    19,    74,   164,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   892,   894,
    1168,  1169,  1242,   195,  1227,   858,  1227,    29,  1235,  1236,
     858,  1227,  1227,   195,  1225,  1227,   195,   806,  1227,   366,
     397,    29,   195,  1087,  1227,   387,  1227,   806,    29,   262,
    1235,  1236,   195,  1225,   242,   122,   226,   290,   350,   943,
     944,   945,   527,   525,   529,  1194,  1196,   505,   974,   975,
     976,   977,  1244,  1225,  1227,  1242,    28,    66,    80,    92,
     114,   138,   179,   206,   243,   308,   343,   374,   377,   421,
     431,   443,   450,   801,   802,   803,   804,  1233,   946,   991,
     995,  1004,  1011,  1016,  1028,  1225,   269,   806,   527,   195,
     806,  1227,   806,   445,   195,  1227,   113,   428,   432,   434,
    1235,  1236,   432,   434,    74,   164,   892,   364,  1227,  1227,
    1235,   195,   538,  1242,   195,  1227,   195,   539,   806,  1227,
    1227,   387,   806,   262,  1235,   354,   391,   428,   477,   265,
      96,   206,    28,    92,   179,   343,   381,   443,   445,   449,
     693,    29,  1227,  1026,   571,  1233,  1244,   897,   269,   195,
     870,   871,   195,   901,   195,  1227,   195,   808,  1110,   445,
     113,   428,   195,   857,   858,   195,  1236,  1237,    87,   477,
      74,   164,   195,   893,   894,    59,   195,   857,   195,  1237,
     195,   857,   195,  1227,   195,  1227,   387,   901,   195,   808,
     195,   262,  1237,   242,   195,   805,   806,   195,  1226,  1227,
     195,  1227,   946,   527,   993,   623,   988,   471,   974,   980,
    1234,   818,   819,    29,   819,  1234,   819,    29,   819,  1234,
     819,   819,   819,  1234,  1232,  1232,  1025,   819,   341,   527,
     426,   527,   649,   649,   649,   306,   440,   531,   649,   384,
    1087,  1089,   531,   937,  1233,   527,   990,    59,   477,   974,
     114,   206,   384,   426,   428,   906,   907,  1242,    48,   504,
     226,   529,   309,   306,   177,   309,  1233,   440,   946,   171,
     814,   306,     5,     8,     9,    10,    12,    37,    53,    55,
      56,    65,    66,    69,    70,    77,    79,   104,   105,   106,
     107,   108,   109,   110,   117,   118,   120,   157,   162,   163,
     169,   185,   187,   218,   219,   221,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   248,   256,   257,   268,
     277,   279,   288,   290,   295,   296,   298,   308,   319,   333,
     351,   379,   396,   405,   422,   427,   438,   439,   444,   446,
     447,   458,   464,   472,   492,   493,   494,   495,   497,   498,
     499,   500,   506,   518,   519,   520,   527,  1029,  1113,  1116,
    1119,  1120,  1121,  1123,  1124,  1125,  1128,  1129,  1133,  1134,
    1136,  1137,  1138,  1140,  1164,  1165,  1166,  1170,  1188,  1193,
    1219,  1222,  1223,  1230,  1231,  1232,  1233,  1242,  1221,  1222,
    1233,    29,   579,  1224,  1225,   395,   561,   120,   570,  1233,
     571,  1233,    48,    71,   561,   504,   406,   944,   309,   177,
     440,   517,    48,   504,   226,   945,   527,  1225,   520,  1196,
    1089,   974,   176,   982,  1134,  1173,  1034,   531,   527,   983,
     474,  1127,  1127,  1127,   527,  1115,  1115,   335,   527,  1117,
      69,    70,  1127,  1115,  1112,   508,   509,   527,  1130,   527,
    1130,    37,  1111,   527,   115,   193,   270,   273,   388,   502,
     527,  1131,  1132,   529,   807,  1115,  1221,  1197,   528,   528,
     536,   974,   984,   985,   986,  1225,    29,   135,  1043,  1043,
      59,  1043,   165,   171,   252,   302,  1051,  1053,  1054,  1069,
    1071,  1072,  1073,  1047,  1048,   177,   222,   222,  1087,  1090,
     527,    68,   286,   322,   362,   397,   527,   868,   322,   358,
     362,   397,   807,   322,   362,   397,     3,    91,   145,   258,
     322,   358,   362,   397,   431,   433,   484,   572,   575,   951,
     952,   953,   954,   838,    25,   140,   322,   362,   397,   468,
     588,  1227,    25,   140,   397,   463,   556,   488,   195,  1087,
      62,    98,   161,   198,   247,   286,   290,   322,   323,   362,
     371,   380,   389,   397,   409,   418,   423,   479,   572,   576,
     874,   886,   914,   527,   855,  1196,   362,   556,   201,   157,
      25,    31,    46,    76,   133,   140,   144,   172,   208,   286,
     290,   300,   310,   322,   362,   365,   366,   397,   468,   584,
     586,   587,   716,   914,     5,   518,   519,   690,  1234,    29,
     195,  1225,   806,   806,   527,   891,   322,   397,   529,   157,
     306,   322,   362,   397,   886,   914,    25,   140,   322,   362,
     397,   201,   551,   362,   484,   508,   544,   551,   322,   362,
     397,   886,   914,   306,   322,   362,   157,    38,    60,   112,
     204,   266,   271,   286,   321,   362,   367,   391,   397,   411,
     584,   687,   688,   322,   362,   476,   716,   724,   157,   322,
     362,   397,    25,    91,   133,   140,   144,   322,   358,   362,
     397,   404,   574,   562,   564,   201,   157,    46,   131,   286,
     362,   397,   584,   585,   322,   362,   366,   397,    89,   132,
     325,   433,   306,    25,    31,   140,   322,   362,   397,   604,
     605,   551,   171,   362,   544,   551,   157,   362,   397,   584,
    1227,   250,   122,   307,   489,   531,   943,    29,   135,   473,
     520,   528,   863,  1134,  1174,  1175,  1243,  1134,  1195,     3,
      29,    33,    34,    35,    36,    37,    38,    39,    43,    57,
      65,    66,    72,    78,    80,    92,    99,   104,   105,   106,
     108,   109,   110,   120,   122,   130,   135,   136,   142,   147,
     152,   163,   165,   171,   173,   177,   183,   186,   190,   201,
     210,   220,   222,   245,   246,   252,   256,   257,   290,   295,
     302,   306,   307,   311,   312,   330,   339,   356,   370,   390,
     396,   407,   424,   427,   428,   436,   440,   441,   447,   457,
     458,   464,   465,   473,   480,   481,   483,   484,   520,  1228,
    1245,  1247,  1248,  1249,  1250,  1194,   528,   531,   163,   306,
     447,   568,   571,   690,   978,   465,   971,   306,   870,   527,
     806,  1227,  1110,   858,   299,    74,   164,   894,   858,   858,
     171,  1110,   806,  1227,  1227,   528,   649,  1227,    72,  1110,
     290,   177,   527,   774,   544,    38,   965,  1227,   290,   544,
     488,   195,  1225,   544,   806,   806,   774,   461,   623,   306,
     171,   484,   882,   544,   290,    48,   558,   290,   450,   723,
     290,   983,    91,   322,   700,    89,   132,   325,   433,    38,
     774,   171,   195,   544,   477,   195,  1225,   195,   677,  1225,
    1225,   477,   806,    87,   540,  1230,   445,  1230,  1230,  1227,
     171,  1227,   698,    40,    54,   111,   215,   286,   386,   157,
      63,   368,   531,   541,   157,   527,   157,   544,   157,   531,
     541,   488,   157,   531,   541,   157,   531,   195,   805,   195,
     806,   195,   806,   157,   531,   541,  1237,   157,   541,   157,
     157,   541,   157,   541,   157,    89,   132,   325,   433,   171,
     157,   541,   157,   171,   195,   157,   531,   541,   157,   531,
     541,   157,   306,  1173,   428,   528,   988,   819,  1025,   819,
    1025,   819,  1025,   819,  1025,   819,  1025,  1025,  1025,   819,
    1025,   527,   650,   651,  1242,   650,    29,   114,   138,   173,
     179,   242,   243,   324,   343,   377,   384,   391,   428,   431,
     450,   827,  1224,  1237,   824,  1227,   201,   531,  1007,  1233,
    1110,  1177,    38,  1237,   540,   528,   540,   540,   540,   250,
    1242,   171,   827,  1237,   171,   382,  1242,   571,   306,   527,
    1197,   525,  1029,  1178,  1134,  1192,   527,   527,   171,   527,
     527,  1029,   527,   527,   527,   527,   527,   527,   527,   527,
     527,   527,   527,   527,   527,   527,   527,   527,   527,   527,
    1134,   527,   527,   527,   527,   527,   527,   527,   527,   297,
     639,   527,   527,   527,   527,   527,   527,   527,   527,  1134,
    1134,  1134,  1029,  1134,  1173,  1196,  1233,   527,  1233,     3,
      10,    13,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,   163,   164,   167,   168,   169,   170,   172,   173,
     174,   175,   176,   178,   179,   180,   181,   182,   184,   185,
     187,   188,   189,   191,   192,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   221,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   271,   272,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   303,   304,
     305,   307,   308,   309,   310,   311,   313,   314,   315,   316,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,   387,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     475,   476,   477,   478,   479,   480,   482,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   503,   504,   506,   515,   516,   517,   518,   519,
     520,   521,   522,   523,  1168,  1170,  1172,  1246,  1251,   485,
    1151,   318,  1134,   166,  1152,   222,   531,  1040,   527,  1233,
    1196,  1040,   123,   197,   580,   531,    71,   120,   571,    38,
       3,   120,   255,   569,   690,  1129,  1233,  1233,    94,   137,
    1146,   103,   120,   565,   566,   568,   690,   120,   565,   250,
    1225,    95,   367,   810,   528,   980,    35,    45,    52,    78,
     196,   201,   224,   251,   308,   311,   402,   528,   531,  1035,
    1226,    38,   527,  1173,  1232,  1127,  1127,    37,  1111,   438,
     438,  1232,  1232,   525,   525,  1232,   440,   440,   440,   527,
     440,  1232,  1228,   529,  1115,   177,  1076,    15,   517,  1194,
    1241,   528,   531,   983,  1031,  1031,  1049,  1050,  1134,  1031,
     168,   281,  1060,   239,   286,   350,   400,   463,    29,  1055,
    1134,   518,   519,  1056,  1057,  1134,  1136,  1069,  1070,  1054,
    1053,  1051,  1052,   171,  1072,   300,  1074,  1051,  1069,  1090,
     996,  1225,  1090,    38,  1242,   397,  1173,    68,   440,   440,
     384,   201,   213,   312,   315,   399,   473,   520,   861,   862,
     863,   865,   867,   869,  1110,  1243,   440,   476,   440,   384,
     440,   440,   384,   252,   440,    79,   440,   431,   561,   322,
     951,   953,   517,   955,   171,   183,   201,   372,   839,   840,
      72,    92,   153,   173,   290,   339,   458,   645,   646,    92,
     120,   290,   440,    92,   440,   120,   290,   384,    92,   133,
     144,   322,   362,   771,   384,   706,    28,    66,   138,   179,
     308,   343,   377,   443,   450,   801,   802,  1227,   157,   362,
     397,   584,   306,   690,   389,   247,   440,  1242,   440,   295,
     690,   124,   223,   384,   395,   442,   563,   806,   368,   397,
     874,   887,   128,   528,   856,   861,   440,   464,   431,  1225,
      80,   153,   195,   630,   645,  1242,    80,    92,   911,   327,
     306,   379,   381,   445,    92,   911,    32,   365,   379,   381,
     445,   379,  1225,   172,   208,   300,   806,   527,   440,   440,
     194,   527,   592,    23,   261,   431,   461,   486,   592,    92,
     531,   128,     5,     5,   322,   201,   157,   362,   397,   584,
     914,   465,   465,   287,  1110,   440,   384,   527,   892,  1227,
    1225,   440,   440,   384,   887,   128,   107,   428,   429,   923,
     924,  1088,  1225,  1242,   924,   440,   440,   774,   924,   114,
     397,   575,   440,   546,   575,   440,   440,   384,   887,   128,
    1225,   440,   440,  1225,  1112,   690,    59,   689,   690,   690,
     112,   266,   271,    59,   440,   544,   275,   384,   544,   286,
     688,   440,   440,   295,  1233,   716,   806,   440,   440,   384,
     413,   346,  1233,   346,   440,   346,   440,   346,   774,   774,
     431,  1087,   327,   327,    92,   440,   911,   384,   440,   440,
     592,   592,   806,   806,   806,   806,  1225,    47,   470,    47,
      47,   470,   440,    47,   440,   470,   384,   527,   531,   575,
     464,   732,  1236,   440,   546,   575,  1225,   440,   911,   384,
     322,   362,   350,   363,   393,   567,   943,  1174,  1174,  1175,
     528,    15,    16,   531,  1047,  1048,   526,   532,  1225,   976,
    1227,  1225,   224,  1110,   224,   306,   224,   224,   690,   806,
     806,   224,   224,   224,  1110,   224,   224,   224,   306,   440,
     177,   440,   608,   450,   527,    38,   157,   806,   775,   776,
    1245,   951,  1110,   306,   157,   703,  1227,   290,   327,   527,
     545,   788,   465,   354,   477,  1225,    29,   924,   774,   545,
     157,  1236,    99,   183,   559,   622,   683,   746,   820,   842,
     947,   157,  1233,   724,   725,   157,   306,  1233,  1236,   258,
     806,   806,   806,   806,   148,   349,   527,   732,   290,   545,
    1225,   290,   685,   687,   290,    38,   300,   327,   527,   649,
     649,   195,   680,  1225,   171,   195,   538,  1242,   527,   778,
     868,  1227,   527,   859,   859,    38,  1110,    27,    50,   217,
     747,   242,   484,   486,  1027,   386,   871,   870,  1110,  1227,
     527,   808,  1110,   857,   858,  1237,  1236,   157,   541,   157,
     465,   157,   465,   893,   894,   541,   857,  1237,   857,  1227,
    1227,  1110,   808,  1237,   732,   157,   805,   806,  1226,  1227,
    1227,   806,   528,   195,  1225,   988,  1025,  1025,  1025,  1025,
    1025,  1025,   650,   528,   531,   528,   180,   344,   378,   392,
     429,  1226,   805,   113,   394,   857,  1226,   299,   825,   826,
    1242,   857,   857,  1226,  1224,  1224,  1226,   805,   440,   184,
     484,   836,   152,   252,   729,   730,    23,   155,   379,   400,
    1008,  1087,   294,  1009,   528,   531,   991,   440,  1225,  1227,
    1225,   538,   822,   823,   177,   836,   823,  1242,    28,    80,
     138,   179,   243,   343,   377,   450,   801,   802,  1173,   526,
    1173,  1178,  1179,   480,  1189,  1190,  1134,  1173,   527,  1232,
    1232,     3,   115,   193,   270,   273,   388,   502,  1180,  1181,
    1233,  1173,  1173,  1134,  1207,   370,  1029,  1030,  1207,  1211,
    1218,  1207,  1207,  1134,  1136,  1174,  1211,  1214,  1215,  1134,
    1215,  1207,  1134,  1207,  1207,  1173,  1232,  1232,   528,  1134,
    1134,   892,  1134,  1174,  1176,  1183,   379,   518,   519,   527,
    1135,  1136,  1170,  1184,   528,  1173,  1134,  1176,  1185,  1134,
      57,   177,   246,   441,  1134,  1173,  1186,   135,   290,  1029,
    1173,   275,  1136,  1134,  1144,  1145,  1146,   275,  1134,  1146,
     528,   531,  1232,  1131,  1110,  1134,  1134,  1134,  1134,  1245,
     255,   438,    43,   424,  1198,   806,  1134,   527,  1029,  1187,
     135,   137,   163,   228,   282,   283,   284,   285,   289,   290,
     295,   447,   459,  1182,  1212,  1134,   527,  1134,   440,    52,
     196,   201,   251,   402,  1134,  1134,  1134,  1134,  1134,  1134,
    1134,  1134,  1134,  1134,    29,    36,   407,  1167,   186,  1152,
     379,   527,  1164,   527,   317,  1156,   182,   255,   428,   432,
     434,   461,  1041,  1225,  1223,  1076,  1174,  1076,  1225,   442,
     527,  1233,   531,   528,   194,   194,   541,   986,   975,   979,
    1134,   528,   265,   290,  1036,  1173,   528,   528,   525,   504,
     504,   528,   528,  1232,   526,  1232,   528,   193,   270,  1132,
     270,  1132,  1132,  1232,   273,   528,  1228,   228,   245,   380,
     501,   527,  1029,  1077,  1078,  1079,  1087,  1093,  1103,  1137,
    1139,  1140,  1219,  1242,   481,  1098,  1238,   986,   984,   531,
      39,   130,   465,   851,   379,   380,   518,   519,  1057,  1059,
    1136,   400,   239,   307,   531,     5,  1058,  1232,  1058,   379,
     380,  1059,  1224,   294,   404,  1010,  1070,  1052,   465,  1005,
     120,   320,   527,   997,  1028,    38,   465,  1242,   527,  1012,
    1013,  1014,  1242,   528,  1236,  1227,  1227,   315,    59,  1243,
     528,   863,   865,   862,   865,  1243,   312,   528,   531,   807,
    1236,  1227,  1227,  1236,  1227,  1227,  1236,   476,  1227,  1227,
     120,   568,   690,   374,   464,   822,   384,   183,   822,   527,
    1227,   465,   844,   239,   295,   239,   465,   639,   671,   195,
    1227,   295,  1236,  1227,  1227,  1134,   295,  1227,  1227,    32,
     365,   440,   440,  1227,   440,   707,   870,   527,  1110,   858,
      74,   164,   894,   858,   858,   171,  1110,   806,  1227,   189,
     286,   322,   362,   469,   710,   711,   712,  1087,   440,   911,
     384,   295,   124,   223,  1236,  1227,   306,  1227,   306,   528,
     531,  1235,  1237,  1227,   362,   584,   195,   630,   290,  1110,
    1227,  1232,  1242,  1225,  1227,   250,  1227,    29,   464,  1227,
     195,  1227,   195,  1242,   381,   445,   381,   445,   250,  1227,
      29,   464,  1227,   250,   379,  1225,    25,   140,   397,   717,
     718,   719,   720,  1245,  1236,  1227,   120,   178,   291,   465,
     591,   594,   595,  1245,   269,  1227,    76,   303,  1227,   587,
     306,   440,   431,  1225,   440,   911,   384,   128,  1227,  1227,
     531,   528,   531,  1236,  1227,   917,   918,  1245,   306,   362,
     440,   740,  1236,  1227,  1227,   306,  1087,   201,   531,   649,
     649,  1196,  1236,  1227,  1227,  1235,     3,    91,   146,   208,
     329,   456,   464,   467,   547,  1236,  1227,  1227,   306,   362,
    1236,  1227,   362,   397,   584,   687,   690,   806,  1227,   690,
     806,  1227,   690,  1236,  1227,   397,  1236,  1227,  1227,   120,
     598,  1234,  1226,  1226,  1236,   882,  1227,  1226,  1227,   362,
     397,   584,   585,  1225,  1225,  1227,  1227,  1227,  1227,  1236,
    1227,    25,    31,   140,   322,   362,   397,   322,   362,   397,
     774,   362,   397,   362,   397,   362,   914,  1102,  1242,   195,
     784,  1242,   195,  1242,  1233,  1236,  1227,  1227,  1233,  1227,
     917,    25,   140,   605,   394,  1235,   362,   397,   584,  1227,
    1227,  1227,   440,   440,    85,   455,   350,   531,  1047,  1047,
    1047,  1134,  1134,   473,  1175,   528,  1134,  1195,   971,   295,
     812,  1233,    38,   812,   138,   806,   812,   812,   224,   465,
     465,   812,   812,   812,   242,   812,   812,   812,   806,   345,
     609,   609,   206,   428,   745,  1134,  1110,   806,   528,   531,
     517,   636,  1245,  1227,    63,   177,   384,   476,   704,   711,
     712,   157,   300,   251,   624,   626,   628,   630,   642,   645,
      26,   201,   374,   425,   547,   548,   171,  1227,   477,  1225,
      38,   741,   429,   882,   538,  1242,   558,   623,   854,  1227,
     173,   806,   527,   673,   674,  1139,  1242,   346,  1233,   774,
     774,   774,   774,   527,   774,  1100,  1101,  1102,   394,   157,
     527,   157,   157,   156,  1028,   806,   300,   624,  1242,   465,
     666,   484,   593,   290,    38,   649,  1233,   290,   306,     3,
     779,   780,   774,    27,   528,   860,   861,   866,    38,   242,
     371,   443,   483,   872,   873,   874,   875,   872,   306,   242,
     300,   125,   216,   448,   463,   748,   749,  1227,   192,   192,
     171,   541,    38,   544,   172,   959,   960,   541,   541,   805,
     806,  1227,   806,  1227,   541,   541,   541,   541,   242,   541,
     394,   171,   541,   541,   306,   541,   290,   528,   651,   201,
     201,   201,   201,   201,   488,  1226,   690,   691,   531,   529,
     186,   828,   829,  1236,    59,   833,   834,  1245,   440,   527,
     177,   155,   400,   155,   400,   379,   463,   272,  1110,  1236,
     484,   678,   306,   828,   541,   177,   870,   806,  1110,   858,
     299,   858,   858,  1110,   806,  1227,   528,   526,   526,   531,
    1134,   142,  1190,  1191,    38,   528,  1134,   528,   528,   528,
     177,   528,   528,   505,  1208,  1209,   484,   486,  1213,  1110,
    1209,   528,    21,   295,   531,  1217,   312,  1220,   531,   532,
     470,   528,   528,    21,   295,   531,  1216,  1216,   531,   528,
    1211,   531,   528,   528,   528,   528,   531,   531,   528,   330,
     528,   528,   527,  1135,  1135,  1173,    13,    17,    18,    19,
     201,   224,   308,   515,   516,   517,   518,   519,   520,   521,
     522,   523,  1170,  1135,   528,   528,   171,   177,   402,   528,
     528,    38,  1186,  1173,  1186,  1186,   177,   528,   135,   528,
    1245,   328,  1149,    38,   528,   531,  1134,  1245,   531,  1134,
    1197,  1134,   528,   504,  1135,  1135,   150,  1173,   177,    37,
     299,   383,   470,   135,   137,   163,   289,   295,   447,   459,
    1182,  1212,   289,  1213,   150,   892,  1134,   424,  1198,  1134,
    1187,  1134,   440,   527,  1029,   527,  1156,   527,  1173,   481,
     527,  1157,  1242,   432,   434,   432,   434,  1225,  1042,  1042,
    1042,  1098,  1047,  1098,   944,  1232,  1131,   566,   986,   265,
     527,   528,  1232,  1130,  1130,   526,   526,   528,  1029,  1093,
    1103,   177,   527,  1029,  1078,  1079,    38,  1080,  1081,  1242,
     531,   100,   178,   212,   227,   249,   278,   373,  1084,  1081,
      38,  1080,  1083,  1242,  1081,   508,  1097,  1196,  1134,   186,
    1061,  1050,   308,  1168,  1171,   507,   852,     5,  1232,  1059,
     307,   484,   463,  1056,   260,  1077,   481,  1099,   471,   426,
     464,   998,   999,  1000,  1242,   306,  1001,  1242,  1078,  1014,
    1015,   531,  1076,   517,  1197,   869,   807,   865,   865,    59,
     867,   522,  1237,  1237,   306,  1226,   309,   306,  1134,   646,
    1227,   527,   527,  1242,   527,   671,   206,   527,   764,   157,
     541,   440,  1236,  1227,   571,  1110,   806,   806,  1110,   694,
    1227,   189,   469,   440,   440,   694,   710,   716,   362,   397,
     584,  1227,  1227,  1227,   214,   295,   160,   861,   321,   397,
     440,   290,   157,   416,   634,   635,   764,   397,    25,   140,
     366,   367,   397,   588,   596,   597,   716,   912,   389,   157,
     541,   157,   541,  1227,  1227,  1227,  1227,   389,   389,   250,
     719,   720,   719,   528,   531,   721,  1233,   206,   528,   531,
     517,   529,   120,   599,  1242,   160,  1236,  1227,   362,   397,
     584,  1227,  1227,  1227,   306,   322,   362,   397,    25,   140,
     322,   362,   397,  1110,   287,  1110,   528,   531,   517,  1225,
     440,  1237,   465,   737,   160,   649,   384,   923,   481,   656,
     656,   649,   252,   329,   295,  1233,   329,  1237,   462,   160,
     440,   440,   384,   413,   882,   882,   882,   321,   397,    92,
     440,   911,   384,   120,   171,   600,   167,   540,   440,   440,
     262,   262,   262,   440,   440,   384,   440,   440,   384,   440,
     384,   440,   384,   440,   128,   541,  1110,   290,  1233,   397,
     912,   157,   541,   440,   440,   528,  1227,   440,   911,   384,
     440,  1236,  1227,   528,   528,   528,  1175,   526,  1110,   806,
     224,   812,  1227,  1227,  1227,   224,   414,   415,   610,  1233,
     610,   189,   528,   528,   177,   774,   776,   287,   308,   518,
     519,   690,   777,   865,  1171,  1233,  1250,    72,    78,    92,
     120,   122,   181,   210,   290,   295,   339,   356,   458,   637,
     638,   641,   156,   480,   544,   571,  1227,   571,   310,   714,
    1225,  1225,  1225,   528,   531,  1237,   186,   374,  1237,  1232,
     450,  1225,   649,     3,   171,   742,   882,    48,   558,   428,
     723,   113,   983,  1134,   177,   531,  1226,   593,   781,   782,
    1233,   528,   531,  1227,   171,   650,  1225,   677,  1225,  1227,
     678,   527,   625,  1225,   528,  1227,   484,   486,   667,   592,
      38,   157,  1028,   666,   440,   157,  1087,   517,   528,   531,
     748,   528,   531,   120,   517,   876,  1233,   571,   428,   864,
     865,   171,   881,    51,   369,   877,   878,   875,   878,   125,
     216,   390,   463,   934,  1227,   300,   306,   311,   189,  1028,
    1110,   527,   528,   531,   541,   465,   541,   465,   541,  1227,
    1227,   732,   806,   157,   384,   384,   384,   384,   384,  1226,
     531,   826,  1242,  1236,   484,   531,   830,  1236,   531,   836,
     163,   309,   447,   835,  1089,   394,   155,   155,   113,   286,
     827,   836,  1237,   224,   224,   224,   224,   690,   224,   224,
     224,   224,   224,  1178,   436,  1134,   147,  1110,   528,  1134,
     228,   458,   458,   528,  1209,  1211,   306,   306,  1207,  1211,
      59,  1217,  1134,  1207,  1207,   306,   306,  1215,  1213,  1213,
    1134,   528,  1134,  1182,  1134,  1134,   528,  1173,   531,  1110,
    1135,  1135,  1135,  1135,   135,   137,   290,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1134,  1134,  1134,
    1110,   528,   528,   528,  1173,   528,   531,    59,  1136,  1150,
     528,  1245,  1145,   336,   420,  1148,   528,   531,   476,  1141,
      38,   528,  1233,  1134,    35,    35,  1134,   528,  1134,   177,
     289,  1213,  1134,   528,   150,  1135,  1135,   150,   150,  1134,
    1134,  1048,   528,  1173,   531,  1134,  1158,  1242,  1042,  1042,
    1042,  1042,  1225,  1225,  1225,  1061,   528,  1061,   528,   991,
     526,  1081,  1083,  1081,   527,   496,  1136,   528,  1242,   527,
    1078,   227,   316,  1085,  1078,  1085,   227,  1084,  1085,   227,
     430,  1091,   527,  1242,   527,   313,    59,   190,  1068,   527,
     852,   168,   244,   307,   484,   437,   103,  1134,   370,  1003,
     470,   528,   531,  1197,    90,  1003,   306,   528,   531,  1013,
    1099,  1134,   528,   522,   869,   450,   180,   378,   385,   392,
     429,   451,   841,   171,   841,   528,   527,   654,   655,   847,
    1139,  1242,   650,   764,   650,   764,  1227,   650,   122,   210,
     286,   290,   765,  1227,  1227,    38,   465,   465,   242,   807,
    1236,  1227,   440,   911,   384,   440,   214,  1227,    59,   431,
    1227,   157,   630,   120,  1242,    86,   632,   633,   413,   181,
     159,   194,   290,   592,   544,   113,   159,   181,   290,   413,
     592,   632,   634,   688,   397,   597,   450,  1227,  1242,   389,
     718,  1227,   595,   777,  1245,  1227,   321,   397,   440,   911,
     384,   440,   160,   440,   440,   384,   179,   308,   416,   786,
     787,   179,   308,   794,   795,   440,   440,   384,   528,   528,
     528,   918,   287,   690,   865,   919,  1171,  1233,  1250,   362,
    1227,   527,   484,   738,  1227,   656,   107,  1242,   527,   656,
    1234,  1233,  1233,  1233,  1227,  1227,  1227,  1227,   598,    59,
     431,  1227,  1227,  1227,  1227,   471,  1227,  1227,   171,   171,
     364,   171,   195,  1236,  1227,  1227,  1236,  1227,  1227,  1227,
    1227,  1227,  1227,  1227,   306,    78,   589,   157,    27,    50,
     450,  1242,  1227,  1233,   716,  1227,  1227,  1227,  1227,  1047,
     528,   224,   812,   224,   224,   224,   812,   544,   465,   615,
     616,   694,   764,   484,   486,   806,   527,   806,  1227,  1135,
      32,    59,   640,   123,   197,   122,   295,   239,  1225,   639,
     179,   343,   760,   767,   768,  1242,   703,   527,   327,   527,
     625,   643,   209,   661,   628,  1237,  1237,  1110,   527,   593,
      29,   125,   216,   390,   463,   743,   440,   739,  1236,   195,
    1225,   725,   488,   306,   528,  1077,   674,   882,   528,   531,
    1102,   714,   732,   528,   685,    38,   300,   327,   527,   993,
     627,   629,   631,   645,  1242,   327,   662,   663,   625,   661,
     592,   303,   306,   668,  1028,   680,   678,   593,  1233,  1227,
     844,   777,     3,   780,   306,   866,  1134,  1134,   531,   527,
     872,   450,   531,    44,  1134,   440,   527,   650,  1225,   749,
     694,   528,   959,   960,  1227,  1227,   541,   394,   541,  1226,
    1226,  1226,  1226,  1226,   690,   183,   829,   836,   834,   528,
    1227,   113,   177,   541,   836,   295,   815,  1233,   815,   815,
     815,   224,   815,   815,   815,   815,   815,  1134,   528,   145,
     240,   240,   528,   295,   295,   528,  1049,  1211,   328,  1199,
     295,   295,  1211,  1211,  1199,  1199,   528,   528,   177,   528,
    1134,   177,   135,   137,   177,   171,   150,   528,   491,  1143,
    1173,   355,   470,    59,  1150,  1136,   482,   482,   528,  1134,
     286,  1134,   531,  1142,  1112,  1134,  1134,  1134,  1134,    35,
      35,  1134,  1134,   150,   528,   528,   528,  1134,   528,   327,
    1159,  1225,  1225,  1225,  1225,  1068,  1233,  1068,  1233,   528,
    1094,  1095,  1139,   527,  1149,  1080,   527,  1226,  1078,   306,
     465,  1086,  1078,   227,  1078,  1230,  1101,   527,  1101,  1242,
    1043,  1134,   483,  1153,   892,   437,   300,  1222,  1028,   320,
    1028,  1000,   306,   527,  1002,  1134,   517,  1014,  1003,   450,
     528,   440,   822,   177,   764,  1134,   528,   531,   484,    78,
     846,   850,   846,   528,   486,   648,   648,   123,   197,   208,
     122,   467,   541,  1110,  1227,  1227,  1227,  1227,  1227,  1227,
    1227,  1237,  1227,   630,   120,  1242,   714,   598,   640,   195,
     195,   295,   690,    38,   640,   295,   598,  1110,   541,   541,
     517,    59,   431,  1227,  1227,  1227,  1227,  1227,  1236,  1227,
    1227,  1232,  1232,  1110,   531,  1232,  1232,   531,  1236,  1227,
    1227,   440,  1134,    72,  1134,  1237,  1227,   440,   440,   177,
     201,   484,  1226,  1226,   806,  1226,   157,   160,   806,  1233,
    1233,  1110,   541,   541,   440,   528,   224,   812,   812,   812,
     812,   527,   611,   612,   544,   127,   179,   213,   179,  1134,
     290,   638,   120,    38,   286,   647,   882,   649,   882,  1230,
      35,   156,   201,   715,   719,   300,   624,   600,   154,   203,
     527,   394,   465,   650,    38,  1237,   737,   558,   290,   527,
     173,  1227,   673,  1233,   394,   593,   156,  1028,   806,   300,
     624,   678,   528,   531,   484,   636,    59,   666,   600,   662,
      84,   431,   669,   484,   948,    38,   669,   177,   306,   527,
    1225,  1233,   863,   883,   884,  1243,   878,  1110,   171,   879,
    1225,   177,   440,   903,   357,   750,   211,   695,   541,   528,
     541,   541,  1227,   309,   222,   828,   541,   815,  1227,   528,
    1200,  1201,  1207,   120,   143,   149,   163,   295,   447,   459,
    1203,  1204,  1206,   528,   528,  1211,  1211,  1134,   528,  1135,
     177,  1134,  1134,  1134,   527,   528,   531,   528,  1150,   528,
     470,   410,   528,   205,   286,  1147,  1134,  1134,  1134,   528,
      59,  1047,  1153,  1153,   387,  1037,   528,   531,    38,  1096,
     120,  1108,  1109,  1135,    81,  1226,   528,  1134,   527,  1078,
    1086,   527,   528,  1101,   528,   102,   187,   376,   527,  1062,
    1063,  1064,  1065,  1066,  1067,  1134,  1154,  1155,  1242,  1047,
     528,  1025,   998,    92,   845,   847,   136,   480,  1017,  1018,
    1134,   828,   306,   828,   528,   202,   652,   655,   308,   892,
     806,   539,   806,   356,   318,   528,   528,   528,   440,   397,
    1009,   636,    38,   157,   157,   527,   589,   777,  1237,  1227,
     440,   527,   858,   892,   894,   787,   527,   527,   795,  1227,
     528,   527,   528,   397,  1009,  1227,  1227,   527,   527,   527,
     484,   508,   968,   364,   968,   968,   171,  1227,   589,  1227,
     812,   617,   618,  1245,    54,   101,   126,   145,   150,   172,
     176,   191,   295,   347,   613,   611,  1233,   858,    38,   899,
     899,   528,   194,   527,   208,   465,   670,   263,   653,   670,
     527,   768,   760,   527,   528,   531,  1225,   528,   394,    29,
      83,    86,    93,   121,   181,   194,   207,   413,   416,   644,
     644,  1224,  1227,  1227,   528,  1028,   738,   157,   113,   714,
     177,  1227,    38,  1227,   678,   625,  1225,   528,   629,   310,
    1242,   667,   662,   666,   125,   140,   336,  1227,    64,    72,
     255,  1028,   806,  1087,   845,   177,   763,   865,   528,   531,
     450,   147,   537,   877,   880,  1098,   408,   408,   528,   280,
     304,   751,   752,   753,   171,   756,   694,   286,   469,   696,
     697,  1227,   836,   531,    38,  1134,    37,   299,   306,   528,
     484,   486,  1202,  1203,  1205,   171,  1135,  1144,  1173,   286,
     503,   205,   528,  1173,   188,   349,   380,  1160,    58,   129,
     112,  1038,  1097,  1094,   527,  1135,   528,   531,    38,  1104,
    1105,  1242,   528,  1226,  1173,   528,   527,   398,   527,   528,
     531,   531,    38,  1052,   470,  1227,   528,   531,   291,   463,
     264,   290,  1003,  1018,   830,   841,   541,   846,   527,   882,
     527,   851,   592,  1225,   652,   652,  1227,   431,   194,  1134,
     465,   590,   397,  1009,  1227,  1177,   171,   790,   790,  1177,
    1177,  1134,   431,  1173,  1173,   601,   602,  1244,   805,   806,
     805,   806,  1226,   541,   528,   531,   520,   527,   568,   619,
     690,   965,  1233,   965,   290,   295,   347,   965,   965,  1098,
     899,    42,   199,   647,   527,   686,  1134,   206,   178,   326,
     403,   306,   657,   658,   659,   528,  1230,     6,   769,   719,
     625,   661,  1227,   528,   714,   164,   789,   593,   948,  1225,
     488,  1077,   714,  1028,   993,   662,   625,   661,   636,   527,
     668,   666,   667,   380,   380,    72,   309,    72,   678,   844,
     528,  1225,   764,   872,   883,  1110,   530,   136,   484,   484,
     752,   379,   428,   754,   141,   757,   480,   759,   469,   694,
     714,   541,  1201,  1245,   149,    37,    88,   454,   488,    37,
     488,   238,   305,  1210,   306,   528,  1134,   528,   528,   470,
      52,   103,   453,  1134,  1161,  1162,  1161,  1161,   528,   168,
     168,   650,  1101,   531,  1109,  1245,   528,   531,   171,  1110,
     528,   528,  1173,   527,  1173,  1063,  1155,  1157,  1070,  1028,
    1098,   847,   397,    35,  1019,   264,   177,   650,   670,   892,
     852,   851,   649,   882,   882,  1227,   686,   528,  1134,   431,
     528,   312,   387,   353,   791,   791,   528,   528,   528,  1227,
     528,   528,   528,   531,  1232,   968,   618,   568,   620,   621,
    1233,  1233,   295,   520,   650,   520,   650,  1233,  1233,   687,
     528,   431,   125,   463,   306,   659,   306,   658,   527,   528,
     531,   600,   394,   714,   806,    38,    38,   527,  1227,   948,
     678,   666,   600,   662,   527,   664,   665,  1139,  1242,   669,
     667,   668,   309,   309,   527,   202,   848,   171,   878,    30,
     217,   935,   179,   179,   965,   379,   412,   758,   527,   156,
     488,    37,   488,    37,   488,   488,   348,   348,  1205,   143,
     149,  1162,   379,   170,   334,   170,   334,   153,  1163,  1163,
    1163,    59,    59,   397,   528,  1136,  1105,   313,     3,   120,
     290,   295,  1106,  1107,    38,  1082,   363,  1092,   528,  1062,
     528,  1012,  1134,   436,  1019,   828,   528,   656,   528,   852,
     653,   670,   670,  1009,  1227,   858,    59,  1009,   440,   601,
     806,   528,   531,   520,   650,   528,   417,  1227,    63,   286,
     368,   397,   660,   660,   528,     6,   394,  1227,   786,  1028,
     714,   667,   662,   666,  1134,   528,   531,   850,   850,   668,
     669,   845,   527,   639,   141,   291,   527,   930,   932,   936,
     995,  1004,  1011,  1028,  1039,   858,   858,   755,  1242,  1134,
     760,   488,   488,   306,   306,   528,  1203,    35,   103,   186,
     286,   437,   650,   650,  1242,  1149,  1135,  1135,   295,  1107,
    1242,   527,   528,  1098,   125,   136,   463,  1020,  1021,   436,
     541,   764,   657,   764,   764,  1009,   806,   527,   621,    24,
     120,   295,  1227,   714,   948,   668,   666,   667,   528,   665,
     539,   539,   669,   528,   847,   849,   593,   379,   931,   932,
     933,  1029,  1030,   531,   531,   528,  1230,   383,   383,   306,
    1162,   379,   314,   397,   397,   440,   465,    81,  1134,   291,
     397,   136,   216,  1022,   764,  1173,   649,   649,   714,   669,
     667,   668,   850,   848,   528,   531,   669,   759,   528,   530,
     440,   177,   527,   419,   419,   149,  1242,  1242,   228,  1230,
    1231,  1242,  1104,   528,  1012,   291,   120,   320,   471,   527,
    1023,   528,   668,   669,   539,   639,   847,  1098,   156,   933,
     408,   408,     5,   761,   762,  1232,  1233,  1245,   527,   120,
     528,   471,   998,   527,   999,   669,   593,   760,   484,   484,
     528,   531,  1174,  1231,   470,  1173,   528,   669,  1230,   179,
     179,   762,  1047,   465,  1023,   528,   320,  1023,  1098,   527,
     858,   858,   528,  1242,   998,   761,   470,   528,  1023
};

  /* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   533,   534,   534,   534,   534,   534,   534,   535,   535,
     536,   536,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   537,   537,   537,
     537,   537,   537,   537,   537,   537,   537,   538,   538,   539,
     539,   540,   540,   541,   541,   541,   542,   543,   544,   544,
     544,   545,   545,   546,   546,   547,   547,   547,   547,   547,
     547,   547,   547,   547,   548,   548,   548,   548,   548,   548,
     549,   550,   550,   551,   551,   552,   552,   552,   552,   553,
     553,   553,   553,   553,   553,   554,   555,   556,   556,   557,
     557,   557,   557,   558,   558,   559,   559,   559,   559,   559,
     559,   560,   560,   560,   561,   561,   561,   562,   562,   562,
     562,   563,   563,   563,   563,   563,   563,   563,   563,   563,
     563,   563,   564,   564,   565,   565,   566,   566,   567,   567,
     567,   567,   568,   568,   568,   568,   569,   569,   569,   569,
     569,   569,   569,   570,   570,   570,   571,   571,   572,   573,
     573,   573,   573,   574,   574,   575,   575,   576,   576,   577,
     577,   577,   577,   577,   578,   579,   579,   580,   580,   581,
     582,   582,   582,   582,   582,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   583,   583,   583,   583,
     583,   583,   583,   583,   583,   583,   584,   584,   585,   585,
     585,   586,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   587,   587,   587,   587,   587,   587,   587,
     587,   587,   587,   588,   588,   589,   589,   590,   590,   591,
     591,   591,   591,   592,   593,   593,   594,   594,   595,   595,
     595,   595,   596,   596,   597,   597,   597,   597,   598,   598,
     599,   599,   600,   600,   600,   600,   601,   602,   602,   603,
     604,   604,   605,   605,   605,   605,   606,   606,   607,   607,
     608,   608,   609,   609,   610,   610,   610,   611,   611,   612,
     612,   613,   613,   613,   613,   613,   613,   613,   613,   613,
     613,   613,   613,   613,   613,   613,   614,   614,   615,   615,
     616,   616,   617,   617,   618,   619,   619,   619,   619,   619,
     620,   620,   621,   622,   622,   622,   622,   622,   622,   623,
     623,   623,   623,   623,   623,   623,   623,   624,   624,   625,
     625,   626,   626,   627,   627,   628,   628,   628,   629,   629,
     630,   631,   631,   632,   632,   633,   633,   634,   634,   635,
     635,   636,   636,   637,   637,   637,   637,   638,   638,   638,
     638,   638,   638,   638,   638,   638,   639,   639,   639,   640,
     640,   641,   641,   641,   641,   642,   643,   643,   643,   644,
     644,   644,   644,   644,   644,   644,   644,   644,   644,   645,
     645,   646,   646,   646,   646,   646,   646,   646,   646,   647,
     647,   648,   648,   649,   649,   650,   650,   651,   652,   652,
     653,   653,   653,   653,   654,   654,   655,   655,   656,   656,
     657,   657,   657,   657,   657,   658,   659,   660,   660,   660,
     660,   660,   661,   661,   662,   662,   663,   664,   664,   665,
     665,   665,   666,   666,   667,   667,   667,   668,   668,   668,
     668,   669,   669,   670,   670,   671,   672,   672,   673,   673,
     674,   674,   674,   675,   675,   676,   676,   677,   678,   678,
     678,   679,   679,   680,   681,   681,   682,   683,   683,   684,
     684,   685,   685,   686,   686,   687,   687,   688,   688,   688,
     688,   688,   688,   688,   688,   688,   688,   688,   688,   688,
     688,   689,   689,   690,   690,   690,   690,   691,   691,   692,
     692,   693,   693,   694,   694,   695,   695,   696,   696,   697,
     697,   698,   698,   699,   700,   700,   701,   701,   702,   702,
     703,   703,   704,   704,   704,   704,   705,   706,   706,   707,
     708,   708,   708,   708,   708,   708,   708,   708,   708,   708,
     708,   708,   708,   709,   710,   710,   710,   710,   711,   711,
     712,   712,   713,   713,   714,   714,   715,   715,   716,   717,
     717,   718,   718,   718,   718,   719,   720,   721,   722,   722,
     723,   723,   724,   724,   725,   725,   726,   726,   726,   727,
     727,   727,   727,   728,   729,   729,   730,   730,   731,   731,
     732,   732,   733,   733,   734,   735,   736,   737,   737,   738,
     738,   739,   739,   740,   740,   741,   741,   742,   742,   743,
     743,   743,   743,   743,   744,   745,   745,   746,   746,   747,
     747,   747,   748,   748,   749,   749,   749,   749,   749,   750,
     750,   751,   751,   752,   753,   753,   754,   754,   755,   756,
     756,   757,   757,   758,   758,   759,   759,   760,   760,   761,
     761,   761,   762,   762,   762,   762,   763,   763,   764,   764,
     765,   765,   765,   765,   765,   765,   766,   766,   767,   767,
     768,   769,   769,   770,   771,   771,   771,   771,   772,   773,
     773,   773,   773,   773,   773,   773,   773,   773,   773,   773,
     773,   773,   773,   773,   773,   774,   775,   775,   776,   776,
     777,   777,   777,   777,   777,   777,   778,   779,   779,   780,
     781,   781,   782,   782,   783,   783,   783,   783,   783,   784,
     784,   785,   786,   786,   787,   787,   787,   787,   787,   788,
     788,   789,   789,   790,   790,   790,   791,   791,   792,   793,
     793,   794,   794,   795,   795,   796,   796,   797,   797,   798,
     799,   800,   800,   800,   800,   800,   800,   800,   800,   800,
     800,   800,   800,   801,   801,   801,   801,   801,   801,   801,
     801,   801,   801,   801,   801,   801,   802,   802,   802,   802,
     802,   803,   803,   803,   803,   803,   803,   803,   803,   804,
     804,   804,   805,   805,   806,   806,   807,   807,   808,   808,
     809,   810,   810,   810,   811,   811,   811,   811,   811,   811,
     811,   811,   811,   811,   811,   811,   811,   811,   811,   811,
     811,   811,   812,   812,   813,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   814,   814,   815,   815,   816,   816,
     817,   817,   817,   817,   817,   817,   817,   817,   817,   817,
     817,   817,   817,   817,   817,   817,   818,   818,   819,   819,
     820,   821,   821,   822,   822,   822,   822,   822,   823,   823,
     824,   824,   824,   824,   824,   825,   825,   826,   826,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     827,   827,   827,   827,   827,   827,   827,   827,   827,   827,
     828,   828,   829,   829,   830,   830,   831,   831,   832,   832,
     833,   833,   834,   835,   835,   835,   836,   836,   837,   838,
     838,   839,   839,   839,   840,   840,   840,   841,   841,   841,
     841,   841,   841,   842,   842,   843,   843,   844,   844,   845,
     845,   846,   846,   847,   847,   847,   848,   848,   849,   849,
     850,   850,   851,   851,   851,   852,   852,   852,   853,   853,
     853,   853,   854,   854,   855,   855,   856,   856,   857,   857,
     858,   858,   858,   858,   859,   859,   860,   860,   861,   861,
     861,   861,   861,   862,   862,   862,   862,   862,   863,   864,
     865,   865,   865,   866,   866,   866,   867,   868,   868,   868,
     868,   869,   869,   870,   871,   871,   872,   872,   873,   873,
     874,   874,   874,   874,   874,   874,   874,   874,   874,   874,
     874,   874,   874,   874,   874,   874,   874,   875,   875,   875,
     875,   875,   876,   876,   877,   878,   878,   878,   879,   879,
     880,   880,   881,   881,   882,   882,   883,   884,   884,   885,
     885,   885,   886,   886,   887,   887,   888,   888,   888,   888,
     888,   888,   889,   889,   890,   890,   891,   891,   891,   891,
     892,   892,   893,   893,   894,   895,   896,   896,   897,   897,
     898,   898,   898,   899,   899,   899,   900,   901,   901,   902,
     903,   903,   903,   903,   904,   905,   905,   905,   906,   906,
     907,   907,   908,   908,   909,   909,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   910,   910,   910,
     910,   910,   910,   910,   910,   910,   910,   910,   910,   910,
     910,   911,   911,   912,   912,   913,   913,   913,   913,   913,
     913,   914,   914,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   915,   915,   915,   915,   915,   915,   915,
     915,   915,   915,   915,   915,   915,   915,   915,   915,   915,
     916,   917,   917,   918,   918,   918,   919,   919,   919,   919,
     919,   920,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   921,   921,   921,
     921,   921,   921,   921,   921,   921,   922,   922,   922,   923,
     923,   923,   923,   923,   923,   923,   924,   924,   925,   925,
     925,   925,   926,   927,   927,   927,   927,   927,   927,   927,
     927,   927,   928,   928,   929,   930,   930,   930,   931,   931,
     932,   932,   932,   932,   932,   933,   933,   934,   934,   934,
     934,   935,   935,   935,   936,   937,   937,   938,   939,   939,
     940,   940,   940,   940,   940,   940,   940,   940,   940,   940,
     940,   940,   941,   941,   942,   942,   942,   943,   943,   943,
     943,   943,   944,   944,   944,   945,   945,   946,   946,   946,
     947,   947,   947,   947,   948,   948,   948,   948,   949,   950,
     951,   951,   952,   952,   953,   953,   953,   954,   954,   954,
     954,   954,   954,   954,   955,   955,   956,   956,   956,   956,
     957,   958,   958,   958,   958,   959,   959,   960,   961,   962,
     962,   963,   964,   964,   964,   964,   964,   964,   964,   965,
     965,   966,   967,   967,   967,   967,   967,   967,   968,   968,
     969,   970,   970,   970,   970,   970,   971,   971,   972,   972,
     973,   973,   974,   974,   975,   975,   976,   977,   977,   977,
     978,   978,   978,   979,   979,   980,   980,   981,   981,   982,
     982,   983,   983,   984,   985,   985,   986,   986,   987,   987,
     987,   987,   988,   988,   988,   988,   988,   988,   988,   988,
     988,   988,   989,   990,   990,   991,   991,   991,   991,   991,
     992,   992,   992,   993,   993,   994,   994,   994,   994,   995,
     996,   996,   997,   997,   997,   997,   997,   998,   998,   999,
     999,  1000,  1001,  1001,  1001,  1002,  1002,  1002,  1003,  1003,
    1004,  1005,  1005,  1006,  1007,  1007,  1008,  1008,  1008,  1008,
    1008,  1008,  1008,  1008,  1009,  1009,  1010,  1010,  1010,  1011,
    1012,  1012,  1013,  1013,  1014,  1015,  1015,  1016,  1017,  1017,
    1018,  1018,  1018,  1018,  1018,  1019,  1019,  1020,  1021,  1022,
    1022,  1022,  1022,  1022,  1023,  1024,  1025,  1026,  1026,  1026,
    1026,  1026,  1026,  1027,  1027,  1027,  1028,  1028,  1029,  1029,
    1030,  1030,  1030,  1030,  1030,  1030,  1030,  1030,  1031,  1031,
    1032,  1032,  1032,  1032,  1032,  1032,  1032,  1033,  1033,  1033,
    1034,  1034,  1035,  1036,  1036,  1036,  1037,  1037,  1037,  1038,
    1038,  1038,  1039,  1039,  1040,  1040,  1041,  1041,  1041,  1041,
    1041,  1041,  1041,  1041,  1041,  1042,  1042,  1043,  1043,  1043,
    1044,  1044,  1045,  1045,  1046,  1046,  1047,  1047,  1048,  1049,
    1049,  1050,  1050,  1051,  1051,  1051,  1051,  1052,  1052,  1053,
    1053,  1053,  1053,  1053,  1053,  1054,  1054,  1055,  1055,  1056,
    1057,  1057,  1057,  1058,  1058,  1059,  1059,  1060,  1060,  1061,
    1061,  1062,  1062,  1063,  1063,  1063,  1063,  1063,  1064,  1065,
    1066,  1067,  1068,  1068,  1069,  1069,  1070,  1070,  1071,  1071,
    1072,  1073,  1073,  1073,  1073,  1074,  1074,  1075,  1075,  1076,
    1076,  1077,  1077,  1078,  1078,  1078,  1078,  1078,  1078,  1078,
    1078,  1078,  1078,  1079,  1079,  1079,  1079,  1079,  1079,  1080,
    1080,  1080,  1080,  1081,  1081,  1082,  1082,  1083,  1083,  1083,
    1083,  1083,  1084,  1084,  1084,  1084,  1085,  1085,  1086,  1086,
    1087,  1087,  1088,  1088,  1088,  1089,  1089,  1090,  1090,  1090,
    1091,  1092,  1092,  1093,  1093,  1094,  1095,  1095,  1096,  1096,
    1097,  1097,  1098,  1098,  1099,  1099,  1099,  1100,  1100,  1101,
    1101,  1102,  1103,  1103,  1104,  1104,  1105,  1105,  1105,  1106,
    1106,  1107,  1107,  1107,  1107,  1108,  1108,  1109,  1109,  1110,
    1110,  1110,  1110,  1110,  1110,  1111,  1111,  1111,  1112,  1112,
    1112,  1112,  1112,  1112,  1112,  1112,  1113,  1113,  1113,  1113,
    1113,  1114,  1114,  1115,  1115,  1116,  1116,  1116,  1116,  1116,
    1116,  1116,  1116,  1116,  1116,  1116,  1117,  1117,  1118,  1118,
    1119,  1119,  1120,  1121,  1122,  1122,  1123,  1123,  1124,  1125,
    1126,  1126,  1126,  1126,  1126,  1126,  1127,  1127,  1128,  1128,
    1128,  1128,  1129,  1130,  1130,  1130,  1131,  1131,  1131,  1131,
    1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,  1131,
    1132,  1132,  1133,  1134,  1134,  1134,  1134,  1134,  1134,  1134,
    1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,
    1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,
    1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,
    1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,
    1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,
    1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,  1134,
    1134,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,  1135,
    1135,  1135,  1135,  1136,  1136,  1136,  1136,  1136,  1136,  1136,
    1136,  1136,  1136,  1136,  1136,  1136,  1136,  1137,  1137,  1137,
    1137,  1137,  1137,  1137,  1138,  1138,  1138,  1139,  1139,  1139,
    1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,
    1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,
    1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,
    1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,
    1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,
    1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,  1140,
    1141,  1141,  1142,  1142,  1142,  1142,  1143,  1144,  1144,  1145,
    1145,  1146,  1146,  1147,  1147,  1147,  1148,  1148,  1148,  1149,
    1149,  1149,  1149,  1150,  1150,  1151,  1151,  1152,  1152,  1153,
    1153,  1154,  1154,  1155,  1156,  1156,  1156,  1157,  1158,  1158,
    1159,  1159,  1160,  1160,  1160,  1160,  1161,  1161,  1162,  1162,
    1162,  1162,  1162,  1163,  1163,  1163,  1163,  1163,  1164,  1164,
    1164,  1165,  1165,  1166,  1167,  1167,  1167,  1168,  1168,  1169,
    1169,  1169,  1169,  1169,  1169,  1169,  1169,  1169,  1169,  1169,
    1169,  1170,  1170,  1171,  1171,  1172,  1172,  1172,  1172,  1172,
    1172,  1173,  1173,  1174,  1174,  1175,  1175,  1175,  1176,  1176,
    1177,  1177,  1178,  1178,  1178,  1179,  1179,  1180,  1181,  1181,
    1181,  1181,  1181,  1181,  1181,  1181,  1182,  1182,  1182,  1182,
    1183,  1183,  1184,  1185,  1185,  1185,  1185,  1185,  1186,  1186,
    1186,  1187,  1187,  1188,  1189,  1189,  1190,  1191,  1191,  1192,
    1192,  1193,  1193,  1194,  1194,  1194,  1194,  1195,  1195,  1196,
    1196,  1197,  1197,  1198,  1198,  1199,  1199,  1200,  1200,  1201,
    1202,  1202,  1202,  1202,  1202,  1202,  1202,  1202,  1202,  1203,
    1203,  1204,  1204,  1204,  1204,  1204,  1204,  1204,  1204,  1205,
    1205,  1205,  1205,  1206,  1206,  1207,  1208,  1208,  1209,  1209,
    1210,  1210,  1210,  1210,  1210,  1211,  1211,  1212,  1212,  1212,
    1212,  1212,  1213,  1213,  1213,  1213,  1213,  1214,  1214,  1215,
    1215,  1216,  1216,  1216,  1217,  1217,  1217,  1218,  1218,  1219,
    1219,  1220,  1220,  1221,  1221,  1222,  1222,  1223,  1223,  1223,
    1223,  1224,  1224,  1225,  1225,  1226,  1226,  1227,  1228,  1229,
    1230,  1230,  1231,  1231,  1231,  1231,  1231,  1231,  1231,  1231,
    1231,  1231,  1231,  1231,  1231,  1232,  1233,  1234,  1234,  1234,
    1235,  1236,  1236,  1236,  1236,  1237,  1237,  1238,  1239,  1240,
    1240,  1241,  1241,  1242,  1242,  1242,  1243,  1243,  1243,  1244,
    1244,  1244,  1244,  1245,  1245,  1245,  1245,  1245,  1246,  1246,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,  1247,
    1247,  1247,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,  1248,
    1248,  1248,  1248,  1248,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,  1249,
    1249,  1249,  1249,  1249,  1249,  1249,  1249,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,  1250,
    1250,  1250,  1250,  1250,  1250,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,  1251,
    1251
};

  /* YYR2[YYN] -- Number of symbols on the right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     2,     2,     2,     2,     2,     3,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     0,     1,
       0,     1,     0,     1,     1,     0,     2,     5,     1,     1,
       0,     2,     0,     2,     0,     2,     2,     3,     3,     1,
       3,     3,     2,     1,     1,     2,     2,     2,     3,     3,
       5,     5,     5,     0,     3,     5,     5,     5,     5,     3,
       5,     3,     5,     3,     5,     5,     6,     1,     1,     6,
       4,     9,     7,     2,     0,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     2,     5,     1,     3,     3,     3,
       3,     1,     3,     3,     2,     2,     2,     2,     3,     3,
       3,     3,     1,     3,     1,     3,     1,     1,     2,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     3,     5,
       1,     1,     1,     1,     1,     0,     1,     1,     2,     1,
       2,     3,     2,     1,     1,     2,     1,     2,     1,     2,
       3,     4,     3,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,    10,
      13,     4,     6,     4,    10,    13,     4,     6,     4,     6,
       5,     7,    11,    14,     5,     7,     1,     3,     4,     4,
       4,     3,     2,     5,     3,     6,     4,     6,     6,     9,
       5,     7,     6,     6,     5,     5,     5,     5,     9,     4,
       5,     7,     6,     4,     8,     4,     2,     4,     3,     6,
       4,     3,     3,     3,     2,     2,     3,     4,     4,     3,
       3,     3,     3,     3,     3,     4,     4,     3,     2,     3,
       2,     2,     3,     4,     3,     2,     2,     3,     4,     4,
       4,     5,     1,     3,     2,     2,     0,     2,     0,     1,
       1,     1,     3,     3,     2,     0,     1,     3,     3,     1,
       5,     3,     1,     2,     1,     3,     2,     3,     1,     1,
       1,     1,     6,     6,    10,     1,     2,     1,     3,     4,
       1,     3,     4,     6,     4,     8,     2,     2,    11,     9,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     2,
       0,     1,     1,     3,     3,     1,     1,     3,     3,     3,
       3,     4,     4,     3,     3,     2,     1,     0,     3,     0,
       1,     0,     1,     3,     2,     1,     1,     1,     3,     0,
       1,     3,     1,    13,    16,    12,    15,    14,    17,     1,
       1,     2,     2,     2,     2,     1,     0,     1,     0,     3,
       0,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       6,     2,     4,     2,     2,     1,     0,     2,     2,     1,
       0,     2,     0,     3,     1,     1,     2,     3,     1,     4,
       4,     5,     2,     5,     7,     5,     2,     3,     0,     1,
       2,     1,     2,     2,     2,     3,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     5,     4,    10,     3,    10,     4,    10,    11,     2,
       0,     2,     0,     3,     0,     1,     3,     1,     4,     0,
       2,     2,     2,     0,     1,     3,     3,     6,     4,     0,
       1,     1,     2,     2,     0,     3,     3,     2,     1,     1,
       3,     3,     4,     0,     1,     0,     6,     1,     3,     3,
       3,     5,     2,     0,     2,     2,     0,     3,     4,     4,
       0,     2,     0,     4,     0,     3,     8,    11,     1,     3,
       1,     1,     3,     6,     8,     7,    10,     6,     2,     3,
       0,     8,    11,     5,     1,     0,     6,     5,     8,     4,
       6,     1,     0,     3,     0,     1,     2,     2,     2,     1,
       2,     3,     2,     2,     2,     2,     3,     3,     3,     1,
       3,     1,     0,     1,     2,     2,     1,     1,     3,     6,
      10,     1,     0,     1,     2,     2,     0,     2,     2,     1,
       0,     1,     0,     7,     2,     0,     3,     5,     5,     8,
       2,     0,     2,     2,     2,     1,     5,     2,     0,     2,
       6,     6,     6,    10,     6,     6,     6,     9,     9,     6,
       6,     9,     6,     7,     2,     2,     2,     2,     1,     2,
       1,     0,     7,     6,     4,     0,     1,     3,     4,     1,
       3,     1,     2,     2,     2,     2,     1,     1,    10,    13,
       2,     0,     2,     2,     1,     0,     5,     4,     4,    11,
      14,    12,    15,    11,     2,     1,     4,     0,     8,    11,
       1,     1,     7,     9,     8,    10,     8,     4,     0,     5,
       0,     2,     0,     2,     0,     2,     0,     2,     0,     1,
       1,     1,     1,     1,     8,     1,     1,    17,    21,     1,
       1,     2,     1,     3,     1,     1,     1,     3,     1,     2,
       0,     1,     2,     4,     1,     1,     1,     1,     1,     3,
       0,     1,     0,     1,     1,     4,     0,     1,     1,     1,
       3,     0,     1,     1,     1,     1,     2,     0,     0,     2,
       2,     1,     2,     2,     2,     2,    11,    13,     1,     3,
       5,     1,     3,     5,     1,     2,     2,     1,     8,     6,
       5,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     7,     5,     8,     3,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     3,
       1,     0,     1,     3,     7,     9,     9,     8,     6,     3,
       0,    13,     1,     3,     5,     5,     3,     6,     2,     1,
       0,     2,     0,     2,     4,     0,     1,     0,     6,     8,
       8,     1,     3,     5,     5,     7,     9,     7,     9,     5,
       6,     6,     4,     6,     4,     6,     8,     4,     6,     4,
       6,     5,     7,     1,     1,     1,     2,     1,     2,     1,
       1,     1,     3,     3,     3,     3,     1,     1,     1,     1,
       1,     2,     2,     1,     3,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     1,     2,     2,     3,     1,     3,
       5,     2,     2,     0,     6,     6,     6,     6,     6,     6,
       6,     6,     8,     9,     8,     6,     6,     9,     9,     9,
       7,    10,     1,     1,     8,     8,     8,     8,     8,     8,
       8,     9,     8,     8,     2,     0,     1,     1,     2,     2,
       1,     2,     3,     3,     3,     3,     4,     4,     3,     3,
       3,     4,     4,     3,     4,     4,     1,     1,     1,     0,
       8,     8,    11,     1,     1,     2,     4,     5,     1,     3,
       2,     2,     2,     2,     2,     1,     3,     1,     3,     1,
       2,     2,     4,     3,     2,     2,     2,     2,     2,     2,
       3,     2,     2,     2,     2,     5,     5,     5,     5,     5,
       1,     3,     1,     2,     3,     0,     5,     7,     6,     9,
       3,     1,     2,     1,     1,     1,     3,     0,     5,     2,
       0,     3,     3,     3,     7,     7,    10,     1,     1,     1,
       1,     1,     1,    16,    19,     1,     0,     2,     0,     1,
       3,     4,     5,     2,     2,     4,     4,     0,     1,     3,
       2,     0,     1,     1,     0,     2,     2,     0,     9,    12,
       7,     7,     2,     0,     3,     2,     1,     3,     1,     3,
       2,     1,     1,     2,     3,     2,     1,     3,     3,     3,
       2,     2,     1,     1,     1,     1,     2,     1,     1,     1,
       1,     4,     5,     1,     3,     3,     1,     3,     3,     5,
       6,     1,     3,     2,     1,     3,     1,     0,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     2,     1,     2,     2,     2,     2,
       1,     1,     1,     3,     2,     1,     4,     0,     3,     0,
       1,     1,     3,     5,     2,     0,     2,     1,     3,     5,
       5,     5,     1,     2,     1,     0,     4,     6,     4,     6,
       4,     6,     4,     6,     4,     6,     3,     5,     5,     5,
       1,     3,     1,     3,     2,     2,     1,     2,     1,     2,
      11,    10,    10,     2,     2,     0,     9,     2,     0,    10,
      11,    11,     5,     5,     8,     5,     5,     5,     1,     1,
       1,     1,     3,     0,     5,     5,     6,     6,     6,     6,
       6,     8,     8,     6,     6,     7,     9,     9,     8,    10,
       6,     6,     6,     6,     6,     6,     6,     8,     6,     8,
       6,     8,     7,     9,     6,     8,     7,     9,     8,    10,
       8,    10,     9,    11,     8,    10,     9,    11,     8,     8,
       7,     6,     6,     6,     6,     8,     8,     8,     8,     6,
       9,     1,     0,     2,     0,     8,     8,     8,    10,     9,
       8,     1,     0,     6,     6,     6,     6,     6,     6,     6,
       9,     9,     6,     6,     6,     8,     6,     8,     8,     8,
       8,     6,     8,     6,     8,     7,     9,     7,     9,     6,
       7,     1,     3,     3,     3,     1,     1,     1,     1,     1,
       1,     7,     6,     6,     6,     6,     6,     6,     7,     7,
       6,     9,     9,     6,     6,     6,     6,     6,     6,     8,
       8,     8,     6,     7,     6,     6,     4,     7,     6,     4,
       4,     4,     3,     4,     3,     1,     1,     3,     5,     5,
       5,     5,     8,     5,     5,     6,     7,     7,     7,     4,
       4,     5,     4,     6,    13,     1,     1,     3,     3,     1,
       1,     1,     1,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     1,     0,     3,     2,     0,     2,     2,     2,
       3,     3,     3,     3,     2,     3,     2,     5,     4,     3,
       3,     3,     3,     3,     1,     1,     0,     3,     2,     2,
       1,     2,     1,     3,     2,     1,     0,     2,     3,     0,
       9,    11,    12,    14,     3,     4,     4,     0,     2,     5,
       1,     0,     1,     2,     3,     3,     3,     1,     2,     1,
       1,     1,     1,     1,     1,     0,     5,     4,     6,     6,
       4,     3,     5,     7,     9,     1,     3,     1,     5,     4,
       4,     6,     4,     6,     6,     5,     7,     9,     6,     1,
       0,     6,    11,    11,    11,    13,     9,    11,     1,     1,
      10,     6,     4,     4,     2,     5,     2,     0,     6,     5,
       3,     5,     1,     3,     1,     1,     2,     1,     1,     1,
       1,     1,     0,     1,     0,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     1,     3,     1,     0,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     5,     3,     0,     1,     1,     1,     1,     1,
       3,     9,    12,     3,     0,     2,     3,     2,     3,     7,
       1,     3,     1,     4,     4,     7,     2,     1,     1,     1,
       3,     2,     8,     5,     0,     4,     3,     0,     2,     0,
       7,     2,     0,     5,     3,     0,     2,     2,     2,     3,
       1,     3,     1,     2,     1,     0,     1,     2,     0,     8,
       1,     3,     3,     5,     2,     1,     3,    10,     1,     2,
       5,     5,     6,     6,     7,     2,     0,     3,     1,     2,
       5,     5,     8,     3,     4,     7,     1,     0,     3,     2,
       2,     2,     2,     0,     2,     2,     1,     1,     3,     3,
       1,     2,     4,     4,     2,     3,     5,     5,     1,     1,
       9,     9,     1,     2,     4,     4,     4,     2,     2,     3,
       1,     3,     9,     1,     2,     0,     7,     7,     0,    10,
       6,     0,     1,     0,     2,     0,     3,     3,     4,     4,
       4,     4,     3,     2,     1,     1,     0,     1,     1,     0,
       1,     5,     1,     0,     1,     1,     1,     0,     3,     1,
       3,     4,     3,     2,     2,     1,     1,     1,     0,     2,
       4,     5,     6,     4,     5,     2,     3,     1,     1,     1,
       1,     2,     2,     1,     1,     1,     1,     1,     1,     4,
       0,     1,     3,     1,     1,     1,     1,     1,     2,     4,
       4,     5,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     4,     5,     2,
       0,     1,     3,     2,     3,     2,     3,     2,     3,     2,
       3,     1,     4,     3,     4,     5,     4,     5,     4,     5,
       2,     4,     1,     1,     0,     2,     0,     1,     4,     5,
       4,     0,     2,     2,     2,     1,     1,     0,     5,     2,
       1,     1,     2,     2,     4,     1,     3,     1,     2,     3,
       6,     4,     0,     2,     6,     2,     1,     3,     4,     0,
       2,     0,     2,     0,     2,     4,     0,     1,     0,     1,
       3,     3,     7,    12,     1,     3,     2,     3,     3,     1,
       2,     2,     2,     2,     1,     1,     3,     3,     2,     2,
       3,     5,     6,     2,     3,     3,     4,     0,     1,     1,
       1,     1,     1,     2,     4,     1,     1,     1,     1,     1,
       1,     2,     3,     3,     0,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     1,     3,     0,     1,     1,
       1,     1,     5,     2,     1,     1,     1,     1,     4,     1,
       2,     2,     1,     3,     3,     2,     1,     0,     5,     2,
       5,     2,     1,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     3,     3,     3,     3,     3,     3,     0,
       1,     4,     1,     1,     3,     3,     5,     3,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     3,     3,     2,     2,     3,     5,
       4,     6,     3,     5,     4,     6,     4,     6,     5,     7,
       3,     2,     4,     2,     3,     3,     4,     3,     4,     3,
       4,     5,     6,     6,     7,     6,     7,     3,     4,     4,
       6,     3,     3,     4,     3,     4,     4,     5,     4,     5,
       1,     1,     3,     2,     2,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     2,     5,
       6,     3,     4,     1,     1,     2,     4,     1,     1,     1,
       2,     2,     2,     2,     1,     1,     4,     3,     5,     6,
       8,     6,     6,     4,     4,     3,     1,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       6,     4,     4,     4,     4,     4,     6,     5,     5,     5,
       4,     6,     4,     4,     4,     4,     5,     7,     7,     9,
       5,     4,     6,     5,     7,     7,     8,     4,     7,     4,
       6,     6,     4,     5,     4,     5,     3,    11,     8,     9,
       2,     3,     3,     3,     4,     0,     4,     1,     3,     3,
       1,     1,     1,     1,     2,     0,     2,     2,     0,     2,
       3,     3,     4,     2,     2,     5,     0,     5,     0,     2,
       0,     1,     3,     3,     2,     2,     0,     6,     1,     0,
       3,     0,     3,     3,     3,     0,     1,     4,     2,     2,
       2,     2,     2,     3,     2,     2,     3,     0,     4,     3,
       5,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     4,     1,     4,     1,     4,     1,     2,     1,
       2,     1,     3,     1,     3,     1,     3,     3,     1,     0,
       1,     3,     3,     3,     2,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       7,     5,     3,     5,     5,     3,     3,     5,     3,     2,
       1,     1,     3,     5,     1,     2,     4,     2,     0,     1,
       0,     1,     2,     2,     2,     3,     5,     1,     0,     1,
       2,     0,     2,     1,     0,     2,     0,     1,     3,     3,
       2,     3,     2,     3,     4,     4,     3,     3,     0,     2,
       1,     1,     1,     1,     1,     1,     2,     2,     1,     3,
       3,     6,     0,     3,     0,     2,     4,     2,     1,     0,
       5,     2,     5,     2,     0,     3,     0,     1,     2,     2,
       2,     2,     3,     2,     3,     2,     0,     1,     3,     3,
       3,     3,     3,     0,     3,     3,     0,     1,     3,     7,
       7,     3,     0,     1,     0,     1,     3,     3,     2,     1,
       1,     1,     3,     1,     2,     1,     3,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     1,     2,     6,     2,
       3,     5,     1,     1,     1,     1,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     3,    10,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1
};


#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)
#define YYEMPTY         (-2)
#define YYEOF           0

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                  \
do                                                              \
  if (yychar == YYEMPTY)                                        \
    {                                                           \
      yychar = (Token);                                         \
      yylval = (Value);                                         \
      YYPOPSTACK (yylen);                                       \
      yystate = *yyssp;                                         \
      goto yybackup;                                            \
    }                                                           \
  else                                                          \
    {                                                           \
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;                                                  \
    }                                                           \
while (0)

/* Error token number */
#define YYTERROR        1
#define YYERRCODE       256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;        \
          (Current).first_column = YYRHSLOC (Rhs, 1).first_column;      \
          (Current).last_line    = YYRHSLOC (Rhs, N).last_line;         \
          (Current).last_column  = YYRHSLOC (Rhs, N).last_column;       \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC (Rhs, 0).last_line;                                \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC (Rhs, 0).last_column;                              \
        }                                                               \
    while (0)
#endif

#define YYRHSLOC(Rhs, K) ((Rhs)[K])


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL

/* Print *YYLOCP on YYO.  Private, do not rely on its existence. */

YY_ATTRIBUTE_UNUSED
static unsigned
yy_location_print_ (FILE *yyo, YYLTYPE const * const yylocp)
{
  unsigned res = 0;
  int end_col = 0 != yylocp->last_column ? yylocp->last_column - 1 : 0;
  if (0 <= yylocp->first_line)
    {
      res += YYFPRINTF (yyo, "%d", yylocp->first_line);
      if (0 <= yylocp->first_column)
        res += YYFPRINTF (yyo, ".%d", yylocp->first_column);
    }
  if (0 <= yylocp->last_line)
    {
      if (yylocp->first_line < yylocp->last_line)
        {
          res += YYFPRINTF (yyo, "-%d", yylocp->last_line);
          if (0 <= end_col)
            res += YYFPRINTF (yyo, ".%d", end_col);
        }
      else if (0 <= end_col && yylocp->first_column < end_col)
        res += YYFPRINTF (yyo, "-%d", end_col);
    }
  return res;
 }

#  define YY_LOCATION_PRINT(File, Loc)          \
  yy_location_print_ (File, &(Loc))

# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


# define YY_SYMBOL_PRINT(Title, Type, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*----------------------------------------.
| Print this symbol's value on YYOUTPUT.  |
`----------------------------------------*/

static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  FILE *yyo = yyoutput;
  YYUSE (yyo);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yyvaluep)
    return;
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# endif
  YYUSE (yytype);
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
{
  YYFPRINTF (yyoutput, "%s %s (",
             yytype < YYNTOKENS ? "token" : "nterm", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yytype_int16 *yyssp, YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
{
  unsigned long int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       yystos[yyssp[yyi + 1 - yynrhs]],
                       &(yyvsp[(yyi + 1) - (yynrhs)])
                       , &(yylsp[(yyi + 1) - (yynrhs)])                       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, yylsp, Rule, yyscanner); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
static YYSIZE_T
yystrlen (const char *yystr)
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            /* Fall through.  */
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (YY_NULLPTR, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                {
                  YYSIZE_T yysize1 = yysize + yytnamerr (YY_NULLPTR, yytname[yyx]);
                  if (! (yysize <= yysize1
                         && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                    return 2;
                  yysize = yysize1;
                }
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  {
    YYSIZE_T yysize1 = yysize + yystrlen (yyformat);
    if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
      return 2;
    yysize = yysize1;
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YYUSE (yytype);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}




/*----------.
| yyparse.  |
`----------*/

int
yyparse (core_yyscan_t yyscanner)
{
/* The lookahead symbol.  */
int yychar;


/* The semantic value of the lookahead symbol.  */
/* Default value used for initialization, for pacifying older GCCs
   or non-GCC compilers.  */
YY_INITIAL_VALUE (static YYSTYPE yyval_default;)
YYSTYPE yylval YY_INITIAL_VALUE (= yyval_default);

/* Location data for the lookahead symbol.  */
static YYLTYPE yyloc_default
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  = { 1, 1, 1, 1 }
# endif
;
YYLTYPE yylloc = yyloc_default;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       'yyss': related to states.
       'yyvs': related to semantic values.
       'yyls': related to locations.

       Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken = 0;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yyssp = yyss = yyssa;
  yyvsp = yyvs = yyvsa;
  yylsp = yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */
  yylsp[0] = yylloc;
  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        YYSTYPE *yyvs1 = yyvs;
        yytype_int16 *yyss1 = yyss;
        YYLTYPE *yyls1 = yyls;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * sizeof (*yyssp),
                    &yyvs1, yysize * sizeof (*yyvsp),
                    &yyls1, yysize * sizeof (*yylsp),
                    &yystacksize);

        yyls = yyls1;
        yyss = yyss1;
        yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yytype_int16 *yyss1 = yyss;
        union yyalloc *yyptr =
          (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
        if (! yyptr)
          goto yyexhaustedlab;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
        YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
                  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = yylex (&yylval, &yylloc, yyscanner);
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:
#line 912 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[0].list);
				(void) yynerrs;		/* suppress compiler warning */
			}
#line 29618 "gram.c" /* yacc.c:1646  */
    break;

  case 3:
#line 917 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree = list_make1((yyvsp[0].typnam));
			}
#line 29626 "gram.c" /* yacc.c:1646  */
    break;

  case 4:
#line 921 "gram.y" /* yacc.c:1646  */
    {
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((yyvsp[0].node), 0));
			}
#line 29635 "gram.c" /* yacc.c:1646  */
    break;

  case 5:
#line 926 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 1;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29647 "gram.c" /* yacc.c:1646  */
    break;

  case 6:
#line 934 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 2;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29659 "gram.c" /* yacc.c:1646  */
    break;

  case 7:
#line 942 "gram.y" /* yacc.c:1646  */
    {
				PLAssignStmt *n = (PLAssignStmt *) (yyvsp[0].node);

				n->nnames = 3;
				pg_yyget_extra(yyscanner)->parsetree =
					list_make1(makeRawStmt((Node *) n, 0));
			}
#line 29671 "gram.c" /* yacc.c:1646  */
    break;

  case 8:
#line 962 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-2].list) != NIL)
					{
						/* update length of previous stmt */
						updateRawStmtEnd(llast_node(RawStmt, (yyvsp[-2].list)), (yylsp[-1]));
					}
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), makeRawStmt((yyvsp[0].node), (yylsp[-1]) + 1));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 29687 "gram.c" /* yacc.c:1646  */
    break;

  case 9:
#line 974 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].node) != NULL)
						(yyval.list) = list_make1(makeRawStmt((yyvsp[0].node), 0));
					else
						(yyval.list) = NIL;
				}
#line 29698 "gram.c" /* yacc.c:1646  */
    break;

  case 136:
#line 1117 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 29704 "gram.c" /* yacc.c:1646  */
    break;

  case 137:
#line 1124 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 29710 "gram.c" /* yacc.c:1646  */
    break;

  case 138:
#line 1125 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 29716 "gram.c" /* yacc.c:1646  */
    break;

  case 139:
#line 1129 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 29722 "gram.c" /* yacc.c:1646  */
    break;

  case 140:
#line 1130 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29728 "gram.c" /* yacc.c:1646  */
    break;

  case 141:
#line 1134 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 29734 "gram.c" /* yacc.c:1646  */
    break;

  case 142:
#line 1135 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 29740 "gram.c" /* yacc.c:1646  */
    break;

  case 143:
#line 1139 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_CASCADE; }
#line 29746 "gram.c" /* yacc.c:1646  */
    break;

  case 144:
#line 1140 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; }
#line 29752 "gram.c" /* yacc.c:1646  */
    break;

  case 145:
#line 1141 "gram.y" /* yacc.c:1646  */
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
#line 29758 "gram.c" /* yacc.c:1646  */
    break;

  case 146:
#line 1151 "gram.y" /* yacc.c:1646  */
    {
					CallStmt   *n = makeNode(CallStmt);

					n->funccall = castNode(FuncCall, (yyvsp[0].node));
					(yyval.node) = (Node *) n;
				}
#line 29769 "gram.c" /* yacc.c:1646  */
    break;

  case 147:
#line 1167 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29782 "gram.c" /* yacc.c:1646  */
    break;

  case 151:
#line 1189 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29788 "gram.c" /* yacc.c:1646  */
    break;

  case 152:
#line 1190 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29794 "gram.c" /* yacc.c:1646  */
    break;

  case 153:
#line 1194 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 29800 "gram.c" /* yacc.c:1646  */
    break;

  case 154:
#line 1195 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 29806 "gram.c" /* yacc.c:1646  */
    break;

  case 155:
#line 1200 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 29815 "gram.c" /* yacc.c:1646  */
    break;

  case 156:
#line 1205 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("password", NULL, (yylsp[-1]));
				}
#line 29823 "gram.c" /* yacc.c:1646  */
    break;

  case 157:
#line 1209 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * These days, passwords are always stored in encrypted
					 * form, so there is no difference between PASSWORD and
					 * ENCRYPTED PASSWORD.
					 */
					(yyval.defelt) = makeDefElem("password",
									 (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29837 "gram.c" /* yacc.c:1646  */
    break;

  case 158:
#line 1219 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNENCRYPTED PASSWORD is no longer supported"),
							 errhint("Remove UNENCRYPTED to store the password in encrypted form instead."),
							 parser_errposition((yylsp[-2]))));
				}
#line 29849 "gram.c" /* yacc.c:1646  */
    break;

  case 159:
#line 1227 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 29857 "gram.c" /* yacc.c:1646  */
    break;

  case 160:
#line 1231 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 29865 "gram.c" /* yacc.c:1646  */
    break;

  case 161:
#line 1235 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 29873 "gram.c" /* yacc.c:1646  */
    break;

  case 162:
#line 1240 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29881 "gram.c" /* yacc.c:1646  */
    break;

  case 163:
#line 1244 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[0].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "bypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(true), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "nobypassrls") == 0)
						(yyval.defelt) = makeDefElem("bypassrls", (Node *) makeBoolean(false), (yylsp[0]));
					else if (strcmp((yyvsp[0].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *) makeBoolean(false), (yylsp[0]));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[0].str)),
									 parser_errposition((yylsp[0]))));
				}
#line 29930 "gram.c" /* yacc.c:1646  */
    break;

  case 164:
#line 1291 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = (yyvsp[0].defelt); }
#line 29936 "gram.c" /* yacc.c:1646  */
    break;

  case 165:
#line 1294 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
				}
#line 29944 "gram.c" /* yacc.c:1646  */
    break;

  case 166:
#line 1298 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29952 "gram.c" /* yacc.c:1646  */
    break;

  case 167:
#line 1302 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 29960 "gram.c" /* yacc.c:1646  */
    break;

  case 168:
#line 1306 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29968 "gram.c" /* yacc.c:1646  */
    break;

  case 169:
#line 1310 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 29976 "gram.c" /* yacc.c:1646  */
    break;

  case 170:
#line 1324 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 29989 "gram.c" /* yacc.c:1646  */
    break;

  case 171:
#line 1343 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30002 "gram.c" /* yacc.c:1646  */
    break;

  case 172:
#line 1352 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-2].rolespec);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 30015 "gram.c" /* yacc.c:1646  */
    break;

  case 173:
#line 1363 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30021 "gram.c" /* yacc.c:1646  */
    break;

  case 174:
#line 1364 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30027 "gram.c" /* yacc.c:1646  */
    break;

  case 175:
#line 1369 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30040 "gram.c" /* yacc.c:1646  */
    break;

  case 176:
#line 1378 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30053 "gram.c" /* yacc.c:1646  */
    break;

  case 177:
#line 1387 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = (yyvsp[-2].rolespec);
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30066 "gram.c" /* yacc.c:1646  */
    break;

  case 178:
#line 1396 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);

					n->role = NULL;
					n->database = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 30079 "gram.c" /* yacc.c:1646  */
    break;

  case 179:
#line 1418 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30091 "gram.c" /* yacc.c:1646  */
    break;

  case 180:
#line 1426 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30103 "gram.c" /* yacc.c:1646  */
    break;

  case 181:
#line 1434 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30115 "gram.c" /* yacc.c:1646  */
    break;

  case 182:
#line 1442 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->roles = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30127 "gram.c" /* yacc.c:1646  */
    break;

  case 183:
#line 1450 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = false;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30139 "gram.c" /* yacc.c:1646  */
    break;

  case 184:
#line 1458 "gram.y" /* yacc.c:1646  */
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);

					n->missing_ok = true;
					n->roles = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30151 "gram.c" /* yacc.c:1646  */
    break;

  case 185:
#line 1476 "gram.y" /* yacc.c:1646  */
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);

					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 30164 "gram.c" /* yacc.c:1646  */
    break;

  case 186:
#line 1495 "gram.y" /* yacc.c:1646  */
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);

					n->role = (yyvsp[-3].rolespec);
					n->action = (yyvsp[-2].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 30178 "gram.c" /* yacc.c:1646  */
    break;

  case 187:
#line 1506 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = +1; }
#line 30184 "gram.c" /* yacc.c:1646  */
    break;

  case 188:
#line 1507 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = -1; }
#line 30190 "gram.c" /* yacc.c:1646  */
    break;

  case 189:
#line 1519 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* One can omit the schema name or the authorization id. */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30205 "gram.c" /* yacc.c:1646  */
    break;

  case 190:
#line 1530 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not both */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 30220 "gram.c" /* yacc.c:1646  */
    break;

  case 191:
#line 1541 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* schema name can be omitted here, too */
					n->schemaname = (yyvsp[-3].str);
					n->authrole = (yyvsp[-1].rolespec);
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30240 "gram.c" /* yacc.c:1646  */
    break;

  case 192:
#line 1557 "gram.y" /* yacc.c:1646  */
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);

					/* ...but not here */
					n->schemaname = (yyvsp[-1].str);
					n->authrole = NULL;
					if ((yyvsp[0].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[0]))));
					n->schemaElts = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 30260 "gram.c" /* yacc.c:1646  */
    break;

  case 193:
#line 1576 "gram.y" /* yacc.c:1646  */
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[0]);
					(yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node));
				}
#line 30270 "gram.c" /* yacc.c:1646  */
    break;

  case 194:
#line 1582 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30276 "gram.c" /* yacc.c:1646  */
    break;

  case 201:
#line 1610 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30287 "gram.c" /* yacc.c:1646  */
    break;

  case 202:
#line 1617 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
#line 30298 "gram.c" /* yacc.c:1646  */
    break;

  case 203:
#line 1624 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = (yyvsp[0].vsetstmt);

					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
#line 30309 "gram.c" /* yacc.c:1646  */
    break;

  case 204:
#line 1634 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30322 "gram.c" /* yacc.c:1646  */
    break;

  case 205:
#line 1643 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30335 "gram.c" /* yacc.c:1646  */
    break;

  case 207:
#line 1656 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30348 "gram.c" /* yacc.c:1646  */
    break;

  case 208:
#line 1665 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[-2].str);
					n->args = (yyvsp[0].list);
					(yyval.vsetstmt) = n;
				}
#line 30361 "gram.c" /* yacc.c:1646  */
    break;

  case 209:
#line 1674 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30373 "gram.c" /* yacc.c:1646  */
    break;

  case 210:
#line 1682 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30385 "gram.c" /* yacc.c:1646  */
    break;

  case 211:
#line 1692 "gram.y" /* yacc.c:1646  */
    {(yyval.vsetstmt) = (yyvsp[0].vsetstmt);}
#line 30391 "gram.c" /* yacc.c:1646  */
    break;

  case 212:
#line 1694 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[-2].str);
					(yyval.vsetstmt) = n;
				}
#line 30403 "gram.c" /* yacc.c:1646  */
    break;

  case 213:
#line 1703 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[0].node) != NULL)
						n->args = list_make1((yyvsp[0].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30419 "gram.c" /* yacc.c:1646  */
    break;

  case 214:
#line 1715 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[0]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
#line 30431 "gram.c" /* yacc.c:1646  */
    break;

  case 215:
#line 1723 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30444 "gram.c" /* yacc.c:1646  */
    break;

  case 216:
#line 1732 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[0].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
#line 30460 "gram.c" /* yacc.c:1646  */
    break;

  case 217:
#line 1744 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30473 "gram.c" /* yacc.c:1646  */
    break;

  case 218:
#line 1753 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30486 "gram.c" /* yacc.c:1646  */
    break;

  case 219:
#line 1762 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30498 "gram.c" /* yacc.c:1646  */
    break;

  case 220:
#line 1770 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[0].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30511 "gram.c" /* yacc.c:1646  */
    break;

  case 221:
#line 1780 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[0].str), (yylsp[0])));
					(yyval.vsetstmt) = n;
				}
#line 30524 "gram.c" /* yacc.c:1646  */
    break;

  case 222:
#line 1790 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30530 "gram.c" /* yacc.c:1646  */
    break;

  case 223:
#line 1792 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str)); }
#line 30536 "gram.c" /* yacc.c:1646  */
    break;

  case 224:
#line 1795 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 30542 "gram.c" /* yacc.c:1646  */
    break;

  case 225:
#line 1796 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 30548 "gram.c" /* yacc.c:1646  */
    break;

  case 226:
#line 1800 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0])); }
#line 30554 "gram.c" /* yacc.c:1646  */
    break;

  case 227:
#line 1802 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 30560 "gram.c" /* yacc.c:1646  */
    break;

  case 228:
#line 1805 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read uncommitted"; }
#line 30566 "gram.c" /* yacc.c:1646  */
    break;

  case 229:
#line 1806 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "read committed"; }
#line 30572 "gram.c" /* yacc.c:1646  */
    break;

  case 230:
#line 1807 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "repeatable read"; }
#line 30578 "gram.c" /* yacc.c:1646  */
    break;

  case 231:
#line 1808 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "serializable"; }
#line 30584 "gram.c" /* yacc.c:1646  */
    break;

  case 232:
#line 1812 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "true"; }
#line 30590 "gram.c" /* yacc.c:1646  */
    break;

  case 233:
#line 1813 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "false"; }
#line 30596 "gram.c" /* yacc.c:1646  */
    break;

  case 234:
#line 1814 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "on"; }
#line 30602 "gram.c" /* yacc.c:1646  */
    break;

  case 235:
#line 1820 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30608 "gram.c" /* yacc.c:1646  */
    break;

  case 236:
#line 1833 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30616 "gram.c" /* yacc.c:1646  */
    break;

  case 237:
#line 1837 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 30624 "gram.c" /* yacc.c:1646  */
    break;

  case 238:
#line 1841 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					if ((yyvsp[0].list) != NIL)
					{
						A_Const	   *n = (A_Const *) linitial((yyvsp[0].list));

						if ((n->val.ival.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[0]))));
					}
					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 30645 "gram.c" /* yacc.c:1646  */
    break;

  case 239:
#line 1858 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 30657 "gram.c" /* yacc.c:1646  */
    break;

  case 240:
#line 1865 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAConst((yyvsp[0].node), (yylsp[0])); }
#line 30663 "gram.c" /* yacc.c:1646  */
    break;

  case 241:
#line 1866 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30669 "gram.c" /* yacc.c:1646  */
    break;

  case 242:
#line 1867 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 30675 "gram.c" /* yacc.c:1646  */
    break;

  case 243:
#line 1871 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30681 "gram.c" /* yacc.c:1646  */
    break;

  case 244:
#line 1872 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30687 "gram.c" /* yacc.c:1646  */
    break;

  case 245:
#line 1873 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 30693 "gram.c" /* yacc.c:1646  */
    break;

  case 246:
#line 1877 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30699 "gram.c" /* yacc.c:1646  */
    break;

  case 247:
#line 1878 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 30705 "gram.c" /* yacc.c:1646  */
    break;

  case 248:
#line 1882 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].vsetstmt); }
#line 30711 "gram.c" /* yacc.c:1646  */
    break;

  case 249:
#line 1886 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30717 "gram.c" /* yacc.c:1646  */
    break;

  case 250:
#line 1888 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.vsetstmt) = n;
				}
#line 30729 "gram.c" /* yacc.c:1646  */
    break;

  case 251:
#line 1896 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.vsetstmt) = n;
				}
#line 30741 "gram.c" /* yacc.c:1646  */
    break;

  case 252:
#line 1904 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
#line 30753 "gram.c" /* yacc.c:1646  */
    break;

  case 253:
#line 1915 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET;
					n->name = (yyvsp[0].str);
					(yyval.vsetstmt) = n;
				}
#line 30765 "gram.c" /* yacc.c:1646  */
    break;

  case 254:
#line 1923 "gram.y" /* yacc.c:1646  */
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);

					n->kind = VAR_RESET_ALL;
					(yyval.vsetstmt) = n;
				}
#line 30776 "gram.c" /* yacc.c:1646  */
    break;

  case 255:
#line 1933 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30782 "gram.c" /* yacc.c:1646  */
    break;

  case 256:
#line 1934 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30788 "gram.c" /* yacc.c:1646  */
    break;

  case 257:
#line 1939 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (yyvsp[0].vsetstmt); }
#line 30794 "gram.c" /* yacc.c:1646  */
    break;

  case 258:
#line 1940 "gram.y" /* yacc.c:1646  */
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[0].node); }
#line 30800 "gram.c" /* yacc.c:1646  */
    break;

  case 259:
#line 1946 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 30811 "gram.c" /* yacc.c:1646  */
    break;

  case 260:
#line 1953 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
#line 30822 "gram.c" /* yacc.c:1646  */
    break;

  case 261:
#line 1960 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
#line 30833 "gram.c" /* yacc.c:1646  */
    break;

  case 262:
#line 1967 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
#line 30844 "gram.c" /* yacc.c:1646  */
    break;

  case 263:
#line 1974 "gram.y" /* yacc.c:1646  */
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);

					n->name = "all";
					(yyval.node) = (Node *) n;
				}
#line 30855 "gram.c" /* yacc.c:1646  */
    break;

  case 264:
#line 1985 "gram.y" /* yacc.c:1646  */
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);

					n->constraints = (yyvsp[-1].list);
					n->deferred = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 30867 "gram.c" /* yacc.c:1646  */
    break;

  case 265:
#line 1995 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 30873 "gram.c" /* yacc.c:1646  */
    break;

  case 266:
#line 1996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 30879 "gram.c" /* yacc.c:1646  */
    break;

  case 267:
#line 2000 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 30885 "gram.c" /* yacc.c:1646  */
    break;

  case 268:
#line 2001 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 30891 "gram.c" /* yacc.c:1646  */
    break;

  case 269:
#line 2010 "gram.y" /* yacc.c:1646  */
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);

					(yyval.node) = (Node *) n;
				}
#line 30901 "gram.c" /* yacc.c:1646  */
    break;

  case 270:
#line 2026 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
#line 30912 "gram.c" /* yacc.c:1646  */
    break;

  case 271:
#line 2033 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30923 "gram.c" /* yacc.c:1646  */
    break;

  case 272:
#line 2040 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
#line 30934 "gram.c" /* yacc.c:1646  */
    break;

  case 273:
#line 2047 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
#line 30945 "gram.c" /* yacc.c:1646  */
    break;

  case 274:
#line 2054 "gram.y" /* yacc.c:1646  */
    {
					DiscardStmt *n = makeNode(DiscardStmt);

					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
#line 30956 "gram.c" /* yacc.c:1646  */
    break;

  case 275:
#line 2074 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30970 "gram.c" /* yacc.c:1646  */
    break;

  case 276:
#line 2084 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 30984 "gram.c" /* yacc.c:1646  */
    break;

  case 277:
#line 2094 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 30998 "gram.c" /* yacc.c:1646  */
    break;

  case 278:
#line 2104 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31012 "gram.c" /* yacc.c:1646  */
    break;

  case 279:
#line 2114 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_TABLE;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31028 "gram.c" /* yacc.c:1646  */
    break;

  case 280:
#line 2126 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_TABLE;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31044 "gram.c" /* yacc.c:1646  */
    break;

  case 281:
#line 2138 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31058 "gram.c" /* yacc.c:1646  */
    break;

  case 282:
#line 2148 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31072 "gram.c" /* yacc.c:1646  */
    break;

  case 283:
#line 2158 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = list_make1((yyvsp[0].node));
					n->objtype = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31086 "gram.c" /* yacc.c:1646  */
    break;

  case 284:
#line 2168 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_INDEX;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31102 "gram.c" /* yacc.c:1646  */
    break;

  case 285:
#line 2180 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_INDEX;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31118 "gram.c" /* yacc.c:1646  */
    break;

  case 286:
#line 2192 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31132 "gram.c" /* yacc.c:1646  */
    break;

  case 287:
#line 2202 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31146 "gram.c" /* yacc.c:1646  */
    break;

  case 288:
#line 2212 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31160 "gram.c" /* yacc.c:1646  */
    break;

  case 289:
#line 2222 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31174 "gram.c" /* yacc.c:1646  */
    break;

  case 290:
#line 2232 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31188 "gram.c" /* yacc.c:1646  */
    break;

  case 291:
#line 2242 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31202 "gram.c" /* yacc.c:1646  */
    break;

  case 292:
#line 2252 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-4].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31218 "gram.c" /* yacc.c:1646  */
    break;

  case 293:
#line 2264 "gram.y" /* yacc.c:1646  */
    {
					AlterTableMoveAllStmt *n =
						makeNode(AlterTableMoveAllStmt);

					n->orig_tablespacename = (yyvsp[-7].str);
					n->objtype = OBJECT_MATVIEW;
					n->roles = (yyvsp[-4].list);
					n->new_tablespacename = (yyvsp[-1].str);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 31234 "gram.c" /* yacc.c:1646  */
    break;

  case 294:
#line 2276 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31248 "gram.c" /* yacc.c:1646  */
    break;

  case 295:
#line 2286 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					n->relation = (yyvsp[-1].range);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31262 "gram.c" /* yacc.c:1646  */
    break;

  case 296:
#line 2298 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 31268 "gram.c" /* yacc.c:1646  */
    break;

  case 297:
#line 2299 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 31274 "gram.c" /* yacc.c:1646  */
    break;

  case 298:
#line 2305 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = (yyvsp[0].partboundspec);
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31291 "gram.c" /* yacc.c:1646  */
    break;

  case 299:
#line 2319 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartition;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = (yyvsp[0].boolean);
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31308 "gram.c" /* yacc.c:1646  */
    break;

  case 300:
#line 2332 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_DetachPartitionFinalize;
					cmd->name = (yyvsp[-1].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;
					(yyval.node) = (Node *) n;
				}
#line 31324 "gram.c" /* yacc.c:1646  */
    break;

  case 301:
#line 2348 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					PartitionCmd *cmd = makeNode(PartitionCmd);

					n->subtype = AT_AttachPartition;
					cmd->name = (yyvsp[0].range);
					cmd->bound = NULL;
					cmd->concurrent = false;
					n->def = (Node *) cmd;

					(yyval.node) = (Node *) n;
				}
#line 31341 "gram.c" /* yacc.c:1646  */
    break;

  case 302:
#line 2365 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31354 "gram.c" /* yacc.c:1646  */
    break;

  case 303:
#line 2375 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31367 "gram.c" /* yacc.c:1646  */
    break;

  case 304:
#line 2385 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31380 "gram.c" /* yacc.c:1646  */
    break;

  case 305:
#line 2395 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[0].node);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31393 "gram.c" /* yacc.c:1646  */
    break;

  case 306:
#line 2405 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[-1].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31406 "gram.c" /* yacc.c:1646  */
    break;

  case 307:
#line 2415 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31418 "gram.c" /* yacc.c:1646  */
    break;

  case 308:
#line 2424 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				}
#line 31430 "gram.c" /* yacc.c:1646  */
    break;

  case 309:
#line 2433 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetExpression;
					n->name = (yyvsp[-6].str);
					n->def = (yyvsp[-1].node);
					(yyval.node) = (Node *) n;
				}
#line 31443 "gram.c" /* yacc.c:1646  */
    break;

  case 310:
#line 2443 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-2].str);
					(yyval.node) = (Node *) n;
				}
#line 31455 "gram.c" /* yacc.c:1646  */
    break;

  case 311:
#line 2452 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropExpression;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31468 "gram.c" /* yacc.c:1646  */
    break;

  case 312:
#line 2462 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[-3].str);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31481 "gram.c" /* yacc.c:1646  */
    break;

  case 313:
#line 2472 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					if ((yyvsp[-3].ival) <= 0 || (yyvsp[-3].ival) > PG_INT16_MAX)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("column number must be in range from 1 to %d", PG_INT16_MAX),
								 parser_errposition((yylsp[-3]))));

					n->subtype = AT_SetStatistics;
					n->num = (int16) (yyvsp[-3].ival);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31500 "gram.c" /* yacc.c:1646  */
    break;

  case 314:
#line 2488 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31513 "gram.c" /* yacc.c:1646  */
    break;

  case 315:
#line 2498 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31526 "gram.c" /* yacc.c:1646  */
    break;

  case 316:
#line 2508 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetStorage;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 31539 "gram.c" /* yacc.c:1646  */
    break;

  case 317:
#line 2518 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetCompression;
					n->name = (yyvsp[-2].str);
					n->def = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 31552 "gram.c" /* yacc.c:1646  */
    break;

  case 318:
#line 2528 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					c->contype = CONSTR_IDENTITY;
					c->generated_when = (yyvsp[-3].ival);
					c->options = (yyvsp[0].list);
					c->location = (yylsp[-4]);

					n->subtype = AT_AddIdentity;
					n->name = (yyvsp[-6].str);
					n->def = (Node *) c;

					(yyval.node) = (Node *) n;
				}
#line 31572 "gram.c" /* yacc.c:1646  */
    break;

  case 319:
#line 2545 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetIdentity;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31585 "gram.c" /* yacc.c:1646  */
    break;

  case 320:
#line 2555 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-2].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31598 "gram.c" /* yacc.c:1646  */
    break;

  case 321:
#line 2565 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropIdentity;
					n->name = (yyvsp[-4].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31611 "gram.c" /* yacc.c:1646  */
    break;

  case 322:
#line 2575 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31625 "gram.c" /* yacc.c:1646  */
    break;

  case 323:
#line 2586 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31639 "gram.c" /* yacc.c:1646  */
    break;

  case 324:
#line 2600 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = (yyvsp[0].node);
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 31658 "gram.c" /* yacc.c:1646  */
    break;

  case 325:
#line 2616 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[-1].str);
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 31671 "gram.c" /* yacc.c:1646  */
    break;

  case 326:
#line 2626 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 31683 "gram.c" /* yacc.c:1646  */
    break;

  case 327:
#line 2635 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);

					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 31702 "gram.c" /* yacc.c:1646  */
    break;

  case 328:
#line 2651 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31714 "gram.c" /* yacc.c:1646  */
    break;

  case 329:
#line 2660 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 31728 "gram.c" /* yacc.c:1646  */
    break;

  case 330:
#line 2671 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 31742 "gram.c" /* yacc.c:1646  */
    break;

  case 331:
#line 2682 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOids;
					(yyval.node) = (Node *) n;
				}
#line 31753 "gram.c" /* yacc.c:1646  */
    break;

  case 332:
#line 2690 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31765 "gram.c" /* yacc.c:1646  */
    break;

  case 333:
#line 2699 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 31777 "gram.c" /* yacc.c:1646  */
    break;

  case 334:
#line 2708 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetLogged;
					(yyval.node) = (Node *) n;
				}
#line 31788 "gram.c" /* yacc.c:1646  */
    break;

  case 335:
#line 2716 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetUnLogged;
					(yyval.node) = (Node *) n;
				}
#line 31799 "gram.c" /* yacc.c:1646  */
    break;

  case 336:
#line 2724 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31811 "gram.c" /* yacc.c:1646  */
    break;

  case 337:
#line 2733 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31823 "gram.c" /* yacc.c:1646  */
    break;

  case 338:
#line 2742 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31835 "gram.c" /* yacc.c:1646  */
    break;

  case 339:
#line 2751 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31846 "gram.c" /* yacc.c:1646  */
    break;

  case 340:
#line 2759 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31857 "gram.c" /* yacc.c:1646  */
    break;

  case 341:
#line 2767 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31869 "gram.c" /* yacc.c:1646  */
    break;

  case 342:
#line 2776 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *) n;
				}
#line 31880 "gram.c" /* yacc.c:1646  */
    break;

  case 343:
#line 2784 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *) n;
				}
#line 31891 "gram.c" /* yacc.c:1646  */
    break;

  case 344:
#line 2792 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31903 "gram.c" /* yacc.c:1646  */
    break;

  case 345:
#line 2801 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31915 "gram.c" /* yacc.c:1646  */
    break;

  case 346:
#line 2810 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31927 "gram.c" /* yacc.c:1646  */
    break;

  case 347:
#line 2819 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRule;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 31939 "gram.c" /* yacc.c:1646  */
    break;

  case 348:
#line 2828 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31951 "gram.c" /* yacc.c:1646  */
    break;

  case 349:
#line 2837 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[0].range);
					(yyval.node) = (Node *) n;
				}
#line 31963 "gram.c" /* yacc.c:1646  */
    break;

  case 350:
#line 2846 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName   *def = makeTypeNameFromNameList((yyvsp[0].list));

					def->location = (yylsp[0]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *) n;
				}
#line 31977 "gram.c" /* yacc.c:1646  */
    break;

  case 351:
#line 2857 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropOf;
					(yyval.node) = (Node *) n;
				}
#line 31988 "gram.c" /* yacc.c:1646  */
    break;

  case 352:
#line 2865 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ChangeOwner;
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 32000 "gram.c" /* yacc.c:1646  */
    break;

  case 353:
#line 2874 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetAccessMethod;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32012 "gram.c" /* yacc.c:1646  */
    break;

  case 354:
#line 2883 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32024 "gram.c" /* yacc.c:1646  */
    break;

  case 355:
#line 2892 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_SetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32036 "gram.c" /* yacc.c:1646  */
    break;

  case 356:
#line 2901 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ResetRelOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32048 "gram.c" /* yacc.c:1646  */
    break;

  case 357:
#line 2910 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 32060 "gram.c" /* yacc.c:1646  */
    break;

  case 358:
#line 2919 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_EnableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32071 "gram.c" /* yacc.c:1646  */
    break;

  case 359:
#line 2927 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DisableRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32082 "gram.c" /* yacc.c:1646  */
    break;

  case 360:
#line 2935 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_ForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32093 "gram.c" /* yacc.c:1646  */
    break;

  case 361:
#line 2943 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_NoForceRowSecurity;
					(yyval.node) = (Node *) n;
				}
#line 32104 "gram.c" /* yacc.c:1646  */
    break;

  case 362:
#line 2950 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_GenericOptions;
					n->def = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 32116 "gram.c" /* yacc.c:1646  */
    break;

  case 363:
#line 2960 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32122 "gram.c" /* yacc.c:1646  */
    break;

  case 364:
#line 2961 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32128 "gram.c" /* yacc.c:1646  */
    break;

  case 365:
#line 2966 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 32141 "gram.c" /* yacc.c:1646  */
    break;

  case 366:
#line 2974 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32147 "gram.c" /* yacc.c:1646  */
    break;

  case 367:
#line 2978 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 32153 "gram.c" /* yacc.c:1646  */
    break;

  case 368:
#line 2979 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32159 "gram.c" /* yacc.c:1646  */
    break;

  case 369:
#line 2984 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32171 "gram.c" /* yacc.c:1646  */
    break;

  case 370:
#line 2992 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32183 "gram.c" /* yacc.c:1646  */
    break;

  case 371:
#line 3000 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32195 "gram.c" /* yacc.c:1646  */
    break;

  case 372:
#line 3008 "gram.y" /* yacc.c:1646  */
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);

					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32207 "gram.c" /* yacc.c:1646  */
    break;

  case 373:
#line 3018 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32213 "gram.c" /* yacc.c:1646  */
    break;

  case 374:
#line 3021 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32219 "gram.c" /* yacc.c:1646  */
    break;

  case 375:
#line 3022 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32225 "gram.c" /* yacc.c:1646  */
    break;

  case 376:
#line 3026 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32231 "gram.c" /* yacc.c:1646  */
    break;

  case 377:
#line 3027 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 32237 "gram.c" /* yacc.c:1646  */
    break;

  case 378:
#line 3033 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32245 "gram.c" /* yacc.c:1646  */
    break;

  case 379:
#line 3037 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 32253 "gram.c" /* yacc.c:1646  */
    break;

  case 380:
#line 3041 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-4].str), (yyvsp[-2].str), (Node *) (yyvsp[0].node),
											 DEFELEM_UNSPEC, (yylsp[-4]));
				}
#line 32262 "gram.c" /* yacc.c:1646  */
    break;

  case 381:
#line 3046 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[-2].str), (yyvsp[0].str), NULL, DEFELEM_UNSPEC, (yylsp[-2]));
				}
#line 32270 "gram.c" /* yacc.c:1646  */
    break;

  case 382:
#line 3053 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 32276 "gram.c" /* yacc.c:1646  */
    break;

  case 383:
#line 3055 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32282 "gram.c" /* yacc.c:1646  */
    break;

  case 384:
#line 3060 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 32290 "gram.c" /* yacc.c:1646  */
    break;

  case 385:
#line 3064 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 32298 "gram.c" /* yacc.c:1646  */
    break;

  case 386:
#line 3068 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].defelt)->defname, "as") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "restart") == 0 ||
						strcmp((yyvsp[0].defelt)->defname, "owned_by") == 0)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("sequence option \"%s\" not supported here", (yyvsp[0].defelt)->defname),
								 parser_errposition((yylsp[0]))));
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 32313 "gram.c" /* yacc.c:1646  */
    break;

  case 387:
#line 3079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("generated", (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-2]));
				}
#line 32321 "gram.c" /* yacc.c:1646  */
    break;

  case 388:
#line 3085 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 32327 "gram.c" /* yacc.c:1646  */
    break;

  case 389:
#line 3086 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32333 "gram.c" /* yacc.c:1646  */
    break;

  case 390:
#line 3090 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32339 "gram.c" /* yacc.c:1646  */
    break;

  case 391:
#line 3091 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32345 "gram.c" /* yacc.c:1646  */
    break;

  case 392:
#line 3097 "gram.y" /* yacc.c:1646  */
    {
					ListCell   *lc;
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_HASH;
					n->modulus = n->remainder = -1;

					foreach (lc, (yyvsp[-1].list))
					{
						DefElem    *opt = lfirst_node(DefElem, lc);

						if (strcmp(opt->defname, "modulus") == 0)
						{
							if (n->modulus != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("modulus for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->modulus = defGetInt32(opt);
						}
						else if (strcmp(opt->defname, "remainder") == 0)
						{
							if (n->remainder != -1)
								ereport(ERROR,
										(errcode(ERRCODE_DUPLICATE_OBJECT),
										 errmsg("remainder for hash partition provided more than once"),
										 parser_errposition(opt->location)));
							n->remainder = defGetInt32(opt);
						}
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized hash partition bound specification \"%s\"",
											opt->defname),
									 parser_errposition(opt->location)));
					}

					if (n->modulus == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("modulus for hash partition must be specified")));
					if (n->remainder == -1)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("remainder for hash partition must be specified")));

					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32400 "gram.c" /* yacc.c:1646  */
    break;

  case 393:
#line 3150 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_LIST;
					n->is_default = false;
					n->listdatums = (yyvsp[-1].list);
					n->location = (yylsp[-3]);

					(yyval.partboundspec) = n;
				}
#line 32415 "gram.c" /* yacc.c:1646  */
    break;

  case 394:
#line 3163 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->strategy = PARTITION_STRATEGY_RANGE;
					n->is_default = false;
					n->lowerdatums = (yyvsp[-5].list);
					n->upperdatums = (yyvsp[-1].list);
					n->location = (yylsp[-7]);

					(yyval.partboundspec) = n;
				}
#line 32431 "gram.c" /* yacc.c:1646  */
    break;

  case 395:
#line 3177 "gram.y" /* yacc.c:1646  */
    {
					PartitionBoundSpec *n = makeNode(PartitionBoundSpec);

					n->is_default = true;
					n->location = (yylsp[0]);

					(yyval.partboundspec) = n;
				}
#line 32444 "gram.c" /* yacc.c:1646  */
    break;

  case 396:
#line 3189 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem((yyvsp[-1].str), (Node *) makeInteger((yyvsp[0].ival)), (yylsp[-1]));
			}
#line 32452 "gram.c" /* yacc.c:1646  */
    break;

  case 397:
#line 3196 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1((yyvsp[0].defelt));
			}
#line 32460 "gram.c" /* yacc.c:1646  */
    break;

  case 398:
#line 3200 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
			}
#line 32468 "gram.c" /* yacc.c:1646  */
    break;

  case 399:
#line 3214 "gram.y" /* yacc.c:1646  */
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[-1].list), (yylsp[-1]), yyscanner);
					n->cmds = (yyvsp[0].list);
					n->objtype = OBJECT_TYPE;
					(yyval.node) = (Node *) n;
				}
#line 32482 "gram.c" /* yacc.c:1646  */
    break;

  case 400:
#line 3226 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 32488 "gram.c" /* yacc.c:1646  */
    break;

  case 401:
#line 3227 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 32494 "gram.c" /* yacc.c:1646  */
    break;

  case 402:
#line 3233 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_AddColumn;
					n->def = (yyvsp[-1].node);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 32507 "gram.c" /* yacc.c:1646  */
    break;

  case 403:
#line 3243 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 32521 "gram.c" /* yacc.c:1646  */
    break;

  case 404:
#line 3254 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);

					n->subtype = AT_DropColumn;
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 32535 "gram.c" /* yacc.c:1646  */
    break;

  case 405:
#line 3265 "gram.y" /* yacc.c:1646  */
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);

					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[-5].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[0].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[-2].typnam);
					def->collClause = (CollateClause *) (yyvsp[-1].node);
					def->raw_default = NULL;
					def->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 32555 "gram.c" /* yacc.c:1646  */
    break;

  case 406:
#line 3292 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 32566 "gram.c" /* yacc.c:1646  */
    break;

  case 407:
#line 3299 "gram.y" /* yacc.c:1646  */
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);

					n->portalname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 32577 "gram.c" /* yacc.c:1646  */
    break;

  case 408:
#line 3335 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = (yyvsp[-8].range);
					n->query = NULL;
					n->attlist = (yyvsp[-7].list);
					n->is_from = (yyvsp[-6].boolean);
					n->is_program = (yyvsp[-5].boolean);
					n->filename = (yyvsp[-4].str);
					n->whereClause = (yyvsp[0].node);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-3]))));

					if (!n->is_from && n->whereClause != NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("WHERE clause not allowed with COPY TO"),
								 parser_errposition((yylsp[0]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[-9].defelt))
						n->options = lappend(n->options, (yyvsp[-9].defelt));
					if ((yyvsp[-3].defelt))
						n->options = lappend(n->options, (yyvsp[-3].defelt));
					if ((yyvsp[-1].list))
						n->options = list_concat(n->options, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 32615 "gram.c" /* yacc.c:1646  */
    break;

  case 409:
#line 3369 "gram.y" /* yacc.c:1646  */
    {
					CopyStmt *n = makeNode(CopyStmt);

					n->relation = NULL;
					n->query = (yyvsp[-6].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[-3].boolean);
					n->filename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[-4]))));

					(yyval.node) = (Node *) n;
				}
#line 32639 "gram.c" /* yacc.c:1646  */
    break;

  case 410:
#line 3391 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32645 "gram.c" /* yacc.c:1646  */
    break;

  case 411:
#line 3392 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32651 "gram.c" /* yacc.c:1646  */
    break;

  case 412:
#line 3396 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 32657 "gram.c" /* yacc.c:1646  */
    break;

  case 413:
#line 3397 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 32663 "gram.c" /* yacc.c:1646  */
    break;

  case 414:
#line 3406 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 32669 "gram.c" /* yacc.c:1646  */
    break;

  case 415:
#line 3407 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32675 "gram.c" /* yacc.c:1646  */
    break;

  case 416:
#line 3408 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 32681 "gram.c" /* yacc.c:1646  */
    break;

  case 417:
#line 3411 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 32687 "gram.c" /* yacc.c:1646  */
    break;

  case 418:
#line 3412 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 32693 "gram.c" /* yacc.c:1646  */
    break;

  case 419:
#line 3417 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 32699 "gram.c" /* yacc.c:1646  */
    break;

  case 420:
#line 3418 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 32705 "gram.c" /* yacc.c:1646  */
    break;

  case 421:
#line 3423 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32713 "gram.c" /* yacc.c:1646  */
    break;

  case 422:
#line 3427 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32721 "gram.c" /* yacc.c:1646  */
    break;

  case 423:
#line 3431 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32729 "gram.c" /* yacc.c:1646  */
    break;

  case 424:
#line 3435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("null", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32737 "gram.c" /* yacc.c:1646  */
    break;

  case 425:
#line 3439 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("csv"), (yylsp[0]));
				}
#line 32745 "gram.c" /* yacc.c:1646  */
    break;

  case 426:
#line 3443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("header", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 32753 "gram.c" /* yacc.c:1646  */
    break;

  case 427:
#line 3447 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("quote", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32761 "gram.c" /* yacc.c:1646  */
    break;

  case 428:
#line 3451 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("escape", (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 32769 "gram.c" /* yacc.c:1646  */
    break;

  case 429:
#line 3455 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32777 "gram.c" /* yacc.c:1646  */
    break;

  case 430:
#line 3459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 32785 "gram.c" /* yacc.c:1646  */
    break;

  case 431:
#line 3463 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) (yyvsp[0].list), (yylsp[-3]));
				}
#line 32793 "gram.c" /* yacc.c:1646  */
    break;

  case 432:
#line 3467 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *) makeNode(A_Star), (yylsp[-3]));
				}
#line 32801 "gram.c" /* yacc.c:1646  */
    break;

  case 433:
#line 3471 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 32809 "gram.c" /* yacc.c:1646  */
    break;

  case 434:
#line 3475 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *) makeNode(A_Star), (yylsp[-2]));
				}
#line 32817 "gram.c" /* yacc.c:1646  */
    break;

  case 435:
#line 3479 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32825 "gram.c" /* yacc.c:1646  */
    break;

  case 436:
#line 3488 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("format", (Node *) makeString("binary"), (yylsp[0]));
				}
#line 32833 "gram.c" /* yacc.c:1646  */
    break;

  case 437:
#line 3491 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 32839 "gram.c" /* yacc.c:1646  */
    break;

  case 438:
#line 3496 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 32847 "gram.c" /* yacc.c:1646  */
    break;

  case 439:
#line 3499 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = NULL; }
#line 32853 "gram.c" /* yacc.c:1646  */
    break;

  case 442:
#line 3510 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 32861 "gram.c" /* yacc.c:1646  */
    break;

  case 443:
#line 3514 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 32869 "gram.c" /* yacc.c:1646  */
    break;

  case 444:
#line 3521 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 32877 "gram.c" /* yacc.c:1646  */
    break;

  case 445:
#line 3527 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32883 "gram.c" /* yacc.c:1646  */
    break;

  case 446:
#line 3528 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 32889 "gram.c" /* yacc.c:1646  */
    break;

  case 447:
#line 3529 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeNode(A_Star); }
#line 32895 "gram.c" /* yacc.c:1646  */
    break;

  case 448:
#line 3530 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 32901 "gram.c" /* yacc.c:1646  */
    break;

  case 449:
#line 3531 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 32907 "gram.c" /* yacc.c:1646  */
    break;

  case 450:
#line 3536 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 32915 "gram.c" /* yacc.c:1646  */
    break;

  case 451:
#line 3540 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 32923 "gram.c" /* yacc.c:1646  */
    break;

  case 452:
#line 3547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 32929 "gram.c" /* yacc.c:1646  */
    break;

  case 453:
#line 3561 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-11].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32951 "gram.c" /* yacc.c:1646  */
    break;

  case 454:
#line 3581 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-9].range)->relpersistence = (yyvsp[-14].ival);
					n->relation = (yyvsp[-9].range);
					n->tableElts = (yyvsp[-7].list);
					n->inhRelations = (yyvsp[-5].list);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 32973 "gram.c" /* yacc.c:1646  */
    break;

  case 455:
#line 3601 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-10].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 32996 "gram.c" /* yacc.c:1646  */
    break;

  case 456:
#line 3622 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-8].range)->relpersistence = (yyvsp[-13].ival);
					n->relation = (yyvsp[-8].range);
					n->tableElts = (yyvsp[-5].list);
					n->inhRelations = NIL;
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[-6].list));
					n->ofTypename->location = (yylsp[-6]);
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33019 "gram.c" /* yacc.c:1646  */
    break;

  case 457:
#line 3643 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-12].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 33042 "gram.c" /* yacc.c:1646  */
    break;

  case 458:
#line 3664 "gram.y" /* yacc.c:1646  */
    {
					CreateStmt *n = makeNode(CreateStmt);

					(yyvsp[-10].range)->relpersistence = (yyvsp[-15].ival);
					n->relation = (yyvsp[-10].range);
					n->tableElts = (yyvsp[-6].list);
					n->inhRelations = list_make1((yyvsp[-7].range));
					n->partbound = (yyvsp[-5].partboundspec);
					n->partspec = (yyvsp[-4].partspec);
					n->ofTypename = NULL;
					n->constraints = NIL;
					n->accessMethod = (yyvsp[-3].str);
					n->options = (yyvsp[-2].list);
					n->oncommit = (yyvsp[-1].oncommit);
					n->tablespacename = (yyvsp[0].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 33065 "gram.c" /* yacc.c:1646  */
    break;

  case 459:
#line 3695 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33071 "gram.c" /* yacc.c:1646  */
    break;

  case 460:
#line 3696 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33077 "gram.c" /* yacc.c:1646  */
    break;

  case 461:
#line 3697 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33083 "gram.c" /* yacc.c:1646  */
    break;

  case 462:
#line 3698 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
#line 33089 "gram.c" /* yacc.c:1646  */
    break;

  case 463:
#line 3700 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33100 "gram.c" /* yacc.c:1646  */
    break;

  case 464:
#line 3707 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-1]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
#line 33111 "gram.c" /* yacc.c:1646  */
    break;

  case 465:
#line 3713 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 33117 "gram.c" /* yacc.c:1646  */
    break;

  case 466:
#line 3714 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 33123 "gram.c" /* yacc.c:1646  */
    break;

  case 467:
#line 3718 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 33129 "gram.c" /* yacc.c:1646  */
    break;

  case 468:
#line 3719 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33135 "gram.c" /* yacc.c:1646  */
    break;

  case 469:
#line 3723 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33141 "gram.c" /* yacc.c:1646  */
    break;

  case 470:
#line 3724 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33147 "gram.c" /* yacc.c:1646  */
    break;

  case 471:
#line 3729 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33155 "gram.c" /* yacc.c:1646  */
    break;

  case 472:
#line 3733 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33163 "gram.c" /* yacc.c:1646  */
    break;

  case 473:
#line 3740 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 33171 "gram.c" /* yacc.c:1646  */
    break;

  case 474:
#line 3744 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 33179 "gram.c" /* yacc.c:1646  */
    break;

  case 475:
#line 3750 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33185 "gram.c" /* yacc.c:1646  */
    break;

  case 476:
#line 3751 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33191 "gram.c" /* yacc.c:1646  */
    break;

  case 477:
#line 3752 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33197 "gram.c" /* yacc.c:1646  */
    break;

  case 478:
#line 3756 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33203 "gram.c" /* yacc.c:1646  */
    break;

  case 479:
#line 3757 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33209 "gram.c" /* yacc.c:1646  */
    break;

  case 480:
#line 3761 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-5].str);
					n->typeName = (yyvsp[-4].typnam);
					n->storage_name = (yyvsp[-3].str);
					n->compression = (yyvsp[-2].str);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[-1].list);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 33235 "gram.c" /* yacc.c:1646  */
    break;

  case 481:
#line 3785 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-1].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33258 "gram.c" /* yacc.c:1646  */
    break;

  case 482:
#line 3804 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-3].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 33281 "gram.c" /* yacc.c:1646  */
    break;

  case 483:
#line 3825 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33287 "gram.c" /* yacc.c:1646  */
    break;

  case 484:
#line 3826 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 33293 "gram.c" /* yacc.c:1646  */
    break;

  case 485:
#line 3830 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33299 "gram.c" /* yacc.c:1646  */
    break;

  case 486:
#line 3831 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33305 "gram.c" /* yacc.c:1646  */
    break;

  case 487:
#line 3835 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33311 "gram.c" /* yacc.c:1646  */
    break;

  case 488:
#line 3836 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("default"); }
#line 33317 "gram.c" /* yacc.c:1646  */
    break;

  case 489:
#line 3840 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 33323 "gram.c" /* yacc.c:1646  */
    break;

  case 490:
#line 3841 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 33329 "gram.c" /* yacc.c:1646  */
    break;

  case 491:
#line 3845 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 33335 "gram.c" /* yacc.c:1646  */
    break;

  case 492:
#line 3846 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33341 "gram.c" /* yacc.c:1646  */
    break;

  case 493:
#line 3851 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33353 "gram.c" /* yacc.c:1646  */
    break;

  case 494:
#line 3858 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33359 "gram.c" /* yacc.c:1646  */
    break;

  case 495:
#line 3859 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33365 "gram.c" /* yacc.c:1646  */
    break;

  case 496:
#line 3861 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);

					n->arg = NULL;
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33383 "gram.c" /* yacc.c:1646  */
    break;

  case 497:
#line 3893 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-2]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33398 "gram.c" /* yacc.c:1646  */
    break;

  case 498:
#line 3904 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33410 "gram.c" /* yacc.c:1646  */
    break;

  case 499:
#line 3912 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-3]);
					n->nulls_not_distinct = !(yyvsp[-2].boolean);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33427 "gram.c" /* yacc.c:1646  */
    break;

  case 500:
#line 3925 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NULL;
					n->options = (yyvsp[-1].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 33443 "gram.c" /* yacc.c:1646  */
    break;

  case 501:
#line 3937 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->is_no_inherit = (yyvsp[0].boolean);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33460 "gram.c" /* yacc.c:1646  */
    break;

  case 502:
#line 3950 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[-1]);
					n->raw_expr = (yyvsp[0].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *) n;
				}
#line 33474 "gram.c" /* yacc.c:1646  */
    break;

  case 503:
#line 3960 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_IDENTITY;
					n->generated_when = (yyvsp[-3].ival);
					n->options = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 33488 "gram.c" /* yacc.c:1646  */
    break;

  case 504:
#line 3970 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_GENERATED;
					n->generated_when = (yyvsp[-5].ival);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					n->location = (yylsp[-6]);

					/*
					 * Can't do this in the grammar because of shift/reduce
					 * conflicts.  (IDENTITY allows both ALWAYS and BY
					 * DEFAULT, but generated columns only allow ALWAYS.)  We
					 * can also give a more useful error message and location.
					 */
					if ((yyvsp[-5].ival) != ATTRIBUTE_IDENTITY_ALWAYS)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("for a generated column, GENERATED ALWAYS must be specified"),
								 parser_errposition((yylsp[-5]))));

					(yyval.node) = (Node *) n;
				}
#line 33516 "gram.c" /* yacc.c:1646  */
    break;

  case 505:
#line 3994 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-4]);
					n->pktable = (yyvsp[-3].range);
					n->fk_attrs = NIL;
					n->pk_attrs = (yyvsp[-2].list);
					n->fk_matchtype = (yyvsp[-1].ival);
					n->fk_upd_action = ((yyvsp[0].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[0].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[0].keyactions))->deleteAction->cols;
					n->skip_validation = false;
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33537 "gram.c" /* yacc.c:1646  */
    break;

  case 506:
#line 4013 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33543 "gram.c" /* yacc.c:1646  */
    break;

  case 507:
#line 4014 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33549 "gram.c" /* yacc.c:1646  */
    break;

  case 508:
#line 4015 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33555 "gram.c" /* yacc.c:1646  */
    break;

  case 509:
#line 4019 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_ALWAYS; }
#line 33561 "gram.c" /* yacc.c:1646  */
    break;

  case 510:
#line 4020 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ATTRIBUTE_IDENTITY_BY_DEFAULT; }
#line 33567 "gram.c" /* yacc.c:1646  */
    break;

  case 511:
#line 4040 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 33579 "gram.c" /* yacc.c:1646  */
    break;

  case 512:
#line 4048 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33591 "gram.c" /* yacc.c:1646  */
    break;

  case 513:
#line 4056 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33603 "gram.c" /* yacc.c:1646  */
    break;

  case 514:
#line 4064 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 33615 "gram.c" /* yacc.c:1646  */
    break;

  case 515:
#line 4076 "gram.y" /* yacc.c:1646  */
    {
					TableLikeClause *n = makeNode(TableLikeClause);

					n->relation = (yyvsp[-1].range);
					n->options = (yyvsp[0].ival);
					n->relationOid = InvalidOid;
					(yyval.node) = (Node *) n;
				}
#line 33628 "gram.c" /* yacc.c:1646  */
    break;

  case 516:
#line 4087 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | (yyvsp[0].ival); }
#line 33634 "gram.c" /* yacc.c:1646  */
    break;

  case 517:
#line 4088 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) & ~(yyvsp[0].ival); }
#line 33640 "gram.c" /* yacc.c:1646  */
    break;

  case 518:
#line 4089 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 33646 "gram.c" /* yacc.c:1646  */
    break;

  case 519:
#line 4093 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
#line 33652 "gram.c" /* yacc.c:1646  */
    break;

  case 520:
#line 4094 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_COMPRESSION; }
#line 33658 "gram.c" /* yacc.c:1646  */
    break;

  case 521:
#line 4095 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
#line 33664 "gram.c" /* yacc.c:1646  */
    break;

  case 522:
#line 4096 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
#line 33670 "gram.c" /* yacc.c:1646  */
    break;

  case 523:
#line 4097 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_IDENTITY; }
#line 33676 "gram.c" /* yacc.c:1646  */
    break;

  case 524:
#line 4098 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_GENERATED; }
#line 33682 "gram.c" /* yacc.c:1646  */
    break;

  case 525:
#line 4099 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
#line 33688 "gram.c" /* yacc.c:1646  */
    break;

  case 526:
#line 4100 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STATISTICS; }
#line 33694 "gram.c" /* yacc.c:1646  */
    break;

  case 527:
#line 4101 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
#line 33700 "gram.c" /* yacc.c:1646  */
    break;

  case 528:
#line 4102 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
#line 33706 "gram.c" /* yacc.c:1646  */
    break;

  case 529:
#line 4112 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = castNode(Constraint, (yyvsp[0].node));

					n->conname = (yyvsp[-1].str);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 33718 "gram.c" /* yacc.c:1646  */
    break;

  case 530:
#line 4119 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 33724 "gram.c" /* yacc.c:1646  */
    break;

  case 531:
#line 4124 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_CHECK;
					n->location = (yylsp[-4]);
					n->raw_expr = (yyvsp[-2].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33742 "gram.c" /* yacc.c:1646  */
    break;

  case 532:
#line 4138 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[-3]);
					n->keys = list_make1(makeString((yyvsp[-1].str)));
					/* no NOT VALID support yet */
					processCASbits((yyvsp[0].ival), (yylsp[0]), "NOT NULL",
								   NULL, NULL, NULL,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = true;
					(yyval.node) = (Node *) n;
				}
#line 33760 "gram.c" /* yacc.c:1646  */
    break;

  case 533:
#line 4153 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-9]);
					n->nulls_not_distinct = !(yyvsp[-8].boolean);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33782 "gram.c" /* yacc.c:1646  */
    break;

  case 534:
#line 4171 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[-2]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33802 "gram.c" /* yacc.c:1646  */
    break;

  case 535:
#line 4188 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-9]);
					n->keys = (yyvsp[-6].list);
					n->without_overlaps = (yyvsp[-5].boolean);
					n->including = (yyvsp[-3].list);
					n->options = (yyvsp[-2].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-1].str);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33823 "gram.c" /* yacc.c:1646  */
    break;

  case 536:
#line 4205 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[-3]);
					n->keys = NIL;
					n->including = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[-1].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33843 "gram.c" /* yacc.c:1646  */
    break;

  case 537:
#line 4223 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[-9]);
					n->access_method = (yyvsp[-8].str);
					n->exclusions = (yyvsp[-6].list);
					n->including = (yyvsp[-4].list);
					n->options = (yyvsp[-3].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[-2].str);
					n->where_clause = (yyvsp[-1].node);
					processCASbits((yyvsp[0].ival), (yylsp[0]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 33865 "gram.c" /* yacc.c:1646  */
    break;

  case 538:
#line 4242 "gram.y" /* yacc.c:1646  */
    {
					Constraint *n = makeNode(Constraint);

					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[-10]);
					n->pktable = (yyvsp[-4].range);
					n->fk_attrs = (yyvsp[-7].list);
					n->pk_attrs = (yyvsp[-3].list);
					n->fk_matchtype = (yyvsp[-2].ival);
					n->fk_upd_action = ((yyvsp[-1].keyactions))->updateAction->action;
					n->fk_del_action = ((yyvsp[-1].keyactions))->deleteAction->action;
					n->fk_del_set_cols = ((yyvsp[-1].keyactions))->deleteAction->cols;
					processCASbits((yyvsp[0].ival), (yylsp[0]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *) n;
				}
#line 33889 "gram.c" /* yacc.c:1646  */
    break;

  case 539:
#line 4263 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = true; }
#line 33895 "gram.c" /* yacc.c:1646  */
    break;

  case 540:
#line 4264 "gram.y" /* yacc.c:1646  */
    {  (yyval.boolean) = false; }
#line 33901 "gram.c" /* yacc.c:1646  */
    break;

  case 541:
#line 4268 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 33907 "gram.c" /* yacc.c:1646  */
    break;

  case 542:
#line 4269 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 33913 "gram.c" /* yacc.c:1646  */
    break;

  case 543:
#line 4273 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33919 "gram.c" /* yacc.c:1646  */
    break;

  case 544:
#line 4274 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33925 "gram.c" /* yacc.c:1646  */
    break;

  case 545:
#line 4278 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 33931 "gram.c" /* yacc.c:1646  */
    break;

  case 546:
#line 4279 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 33937 "gram.c" /* yacc.c:1646  */
    break;

  case 547:
#line 4283 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 33945 "gram.c" /* yacc.c:1646  */
    break;

  case 548:
#line 4288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 33951 "gram.c" /* yacc.c:1646  */
    break;

  case 549:
#line 4289 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 33957 "gram.c" /* yacc.c:1646  */
    break;

  case 550:
#line 4293 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
#line 33965 "gram.c" /* yacc.c:1646  */
    break;

  case 551:
#line 4297 "gram.y" /* yacc.c:1646  */
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[-1]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
#line 33977 "gram.c" /* yacc.c:1646  */
    break;

  case 552:
#line 4305 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33985 "gram.c" /* yacc.c:1646  */
    break;

  case 553:
#line 4309 "gram.y" /* yacc.c:1646  */
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
#line 33993 "gram.c" /* yacc.c:1646  */
    break;

  case 554:
#line 4315 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 33999 "gram.c" /* yacc.c:1646  */
    break;

  case 555:
#line 4317 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 34005 "gram.c" /* yacc.c:1646  */
    break;

  case 556:
#line 4321 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-2].ielem), (yyvsp[0].list));
			}
#line 34013 "gram.c" /* yacc.c:1646  */
    break;

  case 557:
#line 4326 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make2((yyvsp[-5].ielem), (yyvsp[-1].list));
			}
#line 34021 "gram.c" /* yacc.c:1646  */
    break;

  case 558:
#line 4332 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 34027 "gram.c" /* yacc.c:1646  */
    break;

  case 559:
#line 4333 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 34033 "gram.c" /* yacc.c:1646  */
    break;

  case 560:
#line 4338 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34047 "gram.c" /* yacc.c:1646  */
    break;

  case 561:
#line 4348 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34061 "gram.c" /* yacc.c:1646  */
    break;

  case 562:
#line 4358 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[-1].keyaction);
					n->deleteAction = (yyvsp[0].keyaction);
					(yyval.keyactions) = n;
				}
#line 34073 "gram.c" /* yacc.c:1646  */
    break;

  case 563:
#line 4366 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = (yyvsp[0].keyaction);
					n->deleteAction = (yyvsp[-1].keyaction);
					(yyval.keyactions) = n;
				}
#line 34085 "gram.c" /* yacc.c:1646  */
    break;

  case 564:
#line 4374 "gram.y" /* yacc.c:1646  */
    {
					KeyActions *n = palloc(sizeof(KeyActions));

					n->updateAction = palloc(sizeof(KeyAction));
					n->updateAction->action = FKCONSTR_ACTION_NOACTION;
					n->updateAction->cols = NIL;
					n->deleteAction = palloc(sizeof(KeyAction));
					n->deleteAction->action = FKCONSTR_ACTION_NOACTION;
					n->deleteAction->cols = NIL;
					(yyval.keyactions) = n;
				}
#line 34101 "gram.c" /* yacc.c:1646  */
    break;

  case 565:
#line 4388 "gram.y" /* yacc.c:1646  */
    {
					if (((yyvsp[0].keyaction))->cols)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("a column list with %s is only supported for ON DELETE actions",
										((yyvsp[0].keyaction))->action == FKCONSTR_ACTION_SETNULL ? "SET NULL" : "SET DEFAULT"),
								 parser_errposition((yylsp[-2]))));
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34115 "gram.c" /* yacc.c:1646  */
    break;

  case 566:
#line 4400 "gram.y" /* yacc.c:1646  */
    {
					(yyval.keyaction) = (yyvsp[0].keyaction);
				}
#line 34123 "gram.c" /* yacc.c:1646  */
    break;

  case 567:
#line 4407 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_NOACTION;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34135 "gram.c" /* yacc.c:1646  */
    break;

  case 568:
#line 4415 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_RESTRICT;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34147 "gram.c" /* yacc.c:1646  */
    break;

  case 569:
#line 4423 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_CASCADE;
					n->cols = NIL;
					(yyval.keyaction) = n;
				}
#line 34159 "gram.c" /* yacc.c:1646  */
    break;

  case 570:
#line 4431 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETNULL;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34171 "gram.c" /* yacc.c:1646  */
    break;

  case 571:
#line 4439 "gram.y" /* yacc.c:1646  */
    {
					KeyAction *n = palloc(sizeof(KeyAction));

					n->action = FKCONSTR_ACTION_SETDEFAULT;
					n->cols = (yyvsp[0].list);
					(yyval.keyaction) = n;
				}
#line 34183 "gram.c" /* yacc.c:1646  */
    break;

  case 572:
#line 4448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34189 "gram.c" /* yacc.c:1646  */
    break;

  case 573:
#line 4449 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34195 "gram.c" /* yacc.c:1646  */
    break;

  case 574:
#line 4453 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = (yyvsp[0].partspec); }
#line 34201 "gram.c" /* yacc.c:1646  */
    break;

  case 575:
#line 4454 "gram.y" /* yacc.c:1646  */
    { (yyval.partspec) = NULL; }
#line 34207 "gram.c" /* yacc.c:1646  */
    break;

  case 576:
#line 4458 "gram.y" /* yacc.c:1646  */
    {
					PartitionSpec *n = makeNode(PartitionSpec);

					n->strategy = parsePartitionStrategy((yyvsp[-3].str));
					n->partParams = (yyvsp[-1].list);
					n->location = (yylsp[-5]);

					(yyval.partspec) = n;
				}
#line 34221 "gram.c" /* yacc.c:1646  */
    break;

  case 577:
#line 4469 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].partelem)); }
#line 34227 "gram.c" /* yacc.c:1646  */
    break;

  case 578:
#line 4470 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].partelem)); }
#line 34233 "gram.c" /* yacc.c:1646  */
    break;

  case 579:
#line 4474 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = (yyvsp[-2].str);
					n->expr = NULL;
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34248 "gram.c" /* yacc.c:1646  */
    break;

  case 580:
#line 4485 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-2].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-2]);
					(yyval.partelem) = n;
				}
#line 34263 "gram.c" /* yacc.c:1646  */
    break;

  case 581:
#line 4496 "gram.y" /* yacc.c:1646  */
    {
					PartitionElem *n = makeNode(PartitionElem);

					n->name = NULL;
					n->expr = (yyvsp[-3].node);
					n->collation = (yyvsp[-1].list);
					n->opclass = (yyvsp[0].list);
					n->location = (yylsp[-4]);
					(yyval.partelem) = n;
				}
#line 34278 "gram.c" /* yacc.c:1646  */
    break;

  case 582:
#line 4509 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34284 "gram.c" /* yacc.c:1646  */
    break;

  case 583:
#line 4510 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34290 "gram.c" /* yacc.c:1646  */
    break;

  case 584:
#line 4515 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34296 "gram.c" /* yacc.c:1646  */
    break;

  case 585:
#line 4516 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34302 "gram.c" /* yacc.c:1646  */
    break;

  case 586:
#line 4517 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34308 "gram.c" /* yacc.c:1646  */
    break;

  case 587:
#line 4520 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DROP; }
#line 34314 "gram.c" /* yacc.c:1646  */
    break;

  case 588:
#line 4521 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
#line 34320 "gram.c" /* yacc.c:1646  */
    break;

  case 589:
#line 4522 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
#line 34326 "gram.c" /* yacc.c:1646  */
    break;

  case 590:
#line 4523 "gram.y" /* yacc.c:1646  */
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
#line 34332 "gram.c" /* yacc.c:1646  */
    break;

  case 591:
#line 4526 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34338 "gram.c" /* yacc.c:1646  */
    break;

  case 592:
#line 4527 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34344 "gram.c" /* yacc.c:1646  */
    break;

  case 593:
#line 4530 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34350 "gram.c" /* yacc.c:1646  */
    break;

  case 594:
#line 4531 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 34356 "gram.c" /* yacc.c:1646  */
    break;

  case 595:
#line 4534 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 34362 "gram.c" /* yacc.c:1646  */
    break;

  case 596:
#line 4556 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34378 "gram.c" /* yacc.c:1646  */
    break;

  case 597:
#line 4569 "gram.y" /* yacc.c:1646  */
    {
					CreateStatsStmt *n = makeNode(CreateStatsStmt);

					n->defnames = (yyvsp[-5].list);
					n->stat_types = (yyvsp[-4].list);
					n->exprs = (yyvsp[-2].list);
					n->relations = (yyvsp[0].list);
					n->stxcomment = NULL;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34394 "gram.c" /* yacc.c:1646  */
    break;

  case 598:
#line 4589 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].selem)); }
#line 34400 "gram.c" /* yacc.c:1646  */
    break;

  case 599:
#line 4590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].selem)); }
#line 34406 "gram.c" /* yacc.c:1646  */
    break;

  case 600:
#line 4594 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = (yyvsp[0].str);
					(yyval.selem)->expr = NULL;
				}
#line 34416 "gram.c" /* yacc.c:1646  */
    break;

  case 601:
#line 4600 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[0].node);
				}
#line 34426 "gram.c" /* yacc.c:1646  */
    break;

  case 602:
#line 4606 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selem) = makeNode(StatsElem);
					(yyval.selem)->name = NULL;
					(yyval.selem)->expr = (yyvsp[-1].node);
				}
#line 34436 "gram.c" /* yacc.c:1646  */
    break;

  case 603:
#line 4623 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = false;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 34449 "gram.c" /* yacc.c:1646  */
    break;

  case 604:
#line 4632 "gram.y" /* yacc.c:1646  */
    {
					AlterStatsStmt *n = makeNode(AlterStatsStmt);

					n->defnames = (yyvsp[-3].list);
					n->missing_ok = true;
					n->stxstattarget = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 34462 "gram.c" /* yacc.c:1646  */
    break;

  case 605:
#line 4654 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-5].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34480 "gram.c" /* yacc.c:1646  */
    break;

  case 606:
#line 4668 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-8].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34498 "gram.c" /* yacc.c:1646  */
    break;

  case 607:
#line 4686 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-5].range);
					(yyval.into)->colNames = (yyvsp[-4].list);
					(yyval.into)->accessMethod = (yyvsp[-3].str);
					(yyval.into)->options = (yyvsp[-2].list);
					(yyval.into)->onCommit = (yyvsp[-1].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 34514 "gram.c" /* yacc.c:1646  */
    break;

  case 608:
#line 4700 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34520 "gram.c" /* yacc.c:1646  */
    break;

  case 609:
#line 4701 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34526 "gram.c" /* yacc.c:1646  */
    break;

  case 610:
#line 4702 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34532 "gram.c" /* yacc.c:1646  */
    break;

  case 611:
#line 4715 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-6].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34550 "gram.c" /* yacc.c:1646  */
    break;

  case 612:
#line 4729 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);

					ctas->query = (yyvsp[-1].node);
					ctas->into = (yyvsp[-3].into);
					ctas->objtype = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-3].into)->rel->relpersistence = (yyvsp[-9].ival);
					(yyvsp[-3].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 34568 "gram.c" /* yacc.c:1646  */
    break;

  case 613:
#line 4746 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[-4].range);
					(yyval.into)->colNames = (yyvsp[-3].list);
					(yyval.into)->accessMethod = (yyvsp[-2].str);
					(yyval.into)->options = (yyvsp[-1].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[0].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
#line 34584 "gram.c" /* yacc.c:1646  */
    break;

  case 614:
#line 4759 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
#line 34590 "gram.c" /* yacc.c:1646  */
    break;

  case 615:
#line 4760 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
#line 34596 "gram.c" /* yacc.c:1646  */
    break;

  case 616:
#line 4773 "gram.y" /* yacc.c:1646  */
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);

					n->concurrent = (yyvsp[-2].boolean);
					n->relation = (yyvsp[-1].range);
					n->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) n;
				}
#line 34609 "gram.c" /* yacc.c:1646  */
    break;

  case 617:
#line 4794 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-3].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 34624 "gram.c" /* yacc.c:1646  */
    break;

  case 618:
#line 4805 "gram.y" /* yacc.c:1646  */
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);

					(yyvsp[-1].range)->relpersistence = (yyvsp[-6].ival);
					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->ownerId = InvalidOid;
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 34639 "gram.c" /* yacc.c:1646  */
    break;

  case 619:
#line 4819 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34652 "gram.c" /* yacc.c:1646  */
    break;

  case 620:
#line 4828 "gram.y" /* yacc.c:1646  */
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);

					n->sequence = (yyvsp[-1].range);
					n->options = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 34665 "gram.c" /* yacc.c:1646  */
    break;

  case 621:
#line 4839 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34671 "gram.c" /* yacc.c:1646  */
    break;

  case 622:
#line 4840 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34677 "gram.c" /* yacc.c:1646  */
    break;

  case 623:
#line 4843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 34683 "gram.c" /* yacc.c:1646  */
    break;

  case 624:
#line 4844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34689 "gram.c" /* yacc.c:1646  */
    break;

  case 625:
#line 4847 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 34695 "gram.c" /* yacc.c:1646  */
    break;

  case 626:
#line 4848 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 34701 "gram.c" /* yacc.c:1646  */
    break;

  case 627:
#line 4852 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].typnam), (yylsp[-1]));
				}
#line 34709 "gram.c" /* yacc.c:1646  */
    break;

  case 628:
#line 4856 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cache", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34717 "gram.c" /* yacc.c:1646  */
    break;

  case 629:
#line 4860 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 34725 "gram.c" /* yacc.c:1646  */
    break;

  case 630:
#line 4864 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 34733 "gram.c" /* yacc.c:1646  */
    break;

  case 631:
#line 4868 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("increment", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34741 "gram.c" /* yacc.c:1646  */
    break;

  case 632:
#line 4872 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34749 "gram.c" /* yacc.c:1646  */
    break;

  case 633:
#line 4876 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 34757 "gram.c" /* yacc.c:1646  */
    break;

  case 634:
#line 4880 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL, (yylsp[-1]));
				}
#line 34765 "gram.c" /* yacc.c:1646  */
    break;

  case 635:
#line 4884 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL, (yylsp[-1]));
				}
#line 34773 "gram.c" /* yacc.c:1646  */
    break;

  case 636:
#line 4888 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34781 "gram.c" /* yacc.c:1646  */
    break;

  case 637:
#line 4892 "gram.y" /* yacc.c:1646  */
    {
					/* not documented, only used by pg_dump */
					(yyval.defelt) = makeDefElem("sequence_name", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 34790 "gram.c" /* yacc.c:1646  */
    break;

  case 638:
#line 4897 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("start", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34798 "gram.c" /* yacc.c:1646  */
    break;

  case 639:
#line 4901 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", NULL, (yylsp[0]));
				}
#line 34806 "gram.c" /* yacc.c:1646  */
    break;

  case 640:
#line 4905 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("restart", (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 34814 "gram.c" /* yacc.c:1646  */
    break;

  case 643:
#line 4915 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34820 "gram.c" /* yacc.c:1646  */
    break;

  case 644:
#line 4916 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeFloat((yyvsp[0].str)); }
#line 34826 "gram.c" /* yacc.c:1646  */
    break;

  case 645:
#line 4918 "gram.y" /* yacc.c:1646  */
    {
					Float	   *f = makeFloat((yyvsp[0].str));

					doNegateFloat(f);
					(yyval.node) = (Node *) f;
				}
#line 34837 "gram.c" /* yacc.c:1646  */
    break;

  case 646:
#line 4924 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeInteger((yyvsp[0].ival)); }
#line 34843 "gram.c" /* yacc.c:1646  */
    break;

  case 647:
#line 4927 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 34849 "gram.c" /* yacc.c:1646  */
    break;

  case 648:
#line 4928 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 34855 "gram.c" /* yacc.c:1646  */
    break;

  case 649:
#line 4941 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * We now interpret parameterless CREATE LANGUAGE as
				 * CREATE EXTENSION.  "OR REPLACE" is silently translated
				 * to "IF NOT EXISTS", which isn't quite the same, but
				 * seems more useful than throwing an error.  We just
				 * ignore TRUSTED, as the previous code would have too.
				 */
				CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

				n->if_not_exists = (yyvsp[-4].boolean);
				n->extname = (yyvsp[0].str);
				n->options = NIL;
				(yyval.node) = (Node *) n;
			}
#line 34875 "gram.c" /* yacc.c:1646  */
    break;

  case 650:
#line 4958 "gram.y" /* yacc.c:1646  */
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);

				n->replace = (yyvsp[-8].boolean);
				n->plname = (yyvsp[-4].str);
				n->plhandler = (yyvsp[-2].list);
				n->plinline = (yyvsp[-1].list);
				n->plvalidator = (yyvsp[0].list);
				n->pltrusted = (yyvsp[-7].boolean);
				(yyval.node) = (Node *) n;
			}
#line 34891 "gram.c" /* yacc.c:1646  */
    break;

  case 651:
#line 4972 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 34897 "gram.c" /* yacc.c:1646  */
    break;

  case 652:
#line 4973 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 34903 "gram.c" /* yacc.c:1646  */
    break;

  case 653:
#line 4981 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 34909 "gram.c" /* yacc.c:1646  */
    break;

  case 654:
#line 4982 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 34915 "gram.c" /* yacc.c:1646  */
    break;

  case 655:
#line 4986 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34921 "gram.c" /* yacc.c:1646  */
    break;

  case 656:
#line 4987 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34927 "gram.c" /* yacc.c:1646  */
    break;

  case 657:
#line 4991 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34933 "gram.c" /* yacc.c:1646  */
    break;

  case 658:
#line 4992 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34939 "gram.c" /* yacc.c:1646  */
    break;

  case 659:
#line 4996 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 34945 "gram.c" /* yacc.c:1646  */
    break;

  case 660:
#line 4997 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 34951 "gram.c" /* yacc.c:1646  */
    break;

  case 663:
#line 5013 "gram.y" /* yacc.c:1646  */
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);

					n->tablespacename = (yyvsp[-4].str);
					n->owner = (yyvsp[-3].rolespec);
					n->location = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 34965 "gram.c" /* yacc.c:1646  */
    break;

  case 664:
#line 5024 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 34971 "gram.c" /* yacc.c:1646  */
    break;

  case 665:
#line 5025 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 34977 "gram.c" /* yacc.c:1646  */
    break;

  case 666:
#line 5039 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 34989 "gram.c" /* yacc.c:1646  */
    break;

  case 667:
#line 5047 "gram.y" /* yacc.c:1646  */
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);

					n->tablespacename = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35001 "gram.c" /* yacc.c:1646  */
    break;

  case 668:
#line 5065 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = false;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35014 "gram.c" /* yacc.c:1646  */
    break;

  case 669:
#line 5074 "gram.y" /* yacc.c:1646  */
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->if_not_exists = true;
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35027 "gram.c" /* yacc.c:1646  */
    break;

  case 670:
#line 5086 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35033 "gram.c" /* yacc.c:1646  */
    break;

  case 671:
#line 5088 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35039 "gram.c" /* yacc.c:1646  */
    break;

  case 672:
#line 5093 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schema", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35047 "gram.c" /* yacc.c:1646  */
    break;

  case 673:
#line 5097 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35055 "gram.c" /* yacc.c:1646  */
    break;

  case 674:
#line 5101 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE EXTENSION ... FROM is no longer supported"),
							 parser_errposition((yylsp[-1]))));
				}
#line 35066 "gram.c" /* yacc.c:1646  */
    break;

  case 675:
#line 5108 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cascade", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 35074 "gram.c" /* yacc.c:1646  */
    break;

  case 676:
#line 5120 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);

					n->extname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35086 "gram.c" /* yacc.c:1646  */
    break;

  case 677:
#line 5131 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35092 "gram.c" /* yacc.c:1646  */
    break;

  case 678:
#line 5133 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35098 "gram.c" /* yacc.c:1646  */
    break;

  case 679:
#line 5138 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 35106 "gram.c" /* yacc.c:1646  */
    break;

  case 680:
#line 5151 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) makeString((yyvsp[0].str));
					(yyval.node) = (Node *) n;
				}
#line 35120 "gram.c" /* yacc.c:1646  */
    break;

  case 681:
#line 5161 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = (yyvsp[-1].objtype);
					n->object = (Node *) (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35134 "gram.c" /* yacc.c:1646  */
    break;

  case 682:
#line 5171 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35148 "gram.c" /* yacc.c:1646  */
    break;

  case 683:
#line 5181 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-7].str);
					n->action = (yyvsp[-6].ival);
					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam));
					(yyval.node) = (Node *) n;
				}
#line 35162 "gram.c" /* yacc.c:1646  */
    break;

  case 684:
#line 5191 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35176 "gram.c" /* yacc.c:1646  */
    break;

  case 685:
#line 5201 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35190 "gram.c" /* yacc.c:1646  */
    break;

  case 686:
#line 5211 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35204 "gram.c" /* yacc.c:1646  */
    break;

  case 687:
#line 5221 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35218 "gram.c" /* yacc.c:1646  */
    break;

  case 688:
#line 5231 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[0].str)), (yyvsp[-2].list));
					(yyval.node) = (Node *) n;
				}
#line 35232 "gram.c" /* yacc.c:1646  */
    break;

  case 689:
#line 5241 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35246 "gram.c" /* yacc.c:1646  */
    break;

  case 690:
#line 5251 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[0].objwithargs);
					(yyval.node) = (Node *) n;
				}
#line 35260 "gram.c" /* yacc.c:1646  */
    break;

  case 691:
#line 5261 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-6].str);
					n->action = (yyvsp[-5].ival);
					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-2].typnam), makeString((yyvsp[0].str)));
					(yyval.node) = (Node *) n;
				}
#line 35274 "gram.c" /* yacc.c:1646  */
    break;

  case 692:
#line 5271 "gram.y" /* yacc.c:1646  */
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);

					n->extname = (yyvsp[-3].str);
					n->action = (yyvsp[-2].ival);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 35288 "gram.c" /* yacc.c:1646  */
    break;

  case 693:
#line 5290 "gram.y" /* yacc.c:1646  */
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35301 "gram.c" /* yacc.c:1646  */
    break;

  case 694:
#line 5301 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35307 "gram.c" /* yacc.c:1646  */
    break;

  case 695:
#line 5302 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("handler", NULL, (yylsp[-1])); }
#line 35313 "gram.c" /* yacc.c:1646  */
    break;

  case 696:
#line 5303 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", (Node *) (yyvsp[0].list), (yylsp[-1])); }
#line 35319 "gram.c" /* yacc.c:1646  */
    break;

  case 697:
#line 5304 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("validator", NULL, (yylsp[-1])); }
#line 35325 "gram.c" /* yacc.c:1646  */
    break;

  case 698:
#line 5308 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 35331 "gram.c" /* yacc.c:1646  */
    break;

  case 699:
#line 5309 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 35337 "gram.c" /* yacc.c:1646  */
    break;

  case 700:
#line 5313 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35343 "gram.c" /* yacc.c:1646  */
    break;

  case 701:
#line 5314 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35349 "gram.c" /* yacc.c:1646  */
    break;

  case 702:
#line 5325 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-2].str);
					n->func_options = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35362 "gram.c" /* yacc.c:1646  */
    break;

  case 703:
#line 5334 "gram.y" /* yacc.c:1646  */
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);

					n->fdwname = (yyvsp[-1].str);
					n->func_options = (yyvsp[0].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 35375 "gram.c" /* yacc.c:1646  */
    break;

  case 704:
#line 5346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35381 "gram.c" /* yacc.c:1646  */
    break;

  case 705:
#line 5347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 35387 "gram.c" /* yacc.c:1646  */
    break;

  case 706:
#line 5352 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35395 "gram.c" /* yacc.c:1646  */
    break;

  case 707:
#line 5356 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35403 "gram.c" /* yacc.c:1646  */
    break;

  case 708:
#line 5363 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 35409 "gram.c" /* yacc.c:1646  */
    break;

  case 709:
#line 5368 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 35417 "gram.c" /* yacc.c:1646  */
    break;

  case 710:
#line 5372 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 35425 "gram.c" /* yacc.c:1646  */
    break;

  case 711:
#line 5379 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 35433 "gram.c" /* yacc.c:1646  */
    break;

  case 712:
#line 5383 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
#line 35442 "gram.c" /* yacc.c:1646  */
    break;

  case 713:
#line 5388 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
#line 35451 "gram.c" /* yacc.c:1646  */
    break;

  case 714:
#line 5393 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[0].str), NULL, DEFELEM_DROP, (yylsp[0]));
				}
#line 35459 "gram.c" /* yacc.c:1646  */
    break;

  case 715:
#line 5400 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 35467 "gram.c" /* yacc.c:1646  */
    break;

  case 716:
#line 5406 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35473 "gram.c" /* yacc.c:1646  */
    break;

  case 717:
#line 5411 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 35479 "gram.c" /* yacc.c:1646  */
    break;

  case 718:
#line 5423 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35495 "gram.c" /* yacc.c:1646  */
    break;

  case 719:
#line 5436 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);

					n->servername = (yyvsp[-7].str);
					n->servertype = (yyvsp[-6].str);
					n->version = (yyvsp[-5].str);
					n->fdwname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35511 "gram.c" /* yacc.c:1646  */
    break;

  case 720:
#line 5450 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35517 "gram.c" /* yacc.c:1646  */
    break;

  case 721:
#line 5451 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35523 "gram.c" /* yacc.c:1646  */
    break;

  case 722:
#line 5456 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35529 "gram.c" /* yacc.c:1646  */
    break;

  case 723:
#line 5457 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35535 "gram.c" /* yacc.c:1646  */
    break;

  case 724:
#line 5461 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35541 "gram.c" /* yacc.c:1646  */
    break;

  case 725:
#line 5462 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 35547 "gram.c" /* yacc.c:1646  */
    break;

  case 726:
#line 5473 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-2].str);
					n->version = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35561 "gram.c" /* yacc.c:1646  */
    break;

  case 727:
#line 5483 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->version = (yyvsp[0].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
#line 35574 "gram.c" /* yacc.c:1646  */
    break;

  case 728:
#line 5492 "gram.y" /* yacc.c:1646  */
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);

					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35586 "gram.c" /* yacc.c:1646  */
    break;

  case 729:
#line 5512 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35609 "gram.c" /* yacc.c:1646  */
    break;

  case 730:
#line 5533 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-7].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-7].range);
					n->base.tableElts = (yyvsp[-5].list);
					n->base.inhRelations = (yyvsp[-3].list);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35632 "gram.c" /* yacc.c:1646  */
    break;

  case 731:
#line 5554 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35656 "gram.c" /* yacc.c:1646  */
    break;

  case 732:
#line 5576 "gram.y" /* yacc.c:1646  */
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);

					(yyvsp[-8].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[-8].range);
					n->base.inhRelations = list_make1((yyvsp[-5].range));
					n->base.tableElts = (yyvsp[-4].list);
					n->base.partbound = (yyvsp[-3].partboundspec);
					n->base.ofTypename = NULL;
					n->base.constraints = NIL;
					n->base.options = NIL;
					n->base.oncommit = ONCOMMIT_NOOP;
					n->base.tablespacename = NULL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35680 "gram.c" /* yacc.c:1646  */
    break;

  case 733:
#line 5609 "gram.y" /* yacc.c:1646  */
    {
				ImportForeignSchemaStmt *n = makeNode(ImportForeignSchemaStmt);

				n->server_name = (yyvsp[-3].str);
				n->remote_schema = (yyvsp[-7].str);
				n->local_schema = (yyvsp[-1].str);
				n->list_type = (yyvsp[-6].importqual)->type;
				n->table_list = (yyvsp[-6].importqual)->table_names;
				n->options = (yyvsp[0].list);
				(yyval.node) = (Node *) n;
			}
#line 35696 "gram.c" /* yacc.c:1646  */
    break;

  case 734:
#line 5623 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_LIMIT_TO; }
#line 35702 "gram.c" /* yacc.c:1646  */
    break;

  case 735:
#line 5624 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FDW_IMPORT_SCHEMA_EXCEPT; }
#line 35708 "gram.c" /* yacc.c:1646  */
    break;

  case 736:
#line 5629 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));

				n->type = (yyvsp[-3].ival);
				n->table_names = (yyvsp[-1].list);
				(yyval.importqual) = n;
			}
#line 35720 "gram.c" /* yacc.c:1646  */
    break;

  case 737:
#line 5637 "gram.y" /* yacc.c:1646  */
    {
				ImportQual *n = (ImportQual *) palloc(sizeof(ImportQual));
				n->type = FDW_IMPORT_SCHEMA_ALL;
				n->table_names = NIL;
				(yyval.importqual) = n;
			}
#line 35731 "gram.c" /* yacc.c:1646  */
    break;

  case 738:
#line 5653 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *) n;
				}
#line 35745 "gram.c" /* yacc.c:1646  */
    break;

  case 739:
#line 5663 "gram.y" /* yacc.c:1646  */
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 35759 "gram.c" /* yacc.c:1646  */
    break;

  case 740:
#line 5675 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 35765 "gram.c" /* yacc.c:1646  */
    break;

  case 741:
#line 5676 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0])); }
#line 35771 "gram.c" /* yacc.c:1646  */
    break;

  case 742:
#line 5689 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 35784 "gram.c" /* yacc.c:1646  */
    break;

  case 743:
#line 5698 "gram.y" /* yacc.c:1646  */
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);

					n->user = (yyvsp[-2].rolespec);
					n->servername = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 35797 "gram.c" /* yacc.c:1646  */
    break;

  case 744:
#line 5716 "gram.y" /* yacc.c:1646  */
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);

					n->user = (yyvsp[-3].rolespec);
					n->servername = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 35810 "gram.c" /* yacc.c:1646  */
    break;

  case 745:
#line 5743 "gram.y" /* yacc.c:1646  */
    {
					CreatePolicyStmt *n = makeNode(CreatePolicyStmt);

					n->policy_name = (yyvsp[-7].str);
					n->table = (yyvsp[-5].range);
					n->permissive = (yyvsp[-4].boolean);
					n->cmd_name = (yyvsp[-3].str);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35827 "gram.c" /* yacc.c:1646  */
    break;

  case 746:
#line 5760 "gram.y" /* yacc.c:1646  */
    {
					AlterPolicyStmt *n = makeNode(AlterPolicyStmt);

					n->policy_name = (yyvsp[-5].str);
					n->table = (yyvsp[-3].range);
					n->roles = (yyvsp[-2].list);
					n->qual = (yyvsp[-1].node);
					n->with_check = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 35842 "gram.c" /* yacc.c:1646  */
    break;

  case 747:
#line 5773 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35848 "gram.c" /* yacc.c:1646  */
    break;

  case 748:
#line 5774 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35854 "gram.c" /* yacc.c:1646  */
    break;

  case 749:
#line 5778 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 35860 "gram.c" /* yacc.c:1646  */
    break;

  case 750:
#line 5779 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 35866 "gram.c" /* yacc.c:1646  */
    break;

  case 751:
#line 5783 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35872 "gram.c" /* yacc.c:1646  */
    break;

  case 752:
#line 5784 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeRoleSpec(ROLESPEC_PUBLIC, -1)); }
#line 35878 "gram.c" /* yacc.c:1646  */
    break;

  case 753:
#line 5788 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 35884 "gram.c" /* yacc.c:1646  */
    break;

  case 754:
#line 5789 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 35890 "gram.c" /* yacc.c:1646  */
    break;

  case 755:
#line 5794 "gram.y" /* yacc.c:1646  */
    {
					if (strcmp((yyvsp[0].str), "permissive") == 0)
						(yyval.boolean) = true;
					else if (strcmp((yyvsp[0].str), "restrictive") == 0)
						(yyval.boolean) = false;
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized row security option \"%s\"", (yyvsp[0].str)),
								 errhint("Only PERMISSIVE or RESTRICTIVE policies are supported currently."),
								 parser_errposition((yylsp[0]))));

				}
#line 35908 "gram.c" /* yacc.c:1646  */
    break;

  case 756:
#line 5807 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 35914 "gram.c" /* yacc.c:1646  */
    break;

  case 757:
#line 5811 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 35920 "gram.c" /* yacc.c:1646  */
    break;

  case 758:
#line 5812 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35926 "gram.c" /* yacc.c:1646  */
    break;

  case 759:
#line 5816 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "all"; }
#line 35932 "gram.c" /* yacc.c:1646  */
    break;

  case 760:
#line 5817 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "select"; }
#line 35938 "gram.c" /* yacc.c:1646  */
    break;

  case 761:
#line 5818 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "insert"; }
#line 35944 "gram.c" /* yacc.c:1646  */
    break;

  case 762:
#line 5819 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "update"; }
#line 35950 "gram.c" /* yacc.c:1646  */
    break;

  case 763:
#line 5820 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "delete"; }
#line 35956 "gram.c" /* yacc.c:1646  */
    break;

  case 764:
#line 5831 "gram.y" /* yacc.c:1646  */
    {
					CreateAmStmt *n = makeNode(CreateAmStmt);

					n->amname = (yyvsp[-4].str);
					n->handler_name = (yyvsp[0].list);
					n->amtype = (yyvsp[-2].chr);
					(yyval.node) = (Node *) n;
				}
#line 35969 "gram.c" /* yacc.c:1646  */
    break;

  case 765:
#line 5842 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_INDEX; }
#line 35975 "gram.c" /* yacc.c:1646  */
    break;

  case 766:
#line 5843 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = AMTYPE_TABLE; }
#line 35981 "gram.c" /* yacc.c:1646  */
    break;

  case 767:
#line 5857 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-15].boolean);
					n->isconstraint = false;
					n->trigname = (yyvsp[-13].str);
					n->relation = (yyvsp[-9].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = (yyvsp[-7].boolean);
					n->timing = (yyvsp[-12].ival);
					n->events = intVal(linitial((yyvsp[-11].list)));
					n->columns = (List *) lsecond((yyvsp[-11].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = (yyvsp[-8].list);
					n->deferrable = false;
					n->initdeferred = false;
					n->constrrel = NULL;
					(yyval.node) = (Node *) n;
				}
#line 36006 "gram.c" /* yacc.c:1646  */
    break;

  case 768:
#line 5881 "gram.y" /* yacc.c:1646  */
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);

					n->replace = (yyvsp[-19].boolean);
					if (n->replace) /* not supported, see CreateTrigger */
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE OR REPLACE CONSTRAINT TRIGGER is not supported")));
					n->isconstraint = true;
					n->trigname = (yyvsp[-16].str);
					n->relation = (yyvsp[-12].range);
					n->funcname = (yyvsp[-3].list);
					n->args = (yyvsp[-1].list);
					n->row = true;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[-14].list)));
					n->columns = (List *) lsecond((yyvsp[-14].list));
					n->whenClause = (yyvsp[-6].node);
					n->transitionRels = NIL;
					processCASbits((yyvsp[-10].ival), (yylsp[-10]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[-11].range);
					(yyval.node) = (Node *) n;
				}
#line 36036 "gram.c" /* yacc.c:1646  */
    break;

  case 769:
#line 5909 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
#line 36042 "gram.c" /* yacc.c:1646  */
    break;

  case 770:
#line 5910 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
#line 36048 "gram.c" /* yacc.c:1646  */
    break;

  case 771:
#line 5911 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
#line 36054 "gram.c" /* yacc.c:1646  */
    break;

  case 772:
#line 5916 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36060 "gram.c" /* yacc.c:1646  */
    break;

  case 773:
#line 5918 "gram.y" /* yacc.c:1646  */
    {
					int			events1 = intVal(linitial((yyvsp[-2].list)));
					int			events2 = intVal(linitial((yyvsp[0].list)));
					List	   *columns1 = (List *) lsecond((yyvsp[-2].list));
					List	   *columns2 = (List *) lsecond((yyvsp[0].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
#line 36083 "gram.c" /* yacc.c:1646  */
    break;

  case 774:
#line 5940 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
#line 36089 "gram.c" /* yacc.c:1646  */
    break;

  case 775:
#line 5942 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
#line 36095 "gram.c" /* yacc.c:1646  */
    break;

  case 776:
#line 5944 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
#line 36101 "gram.c" /* yacc.c:1646  */
    break;

  case 777:
#line 5946 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[0].list)); }
#line 36107 "gram.c" /* yacc.c:1646  */
    break;

  case 778:
#line 5948 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
#line 36113 "gram.c" /* yacc.c:1646  */
    break;

  case 779:
#line 5952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36119 "gram.c" /* yacc.c:1646  */
    break;

  case 780:
#line 5953 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36125 "gram.c" /* yacc.c:1646  */
    break;

  case 781:
#line 5957 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36131 "gram.c" /* yacc.c:1646  */
    break;

  case 782:
#line 5958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 36137 "gram.c" /* yacc.c:1646  */
    break;

  case 783:
#line 5963 "gram.y" /* yacc.c:1646  */
    {
					TriggerTransition *n = makeNode(TriggerTransition);

					n->name = (yyvsp[0].str);
					n->isNew = (yyvsp[-3].boolean);
					n->isTable = (yyvsp[-2].boolean);
					(yyval.node) = (Node *) n;
				}
#line 36150 "gram.c" /* yacc.c:1646  */
    break;

  case 784:
#line 5974 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36156 "gram.c" /* yacc.c:1646  */
    break;

  case 785:
#line 5975 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36162 "gram.c" /* yacc.c:1646  */
    break;

  case 786:
#line 5979 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36168 "gram.c" /* yacc.c:1646  */
    break;

  case 787:
#line 5988 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36174 "gram.c" /* yacc.c:1646  */
    break;

  case 788:
#line 5992 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 36180 "gram.c" /* yacc.c:1646  */
    break;

  case 789:
#line 5997 "gram.y" /* yacc.c:1646  */
    {
					(yyval.boolean) = (yyvsp[0].boolean);
				}
#line 36188 "gram.c" /* yacc.c:1646  */
    break;

  case 790:
#line 6001 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = false;
				}
#line 36200 "gram.c" /* yacc.c:1646  */
    break;

  case 793:
#line 6016 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36206 "gram.c" /* yacc.c:1646  */
    break;

  case 794:
#line 6017 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36212 "gram.c" /* yacc.c:1646  */
    break;

  case 795:
#line 6021 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 36218 "gram.c" /* yacc.c:1646  */
    break;

  case 796:
#line 6022 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 36224 "gram.c" /* yacc.c:1646  */
    break;

  case 799:
#line 6031 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36230 "gram.c" /* yacc.c:1646  */
    break;

  case 800:
#line 6032 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36236 "gram.c" /* yacc.c:1646  */
    break;

  case 801:
#line 6033 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36242 "gram.c" /* yacc.c:1646  */
    break;

  case 802:
#line 6038 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString(psprintf("%d", (yyvsp[0].ival)));
				}
#line 36250 "gram.c" /* yacc.c:1646  */
    break;

  case 803:
#line 6041 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36256 "gram.c" /* yacc.c:1646  */
    break;

  case 804:
#line 6042 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36262 "gram.c" /* yacc.c:1646  */
    break;

  case 805:
#line 6043 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36268 "gram.c" /* yacc.c:1646  */
    break;

  case 806:
#line 6047 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = (yyvsp[0].range); }
#line 36274 "gram.c" /* yacc.c:1646  */
    break;

  case 807:
#line 6048 "gram.y" /* yacc.c:1646  */
    { (yyval.range) = NULL; }
#line 36280 "gram.c" /* yacc.c:1646  */
    break;

  case 808:
#line 6053 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 36286 "gram.c" /* yacc.c:1646  */
    break;

  case 809:
#line 6055 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[-1].ival) | (yyvsp[0].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[0]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[0]))));
					(yyval.ival) = newspec;
				}
#line 36314 "gram.c" /* yacc.c:1646  */
    break;

  case 810:
#line 6081 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
#line 36320 "gram.c" /* yacc.c:1646  */
    break;

  case 811:
#line 6082 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_DEFERRABLE; }
#line 36326 "gram.c" /* yacc.c:1646  */
    break;

  case 812:
#line 6083 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
#line 36332 "gram.c" /* yacc.c:1646  */
    break;

  case 813:
#line 6084 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
#line 36338 "gram.c" /* yacc.c:1646  */
    break;

  case 814:
#line 6085 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NOT_VALID; }
#line 36344 "gram.c" /* yacc.c:1646  */
    break;

  case 815:
#line 6086 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CAS_NO_INHERIT; }
#line 36350 "gram.c" /* yacc.c:1646  */
    break;

  case 816:
#line 6101 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-7].str);
					n->eventname = (yyvsp[-5].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36364 "gram.c" /* yacc.c:1646  */
    break;

  case 817:
#line 6113 "gram.y" /* yacc.c:1646  */
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);

					n->trigname = (yyvsp[-9].str);
					n->eventname = (yyvsp[-7].str);
					n->whenclause = (yyvsp[-5].list);
					n->funcname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36378 "gram.c" /* yacc.c:1646  */
    break;

  case 818:
#line 6126 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36384 "gram.c" /* yacc.c:1646  */
    break;

  case 819:
#line 6128 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36390 "gram.c" /* yacc.c:1646  */
    break;

  case 820:
#line 6133 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-4].str), (Node *) (yyvsp[-1].list), (yylsp[-4])); }
#line 36396 "gram.c" /* yacc.c:1646  */
    break;

  case 821:
#line 6138 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36402 "gram.c" /* yacc.c:1646  */
    break;

  case 822:
#line 6140 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36408 "gram.c" /* yacc.c:1646  */
    break;

  case 823:
#line 6145 "gram.y" /* yacc.c:1646  */
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);

					n->trigname = (yyvsp[-1].str);
					n->tgenabled = (yyvsp[0].chr);
					(yyval.node) = (Node *) n;
				}
#line 36420 "gram.c" /* yacc.c:1646  */
    break;

  case 824:
#line 6155 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
#line 36426 "gram.c" /* yacc.c:1646  */
    break;

  case 825:
#line 6156 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
#line 36432 "gram.c" /* yacc.c:1646  */
    break;

  case 826:
#line 6157 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
#line 36438 "gram.c" /* yacc.c:1646  */
    break;

  case 827:
#line 6158 "gram.y" /* yacc.c:1646  */
    { (yyval.chr) = TRIGGER_DISABLED; }
#line 36444 "gram.c" /* yacc.c:1646  */
    break;

  case 828:
#line 6170 "gram.y" /* yacc.c:1646  */
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = NULL;
				}
#line 36456 "gram.c" /* yacc.c:1646  */
    break;

  case 829:
#line 6189 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->replace = (yyvsp[-4].boolean);
					n->defnames = (yyvsp[-2].list);
					n->args = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36472 "gram.c" /* yacc.c:1646  */
    break;

  case 830:
#line 6201 "gram.y" /* yacc.c:1646  */
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->replace = (yyvsp[-3].boolean);
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36489 "gram.c" /* yacc.c:1646  */
    break;

  case 831:
#line 6214 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36504 "gram.c" /* yacc.c:1646  */
    break;

  case 832:
#line 6225 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[-1].list);
					n->args = NIL;
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36519 "gram.c" /* yacc.c:1646  */
    break;

  case 833:
#line 6236 "gram.y" /* yacc.c:1646  */
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[0].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *) n;
				}
#line 36535 "gram.c" /* yacc.c:1646  */
    break;

  case 834:
#line 6248 "gram.y" /* yacc.c:1646  */
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[-4].list), (yylsp[-4]), yyscanner);
					n->coldeflist = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36548 "gram.c" /* yacc.c:1646  */
    break;

  case 835:
#line 6257 "gram.y" /* yacc.c:1646  */
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);

					n->typeName = (yyvsp[-5].list);
					n->vals = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36560 "gram.c" /* yacc.c:1646  */
    break;

  case 836:
#line 6265 "gram.y" /* yacc.c:1646  */
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);

					n->typeName = (yyvsp[-3].list);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36572 "gram.c" /* yacc.c:1646  */
    break;

  case 837:
#line 6273 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36586 "gram.c" /* yacc.c:1646  */
    break;

  case 838:
#line 6283 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36600 "gram.c" /* yacc.c:1646  */
    break;

  case 839:
#line 6293 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36614 "gram.c" /* yacc.c:1646  */
    break;

  case 840:
#line 6303 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36628 "gram.c" /* yacc.c:1646  */
    break;

  case 841:
#line 6313 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36642 "gram.c" /* yacc.c:1646  */
    break;

  case 842:
#line 6323 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-1].list);
					n->definition = (yyvsp[0].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36657 "gram.c" /* yacc.c:1646  */
    break;

  case 843:
#line 6334 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 36671 "gram.c" /* yacc.c:1646  */
    break;

  case 844:
#line 6344 "gram.y" /* yacc.c:1646  */
    {
					DefineStmt *n = makeNode(DefineStmt);

					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[-2].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[0].list), (yylsp[0])));
					n->if_not_exists = true;
					(yyval.node) = (Node *) n;
				}
#line 36686 "gram.c" /* yacc.c:1646  */
    break;

  case 845:
#line 6356 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36692 "gram.c" /* yacc.c:1646  */
    break;

  case 846:
#line 6359 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36698 "gram.c" /* yacc.c:1646  */
    break;

  case 847:
#line 6360 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36704 "gram.c" /* yacc.c:1646  */
    break;

  case 848:
#line 6364 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36712 "gram.c" /* yacc.c:1646  */
    break;

  case 849:
#line 6368 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0]));
				}
#line 36720 "gram.c" /* yacc.c:1646  */
    break;

  case 850:
#line 6374 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 36726 "gram.c" /* yacc.c:1646  */
    break;

  case 851:
#line 6375 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36732 "gram.c" /* yacc.c:1646  */
    break;

  case 852:
#line 6376 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 36738 "gram.c" /* yacc.c:1646  */
    break;

  case 853:
#line 6377 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 36744 "gram.c" /* yacc.c:1646  */
    break;

  case 854:
#line 6378 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 36750 "gram.c" /* yacc.c:1646  */
    break;

  case 855:
#line 6379 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 36756 "gram.c" /* yacc.c:1646  */
    break;

  case 856:
#line 6382 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 36762 "gram.c" /* yacc.c:1646  */
    break;

  case 857:
#line 6385 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 36768 "gram.c" /* yacc.c:1646  */
    break;

  case 858:
#line 6386 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 36774 "gram.c" /* yacc.c:1646  */
    break;

  case 859:
#line 6395 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2]));
				}
#line 36782 "gram.c" /* yacc.c:1646  */
    break;

  case 860:
#line 6401 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 36788 "gram.c" /* yacc.c:1646  */
    break;

  case 861:
#line 6402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 36794 "gram.c" /* yacc.c:1646  */
    break;

  case 862:
#line 6406 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 36800 "gram.c" /* yacc.c:1646  */
    break;

  case 863:
#line 6408 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 36806 "gram.c" /* yacc.c:1646  */
    break;

  case 864:
#line 6419 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-4].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-1].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36822 "gram.c" /* yacc.c:1646  */
    break;

  case 865:
#line 6431 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = false;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36838 "gram.c" /* yacc.c:1646  */
    break;

  case 866:
#line 6443 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-6].list);
				n->oldVal = NULL;
				n->newVal = (yyvsp[-2].str);
				n->newValNeighbor = (yyvsp[0].str);
				n->newValIsAfter = true;
				n->skipIfNewValExists = (yyvsp[-3].boolean);
				(yyval.node) = (Node *) n;
			}
#line 36854 "gram.c" /* yacc.c:1646  */
    break;

  case 867:
#line 6455 "gram.y" /* yacc.c:1646  */
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);

				n->typeName = (yyvsp[-5].list);
				n->oldVal = (yyvsp[-2].str);
				n->newVal = (yyvsp[0].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = false;
				n->skipIfNewValExists = false;
				(yyval.node) = (Node *) n;
			}
#line 36870 "gram.c" /* yacc.c:1646  */
    break;

  case 868:
#line 6467 "gram.y" /* yacc.c:1646  */
    {
				/*
				 * The following problems must be solved before this can be
				 * implemented:
				 *
				 * - There must be no instance of the target value in
				 *   any table.
				 *
				 * - The value must not appear in any catalog metadata,
				 *   such as stored view expressions or column defaults.
				 *
				 * - The value must not appear in any non-leaf page of a
				 *   btree (and similar issues with other index types).
				 *   This is problematic because a value could persist
				 *   there long after it's gone from user-visible data.
				 *
				 * - Concurrent sessions must not be able to insert the
				 *   value while the preceding conditions are being checked.
				 *
				 * - Possibly more...
				 */
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("dropping an enum value is not implemented"),
						 parser_errposition((yylsp[-2]))));
			}
#line 36901 "gram.c" /* yacc.c:1646  */
    break;

  case 869:
#line 6495 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 36907 "gram.c" /* yacc.c:1646  */
    break;

  case 870:
#line 6496 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 36913 "gram.c" /* yacc.c:1646  */
    break;

  case 871:
#line 6514 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);

					n->opclassname = (yyvsp[-9].list);
					n->isDefault = (yyvsp[-8].boolean);
					n->datatype = (yyvsp[-5].typnam);
					n->amname = (yyvsp[-3].str);
					n->opfamilyname = (yyvsp[-2].list);
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 36929 "gram.c" /* yacc.c:1646  */
    break;

  case 872:
#line 6528 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 36935 "gram.c" /* yacc.c:1646  */
    break;

  case 873:
#line 6529 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 36941 "gram.c" /* yacc.c:1646  */
    break;

  case 874:
#line 6534 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					ObjectWithArgs *owa = makeNode(ObjectWithArgs);

					owa->objname = (yyvsp[-2].list);
					owa->objargs = NIL;
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = owa;
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36958 "gram.c" /* yacc.c:1646  */
    break;

  case 875:
#line 6548 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[-2].objwithargs);
					n->number = (yyvsp[-3].ival);
					n->order_family = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 36972 "gram.c" /* yacc.c:1646  */
    break;

  case 876:
#line 6558 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-1].ival);
					(yyval.node) = (Node *) n;
				}
#line 36985 "gram.c" /* yacc.c:1646  */
    break;

  case 877:
#line 6567 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[0].objwithargs);
					n->number = (yyvsp[-4].ival);
					n->class_args = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 36999 "gram.c" /* yacc.c:1646  */
    break;

  case 878:
#line 6577 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[0].typnam);
					(yyval.node) = (Node *) n;
				}
#line 37011 "gram.c" /* yacc.c:1646  */
    break;

  case 879:
#line 6586 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37017 "gram.c" /* yacc.c:1646  */
    break;

  case 880:
#line 6587 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37023 "gram.c" /* yacc.c:1646  */
    break;

  case 881:
#line 6590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37029 "gram.c" /* yacc.c:1646  */
    break;

  case 882:
#line 6591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37035 "gram.c" /* yacc.c:1646  */
    break;

  case 883:
#line 6594 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37041 "gram.c" /* yacc.c:1646  */
    break;

  case 884:
#line 6595 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 37047 "gram.c" /* yacc.c:1646  */
    break;

  case 885:
#line 6596 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 37053 "gram.c" /* yacc.c:1646  */
    break;

  case 886:
#line 6600 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[0]))));
					(yyval.boolean) = true;
				}
#line 37071 "gram.c" /* yacc.c:1646  */
    break;

  case 887:
#line 6613 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37077 "gram.c" /* yacc.c:1646  */
    break;

  case 888:
#line 6619 "gram.y" /* yacc.c:1646  */
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);

					n->opfamilyname = (yyvsp[-2].list);
					n->amname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37089 "gram.c" /* yacc.c:1646  */
    break;

  case 889:
#line 6630 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = false;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37103 "gram.c" /* yacc.c:1646  */
    break;

  case 890:
#line 6640 "gram.y" /* yacc.c:1646  */
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);

					n->opfamilyname = (yyvsp[-4].list);
					n->amname = (yyvsp[-2].str);
					n->isDrop = true;
					n->items = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 37117 "gram.c" /* yacc.c:1646  */
    break;

  case 891:
#line 6652 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 37123 "gram.c" /* yacc.c:1646  */
    break;

  case 892:
#line 6653 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 37129 "gram.c" /* yacc.c:1646  */
    break;

  case 893:
#line 6658 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37142 "gram.c" /* yacc.c:1646  */
    break;

  case 894:
#line 6667 "gram.y" /* yacc.c:1646  */
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);

					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[-3].ival);
					n->class_args = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 37155 "gram.c" /* yacc.c:1646  */
    break;

  case 895:
#line 6680 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37170 "gram.c" /* yacc.c:1646  */
    break;

  case 896:
#line 6691 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37185 "gram.c" /* yacc.c:1646  */
    break;

  case 897:
#line 6705 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37200 "gram.c" /* yacc.c:1646  */
    break;

  case 898:
#line 6716 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->objects = list_make1(lcons(makeString((yyvsp[-1].str)), (yyvsp[-3].list)));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37215 "gram.c" /* yacc.c:1646  */
    break;

  case 899:
#line 6739 "gram.y" /* yacc.c:1646  */
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);

					n->roles = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37227 "gram.c" /* yacc.c:1646  */
    break;

  case 900:
#line 6750 "gram.y" /* yacc.c:1646  */
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);

					n->roles = (yyvsp[-2].list);
					n->newrole = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 37239 "gram.c" /* yacc.c:1646  */
    break;

  case 901:
#line 6769 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37254 "gram.c" /* yacc.c:1646  */
    break;

  case 902:
#line 6780 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37269 "gram.c" /* yacc.c:1646  */
    break;

  case 903:
#line 6791 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37284 "gram.c" /* yacc.c:1646  */
    break;

  case 904:
#line 6802 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-2].objtype);
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37299 "gram.c" /* yacc.c:1646  */
    break;

  case 905:
#line 6813 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-4].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37314 "gram.c" /* yacc.c:1646  */
    break;

  case 906:
#line 6824 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = (yyvsp[-6].objtype);
					n->objects = list_make1(lappend((yyvsp[-1].list), makeString((yyvsp[-3].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37329 "gram.c" /* yacc.c:1646  */
    break;

  case 907:
#line 6835 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37344 "gram.c" /* yacc.c:1646  */
    break;

  case 908:
#line 6846 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TYPE;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37359 "gram.c" /* yacc.c:1646  */
    break;

  case 909:
#line 6857 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37374 "gram.c" /* yacc.c:1646  */
    break;

  case 910:
#line 6868 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_DOMAIN;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 37389 "gram.c" /* yacc.c:1646  */
    break;

  case 911:
#line 6879 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = false;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 37404 "gram.c" /* yacc.c:1646  */
    break;

  case 912:
#line 6890 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_INDEX;
					n->missing_ok = true;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *) n;
				}
#line 37419 "gram.c" /* yacc.c:1646  */
    break;

  case 913:
#line 6904 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLE; }
#line 37425 "gram.c" /* yacc.c:1646  */
    break;

  case 914:
#line 6905 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SEQUENCE; }
#line 37431 "gram.c" /* yacc.c:1646  */
    break;

  case 915:
#line 6906 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_VIEW; }
#line 37437 "gram.c" /* yacc.c:1646  */
    break;

  case 916:
#line 6907 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_MATVIEW; }
#line 37443 "gram.c" /* yacc.c:1646  */
    break;

  case 917:
#line 6908 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_INDEX; }
#line 37449 "gram.c" /* yacc.c:1646  */
    break;

  case 918:
#line 6909 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
#line 37455 "gram.c" /* yacc.c:1646  */
    break;

  case 919:
#line 6910 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_COLLATION; }
#line 37461 "gram.c" /* yacc.c:1646  */
    break;

  case 920:
#line 6911 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_CONVERSION; }
#line 37467 "gram.c" /* yacc.c:1646  */
    break;

  case 921:
#line 6912 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_STATISTIC_EXT; }
#line 37473 "gram.c" /* yacc.c:1646  */
    break;

  case 922:
#line 6913 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSPARSER; }
#line 37479 "gram.c" /* yacc.c:1646  */
    break;

  case 923:
#line 6914 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
#line 37485 "gram.c" /* yacc.c:1646  */
    break;

  case 924:
#line 6915 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
#line 37491 "gram.c" /* yacc.c:1646  */
    break;

  case 925:
#line 6916 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
#line 37497 "gram.c" /* yacc.c:1646  */
    break;

  case 926:
#line 6926 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = (yyvsp[0].objtype); }
#line 37503 "gram.c" /* yacc.c:1646  */
    break;

  case 927:
#line 6927 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_DATABASE; }
#line 37509 "gram.c" /* yacc.c:1646  */
    break;

  case 928:
#line 6928 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ROLE; }
#line 37515 "gram.c" /* yacc.c:1646  */
    break;

  case 929:
#line 6929 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SUBSCRIPTION; }
#line 37521 "gram.c" /* yacc.c:1646  */
    break;

  case 930:
#line 6930 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TABLESPACE; }
#line 37527 "gram.c" /* yacc.c:1646  */
    break;

  case 931:
#line 6934 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_ACCESS_METHOD; }
#line 37533 "gram.c" /* yacc.c:1646  */
    break;

  case 932:
#line 6935 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
#line 37539 "gram.c" /* yacc.c:1646  */
    break;

  case 933:
#line 6936 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_EXTENSION; }
#line 37545 "gram.c" /* yacc.c:1646  */
    break;

  case 934:
#line 6937 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FDW; }
#line 37551 "gram.c" /* yacc.c:1646  */
    break;

  case 935:
#line 6938 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_LANGUAGE; }
#line 37557 "gram.c" /* yacc.c:1646  */
    break;

  case 936:
#line 6939 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_PUBLICATION; }
#line 37563 "gram.c" /* yacc.c:1646  */
    break;

  case 937:
#line 6940 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_SCHEMA; }
#line 37569 "gram.c" /* yacc.c:1646  */
    break;

  case 938:
#line 6941 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
#line 37575 "gram.c" /* yacc.c:1646  */
    break;

  case 939:
#line 6946 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_POLICY; }
#line 37581 "gram.c" /* yacc.c:1646  */
    break;

  case 940:
#line 6947 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_RULE; }
#line 37587 "gram.c" /* yacc.c:1646  */
    break;

  case 941:
#line 6948 "gram.y" /* yacc.c:1646  */
    { (yyval.objtype) = OBJECT_TRIGGER; }
#line 37593 "gram.c" /* yacc.c:1646  */
    break;

  case 942:
#line 6952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 37599 "gram.c" /* yacc.c:1646  */
    break;

  case 943:
#line 6953 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 37605 "gram.c" /* yacc.c:1646  */
    break;

  case 944:
#line 6956 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37611 "gram.c" /* yacc.c:1646  */
    break;

  case 945:
#line 6957 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)); }
#line 37617 "gram.c" /* yacc.c:1646  */
    break;

  case 946:
#line 6961 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 37623 "gram.c" /* yacc.c:1646  */
    break;

  case 947:
#line 6963 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 37629 "gram.c" /* yacc.c:1646  */
    break;

  case 948:
#line 6967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 37635 "gram.c" /* yacc.c:1646  */
    break;

  case 949:
#line 6968 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 37641 "gram.c" /* yacc.c:1646  */
    break;

  case 950:
#line 6980 "gram.y" /* yacc.c:1646  */
    {
					TruncateStmt *n = makeNode(TruncateStmt);

					n->relations = (yyvsp[-2].list);
					n->restart_seqs = (yyvsp[-1].boolean);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 37654 "gram.c" /* yacc.c:1646  */
    break;

  case 951:
#line 6991 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37660 "gram.c" /* yacc.c:1646  */
    break;

  case 952:
#line 6992 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 37666 "gram.c" /* yacc.c:1646  */
    break;

  case 953:
#line 6993 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 37672 "gram.c" /* yacc.c:1646  */
    break;

  case 954:
#line 7004 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37685 "gram.c" /* yacc.c:1646  */
    break;

  case 955:
#line 7013 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37698 "gram.c" /* yacc.c:1646  */
    break;

  case 956:
#line 7022 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37711 "gram.c" /* yacc.c:1646  */
    break;

  case 957:
#line 7031 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37724 "gram.c" /* yacc.c:1646  */
    break;

  case 958:
#line 7040 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37737 "gram.c" /* yacc.c:1646  */
    break;

  case 959:
#line 7049 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37750 "gram.c" /* yacc.c:1646  */
    break;

  case 960:
#line 7058 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37763 "gram.c" /* yacc.c:1646  */
    break;

  case 961:
#line 7067 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37776 "gram.c" /* yacc.c:1646  */
    break;

  case 962:
#line 7076 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TABCONSTRAINT;
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37789 "gram.c" /* yacc.c:1646  */
    break;

  case 963:
#line 7085 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_DOMCONSTRAINT;
					/*
					 * should use Typename not any_name in the production, but
					 * there's a shift/reduce conflict if we do that, so fix it
					 * up here.
					 */
					n->object = (Node *) list_make2(makeTypeNameFromNameList((yyvsp[-2].list)), makeString((yyvsp[-5].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37807 "gram.c" /* yacc.c:1646  */
    break;

  case 964:
#line 7099 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = (yyvsp[-5].objtype);
					n->object = (Node *) lappend((yyvsp[-2].list), makeString((yyvsp[-4].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37820 "gram.c" /* yacc.c:1646  */
    break;

  case 965:
#line 7108 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37833 "gram.c" /* yacc.c:1646  */
    break;

  case 966:
#line 7117 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37846 "gram.c" /* yacc.c:1646  */
    break;

  case 967:
#line 7126 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_TRANSFORM;
					n->object = (Node *) list_make2((yyvsp[-4].typnam), makeString((yyvsp[-2].str)));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37859 "gram.c" /* yacc.c:1646  */
    break;

  case 968:
#line 7135 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37872 "gram.c" /* yacc.c:1646  */
    break;

  case 969:
#line 7144 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-2].str)), (yyvsp[-4].list));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37885 "gram.c" /* yacc.c:1646  */
    break;

  case 970:
#line 7153 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37898 "gram.c" /* yacc.c:1646  */
    break;

  case 971:
#line 7162 "gram.y" /* yacc.c:1646  */
    {
					CommentStmt *n = makeNode(CommentStmt);

					n->objtype = OBJECT_CAST;
					n->object = (Node *) list_make2((yyvsp[-5].typnam), (yyvsp[-3].typnam));
					n->comment = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37911 "gram.c" /* yacc.c:1646  */
    break;

  case 972:
#line 7173 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 37917 "gram.c" /* yacc.c:1646  */
    break;

  case 973:
#line 7174 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 37923 "gram.c" /* yacc.c:1646  */
    break;

  case 974:
#line 7190 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37937 "gram.c" /* yacc.c:1646  */
    break;

  case 975:
#line 7201 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_COLUMN;
					n->object = (Node *) (yyvsp[-2].list);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37951 "gram.c" /* yacc.c:1646  */
    break;

  case 976:
#line 7212 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = (yyvsp[-3].objtype);
					n->object = (Node *) makeString((yyvsp[-2].str));
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37965 "gram.c" /* yacc.c:1646  */
    break;

  case 977:
#line 7223 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37979 "gram.c" /* yacc.c:1646  */
    break;

  case 978:
#line 7234 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-2].typnam);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 37993 "gram.c" /* yacc.c:1646  */
    break;

  case 979:
#line 7245 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38007 "gram.c" /* yacc.c:1646  */
    break;

  case 980:
#line 7256 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38021 "gram.c" /* yacc.c:1646  */
    break;

  case 981:
#line 7267 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-6].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-2].node);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38035 "gram.c" /* yacc.c:1646  */
    break;

  case 982:
#line 7278 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38049 "gram.c" /* yacc.c:1646  */
    break;

  case 983:
#line 7289 "gram.y" /* yacc.c:1646  */
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);

					n->provider = (yyvsp[-5].str);
					n->objtype = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-2].objwithargs);
					n->label = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 38063 "gram.c" /* yacc.c:1646  */
    break;

  case 984:
#line 7300 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38069 "gram.c" /* yacc.c:1646  */
    break;

  case 985:
#line 7301 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38075 "gram.c" /* yacc.c:1646  */
    break;

  case 986:
#line 7304 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 38081 "gram.c" /* yacc.c:1646  */
    break;

  case 987:
#line 7305 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 38087 "gram.c" /* yacc.c:1646  */
    break;

  case 988:
#line 7316 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = false;
					(yyval.node) = (Node *) n;
				}
#line 38098 "gram.c" /* yacc.c:1646  */
    break;

  case 989:
#line 7323 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[0].node);

					n->ismove = true;
					(yyval.node) = (Node *) n;
				}
#line 38109 "gram.c" /* yacc.c:1646  */
    break;

  case 990:
#line 7332 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38122 "gram.c" /* yacc.c:1646  */
    break;

  case 991:
#line 7341 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38135 "gram.c" /* yacc.c:1646  */
    break;

  case 992:
#line 7350 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38148 "gram.c" /* yacc.c:1646  */
    break;

  case 993:
#line 7359 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38161 "gram.c" /* yacc.c:1646  */
    break;

  case 994:
#line 7368 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38174 "gram.c" /* yacc.c:1646  */
    break;

  case 995:
#line 7377 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *) n;
				}
#line 38187 "gram.c" /* yacc.c:1646  */
    break;

  case 996:
#line 7386 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38200 "gram.c" /* yacc.c:1646  */
    break;

  case 997:
#line 7395 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38213 "gram.c" /* yacc.c:1646  */
    break;

  case 998:
#line 7404 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38226 "gram.c" /* yacc.c:1646  */
    break;

  case 999:
#line 7413 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38239 "gram.c" /* yacc.c:1646  */
    break;

  case 1000:
#line 7422 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38252 "gram.c" /* yacc.c:1646  */
    break;

  case 1001:
#line 7431 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38265 "gram.c" /* yacc.c:1646  */
    break;

  case 1002:
#line 7440 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38278 "gram.c" /* yacc.c:1646  */
    break;

  case 1003:
#line 7449 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *) n;
				}
#line 38291 "gram.c" /* yacc.c:1646  */
    break;

  case 1004:
#line 7458 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[-2].ival);
					(yyval.node) = (Node *) n;
				}
#line 38304 "gram.c" /* yacc.c:1646  */
    break;

  case 1005:
#line 7467 "gram.y" /* yacc.c:1646  */
    {
					FetchStmt *n = makeNode(FetchStmt);

					n->portalname = (yyvsp[0].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *) n;
				}
#line 38317 "gram.c" /* yacc.c:1646  */
    break;

  case 1010:
#line 7494 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grant_option = (yyvsp[-1].boolean);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38335 "gram.c" /* yacc.c:1646  */
    break;

  case 1011:
#line 7512 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38354 "gram.c" /* yacc.c:1646  */
    break;

  case 1012:
#line 7528 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-6].list);
					n->targtype = ((yyvsp[-4].privtarget))->targtype;
					n->objtype = ((yyvsp[-4].privtarget))->objtype;
					n->objects = ((yyvsp[-4].privtarget))->objs;
					n->grantees = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38373 "gram.c" /* yacc.c:1646  */
    break;

  case 1013:
#line 7555 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 38379 "gram.c" /* yacc.c:1646  */
    break;

  case 1014:
#line 7557 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38385 "gram.c" /* yacc.c:1646  */
    break;

  case 1015:
#line 7559 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38391 "gram.c" /* yacc.c:1646  */
    break;

  case 1016:
#line 7561 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 38403 "gram.c" /* yacc.c:1646  */
    break;

  case 1017:
#line 7569 "gram.y" /* yacc.c:1646  */
    {
					AccessPriv *n = makeNode(AccessPriv);

					n->priv_name = NULL;
					n->cols = (yyvsp[-1].list);
					(yyval.list) = list_make1(n);
				}
#line 38415 "gram.c" /* yacc.c:1646  */
    break;

  case 1018:
#line 7578 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].accesspriv)); }
#line 38421 "gram.c" /* yacc.c:1646  */
    break;

  case 1019:
#line 7579 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].accesspriv)); }
#line 38427 "gram.c" /* yacc.c:1646  */
    break;

  case 1020:
#line 7583 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38439 "gram.c" /* yacc.c:1646  */
    break;

  case 1021:
#line 7591 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38451 "gram.c" /* yacc.c:1646  */
    break;

  case 1022:
#line 7599 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = pstrdup((yyvsp[-1].keyword));
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38463 "gram.c" /* yacc.c:1646  */
    break;

  case 1023:
#line 7607 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup("alter system");
				n->cols = NIL;
				(yyval.accesspriv) = n;
			}
#line 38474 "gram.c" /* yacc.c:1646  */
    break;

  case 1024:
#line 7614 "gram.y" /* yacc.c:1646  */
    {
				AccessPriv *n = makeNode(AccessPriv);

				n->priv_name = (yyvsp[-1].str);
				n->cols = (yyvsp[0].list);
				(yyval.accesspriv) = n;
			}
#line 38486 "gram.c" /* yacc.c:1646  */
    break;

  case 1025:
#line 7625 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = list_make1(makeString((yyvsp[0].str)));
			}
#line 38494 "gram.c" /* yacc.c:1646  */
    break;

  case 1026:
#line 7629 "gram.y" /* yacc.c:1646  */
    {
				(yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str)));
			}
#line 38502 "gram.c" /* yacc.c:1646  */
    break;

  case 1027:
#line 7636 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = (yyvsp[0].str);
			}
#line 38510 "gram.c" /* yacc.c:1646  */
    break;

  case 1028:
#line 7640 "gram.y" /* yacc.c:1646  */
    {
				(yyval.str) = psprintf("%s.%s", (yyvsp[-2].str), (yyvsp[0].str));
			}
#line 38518 "gram.c" /* yacc.c:1646  */
    break;

  case 1029:
#line 7651 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38531 "gram.c" /* yacc.c:1646  */
    break;

  case 1030:
#line 7660 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38544 "gram.c" /* yacc.c:1646  */
    break;

  case 1031:
#line 7669 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38557 "gram.c" /* yacc.c:1646  */
    break;

  case 1032:
#line 7678 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FDW;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38570 "gram.c" /* yacc.c:1646  */
    break;

  case 1033:
#line 7687 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38583 "gram.c" /* yacc.c:1646  */
    break;

  case 1034:
#line 7696 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38596 "gram.c" /* yacc.c:1646  */
    break;

  case 1035:
#line 7705 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38609 "gram.c" /* yacc.c:1646  */
    break;

  case 1036:
#line 7714 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38622 "gram.c" /* yacc.c:1646  */
    break;

  case 1037:
#line 7723 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DATABASE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38635 "gram.c" /* yacc.c:1646  */
    break;

  case 1038:
#line 7732 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_DOMAIN;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38648 "gram.c" /* yacc.c:1646  */
    break;

  case 1039:
#line 7741 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LANGUAGE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38661 "gram.c" /* yacc.c:1646  */
    break;

  case 1040:
#line 7750 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38674 "gram.c" /* yacc.c:1646  */
    break;

  case 1041:
#line 7759 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_PARAMETER_ACL;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38686 "gram.c" /* yacc.c:1646  */
    break;

  case 1042:
#line 7767 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_SCHEMA;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38699 "gram.c" /* yacc.c:1646  */
    break;

  case 1043:
#line 7776 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TABLESPACE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38712 "gram.c" /* yacc.c:1646  */
    break;

  case 1044:
#line 7785 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = OBJECT_TYPE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38725 "gram.c" /* yacc.c:1646  */
    break;

  case 1045:
#line 7794 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_TABLE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38738 "gram.c" /* yacc.c:1646  */
    break;

  case 1046:
#line 7803 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_SEQUENCE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38751 "gram.c" /* yacc.c:1646  */
    break;

  case 1047:
#line 7812 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_FUNCTION;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38764 "gram.c" /* yacc.c:1646  */
    break;

  case 1048:
#line 7821 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_PROCEDURE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38777 "gram.c" /* yacc.c:1646  */
    break;

  case 1049:
#line 7830 "gram.y" /* yacc.c:1646  */
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));

					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = OBJECT_ROUTINE;
					n->objs = (yyvsp[0].list);
					(yyval.privtarget) = n;
				}
#line 38790 "gram.c" /* yacc.c:1646  */
    break;

  case 1050:
#line 7842 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 38796 "gram.c" /* yacc.c:1646  */
    break;

  case 1051:
#line 7843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 38802 "gram.c" /* yacc.c:1646  */
    break;

  case 1052:
#line 7847 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38808 "gram.c" /* yacc.c:1646  */
    break;

  case 1053:
#line 7848 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38814 "gram.c" /* yacc.c:1646  */
    break;

  case 1054:
#line 7853 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 38820 "gram.c" /* yacc.c:1646  */
    break;

  case 1055:
#line 7854 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 38826 "gram.c" /* yacc.c:1646  */
    break;

  case 1056:
#line 7865 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-3].list);
					n->grantee_roles = (yyvsp[-1].list);
					n->opt = NIL;
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38841 "gram.c" /* yacc.c:1646  */
    break;

  case 1057:
#line 7876 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = true;
					n->granted_roles = (yyvsp[-5].list);
					n->grantee_roles = (yyvsp[-3].list);
					n->opt = (yyvsp[-1].list);
					n->grantor = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 38856 "gram.c" /* yacc.c:1646  */
    break;

  case 1058:
#line 7890 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);

					n->is_grant = false;
					n->opt = NIL;
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38872 "gram.c" /* yacc.c:1646  */
    break;

  case 1059:
#line 7902 "gram.y" /* yacc.c:1646  */
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					DefElem *opt;

					opt = makeDefElem(pstrdup((yyvsp[-7].str)),
									  (Node *) makeBoolean(false), (yylsp[-7]));
					n->is_grant = false;
					n->opt = list_make1(opt);
					n->granted_roles = (yyvsp[-4].list);
					n->grantee_roles = (yyvsp[-2].list);
					n->grantor = (yyvsp[-1].rolespec);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 38891 "gram.c" /* yacc.c:1646  */
    break;

  case 1060:
#line 7919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 38897 "gram.c" /* yacc.c:1646  */
    break;

  case 1061:
#line 7920 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 38903 "gram.c" /* yacc.c:1646  */
    break;

  case 1062:
#line 7925 "gram.y" /* yacc.c:1646  */
    {
				(yyval.defelt) = makeDefElem(pstrdup((yyvsp[-1].str)), (yyvsp[0].node), (yylsp[-1]));
			}
#line 38911 "gram.c" /* yacc.c:1646  */
    break;

  case 1063:
#line 7931 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38917 "gram.c" /* yacc.c:1646  */
    break;

  case 1064:
#line 7932 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(true); }
#line 38923 "gram.c" /* yacc.c:1646  */
    break;

  case 1065:
#line 7933 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeBoolean(false); }
#line 38929 "gram.c" /* yacc.c:1646  */
    break;

  case 1066:
#line 7936 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = (yyvsp[0].rolespec); }
#line 38935 "gram.c" /* yacc.c:1646  */
    break;

  case 1067:
#line 7937 "gram.y" /* yacc.c:1646  */
    { (yyval.rolespec) = NULL; }
#line 38941 "gram.c" /* yacc.c:1646  */
    break;

  case 1068:
#line 7948 "gram.y" /* yacc.c:1646  */
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);

					n->options = (yyvsp[-1].list);
					n->action = (GrantStmt *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 38953 "gram.c" /* yacc.c:1646  */
    break;

  case 1069:
#line 7958 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 38959 "gram.c" /* yacc.c:1646  */
    break;

  case 1070:
#line 7959 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 38965 "gram.c" /* yacc.c:1646  */
    break;

  case 1071:
#line 7964 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38973 "gram.c" /* yacc.c:1646  */
    break;

  case 1072:
#line 7968 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38981 "gram.c" /* yacc.c:1646  */
    break;

  case 1073:
#line 7972 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("roles", (Node *) (yyvsp[0].list), (yylsp[-2]));
				}
#line 38989 "gram.c" /* yacc.c:1646  */
    break;

  case 1074:
#line 7984 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->grant_option = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 39006 "gram.c" /* yacc.c:1646  */
    break;

  case 1075:
#line 7998 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39024 "gram.c" /* yacc.c:1646  */
    break;

  case 1076:
#line 8013 "gram.y" /* yacc.c:1646  */
    {
					GrantStmt *n = makeNode(GrantStmt);

					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[-5].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[-3].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 39042 "gram.c" /* yacc.c:1646  */
    break;

  case 1077:
#line 8029 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TABLE; }
#line 39048 "gram.c" /* yacc.c:1646  */
    break;

  case 1078:
#line 8030 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39054 "gram.c" /* yacc.c:1646  */
    break;

  case 1079:
#line 8031 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_FUNCTION; }
#line 39060 "gram.c" /* yacc.c:1646  */
    break;

  case 1080:
#line 8032 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SEQUENCE; }
#line 39066 "gram.c" /* yacc.c:1646  */
    break;

  case 1081:
#line 8033 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_TYPE; }
#line 39072 "gram.c" /* yacc.c:1646  */
    break;

  case 1082:
#line 8034 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OBJECT_SCHEMA; }
#line 39078 "gram.c" /* yacc.c:1646  */
    break;

  case 1083:
#line 8049 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-14].boolean);
					n->concurrent = (yyvsp[-12].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = false;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39112 "gram.c" /* yacc.c:1646  */
    break;

  case 1084:
#line 8081 "gram.y" /* yacc.c:1646  */
    {
					IndexStmt *n = makeNode(IndexStmt);

					n->unique = (yyvsp[-17].boolean);
					n->concurrent = (yyvsp[-15].boolean);
					n->idxname = (yyvsp[-11].str);
					n->relation = (yyvsp[-9].range);
					n->accessMethod = (yyvsp[-8].str);
					n->indexParams = (yyvsp[-6].list);
					n->indexIncludingParams = (yyvsp[-4].list);
					n->nulls_not_distinct = !(yyvsp[-3].boolean);
					n->options = (yyvsp[-2].list);
					n->tableSpace = (yyvsp[-1].str);
					n->whereClause = (yyvsp[0].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNumber = InvalidRelFileNumber;
					n->oldCreateSubid = InvalidSubTransactionId;
					n->oldFirstRelfilelocatorSubid = InvalidSubTransactionId;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					n->transformed = false;
					n->if_not_exists = true;
					n->reset_default_tblspc = false;
					(yyval.node) = (Node *) n;
				}
#line 39146 "gram.c" /* yacc.c:1646  */
    break;

  case 1085:
#line 8113 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39152 "gram.c" /* yacc.c:1646  */
    break;

  case 1086:
#line 8114 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39158 "gram.c" /* yacc.c:1646  */
    break;

  case 1087:
#line 8118 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 39164 "gram.c" /* yacc.c:1646  */
    break;

  case 1088:
#line 8119 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
#line 39170 "gram.c" /* yacc.c:1646  */
    break;

  case 1089:
#line 8122 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39176 "gram.c" /* yacc.c:1646  */
    break;

  case 1090:
#line 8123 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39182 "gram.c" /* yacc.c:1646  */
    break;

  case 1091:
#line 8129 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-3].list);
			(yyval.ielem)->opclass = (yyvsp[-2].list);
			(yyval.ielem)->opclassopts = NIL;
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39198 "gram.c" /* yacc.c:1646  */
    break;

  case 1092:
#line 8141 "gram.y" /* yacc.c:1646  */
    {
			(yyval.ielem) = makeNode(IndexElem);
			(yyval.ielem)->name = NULL;
			(yyval.ielem)->expr = NULL;
			(yyval.ielem)->indexcolname = NULL;
			(yyval.ielem)->collation = (yyvsp[-4].list);
			(yyval.ielem)->opclass = (yyvsp[-3].list);
			(yyval.ielem)->opclassopts = (yyvsp[-2].list);
			(yyval.ielem)->ordering = (yyvsp[-1].ival);
			(yyval.ielem)->nulls_ordering = (yyvsp[0].ival);
		}
#line 39214 "gram.c" /* yacc.c:1646  */
    break;

  case 1093:
#line 8160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->name = (yyvsp[-1].str);
				}
#line 39223 "gram.c" /* yacc.c:1646  */
    break;

  case 1094:
#line 8165 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-1].node);
				}
#line 39232 "gram.c" /* yacc.c:1646  */
    break;

  case 1095:
#line 8170 "gram.y" /* yacc.c:1646  */
    {
					(yyval.ielem) = (yyvsp[0].ielem);
					(yyval.ielem)->expr = (yyvsp[-2].node);
				}
#line 39241 "gram.c" /* yacc.c:1646  */
    break;

  case 1096:
#line 8176 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39247 "gram.c" /* yacc.c:1646  */
    break;

  case 1097:
#line 8177 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39253 "gram.c" /* yacc.c:1646  */
    break;

  case 1098:
#line 8180 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].ielem)); }
#line 39259 "gram.c" /* yacc.c:1646  */
    break;

  case 1099:
#line 8181 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].ielem)); }
#line 39265 "gram.c" /* yacc.c:1646  */
    break;

  case 1100:
#line 8184 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 39271 "gram.c" /* yacc.c:1646  */
    break;

  case 1101:
#line 8185 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39277 "gram.c" /* yacc.c:1646  */
    break;

  case 1102:
#line 8189 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_ASC; }
#line 39283 "gram.c" /* yacc.c:1646  */
    break;

  case 1103:
#line 8190 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DESC; }
#line 39289 "gram.c" /* yacc.c:1646  */
    break;

  case 1104:
#line 8191 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_DEFAULT; }
#line 39295 "gram.c" /* yacc.c:1646  */
    break;

  case 1105:
#line 8194 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
#line 39301 "gram.c" /* yacc.c:1646  */
    break;

  case 1106:
#line 8195 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_LAST; }
#line 39307 "gram.c" /* yacc.c:1646  */
    break;

  case 1107:
#line 8196 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
#line 39313 "gram.c" /* yacc.c:1646  */
    break;

  case 1108:
#line 8214 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-7].boolean);
					n->funcname = (yyvsp[-5].list);
					n->parameters = (yyvsp[-4].list);
					n->returnType = (yyvsp[-2].typnam);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39330 "gram.c" /* yacc.c:1646  */
    break;

  case 1109:
#line 8228 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-10].boolean);
					n->funcname = (yyvsp[-8].list);
					n->parameters = mergeTableFuncParameters((yyvsp[-7].list), (yyvsp[-3].list));
					n->returnType = TableFuncTypeName((yyvsp[-3].list));
					n->returnType->location = (yylsp[-5]);
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39348 "gram.c" /* yacc.c:1646  */
    break;

  case 1110:
#line 8243 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = false;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39365 "gram.c" /* yacc.c:1646  */
    break;

  case 1111:
#line 8257 "gram.y" /* yacc.c:1646  */
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);

					n->is_procedure = true;
					n->replace = (yyvsp[-5].boolean);
					n->funcname = (yyvsp[-3].list);
					n->parameters = (yyvsp[-2].list);
					n->returnType = NULL;
					n->options = (yyvsp[-1].list);
					n->sql_body = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 39382 "gram.c" /* yacc.c:1646  */
    break;

  case 1112:
#line 8272 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 39388 "gram.c" /* yacc.c:1646  */
    break;

  case 1113:
#line 8273 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 39394 "gram.c" /* yacc.c:1646  */
    break;

  case 1114:
#line 8276 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39400 "gram.c" /* yacc.c:1646  */
    break;

  case 1115:
#line 8277 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39406 "gram.c" /* yacc.c:1646  */
    break;

  case 1116:
#line 8281 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39412 "gram.c" /* yacc.c:1646  */
    break;

  case 1117:
#line 8282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39418 "gram.c" /* yacc.c:1646  */
    break;

  case 1118:
#line 8286 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39424 "gram.c" /* yacc.c:1646  */
    break;

  case 1119:
#line 8288 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39430 "gram.c" /* yacc.c:1646  */
    break;

  case 1120:
#line 8293 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractArgTypes((yyvsp[0].list));
					n->objfuncargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 39443 "gram.c" /* yacc.c:1646  */
    break;

  case 1121:
#line 8307 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString(pstrdup((yyvsp[0].keyword))));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39455 "gram.c" /* yacc.c:1646  */
    break;

  case 1122:
#line 8315 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = list_make1(makeString((yyvsp[0].str)));
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39467 "gram.c" /* yacc.c:1646  */
    break;

  case 1123:
#line 8323 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
												  yyscanner);
					n->args_unspecified = true;
					(yyval.objwithargs) = n;
				}
#line 39480 "gram.c" /* yacc.c:1646  */
    break;

  case 1124:
#line 8338 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 39486 "gram.c" /* yacc.c:1646  */
    break;

  case 1125:
#line 8339 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39492 "gram.c" /* yacc.c:1646  */
    break;

  case 1126:
#line 8343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39498 "gram.c" /* yacc.c:1646  */
    break;

  case 1127:
#line 8345 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39504 "gram.c" /* yacc.c:1646  */
    break;

  case 1128:
#line 8360 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-2].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39518 "gram.c" /* yacc.c:1646  */
    break;

  case 1129:
#line 8370 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-2].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39532 "gram.c" /* yacc.c:1646  */
    break;

  case 1130:
#line 8380 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39546 "gram.c" /* yacc.c:1646  */
    break;

  case 1131:
#line 8390 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = (yyvsp[-1].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39560 "gram.c" /* yacc.c:1646  */
    break;

  case 1132:
#line 8400 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = NULL;
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_DEFAULT;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 39574 "gram.c" /* yacc.c:1646  */
    break;

  case 1133:
#line 8412 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
#line 39580 "gram.c" /* yacc.c:1646  */
    break;

  case 1134:
#line 8413 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
#line 39586 "gram.c" /* yacc.c:1646  */
    break;

  case 1135:
#line 8414 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39592 "gram.c" /* yacc.c:1646  */
    break;

  case 1136:
#line 8415 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
#line 39598 "gram.c" /* yacc.c:1646  */
    break;

  case 1137:
#line 8416 "gram.y" /* yacc.c:1646  */
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
#line 39604 "gram.c" /* yacc.c:1646  */
    break;

  case 1139:
#line 8427 "gram.y" /* yacc.c:1646  */
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 39616 "gram.c" /* yacc.c:1646  */
    break;

  case 1140:
#line 8441 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 39622 "gram.c" /* yacc.c:1646  */
    break;

  case 1141:
#line 8443 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39632 "gram.c" /* yacc.c:1646  */
    break;

  case 1142:
#line 8449 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-3].str)), (yyvsp[-2].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = true;
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 39643 "gram.c" /* yacc.c:1646  */
    break;

  case 1143:
#line 8459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39651 "gram.c" /* yacc.c:1646  */
    break;

  case 1144:
#line 8463 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39660 "gram.c" /* yacc.c:1646  */
    break;

  case 1145:
#line 8468 "gram.y" /* yacc.c:1646  */
    {
					(yyval.fun_param) = (yyvsp[-2].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[0].node);
				}
#line 39669 "gram.c" /* yacc.c:1646  */
    break;

  case 1146:
#line 8476 "gram.y" /* yacc.c:1646  */
    {
					if (!((yyvsp[0].fun_param)->mode == FUNC_PARAM_DEFAULT ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[0].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[0]))));
					(yyval.fun_param) = (yyvsp[0].fun_param);
				}
#line 39684 "gram.c" /* yacc.c:1646  */
    break;

  case 1147:
#line 8518 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
#line 39692 "gram.c" /* yacc.c:1646  */
    break;

  case 1148:
#line 8522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(-1));
				}
#line 39700 "gram.c" /* yacc.c:1646  */
    break;

  case 1149:
#line 8526 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-1].list), makeInteger(0));
				}
#line 39708 "gram.c" /* yacc.c:1646  */
    break;

  case 1150:
#line 8530 "gram.y" /* yacc.c:1646  */
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[-4].list), (yyvsp[-1].list), yyscanner);
				}
#line 39717 "gram.c" /* yacc.c:1646  */
    break;

  case 1151:
#line 8537 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].fun_param)); }
#line 39723 "gram.c" /* yacc.c:1646  */
    break;

  case 1152:
#line 8538 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param)); }
#line 39729 "gram.c" /* yacc.c:1646  */
    break;

  case 1153:
#line 8543 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = extractAggrArgTypes((yyvsp[0].list));
					n->objfuncargs = (List *) linitial((yyvsp[0].list));
					(yyval.objwithargs) = n;
				}
#line 39742 "gram.c" /* yacc.c:1646  */
    break;

  case 1154:
#line 8554 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 39748 "gram.c" /* yacc.c:1646  */
    break;

  case 1155:
#line 8556 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 39754 "gram.c" /* yacc.c:1646  */
    break;

  case 1157:
#line 8561 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 39760 "gram.c" /* yacc.c:1646  */
    break;

  case 1158:
#line 8566 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 39766 "gram.c" /* yacc.c:1646  */
    break;

  case 1159:
#line 8567 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 39772 "gram.c" /* yacc.c:1646  */
    break;

  case 1160:
#line 8575 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(false), (yylsp[-3]));
				}
#line 39780 "gram.c" /* yacc.c:1646  */
    break;

  case 1161:
#line 8579 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[-4]));
				}
#line 39788 "gram.c" /* yacc.c:1646  */
    break;

  case 1162:
#line 8583 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("strict", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39796 "gram.c" /* yacc.c:1646  */
    break;

  case 1163:
#line 8587 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("immutable"), (yylsp[0]));
				}
#line 39804 "gram.c" /* yacc.c:1646  */
    break;

  case 1164:
#line 8591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("stable"), (yylsp[0]));
				}
#line 39812 "gram.c" /* yacc.c:1646  */
    break;

  case 1165:
#line 8595 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *) makeString("volatile"), (yylsp[0]));
				}
#line 39820 "gram.c" /* yacc.c:1646  */
    break;

  case 1166:
#line 8599 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-2]));
				}
#line 39828 "gram.c" /* yacc.c:1646  */
    break;

  case 1167:
#line 8603 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-2]));
				}
#line 39836 "gram.c" /* yacc.c:1646  */
    break;

  case 1168:
#line 8607 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(true), (yylsp[-1]));
				}
#line 39844 "gram.c" /* yacc.c:1646  */
    break;

  case 1169:
#line 8611 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("security", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39852 "gram.c" /* yacc.c:1646  */
    break;

  case 1170:
#line 8615 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39860 "gram.c" /* yacc.c:1646  */
    break;

  case 1171:
#line 8619 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *) makeBoolean(false), (yylsp[-1]));
				}
#line 39868 "gram.c" /* yacc.c:1646  */
    break;

  case 1172:
#line 8623 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("cost", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39876 "gram.c" /* yacc.c:1646  */
    break;

  case 1173:
#line 8627 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("rows", (Node *) (yyvsp[0].node), (yylsp[-1]));
				}
#line 39884 "gram.c" /* yacc.c:1646  */
    break;

  case 1174:
#line 8631 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("support", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39892 "gram.c" /* yacc.c:1646  */
    break;

  case 1175:
#line 8635 "gram.y" /* yacc.c:1646  */
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *) (yyvsp[0].vsetstmt), (yylsp[0]));
				}
#line 39901 "gram.c" /* yacc.c:1646  */
    break;

  case 1176:
#line 8640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("parallel", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39909 "gram.c" /* yacc.c:1646  */
    break;

  case 1177:
#line 8647 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39917 "gram.c" /* yacc.c:1646  */
    break;

  case 1178:
#line 8651 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 39925 "gram.c" /* yacc.c:1646  */
    break;

  case 1179:
#line 8655 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("transform", (Node *) (yyvsp[0].list), (yylsp[-1]));
				}
#line 39933 "gram.c" /* yacc.c:1646  */
    break;

  case 1180:
#line 8659 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("window", (Node *) makeBoolean(true), (yylsp[0]));
				}
#line 39941 "gram.c" /* yacc.c:1646  */
    break;

  case 1181:
#line 8663 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = (yyvsp[0].defelt);
				}
#line 39949 "gram.c" /* yacc.c:1646  */
    break;

  case 1182:
#line 8668 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 39955 "gram.c" /* yacc.c:1646  */
    break;

  case 1183:
#line 8670 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeString((yyvsp[-2].str)), makeString((yyvsp[0].str)));
				}
#line 39963 "gram.c" /* yacc.c:1646  */
    break;

  case 1184:
#line 8676 "gram.y" /* yacc.c:1646  */
    {
					ReturnStmt *r = makeNode(ReturnStmt);

					r->returnval = (Node *) (yyvsp[0].node);
					(yyval.node) = (Node *) r;
				}
#line 39974 "gram.c" /* yacc.c:1646  */
    break;

  case 1185:
#line 8686 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 39982 "gram.c" /* yacc.c:1646  */
    break;

  case 1186:
#line 8690 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * A compound statement is stored as a single-item list
					 * containing the list of statements as its member.  That
					 * way, the parse analysis code can tell apart an empty
					 * body from no body at all.
					 */
					(yyval.node) = (Node *) list_make1((yyvsp[-1].list));
				}
#line 39996 "gram.c" /* yacc.c:1646  */
    break;

  case 1187:
#line 8700 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = NULL;
				}
#line 40004 "gram.c" /* yacc.c:1646  */
    break;

  case 1188:
#line 8707 "gram.y" /* yacc.c:1646  */
    {
					/* As in stmtmulti, discard empty statements */
					if ((yyvsp[-1].node) != NULL)
						(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[-1].node));
					else
						(yyval.list) = (yyvsp[-2].list);
				}
#line 40016 "gram.c" /* yacc.c:1646  */
    break;

  case 1189:
#line 8715 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = NIL;
				}
#line 40024 "gram.c" /* yacc.c:1646  */
    break;

  case 1192:
#line 8726 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 40030 "gram.c" /* yacc.c:1646  */
    break;

  case 1193:
#line 8727 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-4].list), (yyvsp[0].typnam)); }
#line 40036 "gram.c" /* yacc.c:1646  */
    break;

  case 1194:
#line 8731 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 40042 "gram.c" /* yacc.c:1646  */
    break;

  case 1195:
#line 8732 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 40048 "gram.c" /* yacc.c:1646  */
    break;

  case 1196:
#line 8736 "gram.y" /* yacc.c:1646  */
    {
					FunctionParameter *n = makeNode(FunctionParameter);

					n->name = (yyvsp[-1].str);
					n->argType = (yyvsp[0].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
#line 40062 "gram.c" /* yacc.c:1646  */
    break;

  case 1197:
#line 8749 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].fun_param));
				}
#line 40070 "gram.c" /* yacc.c:1646  */
    break;

  case 1198:
#line 8753 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].fun_param));
				}
#line 40078 "gram.c" /* yacc.c:1646  */
    break;

  case 1199:
#line 8768 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_FUNCTION;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40091 "gram.c" /* yacc.c:1646  */
    break;

  case 1200:
#line 8777 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_PROCEDURE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40104 "gram.c" /* yacc.c:1646  */
    break;

  case 1201:
#line 8786 "gram.y" /* yacc.c:1646  */
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);

					n->objtype = OBJECT_ROUTINE;
					n->func = (yyvsp[-2].objwithargs);
					n->actions = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 40117 "gram.c" /* yacc.c:1646  */
    break;

  case 1202:
#line 8798 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40123 "gram.c" /* yacc.c:1646  */
    break;

  case 1203:
#line 8799 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40129 "gram.c" /* yacc.c:1646  */
    break;

  case 1206:
#line 8823 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40144 "gram.c" /* yacc.c:1646  */
    break;

  case 1207:
#line 8834 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_FUNCTION;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40159 "gram.c" /* yacc.c:1646  */
    break;

  case 1208:
#line 8845 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40174 "gram.c" /* yacc.c:1646  */
    break;

  case 1209:
#line 8856 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_PROCEDURE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40189 "gram.c" /* yacc.c:1646  */
    break;

  case 1210:
#line 8867 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40204 "gram.c" /* yacc.c:1646  */
    break;

  case 1211:
#line 8878 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_ROUTINE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40219 "gram.c" /* yacc.c:1646  */
    break;

  case 1212:
#line 8892 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40234 "gram.c" /* yacc.c:1646  */
    break;

  case 1213:
#line 8903 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_AGGREGATE;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40249 "gram.c" /* yacc.c:1646  */
    break;

  case 1214:
#line 8917 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40264 "gram.c" /* yacc.c:1646  */
    break;

  case 1215:
#line 8928 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_OPERATOR;
					n->objects = (yyvsp[-1].list);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40279 "gram.c" /* yacc.c:1646  */
    break;

  case 1216:
#line 8942 "gram.y" /* yacc.c:1646  */
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[0]))));
				}
#line 40291 "gram.c" /* yacc.c:1646  */
    break;

  case 1217:
#line 8950 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), (yyvsp[-1].typnam)); }
#line 40297 "gram.c" /* yacc.c:1646  */
    break;

  case 1218:
#line 8952 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-1].typnam)); }
#line 40303 "gram.c" /* yacc.c:1646  */
    break;

  case 1219:
#line 8954 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-3].typnam), NULL); }
#line 40309 "gram.c" /* yacc.c:1646  */
    break;

  case 1220:
#line 8959 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 40315 "gram.c" /* yacc.c:1646  */
    break;

  case 1221:
#line 8961 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lcons(makeString((yyvsp[-2].str)), (yyvsp[0].list)); }
#line 40321 "gram.c" /* yacc.c:1646  */
    break;

  case 1222:
#line 8965 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].objwithargs)); }
#line 40327 "gram.c" /* yacc.c:1646  */
    break;

  case 1223:
#line 8967 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].objwithargs)); }
#line 40333 "gram.c" /* yacc.c:1646  */
    break;

  case 1224:
#line 8972 "gram.y" /* yacc.c:1646  */
    {
					ObjectWithArgs *n = makeNode(ObjectWithArgs);

					n->objname = (yyvsp[-1].list);
					n->objargs = (yyvsp[0].list);
					(yyval.objwithargs) = n;
				}
#line 40345 "gram.c" /* yacc.c:1646  */
    break;

  case 1225:
#line 8991 "gram.y" /* yacc.c:1646  */
    {
					DoStmt *n = makeNode(DoStmt);

					n->args = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 40356 "gram.c" /* yacc.c:1646  */
    break;

  case 1226:
#line 9000 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 40362 "gram.c" /* yacc.c:1646  */
    break;

  case 1227:
#line 9001 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 40368 "gram.c" /* yacc.c:1646  */
    break;

  case 1228:
#line 9006 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("as", (Node *) makeString((yyvsp[0].str)), (yylsp[0]));
				}
#line 40376 "gram.c" /* yacc.c:1646  */
    break;

  case 1229:
#line 9010 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("language", (Node *) makeString((yyvsp[0].str)), (yylsp[-1]));
				}
#line 40384 "gram.c" /* yacc.c:1646  */
    break;

  case 1230:
#line 9023 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-7].typnam);
					n->targettype = (yyvsp[-5].typnam);
					n->func = (yyvsp[-1].objwithargs);
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 40399 "gram.c" /* yacc.c:1646  */
    break;

  case 1231:
#line 9035 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = false;
					(yyval.node) = (Node *) n;
				}
#line 40414 "gram.c" /* yacc.c:1646  */
    break;

  case 1232:
#line 9047 "gram.y" /* yacc.c:1646  */
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);

					n->sourcetype = (yyvsp[-6].typnam);
					n->targettype = (yyvsp[-4].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[0].ival);
					n->inout = true;
					(yyval.node) = (Node *) n;
				}
#line 40429 "gram.c" /* yacc.c:1646  */
    break;

  case 1233:
#line 9059 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_IMPLICIT; }
#line 40435 "gram.c" /* yacc.c:1646  */
    break;

  case 1234:
#line 9060 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_ASSIGNMENT; }
#line 40441 "gram.c" /* yacc.c:1646  */
    break;

  case 1235:
#line 9061 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = COERCION_EXPLICIT; }
#line 40447 "gram.c" /* yacc.c:1646  */
    break;

  case 1236:
#line 9066 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make2((yyvsp[-4].typnam), (yyvsp[-2].typnam)));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-6].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
#line 40462 "gram.c" /* yacc.c:1646  */
    break;

  case 1237:
#line 9078 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 40468 "gram.c" /* yacc.c:1646  */
    break;

  case 1238:
#line 9079 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 40474 "gram.c" /* yacc.c:1646  */
    break;

  case 1239:
#line 9090 "gram.y" /* yacc.c:1646  */
    {
					CreateTransformStmt *n = makeNode(CreateTransformStmt);

					n->replace = (yyvsp[-8].boolean);
					n->type_name = (yyvsp[-5].typnam);
					n->lang = (yyvsp[-3].str);
					n->fromsql = linitial((yyvsp[-1].list));
					n->tosql = lsecond((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 40489 "gram.c" /* yacc.c:1646  */
    break;

  case 1240:
#line 9103 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[-6].objwithargs), (yyvsp[0].objwithargs));
				}
#line 40497 "gram.c" /* yacc.c:1646  */
    break;

  case 1241:
#line 9107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), (yyvsp[-6].objwithargs));
				}
#line 40505 "gram.c" /* yacc.c:1646  */
    break;

  case 1242:
#line 9111 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].objwithargs), NULL);
				}
#line 40513 "gram.c" /* yacc.c:1646  */
    break;

  case 1243:
#line 9115 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[0].objwithargs));
				}
#line 40521 "gram.c" /* yacc.c:1646  */
    break;

  case 1244:
#line 9122 "gram.y" /* yacc.c:1646  */
    {
					DropStmt *n = makeNode(DropStmt);

					n->removeType = OBJECT_TRANSFORM;
					n->objects = list_make1(list_make2((yyvsp[-3].typnam), makeString((yyvsp[-1].str))));
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = (yyvsp[-5].boolean);
					(yyval.node) = (Node *) n;
				}
#line 40535 "gram.c" /* yacc.c:1646  */
    break;

  case 1245:
#line 9144 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = (yyvsp[0].range);
					n->name = NULL;
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40552 "gram.c" /* yacc.c:1646  */
    break;

  case 1246:
#line 9157 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = REINDEX_OBJECT_SCHEMA;
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40569 "gram.c" /* yacc.c:1646  */
    break;

  case 1247:
#line 9170 "gram.y" /* yacc.c:1646  */
    {
					ReindexStmt *n = makeNode(ReindexStmt);

					n->kind = (yyvsp[-2].ival);
					n->relation = NULL;
					n->name = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					if ((yyvsp[-1].boolean))
						n->params = lappend(n->params,
											makeDefElem("concurrently", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 40586 "gram.c" /* yacc.c:1646  */
    break;

  case 1248:
#line 9184 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_INDEX; }
#line 40592 "gram.c" /* yacc.c:1646  */
    break;

  case 1249:
#line 9185 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_TABLE; }
#line 40598 "gram.c" /* yacc.c:1646  */
    break;

  case 1250:
#line 9188 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_SYSTEM; }
#line 40604 "gram.c" /* yacc.c:1646  */
    break;

  case 1251:
#line 9189 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = REINDEX_OBJECT_DATABASE; }
#line 40610 "gram.c" /* yacc.c:1646  */
    break;

  case 1252:
#line 9192 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 40616 "gram.c" /* yacc.c:1646  */
    break;

  case 1253:
#line 9193 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NULL; }
#line 40622 "gram.c" /* yacc.c:1646  */
    break;

  case 1254:
#line 9204 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = false;
					(yyval.node) = (Node *) n;
				}
#line 40636 "gram.c" /* yacc.c:1646  */
    break;

  case 1255:
#line 9214 "gram.y" /* yacc.c:1646  */
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);

					n->tablespacename = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					n->isReset = true;
					(yyval.node) = (Node *) n;
				}
#line 40650 "gram.c" /* yacc.c:1646  */
    break;

  case 1256:
#line 9232 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40664 "gram.c" /* yacc.c:1646  */
    break;

  case 1257:
#line 9242 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40678 "gram.c" /* yacc.c:1646  */
    break;

  case 1258:
#line 9252 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40692 "gram.c" /* yacc.c:1646  */
    break;

  case 1259:
#line 9262 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40706 "gram.c" /* yacc.c:1646  */
    break;

  case 1260:
#line 9272 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40720 "gram.c" /* yacc.c:1646  */
    break;

  case 1261:
#line 9282 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_DOMCONSTRAINT;
					n->object = (Node *) (yyvsp[-5].list);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 40734 "gram.c" /* yacc.c:1646  */
    break;

  case 1262:
#line 9292 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40748 "gram.c" /* yacc.c:1646  */
    break;

  case 1263:
#line 9302 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40762 "gram.c" /* yacc.c:1646  */
    break;

  case 1264:
#line 9312 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40776 "gram.c" /* yacc.c:1646  */
    break;

  case 1265:
#line 9322 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40790 "gram.c" /* yacc.c:1646  */
    break;

  case 1266:
#line 9332 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40804 "gram.c" /* yacc.c:1646  */
    break;

  case 1267:
#line 9342 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40818 "gram.c" /* yacc.c:1646  */
    break;

  case 1268:
#line 9352 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40833 "gram.c" /* yacc.c:1646  */
    break;

  case 1269:
#line 9363 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_POLICY;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40848 "gram.c" /* yacc.c:1646  */
    break;

  case 1270:
#line 9374 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40862 "gram.c" /* yacc.c:1646  */
    break;

  case 1271:
#line 9384 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40876 "gram.c" /* yacc.c:1646  */
    break;

  case 1272:
#line 9394 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40890 "gram.c" /* yacc.c:1646  */
    break;

  case 1273:
#line 9404 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40904 "gram.c" /* yacc.c:1646  */
    break;

  case 1274:
#line 9414 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40918 "gram.c" /* yacc.c:1646  */
    break;

  case 1275:
#line 9424 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40932 "gram.c" /* yacc.c:1646  */
    break;

  case 1276:
#line 9434 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40947 "gram.c" /* yacc.c:1646  */
    break;

  case 1277:
#line 9445 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40962 "gram.c" /* yacc.c:1646  */
    break;

  case 1278:
#line 9456 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 40977 "gram.c" /* yacc.c:1646  */
    break;

  case 1279:
#line 9467 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 40992 "gram.c" /* yacc.c:1646  */
    break;

  case 1280:
#line 9478 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41007 "gram.c" /* yacc.c:1646  */
    break;

  case 1281:
#line 9489 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41022 "gram.c" /* yacc.c:1646  */
    break;

  case 1282:
#line 9500 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41037 "gram.c" /* yacc.c:1646  */
    break;

  case 1283:
#line 9511 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41052 "gram.c" /* yacc.c:1646  */
    break;

  case 1284:
#line 9522 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41067 "gram.c" /* yacc.c:1646  */
    break;

  case 1285:
#line 9533 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41082 "gram.c" /* yacc.c:1646  */
    break;

  case 1286:
#line 9544 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41097 "gram.c" /* yacc.c:1646  */
    break;

  case 1287:
#line 9555 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->subname = NULL;
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41112 "gram.c" /* yacc.c:1646  */
    break;

  case 1288:
#line 9566 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41128 "gram.c" /* yacc.c:1646  */
    break;

  case 1289:
#line 9578 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41144 "gram.c" /* yacc.c:1646  */
    break;

  case 1290:
#line 9590 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41160 "gram.c" /* yacc.c:1646  */
    break;

  case 1291:
#line 9602 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_VIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41176 "gram.c" /* yacc.c:1646  */
    break;

  case 1292:
#line 9614 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41192 "gram.c" /* yacc.c:1646  */
    break;

  case 1293:
#line 9626 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41208 "gram.c" /* yacc.c:1646  */
    break;

  case 1294:
#line 9638 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41223 "gram.c" /* yacc.c:1646  */
    break;

  case 1295:
#line 9649 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABCONSTRAINT;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41238 "gram.c" /* yacc.c:1646  */
    break;

  case 1296:
#line 9660 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41254 "gram.c" /* yacc.c:1646  */
    break;

  case 1297:
#line 9672 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-5].range);
					n->subname = (yyvsp[-2].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41270 "gram.c" /* yacc.c:1646  */
    break;

  case 1298:
#line 9684 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41285 "gram.c" /* yacc.c:1646  */
    break;

  case 1299:
#line 9695 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-3].range);
					n->subname = (yyvsp[-5].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41300 "gram.c" /* yacc.c:1646  */
    break;

  case 1300:
#line 9706 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 41313 "gram.c" /* yacc.c:1646  */
    break;

  case 1301:
#line 9715 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41327 "gram.c" /* yacc.c:1646  */
    break;

  case 1302:
#line 9725 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41341 "gram.c" /* yacc.c:1646  */
    break;

  case 1303:
#line 9735 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41355 "gram.c" /* yacc.c:1646  */
    break;

  case 1304:
#line 9745 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41369 "gram.c" /* yacc.c:1646  */
    break;

  case 1305:
#line 9755 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41383 "gram.c" /* yacc.c:1646  */
    break;

  case 1306:
#line 9765 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41397 "gram.c" /* yacc.c:1646  */
    break;

  case 1307:
#line 9775 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41411 "gram.c" /* yacc.c:1646  */
    break;

  case 1308:
#line 9785 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41425 "gram.c" /* yacc.c:1646  */
    break;

  case 1309:
#line 9795 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newname = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41439 "gram.c" /* yacc.c:1646  */
    break;

  case 1310:
#line 9805 "gram.y" /* yacc.c:1646  */
    {
					RenameStmt *n = makeNode(RenameStmt);

					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[-6].list), (yylsp[-6]), yyscanner);
					n->subname = (yyvsp[-3].str);
					n->newname = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41456 "gram.c" /* yacc.c:1646  */
    break;

  case 1313:
#line 9823 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 1; }
#line 41462 "gram.c" /* yacc.c:1646  */
    break;

  case 1314:
#line 9824 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 41468 "gram.c" /* yacc.c:1646  */
    break;

  case 1315:
#line 9835 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41482 "gram.c" /* yacc.c:1646  */
    break;

  case 1316:
#line 9845 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41496 "gram.c" /* yacc.c:1646  */
    break;

  case 1317:
#line 9855 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-5].objwithargs);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41510 "gram.c" /* yacc.c:1646  */
    break;

  case 1318:
#line 9865 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_TRIGGER;
					n->relation = (yyvsp[-5].range);
					n->object = (Node *) list_make1(makeString((yyvsp[-7].str)));
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41525 "gram.c" /* yacc.c:1646  */
    break;

  case 1319:
#line 9876 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41539 "gram.c" /* yacc.c:1646  */
    break;

  case 1320:
#line 9886 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectDependsStmt *n = makeNode(AlterObjectDependsStmt);

					n->objectType = OBJECT_INDEX;
					n->relation = (yyvsp[-5].range);
					n->extname = makeString((yyvsp[0].str));
					n->remove = (yyvsp[-4].boolean);
					(yyval.node) = (Node *) n;
				}
#line 41553 "gram.c" /* yacc.c:1646  */
    break;

  case 1321:
#line 9897 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 41559 "gram.c" /* yacc.c:1646  */
    break;

  case 1322:
#line 9898 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false;	}
#line 41565 "gram.c" /* yacc.c:1646  */
    break;

  case 1323:
#line 9909 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41579 "gram.c" /* yacc.c:1646  */
    break;

  case 1324:
#line 9919 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41593 "gram.c" /* yacc.c:1646  */
    break;

  case 1325:
#line 9929 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41607 "gram.c" /* yacc.c:1646  */
    break;

  case 1326:
#line 9939 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41621 "gram.c" /* yacc.c:1646  */
    break;

  case 1327:
#line 9949 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_EXTENSION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41635 "gram.c" /* yacc.c:1646  */
    break;

  case 1328:
#line 9959 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41649 "gram.c" /* yacc.c:1646  */
    break;

  case 1329:
#line 9969 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41663 "gram.c" /* yacc.c:1646  */
    break;

  case 1330:
#line 9979 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41677 "gram.c" /* yacc.c:1646  */
    break;

  case 1331:
#line 9989 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41691 "gram.c" /* yacc.c:1646  */
    break;

  case 1332:
#line 9999 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41705 "gram.c" /* yacc.c:1646  */
    break;

  case 1333:
#line 10009 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41719 "gram.c" /* yacc.c:1646  */
    break;

  case 1334:
#line 10019 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41733 "gram.c" /* yacc.c:1646  */
    break;

  case 1335:
#line 10029 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41747 "gram.c" /* yacc.c:1646  */
    break;

  case 1336:
#line 10039 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41761 "gram.c" /* yacc.c:1646  */
    break;

  case 1337:
#line 10049 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSPARSER;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41775 "gram.c" /* yacc.c:1646  */
    break;

  case 1338:
#line 10059 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41789 "gram.c" /* yacc.c:1646  */
    break;

  case 1339:
#line 10069 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41803 "gram.c" /* yacc.c:1646  */
    break;

  case 1340:
#line 10079 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41817 "gram.c" /* yacc.c:1646  */
    break;

  case 1341:
#line 10089 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41831 "gram.c" /* yacc.c:1646  */
    break;

  case 1342:
#line 10099 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41845 "gram.c" /* yacc.c:1646  */
    break;

  case 1343:
#line 10109 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41859 "gram.c" /* yacc.c:1646  */
    break;

  case 1344:
#line 10119 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41873 "gram.c" /* yacc.c:1646  */
    break;

  case 1345:
#line 10129 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41887 "gram.c" /* yacc.c:1646  */
    break;

  case 1346:
#line 10139 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41901 "gram.c" /* yacc.c:1646  */
    break;

  case 1347:
#line 10149 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41915 "gram.c" /* yacc.c:1646  */
    break;

  case 1348:
#line 10159 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[-3].range);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 41929 "gram.c" /* yacc.c:1646  */
    break;

  case 1349:
#line 10169 "gram.y" /* yacc.c:1646  */
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newschema = (yyvsp[0].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 41943 "gram.c" /* yacc.c:1646  */
    break;

  case 1350:
#line 10188 "gram.y" /* yacc.c:1646  */
    {
					AlterOperatorStmt *n = makeNode(AlterOperatorStmt);

					n->opername = (yyvsp[-4].objwithargs);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 41955 "gram.c" /* yacc.c:1646  */
    break;

  case 1351:
#line 10197 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 41961 "gram.c" /* yacc.c:1646  */
    break;

  case 1352:
#line 10198 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 41967 "gram.c" /* yacc.c:1646  */
    break;

  case 1353:
#line 10202 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2])); }
#line 41973 "gram.c" /* yacc.c:1646  */
    break;

  case 1354:
#line 10204 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) (yyvsp[0].node), (yylsp[-2])); }
#line 41979 "gram.c" /* yacc.c:1646  */
    break;

  case 1355:
#line 10206 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[0].str), NULL, (yylsp[0])); }
#line 41985 "gram.c" /* yacc.c:1646  */
    break;

  case 1356:
#line 10211 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].typnam); }
#line 41991 "gram.c" /* yacc.c:1646  */
    break;

  case 1357:
#line 10212 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString(pstrdup((yyvsp[0].keyword))); }
#line 41997 "gram.c" /* yacc.c:1646  */
    break;

  case 1358:
#line 10213 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].list); }
#line 42003 "gram.c" /* yacc.c:1646  */
    break;

  case 1359:
#line 10214 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 42009 "gram.c" /* yacc.c:1646  */
    break;

  case 1360:
#line 10215 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 42015 "gram.c" /* yacc.c:1646  */
    break;

  case 1361:
#line 10228 "gram.y" /* yacc.c:1646  */
    {
					AlterTypeStmt *n = makeNode(AlterTypeStmt);

					n->typeName = (yyvsp[-4].list);
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 42027 "gram.c" /* yacc.c:1646  */
    break;

  case 1362:
#line 10244 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_AGGREGATE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42040 "gram.c" /* yacc.c:1646  */
    break;

  case 1363:
#line 10253 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_COLLATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42053 "gram.c" /* yacc.c:1646  */
    break;

  case 1364:
#line 10262 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_CONVERSION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42066 "gram.c" /* yacc.c:1646  */
    break;

  case 1365:
#line 10271 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DATABASE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42079 "gram.c" /* yacc.c:1646  */
    break;

  case 1366:
#line 10280 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_DOMAIN;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42092 "gram.c" /* yacc.c:1646  */
    break;

  case 1367:
#line 10289 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FUNCTION;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42105 "gram.c" /* yacc.c:1646  */
    break;

  case 1368:
#line 10298 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LANGUAGE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42118 "gram.c" /* yacc.c:1646  */
    break;

  case 1369:
#line 10307 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_LARGEOBJECT;
					n->object = (Node *) (yyvsp[-3].node);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42131 "gram.c" /* yacc.c:1646  */
    break;

  case 1370:
#line 10316 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPERATOR;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42144 "gram.c" /* yacc.c:1646  */
    break;

  case 1371:
#line 10325 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPCLASS;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42157 "gram.c" /* yacc.c:1646  */
    break;

  case 1372:
#line 10334 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_OPFAMILY;
					n->object = (Node *) lcons(makeString((yyvsp[-3].str)), (yyvsp[-5].list));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42170 "gram.c" /* yacc.c:1646  */
    break;

  case 1373:
#line 10343 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PROCEDURE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42183 "gram.c" /* yacc.c:1646  */
    break;

  case 1374:
#line 10352 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_ROUTINE;
					n->object = (Node *) (yyvsp[-3].objwithargs);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42196 "gram.c" /* yacc.c:1646  */
    break;

  case 1375:
#line 10361 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SCHEMA;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42209 "gram.c" /* yacc.c:1646  */
    break;

  case 1376:
#line 10370 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TYPE;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42222 "gram.c" /* yacc.c:1646  */
    break;

  case 1377:
#line 10379 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TABLESPACE;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42235 "gram.c" /* yacc.c:1646  */
    break;

  case 1378:
#line 10388 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_STATISTIC_EXT;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42248 "gram.c" /* yacc.c:1646  */
    break;

  case 1379:
#line 10397 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42261 "gram.c" /* yacc.c:1646  */
    break;

  case 1380:
#line 10406 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (Node *) (yyvsp[-3].list);
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42274 "gram.c" /* yacc.c:1646  */
    break;

  case 1381:
#line 10415 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FDW;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42287 "gram.c" /* yacc.c:1646  */
    break;

  case 1382:
#line 10424 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42300 "gram.c" /* yacc.c:1646  */
    break;

  case 1383:
#line 10433 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42313 "gram.c" /* yacc.c:1646  */
    break;

  case 1384:
#line 10442 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_PUBLICATION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42326 "gram.c" /* yacc.c:1646  */
    break;

  case 1385:
#line 10451 "gram.y" /* yacc.c:1646  */
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);

					n->objectType = OBJECT_SUBSCRIPTION;
					n->object = (Node *) makeString((yyvsp[-3].str));
					n->newowner = (yyvsp[0].rolespec);
					(yyval.node) = (Node *) n;
				}
#line 42339 "gram.c" /* yacc.c:1646  */
    break;

  case 1386:
#line 10479 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42351 "gram.c" /* yacc.c:1646  */
    break;

  case 1387:
#line 10487 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-4].str);
					n->options = (yyvsp[0].list);
					n->for_all_tables = true;
					(yyval.node) = (Node *) n;
				}
#line 42364 "gram.c" /* yacc.c:1646  */
    break;

  case 1388:
#line 10496 "gram.y" /* yacc.c:1646  */
    {
					CreatePublicationStmt *n = makeNode(CreatePublicationStmt);

					n->pubname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					n->pubobjects = (List *) (yyvsp[-1].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 42378 "gram.c" /* yacc.c:1646  */
    break;

  case 1389:
#line 10522 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLE;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 42391 "gram.c" /* yacc.c:1646  */
    break;

  case 1390:
#line 10531 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
					(yyval.publicationobjectspec)->name = (yyvsp[0].str);
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42402 "gram.c" /* yacc.c:1646  */
    break;

  case 1391:
#line 10538 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42412 "gram.c" /* yacc.c:1646  */
    break;

  case 1392:
#line 10544 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					/*
					 * If either a row filter or column list is specified, create
					 * a PublicationTable object.
					 */
					if ((yyvsp[-1].list) || (yyvsp[0].node))
					{
						/*
						 * The OptWhereClause must be stored here but it is
						 * valid only for tables. For non-table objects, an
						 * error will be thrown later via
						 * preprocess_pubobj_list().
						 */
						(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
						(yyval.publicationobjectspec)->pubtable->relation = makeRangeVar(NULL, (yyvsp[-2].str), (yylsp[-2]));
						(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
						(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					}
					else
					{
						(yyval.publicationobjectspec)->name = (yyvsp[-2].str);
					}
					(yyval.publicationobjectspec)->location = (yylsp[-2]);
				}
#line 42443 "gram.c" /* yacc.c:1646  */
    break;

  case 1393:
#line 10571 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = makeRangeVarFromQualifiedName((yyvsp[-3].str), (yyvsp[-2].list), (yylsp[-3]), yyscanner);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
					(yyval.publicationobjectspec)->location = (yylsp[-3]);
				}
#line 42457 "gram.c" /* yacc.c:1646  */
    break;

  case 1394:
#line 10582 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->pubtable = makeNode(PublicationTable);
					(yyval.publicationobjectspec)->pubtable->relation = (yyvsp[-2].range);
					(yyval.publicationobjectspec)->pubtable->columns = (yyvsp[-1].list);
					(yyval.publicationobjectspec)->pubtable->whereClause = (yyvsp[0].node);
				}
#line 42470 "gram.c" /* yacc.c:1646  */
    break;

  case 1395:
#line 10591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.publicationobjectspec) = makeNode(PublicationObjSpec);
					(yyval.publicationobjectspec)->pubobjtype = PUBLICATIONOBJ_CONTINUATION;
					(yyval.publicationobjectspec)->location = (yylsp[0]);
				}
#line 42480 "gram.c" /* yacc.c:1646  */
    break;

  case 1396:
#line 10599 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].publicationobjectspec)); }
#line 42486 "gram.c" /* yacc.c:1646  */
    break;

  case 1397:
#line 10601 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].publicationobjectspec)); }
#line 42492 "gram.c" /* yacc.c:1646  */
    break;

  case 1398:
#line 10623 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42504 "gram.c" /* yacc.c:1646  */
    break;

  case 1399:
#line 10631 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_AddObjects;
					(yyval.node) = (Node *) n;
				}
#line 42518 "gram.c" /* yacc.c:1646  */
    break;

  case 1400:
#line 10641 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_SetObjects;
					(yyval.node) = (Node *) n;
				}
#line 42532 "gram.c" /* yacc.c:1646  */
    break;

  case 1401:
#line 10651 "gram.y" /* yacc.c:1646  */
    {
					AlterPublicationStmt *n = makeNode(AlterPublicationStmt);

					n->pubname = (yyvsp[-2].str);
					n->pubobjects = (yyvsp[0].list);
					preprocess_pubobj_list(n->pubobjects, yyscanner);
					n->action = AP_DropObjects;
					(yyval.node) = (Node *) n;
				}
#line 42546 "gram.c" /* yacc.c:1646  */
    break;

  case 1402:
#line 10670 "gram.y" /* yacc.c:1646  */
    {
					CreateSubscriptionStmt *n =
						makeNode(CreateSubscriptionStmt);
					n->subname = (yyvsp[-5].str);
					n->conninfo = (yyvsp[-3].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42560 "gram.c" /* yacc.c:1646  */
    break;

  case 1403:
#line 10689 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_OPTIONS;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42574 "gram.c" /* yacc.c:1646  */
    break;

  case 1404:
#line 10699 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_CONNECTION;
					n->subname = (yyvsp[-2].str);
					n->conninfo = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42588 "gram.c" /* yacc.c:1646  */
    break;

  case 1405:
#line 10709 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_REFRESH;
					n->subname = (yyvsp[-3].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42602 "gram.c" /* yacc.c:1646  */
    break;

  case 1406:
#line 10719 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ADD_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42617 "gram.c" /* yacc.c:1646  */
    break;

  case 1407:
#line 10730 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_DROP_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42632 "gram.c" /* yacc.c:1646  */
    break;

  case 1408:
#line 10741 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SET_PUBLICATION;
					n->subname = (yyvsp[-4].str);
					n->publication = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42647 "gram.c" /* yacc.c:1646  */
    break;

  case 1409:
#line 10752 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(true), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42662 "gram.c" /* yacc.c:1646  */
    break;

  case 1410:
#line 10763 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_ENABLED;
					n->subname = (yyvsp[-1].str);
					n->options = list_make1(makeDefElem("enabled",
											(Node *) makeBoolean(false), (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 42677 "gram.c" /* yacc.c:1646  */
    break;

  case 1411:
#line 10774 "gram.y" /* yacc.c:1646  */
    {
					AlterSubscriptionStmt *n =
						makeNode(AlterSubscriptionStmt);

					n->kind = ALTER_SUBSCRIPTION_SKIP;
					n->subname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42691 "gram.c" /* yacc.c:1646  */
    break;

  case 1412:
#line 10792 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = false;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42704 "gram.c" /* yacc.c:1646  */
    break;

  case 1413:
#line 10801 "gram.y" /* yacc.c:1646  */
    {
					DropSubscriptionStmt *n = makeNode(DropSubscriptionStmt);

					n->subname = (yyvsp[-1].str);
					n->missing_ok = true;
					n->behavior = (yyvsp[0].dbehavior);
					(yyval.node) = (Node *) n;
				}
#line 42717 "gram.c" /* yacc.c:1646  */
    break;

  case 1414:
#line 10820 "gram.y" /* yacc.c:1646  */
    {
					RuleStmt   *n = makeNode(RuleStmt);

					n->replace = (yyvsp[-11].boolean);
					n->relation = (yyvsp[-4].range);
					n->rulename = (yyvsp[-9].str);
					n->whereClause = (yyvsp[-3].node);
					n->event = (yyvsp[-6].ival);
					n->instead = (yyvsp[-1].boolean);
					n->actions = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 42734 "gram.c" /* yacc.c:1646  */
    break;

  case 1415:
#line 10835 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 42740 "gram.c" /* yacc.c:1646  */
    break;

  case 1416:
#line 10836 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 42746 "gram.c" /* yacc.c:1646  */
    break;

  case 1417:
#line 10837 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 42752 "gram.c" /* yacc.c:1646  */
    break;

  case 1418:
#line 10843 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				  else
					(yyval.list) = (yyvsp[-2].list);
				}
#line 42762 "gram.c" /* yacc.c:1646  */
    break;

  case 1419:
#line 10849 "gram.y" /* yacc.c:1646  */
    { if ((yyvsp[0].node) != NULL)
					(yyval.list) = list_make1((yyvsp[0].node));
				  else
					(yyval.list) = NIL;
				}
#line 42772 "gram.c" /* yacc.c:1646  */
    break;

  case 1425:
#line 10865 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 42778 "gram.c" /* yacc.c:1646  */
    break;

  case 1426:
#line 10866 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 42784 "gram.c" /* yacc.c:1646  */
    break;

  case 1427:
#line 10869 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_SELECT; }
#line 42790 "gram.c" /* yacc.c:1646  */
    break;

  case 1428:
#line 10870 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_UPDATE; }
#line 42796 "gram.c" /* yacc.c:1646  */
    break;

  case 1429:
#line 10871 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_DELETE; }
#line 42802 "gram.c" /* yacc.c:1646  */
    break;

  case 1430:
#line 10872 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CMD_INSERT; }
#line 42808 "gram.c" /* yacc.c:1646  */
    break;

  case 1431:
#line 10876 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 42814 "gram.c" /* yacc.c:1646  */
    break;

  case 1432:
#line 10877 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42820 "gram.c" /* yacc.c:1646  */
    break;

  case 1433:
#line 10878 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 42826 "gram.c" /* yacc.c:1646  */
    break;

  case 1434:
#line 10891 "gram.y" /* yacc.c:1646  */
    {
					NotifyStmt *n = makeNode(NotifyStmt);

					n->conditionname = (yyvsp[-1].str);
					n->payload = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42838 "gram.c" /* yacc.c:1646  */
    break;

  case 1435:
#line 10901 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 42844 "gram.c" /* yacc.c:1646  */
    break;

  case 1436:
#line 10902 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 42850 "gram.c" /* yacc.c:1646  */
    break;

  case 1437:
#line 10906 "gram.y" /* yacc.c:1646  */
    {
					ListenStmt *n = makeNode(ListenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42861 "gram.c" /* yacc.c:1646  */
    break;

  case 1438:
#line 10916 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 42872 "gram.c" /* yacc.c:1646  */
    break;

  case 1439:
#line 10923 "gram.y" /* yacc.c:1646  */
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);

					n->conditionname = NULL;
					(yyval.node) = (Node *) n;
				}
#line 42883 "gram.c" /* yacc.c:1646  */
    break;

  case 1440:
#line 10943 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42897 "gram.c" /* yacc.c:1646  */
    break;

  case 1441:
#line 10953 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42910 "gram.c" /* yacc.c:1646  */
    break;

  case 1442:
#line 10962 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42924 "gram.c" /* yacc.c:1646  */
    break;

  case 1443:
#line 10972 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 42938 "gram.c" /* yacc.c:1646  */
    break;

  case 1444:
#line 10982 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_SAVEPOINT;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42951 "gram.c" /* yacc.c:1646  */
    break;

  case 1445:
#line 10991 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42964 "gram.c" /* yacc.c:1646  */
    break;

  case 1446:
#line 11000 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_RELEASE;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42977 "gram.c" /* yacc.c:1646  */
    break;

  case 1447:
#line 11009 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 42990 "gram.c" /* yacc.c:1646  */
    break;

  case 1448:
#line 11018 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->savepoint_name = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43003 "gram.c" /* yacc.c:1646  */
    break;

  case 1449:
#line 11027 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43016 "gram.c" /* yacc.c:1646  */
    break;

  case 1450:
#line 11036 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43029 "gram.c" /* yacc.c:1646  */
    break;

  case 1451:
#line 11045 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[0].str);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 43042 "gram.c" /* yacc.c:1646  */
    break;

  case 1452:
#line 11057 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[0].list);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43055 "gram.c" /* yacc.c:1646  */
    break;

  case 1453:
#line 11066 "gram.y" /* yacc.c:1646  */
    {
					TransactionStmt *n = makeNode(TransactionStmt);

					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					n->chain = (yyvsp[0].boolean);
					n->location = -1;
					(yyval.node) = (Node *) n;
				}
#line 43069 "gram.c" /* yacc.c:1646  */
    break;

  case 1457:
#line 11084 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[0].str), (yylsp[0])), (yylsp[-2])); }
#line 43076 "gram.c" /* yacc.c:1646  */
    break;

  case 1458:
#line 11087 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(true, (yylsp[-1])), (yylsp[-1])); }
#line 43083 "gram.c" /* yacc.c:1646  */
    break;

  case 1459:
#line 11090 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43090 "gram.c" /* yacc.c:1646  */
    break;

  case 1460:
#line 11093 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(true, (yylsp[0])), (yylsp[0])); }
#line 43097 "gram.c" /* yacc.c:1646  */
    break;

  case 1461:
#line 11096 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(false, (yylsp[-1])), (yylsp[-1])); }
#line 43104 "gram.c" /* yacc.c:1646  */
    break;

  case 1462:
#line 11103 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43110 "gram.c" /* yacc.c:1646  */
    break;

  case 1463:
#line 11105 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt)); }
#line 43116 "gram.c" /* yacc.c:1646  */
    break;

  case 1464:
#line 11107 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43122 "gram.c" /* yacc.c:1646  */
    break;

  case 1466:
#line 11113 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43128 "gram.c" /* yacc.c:1646  */
    break;

  case 1467:
#line 11117 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43134 "gram.c" /* yacc.c:1646  */
    break;

  case 1468:
#line 11118 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43140 "gram.c" /* yacc.c:1646  */
    break;

  case 1469:
#line 11119 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43146 "gram.c" /* yacc.c:1646  */
    break;

  case 1470:
#line 11133 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43163 "gram.c" /* yacc.c:1646  */
    break;

  case 1471:
#line 11147 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-5].range);
					n->view->relpersistence = (yyvsp[-7].ival);
					n->aliases = (yyvsp[-4].list);
					n->query = (yyvsp[-1].node);
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 43180 "gram.c" /* yacc.c:1646  */
    break;

  case 1472:
#line 11161 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = false;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43202 "gram.c" /* yacc.c:1646  */
    break;

  case 1473:
#line 11180 "gram.y" /* yacc.c:1646  */
    {
					ViewStmt   *n = makeNode(ViewStmt);

					n->view = (yyvsp[-7].range);
					n->view->relpersistence = (yyvsp[-10].ival);
					n->aliases = (yyvsp[-5].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[-1].node));
					n->replace = true;
					n->options = (yyvsp[-3].list);
					n->withCheckOption = (yyvsp[0].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) n;
				}
#line 43224 "gram.c" /* yacc.c:1646  */
    break;

  case 1474:
#line 11200 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43230 "gram.c" /* yacc.c:1646  */
    break;

  case 1475:
#line 11201 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
#line 43236 "gram.c" /* yacc.c:1646  */
    break;

  case 1476:
#line 11202 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
#line 43242 "gram.c" /* yacc.c:1646  */
    break;

  case 1477:
#line 11203 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = NO_CHECK_OPTION; }
#line 43248 "gram.c" /* yacc.c:1646  */
    break;

  case 1478:
#line 11214 "gram.y" /* yacc.c:1646  */
    {
					LoadStmt   *n = makeNode(LoadStmt);

					n->filename = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43259 "gram.c" /* yacc.c:1646  */
    break;

  case 1479:
#line 11231 "gram.y" /* yacc.c:1646  */
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43271 "gram.c" /* yacc.c:1646  */
    break;

  case 1480:
#line 11241 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 43277 "gram.c" /* yacc.c:1646  */
    break;

  case 1481:
#line 11242 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 43283 "gram.c" /* yacc.c:1646  */
    break;

  case 1482:
#line 11246 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 43289 "gram.c" /* yacc.c:1646  */
    break;

  case 1483:
#line 11247 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 43295 "gram.c" /* yacc.c:1646  */
    break;

  case 1484:
#line 11252 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (yyvsp[0].node), (yylsp[-2]));
				}
#line 43303 "gram.c" /* yacc.c:1646  */
    break;

  case 1485:
#line 11256 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), (Node *) makeString((yyvsp[0].str)), (yylsp[-2]));
				}
#line 43311 "gram.c" /* yacc.c:1646  */
    break;

  case 1486:
#line 11260 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-2].str), NULL, (yylsp[-2]));
				}
#line 43319 "gram.c" /* yacc.c:1646  */
    break;

  case 1487:
#line 11277 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43325 "gram.c" /* yacc.c:1646  */
    break;

  case 1488:
#line 11278 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup("connection_limit"); }
#line 43331 "gram.c" /* yacc.c:1646  */
    break;

  case 1489:
#line 11279 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43337 "gram.c" /* yacc.c:1646  */
    break;

  case 1490:
#line 11280 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43343 "gram.c" /* yacc.c:1646  */
    break;

  case 1491:
#line 11281 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43349 "gram.c" /* yacc.c:1646  */
    break;

  case 1492:
#line 11282 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43355 "gram.c" /* yacc.c:1646  */
    break;

  case 1493:
#line 11283 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 43361 "gram.c" /* yacc.c:1646  */
    break;

  case 1496:
#line 11303 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-2].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 43373 "gram.c" /* yacc.c:1646  */
    break;

  case 1497:
#line 11311 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-1].str);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				 }
#line 43385 "gram.c" /* yacc.c:1646  */
    break;

  case 1498:
#line 11319 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);

					n->dbname = (yyvsp[-3].str);
					n->options = list_make1(makeDefElem("tablespace",
														(Node *) makeString((yyvsp[0].str)), (yylsp[0])));
					(yyval.node) = (Node *) n;
				 }
#line 43398 "gram.c" /* yacc.c:1646  */
    break;

  case 1499:
#line 11328 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseRefreshCollStmt *n = makeNode(AlterDatabaseRefreshCollStmt);

					n->dbname = (yyvsp[-3].str);
					(yyval.node) = (Node *) n;
				 }
#line 43409 "gram.c" /* yacc.c:1646  */
    break;

  case 1500:
#line 11338 "gram.y" /* yacc.c:1646  */
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);

					n->dbname = (yyvsp[-1].str);
					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43421 "gram.c" /* yacc.c:1646  */
    break;

  case 1501:
#line 11356 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = false;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43434 "gram.c" /* yacc.c:1646  */
    break;

  case 1502:
#line 11365 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[0].str);
					n->missing_ok = true;
					n->options = NULL;
					(yyval.node) = (Node *) n;
				}
#line 43447 "gram.c" /* yacc.c:1646  */
    break;

  case 1503:
#line 11374 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = false;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43460 "gram.c" /* yacc.c:1646  */
    break;

  case 1504:
#line 11383 "gram.y" /* yacc.c:1646  */
    {
					DropdbStmt *n = makeNode(DropdbStmt);

					n->dbname = (yyvsp[-4].str);
					n->missing_ok = true;
					n->options = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43473 "gram.c" /* yacc.c:1646  */
    break;

  case 1505:
#line 11395 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((Node *) (yyvsp[0].defelt));
				}
#line 43481 "gram.c" /* yacc.c:1646  */
    break;

  case 1506:
#line 11399 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (Node *) (yyvsp[0].defelt));
				}
#line 43489 "gram.c" /* yacc.c:1646  */
    break;

  case 1507:
#line 11410 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem("force", NULL, (yylsp[0]));
				}
#line 43497 "gram.c" /* yacc.c:1646  */
    break;

  case 1508:
#line 11422 "gram.y" /* yacc.c:1646  */
    {
					AlterCollationStmt *n = makeNode(AlterCollationStmt);

					n->collname = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 43508 "gram.c" /* yacc.c:1646  */
    break;

  case 1509:
#line 11440 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43519 "gram.c" /* yacc.c:1646  */
    break;

  case 1510:
#line 11447 "gram.y" /* yacc.c:1646  */
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);

					n->setstmt = (yyvsp[0].vsetstmt);
					(yyval.node) = (Node *) n;
				}
#line 43530 "gram.c" /* yacc.c:1646  */
    break;

  case 1511:
#line 11464 "gram.y" /* yacc.c:1646  */
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);

					n->domainname = (yyvsp[-3].list);
					n->typeName = (yyvsp[-1].typnam);
					SplitColQualList((yyvsp[0].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *) n;
				}
#line 43544 "gram.c" /* yacc.c:1646  */
    break;

  case 1512:
#line 11478 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'T';
					n->typeName = (yyvsp[-1].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43557 "gram.c" /* yacc.c:1646  */
    break;

  case 1513:
#line 11488 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'N';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43569 "gram.c" /* yacc.c:1646  */
    break;

  case 1514:
#line 11497 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'O';
					n->typeName = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43581 "gram.c" /* yacc.c:1646  */
    break;

  case 1515:
#line 11506 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'C';
					n->typeName = (yyvsp[-2].list);
					n->def = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 43594 "gram.c" /* yacc.c:1646  */
    break;

  case 1516:
#line 11516 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-4].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43609 "gram.c" /* yacc.c:1646  */
    break;

  case 1517:
#line 11528 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'X';
					n->typeName = (yyvsp[-6].list);
					n->name = (yyvsp[-1].str);
					n->behavior = (yyvsp[0].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43624 "gram.c" /* yacc.c:1646  */
    break;

  case 1518:
#line 11540 "gram.y" /* yacc.c:1646  */
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);

					n->subtype = 'V';
					n->typeName = (yyvsp[-3].list);
					n->name = (yyvsp[0].str);
					(yyval.node) = (Node *) n;
				}
#line 43637 "gram.c" /* yacc.c:1646  */
    break;

  case 1521:
#line 11563 "gram.y" /* yacc.c:1646  */
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);

					n->dictname = (yyvsp[-1].list);
					n->options = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 43649 "gram.c" /* yacc.c:1646  */
    break;

  case 1522:
#line 11574 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ADD_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43665 "gram.c" /* yacc.c:1646  */
    break;

  case 1523:
#line 11586 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_ALTER_MAPPING_FOR_TOKEN;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[-2].list);
					n->dicts = (yyvsp[0].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node *) n;
				}
#line 43681 "gram.c" /* yacc.c:1646  */
    break;

  case 1524:
#line 11598 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43697 "gram.c" /* yacc.c:1646  */
    break;

  case 1525:
#line 11610 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_REPLACE_DICT_FOR_TOKEN;
					n->cfgname = (yyvsp[-8].list);
					n->tokentype = (yyvsp[-4].list);
					n->dicts = list_make2((yyvsp[-2].list),(yyvsp[0].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node *) n;
				}
#line 43713 "gram.c" /* yacc.c:1646  */
    break;

  case 1526:
#line 11622 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-4].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
#line 43727 "gram.c" /* yacc.c:1646  */
    break;

  case 1527:
#line 11632 "gram.y" /* yacc.c:1646  */
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);

					n->kind = ALTER_TSCONFIG_DROP_MAPPING;
					n->cfgname = (yyvsp[-6].list);
					n->tokentype = (yyvsp[0].list);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
#line 43741 "gram.c" /* yacc.c:1646  */
    break;

  case 1530:
#line 11661 "gram.y" /* yacc.c:1646  */
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);

				n->conversion_name = (yyvsp[-6].list);
				n->for_encoding_name = (yyvsp[-4].str);
				n->to_encoding_name = (yyvsp[-2].str);
				n->func_name = (yyvsp[0].list);
				n->def = (yyvsp[-8].boolean);
				(yyval.node) = (Node *) n;
			}
#line 43756 "gram.c" /* yacc.c:1646  */
    break;

  case 1531:
#line 11684 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = (yyvsp[-3].list);
					(yyval.node) = (Node *) n;
				}
#line 43769 "gram.c" /* yacc.c:1646  */
    break;

  case 1532:
#line 11693 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 43782 "gram.c" /* yacc.c:1646  */
    break;

  case 1533:
#line 11703 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[-1].range);
					n->indexname = (yyvsp[0].str);
					n->params = NIL;
					if ((yyvsp[-2].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-2])));
					(yyval.node) = (Node *) n;
				}
#line 43797 "gram.c" /* yacc.c:1646  */
    break;

  case 1534:
#line 11715 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = NULL;
					n->indexname = NULL;
					n->params = NIL;
					if ((yyvsp[0].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[0])));
					(yyval.node) = (Node *) n;
				}
#line 43812 "gram.c" /* yacc.c:1646  */
    break;

  case 1535:
#line 11727 "gram.y" /* yacc.c:1646  */
    {
					ClusterStmt *n = makeNode(ClusterStmt);

					n->relation = (yyvsp[0].range);
					n->indexname = (yyvsp[-2].str);
					n->params = NIL;
					if ((yyvsp[-3].boolean))
						n->params = lappend(n->params, makeDefElem("verbose", NULL, (yylsp[-3])));
					(yyval.node) = (Node *) n;
				}
#line 43827 "gram.c" /* yacc.c:1646  */
    break;

  case 1536:
#line 11740 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43833 "gram.c" /* yacc.c:1646  */
    break;

  case 1537:
#line 11741 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 43839 "gram.c" /* yacc.c:1646  */
    break;

  case 1538:
#line 11754 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-4].boolean))
						n->options = lappend(n->options,
											 makeDefElem("full", NULL, (yylsp[-4])));
					if ((yyvsp[-3].boolean))
						n->options = lappend(n->options,
											 makeDefElem("freeze", NULL, (yylsp[-3])));
					if ((yyvsp[-2].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("analyze", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43864 "gram.c" /* yacc.c:1646  */
    break;

  case 1539:
#line 11775 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = true;
					(yyval.node) = (Node *) n;
				}
#line 43877 "gram.c" /* yacc.c:1646  */
    break;

  case 1540:
#line 11786 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = NIL;
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43893 "gram.c" /* yacc.c:1646  */
    break;

  case 1541:
#line 11798 "gram.y" /* yacc.c:1646  */
    {
					VacuumStmt *n = makeNode(VacuumStmt);

					n->options = (yyvsp[-2].list);
					n->rels = (yyvsp[0].list);
					n->is_vacuumcmd = false;
					(yyval.node) = (Node *) n;
				}
#line 43906 "gram.c" /* yacc.c:1646  */
    break;

  case 1542:
#line 11810 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].defelt));
				}
#line 43914 "gram.c" /* yacc.c:1646  */
    break;

  case 1543:
#line 11814 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].defelt));
				}
#line 43922 "gram.c" /* yacc.c:1646  */
    break;

  case 1546:
#line 11826 "gram.y" /* yacc.c:1646  */
    {
					(yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1]));
				}
#line 43930 "gram.c" /* yacc.c:1646  */
    break;

  case 1547:
#line 11832 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 43936 "gram.c" /* yacc.c:1646  */
    break;

  case 1548:
#line 11833 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "analyze"; }
#line 43942 "gram.c" /* yacc.c:1646  */
    break;

  case 1549:
#line 11834 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "format"; }
#line 43948 "gram.c" /* yacc.c:1646  */
    break;

  case 1550:
#line 11838 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeString((yyvsp[0].str)); }
#line 43954 "gram.c" /* yacc.c:1646  */
    break;

  case 1551:
#line 11839 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[0].node); }
#line 43960 "gram.c" /* yacc.c:1646  */
    break;

  case 1552:
#line 11840 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 43966 "gram.c" /* yacc.c:1646  */
    break;

  case 1553:
#line 11844 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43972 "gram.c" /* yacc.c:1646  */
    break;

  case 1554:
#line 11845 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43978 "gram.c" /* yacc.c:1646  */
    break;

  case 1555:
#line 11849 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43984 "gram.c" /* yacc.c:1646  */
    break;

  case 1556:
#line 11850 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 43990 "gram.c" /* yacc.c:1646  */
    break;

  case 1557:
#line 11853 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 43996 "gram.c" /* yacc.c:1646  */
    break;

  case 1558:
#line 11854 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44002 "gram.c" /* yacc.c:1646  */
    break;

  case 1559:
#line 11857 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44008 "gram.c" /* yacc.c:1646  */
    break;

  case 1560:
#line 11858 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44014 "gram.c" /* yacc.c:1646  */
    break;

  case 1561:
#line 11862 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44020 "gram.c" /* yacc.c:1646  */
    break;

  case 1562:
#line 11863 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44026 "gram.c" /* yacc.c:1646  */
    break;

  case 1563:
#line 11868 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeVacuumRelation((yyvsp[-1].range), InvalidOid, (yyvsp[0].list));
				}
#line 44034 "gram.c" /* yacc.c:1646  */
    break;

  case 1564:
#line 11875 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44040 "gram.c" /* yacc.c:1646  */
    break;

  case 1565:
#line 11877 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 44046 "gram.c" /* yacc.c:1646  */
    break;

  case 1566:
#line 11881 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44052 "gram.c" /* yacc.c:1646  */
    break;

  case 1567:
#line 11882 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44058 "gram.c" /* yacc.c:1646  */
    break;

  case 1568:
#line 11896 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
#line 44070 "gram.c" /* yacc.c:1646  */
    break;

  case 1569:
#line 11904 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("analyze", NULL, (yylsp[-2])));
					if ((yyvsp[-1].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44085 "gram.c" /* yacc.c:1646  */
    break;

  case 1570:
#line 11915 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = list_make1(makeDefElem("verbose", NULL, (yylsp[-1])));
					(yyval.node) = (Node *) n;
				}
#line 44097 "gram.c" /* yacc.c:1646  */
    break;

  case 1571:
#line 11923 "gram.y" /* yacc.c:1646  */
    {
					ExplainStmt *n = makeNode(ExplainStmt);

					n->query = (yyvsp[0].node);
					n->options = (yyvsp[-2].list);
					(yyval.node) = (Node *) n;
				}
#line 44109 "gram.c" /* yacc.c:1646  */
    break;

  case 1582:
#line 11953 "gram.y" /* yacc.c:1646  */
    {
					PrepareStmt *n = makeNode(PrepareStmt);

					n->name = (yyvsp[-3].str);
					n->argtypes = (yyvsp[-2].list);
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44122 "gram.c" /* yacc.c:1646  */
    break;

  case 1583:
#line 11963 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44128 "gram.c" /* yacc.c:1646  */
    break;

  case 1584:
#line 11964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44134 "gram.c" /* yacc.c:1646  */
    break;

  case 1590:
#line 11983 "gram.y" /* yacc.c:1646  */
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-1].str);
					n->params = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 44146 "gram.c" /* yacc.c:1646  */
    break;

  case 1591:
#line 11992 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-7].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44167 "gram.c" /* yacc.c:1646  */
    break;

  case 1592:
#line 12010 "gram.y" /* yacc.c:1646  */
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);

					n->name = (yyvsp[-2].str);
					n->params = (yyvsp[-1].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[-5].into);
					ctas->objtype = OBJECT_TABLE;
					ctas->is_select_into = false;
					ctas->if_not_exists = true;
					/* cram additional flags into the IntoClause */
					(yyvsp[-5].into)->rel->relpersistence = (yyvsp[-10].ival);
					(yyvsp[-5].into)->skipData = !((yyvsp[0].boolean));
					(yyval.node) = (Node *) ctas;
				}
#line 44188 "gram.c" /* yacc.c:1646  */
    break;

  case 1593:
#line 12028 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 44194 "gram.c" /* yacc.c:1646  */
    break;

  case 1594:
#line 12029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44200 "gram.c" /* yacc.c:1646  */
    break;

  case 1595:
#line 12040 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44213 "gram.c" /* yacc.c:1646  */
    break;

  case 1596:
#line 12049 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = (yyvsp[0].str);
						n->isall = false;
						n->location = (yylsp[0]);
						(yyval.node) = (Node *) n;
					}
#line 44226 "gram.c" /* yacc.c:1646  */
    break;

  case 1597:
#line 12058 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44239 "gram.c" /* yacc.c:1646  */
    break;

  case 1598:
#line 12067 "gram.y" /* yacc.c:1646  */
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);

						n->name = NULL;
						n->isall = true;
						n->location = -1;
						(yyval.node) = (Node *) n;
					}
#line 44252 "gram.c" /* yacc.c:1646  */
    break;

  case 1599:
#line 12087 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].istmt)->relation = (yyvsp[-3].range);
					(yyvsp[-2].istmt)->onConflictClause = (yyvsp[-1].onconflict);
					(yyvsp[-2].istmt)->returningList = (yyvsp[0].list);
					(yyvsp[-2].istmt)->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) (yyvsp[-2].istmt);
				}
#line 44264 "gram.c" /* yacc.c:1646  */
    break;

  case 1600:
#line 12104 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 44272 "gram.c" /* yacc.c:1646  */
    break;

  case 1601:
#line 12108 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].range)->alias = makeAlias((yyvsp[0].str), NIL);
					(yyval.range) = (yyvsp[-2].range);
				}
#line 44281 "gram.c" /* yacc.c:1646  */
    break;

  case 1602:
#line 12116 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44291 "gram.c" /* yacc.c:1646  */
    break;

  case 1603:
#line 12122 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44302 "gram.c" /* yacc.c:1646  */
    break;

  case 1604:
#line 12129 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-2].list);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44312 "gram.c" /* yacc.c:1646  */
    break;

  case 1605:
#line 12135 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[-5].list);
					(yyval.istmt)->override = (yyvsp[-2].ival);
					(yyval.istmt)->selectStmt = (yyvsp[0].node);
				}
#line 44323 "gram.c" /* yacc.c:1646  */
    break;

  case 1606:
#line 12142 "gram.y" /* yacc.c:1646  */
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
#line 44333 "gram.c" /* yacc.c:1646  */
    break;

  case 1607:
#line 12150 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_USER_VALUE; }
#line 44339 "gram.c" /* yacc.c:1646  */
    break;

  case 1608:
#line 12151 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = OVERRIDING_SYSTEM_VALUE; }
#line 44345 "gram.c" /* yacc.c:1646  */
    break;

  case 1609:
#line 12156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44351 "gram.c" /* yacc.c:1646  */
    break;

  case 1610:
#line 12158 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 44357 "gram.c" /* yacc.c:1646  */
    break;

  case 1611:
#line 12163 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44369 "gram.c" /* yacc.c:1646  */
    break;

  case 1612:
#line 12174 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_UPDATE;
					(yyval.onconflict)->infer = (yyvsp[-5].infer);
					(yyval.onconflict)->targetList = (yyvsp[-1].list);
					(yyval.onconflict)->whereClause = (yyvsp[0].node);
					(yyval.onconflict)->location = (yylsp[-7]);
				}
#line 44382 "gram.c" /* yacc.c:1646  */
    break;

  case 1613:
#line 12184 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = makeNode(OnConflictClause);
					(yyval.onconflict)->action = ONCONFLICT_NOTHING;
					(yyval.onconflict)->infer = (yyvsp[-2].infer);
					(yyval.onconflict)->targetList = NIL;
					(yyval.onconflict)->whereClause = NULL;
					(yyval.onconflict)->location = (yylsp[-4]);
				}
#line 44395 "gram.c" /* yacc.c:1646  */
    break;

  case 1614:
#line 12193 "gram.y" /* yacc.c:1646  */
    {
					(yyval.onconflict) = NULL;
				}
#line 44403 "gram.c" /* yacc.c:1646  */
    break;

  case 1615:
#line 12200 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = (yyvsp[-2].list);
					(yyval.infer)->whereClause = (yyvsp[0].node);
					(yyval.infer)->conname = NULL;
					(yyval.infer)->location = (yylsp[-3]);
				}
#line 44415 "gram.c" /* yacc.c:1646  */
    break;

  case 1616:
#line 12209 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = makeNode(InferClause);
					(yyval.infer)->indexElems = NIL;
					(yyval.infer)->whereClause = NULL;
					(yyval.infer)->conname = (yyvsp[0].str);
					(yyval.infer)->location = (yylsp[-2]);
				}
#line 44427 "gram.c" /* yacc.c:1646  */
    break;

  case 1617:
#line 12217 "gram.y" /* yacc.c:1646  */
    {
					(yyval.infer) = NULL;
				}
#line 44435 "gram.c" /* yacc.c:1646  */
    break;

  case 1618:
#line 12223 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44441 "gram.c" /* yacc.c:1646  */
    break;

  case 1619:
#line 12224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44447 "gram.c" /* yacc.c:1646  */
    break;

  case 1620:
#line 12237 "gram.y" /* yacc.c:1646  */
    {
					DeleteStmt *n = makeNode(DeleteStmt);

					n->relation = (yyvsp[-3].range);
					n->usingClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-6].with);
					(yyval.node) = (Node *) n;
				}
#line 44462 "gram.c" /* yacc.c:1646  */
    break;

  case 1621:
#line 12250 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44468 "gram.c" /* yacc.c:1646  */
    break;

  case 1622:
#line 12251 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 44474 "gram.c" /* yacc.c:1646  */
    break;

  case 1623:
#line 12263 "gram.y" /* yacc.c:1646  */
    {
					LockStmt   *n = makeNode(LockStmt);

					n->relations = (yyvsp[-2].list);
					n->mode = (yyvsp[-1].ival);
					n->nowait = (yyvsp[0].boolean);
					(yyval.node) = (Node *) n;
				}
#line 44487 "gram.c" /* yacc.c:1646  */
    break;

  case 1624:
#line 12273 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival); }
#line 44493 "gram.c" /* yacc.c:1646  */
    break;

  case 1625:
#line 12274 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 44499 "gram.c" /* yacc.c:1646  */
    break;

  case 1626:
#line 12277 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessShareLock; }
#line 44505 "gram.c" /* yacc.c:1646  */
    break;

  case 1627:
#line 12278 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowShareLock; }
#line 44511 "gram.c" /* yacc.c:1646  */
    break;

  case 1628:
#line 12279 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = RowExclusiveLock; }
#line 44517 "gram.c" /* yacc.c:1646  */
    break;

  case 1629:
#line 12280 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareUpdateExclusiveLock; }
#line 44523 "gram.c" /* yacc.c:1646  */
    break;

  case 1630:
#line 12281 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareLock; }
#line 44529 "gram.c" /* yacc.c:1646  */
    break;

  case 1631:
#line 12282 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ShareRowExclusiveLock; }
#line 44535 "gram.c" /* yacc.c:1646  */
    break;

  case 1632:
#line 12283 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ExclusiveLock; }
#line 44541 "gram.c" /* yacc.c:1646  */
    break;

  case 1633:
#line 12284 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = AccessExclusiveLock; }
#line 44547 "gram.c" /* yacc.c:1646  */
    break;

  case 1634:
#line 12287 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 44553 "gram.c" /* yacc.c:1646  */
    break;

  case 1635:
#line 12288 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 44559 "gram.c" /* yacc.c:1646  */
    break;

  case 1636:
#line 12292 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitError; }
#line 44565 "gram.c" /* yacc.c:1646  */
    break;

  case 1637:
#line 12293 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitSkip; }
#line 44571 "gram.c" /* yacc.c:1646  */
    break;

  case 1638:
#line 12294 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LockWaitBlock; }
#line 44577 "gram.c" /* yacc.c:1646  */
    break;

  case 1639:
#line 12310 "gram.y" /* yacc.c:1646  */
    {
					UpdateStmt *n = makeNode(UpdateStmt);

					n->relation = (yyvsp[-5].range);
					n->targetList = (yyvsp[-3].list);
					n->fromClause = (yyvsp[-2].list);
					n->whereClause = (yyvsp[-1].node);
					n->returningList = (yyvsp[0].list);
					n->withClause = (yyvsp[-7].with);
					(yyval.node) = (Node *) n;
				}
#line 44593 "gram.c" /* yacc.c:1646  */
    break;

  case 1640:
#line 12324 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 44599 "gram.c" /* yacc.c:1646  */
    break;

  case 1641:
#line 12325 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_concat((yyvsp[-2].list),(yyvsp[0].list)); }
#line 44605 "gram.c" /* yacc.c:1646  */
    break;

  case 1642:
#line 12330 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].target)->val = (Node *) (yyvsp[0].node);
					(yyval.list) = list_make1((yyvsp[-2].target));
				}
#line 44614 "gram.c" /* yacc.c:1646  */
    break;

  case 1643:
#line 12335 "gram.y" /* yacc.c:1646  */
    {
					int			ncolumns = list_length((yyvsp[-3].list));
					int			i = 1;
					ListCell   *col_cell;

					/* Create a MultiAssignRef source for each target */
					foreach(col_cell, (yyvsp[-3].list))
					{
						ResTarget  *res_col = (ResTarget *) lfirst(col_cell);
						MultiAssignRef *r = makeNode(MultiAssignRef);

						r->source = (Node *) (yyvsp[0].node);
						r->colno = i;
						r->ncolumns = ncolumns;
						res_col->val = (Node *) r;
						i++;
					}

					(yyval.list) = (yyvsp[-3].list);
				}
#line 44639 "gram.c" /* yacc.c:1646  */
    break;

  case 1644:
#line 12359 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[-1].str);
					(yyval.target)->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[-1]);
				}
#line 44651 "gram.c" /* yacc.c:1646  */
    break;

  case 1645:
#line 12369 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 44657 "gram.c" /* yacc.c:1646  */
    break;

  case 1646:
#line 12370 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].target)); }
#line 44663 "gram.c" /* yacc.c:1646  */
    break;

  case 1647:
#line 12387 "gram.y" /* yacc.c:1646  */
    {
					MergeStmt  *m = makeNode(MergeStmt);

					m->withClause = (yyvsp[-9].with);
					m->relation = (yyvsp[-6].range);
					m->sourceRelation = (yyvsp[-4].node);
					m->joinCondition = (yyvsp[-2].node);
					m->mergeWhenClauses = (yyvsp[-1].list);
					m->returningList = (yyvsp[0].list);

					(yyval.node) = (Node *) m;
				}
#line 44680 "gram.c" /* yacc.c:1646  */
    break;

  case 1648:
#line 12402 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 44686 "gram.c" /* yacc.c:1646  */
    break;

  case 1649:
#line 12403 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list),(yyvsp[0].node)); }
#line 44692 "gram.c" /* yacc.c:1646  */
    break;

  case 1650:
#line 12408 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44703 "gram.c" /* yacc.c:1646  */
    break;

  case 1651:
#line 12415 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = true;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44714 "gram.c" /* yacc.c:1646  */
    break;

  case 1652:
#line 12422 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[0].mergewhen)->matched = false;
					(yyvsp[0].mergewhen)->condition = (yyvsp[-2].node);

					(yyval.node) = (Node *) (yyvsp[0].mergewhen);
				}
#line 44725 "gram.c" /* yacc.c:1646  */
    break;

  case 1653:
#line 12429 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = true;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44739 "gram.c" /* yacc.c:1646  */
    break;

  case 1654:
#line 12439 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *m = makeNode(MergeWhenClause);

					m->matched = false;
					m->commandType = CMD_NOTHING;
					m->condition = (yyvsp[-3].node);

					(yyval.node) = (Node *) m;
				}
#line 44753 "gram.c" /* yacc.c:1646  */
    break;

  case 1655:
#line 12451 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44759 "gram.c" /* yacc.c:1646  */
    break;

  case 1656:
#line 12452 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 44765 "gram.c" /* yacc.c:1646  */
    break;

  case 1657:
#line 12457 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_UPDATE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[0].list);
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44779 "gram.c" /* yacc.c:1646  */
    break;

  case 1658:
#line 12470 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_DELETE;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;

					(yyval.mergewhen) = n;
				}
#line 44793 "gram.c" /* yacc.c:1646  */
    break;

  case 1659:
#line 12483 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44806 "gram.c" /* yacc.c:1646  */
    break;

  case 1660:
#line 12492 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = NIL;
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44819 "gram.c" /* yacc.c:1646  */
    break;

  case 1661:
#line 12501 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = (yyvsp[-2].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44832 "gram.c" /* yacc.c:1646  */
    break;

  case 1662:
#line 12510 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = (yyvsp[-2].ival);
					n->targetList = (yyvsp[-5].list);
					n->values = (yyvsp[0].list);
					(yyval.mergewhen) = n;
				}
#line 44845 "gram.c" /* yacc.c:1646  */
    break;

  case 1663:
#line 12519 "gram.y" /* yacc.c:1646  */
    {
					MergeWhenClause *n = makeNode(MergeWhenClause);
					n->commandType = CMD_INSERT;
					n->override = OVERRIDING_NOT_SET;
					n->targetList = NIL;
					n->values = NIL;
					(yyval.mergewhen) = n;
				}
#line 44858 "gram.c" /* yacc.c:1646  */
    break;

  case 1664:
#line 12531 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[-1].list);
				}
#line 44866 "gram.c" /* yacc.c:1646  */
    break;

  case 1665:
#line 12543 "gram.y" /* yacc.c:1646  */
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);

					n->portalname = (yyvsp[-5].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[-4].ival) | (yyvsp[-2].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 44880 "gram.c" /* yacc.c:1646  */
    break;

  case 1666:
#line 12554 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 44886 "gram.c" /* yacc.c:1646  */
    break;

  case 1667:
#line 12557 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44892 "gram.c" /* yacc.c:1646  */
    break;

  case 1668:
#line 12558 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-2].ival) | CURSOR_OPT_NO_SCROLL; }
#line 44898 "gram.c" /* yacc.c:1646  */
    break;

  case 1669:
#line 12559 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_SCROLL; }
#line 44904 "gram.c" /* yacc.c:1646  */
    break;

  case 1670:
#line 12560 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_BINARY; }
#line 44910 "gram.c" /* yacc.c:1646  */
    break;

  case 1671:
#line 12561 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_ASENSITIVE; }
#line 44916 "gram.c" /* yacc.c:1646  */
    break;

  case 1672:
#line 12562 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[-1].ival) | CURSOR_OPT_INSENSITIVE; }
#line 44922 "gram.c" /* yacc.c:1646  */
    break;

  case 1673:
#line 12565 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44928 "gram.c" /* yacc.c:1646  */
    break;

  case 1674:
#line 12566 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CURSOR_OPT_HOLD; }
#line 44934 "gram.c" /* yacc.c:1646  */
    break;

  case 1675:
#line 12567 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 44940 "gram.c" /* yacc.c:1646  */
    break;

  case 1678:
#line 12620 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44946 "gram.c" /* yacc.c:1646  */
    break;

  case 1679:
#line 12621 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 44952 "gram.c" /* yacc.c:1646  */
    break;

  case 1680:
#line 12636 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 44958 "gram.c" /* yacc.c:1646  */
    break;

  case 1681:
#line 12638 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 44969 "gram.c" /* yacc.c:1646  */
    break;

  case 1682:
#line 12645 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44981 "gram.c" /* yacc.c:1646  */
    break;

  case 1683:
#line 12653 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 44993 "gram.c" /* yacc.c:1646  */
    break;

  case 1684:
#line 12661 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[0].node), NULL, NIL,
										NULL,
										(yyvsp[-1].with),
										yyscanner);
					(yyval.node) = (yyvsp[0].node);
				}
#line 45005 "gram.c" /* yacc.c:1646  */
    break;

  case 1685:
#line 12669 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-1].node), (yyvsp[0].list), NIL,
										NULL,
										(yyvsp[-2].with),
										yyscanner);
					(yyval.node) = (yyvsp[-1].node);
				}
#line 45017 "gram.c" /* yacc.c:1646  */
    break;

  case 1686:
#line 12677 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[-1].list),
										(yyvsp[0].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45029 "gram.c" /* yacc.c:1646  */
    break;

  case 1687:
#line 12685 "gram.y" /* yacc.c:1646  */
    {
					insertSelectOptions((SelectStmt *) (yyvsp[-3].node), (yyvsp[-2].list), (yyvsp[0].list),
										(yyvsp[-1].selectlimit),
										(yyvsp[-4].with),
										yyscanner);
					(yyval.node) = (yyvsp[-3].node);
				}
#line 45041 "gram.c" /* yacc.c:1646  */
    break;

  case 1688:
#line 12695 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45047 "gram.c" /* yacc.c:1646  */
    break;

  case 1689:
#line 12696 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45053 "gram.c" /* yacc.c:1646  */
    break;

  case 1690:
#line 12731 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45071 "gram.c" /* yacc.c:1646  */
    break;

  case 1691:
#line 12747 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-7].list);
					n->targetList = (yyvsp[-6].list);
					n->intoClause = (yyvsp[-5].into);
					n->fromClause = (yyvsp[-4].list);
					n->whereClause = (yyvsp[-3].node);
					n->groupClause = ((yyvsp[-2].groupclause))->list;
					n->groupDistinct = ((yyvsp[-2].groupclause))->distinct;
					n->havingClause = (yyvsp[-1].node);
					n->windowClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 45090 "gram.c" /* yacc.c:1646  */
    break;

  case 1692:
#line 12761 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45096 "gram.c" /* yacc.c:1646  */
    break;

  case 1693:
#line 12763 "gram.y" /* yacc.c:1646  */
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef  *cr = makeNode(ColumnRef);
					ResTarget  *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *) cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[0].range));
					(yyval.node) = (Node *) n;
				}
#line 45119 "gram.c" /* yacc.c:1646  */
    break;

  case 1694:
#line 12782 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45127 "gram.c" /* yacc.c:1646  */
    break;

  case 1695:
#line 12786 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45135 "gram.c" /* yacc.c:1646  */
    break;

  case 1696:
#line 12790 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[-1].setquantifier) == SET_QUANTIFIER_ALL, (yyvsp[-3].node), (yyvsp[0].node));
				}
#line 45143 "gram.c" /* yacc.c:1646  */
    break;

  case 1697:
#line 12805 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45154 "gram.c" /* yacc.c:1646  */
    break;

  case 1698:
#line 12812 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[-1]);
			}
#line 45165 "gram.c" /* yacc.c:1646  */
    break;

  case 1699:
#line 12819 "gram.y" /* yacc.c:1646  */
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[0].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[-2]);
			}
#line 45176 "gram.c" /* yacc.c:1646  */
    break;

  case 1700:
#line 12828 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45182 "gram.c" /* yacc.c:1646  */
    break;

  case 1701:
#line 12829 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45188 "gram.c" /* yacc.c:1646  */
    break;

  case 1702:
#line 12833 "gram.y" /* yacc.c:1646  */
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);

				n->ctename = (yyvsp[-8].str);
				n->aliascolnames = (yyvsp[-7].list);
				n->ctematerialized = (yyvsp[-5].ival);
				n->ctequery = (yyvsp[-3].node);
				n->search_clause = castNode(CTESearchClause, (yyvsp[-1].node));
				n->cycle_clause = castNode(CTECycleClause, (yyvsp[0].node));
				n->location = (yylsp[-8]);
				(yyval.node) = (Node *) n;
			}
#line 45205 "gram.c" /* yacc.c:1646  */
    break;

  case 1703:
#line 12848 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeAlways; }
#line 45211 "gram.c" /* yacc.c:1646  */
    break;

  case 1704:
#line 12849 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeNever; }
#line 45217 "gram.c" /* yacc.c:1646  */
    break;

  case 1705:
#line 12850 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = CTEMaterializeDefault; }
#line 45223 "gram.c" /* yacc.c:1646  */
    break;

  case 1706:
#line 12855 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = false;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45237 "gram.c" /* yacc.c:1646  */
    break;

  case 1707:
#line 12865 "gram.y" /* yacc.c:1646  */
    {
				CTESearchClause *n = makeNode(CTESearchClause);

				n->search_col_list = (yyvsp[-2].list);
				n->search_breadth_first = true;
				n->search_seq_column = (yyvsp[0].str);
				n->location = (yylsp[-6]);
				(yyval.node) = (Node *) n;
			}
#line 45251 "gram.c" /* yacc.c:1646  */
    break;

  case 1708:
#line 12875 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 45259 "gram.c" /* yacc.c:1646  */
    break;

  case 1709:
#line 12882 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-8].list);
				n->cycle_mark_column = (yyvsp[-6].str);
				n->cycle_mark_value = (yyvsp[-4].node);
				n->cycle_mark_default = (yyvsp[-2].node);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-9]);
				(yyval.node) = (Node *) n;
			}
#line 45275 "gram.c" /* yacc.c:1646  */
    break;

  case 1710:
#line 12894 "gram.y" /* yacc.c:1646  */
    {
				CTECycleClause *n = makeNode(CTECycleClause);

				n->cycle_col_list = (yyvsp[-4].list);
				n->cycle_mark_column = (yyvsp[-2].str);
				n->cycle_mark_value = makeBoolAConst(true, -1);
				n->cycle_mark_default = makeBoolAConst(false, -1);
				n->cycle_path_column = (yyvsp[0].str);
				n->location = (yylsp[-5]);
				(yyval.node) = (Node *) n;
			}
#line 45291 "gram.c" /* yacc.c:1646  */
    break;

  case 1711:
#line 12906 "gram.y" /* yacc.c:1646  */
    {
				(yyval.node) = NULL;
			}
#line 45299 "gram.c" /* yacc.c:1646  */
    break;

  case 1712:
#line 12912 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = (yyvsp[0].with); }
#line 45305 "gram.c" /* yacc.c:1646  */
    break;

  case 1713:
#line 12913 "gram.y" /* yacc.c:1646  */
    { (yyval.with) = NULL; }
#line 45311 "gram.c" /* yacc.c:1646  */
    break;

  case 1714:
#line 12918 "gram.y" /* yacc.c:1646  */
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[0].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
#line 45326 "gram.c" /* yacc.c:1646  */
    break;

  case 1715:
#line 12929 "gram.y" /* yacc.c:1646  */
    { (yyval.into) = NULL; }
#line 45332 "gram.c" /* yacc.c:1646  */
    break;

  case 1716:
#line 12938 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45341 "gram.c" /* yacc.c:1646  */
    break;

  case 1717:
#line 12943 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45350 "gram.c" /* yacc.c:1646  */
    break;

  case 1718:
#line 12948 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45359 "gram.c" /* yacc.c:1646  */
    break;

  case 1719:
#line 12953 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45368 "gram.c" /* yacc.c:1646  */
    break;

  case 1720:
#line 12958 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45380 "gram.c" /* yacc.c:1646  */
    break;

  case 1721:
#line 12966 "gram.y" /* yacc.c:1646  */
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[-3]))));
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
#line 45392 "gram.c" /* yacc.c:1646  */
    break;

  case 1722:
#line 12974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
#line 45401 "gram.c" /* yacc.c:1646  */
    break;

  case 1723:
#line 12979 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 45410 "gram.c" /* yacc.c:1646  */
    break;

  case 1724:
#line 12984 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
#line 45419 "gram.c" /* yacc.c:1646  */
    break;

  case 1727:
#line 12995 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_ALL; }
#line 45425 "gram.c" /* yacc.c:1646  */
    break;

  case 1728:
#line 12996 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DISTINCT; }
#line 45431 "gram.c" /* yacc.c:1646  */
    break;

  case 1729:
#line 12997 "gram.y" /* yacc.c:1646  */
    { (yyval.setquantifier) = SET_QUANTIFIER_DEFAULT; }
#line 45437 "gram.c" /* yacc.c:1646  */
    break;

  case 1730:
#line 13004 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(NIL); }
#line 45443 "gram.c" /* yacc.c:1646  */
    break;

  case 1731:
#line 13005 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 45449 "gram.c" /* yacc.c:1646  */
    break;

  case 1734:
#line 13014 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45455 "gram.c" /* yacc.c:1646  */
    break;

  case 1735:
#line 13015 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45461 "gram.c" /* yacc.c:1646  */
    break;

  case 1736:
#line 13019 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45467 "gram.c" /* yacc.c:1646  */
    break;

  case 1737:
#line 13020 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45473 "gram.c" /* yacc.c:1646  */
    break;

  case 1738:
#line 13024 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45479 "gram.c" /* yacc.c:1646  */
    break;

  case 1739:
#line 13028 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].sortby)); }
#line 45485 "gram.c" /* yacc.c:1646  */
    break;

  case 1740:
#line 13029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].sortby)); }
#line 45491 "gram.c" /* yacc.c:1646  */
    break;

  case 1741:
#line 13033 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-3].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = (yyvsp[-1].list);
					(yyval.sortby)->location = (yylsp[-1]);
				}
#line 45504 "gram.c" /* yacc.c:1646  */
    break;

  case 1742:
#line 13042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[-2].node);
					(yyval.sortby)->sortby_dir = (yyvsp[-1].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[0].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
#line 45517 "gram.c" /* yacc.c:1646  */
    break;

  case 1743:
#line 13055 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[-1].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[0].node);
				}
#line 45526 "gram.c" /* yacc.c:1646  */
    break;

  case 1744:
#line 13060 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
					((yyval.selectlimit))->limitOffset = (yyvsp[-1].node);
				}
#line 45535 "gram.c" /* yacc.c:1646  */
    break;

  case 1745:
#line 13065 "gram.y" /* yacc.c:1646  */
    {
					(yyval.selectlimit) = (yyvsp[0].selectlimit);
				}
#line 45543 "gram.c" /* yacc.c:1646  */
    break;

  case 1746:
#line 13069 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = (yyvsp[0].node);
					n->limitCount = NULL;
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45556 "gram.c" /* yacc.c:1646  */
    break;

  case 1747:
#line 13080 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = (yyvsp[0].selectlimit); }
#line 45562 "gram.c" /* yacc.c:1646  */
    break;

  case 1748:
#line 13081 "gram.y" /* yacc.c:1646  */
    { (yyval.selectlimit) = NULL; }
#line 45568 "gram.c" /* yacc.c:1646  */
    break;

  case 1749:
#line 13086 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[0].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45581 "gram.c" /* yacc.c:1646  */
    break;

  case 1750:
#line 13095 "gram.y" /* yacc.c:1646  */
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[-3]))));
				}
#line 45594 "gram.c" /* yacc.c:1646  */
    break;

  case 1751:
#line 13111 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-2].node);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45607 "gram.c" /* yacc.c:1646  */
    break;

  case 1752:
#line 13120 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = (yyvsp[-3].node);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45620 "gram.c" /* yacc.c:1646  */
    break;

  case 1753:
#line 13129 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_COUNT;
					(yyval.selectlimit) = n;
				}
#line 45633 "gram.c" /* yacc.c:1646  */
    break;

  case 1754:
#line 13138 "gram.y" /* yacc.c:1646  */
    {
					SelectLimit *n = (SelectLimit *) palloc(sizeof(SelectLimit));

					n->limitOffset = NULL;
					n->limitCount = makeIntConst(1, -1);
					n->limitOption = LIMIT_OPTION_WITH_TIES;
					(yyval.selectlimit) = n;
				}
#line 45646 "gram.c" /* yacc.c:1646  */
    break;

  case 1755:
#line 13150 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45652 "gram.c" /* yacc.c:1646  */
    break;

  case 1756:
#line 13153 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 45658 "gram.c" /* yacc.c:1646  */
    break;

  case 1757:
#line 13157 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45664 "gram.c" /* yacc.c:1646  */
    break;

  case 1758:
#line 13159 "gram.y" /* yacc.c:1646  */
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 45673 "gram.c" /* yacc.c:1646  */
    break;

  case 1759:
#line 13166 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45679 "gram.c" /* yacc.c:1646  */
    break;

  case 1760:
#line 13186 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45685 "gram.c" /* yacc.c:1646  */
    break;

  case 1761:
#line 13188 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 45691 "gram.c" /* yacc.c:1646  */
    break;

  case 1762:
#line 13190 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 45697 "gram.c" /* yacc.c:1646  */
    break;

  case 1763:
#line 13194 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst((yyvsp[0].ival),(yylsp[0])); }
#line 45703 "gram.c" /* yacc.c:1646  */
    break;

  case 1764:
#line 13195 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeFloatConst((yyvsp[0].str),(yylsp[0])); }
#line 45709 "gram.c" /* yacc.c:1646  */
    break;

  case 1765:
#line 13199 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45715 "gram.c" /* yacc.c:1646  */
    break;

  case 1766:
#line 13200 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45721 "gram.c" /* yacc.c:1646  */
    break;

  case 1767:
#line 13203 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45727 "gram.c" /* yacc.c:1646  */
    break;

  case 1768:
#line 13204 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 45733 "gram.c" /* yacc.c:1646  */
    break;

  case 1769:
#line 13230 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = (yyvsp[-1].setquantifier) == SET_QUANTIFIER_DISTINCT;
					n->list = (yyvsp[0].list);
					(yyval.groupclause) = n;
				}
#line 45745 "gram.c" /* yacc.c:1646  */
    break;

  case 1770:
#line 13238 "gram.y" /* yacc.c:1646  */
    {
					GroupClause *n = (GroupClause *) palloc(sizeof(GroupClause));

					n->distinct = false;
					n->list = NIL;
					(yyval.groupclause) = n;
				}
#line 45757 "gram.c" /* yacc.c:1646  */
    break;

  case 1771:
#line 13248 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45763 "gram.c" /* yacc.c:1646  */
    break;

  case 1772:
#line 13249 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list),(yyvsp[0].node)); }
#line 45769 "gram.c" /* yacc.c:1646  */
    break;

  case 1773:
#line 13253 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45775 "gram.c" /* yacc.c:1646  */
    break;

  case 1774:
#line 13254 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45781 "gram.c" /* yacc.c:1646  */
    break;

  case 1775:
#line 13255 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45787 "gram.c" /* yacc.c:1646  */
    break;

  case 1776:
#line 13256 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45793 "gram.c" /* yacc.c:1646  */
    break;

  case 1777:
#line 13257 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45799 "gram.c" /* yacc.c:1646  */
    break;

  case 1778:
#line 13262 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_EMPTY, NIL, (yylsp[-1]));
				}
#line 45807 "gram.c" /* yacc.c:1646  */
    break;

  case 1779:
#line 13275 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_ROLLUP, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45815 "gram.c" /* yacc.c:1646  */
    break;

  case 1780:
#line 13282 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_CUBE, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 45823 "gram.c" /* yacc.c:1646  */
    break;

  case 1781:
#line 13289 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeGroupingSet(GROUPING_SET_SETS, (yyvsp[-1].list), (yylsp[-4]));
				}
#line 45831 "gram.c" /* yacc.c:1646  */
    break;

  case 1782:
#line 13295 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 45837 "gram.c" /* yacc.c:1646  */
    break;

  case 1783:
#line 13296 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 45843 "gram.c" /* yacc.c:1646  */
    break;

  case 1784:
#line 13300 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45849 "gram.c" /* yacc.c:1646  */
    break;

  case 1785:
#line 13301 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45855 "gram.c" /* yacc.c:1646  */
    break;

  case 1786:
#line 13305 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45861 "gram.c" /* yacc.c:1646  */
    break;

  case 1787:
#line 13306 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45867 "gram.c" /* yacc.c:1646  */
    break;

  case 1788:
#line 13310 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45873 "gram.c" /* yacc.c:1646  */
    break;

  case 1789:
#line 13311 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 45879 "gram.c" /* yacc.c:1646  */
    break;

  case 1790:
#line 13316 "gram.y" /* yacc.c:1646  */
    {
					LockingClause *n = makeNode(LockingClause);

					n->lockedRels = (yyvsp[-1].list);
					n->strength = (yyvsp[-2].ival);
					n->waitPolicy = (yyvsp[0].ival);
					(yyval.node) = (Node *) n;
				}
#line 45892 "gram.c" /* yacc.c:1646  */
    break;

  case 1791:
#line 13327 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORUPDATE; }
#line 45898 "gram.c" /* yacc.c:1646  */
    break;

  case 1792:
#line 13328 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
#line 45904 "gram.c" /* yacc.c:1646  */
    break;

  case 1793:
#line 13329 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORSHARE; }
#line 45910 "gram.c" /* yacc.c:1646  */
    break;

  case 1794:
#line 13330 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = LCS_FORKEYSHARE; }
#line 45916 "gram.c" /* yacc.c:1646  */
    break;

  case 1795:
#line 13334 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45922 "gram.c" /* yacc.c:1646  */
    break;

  case 1796:
#line 13335 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45928 "gram.c" /* yacc.c:1646  */
    break;

  case 1797:
#line 13346 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->valuesLists = list_make1((yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45939 "gram.c" /* yacc.c:1646  */
    break;

  case 1798:
#line 13353 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[-4].node);

					n->valuesLists = lappend(n->valuesLists, (yyvsp[-1].list));
					(yyval.node) = (Node *) n;
				}
#line 45950 "gram.c" /* yacc.c:1646  */
    break;

  case 1799:
#line 13371 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 45956 "gram.c" /* yacc.c:1646  */
    break;

  case 1800:
#line 13372 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 45962 "gram.c" /* yacc.c:1646  */
    break;

  case 1801:
#line 13376 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 45968 "gram.c" /* yacc.c:1646  */
    break;

  case 1802:
#line 13377 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 45974 "gram.c" /* yacc.c:1646  */
    break;

  case 1803:
#line 13384 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-1].range)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-1].range);
				}
#line 45983 "gram.c" /* yacc.c:1646  */
    break;

  case 1804:
#line 13389 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = (RangeTableSample *) (yyvsp[0].node);

					(yyvsp[-2].range)->alias = (yyvsp[-1].alias);
					/* relation_expr goes inside the RangeTableSample node */
					n->relation = (Node *) (yyvsp[-2].range);
					(yyval.node) = (Node *) n;
				}
#line 45996 "gram.c" /* yacc.c:1646  */
    break;

  case 1805:
#line 13398 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46008 "gram.c" /* yacc.c:1646  */
    break;

  case 1806:
#line 13406 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = linitial((yyvsp[0].list));
					n->coldeflist = lsecond((yyvsp[0].list));
					(yyval.node) = (Node *) n;
				}
#line 46021 "gram.c" /* yacc.c:1646  */
    break;

  case 1807:
#line 13415 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46032 "gram.c" /* yacc.c:1646  */
    break;

  case 1808:
#line 13422 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = (RangeTableFunc *) (yyvsp[-1].node);

					n->lateral = true;
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46044 "gram.c" /* yacc.c:1646  */
    break;

  case 1809:
#line 13430 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = false;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46057 "gram.c" /* yacc.c:1646  */
    break;

  case 1810:
#line 13439 "gram.y" /* yacc.c:1646  */
    {
					RangeSubselect *n = makeNode(RangeSubselect);

					n->lateral = true;
					n->subquery = (yyvsp[-1].node);
					n->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) n;
				}
#line 46070 "gram.c" /* yacc.c:1646  */
    break;

  case 1811:
#line 13448 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) (yyvsp[0].jexpr);
				}
#line 46078 "gram.c" /* yacc.c:1646  */
    break;

  case 1812:
#line 13452 "gram.y" /* yacc.c:1646  */
    {
					(yyvsp[-2].jexpr)->alias = (yyvsp[0].alias);
					(yyval.node) = (Node *) (yyvsp[-2].jexpr);
				}
#line 46087 "gram.c" /* yacc.c:1646  */
    break;

  case 1813:
#line 13478 "gram.y" /* yacc.c:1646  */
    {
					(yyval.jexpr) = (yyvsp[-1].jexpr);
				}
#line 46095 "gram.c" /* yacc.c:1646  */
    break;

  case 1814:
#line 13482 "gram.y" /* yacc.c:1646  */
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL;
					n->join_using_alias = NULL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
#line 46113 "gram.c" /* yacc.c:1646  */
    break;

  case 1815:
#line 13496 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-3].jtype);
					n->isNatural = false;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						 /* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46138 "gram.c" /* yacc.c:1646  */
    break;

  case 1816:
#line 13517 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = false;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[-1].node);
					if ((yyvsp[0].node) != NULL && IsA((yyvsp[0].node), List))
					{
						/* USING clause */
						n->usingClause = linitial_node(List, castNode(List, (yyvsp[0].node)));
						n->join_using_alias = lsecond_node(Alias, castNode(List, (yyvsp[0].node)));
					}
					else
					{
						/* ON clause */
						n->quals = (yyvsp[0].node);
					}
					(yyval.jexpr) = n;
				}
#line 46164 "gram.c" /* yacc.c:1646  */
    break;

  case 1817:
#line 13539 "gram.y" /* yacc.c:1646  */
    {
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = (yyvsp[-2].jtype);
					n->isNatural = true;
					n->larg = (yyvsp[-4].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46181 "gram.c" /* yacc.c:1646  */
    break;

  case 1818:
#line 13552 "gram.y" /* yacc.c:1646  */
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr   *n = makeNode(JoinExpr);

					n->jointype = JOIN_INNER;
					n->isNatural = true;
					n->larg = (yyvsp[-3].node);
					n->rarg = (yyvsp[0].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->join_using_alias = NULL;
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
#line 46199 "gram.c" /* yacc.c:1646  */
    break;

  case 1819:
#line 13569 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46209 "gram.c" /* yacc.c:1646  */
    break;

  case 1820:
#line 13575 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46218 "gram.c" /* yacc.c:1646  */
    break;

  case 1821:
#line 13580 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[-3].str);
					(yyval.alias)->colnames = (yyvsp[-1].list);
				}
#line 46228 "gram.c" /* yacc.c:1646  */
    break;

  case 1822:
#line 13586 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
				}
#line 46237 "gram.c" /* yacc.c:1646  */
    break;

  case 1823:
#line 13592 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = (yyvsp[0].alias); }
#line 46243 "gram.c" /* yacc.c:1646  */
    break;

  case 1824:
#line 13593 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 46249 "gram.c" /* yacc.c:1646  */
    break;

  case 1825:
#line 13604 "gram.y" /* yacc.c:1646  */
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[0].str);
					/* the column name list will be inserted later */
				}
#line 46259 "gram.c" /* yacc.c:1646  */
    break;

  case 1826:
#line 13609 "gram.y" /* yacc.c:1646  */
    { (yyval.alias) = NULL; }
#line 46265 "gram.c" /* yacc.c:1646  */
    break;

  case 1827:
#line 13618 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2((yyvsp[0].alias), NIL);
				}
#line 46273 "gram.c" /* yacc.c:1646  */
    break;

  case 1828:
#line 13622 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, (yyvsp[-1].list));
				}
#line 46281 "gram.c" /* yacc.c:1646  */
    break;

  case 1829:
#line 13626 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 46292 "gram.c" /* yacc.c:1646  */
    break;

  case 1830:
#line 13633 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *a = makeNode(Alias);

					a->aliasname = (yyvsp[-3].str);
					(yyval.list) = list_make2(a, (yyvsp[-1].list));
				}
#line 46303 "gram.c" /* yacc.c:1646  */
    break;

  case 1831:
#line 13640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
#line 46311 "gram.c" /* yacc.c:1646  */
    break;

  case 1832:
#line 13645 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_FULL; }
#line 46317 "gram.c" /* yacc.c:1646  */
    break;

  case 1833:
#line 13646 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_LEFT; }
#line 46323 "gram.c" /* yacc.c:1646  */
    break;

  case 1834:
#line 13647 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_RIGHT; }
#line 46329 "gram.c" /* yacc.c:1646  */
    break;

  case 1835:
#line 13648 "gram.y" /* yacc.c:1646  */
    { (yyval.jtype) = JOIN_INNER; }
#line 46335 "gram.c" /* yacc.c:1646  */
    break;

  case 1838:
#line 13669 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) list_make2((yyvsp[-2].list), (yyvsp[0].alias));
				}
#line 46343 "gram.c" /* yacc.c:1646  */
    break;

  case 1839:
#line 13673 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 46351 "gram.c" /* yacc.c:1646  */
    break;

  case 1840:
#line 13681 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, implicitly */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 46362 "gram.c" /* yacc.c:1646  */
    break;

  case 1841:
#line 13688 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 46370 "gram.c" /* yacc.c:1646  */
    break;

  case 1842:
#line 13695 "gram.y" /* yacc.c:1646  */
    {
					/* inheritance query, explicitly */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = true;
					(yyval.range)->alias = NULL;
				}
#line 46381 "gram.c" /* yacc.c:1646  */
    break;

  case 1843:
#line 13702 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[0].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 46392 "gram.c" /* yacc.c:1646  */
    break;

  case 1844:
#line 13709 "gram.y" /* yacc.c:1646  */
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[-1].range);
					(yyval.range)->inh = false;
					(yyval.range)->alias = NULL;
				}
#line 46403 "gram.c" /* yacc.c:1646  */
    break;

  case 1845:
#line 13719 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 46409 "gram.c" /* yacc.c:1646  */
    break;

  case 1846:
#line 13720 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 46415 "gram.c" /* yacc.c:1646  */
    break;

  case 1847:
#line 13734 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = (yyvsp[0].range);
				}
#line 46423 "gram.c" /* yacc.c:1646  */
    break;

  case 1848:
#line 13738 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-1].range)->alias = alias;
					(yyval.range) = (yyvsp[-1].range);
				}
#line 46435 "gram.c" /* yacc.c:1646  */
    break;

  case 1849:
#line 13746 "gram.y" /* yacc.c:1646  */
    {
					Alias	   *alias = makeNode(Alias);

					alias->aliasname = (yyvsp[0].str);
					(yyvsp[-2].range)->alias = alias;
					(yyval.range) = (yyvsp[-2].range);
				}
#line 46447 "gram.c" /* yacc.c:1646  */
    break;

  case 1850:
#line 13760 "gram.y" /* yacc.c:1646  */
    {
					RangeTableSample *n = makeNode(RangeTableSample);

					/* n->relation will be filled in later */
					n->method = (yyvsp[-4].list);
					n->args = (yyvsp[-2].list);
					n->repeatable = (yyvsp[0].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 46462 "gram.c" /* yacc.c:1646  */
    break;

  case 1851:
#line 13773 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].node); }
#line 46468 "gram.c" /* yacc.c:1646  */
    break;

  case 1852:
#line 13774 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46474 "gram.c" /* yacc.c:1646  */
    break;

  case 1853:
#line 13790 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[-1].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 46489 "gram.c" /* yacc.c:1646  */
    break;

  case 1854:
#line 13801 "gram.y" /* yacc.c:1646  */
    {
					RangeFunction *n = makeNode(RangeFunction);

					n->lateral = false;
					n->ordinality = (yyvsp[0].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[-2].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
#line 46504 "gram.c" /* yacc.c:1646  */
    break;

  case 1855:
#line 13814 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-1].node), (yyvsp[0].list)); }
#line 46510 "gram.c" /* yacc.c:1646  */
    break;

  case 1856:
#line 13818 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].list)); }
#line 46516 "gram.c" /* yacc.c:1646  */
    break;

  case 1857:
#line 13819 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].list)); }
#line 46522 "gram.c" /* yacc.c:1646  */
    break;

  case 1858:
#line 13822 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 46528 "gram.c" /* yacc.c:1646  */
    break;

  case 1859:
#line 13823 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46534 "gram.c" /* yacc.c:1646  */
    break;

  case 1860:
#line 13826 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 46540 "gram.c" /* yacc.c:1646  */
    break;

  case 1861:
#line 13827 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 46546 "gram.c" /* yacc.c:1646  */
    break;

  case 1862:
#line 13832 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46552 "gram.c" /* yacc.c:1646  */
    break;

  case 1863:
#line 13833 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46558 "gram.c" /* yacc.c:1646  */
    break;

  case 1864:
#line 13838 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 46564 "gram.c" /* yacc.c:1646  */
    break;

  case 1865:
#line 13840 "gram.y" /* yacc.c:1646  */
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);

					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[0].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
#line 46577 "gram.c" /* yacc.c:1646  */
    break;

  case 1866:
#line 13848 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 46583 "gram.c" /* yacc.c:1646  */
    break;

  case 1867:
#line 13853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 46589 "gram.c" /* yacc.c:1646  */
    break;

  case 1868:
#line 13854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 46595 "gram.c" /* yacc.c:1646  */
    break;

  case 1869:
#line 13859 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 46603 "gram.c" /* yacc.c:1646  */
    break;

  case 1870:
#line 13863 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 46611 "gram.c" /* yacc.c:1646  */
    break;

  case 1871:
#line 13869 "gram.y" /* yacc.c:1646  */
    {
					ColumnDef *n = makeNode(ColumnDef);

					n->colname = (yyvsp[-2].str);
					n->typeName = (yyvsp[-1].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[0].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 46634 "gram.c" /* yacc.c:1646  */
    break;

  case 1872:
#line 13894 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = NIL;
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 46649 "gram.c" /* yacc.c:1646  */
    break;

  case 1873:
#line 13906 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFunc *n = makeNode(RangeTableFunc);

					n->rowexpr = (yyvsp[-4].node);
					n->docexpr = (yyvsp[-3].node);
					n->columns = (yyvsp[-1].list);
					n->namespaces = (yyvsp[-7].list);
					n->location = (yylsp[-11]);
					(yyval.node) = (Node *) n;
				}
#line 46664 "gram.c" /* yacc.c:1646  */
    break;

  case 1874:
#line 13918 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 46670 "gram.c" /* yacc.c:1646  */
    break;

  case 1875:
#line 13919 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 46676 "gram.c" /* yacc.c:1646  */
    break;

  case 1876:
#line 13924 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-1].str);
					fc->for_ordinality = false;
					fc->typeName = (yyvsp[0].typnam);
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-1]);

					(yyval.node) = (Node *) fc;
				}
#line 46694 "gram.c" /* yacc.c:1646  */
    break;

  case 1877:
#line 13938 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);
					ListCell   *option;
					bool		nullability_seen = false;

					fc->colname = (yyvsp[-2].str);
					fc->typeName = (yyvsp[-1].typnam);
					fc->for_ordinality = false;
					fc->is_not_null = false;
					fc->colexpr = NULL;
					fc->coldefexpr = NULL;
					fc->location = (yylsp[-2]);

					foreach(option, (yyvsp[0].list))
					{
						DefElem   *defel = (DefElem *) lfirst(option);

						if (strcmp(defel->defname, "default") == 0)
						{
							if (fc->coldefexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one DEFAULT value is allowed"),
										 parser_errposition(defel->location)));
							fc->coldefexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "path") == 0)
						{
							if (fc->colexpr != NULL)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("only one PATH value per column is allowed"),
										 parser_errposition(defel->location)));
							fc->colexpr = defel->arg;
						}
						else if (strcmp(defel->defname, "is_not_null") == 0)
						{
							if (nullability_seen)
								ereport(ERROR,
										(errcode(ERRCODE_SYNTAX_ERROR),
										 errmsg("conflicting or redundant NULL / NOT NULL declarations for column \"%s\"", fc->colname),
										 parser_errposition(defel->location)));
							fc->is_not_null = boolVal(defel->arg);
							nullability_seen = true;
						}
						else
						{
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("unrecognized column option \"%s\"",
											defel->defname),
									 parser_errposition(defel->location)));
						}
					}
					(yyval.node) = (Node *) fc;
				}
#line 46755 "gram.c" /* yacc.c:1646  */
    break;

  case 1878:
#line 13995 "gram.y" /* yacc.c:1646  */
    {
					RangeTableFuncCol *fc = makeNode(RangeTableFuncCol);

					fc->colname = (yyvsp[-2].str);
					fc->for_ordinality = true;
					/* other fields are ignored, initialized by makeNode */
					fc->location = (yylsp[-2]);

					(yyval.node) = (Node *) fc;
				}
#line 46770 "gram.c" /* yacc.c:1646  */
    break;

  case 1879:
#line 14009 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].defelt)); }
#line 46776 "gram.c" /* yacc.c:1646  */
    break;

  case 1880:
#line 14011 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].defelt)); }
#line 46782 "gram.c" /* yacc.c:1646  */
    break;

  case 1881:
#line 14016 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem((yyvsp[-1].str), (yyvsp[0].node), (yylsp[-1])); }
#line 46788 "gram.c" /* yacc.c:1646  */
    break;

  case 1882:
#line 14018 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("default", (yyvsp[0].node), (yylsp[-1])); }
#line 46794 "gram.c" /* yacc.c:1646  */
    break;

  case 1883:
#line 14020 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(true), (yylsp[-1])); }
#line 46800 "gram.c" /* yacc.c:1646  */
    break;

  case 1884:
#line 14022 "gram.y" /* yacc.c:1646  */
    { (yyval.defelt) = makeDefElem("is_not_null", (Node *) makeBoolean(false), (yylsp[0])); }
#line 46806 "gram.c" /* yacc.c:1646  */
    break;

  case 1885:
#line 14027 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 46812 "gram.c" /* yacc.c:1646  */
    break;

  case 1886:
#line 14029 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 46818 "gram.c" /* yacc.c:1646  */
    break;

  case 1887:
#line 14034 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 46830 "gram.c" /* yacc.c:1646  */
    break;

  case 1888:
#line 14042 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (yyvsp[0].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 46842 "gram.c" /* yacc.c:1646  */
    break;

  case 1889:
#line 14062 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
				}
#line 46851 "gram.c" /* yacc.c:1646  */
    break;

  case 1890:
#line 14067 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[0].list);
					(yyval.typnam)->setof = true;
				}
#line 46861 "gram.c" /* yacc.c:1646  */
    break;

  case 1891:
#line 14074 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
				}
#line 46870 "gram.c" /* yacc.c:1646  */
    break;

  case 1892:
#line 14079 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-4].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[-1].ival)));
					(yyval.typnam)->setof = true;
				}
#line 46880 "gram.c" /* yacc.c:1646  */
    break;

  case 1893:
#line 14085 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
#line 46889 "gram.c" /* yacc.c:1646  */
    break;

  case 1894:
#line 14090 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = true;
				}
#line 46899 "gram.c" /* yacc.c:1646  */
    break;

  case 1895:
#line 14099 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-2].list), makeInteger(-1)); }
#line 46905 "gram.c" /* yacc.c:1646  */
    break;

  case 1896:
#line 14101 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = lappend((yyvsp[-3].list), makeInteger((yyvsp[-1].ival))); }
#line 46911 "gram.c" /* yacc.c:1646  */
    break;

  case 1897:
#line 14103 "gram.y" /* yacc.c:1646  */
    {  (yyval.list) = NIL; }
#line 46917 "gram.c" /* yacc.c:1646  */
    break;

  case 1898:
#line 14107 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46923 "gram.c" /* yacc.c:1646  */
    break;

  case 1899:
#line 14108 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46929 "gram.c" /* yacc.c:1646  */
    break;

  case 1900:
#line 14109 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46935 "gram.c" /* yacc.c:1646  */
    break;

  case 1901:
#line 14110 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46941 "gram.c" /* yacc.c:1646  */
    break;

  case 1902:
#line 14111 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46947 "gram.c" /* yacc.c:1646  */
    break;

  case 1903:
#line 14113 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-1].typnam);
					(yyval.typnam)->typmods = (yyvsp[0].list);
				}
#line 46956 "gram.c" /* yacc.c:1646  */
    break;

  case 1904:
#line 14118 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[-3].typnam);
					(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											 makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 46966 "gram.c" /* yacc.c:1646  */
    break;

  case 1905:
#line 14123 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46972 "gram.c" /* yacc.c:1646  */
    break;

  case 1906:
#line 14138 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46978 "gram.c" /* yacc.c:1646  */
    break;

  case 1907:
#line 14139 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46984 "gram.c" /* yacc.c:1646  */
    break;

  case 1908:
#line 14140 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46990 "gram.c" /* yacc.c:1646  */
    break;

  case 1909:
#line 14141 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 46996 "gram.c" /* yacc.c:1646  */
    break;

  case 1910:
#line 14142 "gram.y" /* yacc.c:1646  */
    { (yyval.typnam) = (yyvsp[0].typnam); }
#line 47002 "gram.c" /* yacc.c:1646  */
    break;

  case 1911:
#line 14154 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeName((yyvsp[-1].str));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47012 "gram.c" /* yacc.c:1646  */
    break;

  case 1912:
#line 14160 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[-2].str)), (yyvsp[-1].list)));
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-2]);
				}
#line 47022 "gram.c" /* yacc.c:1646  */
    break;

  case 1913:
#line 14167 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 47028 "gram.c" /* yacc.c:1646  */
    break;

  case 1914:
#line 14168 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47034 "gram.c" /* yacc.c:1646  */
    break;

  case 1915:
#line 14175 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47043 "gram.c" /* yacc.c:1646  */
    break;

  case 1916:
#line 14180 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47052 "gram.c" /* yacc.c:1646  */
    break;

  case 1917:
#line 14185 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47061 "gram.c" /* yacc.c:1646  */
    break;

  case 1918:
#line 14190 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47070 "gram.c" /* yacc.c:1646  */
    break;

  case 1919:
#line 14195 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47079 "gram.c" /* yacc.c:1646  */
    break;

  case 1920:
#line 14200 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47088 "gram.c" /* yacc.c:1646  */
    break;

  case 1921:
#line 14205 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47097 "gram.c" /* yacc.c:1646  */
    break;

  case 1922:
#line 14210 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47107 "gram.c" /* yacc.c:1646  */
    break;

  case 1923:
#line 14216 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47117 "gram.c" /* yacc.c:1646  */
    break;

  case 1924:
#line 14222 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[0].list);
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47127 "gram.c" /* yacc.c:1646  */
    break;

  case 1925:
#line 14228 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47136 "gram.c" /* yacc.c:1646  */
    break;

  case 1926:
#line 14235 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[-1].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[-1]))));
					else if ((yyvsp[-1].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[-1].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[-1]))));
				}
#line 47161 "gram.c" /* yacc.c:1646  */
    break;

  case 1927:
#line 14256 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
#line 47169 "gram.c" /* yacc.c:1646  */
    break;

  case 1928:
#line 14266 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47177 "gram.c" /* yacc.c:1646  */
    break;

  case 1929:
#line 14270 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47185 "gram.c" /* yacc.c:1646  */
    break;

  case 1930:
#line 14278 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47193 "gram.c" /* yacc.c:1646  */
    break;

  case 1931:
#line 14282 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 47202 "gram.c" /* yacc.c:1646  */
    break;

  case 1932:
#line 14290 "gram.y" /* yacc.c:1646  */
    {
					char *typname;

					typname = (yyvsp[-3].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[-1].list);
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47215 "gram.c" /* yacc.c:1646  */
    break;

  case 1933:
#line 14302 "gram.y" /* yacc.c:1646  */
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[0].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47233 "gram.c" /* yacc.c:1646  */
    break;

  case 1934:
#line 14323 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47241 "gram.c" /* yacc.c:1646  */
    break;

  case 1935:
#line 14327 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47249 "gram.c" /* yacc.c:1646  */
    break;

  case 1936:
#line 14333 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = (yyvsp[0].typnam);
				}
#line 47257 "gram.c" /* yacc.c:1646  */
    break;

  case 1937:
#line 14337 "gram.y" /* yacc.c:1646  */
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[0].typnam);
					(yyval.typnam)->typmods = NIL;
				}
#line 47272 "gram.c" /* yacc.c:1646  */
    break;

  case 1938:
#line 14350 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[-3].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
					(yyval.typnam)->location = (yylsp[-3]);
				}
#line 47282 "gram.c" /* yacc.c:1646  */
    break;

  case 1939:
#line 14358 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName((yyvsp[0].str));
					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[0].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47294 "gram.c" /* yacc.c:1646  */
    break;

  case 1940:
#line 14368 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47300 "gram.c" /* yacc.c:1646  */
    break;

  case 1941:
#line 14370 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47306 "gram.c" /* yacc.c:1646  */
    break;

  case 1942:
#line 14372 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "varchar"; }
#line 47312 "gram.c" /* yacc.c:1646  */
    break;

  case 1943:
#line 14374 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47318 "gram.c" /* yacc.c:1646  */
    break;

  case 1944:
#line 14376 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47324 "gram.c" /* yacc.c:1646  */
    break;

  case 1945:
#line 14378 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].boolean) ? "varchar": "bpchar"; }
#line 47330 "gram.c" /* yacc.c:1646  */
    break;

  case 1946:
#line 14382 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 47336 "gram.c" /* yacc.c:1646  */
    break;

  case 1947:
#line 14383 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 47342 "gram.c" /* yacc.c:1646  */
    break;

  case 1948:
#line 14391 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47355 "gram.c" /* yacc.c:1646  */
    break;

  case 1949:
#line 14400 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47367 "gram.c" /* yacc.c:1646  */
    break;

  case 1950:
#line 14408 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.typnam)->location = (yylsp[-4]);
				}
#line 47380 "gram.c" /* yacc.c:1646  */
    break;

  case 1951:
#line 14417 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[-1]);
				}
#line 47392 "gram.c" /* yacc.c:1646  */
    break;

  case 1952:
#line 14428 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47401 "gram.c" /* yacc.c:1646  */
    break;

  case 1953:
#line 14435 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 47407 "gram.c" /* yacc.c:1646  */
    break;

  case 1954:
#line 14436 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 47413 "gram.c" /* yacc.c:1646  */
    break;

  case 1955:
#line 14437 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 47419 "gram.c" /* yacc.c:1646  */
    break;

  case 1956:
#line 14442 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[0]))); }
#line 47425 "gram.c" /* yacc.c:1646  */
    break;

  case 1957:
#line 14444 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[0]))); }
#line 47431 "gram.c" /* yacc.c:1646  */
    break;

  case 1958:
#line 14446 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[0]))); }
#line 47437 "gram.c" /* yacc.c:1646  */
    break;

  case 1959:
#line 14448 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[0]))); }
#line 47443 "gram.c" /* yacc.c:1646  */
    break;

  case 1960:
#line 14450 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[0]))); }
#line 47449 "gram.c" /* yacc.c:1646  */
    break;

  case 1961:
#line 14452 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 47455 "gram.c" /* yacc.c:1646  */
    break;

  case 1962:
#line 14454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[-2])));
				}
#line 47464 "gram.c" /* yacc.c:1646  */
    break;

  case 1963:
#line 14459 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[-2])));
				}
#line 47473 "gram.c" /* yacc.c:1646  */
    break;

  case 1964:
#line 14464 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 47483 "gram.c" /* yacc.c:1646  */
    break;

  case 1965:
#line 14470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47495 "gram.c" /* yacc.c:1646  */
    break;

  case 1966:
#line 14478 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[-2])));
				}
#line 47504 "gram.c" /* yacc.c:1646  */
    break;

  case 1967:
#line 14483 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47515 "gram.c" /* yacc.c:1646  */
    break;

  case 1968:
#line 14490 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = (yyvsp[0].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[-2]));
				}
#line 47525 "gram.c" /* yacc.c:1646  */
    break;

  case 1969:
#line 14496 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 47531 "gram.c" /* yacc.c:1646  */
    break;

  case 1970:
#line 14501 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[0])));
				}
#line 47539 "gram.c" /* yacc.c:1646  */
    break;

  case 1971:
#line 14505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[-3])),
									makeIntConst((yyvsp[-1].ival), (yylsp[-1])));
				}
#line 47548 "gram.c" /* yacc.c:1646  */
    break;

  case 1972:
#line 14513 "gram.y" /* yacc.c:1646  */
    {
					(yyval.typnam) = SystemTypeName("json");
					(yyval.typnam)->location = (yylsp[0]);
				}
#line 47557 "gram.c" /* yacc.c:1646  */
    break;

  case 1973:
#line 14547 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 47563 "gram.c" /* yacc.c:1646  */
    break;

  case 1974:
#line 14549 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 47569 "gram.c" /* yacc.c:1646  */
    break;

  case 1975:
#line 14551 "gram.y" /* yacc.c:1646  */
    {
					CollateClause *n = makeNode(CollateClause);

					n->arg = (yyvsp[-2].node);
					n->collname = (yyvsp[0].list);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47582 "gram.c" /* yacc.c:1646  */
    break;

  case 1976:
#line 14560 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[0].node), (yyvsp[-4].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 47593 "gram.c" /* yacc.c:1646  */
    break;

  case 1977:
#line 14567 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   -1);
				}
#line 47604 "gram.c" /* yacc.c:1646  */
    break;

  case 1978:
#line 14583 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47610 "gram.c" /* yacc.c:1646  */
    break;

  case 1979:
#line 14585 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 47616 "gram.c" /* yacc.c:1646  */
    break;

  case 1980:
#line 14587 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47622 "gram.c" /* yacc.c:1646  */
    break;

  case 1981:
#line 14589 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47628 "gram.c" /* yacc.c:1646  */
    break;

  case 1982:
#line 14591 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47634 "gram.c" /* yacc.c:1646  */
    break;

  case 1983:
#line 14593 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47640 "gram.c" /* yacc.c:1646  */
    break;

  case 1984:
#line 14595 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47646 "gram.c" /* yacc.c:1646  */
    break;

  case 1985:
#line 14597 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47652 "gram.c" /* yacc.c:1646  */
    break;

  case 1986:
#line 14599 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47658 "gram.c" /* yacc.c:1646  */
    break;

  case 1987:
#line 14601 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47664 "gram.c" /* yacc.c:1646  */
    break;

  case 1988:
#line 14603 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47670 "gram.c" /* yacc.c:1646  */
    break;

  case 1989:
#line 14605 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47676 "gram.c" /* yacc.c:1646  */
    break;

  case 1990:
#line 14607 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47682 "gram.c" /* yacc.c:1646  */
    break;

  case 1991:
#line 14609 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47688 "gram.c" /* yacc.c:1646  */
    break;

  case 1992:
#line 14612 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47694 "gram.c" /* yacc.c:1646  */
    break;

  case 1993:
#line 14614 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 47700 "gram.c" /* yacc.c:1646  */
    break;

  case 1994:
#line 14617 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeAndExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47706 "gram.c" /* yacc.c:1646  */
    break;

  case 1995:
#line 14619 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeOrExpr((yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 47712 "gram.c" /* yacc.c:1646  */
    break;

  case 1996:
#line 14621 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47718 "gram.c" /* yacc.c:1646  */
    break;

  case 1997:
#line 14623 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNotExpr((yyvsp[0].node), (yylsp[-1])); }
#line 47724 "gram.c" /* yacc.c:1646  */
    break;

  case 1998:
#line 14626 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47733 "gram.c" /* yacc.c:1646  */
    break;

  case 1999:
#line 14631 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "~~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47746 "gram.c" /* yacc.c:1646  */
    break;

  case 2000:
#line 14640 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47755 "gram.c" /* yacc.c:1646  */
    break;

  case 2001:
#line 14645 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_LIKE, "!~~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47768 "gram.c" /* yacc.c:1646  */
    break;

  case 2002:
#line 14654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
				}
#line 47777 "gram.c" /* yacc.c:1646  */
    break;

  case 2003:
#line 14659 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "~~*",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47790 "gram.c" /* yacc.c:1646  */
    break;

  case 2004:
#line 14668 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
				}
#line 47799 "gram.c" /* yacc.c:1646  */
    break;

  case 2005:
#line 14673 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("like_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_ILIKE, "!~~*",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47812 "gram.c" /* yacc.c:1646  */
    break;

  case 2006:
#line 14683 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-2]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-3].node), (Node *) n, (yylsp[-2]));
				}
#line 47825 "gram.c" /* yacc.c:1646  */
    break;

  case 2007:
#line 14692 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "~",
												   (yyvsp[-5].node), (Node *) n, (yylsp[-4]));
				}
#line 47838 "gram.c" /* yacc.c:1646  */
    break;

  case 2008:
#line 14701 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make1((yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-4].node), (Node *) n, (yylsp[-3]));
				}
#line 47851 "gram.c" /* yacc.c:1646  */
    break;

  case 2009:
#line 14710 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall(SystemFuncName("similar_to_escape"),
												 list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_SIMILAR, "!~",
												   (yyvsp[-6].node), (Node *) n, (yylsp[-5]));
				}
#line 47864 "gram.c" /* yacc.c:1646  */
    break;

  case 2010:
#line 14729 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-2].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 47877 "gram.c" /* yacc.c:1646  */
    break;

  case 2011:
#line 14738 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47890 "gram.c" /* yacc.c:1646  */
    break;

  case 2012:
#line 14747 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-3].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 47903 "gram.c" /* yacc.c:1646  */
    break;

  case 2013:
#line 14756 "gram.y" /* yacc.c:1646  */
    {
					NullTest   *n = makeNode(NullTest);

					n->arg = (Expr *) (yyvsp[-1].node);
					n->nulltesttype = IS_NOT_NULL;
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 47916 "gram.c" /* yacc.c:1646  */
    break;

  case 2014:
#line 14765 "gram.y" /* yacc.c:1646  */
    {
					if (list_length((yyvsp[-2].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[-2]))));
					if (list_length((yyvsp[0].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[0]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[-2].list), (yyvsp[0].list)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 47937 "gram.c" /* yacc.c:1646  */
    break;

  case 2015:
#line 14782 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_TRUE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47950 "gram.c" /* yacc.c:1646  */
    break;

  case 2016:
#line 14791 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_TRUE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47963 "gram.c" /* yacc.c:1646  */
    break;

  case 2017:
#line 14800 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_FALSE;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 47976 "gram.c" /* yacc.c:1646  */
    break;

  case 2018:
#line 14809 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_FALSE;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 47989 "gram.c" /* yacc.c:1646  */
    break;

  case 2019:
#line 14818 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-2].node);
					b->booltesttype = IS_UNKNOWN;
					b->location = (yylsp[-1]);
					(yyval.node) = (Node *) b;
				}
#line 48002 "gram.c" /* yacc.c:1646  */
    break;

  case 2020:
#line 14827 "gram.y" /* yacc.c:1646  */
    {
					BooleanTest *b = makeNode(BooleanTest);

					b->arg = (Expr *) (yyvsp[-3].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					b->location = (yylsp[-2]);
					(yyval.node) = (Node *) b;
				}
#line 48015 "gram.c" /* yacc.c:1646  */
    break;

  case 2021:
#line 14836 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 48023 "gram.c" /* yacc.c:1646  */
    break;

  case 2022:
#line 14840 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 48031 "gram.c" /* yacc.c:1646  */
    break;

  case 2023:
#line 14844 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN,
												   "BETWEEN",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48043 "gram.c" /* yacc.c:1646  */
    break;

  case 2024:
#line 14852 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN,
												   "NOT BETWEEN",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48055 "gram.c" /* yacc.c:1646  */
    break;

  case 2025:
#line 14860 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_BETWEEN_SYM,
												   "BETWEEN SYMMETRIC",
												   (yyvsp[-5].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-4]));
				}
#line 48067 "gram.c" /* yacc.c:1646  */
    break;

  case 2026:
#line 14868 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_BETWEEN_SYM,
												   "NOT BETWEEN SYMMETRIC",
												   (yyvsp[-6].node),
												   (Node *) list_make2((yyvsp[-2].node), (yyvsp[0].node)),
												   (yylsp[-5]));
				}
#line 48079 "gram.c" /* yacc.c:1646  */
    break;

  case 2027:
#line 14876 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-2].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-1]);
						(yyval.node) = (Node *) n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1]));
					}
				}
#line 48104 "gram.c" /* yacc.c:1646  */
    break;

  case 2028:
#line 14897 "gram.y" /* yacc.c:1646  */
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[0].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink	   *n = (SubLink *) (yyvsp[0].node);

						n->subLinkType = ANY_SUBLINK;
						n->subLinkId = 0;
						n->testexpr = (yyvsp[-3].node);
						n->operName = NIL;		/* show it's IN not = ANY */
						n->location = (yylsp[-2]);
						/* Stick a NOT on top; must have same parse location */
						(yyval.node) = makeNotExpr((Node *) n, (yylsp[-2]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[-3].node), (yyvsp[0].node), (yylsp[-2]));
					}
				}
#line 48131 "gram.c" /* yacc.c:1646  */
    break;

  case 2029:
#line 14920 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = (yyvsp[-1].ival);
					n->subLinkId = 0;
					n->testexpr = (yyvsp[-3].node);
					n->operName = (yyvsp[-2].list);
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-2]);
					(yyval.node) = (Node *) n;
				}
#line 48147 "gram.c" /* yacc.c:1646  */
    break;

  case 2030:
#line 14932 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[-3].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[-4].list), (yyvsp[-5].node), (yyvsp[-1].node), (yylsp[-4]));
				}
#line 48158 "gram.c" /* yacc.c:1646  */
    break;

  case 2031:
#line 14939 "gram.y" /* yacc.c:1646  */
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[-2]))));
				}
#line 48178 "gram.c" /* yacc.c:1646  */
    break;

  case 2032:
#line 14955 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 48187 "gram.c" /* yacc.c:1646  */
    break;

  case 2033:
#line 14960 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48197 "gram.c" /* yacc.c:1646  */
    break;

  case 2034:
#line 14966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make1((yyvsp[-2].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-1]));
				}
#line 48208 "gram.c" /* yacc.c:1646  */
    break;

  case 2035:
#line 14973 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("is_normalized"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-2]));
				}
#line 48219 "gram.c" /* yacc.c:1646  */
    break;

  case 2036:
#line 14980 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make1((yyvsp[-3].node)),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48231 "gram.c" /* yacc.c:1646  */
    break;

  case 2037:
#line 14988 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr((Node *) makeFuncCall(SystemFuncName("is_normalized"),
														   list_make2((yyvsp[-4].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
														   COERCE_SQL_SYNTAX,
														   (yylsp[-3])),
									 (yylsp[-3]));
				}
#line 48243 "gram.c" /* yacc.c:1646  */
    break;

  case 2038:
#line 14997 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeJsonIsPredicate((yyvsp[-3].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-3]));
				}
#line 48253 "gram.c" /* yacc.c:1646  */
    break;

  case 2039:
#line 15015 "gram.y" /* yacc.c:1646  */
    {
					JsonFormat *format = makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);

					(yyval.node) = makeNotExpr(makeJsonIsPredicate((yyvsp[-4].node), format, (yyvsp[-1].ival), (yyvsp[0].boolean), (yylsp[-4])), (yylsp[-4]));
				}
#line 48263 "gram.c" /* yacc.c:1646  */
    break;

  case 2040:
#line 15032 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * The SQL spec only allows DEFAULT in "contextually typed
					 * expressions", but for us, it's easier to allow it in
					 * any a_expr and then throw error during parse analysis
					 * if it's in an inappropriate context.  This way also
					 * lets us say something smarter than "syntax error".
					 */
					SetToDefault *n = makeNode(SetToDefault);

					/* parse analysis will fill in the rest */
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48282 "gram.c" /* yacc.c:1646  */
    break;

  case 2041:
#line 15058 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48288 "gram.c" /* yacc.c:1646  */
    break;

  case 2042:
#line 15060 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-2].node), (yyvsp[0].typnam), (yylsp[-1])); }
#line 48294 "gram.c" /* yacc.c:1646  */
    break;

  case 2043:
#line 15062 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48300 "gram.c" /* yacc.c:1646  */
    break;

  case 2044:
#line 15064 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = doNegate((yyvsp[0].node), (yylsp[-1])); }
#line 48306 "gram.c" /* yacc.c:1646  */
    break;

  case 2045:
#line 15066 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48312 "gram.c" /* yacc.c:1646  */
    break;

  case 2046:
#line 15068 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48318 "gram.c" /* yacc.c:1646  */
    break;

  case 2047:
#line 15070 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48324 "gram.c" /* yacc.c:1646  */
    break;

  case 2048:
#line 15072 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48330 "gram.c" /* yacc.c:1646  */
    break;

  case 2049:
#line 15074 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48336 "gram.c" /* yacc.c:1646  */
    break;

  case 2050:
#line 15076 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48342 "gram.c" /* yacc.c:1646  */
    break;

  case 2051:
#line 15078 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48348 "gram.c" /* yacc.c:1646  */
    break;

  case 2052:
#line 15080 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48354 "gram.c" /* yacc.c:1646  */
    break;

  case 2053:
#line 15082 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48360 "gram.c" /* yacc.c:1646  */
    break;

  case 2054:
#line 15084 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48366 "gram.c" /* yacc.c:1646  */
    break;

  case 2055:
#line 15086 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48372 "gram.c" /* yacc.c:1646  */
    break;

  case 2056:
#line 15088 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<>", (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48378 "gram.c" /* yacc.c:1646  */
    break;

  case 2057:
#line 15090 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), (yyvsp[-2].node), (yyvsp[0].node), (yylsp[-1])); }
#line 48384 "gram.c" /* yacc.c:1646  */
    break;

  case 2058:
#line 15092 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[-1].list), NULL, (yyvsp[0].node), (yylsp[-1])); }
#line 48390 "gram.c" /* yacc.c:1646  */
    break;

  case 2059:
#line 15094 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[-4].node), (yyvsp[0].node), (yylsp[-3]));
				}
#line 48398 "gram.c" /* yacc.c:1646  */
    break;

  case 2060:
#line 15098 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NOT_DISTINCT, "=", (yyvsp[-5].node), (yyvsp[0].node), (yylsp[-4]));
				}
#line 48406 "gram.c" /* yacc.c:1646  */
    break;

  case 2061:
#line 15102 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[-2].node)), (yylsp[-1]));
				}
#line 48415 "gram.c" /* yacc.c:1646  */
    break;

  case 2062:
#line 15107 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNotExpr(makeXmlExpr(IS_DOCUMENT, NULL, NIL,
												 list_make1((yyvsp[-3].node)), (yylsp[-2])),
									 (yylsp[-2]));
				}
#line 48425 "gram.c" /* yacc.c:1646  */
    break;

  case 2063:
#line 15122 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48431 "gram.c" /* yacc.c:1646  */
    break;

  case 2064:
#line 15123 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48437 "gram.c" /* yacc.c:1646  */
    break;

  case 2065:
#line 15125 "gram.y" /* yacc.c:1646  */
    {
					ParamRef   *p = makeNode(ParamRef);

					p->number = (yyvsp[-1].ival);
					p->location = (yylsp[-1]);
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
#line 48458 "gram.c" /* yacc.c:1646  */
    break;

  case 2066:
#line 15142 "gram.y" /* yacc.c:1646  */
    {
					if ((yyvsp[0].list))
					{
						A_Indirection *n = makeNode(A_Indirection);

						n->arg = (yyvsp[-2].node);
						n->indirection = check_indirection((yyvsp[0].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (yyvsp[-2].node);
				}
#line 48475 "gram.c" /* yacc.c:1646  */
    break;

  case 2067:
#line 15155 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48481 "gram.c" /* yacc.c:1646  */
    break;

  case 2068:
#line 15157 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48487 "gram.c" /* yacc.c:1646  */
    break;

  case 2069:
#line 15159 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[0]);
					(yyval.node) = (Node *) n;
				}
#line 48503 "gram.c" /* yacc.c:1646  */
    break;

  case 2070:
#line 15171 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink	   *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);

					n->subLinkType = EXPR_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[-1].node);
					n->location = (yylsp[-1]);
					a->arg = (Node *) n;
					a->indirection = check_indirection((yyvsp[0].list), yyscanner);
					(yyval.node) = (Node *) a;
				}
#line 48532 "gram.c" /* yacc.c:1646  */
    break;

  case 2071:
#line 15196 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = EXISTS_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48548 "gram.c" /* yacc.c:1646  */
    break;

  case 2072:
#line 15208 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subLinkType = ARRAY_SUBLINK;
					n->subLinkId = 0;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[0].node);
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48564 "gram.c" /* yacc.c:1646  */
    break;

  case 2073:
#line 15220 "gram.y" /* yacc.c:1646  */
    {
					A_ArrayExpr *n = castNode(A_ArrayExpr, (yyvsp[0].node));

					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[-1]);
					(yyval.node) = (Node *) n;
				}
#line 48576 "gram.c" /* yacc.c:1646  */
    break;

  case 2074:
#line 15228 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_EXPLICIT_CALL; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48591 "gram.c" /* yacc.c:1646  */
    break;

  case 2075:
#line 15239 "gram.y" /* yacc.c:1646  */
    {
					RowExpr	   *r = makeNode(RowExpr);

					r->args = (yyvsp[0].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->row_format = COERCE_IMPLICIT_CAST; /* abuse */
					r->location = (yylsp[0]);
					(yyval.node) = (Node *) r;
				}
#line 48606 "gram.c" /* yacc.c:1646  */
    break;

  case 2076:
#line 15250 "gram.y" /* yacc.c:1646  */
    {
				  GroupingFunc *g = makeNode(GroupingFunc);

				  g->args = (yyvsp[-1].list);
				  g->location = (yylsp[-3]);
				  (yyval.node) = (Node *) g;
			  }
#line 48618 "gram.c" /* yacc.c:1646  */
    break;

  case 2077:
#line 15260 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[-2].list), NIL,
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-2]));
				}
#line 48628 "gram.c" /* yacc.c:1646  */
    break;

  case 2078:
#line 15266 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-4].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-4]));

					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48641 "gram.c" /* yacc.c:1646  */
    break;

  case 2079:
#line 15275 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), list_make1((yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48655 "gram.c" /* yacc.c:1646  */
    break;

  case 2080:
#line 15285 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-7].list), lappend((yyvsp[-5].list), (yyvsp[-2].node)),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-7]));

					n->func_variadic = true;
					n->agg_order = (yyvsp[-1].list);
					(yyval.node) = (Node *) n;
				}
#line 48669 "gram.c" /* yacc.c:1646  */
    break;

  case 2081:
#line 15295 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *) n;
				}
#line 48686 "gram.c" /* yacc.c:1646  */
    break;

  case 2082:
#line 15308 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = makeFuncCall((yyvsp[-5].list), (yyvsp[-2].list),
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-5]));

					n->agg_order = (yyvsp[-1].list);
					n->agg_distinct = true;
					(yyval.node) = (Node *) n;
				}
#line 48700 "gram.c" /* yacc.c:1646  */
    break;

  case 2083:
#line 15318 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall   *n = makeFuncCall((yyvsp[-3].list), NIL,
												 COERCE_EXPLICIT_CALL,
												 (yylsp[-3]));

					n->agg_star = true;
					(yyval.node) = (Node *) n;
				}
#line 48723 "gram.c" /* yacc.c:1646  */
    break;

  case 2084:
#line 15349 "gram.y" /* yacc.c:1646  */
    {
					FuncCall   *n = (FuncCall *) (yyvsp[-3].node);

					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[-2].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[-2]))));
						n->agg_order = (yyvsp[-2].list);
						n->agg_within_group = true;
					}
					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) n;
				}
#line 48763 "gram.c" /* yacc.c:1646  */
    break;

  case 2085:
#line 15385 "gram.y" /* yacc.c:1646  */
    {
					JsonAggConstructor *n = IsA((yyvsp[-2].node), JsonObjectAgg) ?
						((JsonObjectAgg *) (yyvsp[-2].node))->constructor :
						((JsonArrayAgg *) (yyvsp[-2].node))->constructor;

					n->agg_filter = (yyvsp[-1].node);
					n->over = (yyvsp[0].windef);
					(yyval.node) = (Node *) (yyvsp[-2].node);
				}
#line 48777 "gram.c" /* yacc.c:1646  */
    break;

  case 2086:
#line 15395 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48783 "gram.c" /* yacc.c:1646  */
    break;

  case 2087:
#line 15405 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48789 "gram.c" /* yacc.c:1646  */
    break;

  case 2088:
#line 15406 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48795 "gram.c" /* yacc.c:1646  */
    break;

  case 2089:
#line 15407 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 48801 "gram.c" /* yacc.c:1646  */
    break;

  case 2090:
#line 15415 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 48812 "gram.c" /* yacc.c:1646  */
    break;

  case 2091:
#line 15422 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_DATE, -1, (yylsp[0]));
				}
#line 48820 "gram.c" /* yacc.c:1646  */
    break;

  case 2092:
#line 15426 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME, -1, (yylsp[0]));
				}
#line 48828 "gram.c" /* yacc.c:1646  */
    break;

  case 2093:
#line 15430 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48836 "gram.c" /* yacc.c:1646  */
    break;

  case 2094:
#line 15434 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP, -1, (yylsp[0]));
				}
#line 48844 "gram.c" /* yacc.c:1646  */
    break;

  case 2095:
#line 15438 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_TIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48852 "gram.c" /* yacc.c:1646  */
    break;

  case 2096:
#line 15442 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME, -1, (yylsp[0]));
				}
#line 48860 "gram.c" /* yacc.c:1646  */
    break;

  case 2097:
#line 15446 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIME_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48868 "gram.c" /* yacc.c:1646  */
    break;

  case 2098:
#line 15450 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP, -1, (yylsp[0]));
				}
#line 48876 "gram.c" /* yacc.c:1646  */
    break;

  case 2099:
#line 15454 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_LOCALTIMESTAMP_N, (yyvsp[-1].ival), (yylsp[-3]));
				}
#line 48884 "gram.c" /* yacc.c:1646  */
    break;

  case 2100:
#line 15458 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_ROLE, -1, (yylsp[0]));
				}
#line 48892 "gram.c" /* yacc.c:1646  */
    break;

  case 2101:
#line 15462 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_USER, -1, (yylsp[0]));
				}
#line 48900 "gram.c" /* yacc.c:1646  */
    break;

  case 2102:
#line 15466 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_SESSION_USER, -1, (yylsp[0]));
				}
#line 48908 "gram.c" /* yacc.c:1646  */
    break;

  case 2103:
#line 15470 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("system_user"),
											   NIL,
											   COERCE_SQL_SYNTAX,
											   (yylsp[0]));
				}
#line 48919 "gram.c" /* yacc.c:1646  */
    break;

  case 2104:
#line 15477 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_USER, -1, (yylsp[0]));
				}
#line 48927 "gram.c" /* yacc.c:1646  */
    break;

  case 2105:
#line 15481 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_CATALOG, -1, (yylsp[0]));
				}
#line 48935 "gram.c" /* yacc.c:1646  */
    break;

  case 2106:
#line 15485 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeSQLValueFunction(SVFOP_CURRENT_SCHEMA, -1, (yylsp[0]));
				}
#line 48943 "gram.c" /* yacc.c:1646  */
    break;

  case 2107:
#line 15489 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeTypeCast((yyvsp[-3].node), (yyvsp[-1].typnam), (yylsp[-5])); }
#line 48949 "gram.c" /* yacc.c:1646  */
    break;

  case 2108:
#line 15491 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("extract"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48960 "gram.c" /* yacc.c:1646  */
    break;

  case 2109:
#line 15498 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make1((yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48971 "gram.c" /* yacc.c:1646  */
    break;

  case 2110:
#line 15505 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("normalize"),
											   list_make2((yyvsp[-3].node), makeStringConst((yyvsp[-1].str), (yylsp[-1]))),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-5]));
				}
#line 48982 "gram.c" /* yacc.c:1646  */
    break;

  case 2111:
#line 15512 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 48993 "gram.c" /* yacc.c:1646  */
    break;

  case 2112:
#line 15519 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named overlay() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("overlay")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49008 "gram.c" /* yacc.c:1646  */
    break;

  case 2113:
#line 15530 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * position(A in B) is converted to position(B, A)
					 *
					 * We deliberately don't offer a "plain syntax" option
					 * for position(), because the reversal of the arguments
					 * creates too much risk of confusion.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49026 "gram.c" /* yacc.c:1646  */
    break;

  case 2114:
#line 15544 "gram.y" /* yacc.c:1646  */
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49040 "gram.c" /* yacc.c:1646  */
    break;

  case 2115:
#line 15554 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * allow functions named substring() to be called without
					 * special syntax
					 */
					(yyval.node) = (Node *) makeFuncCall(list_make1(makeString("substring")),
											   (yyvsp[-1].list),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-3]));
				}
#line 49055 "gram.c" /* yacc.c:1646  */
    break;

  case 2116:
#line 15565 "gram.y" /* yacc.c:1646  */
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(strVal(llast((yyvsp[-1].typnam)->names))),
											   list_make1((yyvsp[-3].node)),
											   COERCE_EXPLICIT_CALL,
											   (yylsp[-5]));
				}
#line 49075 "gram.c" /* yacc.c:1646  */
    break;

  case 2117:
#line 15581 "gram.y" /* yacc.c:1646  */
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49089 "gram.c" /* yacc.c:1646  */
    break;

  case 2118:
#line 15591 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49100 "gram.c" /* yacc.c:1646  */
    break;

  case 2119:
#line 15598 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49111 "gram.c" /* yacc.c:1646  */
    break;

  case 2120:
#line 15605 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"),
											   (yyvsp[-1].list),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-3]));
				}
#line 49122 "gram.c" /* yacc.c:1646  */
    break;

  case 2121:
#line 15612 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[-3].node), (yyvsp[-1].node), (yylsp[-5]));
				}
#line 49130 "gram.c" /* yacc.c:1646  */
    break;

  case 2122:
#line 15616 "gram.y" /* yacc.c:1646  */
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);

					c->args = (yyvsp[-1].list);
					c->location = (yylsp[-3]);
					(yyval.node) = (Node *) c;
				}
#line 49142 "gram.c" /* yacc.c:1646  */
    break;

  case 2123:
#line 15624 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 49155 "gram.c" /* yacc.c:1646  */
    break;

  case 2124:
#line 15633 "gram.y" /* yacc.c:1646  */
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);

					v->args = (yyvsp[-1].list);
					v->op = IS_LEAST;
					v->location = (yylsp[-3]);
					(yyval.node) = (Node *) v;
				}
#line 49168 "gram.c" /* yacc.c:1646  */
    break;

  case 2125:
#line 15642 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[-1].list), (yylsp[-3]));
				}
#line 49176 "gram.c" /* yacc.c:1646  */
    break;

  case 2126:
#line 15646 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-1].str), NIL, NIL, (yylsp[-4]));
				}
#line 49184 "gram.c" /* yacc.c:1646  */
    break;

  case 2127:
#line 15650 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), (yyvsp[-1].list), NIL, (yylsp[-6]));
				}
#line 49192 "gram.c" /* yacc.c:1646  */
    break;

  case 2128:
#line 15654 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-3].str), NIL, (yyvsp[-1].list), (yylsp[-6]));
				}
#line 49200 "gram.c" /* yacc.c:1646  */
    break;

  case 2129:
#line 15658 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[-5].str), (yyvsp[-3].list), (yyvsp[-1].list), (yylsp[-8]));
				}
#line 49208 "gram.c" /* yacc.c:1646  */
    break;

  case 2130:
#line 15662 "gram.y" /* yacc.c:1646  */
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"),
											   list_make2((yyvsp[-2].node), (yyvsp[-1].node)),
											   COERCE_SQL_SYNTAX,
											   (yylsp[-4]));
				}
#line 49221 "gram.c" /* yacc.c:1646  */
    break;

  case 2131:
#line 15671 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[-1].list), NIL, (yylsp[-3]));
				}
#line 49229 "gram.c" /* yacc.c:1646  */
    break;

  case 2132:
#line 15675 "gram.y" /* yacc.c:1646  */
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[-2].node), makeBoolAConst((yyvsp[-1].boolean), -1)),
									(yylsp[-5]));

					x->xmloption = (yyvsp[-3].ival);
					(yyval.node) = (Node *) x;
				}
#line 49243 "gram.c" /* yacc.c:1646  */
    break;

  case 2133:
#line 15685 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-1].str), NULL, NIL, (yylsp[-4]));
				}
#line 49251 "gram.c" /* yacc.c:1646  */
    break;

  case 2134:
#line 15689 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[-3].str), NULL, list_make1((yyvsp[-1].node)), (yylsp[-6]));
				}
#line 49259 "gram.c" /* yacc.c:1646  */
    break;

  case 2135:
#line 15693 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[-1].node)), (yylsp[-6]));
				}
#line 49268 "gram.c" /* yacc.c:1646  */
    break;

  case 2136:
#line 15698 "gram.y" /* yacc.c:1646  */
    {
					XmlSerialize *n = makeNode(XmlSerialize);

					n->xmloption = (yyvsp[-5].ival);
					n->expr = (yyvsp[-4].node);
					n->typeName = (yyvsp[-2].typnam);
					n->indent = (yyvsp[-1].boolean);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 49283 "gram.c" /* yacc.c:1646  */
    break;

  case 2137:
#line 15709 "gram.y" /* yacc.c:1646  */
    {
					/* Support for legacy (non-standard) json_object() */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("json_object"),
											   (yyvsp[-1].list), COERCE_EXPLICIT_CALL, (yylsp[-3]));
				}
#line 49293 "gram.c" /* yacc.c:1646  */
    break;

  case 2138:
#line 15718 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = (yyvsp[-4].list);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 49308 "gram.c" /* yacc.c:1646  */
    break;

  case 2139:
#line 15729 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectConstructor *n = makeNode(JsonObjectConstructor);

					n->exprs = NULL;
					n->absent_on_null = false;
					n->unique = false;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 49323 "gram.c" /* yacc.c:1646  */
    break;

  case 2140:
#line 15744 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = (yyvsp[-3].list);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 49337 "gram.c" /* yacc.c:1646  */
    break;

  case 2141:
#line 15759 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayQueryConstructor *n = makeNode(JsonArrayQueryConstructor);

					n->query = (yyvsp[-3].node);
					n->format = (JsonFormat *) (yyvsp[-2].node);
					n->absent_on_null = true;	/* XXX */
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-5]);
					(yyval.node) = (Node *) n;
				}
#line 49352 "gram.c" /* yacc.c:1646  */
    break;

  case 2142:
#line 15772 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayConstructor *n = makeNode(JsonArrayConstructor);

					n->exprs = NIL;
					n->absent_on_null = true;
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 49366 "gram.c" /* yacc.c:1646  */
    break;

  case 2143:
#line 15782 "gram.y" /* yacc.c:1646  */
    {
					JsonParseExpr *n = makeNode(JsonParseExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->unique_keys = (yyvsp[-1].boolean);
					n->output = NULL;
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 49380 "gram.c" /* yacc.c:1646  */
    break;

  case 2144:
#line 15792 "gram.y" /* yacc.c:1646  */
    {
					JsonScalarExpr *n = makeNode(JsonScalarExpr);

					n->expr = (Expr *) (yyvsp[-1].node);
					n->output = NULL;
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 49393 "gram.c" /* yacc.c:1646  */
    break;

  case 2145:
#line 15801 "gram.y" /* yacc.c:1646  */
    {
					JsonSerializeExpr *n = makeNode(JsonSerializeExpr);

					n->expr = (JsonValueExpr *) (yyvsp[-2].node);
					n->output = (JsonOutput *) (yyvsp[-1].node);
					n->location = (yylsp[-4]);
					(yyval.node) = (Node *) n;
				}
#line 49406 "gram.c" /* yacc.c:1646  */
    break;

  case 2146:
#line 15810 "gram.y" /* yacc.c:1646  */
    {
					MergeSupportFunc *m = makeNode(MergeSupportFunc);

					m->msftype = TEXTOID;
					m->location = (yylsp[-2]);
					(yyval.node) = (Node *) m;
				}
#line 49418 "gram.c" /* yacc.c:1646  */
    break;

  case 2147:
#line 15824 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_QUERY_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-8].node);
					n->pathspec = (yyvsp[-6].node);
					n->passing = (yyvsp[-5].list);
					n->output = (JsonOutput *) (yyvsp[-4].node);
					n->wrapper = (yyvsp[-3].ival);
					n->quotes = (yyvsp[-2].ival);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-10]);
					(yyval.node) = (Node *) n;
				}
#line 49438 "gram.c" /* yacc.c:1646  */
    break;

  case 2148:
#line 15843 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_EXISTS_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-5].node);
					n->pathspec = (yyvsp[-3].node);
					n->passing = (yyvsp[-2].list);
					n->output = NULL;
					n->on_error = (JsonBehavior *) (yyvsp[-1].node);
					n->location = (yylsp[-7]);
					(yyval.node) = (Node *) n;
				}
#line 49455 "gram.c" /* yacc.c:1646  */
    break;

  case 2149:
#line 15860 "gram.y" /* yacc.c:1646  */
    {
					JsonFuncExpr *n = makeNode(JsonFuncExpr);

					n->op = JSON_VALUE_OP;
					n->context_item = (JsonValueExpr *) (yyvsp[-6].node);
					n->pathspec = (yyvsp[-4].node);
					n->passing = (yyvsp[-3].list);
					n->output = (JsonOutput *) (yyvsp[-2].node);
					n->on_empty = (JsonBehavior *) linitial((yyvsp[-1].list));
					n->on_error = (JsonBehavior *) lsecond((yyvsp[-1].list));
					n->location = (yylsp[-8]);
					(yyval.node) = (Node *) n;
				}
#line 49473 "gram.c" /* yacc.c:1646  */
    break;

  case 2150:
#line 15880 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 49479 "gram.c" /* yacc.c:1646  */
    break;

  case 2151:
#line 15882 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeNullAConst(-1); }
#line 49485 "gram.c" /* yacc.c:1646  */
    break;

  case 2152:
#line 15886 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
#line 49491 "gram.c" /* yacc.c:1646  */
    break;

  case 2153:
#line 15888 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
#line 49497 "gram.c" /* yacc.c:1646  */
    break;

  case 2154:
#line 15890 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
#line 49503 "gram.c" /* yacc.c:1646  */
    break;

  case 2155:
#line 15892 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
#line 49509 "gram.c" /* yacc.c:1646  */
    break;

  case 2156:
#line 15895 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49515 "gram.c" /* yacc.c:1646  */
    break;

  case 2157:
#line 15898 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 49521 "gram.c" /* yacc.c:1646  */
    break;

  case 2158:
#line 15899 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 49527 "gram.c" /* yacc.c:1646  */
    break;

  case 2159:
#line 15903 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 49539 "gram.c" /* yacc.c:1646  */
    break;

  case 2160:
#line 15911 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 49551 "gram.c" /* yacc.c:1646  */
    break;

  case 2161:
#line 15920 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
#line 49557 "gram.c" /* yacc.c:1646  */
    break;

  case 2162:
#line 15921 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = XMLOPTION_CONTENT; }
#line 49563 "gram.c" /* yacc.c:1646  */
    break;

  case 2163:
#line 15924 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 49569 "gram.c" /* yacc.c:1646  */
    break;

  case 2164:
#line 15925 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49575 "gram.c" /* yacc.c:1646  */
    break;

  case 2165:
#line 15926 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49581 "gram.c" /* yacc.c:1646  */
    break;

  case 2166:
#line 15929 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 49587 "gram.c" /* yacc.c:1646  */
    break;

  case 2167:
#line 15930 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49593 "gram.c" /* yacc.c:1646  */
    break;

  case 2168:
#line 15931 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 49599 "gram.c" /* yacc.c:1646  */
    break;

  case 2169:
#line 15937 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49607 "gram.c" /* yacc.c:1646  */
    break;

  case 2170:
#line 15941 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49615 "gram.c" /* yacc.c:1646  */
    break;

  case 2171:
#line 15945 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 49623 "gram.c" /* yacc.c:1646  */
    break;

  case 2172:
#line 15949 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[-1].node);
				}
#line 49631 "gram.c" /* yacc.c:1646  */
    break;

  case 2175:
#line 15964 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49637 "gram.c" /* yacc.c:1646  */
    break;

  case 2176:
#line 15965 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49643 "gram.c" /* yacc.c:1646  */
    break;

  case 2177:
#line 15969 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-1].node); }
#line 49649 "gram.c" /* yacc.c:1646  */
    break;

  case 2178:
#line 15970 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 49655 "gram.c" /* yacc.c:1646  */
    break;

  case 2179:
#line 15978 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49661 "gram.c" /* yacc.c:1646  */
    break;

  case 2180:
#line 15979 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49667 "gram.c" /* yacc.c:1646  */
    break;

  case 2181:
#line 15983 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].windef)); }
#line 49673 "gram.c" /* yacc.c:1646  */
    break;

  case 2182:
#line 15985 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].windef)); }
#line 49679 "gram.c" /* yacc.c:1646  */
    break;

  case 2183:
#line 15990 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					n->name = (yyvsp[-2].str);
					(yyval.windef) = n;
				}
#line 49690 "gram.c" /* yacc.c:1646  */
    break;

  case 2184:
#line 15999 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = (yyvsp[0].windef); }
#line 49696 "gram.c" /* yacc.c:1646  */
    break;

  case 2185:
#line 16001 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = (yyvsp[0].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[0]);
					(yyval.windef) = n;
				}
#line 49714 "gram.c" /* yacc.c:1646  */
    break;

  case 2186:
#line 16015 "gram.y" /* yacc.c:1646  */
    { (yyval.windef) = NULL; }
#line 49720 "gram.c" /* yacc.c:1646  */
    break;

  case 2187:
#line 16020 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->name = NULL;
					n->refname = (yyvsp[-4].str);
					n->partitionClause = (yyvsp[-3].list);
					n->orderClause = (yyvsp[-2].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[-1].windef)->frameOptions;
					n->startOffset = (yyvsp[-1].windef)->startOffset;
					n->endOffset = (yyvsp[-1].windef)->endOffset;
					n->location = (yylsp[-5]);
					(yyval.windef) = n;
				}
#line 49739 "gram.c" /* yacc.c:1646  */
    break;

  case 2188:
#line 16046 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 49745 "gram.c" /* yacc.c:1646  */
    break;

  case 2189:
#line 16047 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = NULL; }
#line 49751 "gram.c" /* yacc.c:1646  */
    break;

  case 2190:
#line 16050 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 49757 "gram.c" /* yacc.c:1646  */
    break;

  case 2191:
#line 16051 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49763 "gram.c" /* yacc.c:1646  */
    break;

  case 2192:
#line 16060 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49775 "gram.c" /* yacc.c:1646  */
    break;

  case 2193:
#line 16068 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49787 "gram.c" /* yacc.c:1646  */
    break;

  case 2194:
#line 16076 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[-1].windef);

					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_GROUPS;
					n->frameOptions |= (yyvsp[0].ival);
					(yyval.windef) = n;
				}
#line 49799 "gram.c" /* yacc.c:1646  */
    break;

  case 2195:
#line 16084 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49812 "gram.c" /* yacc.c:1646  */
    break;

  case 2196:
#line 16095 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = (yyvsp[0].windef);

					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[0]))));
					if (n->frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[0]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
#line 49834 "gram.c" /* yacc.c:1646  */
    break;

  case 2197:
#line 16113 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n1 = (yyvsp[-2].windef);
					WindowDef  *n2 = (yyvsp[0].windef);

					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[-2]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_OFFSET_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					if ((frameOptions & FRAMEOPTION_START_OFFSET_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_OFFSET_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[0]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
#line 49876 "gram.c" /* yacc.c:1646  */
    break;

  case 2198:
#line 16159 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49889 "gram.c" /* yacc.c:1646  */
    break;

  case 2199:
#line 16168 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49902 "gram.c" /* yacc.c:1646  */
    break;

  case 2200:
#line 16177 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49915 "gram.c" /* yacc.c:1646  */
    break;

  case 2201:
#line 16186 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_PRECEDING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49928 "gram.c" /* yacc.c:1646  */
    break;

  case 2202:
#line 16195 "gram.y" /* yacc.c:1646  */
    {
					WindowDef  *n = makeNode(WindowDef);

					n->frameOptions = FRAMEOPTION_START_OFFSET_FOLLOWING;
					n->startOffset = (yyvsp[-1].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
#line 49941 "gram.c" /* yacc.c:1646  */
    break;

  case 2203:
#line 16206 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_CURRENT_ROW; }
#line 49947 "gram.c" /* yacc.c:1646  */
    break;

  case 2204:
#line 16207 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_GROUP; }
#line 49953 "gram.c" /* yacc.c:1646  */
    break;

  case 2205:
#line 16208 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = FRAMEOPTION_EXCLUDE_TIES; }
#line 49959 "gram.c" /* yacc.c:1646  */
    break;

  case 2206:
#line 16209 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49965 "gram.c" /* yacc.c:1646  */
    break;

  case 2207:
#line 16210 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = 0; }
#line 49971 "gram.c" /* yacc.c:1646  */
    break;

  case 2208:
#line 16224 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49977 "gram.c" /* yacc.c:1646  */
    break;

  case 2209:
#line 16225 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 49983 "gram.c" /* yacc.c:1646  */
    break;

  case 2210:
#line 16226 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 49989 "gram.c" /* yacc.c:1646  */
    break;

  case 2211:
#line 16229 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 49995 "gram.c" /* yacc.c:1646  */
    break;

  case 2212:
#line 16230 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50001 "gram.c" /* yacc.c:1646  */
    break;

  case 2213:
#line 16233 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-3].list), (yyvsp[-1].node)); }
#line 50007 "gram.c" /* yacc.c:1646  */
    break;

  case 2214:
#line 16236 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 50013 "gram.c" /* yacc.c:1646  */
    break;

  case 2215:
#line 16237 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ANY_SUBLINK; }
#line 50019 "gram.c" /* yacc.c:1646  */
    break;

  case 2216:
#line 16238 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = ALL_SUBLINK; }
#line 50025 "gram.c" /* yacc.c:1646  */
    break;

  case 2217:
#line 16241 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50031 "gram.c" /* yacc.c:1646  */
    break;

  case 2218:
#line 16242 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50037 "gram.c" /* yacc.c:1646  */
    break;

  case 2219:
#line 16245 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "+"; }
#line 50043 "gram.c" /* yacc.c:1646  */
    break;

  case 2220:
#line 16246 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "-"; }
#line 50049 "gram.c" /* yacc.c:1646  */
    break;

  case 2221:
#line 16247 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "*"; }
#line 50055 "gram.c" /* yacc.c:1646  */
    break;

  case 2222:
#line 16248 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "/"; }
#line 50061 "gram.c" /* yacc.c:1646  */
    break;

  case 2223:
#line 16249 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "%"; }
#line 50067 "gram.c" /* yacc.c:1646  */
    break;

  case 2224:
#line 16250 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "^"; }
#line 50073 "gram.c" /* yacc.c:1646  */
    break;

  case 2225:
#line 16251 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<"; }
#line 50079 "gram.c" /* yacc.c:1646  */
    break;

  case 2226:
#line 16252 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">"; }
#line 50085 "gram.c" /* yacc.c:1646  */
    break;

  case 2227:
#line 16253 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "="; }
#line 50091 "gram.c" /* yacc.c:1646  */
    break;

  case 2228:
#line 16254 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<="; }
#line 50097 "gram.c" /* yacc.c:1646  */
    break;

  case 2229:
#line 16255 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = ">="; }
#line 50103 "gram.c" /* yacc.c:1646  */
    break;

  case 2230:
#line 16256 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "<>"; }
#line 50109 "gram.c" /* yacc.c:1646  */
    break;

  case 2231:
#line 16260 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50115 "gram.c" /* yacc.c:1646  */
    break;

  case 2232:
#line 16262 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50121 "gram.c" /* yacc.c:1646  */
    break;

  case 2233:
#line 16267 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50127 "gram.c" /* yacc.c:1646  */
    break;

  case 2234:
#line 16269 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50133 "gram.c" /* yacc.c:1646  */
    break;

  case 2235:
#line 16274 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 50139 "gram.c" /* yacc.c:1646  */
    break;

  case 2236:
#line 16276 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[-1].list); }
#line 50145 "gram.c" /* yacc.c:1646  */
    break;

  case 2237:
#line 16278 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~")); }
#line 50151 "gram.c" /* yacc.c:1646  */
    break;

  case 2238:
#line 16280 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~")); }
#line 50157 "gram.c" /* yacc.c:1646  */
    break;

  case 2239:
#line 16282 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("~~*")); }
#line 50163 "gram.c" /* yacc.c:1646  */
    break;

  case 2240:
#line 16284 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString("!~~*")); }
#line 50169 "gram.c" /* yacc.c:1646  */
    break;

  case 2241:
#line 16296 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 50177 "gram.c" /* yacc.c:1646  */
    break;

  case 2242:
#line 16300 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 50185 "gram.c" /* yacc.c:1646  */
    break;

  case 2243:
#line 16307 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make1((yyvsp[0].node));
				}
#line 50193 "gram.c" /* yacc.c:1646  */
    break;

  case 2244:
#line 16311 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));
				}
#line 50201 "gram.c" /* yacc.c:1646  */
    break;

  case 2245:
#line 16317 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50209 "gram.c" /* yacc.c:1646  */
    break;

  case 2246:
#line 16321 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 50223 "gram.c" /* yacc.c:1646  */
    break;

  case 2247:
#line 16331 "gram.y" /* yacc.c:1646  */
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);

					na->name = (yyvsp[-2].str);
					na->arg = (Expr *) (yyvsp[0].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[-2]);
					(yyval.node) = (Node *) na;
				}
#line 50237 "gram.c" /* yacc.c:1646  */
    break;

  case 2248:
#line 16342 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50243 "gram.c" /* yacc.c:1646  */
    break;

  case 2249:
#line 16343 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50249 "gram.c" /* yacc.c:1646  */
    break;

  case 2250:
#line 16346 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].typnam)); }
#line 50255 "gram.c" /* yacc.c:1646  */
    break;

  case 2251:
#line 16347 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].typnam)); }
#line 50261 "gram.c" /* yacc.c:1646  */
    break;

  case 2252:
#line 16351 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 50269 "gram.c" /* yacc.c:1646  */
    break;

  case 2253:
#line 16355 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr((yyvsp[-1].list), (yylsp[-2]));
				}
#line 50277 "gram.c" /* yacc.c:1646  */
    break;

  case 2254:
#line 16359 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[-1]));
				}
#line 50285 "gram.c" /* yacc.c:1646  */
    break;

  case 2255:
#line 16364 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50291 "gram.c" /* yacc.c:1646  */
    break;

  case 2256:
#line 16365 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 50297 "gram.c" /* yacc.c:1646  */
    break;

  case 2257:
#line 16371 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[-2].str), (yylsp[-2])), (yyvsp[0].node));
				}
#line 50305 "gram.c" /* yacc.c:1646  */
    break;

  case 2258:
#line 16380 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50311 "gram.c" /* yacc.c:1646  */
    break;

  case 2259:
#line 16381 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "year"; }
#line 50317 "gram.c" /* yacc.c:1646  */
    break;

  case 2260:
#line 16382 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "month"; }
#line 50323 "gram.c" /* yacc.c:1646  */
    break;

  case 2261:
#line 16383 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "day"; }
#line 50329 "gram.c" /* yacc.c:1646  */
    break;

  case 2262:
#line 16384 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "hour"; }
#line 50335 "gram.c" /* yacc.c:1646  */
    break;

  case 2263:
#line 16385 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "minute"; }
#line 50341 "gram.c" /* yacc.c:1646  */
    break;

  case 2264:
#line 16386 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "second"; }
#line 50347 "gram.c" /* yacc.c:1646  */
    break;

  case 2265:
#line 16387 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 50353 "gram.c" /* yacc.c:1646  */
    break;

  case 2266:
#line 16391 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFC"; }
#line 50359 "gram.c" /* yacc.c:1646  */
    break;

  case 2267:
#line 16392 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFD"; }
#line 50365 "gram.c" /* yacc.c:1646  */
    break;

  case 2268:
#line 16393 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKC"; }
#line 50371 "gram.c" /* yacc.c:1646  */
    break;

  case 2269:
#line 16394 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = "NFKD"; }
#line 50377 "gram.c" /* yacc.c:1646  */
    break;

  case 2270:
#line 16400 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to overlay(A, B, C, D) */
					(yyval.list) = list_make4((yyvsp[-6].node), (yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50386 "gram.c" /* yacc.c:1646  */
    break;

  case 2271:
#line 16405 "gram.y" /* yacc.c:1646  */
    {
					/* overlay(A PLACING B FROM C) is converted to overlay(A, B, C) */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50395 "gram.c" /* yacc.c:1646  */
    break;

  case 2272:
#line 16413 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[0].node), (yyvsp[-2].node)); }
#line 50401 "gram.c" /* yacc.c:1646  */
    break;

  case 2273:
#line 16435 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50409 "gram.c" /* yacc.c:1646  */
    break;

  case 2274:
#line 16439 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[0].node), (yyvsp[-2].node));
				}
#line 50418 "gram.c" /* yacc.c:1646  */
    break;

  case 2275:
#line 16444 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * Because we aren't restricting data types here, this
					 * syntax can end up resolving to textregexsubstr().
					 * We've historically allowed that to happen, so continue
					 * to accept it.  However, ruleutils.c will reverse-list
					 * such a call in regular function call syntax.
					 */
					(yyval.list) = list_make2((yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50433 "gram.c" /* yacc.c:1646  */
    break;

  case 2276:
#line 16455 "gram.y" /* yacc.c:1646  */
    {
					/* not legal per SQL */

					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[-2].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[0].node),
												 SystemTypeName("int4"), -1));
				}
#line 50454 "gram.c" /* yacc.c:1646  */
    break;

  case 2277:
#line 16472 "gram.y" /* yacc.c:1646  */
    {
					(yyval.list) = list_make3((yyvsp[-4].node), (yyvsp[-2].node), (yyvsp[0].node));
				}
#line 50462 "gram.c" /* yacc.c:1646  */
    break;

  case 2278:
#line 16477 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[0].list), (yyvsp[-2].node)); }
#line 50468 "gram.c" /* yacc.c:1646  */
    break;

  case 2279:
#line 16478 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50474 "gram.c" /* yacc.c:1646  */
    break;

  case 2280:
#line 16479 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50480 "gram.c" /* yacc.c:1646  */
    break;

  case 2281:
#line 16483 "gram.y" /* yacc.c:1646  */
    {
					SubLink	   *n = makeNode(SubLink);

					n->subselect = (yyvsp[0].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *) n;
				}
#line 50492 "gram.c" /* yacc.c:1646  */
    break;

  case 2282:
#line 16490 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) (yyvsp[-1].list); }
#line 50498 "gram.c" /* yacc.c:1646  */
    break;

  case 2283:
#line 16501 "gram.y" /* yacc.c:1646  */
    {
					CaseExpr   *c = makeNode(CaseExpr);

					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[-3].node);
					c->args = (yyvsp[-2].list);
					c->defresult = (Expr *) (yyvsp[-1].node);
					c->location = (yylsp[-4]);
					(yyval.node) = (Node *) c;
				}
#line 50513 "gram.c" /* yacc.c:1646  */
    break;

  case 2284:
#line 16515 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50519 "gram.c" /* yacc.c:1646  */
    break;

  case 2285:
#line 16516 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50525 "gram.c" /* yacc.c:1646  */
    break;

  case 2286:
#line 16521 "gram.y" /* yacc.c:1646  */
    {
					CaseWhen   *w = makeNode(CaseWhen);

					w->expr = (Expr *) (yyvsp[-2].node);
					w->result = (Expr *) (yyvsp[0].node);
					w->location = (yylsp[-3]);
					(yyval.node) = (Node *) w;
				}
#line 50538 "gram.c" /* yacc.c:1646  */
    break;

  case 2287:
#line 16532 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 50544 "gram.c" /* yacc.c:1646  */
    break;

  case 2288:
#line 16533 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50550 "gram.c" /* yacc.c:1646  */
    break;

  case 2289:
#line 16536 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 50556 "gram.c" /* yacc.c:1646  */
    break;

  case 2290:
#line 16537 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50562 "gram.c" /* yacc.c:1646  */
    break;

  case 2291:
#line 16541 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[0].str), NIL, (yylsp[0]), yyscanner);
				}
#line 50570 "gram.c" /* yacc.c:1646  */
    break;

  case 2292:
#line 16545 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeColumnRef((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 50578 "gram.c" /* yacc.c:1646  */
    break;

  case 2293:
#line 16552 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeString((yyvsp[0].str));
				}
#line 50586 "gram.c" /* yacc.c:1646  */
    break;

  case 2294:
#line 16556 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
#line 50594 "gram.c" /* yacc.c:1646  */
    break;

  case 2295:
#line 16560 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = false;
					ai->lidx = NULL;
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 50607 "gram.c" /* yacc.c:1646  */
    break;

  case 2296:
#line 16569 "gram.y" /* yacc.c:1646  */
    {
					A_Indices *ai = makeNode(A_Indices);

					ai->is_slice = true;
					ai->lidx = (yyvsp[-3].node);
					ai->uidx = (yyvsp[-1].node);
					(yyval.node) = (Node *) ai;
				}
#line 50620 "gram.c" /* yacc.c:1646  */
    break;

  case 2297:
#line 16580 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[0].node); }
#line 50626 "gram.c" /* yacc.c:1646  */
    break;

  case 2298:
#line 16581 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50632 "gram.c" /* yacc.c:1646  */
    break;

  case 2299:
#line 16585 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50638 "gram.c" /* yacc.c:1646  */
    break;

  case 2300:
#line 16586 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50644 "gram.c" /* yacc.c:1646  */
    break;

  case 2301:
#line 16590 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50650 "gram.c" /* yacc.c:1646  */
    break;

  case 2302:
#line 16591 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-1].list), (yyvsp[0].node)); }
#line 50656 "gram.c" /* yacc.c:1646  */
    break;

  case 2305:
#line 16600 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 50662 "gram.c" /* yacc.c:1646  */
    break;

  case 2306:
#line 16601 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 50668 "gram.c" /* yacc.c:1646  */
    break;

  case 2307:
#line 16605 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 50674 "gram.c" /* yacc.c:1646  */
    break;

  case 2308:
#line 16606 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 50680 "gram.c" /* yacc.c:1646  */
    break;

  case 2309:
#line 16611 "gram.y" /* yacc.c:1646  */
    {
				JsonArgument *n = makeNode(JsonArgument);

				n->val = (JsonValueExpr *) (yyvsp[-2].node);
				n->name = (yyvsp[0].str);
				(yyval.node) = (Node *) n;
			}
#line 50692 "gram.c" /* yacc.c:1646  */
    break;

  case 2310:
#line 16622 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 50698 "gram.c" /* yacc.c:1646  */
    break;

  case 2311:
#line 16623 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_NONE; }
#line 50704 "gram.c" /* yacc.c:1646  */
    break;

  case 2312:
#line 16624 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 50710 "gram.c" /* yacc.c:1646  */
    break;

  case 2313:
#line 16625 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 50716 "gram.c" /* yacc.c:1646  */
    break;

  case 2314:
#line 16626 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 50722 "gram.c" /* yacc.c:1646  */
    break;

  case 2315:
#line 16627 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 50728 "gram.c" /* yacc.c:1646  */
    break;

  case 2316:
#line 16628 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_CONDITIONAL; }
#line 50734 "gram.c" /* yacc.c:1646  */
    break;

  case 2317:
#line 16629 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNCONDITIONAL; }
#line 50740 "gram.c" /* yacc.c:1646  */
    break;

  case 2318:
#line 16630 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSW_UNSPEC; }
#line 50746 "gram.c" /* yacc.c:1646  */
    break;

  case 2319:
#line 16635 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior(JSON_BEHAVIOR_DEFAULT, (yyvsp[0].node), (yylsp[-1])); }
#line 50752 "gram.c" /* yacc.c:1646  */
    break;

  case 2320:
#line 16637 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (Node *) makeJsonBehavior((yyvsp[0].ival), NULL, (yylsp[0])); }
#line 50758 "gram.c" /* yacc.c:1646  */
    break;

  case 2321:
#line 16641 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_ERROR; }
#line 50764 "gram.c" /* yacc.c:1646  */
    break;

  case 2322:
#line 16642 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_NULL; }
#line 50770 "gram.c" /* yacc.c:1646  */
    break;

  case 2323:
#line 16643 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_TRUE; }
#line 50776 "gram.c" /* yacc.c:1646  */
    break;

  case 2324:
#line 16644 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_FALSE; }
#line 50782 "gram.c" /* yacc.c:1646  */
    break;

  case 2325:
#line 16645 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_UNKNOWN; }
#line 50788 "gram.c" /* yacc.c:1646  */
    break;

  case 2326:
#line 16646 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 50794 "gram.c" /* yacc.c:1646  */
    break;

  case 2327:
#line 16647 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_OBJECT; }
#line 50800 "gram.c" /* yacc.c:1646  */
    break;

  case 2328:
#line 16649 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JSON_BEHAVIOR_EMPTY_ARRAY; }
#line 50806 "gram.c" /* yacc.c:1646  */
    break;

  case 2329:
#line 16654 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-2].node), NULL); }
#line 50812 "gram.c" /* yacc.c:1646  */
    break;

  case 2330:
#line 16656 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, (yyvsp[-2].node)); }
#line 50818 "gram.c" /* yacc.c:1646  */
    break;

  case 2331:
#line 16658 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2((yyvsp[-5].node), (yyvsp[-2].node)); }
#line 50824 "gram.c" /* yacc.c:1646  */
    break;

  case 2332:
#line 16660 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make2(NULL, NULL); }
#line 50830 "gram.c" /* yacc.c:1646  */
    break;

  case 2333:
#line 16665 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = (yyvsp[-2].node); }
#line 50836 "gram.c" /* yacc.c:1646  */
    break;

  case 2334:
#line 16667 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50842 "gram.c" /* yacc.c:1646  */
    break;

  case 2335:
#line 16672 "gram.y" /* yacc.c:1646  */
    {
				/* formatted_expr will be set during parse-analysis. */
				(yyval.node) = (Node *) makeJsonValueExpr((Expr *) (yyvsp[-1].node), NULL,
												castNode(JsonFormat, (yyvsp[0].node)));
			}
#line 50852 "gram.c" /* yacc.c:1646  */
    break;

  case 2336:
#line 16681 "gram.y" /* yacc.c:1646  */
    {
					int		encoding;

					if (!pg_strcasecmp((yyvsp[0].str), "utf8"))
						encoding = JS_ENC_UTF8;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf16"))
						encoding = JS_ENC_UTF16;
					else if (!pg_strcasecmp((yyvsp[0].str), "utf32"))
						encoding = JS_ENC_UTF32;
					else
						ereport(ERROR,
								errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								errmsg("unrecognized JSON encoding: %s", (yyvsp[0].str)));

					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, encoding, (yylsp[-3]));
				}
#line 50873 "gram.c" /* yacc.c:1646  */
    break;

  case 2337:
#line 16698 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_JSON, JS_ENC_DEFAULT, (yylsp[-1]));
				}
#line 50881 "gram.c" /* yacc.c:1646  */
    break;

  case 2338:
#line 16705 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (yyvsp[0].node);
				}
#line 50889 "gram.c" /* yacc.c:1646  */
    break;

  case 2339:
#line 16709 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = (Node *) makeJsonFormat(JS_FORMAT_DEFAULT, JS_ENC_DEFAULT, -1);
				}
#line 50897 "gram.c" /* yacc.c:1646  */
    break;

  case 2340:
#line 16715 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 50903 "gram.c" /* yacc.c:1646  */
    break;

  case 2341:
#line 16716 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_KEEP; }
#line 50909 "gram.c" /* yacc.c:1646  */
    break;

  case 2342:
#line 16717 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 50915 "gram.c" /* yacc.c:1646  */
    break;

  case 2343:
#line 16718 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_OMIT; }
#line 50921 "gram.c" /* yacc.c:1646  */
    break;

  case 2344:
#line 16719 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_QUOTES_UNSPEC; }
#line 50927 "gram.c" /* yacc.c:1646  */
    break;

  case 2345:
#line 16724 "gram.y" /* yacc.c:1646  */
    {
					JsonOutput *n = makeNode(JsonOutput);

					n->typeName = (yyvsp[-1].typnam);
					n->returning = makeNode(JsonReturning);
					n->returning->format = (JsonFormat *) (yyvsp[0].node);
					(yyval.node) = (Node *) n;
				}
#line 50940 "gram.c" /* yacc.c:1646  */
    break;

  case 2346:
#line 16732 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = NULL; }
#line 50946 "gram.c" /* yacc.c:1646  */
    break;

  case 2347:
#line 16746 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 50952 "gram.c" /* yacc.c:1646  */
    break;

  case 2348:
#line 16747 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ANY; }
#line 50958 "gram.c" /* yacc.c:1646  */
    break;

  case 2349:
#line 16748 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_ARRAY; }
#line 50964 "gram.c" /* yacc.c:1646  */
    break;

  case 2350:
#line 16749 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_OBJECT; }
#line 50970 "gram.c" /* yacc.c:1646  */
    break;

  case 2351:
#line 16750 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = JS_TYPE_SCALAR; }
#line 50976 "gram.c" /* yacc.c:1646  */
    break;

  case 2352:
#line 16759 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50982 "gram.c" /* yacc.c:1646  */
    break;

  case 2353:
#line 16760 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 50988 "gram.c" /* yacc.c:1646  */
    break;

  case 2354:
#line 16761 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 50994 "gram.c" /* yacc.c:1646  */
    break;

  case 2355:
#line 16762 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51000 "gram.c" /* yacc.c:1646  */
    break;

  case 2356:
#line 16763 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51006 "gram.c" /* yacc.c:1646  */
    break;

  case 2357:
#line 16768 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51012 "gram.c" /* yacc.c:1646  */
    break;

  case 2358:
#line 16770 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node)); }
#line 51018 "gram.c" /* yacc.c:1646  */
    break;

  case 2359:
#line 16780 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51024 "gram.c" /* yacc.c:1646  */
    break;

  case 2360:
#line 16783 "gram.y" /* yacc.c:1646  */
    { (yyval.node) = makeJsonKeyValue((yyvsp[-2].node), (yyvsp[0].node)); }
#line 51030 "gram.c" /* yacc.c:1646  */
    break;

  case 2361:
#line 16788 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51036 "gram.c" /* yacc.c:1646  */
    break;

  case 2362:
#line 16789 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51042 "gram.c" /* yacc.c:1646  */
    break;

  case 2363:
#line 16790 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51048 "gram.c" /* yacc.c:1646  */
    break;

  case 2364:
#line 16794 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = false; }
#line 51054 "gram.c" /* yacc.c:1646  */
    break;

  case 2365:
#line 16795 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51060 "gram.c" /* yacc.c:1646  */
    break;

  case 2366:
#line 16796 "gram.y" /* yacc.c:1646  */
    { (yyval.boolean) = true; }
#line 51066 "gram.c" /* yacc.c:1646  */
    break;

  case 2367:
#line 16800 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].node)); }
#line 51072 "gram.c" /* yacc.c:1646  */
    break;

  case 2368:
#line 16801 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].node));}
#line 51078 "gram.c" /* yacc.c:1646  */
    break;

  case 2369:
#line 16811 "gram.y" /* yacc.c:1646  */
    {
					JsonObjectAgg *n = makeNode(JsonObjectAgg);

					n->arg = (JsonKeyValue *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-3].boolean);
					n->unique = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->agg_order = NULL;
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 51095 "gram.c" /* yacc.c:1646  */
    break;

  case 2370:
#line 16829 "gram.y" /* yacc.c:1646  */
    {
					JsonArrayAgg *n = makeNode(JsonArrayAgg);

					n->arg = (JsonValueExpr *) (yyvsp[-4].node);
					n->absent_on_null = (yyvsp[-2].boolean);
					n->constructor = makeNode(JsonAggConstructor);
					n->constructor->agg_order = (yyvsp[-3].list);
					n->constructor->output = (JsonOutput *) (yyvsp[-1].node);
					n->constructor->location = (yylsp[-6]);
					(yyval.node) = (Node *) n;
				}
#line 51111 "gram.c" /* yacc.c:1646  */
    break;

  case 2371:
#line 16843 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51117 "gram.c" /* yacc.c:1646  */
    break;

  case 2372:
#line 16844 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51123 "gram.c" /* yacc.c:1646  */
    break;

  case 2373:
#line 16853 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = (yyvsp[0].list); }
#line 51129 "gram.c" /* yacc.c:1646  */
    break;

  case 2374:
#line 16854 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = NIL; }
#line 51135 "gram.c" /* yacc.c:1646  */
    break;

  case 2375:
#line 16858 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].target)); }
#line 51141 "gram.c" /* yacc.c:1646  */
    break;

  case 2376:
#line 16859 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].target)); }
#line 51147 "gram.c" /* yacc.c:1646  */
    break;

  case 2377:
#line 16863 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-2].node);
					(yyval.target)->location = (yylsp[-2]);
				}
#line 51159 "gram.c" /* yacc.c:1646  */
    break;

  case 2378:
#line 16871 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[0].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[-1].node);
					(yyval.target)->location = (yylsp[-1]);
				}
#line 51171 "gram.c" /* yacc.c:1646  */
    break;

  case 2379:
#line 16879 "gram.y" /* yacc.c:1646  */
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[0].node);
					(yyval.target)->location = (yylsp[0]);
				}
#line 51183 "gram.c" /* yacc.c:1646  */
    break;

  case 2380:
#line 16887 "gram.y" /* yacc.c:1646  */
    {
					ColumnRef  *n = makeNode(ColumnRef);

					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[0]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) n;
					(yyval.target)->location = (yylsp[0]);
				}
#line 51200 "gram.c" /* yacc.c:1646  */
    break;

  case 2381:
#line 16909 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].range)); }
#line 51206 "gram.c" /* yacc.c:1646  */
    break;

  case 2382:
#line 16910 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].range)); }
#line 51212 "gram.c" /* yacc.c:1646  */
    break;

  case 2383:
#line 16922 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[0].str), (yylsp[0]));
				}
#line 51220 "gram.c" /* yacc.c:1646  */
    break;

  case 2384:
#line 16926 "gram.y" /* yacc.c:1646  */
    {
					(yyval.range) = makeRangeVarFromQualifiedName((yyvsp[-1].str), (yyvsp[0].list), (yylsp[-1]), yyscanner);
				}
#line 51228 "gram.c" /* yacc.c:1646  */
    break;

  case 2385:
#line 16932 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51234 "gram.c" /* yacc.c:1646  */
    break;

  case 2386:
#line 16934 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), makeString((yyvsp[0].str))); }
#line 51240 "gram.c" /* yacc.c:1646  */
    break;

  case 2387:
#line 16938 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51246 "gram.c" /* yacc.c:1646  */
    break;

  case 2388:
#line 16940 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51252 "gram.c" /* yacc.c:1646  */
    break;

  case 2389:
#line 16942 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51258 "gram.c" /* yacc.c:1646  */
    break;

  case 2390:
#line 16953 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1(makeString((yyvsp[0].str))); }
#line 51264 "gram.c" /* yacc.c:1646  */
    break;

  case 2391:
#line 16955 "gram.y" /* yacc.c:1646  */
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[-1].str)), (yyvsp[0].list)),
											 yyscanner);
					}
#line 51273 "gram.c" /* yacc.c:1646  */
    break;

  case 2392:
#line 16966 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeIntConst((yyvsp[0].ival), (yylsp[0]));
				}
#line 51281 "gram.c" /* yacc.c:1646  */
    break;

  case 2393:
#line 16970 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeFloatConst((yyvsp[0].str), (yylsp[0]));
				}
#line 51289 "gram.c" /* yacc.c:1646  */
    break;

  case 2394:
#line 16974 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 51297 "gram.c" /* yacc.c:1646  */
    break;

  case 2395:
#line 16978 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 51305 "gram.c" /* yacc.c:1646  */
    break;

  case 2396:
#line 16982 "gram.y" /* yacc.c:1646  */
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[0].str), (yylsp[0]));
				}
#line 51318 "gram.c" /* yacc.c:1646  */
    break;

  case 2397:
#line 16991 "gram.y" /* yacc.c:1646  */
    {
					/* generic type 'literal' syntax */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-1].list));

					t->location = (yylsp[-1]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 51330 "gram.c" /* yacc.c:1646  */
    break;

  case 2398:
#line 16999 "gram.y" /* yacc.c:1646  */
    {
					/* generic syntax with a type modifier */
					TypeName   *t = makeTypeNameFromNameList((yyvsp[-5].list));
					ListCell   *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[-3].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[-2].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[-2]))));

					t->typmods = (yyvsp[-3].list);
					t->location = (yylsp[-5]);
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 51366 "gram.c" /* yacc.c:1646  */
    break;

  case 2399:
#line 17031 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), (yyvsp[-1].typnam));
				}
#line 51374 "gram.c" /* yacc.c:1646  */
    break;

  case 2400:
#line 17035 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-2].typnam);

					t->typmods = (yyvsp[0].list);
					(yyval.node) = makeStringConstCast((yyvsp[-1].str), (yylsp[-1]), t);
				}
#line 51385 "gram.c" /* yacc.c:1646  */
    break;

  case 2401:
#line 17042 "gram.y" /* yacc.c:1646  */
    {
					TypeName   *t = (yyvsp[-4].typnam);

					t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
											makeIntConst((yyvsp[-2].ival), (yylsp[-2])));
					(yyval.node) = makeStringConstCast((yyvsp[0].str), (yylsp[0]), t);
				}
#line 51397 "gram.c" /* yacc.c:1646  */
    break;

  case 2402:
#line 17050 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(true, (yylsp[0]));
				}
#line 51405 "gram.c" /* yacc.c:1646  */
    break;

  case 2403:
#line 17054 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeBoolAConst(false, (yylsp[0]));
				}
#line 51413 "gram.c" /* yacc.c:1646  */
    break;

  case 2404:
#line 17058 "gram.y" /* yacc.c:1646  */
    {
					(yyval.node) = makeNullAConst((yylsp[0]));
				}
#line 51421 "gram.c" /* yacc.c:1646  */
    break;

  case 2405:
#line 17063 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 51427 "gram.c" /* yacc.c:1646  */
    break;

  case 2406:
#line 17064 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51433 "gram.c" /* yacc.c:1646  */
    break;

  case 2407:
#line 17066 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = (yyvsp[0].ival); }
#line 51439 "gram.c" /* yacc.c:1646  */
    break;

  case 2408:
#line 17067 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = + (yyvsp[0].ival); }
#line 51445 "gram.c" /* yacc.c:1646  */
    break;

  case 2409:
#line 17068 "gram.y" /* yacc.c:1646  */
    { (yyval.ival) = - (yyvsp[0].ival); }
#line 51451 "gram.c" /* yacc.c:1646  */
    break;

  case 2410:
#line 17073 "gram.y" /* yacc.c:1646  */
    {
					RoleSpec   *spc = (RoleSpec *) (yyvsp[0].rolespec);

					switch (spc->roletype)
					{
						case ROLESPEC_CSTRING:
							(yyval.str) = spc->rolename;
							break;
						case ROLESPEC_PUBLIC:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("role name \"%s\" is reserved",
											"public"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_SESSION_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"SESSION_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_USER:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_USER"),
									 parser_errposition((yylsp[0]))));
							break;
						case ROLESPEC_CURRENT_ROLE:
							ereport(ERROR,
									(errcode(ERRCODE_RESERVED_NAME),
									 errmsg("%s cannot be used as a role name here",
											"CURRENT_ROLE"),
									 parser_errposition((yylsp[0]))));
							break;
					}
				}
#line 51494 "gram.c" /* yacc.c:1646  */
    break;

  case 2411:
#line 17114 "gram.y" /* yacc.c:1646  */
    {
					/*
					 * "public" and "none" are not keywords, but they must
					 * be treated specially here.
					 */
					RoleSpec   *n;

					if (strcmp((yyvsp[0].str), "public") == 0)
					{
						n = (RoleSpec *) makeRoleSpec(ROLESPEC_PUBLIC, (yylsp[0]));
						n->roletype = ROLESPEC_PUBLIC;
					}
					else if (strcmp((yyvsp[0].str), "none") == 0)
					{
						ereport(ERROR,
								(errcode(ERRCODE_RESERVED_NAME),
								 errmsg("role name \"%s\" is reserved",
										"none"),
								 parser_errposition((yylsp[0]))));
					}
					else
					{
						n = makeRoleSpec(ROLESPEC_CSTRING, (yylsp[0]));
						n->rolename = pstrdup((yyvsp[0].str));
					}
					(yyval.rolespec) = n;
				}
#line 51526 "gram.c" /* yacc.c:1646  */
    break;

  case 2412:
#line 17142 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_ROLE, (yylsp[0]));
				}
#line 51534 "gram.c" /* yacc.c:1646  */
    break;

  case 2413:
#line 17146 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_CURRENT_USER, (yylsp[0]));
				}
#line 51542 "gram.c" /* yacc.c:1646  */
    break;

  case 2414:
#line 17150 "gram.y" /* yacc.c:1646  */
    {
					(yyval.rolespec) = makeRoleSpec(ROLESPEC_SESSION_USER, (yylsp[0]));
				}
#line 51550 "gram.c" /* yacc.c:1646  */
    break;

  case 2415:
#line 17156 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = list_make1((yyvsp[0].rolespec)); }
#line 51556 "gram.c" /* yacc.c:1646  */
    break;

  case 2416:
#line 17158 "gram.y" /* yacc.c:1646  */
    { (yyval.list) = lappend((yyvsp[-2].list), (yyvsp[0].rolespec)); }
#line 51562 "gram.c" /* yacc.c:1646  */
    break;

  case 2417:
#line 17175 "gram.y" /* yacc.c:1646  */
    {
					SelectStmt *n = makeNode(SelectStmt);

					n->distinctClause = (yyvsp[-9].list);
					n->targetList = (yyvsp[-8].list);
					n->fromClause = (yyvsp[-7].list);
					n->whereClause = (yyvsp[-6].node);
					n->groupClause = ((yyvsp[-5].groupclause))->list;
					n->groupDistinct = ((yyvsp[-5].groupclause))->distinct;
					n->havingClause = (yyvsp[-4].node);
					n->windowClause = (yyvsp[-3].list);
					n->sortClause = (yyvsp[-2].list);
					if ((yyvsp[-1].selectlimit))
					{
						n->limitOffset = (yyvsp[-1].selectlimit)->limitOffset;
						n->limitCount = (yyvsp[-1].selectlimit)->limitCount;
						if (!n->sortClause &&
							(yyvsp[-1].selectlimit)->limitOption == LIMIT_OPTION_WITH_TIES)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
						n->limitOption = (yyvsp[-1].selectlimit)->limitOption;
					}
					n->lockingClause = (yyvsp[0].list);
					(yyval.node) = (Node *) n;
				}
#line 51593 "gram.c" /* yacc.c:1646  */
    break;

  case 2418:
#line 17208 "gram.y" /* yacc.c:1646  */
    {
					PLAssignStmt *n = makeNode(PLAssignStmt);

					n->name = (yyvsp[-3].str);
					n->indirection = check_indirection((yyvsp[-2].list), yyscanner);
					/* nnames will be filled by calling production */
					n->val = (SelectStmt *) (yyvsp[0].node);
					n->location = (yylsp[-3]);
					(yyval.node) = (Node *) n;
				}
#line 51608 "gram.c" /* yacc.c:1646  */
    break;

  case 2419:
#line 17220 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51614 "gram.c" /* yacc.c:1646  */
    break;

  case 2420:
#line 17221 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = psprintf("$%d", (yyvsp[0].ival)); }
#line 51620 "gram.c" /* yacc.c:1646  */
    break;

  case 2423:
#line 17242 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51626 "gram.c" /* yacc.c:1646  */
    break;

  case 2424:
#line 17243 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51632 "gram.c" /* yacc.c:1646  */
    break;

  case 2425:
#line 17244 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51638 "gram.c" /* yacc.c:1646  */
    break;

  case 2426:
#line 17249 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51644 "gram.c" /* yacc.c:1646  */
    break;

  case 2427:
#line 17250 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51650 "gram.c" /* yacc.c:1646  */
    break;

  case 2428:
#line 17251 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51656 "gram.c" /* yacc.c:1646  */
    break;

  case 2429:
#line 17256 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51662 "gram.c" /* yacc.c:1646  */
    break;

  case 2430:
#line 17257 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51668 "gram.c" /* yacc.c:1646  */
    break;

  case 2431:
#line 17258 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51674 "gram.c" /* yacc.c:1646  */
    break;

  case 2432:
#line 17259 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51680 "gram.c" /* yacc.c:1646  */
    break;

  case 2433:
#line 17265 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51686 "gram.c" /* yacc.c:1646  */
    break;

  case 2434:
#line 17266 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51692 "gram.c" /* yacc.c:1646  */
    break;

  case 2435:
#line 17267 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51698 "gram.c" /* yacc.c:1646  */
    break;

  case 2436:
#line 17268 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51704 "gram.c" /* yacc.c:1646  */
    break;

  case 2437:
#line 17269 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51710 "gram.c" /* yacc.c:1646  */
    break;

  case 2438:
#line 17275 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = (yyvsp[0].str); }
#line 51716 "gram.c" /* yacc.c:1646  */
    break;

  case 2439:
#line 17276 "gram.y" /* yacc.c:1646  */
    { (yyval.str) = pstrdup((yyvsp[0].keyword)); }
#line 51722 "gram.c" /* yacc.c:1646  */
    break;


#line 51726 "gram.c" /* yacc.c:1646  */
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval, &yylloc, yyscanner);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYTERROR;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
                  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined yyoverflow || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  return yyresult;
}
#line 18276 "gram.y" /* yacc.c:1906  */


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static RawStmt *
makeRawStmt(Node *stmt, int stmt_location)
{
	RawStmt    *rs = makeNode(RawStmt);

	rs->stmt = stmt;
	rs->stmt_location = stmt_location;
	rs->stmt_len = 0;			/* might get changed later */
	return rs;
}

/* Adjust a RawStmt to reflect that it doesn't run to the end of the string */
static void
updateRawStmtEnd(RawStmt *rs, int end_location)
{
	/*
	 * If we already set the length, don't change it.  This is for situations
	 * like "select foo ;; select bar" where the same statement will be last
	 * in the string for more than one semicolon.
	 */
	if (rs->stmt_len > 0)
		return;

	/* OK, update length of RawStmt */
	rs->stmt_len = end_location - rs->stmt_location;
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int			nfields = 0;
	ListCell   *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast   *n = makeNode(TypeCast);

	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.sval.type = T_String;
	n->val.sval.sval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node	   *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.ival.type = T_Integer;
	n->val.ival.ival = val;
	n->location = location;

   return (Node *) n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.fval.type = T_Float;
	n->val.fval.fval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBoolAConst(bool state, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.boolval.type = T_Boolean;
	n->val.boolval.boolval = state;
	n->location = location;

   return (Node *) n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->val.bsval.type = T_BitString;
	n->val.bsval.bsval = str;
	n->location = location;

   return (Node *) n;
}

static Node *
makeNullAConst(int location)
{
	A_Const	   *n = makeNode(A_Const);

	n->isnull = true;
	n->location = location;

	return (Node *) n;
}

static Node *
makeAConst(Node *v, int location)
{
	Node	   *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(castNode(Float, v)->fval, location);
			break;

		case T_Integer:
			n = makeIntConst(castNode(Integer, v)->ival, location);
			break;

		default:
			/* currently not used */
			Assert(false);
			n = NULL;
	}

	return n;
}

/* makeRoleSpec
 * Create a RoleSpec with the given type
 */
static RoleSpec *
makeRoleSpec(RoleSpecType type, int location)
{
	RoleSpec   *spec = makeNode(RoleSpec);

	spec->roletype = type;
	spec->location = location;

	return spec;
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(indirection, l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	Integer	   *ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = makeInteger(list_length(directargs));

	return list_make2(list_concat(directargs, orderedargs),
					  ndirectargs);
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					SelectLimit *limitClause,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitClause && limitClause->limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitOffset))));
		stmt->limitOffset = limitClause->limitOffset;
	}
	if (limitClause && limitClause->limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitClause->limitCount))));
		stmt->limitCount = limitClause->limitCount;
	}
	if (limitClause)
	{
		if (stmt->limitOption)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple limit options not allowed")));
		if (!stmt->sortClause && limitClause->limitOption == LIMIT_OPTION_WITH_TIES)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("WITH TIES cannot be specified without ORDER BY clause")));
		if (limitClause->limitOption == LIMIT_OPTION_WITH_TIES && stmt->lockingClause)
		{
			ListCell   *lc;

			foreach(lc, stmt->lockingClause)
			{
				LockingClause *lock = lfirst_node(LockingClause, lc);

				if (lock->waitPolicy == LockWaitSkip)
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("%s and %s options cannot be used together",
									"SKIP LOCKED", "WITH TIES")));
			}
		}
		stmt->limitOption = limitClause->limitOption;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const	   *con = (A_Const *) n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (IsA(&con->val, Integer))
		{
			con->val.ival.ival = -con->val.ival.ival;
			return n;
		}
		if (IsA(&con->val, Float))
		{
			doNegateFloat(&con->val.fval);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Float *v)
{
	char	   *oldval = v->fval;

	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->fval = oldval+1;	/* just strip the '-' */
	else
		v->fval = psprintf("-%s", oldval);
}

static Node *
makeAndExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a AND b AND c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == AND_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(AND_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeOrExpr(Node *lexpr, Node *rexpr, int location)
{
	/* Flatten "a OR b OR c ..." to a single BoolExpr on sight */
	if (IsA(lexpr, BoolExpr))
	{
		BoolExpr   *blexpr = (BoolExpr *) lexpr;

		if (blexpr->boolop == OR_EXPR)
		{
			blexpr->args = lappend(blexpr->args, rexpr);
			return (Node *) blexpr;
		}
	}
	return (Node *) makeBoolExpr(OR_EXPR, list_make2(lexpr, rexpr), location);
}

static Node *
makeNotExpr(Node *expr, int location)
{
	return (Node *) makeBoolExpr(NOT_EXPR, list_make1(expr), location);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeSQLValueFunction(SQLValueFunctionOp op, int32 typmod, int location)
{
	SQLValueFunction *svf = makeNode(SQLValueFunction);

	svf->op = op;
	/* svf->type will be filled during parse analysis */
	svf->typmod = typmod;
	svf->location = location;
	return (Node *) svf;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_DEFAULT &&
			p->mode != FUNC_PARAM_IN &&
			p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName   *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar   *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/*
 * Convert a relation_name with name and namelist to a RangeVar using
 * makeRangeVar.
 */
static RangeVar *
makeRangeVarFromQualifiedName(char *name, List *namelist, int location,
							  core_yyscan_t yyscanner)
{
	RangeVar   *r;

	check_qualified_name(namelist, yyscanner);
	r = makeRangeVar(NULL, NULL, location);

	switch (list_length(namelist))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = name;
			r->relname = strVal(linitial(namelist));
			break;
		case 2:
			r->catalogname = name;
			r->schemaname = strVal(linitial(namelist));
			r->relname = strVal(lsecond(namelist));
			break;
		default:
			ereport(ERROR,
					errcode(ERRCODE_SYNTAX_ERROR),
					errmsg("improper qualified name (too many dotted names): %s",
						   NameListToString(lcons(makeString(name), namelist))),
						   parser_errposition(location));
			break;
	}

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;

	*collClause = NULL;
	foreach(cell, qualList)
	{
		Node	   *n = (Node *) lfirst(cell);

		if (IsA(n, Constraint))
		{
			/* keep it in list */
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = foreach_delete_current(qualList, cell);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*
 * Parse a user-supplied partition strategy string into parse node
 * PartitionStrategy representation, or die trying.
 */
static PartitionStrategy
parsePartitionStrategy(char *strategy)
{
	if (pg_strcasecmp(strategy, "list") == 0)
		return PARTITION_STRATEGY_LIST;
	else if (pg_strcasecmp(strategy, "range") == 0)
		return PARTITION_STRATEGY_RANGE;
	else if (pg_strcasecmp(strategy, "hash") == 0)
		return PARTITION_STRATEGY_HASH;

	ereport(ERROR,
			(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
			 errmsg("unrecognized partitioning strategy \"%s\"",
					strategy)));
	return PARTITION_STRATEGY_LIST;		/* keep compiler quiet */

}

/*
 * Process pubobjspec_list to check for errors in any of the objects and
 * convert PUBLICATIONOBJ_CONTINUATION into appropriate PublicationObjSpecType.
 */
static void
preprocess_pubobj_list(List *pubobjspec_list, core_yyscan_t yyscanner)
{
	ListCell   *cell;
	PublicationObjSpec *pubobj;
	PublicationObjSpecType prevobjtype = PUBLICATIONOBJ_CONTINUATION;

	if (!pubobjspec_list)
		return;

	pubobj = (PublicationObjSpec *) linitial(pubobjspec_list);
	if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
		ereport(ERROR,
				errcode(ERRCODE_SYNTAX_ERROR),
				errmsg("invalid publication object list"),
				errdetail("One of TABLE or TABLES IN SCHEMA must be specified before a standalone table or schema name."),
				parser_errposition(pubobj->location));

	foreach(cell, pubobjspec_list)
	{
		pubobj = (PublicationObjSpec *) lfirst(cell);

		if (pubobj->pubobjtype == PUBLICATIONOBJ_CONTINUATION)
			pubobj->pubobjtype = prevobjtype;

		if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLE)
		{
			/* relation name or pubtable must be set for this type of object */
			if (!pubobj->name && !pubobj->pubtable)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid table name"),
						parser_errposition(pubobj->location));

			if (pubobj->name)
			{
				/* convert it to PublicationTable */
				PublicationTable *pubtable = makeNode(PublicationTable);

				pubtable->relation =
					makeRangeVar(NULL, pubobj->name, pubobj->location);
				pubobj->pubtable = pubtable;
				pubobj->name = NULL;
			}
		}
		else if (pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_SCHEMA ||
				 pubobj->pubobjtype == PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA)
		{
			/* WHERE clause is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->whereClause)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("WHERE clause not allowed for schema"),
						parser_errposition(pubobj->location));

			/* Column list is not allowed on a schema object */
			if (pubobj->pubtable && pubobj->pubtable->columns)
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("column specification not allowed for schema"),
						parser_errposition(pubobj->location));

			/*
			 * We can distinguish between the different type of schema
			 * objects based on whether name and pubtable is set.
			 */
			if (pubobj->name)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_SCHEMA;
			else if (!pubobj->name && !pubobj->pubtable)
				pubobj->pubobjtype = PUBLICATIONOBJ_TABLES_IN_CUR_SCHEMA;
			else
				ereport(ERROR,
						errcode(ERRCODE_SYNTAX_ERROR),
						errmsg("invalid schema name"),
						parser_errposition(pubobj->location));
		}

		prevobjtype = pubobj->pubobjtype;
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctematerialized = CTEMaterializeDefault;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}
